<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
// reference the Dompdf namespace
class Home extends Front_Controller {
    protected $tree = array();
	public function __construct() {
		parent::__construct();
		
		$this->load->helper('application');
		$this->load->library('Template');
		$this->load->library('Assets');	
		$this->lang->load('routes', 'english');		
		$this->lang->load('application');
		$this->lang->load('goclixy');
		$this->load->library('events');
		
		$this->load->library('installer_lib');
		if (!$this->installer_lib->is_installed()) {
			$ci =& get_instance();
			$ci->hooks->enabled = false;
			redirect( site_url('install') );
		}
	}

	/**
	 * Displays the homepage of the GoClixy
	 *
	 * @return void
	 */
	public function index() {
		//rating star	    
	    Assets::add_css('star-rating.min.css');
	    Assets::add_js('star-rating.min.js');
		// Update visits and today's counter
		$this->load->model('visitors/visitors_model');
		$this->visitors_model->visitor_tracking(1);		
		// REPORTS - LISTING VIEWS
		$this->session->set_userdata('lvs_page', 'Home');
		$this->session->set_userdata('lvs_keyword', '');
		$this->load->library('users/auth');
		$this->set_current_user();
		Template::set(array(
		    'display_page' => 'home', // Display home specific banners only
		));
		$layout = $this->gc->load_assets('home');
		Template::set_view($layout['view']);
		Template::render($layout['layout']);
	}
	
	/**
	 * If the Auth lib is loaded, it will set the current user, since users
	 * will never be needed if the Auth library is not loaded. By not requiring
	 * this to be executed and loaded for every command, we can speed up calls
	 * that don't need users at all, or rely on a different type of auth, like
	 * an API or cronjob.
	 *
	 * Copied from Base_Controller
	 */
	protected function set_current_user() {
		if (class_exists('Auth')) {
			// Load our current logged in user for convenience
			if ($this->auth->is_logged_in()) {
				$this->current_user = clone $this->auth->user();
				$this->current_user->user_img = gravatar_link($this->current_user->email, 22, $this->current_user->email, "{$this->current_user->email} Profile");

				// if the user has a language setting then use it
				if (isset($this->current_user->language)) {
					$this->config->set_item('language', $this->current_user->language);
				}
			} else {
				$this->current_user = null;
			}

			// Make the current user available in the views
			if (!class_exists('Template')) {
				$this->load->library('Template');
			}
			Template::set('current_user', $this->current_user);
		}
	}
}