<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers get a jumpstart their development of CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2013, Bonfire Dev Team
 * @license   http://guides.cibonfire.com/license.html
 * @link      http://cibonfire.com
 * @since     Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * Admin Reports controller
 *
 * The base controller which displays the homepage of the Admin Reports context in the Bonfire app.
 *
 * @package    Bonfire
 * @subpackage Controllers
 * @category   Controllers
 * @author     Bonfire Dev Team
 * @link       http://guides.cibonfire.com/helpers/file_helpers.html
 *
 */
class Developer extends Admin_Controller {
	/**
	 * Controller constructor sets the Title and Permissions
	 *
	 */
	public function __construct() {
		parent::__construct();
		Template::set('toolbar_title', lang('bf_context_developer'));
		$this->auth->restrict('Site.Reports.View');
	}//end __construct()

	//--------------------------------------------------------------------

	/**
	 * Displays the Reports context homepage
	 *
	 * @return void
	 */
	public function index() {
		$links = array(
			array(
				'name' => lang('gc_menu_fields'),
				'icon' => 'fab fa-wpforms',
				'link' => '/developer/fields',
				'color'=> 'success'
			),
			array(
				'name' => lang('gc_menu_groups'),
				'icon' => 'fas fa-object-group',
				'link' => '/developer/groups',
				'color'=> 'info'
			),
			array(
				'name' => lang('gc_menu_links'),
				'icon' => 'fas fa-link',
				'link' => '/developer/links',
				'color'=> 'warning'
			),
			array(
				'name' => lang('gc_menu_sysinfo'),
				'icon' => 'fas fa-info',
				'link' => '/developer/sysinfo',
				'color'=> 'info'
			),
			array(
				'name' => lang('gc_menu_themes'),
				'icon' => 'fas fa-paint-brush',
				'link' => '/developer/themes',
				'color'=> 'warning'
			),
			array(
				'name' => lang('gc_menu_translate'),
				'icon' => 'fas fa-sort-alpha-down',
				'link' => '/developer/translate',
				'color'=> 'inverse'
			),
			array(
				'name' => lang('gc_menu_database'),
				'icon' => 'fas fa-database',
				'link' => '/developer/database',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_code_builder'),
				'icon' => 'fas fa-file-code',
				'link' => '/developer/builder',
				'color'=> 'primary'
			),
			array(
				'name' => lang('gc_menu_logs'),
				'icon' => 'fas fa-file-alt',
				'link' => '/developer/logs',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_migrations'),
				'icon' => 'fas fa-sync-alt',
				'link' => '/developer/migrations',
				'color'=> 'success'
			)
		);
		Template::set('links', $links);
		Template::set_view('context');
		Template::render();
	}//end index()

	//--------------------------------------------------------------------

}//end class