<?php

if (! defined('BASEPATH'))
    exit('No direct script access allowed');

/**
 * Bonfire
 *
 * An open source project to allow developers get a jumpstart their development of CodeIgniter applications
 *
 * @package Bonfire
 * @author Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2013, Bonfire Dev Team
 * @license http://guides.cibonfire.com/license.html
 * @link http://cibonfire.com
 * @since Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * Ecommerce context controller
 *
 * The controller which displays the homepage of the Ecommerce context in Bonfire site.
 *
 * @package Bonfire
 * @subpackage Controllers
 * @category Controllers
 * @author Bonfire Dev Team
 * @link http://guides.cibonfire.com/helpers/file_helpers.html
 *      
 */
class Ecommerce extends Admin_Controller
{

    /**
     * Controller constructor sets the Title and Permissions
     */
    public function __construct()
    {
        parent::__construct();
        
        Template::set('toolbar_title', lang('bf_context_content'));
        
        $this->auth->restrict('Site.Ecommerce.View');
    }
 // end __construct()
      
    // --------------------------------------------------------------------
    
    /**
     * Displays the initial page of the Content context
     *
     * @return void
     */
    public function index()
    {
        $links = array(
            array(
                'name' => lang('gc_menu_attributes'),
                'icon' => 'fas fa-list',
                'link' => '/ecommerce/attributes',
                'color' => 'primary'
            ),
            array(
                'name' => lang('gc_menu_notifications'),
                'icon' => 'fas fa-volume-up',
                'link' => '/ecommerce/notifications',
                'color' => 'warning'
            ),
            array(
                'name' => lang('gc_menu_ordered_items'),
                'icon' => 'fas fa-cart-plus',
                'link' => '/ecommerce/ordered_items',
                'color' => 'info'
            ),
            array(
                'name' => lang('gc_menu_variants'),
                'icon' => 'fas fa-cubes',
                'link' => '/ecommerce/variants',
                'color' => 'success'
            ),
            array(
                'name' => lang('gc_menu_wishlists'),
                'icon' => 'fas fa-wine-glass',
                'link' => '/ecommerce/wishlists',
                'color' => 'danger'
            )
        );
        
        Template::set('links', $links);
        Template::set_view('context');
        Template::render();
    } // end index()
          
    // --------------------------------------------------------------------
}//end class