<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers get a jumpstart their development of CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2013, Bonfire Dev Team
 * @license   http://guides.cibonfire.com/license.html
 * @link      http://cibonfire.com
 * @since     Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * Admin Reports controller
 *
 * The base controller which displays the homepage of the Admin Reports context in the Bonfire app.
 *
 * @package    Bonfire
 * @subpackage Controllers
 * @category   Controllers
 * @author     Bonfire Dev Team
 * @link       http://guides.cibonfire.com/helpers/file_helpers.html
 *
 */
class Financial extends Admin_Controller {
	/**
	 * Controller constructor sets the Title and Permissions
	 *
	 */
	public function __construct() {
		parent::__construct();
		Template::set('toolbar_title', lang('bf_context_financial'));
		$this->auth->restrict('Site.Financial.View');
	}//end __construct()

	//--------------------------------------------------------------------

	/**
	 * Displays the Reports context homepage
	 *
	 * @return void
	 */
	public function index() {
		$links = array(
			array(
				'name' => lang('gc_menu_ads'),
				'icon' => 'fas fa-image',
				'link' => '/financial/ads',
				'color'=> 'inverse'
			),
			array(
				'name' => lang('gc_menu_affiliates'),
				'icon' => 'fas fa-handshake',
				'link' => '/financial/affiliates',
				'color'=> 'primary'
			),
		    array(
		        'name' => lang('gc_menu_commissions'),
		        'icon' => 'fas fa-tags',
		        'link' => '/financial/commissions',
		        'color'=> 'info'
		    ),
			array(
				'name' => lang('gc_menu_coupons'),
				'icon' => 'fas fa-cut',
				'link' => '/financial/coupons',
				'color'=> 'warning'
			),
			array(
				'name' => lang('gc_menu_invoices'),
				'icon' => 'fas fa-file-alt',
				'link' => '/financial/orders/manage/invoices',
				'color'=> 'success'
			),
			array(
				'name' => lang('gc_menu_leads'),
				'icon' => 'fas fa-check-square',
				'link' => '/financial/leads',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_orders'),
				'icon' => 'fas fa-shopping-cart',
				'link' => '/financial/orders',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_packages'),
				'icon' => 'fas fa-folder-open',
				'link' => '/financial/packages',
				'color'=> 'info'
			),
			array(
				'name' => lang('gc_menu_payouts'),
				'icon' => 'fab fa-cc-paypal',
				'link' => '/financial/payouts',
				'color'=> 'inverse'
			),
			array(
				'name' => lang('gc_menu_points'),
				'icon' => 'fas fa-trophy',
				'link' => '/financial/points',
				'color'=> 'primary'
			),
			array(
				'name' => lang('gc_menu_tax_rates'),
				'icon' => 'fas fa-percent',
				'link' => '/financial/tax_rates',
				'color'=> 'warning'
			),
			array(
				'name' => lang('gc_menu_wallets'),
				'icon' => 'fas fa-money-bill-alt',
				'link' => '/financial/wallets',
				'color'=> 'success'
			)
		);
		Template::set('links', $links);
		Template::set_view('context');
		Template::render();
	}//end index()

	//--------------------------------------------------------------------

}//end class