<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers get a jumpstart their development of CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2013, Bonfire Dev Team
 * @license   http://guides.cibonfire.com/license.html
 * @link      http://cibonfire.com
 * @since     Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * Admin Reports controller
 *
 * The base controller which displays the homepage of the Admin Reports context in the Bonfire app.
 *
 * @package    Bonfire
 * @subpackage Controllers
 * @category   Controllers
 * @author     Bonfire Dev Team
 * @link       http://guides.cibonfire.com/helpers/file_helpers.html
 *
 */
class Reports extends Admin_Controller {
	/**
	 * Controller constructor sets the Title and Permissions
	 *
	 */
	public function __construct() {
		parent::__construct();
		Template::set('toolbar_title', lang('bf_context_reports'));
		$this->auth->restrict('Site.Reports.View');
	}//end __construct()

	//--------------------------------------------------------------------

	/**
	 * Displays the Reports context homepage
	 *
	 * @return void
	 */
	public function index() {
		$links = array(
			array(
				'name' => lang('gc_menu_activities'),
				'icon' => 'fas fa-cogs',
				'link' => '/reports/activities',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_business_queries'),
				'icon' => 'fas fa-question-circle',
				'link' => '/reports/business_queries',
				'color'=> 'primary'
			),
			array(
				'name' => lang('gc_menu_click_to_call'),
				'icon' => 'fas fa-phone-square',
				'link' => '/reports/click_to_call',
				'color'=> 'warning'
			),
			array(
				'name' => lang('gc_menu_contact_queries'),
				'icon' => 'fas fa-headphones',
				'link' => '/reports/contact_queries',
				'color'=> 'success'
			),
			array(
				'name' => lang('favorites'),
				'icon' => 'fas fa-heart',
				'link' => '/reports/favorites',
				'color'=> 'inverse'
			),
			array(
				'name' => lang('gc_menu_listing_views'),
				'icon' => 'fas fa-eye',
				'link' => '/reports/listing_views',
				'color'=> 'success'
			),
			array(
				'name' => lang('gc_menu_recently_viewed'),
				'icon' => 'fas fa-bullseye',
				'link' => '/reports/recently_viewed',
				'color'=> 'inverse'
			),
			array(
				'name' => lang('gc_menu_erroneous'),
				'icon' => 'fas fa-window-close',
				'link' => '/reports/erroneous',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_search_queries'),
				'icon' => 'fas fa-search',
				'link' => '/reports/search_queries',
				'color'=> 'info'
			),
			array(
				'name' => lang('gc_menu_visitors'),
				'icon' => 'fas fa-users',
				'link' => '/reports/visitors',
				'color'=> 'warning'
			),
		);
		Template::set('links', $links);
		Template::set_view('context');
		Template::render();
	}//end index()

	//--------------------------------------------------------------------

}//end class