<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers get a jumpstart their development of CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2013, Bonfire Dev Team
 * @license   http://guides.cibonfire.com/license.html
 * @link      http://cibonfire.com
 * @since     Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * Admin Reports controller
 *
 * The base controller which displays the homepage of the Admin Reports context in the Bonfire app.
 *
 * @package    Bonfire
 * @subpackage Controllers
 * @category   Controllers
 * @author     Bonfire Dev Team
 * @link       http://guides.cibonfire.com/helpers/file_helpers.html
 *
 */
class Settings extends Admin_Controller {
	/**
	 * Controller constructor sets the Title and Permissions
	 *
	 */
	public function __construct() {
		parent::__construct();
		Template::set('toolbar_title', lang('bf_context_settings'));
		$this->auth->restrict('Site.Reports.View');
	}//end __construct()

	//--------------------------------------------------------------------

	/**
	 * Displays the Reports context homepage
	 *
	 * @return void
	 */
	public function index() {
		$links = array(
			array(
				'name' => lang('gc_menu_users'),
				'icon' => 'fas fa-user-circle',
				'link' => '/settings/users',
				'color'=> 'primary'
			),
			array(
				'name' => lang('gc_menu_banners'),
				'icon' => 'fas fa-image',
				'link' => '/settings/banners',
				'color'=> 'warning'
			),
			array(
				'name' => lang('gc_menu_cronjobs'),
				'icon' => 'fas fa-cogs',
				'link' => '/settings/cronjobs',
				'color'=> 'success'
			),
			array(
				'name' => lang('gc_menu_currencies'),
				'icon' => 'fas fa-dollar-sign',
				'link' => '/settings/currencies',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_email_queue'),
				'icon' => 'fas fa-envelope',
				'link' => '/settings/emailer/queue',
				'color'=> 'success'
			),
			array(
				'name' => lang('gc_menu_email_templates'),
				'icon' => 'fas fa-folder-open',
				'link' => '/settings/email_templates',
				'color'=> 'info'
			),
			array(
				'name' => lang('gc_menu_file_manager'),
				'icon' => 'fas fa-folder-open',
				'link' => '/settings/filemanager',
				'color'=> 'warning'
			),
			array(
				'name' => lang('label_importer'),
				'icon' => 'fas fa-upload',
				'link' => '/settings/migrate/importer',
				'color'=> 'inverse'
			),
			array(
				'name' => lang('label_exporter'),
				'icon' => 'fas fa-download',
				'link' => '/settings/migrate/exporter',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_kb_shortcuts'),
				'icon' => 'fas fa-link',
				'link' => '/settings/ui',
				'color'=> 'primary'
			),
			array(
				'name' => lang('gc_menu_locations'),
				'icon' => 'fas fa-map-marker-alt',
				'link' => '/settings/locations',
				'color'=> 'warning'
			),
			array(
				'name' => lang('gc_menu_mobiles'),
				'icon' => 'fas fa-mobile',
				'link' => '/settings/mobiles',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_payment_gateways'),
				'icon' => 'fas fa-credit-card',
				'link' => '/settings/payment_gateways',
				'color'=> 'info'
			),
			array(
				'name' => lang('gc_menu_permissions'),
				'icon' => 'fas fa-key',
				'link' => '/settings/permissions',
				'color'=> 'danger'
			),
			array(
				'name' => lang('gc_menu_roles'),
				'icon' => 'fas fa-user-secret',
				'link' => '/settings/roles',
				'color'=> 'inverse'
			),
			array(
				'name' => lang('gc_menu_sms_gateways'),
				'icon' => 'fas fa-mobile',
				'link' => '/settings/sms_gateways',
				'color'=> 'success'
			),
			array(
				'name' => lang('gc_menu_settings'),
				'icon' => 'fas fa-cogs',
				'link' => '/settings/settings',
				'color'=> 'warning'
			)
		);
		Template::set('links', $links);
		Template::set_view('context');
		Template::render();
	}//end index()

	//--------------------------------------------------------------------

}//end class