<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2015, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT The MIT License.
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Application language file (English)
 *
 * Localization strings used by Bonfire
 *
 * @package Bonfire\Application\Language\English
 * @author  Bonfire Dev Team
 * @link    http://cibonfire.com/docs/developer
 */


//------------------------------------------------------------------------------
// ! GENERAL SETTINGS
//------------------------------------------------------------------------------
$lang['bf_site_name'] = 'Site Name';
$lang['bf_site_email'] = 'Site Email';
$lang['bf_site_email_help'] = 'The administrator contact email address. Additionally, if the Emailer System Email setting is not configured, system-generated emails may be sent from this address.';
$lang['bf_site_status'] = 'Site Status';
$lang['bf_online'] = 'Online';
$lang['bf_offline'] = 'Offline';
$lang['bf_top_number'] = 'Items <em>per</em> page:';
$lang['bf_top_number_help'] = 'When viewing reports, how many items should be listed at a time?';
$lang['bf_home'] = 'Home';
$lang['bf_site_information'] = 'Site Information';
$lang['bf_timezone'] = 'Timezone';
$lang['bf_language'] = 'Language';
$lang['bf_language_help'] = 'Choose the languages available to the user.';
$lang['bf_menu_migrations'] = 'Migrations';
$lang['bf_menu_email_settings'] = 'Settings';
$lang['bf_menu_email_template'] = 'Template';
$lang['bf_menu_email_queue'] = 'View Queue';

// --------------------------------------------------------------------
// ! AUTH SETTINGS
// --------------------------------------------------------------------
$lang['bf_security'] = 'Security';
$lang['bf_login_type'] = 'Login Type';
$lang['bf_login_type_email'] = 'Email Only';
$lang['bf_login_type_username'] = 'Username Only';
$lang['bf_allow_register'] = 'Allow User Registrations?';
$lang['bf_login_type_both'] = 'Email or Username';
$lang['gc_login_site'] = 'Login to your %s account';
$lang['gc_register_with'] = 'Register yourself with %s';
$lang['gc_sign_in_by'] = 'Sign in by %s';
$lang['bf_use_usernames'] = 'User display across Directory:';
$lang['bf_use_own_name'] = 'Use Own Name';
$lang['bf_allow_remember'] = 'Allow \'Remember Me\'?';
$lang['bf_remember_time'] = 'Remember Users For';
$lang['bf_week'] = 'Week';
$lang['bf_weeks'] = 'Weeks';
$lang['bf_days'] = 'Days';
$lang['label_days'] = 'Day(s)';
$lang['bf_username'] = 'Username';
$lang['bf_password'] = 'Password';
$lang['bf_password_confirm'] = 'Password (again)';
$lang['bf_display_name'] = 'Display Name';
$lang['placeholder_password'] = 'Enter password';
$lang['heading_not_a_robot'] = 'Please prove you are not a robot';
$lang['view_information'] = '%s of %s';

//------------------------------------------------------------------------------
// ! CRUD SETTINGS
//------------------------------------------------------------------------------
$lang['bf_home_page'] = 'Home Page';
$lang['bf_pages'] = 'Pages';
$lang['bf_enable_rte'] = 'Enable RTE for pages?';
$lang['bf_rte_type'] = 'RTE Type';
$lang['bf_searchable_default'] = 'Searchable by default?';
$lang['bf_cacheable_default'] = 'Cacheable by default?';
$lang['bf_track_hits'] = 'Track Page Hits?';

$lang['bf_action_save'] = 'Save';
$lang['bf_action_delete'] = 'Delete';
$lang['bf_action_edit'] = 'Edit';
$lang['bf_action_undo'] = 'Undo';
$lang['bf_action_cancel'] = 'Cancel';
$lang['bf_action_browse'] = 'Browse...';
$lang['bf_action_download'] = 'Download';
$lang['bf_action_preview'] = 'Preview';
$lang['bf_action_search'] = 'Search';
$lang['bf_action_purge'] = 'Purge';
$lang['bf_action_restore'] = 'Restore';
$lang['bf_action_update'] = 'Update';
$lang['action_update_close'] = 'Update & Close';
$lang['bf_action_filter'] = 'Filter';
$lang['gc_action_activate'] = 'Activate';
$lang['gc_action_deactivate'] = 'Deactivate';
$lang['gc_action_expired'] = 'Mark as Expired';
$lang['gc_action_unfeatured'] = 'Mark as Not Featured';
$lang['gc_action_filter'] = 'Filter';
$lang['bf_action_show'] = 'Show';
$lang['bf_action_login'] = 'Sign In';
$lang['bf_action_logout'] = 'Sign Out';
$lang['bf_actions'] = 'Actions';
$lang['bf_clear'] = 'Clear';
$lang['bf_action_list'] = 'List';
$lang['bf_action_create'] = 'Create';
$lang['bf_action_ban'] = 'Ban';
$lang['bf_action_spam'] = 'Mark as Spam';
$lang['filter_first_letter'] = 'Filter by letter: ';
$lang['first_letter'] = 'Filter by letter';
$lang['gc_action_previous'] = 'Previous';
$lang['gc_action_next'] = 'Next';
$lang['gc_action_remove'] = 'Remove';
$lang['action_activate'] = 'Activate';
$lang['action_deactivate'] = 'Deactivate';
$lang['clear_filter'] = 'Clear Filter';
$lang['bf_action_change'] = 'Change';
$lang['gc_action_cancel'] = 'Cancel';
$lang['resend'] = 'Resend';

//------------------------------------------------------------------------------
// ! SETTINGS LIB
//------------------------------------------------------------------------------
$lang['bf_do_check'] = 'Check for updates?';
$lang['bf_do_check_edge'] = 'Must be enabled to see bleeding edge updates as well.';
$lang['bf_update_show_edge'] = 'View bleeding edge updates?';
$lang['bf_update_info_edge'] = 'Leave unchecked to only check for new tagged updates. Check to see any new commits to the official repository.';
$lang['bf_ext_profile_show'] = 'Does User accounts have extended profile?';
$lang['bf_ext_profile_info'] = 'Check "Extended Profiles" to have extra profile meta-data available option(wip), omiting some default bonfire fields (eg: address).';

$lang['bf_yes'] = 'Yes';
$lang['bf_no'] = 'No';
$lang['bf_none'] = 'None';
$lang['bf_id'] = 'ID';

$lang['bf_or'] = 'or';
$lang['bf_size'] = 'Size';
$lang['bf_files'] = 'Files';
$lang['bf_file'] = 'File';

$lang['bf_with_selected'] = 'With selected';

$lang['bf_env_dev'] = 'Development';
$lang['bf_env_test'] = 'Testing';
$lang['bf_env_prod'] = 'Production';

$lang['bf_show_profiler'] = 'Show Admin Profiler?';
$lang['bf_show_front_profiler'] = 'Show Front End Profiler?';

$lang['bf_cache_not_writable'] = 'The application cache folder is not writable';

$lang['bf_password_strength'] = 'Password Strength Settings';
$lang['bf_password_length_help'] = 'Minimum password length e.g. 8';
$lang['bf_password_force_numbers'] = 'Should password force numbers?';
$lang['bf_password_force_symbols'] = 'Should password force symbols?';
$lang['bf_password_force_mixed_case'] = 'Should password force mixed case?';
$lang['bf_password_show_labels'] = 'Display password validation labels';
$lang['bf_password_iterations_note'] = 'Higher values increase the security and the time taken to hash the passwords.<br/>See the <a href="http://www.openwall.com/phpass/" target="blank">phpass page</a> for more information. If in doubt, leave at 8.';

//------------------------------------------------------------------------------
// ! USER/PROFILE
//------------------------------------------------------------------------------
$lang['bf_user'] = 'User';
$lang['bf_users'] = 'Users';
$lang['bf_description'] = 'Description';
$lang['bf_email'] = 'Email';
$lang['bf_user_settings'] = 'My Profile';
$lang['bf_both'] = 'both';
$lang['bf_go_back'] = 'Go Back';
$lang['gc_reset'] = 'Reset';
$lang['bf_new'] = 'New';
$lang['bf_required_note'] = 'Required fields are in <b>bold</b>.';
$lang['bf_form_label_required'] = '<span class="required">*</span>';
$lang['us_last_visit'] = 'Last Visit';
$lang['us_not_logged_in'] = 'You are not logged in.';
$lang['us_logged_in'] = 'Logged in as';
$lang['us_guest'] = 'Guest';
$lang['us_seller'] = 'Seller';
$lang['bf_profile'] = 'My Profile';

//------------------------------------------------------------------------------
// BF_Model
//------------------------------------------------------------------------------
$lang['bf_model_db_error'] = 'DB Error: %s';
$lang['bf_model_no_data'] = 'No data available.';
$lang['bf_model_invalid_id'] = 'Invalid ID passed to model.';
$lang['bf_model_no_table'] = 'Model has unspecified database table.';
$lang['bf_model_fetch_error'] = 'Not enough information to fetch field.';
$lang['bf_model_count_error'] = 'Not enough information to count results.';
$lang['bf_model_unique_error'] = 'Not enough information to check uniqueness.';
$lang['bf_model_find_error'] = 'Not enough information to find by.';

//------------------------------------------------------------------------------
// Contexts
//------------------------------------------------------------------------------
$lang['bf_no_contexts'] = 'The contexts array is not properly setup. Check your application config file.';
$lang['bf_context_dashboard'] = 'Dashboard';
$lang['bf_context_content'] = 'Content';
$lang['bf_context_financial'] = 'Financial';
$lang['bf_context_components'] = 'Components';
$lang['bf_context_reports'] = 'Reports';
$lang['bf_context_settings'] = 'Settings';
$lang['bf_context_tools'] = 'Tools';
$lang['bf_context_developer'] = 'Developer';
$lang['bf_context_help'] = 'Help';

//------------------------------------------------------------------------------
// Activities
//------------------------------------------------------------------------------
$lang['bf_act_settings_saved'] = 'App settings saved from';
$lang['bf_unauthorized_attempt'] = 'unsuccessfully attempted to access a page which required the following permission "%s" from ';
$lang['bf_keyboard_shortcuts'] = 'Available keyboard shortcuts:';
$lang['bf_keyboard_shortcuts_none'] = 'There are no keyboard shortcuts assigned.';
$lang['bf_keyboard_shortcuts_edit'] = 'Update the keyboard shortcuts';

// --------------------------------------------------------------------
// OnType Location Selection
// --------------------------------------------------------------------
$lang['select_city'] = 'Enter a city';
$lang['help_city'] = 'Type your city name and select from the list';
$lang['select_locality'] = 'Select a locality (nearby)';
$lang['help_locality'] = 'Type your locality name and select from the list';
$lang['placeholder_selectize'] = 'Type a name and select from the list';

// --------------------------------------------------------------------
// Common
// --------------------------------------------------------------------
$lang['label_filters'] = 'Filters';
$lang['applicable_modules'] = 'Applicable Module(s)';
$lang['classifieds'] = 'Classifieds';
$lang['label_qrcode'] = 'QRCode';
$lang['label_listing'] = 'Listing';
$lang['listings'] = 'Listings';
$lang['label_business'] = 'Business';
$lang['label_service'] = 'Service';
$lang['label_classified'] = 'Classified';
$lang['label_business_hours'] = 'Business Hours';
$lang['blogs'] = 'Blogs';
$lang['deals'] = 'Deals';
$lang['events'] = 'Events';
$lang['jobs'] = 'Jobs';
$lang['properties'] = 'Properties';
$lang['videos'] = 'Videos';
$lang['training_videos'] = 'Training Videos';
$lang['branches'] = 'Branch Offices';
$lang['label_logo'] = 'Logo';
$lang['products'] = 'Products';
$lang['images'] = 'Images';
$lang['bookings'] = 'Bookings/Appointments';
$lang['others'] = 'Others';
$lang['users'] = 'Users';
$lang['categories'] = 'Categories';
$lang['locations'] = 'Locations';
$lang['comments'] = 'Comments';
$lang['subscribers'] = 'Subscribers';
$lang['leads'] = 'Leads';
$lang['ads'] = 'Ads';
$lang['singular_ads'] = 'Ad';
$lang['singular_pyg'] = 'Pay As You Go';
$lang['financial'] = 'Financial';
$lang['news'] = 'News';
$lang['bf_question_mark'] = '?';
$lang['bf_language_direction'] = 'ltr';
$lang['log_intro'] = 'These are your log messages';
$lang['bf_name'] = 'Name';
$lang['bf_status'] = 'Status';
$lang['view_details'] = 'View Details';
$lang['upload_photos'] = 'Upload Photos';
$lang['label_my'] = 'My';
$lang['general_information'] = 'General Information';
$lang['extra_information'] = 'Extra Information';
$lang['additional_information'] = 'Additional Information';
$lang['label_alphabetically'] = 'Alphabetically';
$lang['label_info'] = 'Info';
$lang['label_top_rated'] = 'Top Rated';
$lang['label_relevance'] = 'Relevance';
$lang['no_filter'] = 'Clear Filter';
$lang['sorted_by'] = 'Sorted By';
$lang['business_details'] = 'Business Details';
$lang['ratings_and_review'] = 'Ratings & Review';
$lang['label_never'] = 'Never';
$lang['gc_tab_all'] = 'All';
$lang['bulk_import'] = 'Bulk Import';
$lang['label_export'] = 'Export';
$lang['btn_clone'] = 'Clone';
$lang['label_copy'] = 'Copy';
$lang['msg_clone_success'] = 'Copy of the row created successfully';
$lang['msg_clone_error'] = 'Unable to make a copy of the row';
$lang['get_directions'] = 'Get Directions';
$lang['action_save'] = 'Save';
$lang['label_view'] = 'View';
$lang['view_all'] = 'View All';
$lang['quick_view'] = 'Quick View';
$lang['label_value_between'] = 'Between';
$lang['label_value_and'] = 'and';
$lang['label_difference_warning'] = 'The difference should not exceed %s';
$lang['label_listing_ids'] = 'Listing ID(s)';
$lang['label_ids'] = 'ID(s)';
$lang['label_insert_only'] = 'Insert Only';
$lang['label_insert_update'] = 'Insert and Update';
$lang['label_db_transaction'] = 'Transaction Type';
$lang['msg_success'] = 'Action performed successfully';
$lang['msg_error'] = 'Unable to perform the requested operation.';
$lang['label_deselect_all'] = 'Deselect All';
$lang['label_meta_title'] = 'Meta Title';
$lang['label_meta_keywords'] = 'Meta Keywords';
$lang['label_meta_description'] = 'Meta Description';
$lang['label_admin_search'] = 'Go!';
$lang['status_spam'] = 'Spam';
$lang['label_order'] = 'Order';
$lang['label_priority'] = 'Priority';
$lang['label_file'] = 'File';
$lang['label_image'] = 'Image';
$lang['label_cover'] = 'Cover';
$lang['label_cover_image'] = 'Cover Image';
$lang['placeholder_filemanager'] = 'Select a file by clicking the Browse... button';
$lang['make_cover'] = 'Make Cover';
$lang['label_categories'] = 'Categories';
$lang['label_countries'] = 'Countries';
$lang['states'] = 'States';
$lang['cities'] = 'Cities';
$lang['label_localities'] = 'Localities';
$lang['label_keywords'] = 'Keywords';
$lang['label_keyword'] = 'Keyword';
$lang['placeholder_keywords'] = 'e.g. guide, tips, review, tools, useful information';
$lang['help_keywords'] = 'Use comma separated values only';
$lang['help_address'] = 'e.g. #167, Partridge Street, Pine Hills, Albany 12201, New York';
$lang['placeholder_external_url'] = 'e.g. http://www.YourDomain.com/useful-info.html';
$lang['help_external_url'] = 'External Website Link from which the visitor can get more information.';
$lang['created_on'] = 'Created On';
$lang['created_by'] = 'Created By';
$lang['created_ip'] = 'Created IP';
$lang['modified_on'] = 'Modified On';
$lang['modified_by'] = 'Modified By';
$lang['modified_ip'] = 'Modified IP';
$lang['date_time'] = 'Datetime';
$lang['posted_on'] = 'Posted On';
$lang['label_date_from'] = 'Date From';
$lang['label_date_to'] = 'Date To';
$lang['label_format'] = 'Format';
$lang['label_latitude'] = 'Latitude';
$lang['label_latitude_longitude'] = 'Latitude & Longitude';
$lang['label_longitude'] = 'Longitude';
$lang['label_location'] = 'Location';
$lang['current_location'] = 'Navigate to Current Location';
$lang['label_value'] = 'Value';
$lang['tab_active'] = 'Active';
$lang['tab_cancelled'] = 'Cancelled';
$lang['tab_approved'] = 'Approved';
$lang['tab_rejected'] = 'Rejected';
$lang['tab_forged'] = 'Forged';
$lang['tab_pending'] = 'Pending';
$lang['tab_confirmed'] = 'Confirmed';
$lang['tab_failed'] = 'Failed';
$lang['tab_cancelled'] = 'Cancelled';
$lang['tab_inactive'] = 'Inactive';
$lang['tab_spammed'] = 'Spammed';
$lang['tab_upgraded'] = 'Upgraded';
$lang['tab_renewed'] = 'Renewed';
$lang['tab_claimed'] = 'Claimed';
$lang['tab_refunded'] = 'Refunded';
$lang['tab_expired'] = 'Expired';
$lang['tab_deleted'] = 'Deleted';
$lang['tab_general'] = 'General';
$lang['label_country'] = 'Country';
$lang['label_state'] = 'State';
$lang['label_all_countries'] = 'All Countries';
$lang['label_visitors'] = 'Visitors';
$lang['label_visits'] = 'Visits';
$lang['label_change_status'] = 'Change Status';
$lang['message_mobile_valid'] = 'Valid Number';
$lang['message_mobile_invalid'] = 'Invalid Number';
$lang['label_pay'] = 'Pay';
$lang['label_date_paid_never'] = 'Never';
$lang['label_open'] = 'Open';
$lang['label_close'] = 'Close';
$lang['label_closed'] = 'Closed';
$lang['open_now'] = 'Open Now';
$lang['closed_now'] = 'Closed Now';
$lang['open_time'] = 'Open Time';
$lang['close_time'] = 'Close Time';
$lang['us_tab_having'] = 'Having';
$lang['label_tags'] = 'Tags';
$lang['label_display_name'] = 'Display Name';
$lang['label_day'] = 'Day';
$lang['label_monday'] = 'Monday';
$lang['label_tuesday'] = 'Tuesday';
$lang['label_wednesday'] = 'Wednesday';
$lang['label_thursday'] = 'Thursday';
$lang['label_friday'] = 'Friday';
$lang['label_saturday'] = 'Saturday';
$lang['label_sunday'] = 'Sunday';
$lang['label_property_type'] = 'Type of Property';
$lang['label_coverage_area'] = 'Coverage Area';
$lang['label_claim'] = 'Claim';
$lang['label_job_experience'] = 'Experience';
$lang['job_exp_yrs'] = 'yrs';
$lang['click_to_call_unique_total'] = 'Click to Call (Unique - Total)';
$lang['placeholder_select_product'] = 'Select product/service type...';
$lang['comments_active'] = 'Approved';
$lang['label_placed_on'] = 'Placed On';
$lang['label_coupon_code'] = 'Coupon Code';
$lang['label_code'] = 'Code';
$lang['us_active'] = 'Active';
$lang['us_inactive'] = 'Inactive';
$lang['us_log_status_change'] = 'Status Changed';
$lang['label_remaining'] = 'remaining';
$lang['label_no_record_found'] = 'No records found that match your selection.';
$lang['msg_permission_error'] = 'You don\'t have permission to access this page';
$lang['msg_permission_expired_error'] = 'You don\'t have permission to access this page. Either you are not authorized or your listing might have expired.';
$lang['msg_photo_permission_error'] = 'You don\'t have permission to upload images';
$lang['msg_module_error'] = '%s membership does not allow you to add %s, please change/upgrade your package.';
$lang['msg_no_row_selected'] = 'Please select atleast one row to perform the selected action';
$lang['msg_operation_failure'] = 'Unable to perform the requested operation.';
$lang['help_msg_images'] = 'You can have %s images per %s';
$lang['help_slug'] = 'The slug is the user friendly and URL valid name. It must be in small letters without spaces and special characters.';
$lang['label_select_categories'] = 'Select Categories';
$lang['msg_categories_limit'] = 'You can have maximum %s categories in this package';
$lang['msg_admin_categories_limit'] = 'You are exceeding categories limit';
$lang['gc_invalid_dates'] = 'Please check your entered dates, they are not valid.';
$lang['label_group'] = 'Group';
$lang['label_by'] = 'By';
$lang['qna'] = 'Question & Answers';

// ORDER AND INVOICE
$lang['label_first_reminder'] = 'First Reminder';
$lang['label_second_reminder'] = 'Second Reminder';
$lang['label_third_reminder'] = 'Third Reminder';
$lang['label_invoice_no'] = 'Invoice No';
$lang['label_order_id'] = 'Order ID';
$lang['label_next_invoice_date'] = 'Next Invoice Date';
$lang['label_due_date'] = 'Due Date';
$lang['label_date_paid'] = 'Date Paid';
$lang['label_select_country'] = 'Select Country';
$lang['placeholder_country'] = 'Select a country...';
$lang['label_select_state'] = 'Select State';
$lang['placeholder_state'] = 'Select a state...';
$lang['label_select_city'] = 'Select City';
$lang['placeholder_city'] = 'Select a city...';
$lang['label_from'] = 'From';
$lang['placeholder_from'] = 'Please enter a date when your classified starts';
$lang['label_to'] = 'To';
$lang['placeholder_to'] = 'Please enter a date when your classified ends';
$lang['label_postcode'] = 'Postcode';
$lang['label_taxrate'] = 'Tax Rate';
$lang['placeholder_postcode'] = 'Please enter a valid postcode';
$lang['label_address'] = 'Address';
$lang['placeholder_address'] = 'Please enter your business address';
$lang['label_price'] = 'Price';
$lang['label_offer_price'] = 'Offer Price';
$lang['placeholder_price'] = 'Please enter a price for your %s';
$lang['label_description'] = 'Description';
$lang['label_basic_info'] = 'Basic Information';
$lang['label_email'] = 'Email';
$lang['label_website'] = 'Website';
$lang['label_fax'] = 'Fax';
$lang['label_google_map'] = 'Google Map';
$lang['label_contact_person'] = 'Contact Person';
$lang['label_disabled'] = 'Disabled';
$lang['label_select'] = 'Please Select';
$lang['label_mobile_number'] = 'Mobile Number';
$lang['placeholder_mobile_number'] = 'Please enter a valid mobile number';
$lang['label_external_url'] = 'External URL';
$lang['label_product'] = 'Product';
$lang['label_optional'] = '(Optional)';
$lang['placeholder_title_optional'] = 'Please enter title for video or it will be taken automatically from youtube';
$lang['placeholder_video'] = 'Please enter full URL of youtube video';
$lang['label_video_url'] = 'Video URL';
$lang['placeholder_cost'] = 'e.g. $20';
$lang['label_max_discount'] = 'Maximum Discount';
$lang['label_fixed'] = 'Fixed';
$lang['label_percentage'] = 'Percentage';
$lang['label_start_date'] = 'Start Date';
$lang['label_end_date'] = 'End Date';
$lang['label_free'] = 'Free';
$lang['label_city'] = 'City';
$lang['label_user_phone'] = 'Phone No.';
$lang['msg_valid_coupon'] = 'Please enter a valid coupon code';
$lang['msg_coupon_already_used'] = 'You have already used this coupon code';
$lang['msg_coupon_applied'] = 'Coupon Applied';
$lang['msg_coupon_user_specific'] = 'Coupons are user specific, please login to apply a Coupon Code.';
$lang['label_additional_info'] = 'Additional Information';
$lang['label_comment'] = 'Comment';
$lang['label_lifetime'] = 'Lifetime';
$lang['label_km'] = 'km';
$lang['label_miles'] = 'miles';
$lang['label_website_url'] = 'Website URL';
$lang['placeholder_website_url'] = 'Enter your Website URL';

// ORDER NOTIFICATION MEMBER CHECKOUT
$lang['label_order_created_notified'] = 'Order Created and Customer Notified';
$lang['label_order_info_updated'] = 'Customer tried to Pay Invoice, Order Info Updated';

//------------------------------------------------------------------------------
// Leads Form View and Detail Page
//------------------------------------------------------------------------------
$lang['cn_form_title'] = 'Fill this Form and Get Best Quotes from %s vendors in your City';
$lang['cn_form_help'] = 'Fill this Form and Suitable %s vendors will call instantly with best rates';
$lang['cn_chose_your_need'] = 'Choose your need';
$lang['not_applicable'] = 'N/A';
$lang['post_your_requirements'] = 'Post Your Requirements';
$lang['label_product_service'] = 'Product/Service';
$lang['label_category'] = 'Category';
$lang['label_select_category'] = 'Select Category';
$lang['label_subcategory'] = 'Sub Category';
$lang['placeholder_subcategory'] = 'Please select a Sub Category';
$lang['label_subsubcategory'] = 'Sub Sub Category';
$lang['help_product_service'] = 'Enter product/service name';

//------------------------------------------------------------------------------
// Login
//------------------------------------------------------------------------------
$lang['bf_action_register'] = 'Sign Up';
$lang['login_now'] = 'Login Now';
$lang['bf_forgot_password'] = 'Forgot your password?';
$lang['bf_remember_me'] = 'Remember me';

//------------------------------------------------------------------------------
// Password Help Fields to be used as a warning on register
//------------------------------------------------------------------------------
$lang['bf_password_number_required_help'] = 'Password must contain at least 1 number.';
$lang['bf_password_caps_required_help'] = 'Password must contain at least 1 capital and 1 lowercase letter.';
$lang['bf_password_symbols_required_help'] = 'Password must contain at least 1 symbol.';
$lang['bf_password_min_length_help'] = 'Password must be at least %s characters long.';
$lang['bf_password_length'] = 'Password Length';

//------------------------------------------------------------------------------
// Activation
//------------------------------------------------------------------------------
$lang['bf_activate_method'] = 'Activation Method';
$lang['bf_activate_none'] = 'None';
$lang['bf_activate_email'] = 'Email';
$lang['bf_activate_admin'] = 'Admin';
$lang['bf_activate_otp'] = 'OTP';
$lang['bf_activate'] = 'Activate';
$lang['bf_activate_resend'] = 'Resend Activation';
$lang['bf_reg_complete_error'] = 'An error occurred completing your registration. Please try again or contact the site administrator for help.';
$lang['bf_reg_activate_email'] = 'An email containing your activation code has been sent to [EMAIL].';
$lang['bf_reg_activate_admin'] = 'You will be notified when the site administrator has approved your membership.';
$lang['bf_reg_activate_none'] = 'Please login to begin using the site.';
$lang['bf_user_not_active'] = 'User account is not active.';
$lang['bf_login_activate_title'] = 'Need to activate your account?';
$lang['bf_login_activate_email'] = '<b>Have an activation code to enter to activate your membership?</b> Enter it on the [ACCOUNT_ACTIVATE_URL] page.<br /><br />    <b>Need your code again?</b> Request it again on the [ACTIVATE_RESEND_URL] page.';

//------------------------------------------------------------------------------
// Migrations lib
//------------------------------------------------------------------------------
$lang['no_migrations_found'] = 'No migration files were found';
$lang['multiple_migrations_version'] = 'Multiple migrations version: %d';
$lang['multiple_migrations_name'] = 'Multiple migrations name: %s';
$lang['migration_class_doesnt_exist'] = 'Migration class does not exist: %s';
$lang['wrong_migration_interface'] = 'Wrong migration interface: %s';
$lang['invalid_migration_filename'] = 'Wrong migration filename: %s - %s';

//------------------------------------------------------------------------------
// Profiler Template
//------------------------------------------------------------------------------
$lang['bf_profiler_box_benchmarks'] = 'Benchmarks';
$lang['bf_profiler_box_console'] = 'Console';
$lang['bf_profiler_box_files'] = 'Files';
$lang['bf_profiler_box_memory'] = 'Memory Usage';
$lang['bf_profiler_box_queries'] = 'Queries';
$lang['bf_profiler_box_session'] = 'Session User Data';
$lang['bf_profiler_menu_console'] = 'Console';
$lang['bf_profiler_menu_files'] = 'Files';
$lang['bf_profiler_menu_memory'] = 'Memory Used';
$lang['bf_profiler_menu_memory_mb'] = 'MB';
$lang['bf_profiler_menu_queries'] = 'Queries';
$lang['bf_profiler_menu_queries_db'] = 'Database';
$lang['bf_profiler_menu_time'] = 'Load Time';
$lang['bf_profiler_menu_time_ms'] = 'ms';
$lang['bf_profiler_menu_time_s'] = 's';
$lang['bf_profiler_menu_vars'] = '<span>vars</span> &amp; Config';
$lang['bf_profiler_true'] = 'true';
$lang['bf_profiler_false'] = 'false';

//------------------------------------------------------------------------------
// Form Validation
//------------------------------------------------------------------------------
$lang['bf_form_unique'] = 'The value in &quot;%s&quot; is already being used.';
$lang['form_unique_title'] = 'Unique (Title, Address and Postcode)';
$lang['form_sanitize'] = 'Sanitize for security';
$lang['gc_form_unique_title'] = 'Business information with title &quot;%s&quot;, address &quot;%s&quot; and postcode &quot;%s&quot; is already being used.';
$lang['gc_form_decimal_extra'] = 'The %s field may only contain decimal values';
$lang['gc_form_is_array'] = 'The %s field must be an array';
$lang['alpha_dash'] = 'The %s field may only contain alpha-numeric characters, underscores and dashes.';
$lang['bf_form_alpha_extra'] = 'The %s field may only contain alpha-numeric characters, spaces, periods, underscores, and dashes.';
$lang['bf_form_alpha_key'] = 'The %s field may only contain alpha characters and underscores.';
$lang['bf_form_alpha_title'] = 'The %s field may only contain alpha-numeric characters and spaces. Periods, underscores, and dashes are not allowed.';
$lang['gc_form_alpha_slug'] = 'The %s field may only contain alpha-numeric characters, periods, underscores, and dashes.';
$lang['bf_form_matches_pattern'] = 'The %s field does not match the required pattern.';
$lang['bf_form_valid_password'] = 'The %s field must be at least {min_length} characters long.';
$lang['bf_form_valid_password_nums'] = '%s must contain at least 1 number.';
$lang['bf_form_valid_password_syms'] = '%s must contain at least 1 punctuation mark.';
$lang['bf_form_valid_password_mixed_1'] = '%s must contain at least 1 uppercase characters.';
$lang['bf_form_valid_password_mixed_2'] = '%s must contain at least 1 lowercase characters.';
$lang['bf_form_allowed_types'] = '%s must contain one of the allowed selections.';
$lang['bf_form_one_of'] = '%s must contain one of the available selections.';
$lang['bf_form_valid_date_time'] = '%s format is not correct.';
$lang['bf_form_valid_datetime_future'] = 'The %s format is either invalid or you may have used a date in the past.';
$lang['bf_form_not_valid'] = '%s is invalid!';
$lang['bf_form_not_valid_url'] = '%s is not valid. URL must start with http:// or https://';
$lang['bf_form_not_valid_youtube_url'] = 'This is not a valid YouTube %s';
$lang['bf_form_max_keywords'] = 'The %s field may only contain maximum %s keywords';
$lang['bf_form_max_ids'] = 'The %s field may only contain maximum %s listing id\'s';
$lang['gc_check_user_existence'] = 'User already exists with this email address, please use a different email address or login to your account before checkout.';
$lang['description_limit'] = '(Maximum characters %s)';
$lang['keywords_limit'] = 'Only comma separated values are allowed and you can input %s keywords';
$lang['no_limit'] = 'Unlimited';
$lang['bf_form_alpha_keyword'] = 'The %s field may only contain alpha-numeric characters and spaces. Periods, underscores, and dashes are not allowed.';
$lang['bf_min_value'] = '%s minimum value is less than %s';
$lang['bf_max_value'] = '%s maximum value is greater than %s';
$lang['bf_diff_between'] = '%s fields must not exceed the permissible value';
$lang['bf_compare_fields'] = 'The %s field must have a higher value than the Between field';
$lang['is_greater_than'] = 'The %s field must have a higher value than the %s field';
$lang['gc_compare_dates'] = 'The %s date must be earlier than %s date.';
$lang['gc_job_compare_fields'] = '%s field must be greater than Minimum Experience field';
$lang['gc_valid_date'] = 'The %s date must be in valid format.';
$lang['gc_valid_time'] = 'The %s time must be in valid format (HH:MM AM/PM e.g. 10:10 AM).';
$lang['unique_email_template'] = 'The email template already exists with these settings';
$lang['bf_form_allowed_types_none'] = 'Configuration Error: No valid types available for the %s field.';
$lang['bf_form_max_file_size'] = 'The file in %s field must not exceed {max_size}';
$lang['bf_form_one_of_none'] = 'Configuration Error: No valid values available for the %s field.';
$lang['bf_form_alpha_numeric_only'] = 'The %s field may only contain alpha-numeric characters and underscore.';
$lang['bf_form_valid_url'] = '%s must contain a valid URL.';
$lang['gc_valid_gstno'] = 'The %s date must be in valid format.';

// Image Crud
$lang['upload_button'] = 'Upload files here';
$lang['upload-drop-area'] = 'Drop files here to upload';
$lang['upload-cancel'] = 'Cancel';
$lang['upload-failed'] = 'Failed';
$lang['loading'] = 'Loading, please wait...';
$lang['deleting'] = 'Deleting, please wait...';
$lang['saving_title'] = 'Saving title...';
$lang['list_delete'] = 'Delete';
$lang['alert_delete'] = 'Are you sure that you want to delete this image?';

// Upgrade Membership
$lang['upgrade_packages'] = 'All Packages';
$lang['upgrade_now'] = 'Upgrade Now';
$lang['upgrade_membership'] = 'Upgrade Your Membership';
$lang['label_premium_benefits'] = 'Premium Benefits';
$lang['label_more_leads'] = 'More Leads';
$lang['label_always_top'] = 'Always on Top';
$lang['upgrade_trusted_seal'] = 'Trust Seal to improve credibility, build customer trust, and increase conversions and Sales!';

$lang['label_more_information'] = 'More Information';
$lang['label_more_info'] = 'More Info';
$lang['contact_us'] = 'Contact Us';
$lang['label_results'] = 'Results';

// Tax Settings
$lang['label_tax_slab'] = 'Tax Slab';
$lang['help_tax_slab'] = 'Implement tax configuration as per your country act. E.g. GST (Goods and Services Tax) is an indirect tax levied in India on the sale of products and services.';
$lang['label_tax_settings'] = 'Tax Settings';
$lang['label_inclusive'] = 'Inclusive';
$lang['label_exclusive'] = 'Exclusive';
