<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2015, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT The MIT License.
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Application language file (English)
 *
 * Localization strings used by Bonfire
 *
 * @package Bonfire\Application\Language\English
 * @author  Bonfire Dev Team
 * @link    http://cibonfire.com/docs/developer
 */


//------------------------------------------------------------------------------
// ! GENERAL SETTINGS
//------------------------------------------------------------------------------
$lang['bf_site_name'] = 'Nom de site';
$lang['bf_site_email'] = 'Email du site';
$lang['bf_site_email_help'] = 'Email utilis par le systme lors de l\'envoie de message';
$lang['bf_site_status'] = 'Statut du site';
$lang['bf_online'] = 'Online';
$lang['bf_offline'] = 'Offline';
$lang['bf_top_number'] = 'Elments <em>par</em> page:';
$lang['bf_top_number_help'] = 'Lors de l\'affichage des rapports, combien d\'lments doivent tre affichs  la fois ?';
$lang['bf_home'] = 'Accueil';
$lang['bf_site_information'] = 'Information du site';
$lang['bf_timezone'] = 'Zone horraire';
$lang['bf_language'] = 'Langue';
$lang['bf_language_help'] = 'Choisissez les langues disponibles pour les inscrits';

// --------------------------------------------------------------------
// ! AUTH SETTINGS
// --------------------------------------------------------------------
$lang['bf_security'] = 'Securit';
$lang['bf_login_type'] = 'Type de login';
$lang['bf_login_type_email'] = 'Email seuleument';
$lang['bf_login_type_username'] = 'Nom d\'inscrits seuleument';
$lang['bf_allow_register'] = 'Permettre l\'inscription d\'utilisateur ?';
$lang['bf_login_type_both'] = 'Email ou Nom d\'utilisateur';
$lang['gc_login_site'] = '* ';
$lang['gc_register_with'] = '* ';
$lang['gc_sign_in_by'] = '* ';
$lang['bf_use_usernames'] = 'Affichage des inscrits sur Bonfire';
$lang['bf_use_own_name'] = 'utiliser le nom';
$lang['bf_allow_remember'] = 'Permettre \'Se souvenir de moi\' ?';
$lang['bf_remember_time'] = 'Se souvenir de moi';
$lang['bf_week'] = 'Semaine';
$lang['bf_weeks'] = 'Semaines';
$lang['bf_days'] = 'Jours';
$lang['bf_username'] = 'Nom d\'utilisateur';
$lang['bf_password'] = 'Mot de passe';
$lang['bf_password_confirm'] = 'Mot de passe (encore)';
$lang['bf_display_name'] = 'Afficher le nom';
$lang['heading_not_a_robot'] = '* ';

//------------------------------------------------------------------------------
// ! CRUD SETTINGS
//------------------------------------------------------------------------------
$lang['bf_home_page'] = 'Page d\'Accueil';
$lang['bf_pages'] = 'Pages';
$lang['bf_enable_rte'] = 'Autoriser le RTE pour les pages ?';
$lang['bf_rte_type'] = 'Type de RTE';
$lang['bf_searchable_default'] = 'Recherchable par dfaut?';
$lang['bf_cacheable_default'] = 'Mise en cache par dfaut ?';
$lang['bf_track_hits'] = 'Suivre les Hits ?';

$lang['bf_action_save'] = 'Enregistrer';
$lang['bf_action_delete'] = 'Supprimer';
$lang['bf_action_edit'] = '* ';
// $lang['bf_action_undo'] = 'Undo';
$lang['bf_action_cancel'] = 'Annuler';
$lang['bf_action_download'] = 'Tlcharger';
$lang['bf_action_preview'] = 'Prvisualiser';
$lang['bf_action_search'] = 'Rechercher';
$lang['bf_action_purge'] = 'Purger';
$lang['bf_action_restore'] = 'Restaurer';
// $lang['gc_action_activate'] = 'Activate';
// $lang['gc_action_deactivate'] = 'Deactivate';
$lang['bf_action_show'] = 'Voir';
$lang['bf_action_login'] = 'Se connecter';
$lang['bf_action_logout'] = 'Se dconnecter';
$lang['bf_actions'] = 'Actions';
$lang['bf_clear'] = 'Effacer';
$lang['bf_action_list'] = 'List';
$lang['bf_action_create'] = 'Crer';
$lang['bf_action_ban'] = 'Ban';
// $lang['bf_action_spam'] = 'Mark as Spam';
// $lang['filter_first_letter'] = 'Filter by letter: ';

//------------------------------------------------------------------------------
// ! SETTINGS LIB
//------------------------------------------------------------------------------
// $lang['bf_do_check'] = 'Check for updates?';
// $lang['bf_do_check_edge'] = 'Must be enabled to see bleeding edge updates as well.';
// $lang['bf_update_show_edge'] = 'View bleeding edge updates?';
// $lang['bf_update_info_edge'] = 'Leave unchecked to only check for new tagged updates. Check to see any new commits to the official repository.';
$lang['bf_ext_profile_show'] = 'les inscrits ont-il accs aux profils avancs ?';
$lang['bf_ext_profile_info'] = 'Cocher les profils avancs afin d\'avoir des options de meta-data avancs.';

$lang['bf_yes'] = 'Oui';
$lang['bf_no'] = 'Non';
$lang['bf_none'] = 'Vide';
$lang['bf_id'] = 'ID';

$lang['bf_or'] = 'ou';
$lang['bf_size'] = 'Poids';
$lang['bf_files'] = 'Fichiers';
$lang['bf_file'] = 'Fichier';

$lang['bf_with_selected'] = 'avec les slectionns';

$lang['bf_env_dev'] = 'Developement';
$lang['bf_env_test'] = 'Test';
$lang['bf_env_prod'] = 'Production';

$lang['bf_show_profiler'] = 'Voir le profil de l\'Administrateur?';
$lang['bf_show_front_profiler'] = 'Voir les profil sur le FrontEnd?';

$lang['bf_cache_not_writable'] = 'Le rpertoire de cache est protg en criture';

$lang['bf_password_strength'] = 'Rglages des mots de passe';
$lang['bf_password_length_help'] = 'Taille du mot de passe minimum (ex : 8)';
$lang['bf_password_force_numbers'] = 'Le mot de passe doit-il focer les numros ?';
$lang['bf_password_force_symbols'] = 'Le mot de passe doit-il forcer les symboles ?';
$lang['bf_password_force_mixed_case'] = 'Le mot de passe doit-il forcer la case ?';
$lang['bf_password_show_labels'] = 'Afficher les labels de validation du mot de passe';
// $lang['bf_password_iterations_note'] = 'Higher values increase the security and the time taken to hash the passwords.<br/>See the <a href="http://www.openwall.com/phpass/" target="blank">phpass page</a> for more information. If in doubt, leave at 8.';

//------------------------------------------------------------------------------
// ! USER/PROFILE
//------------------------------------------------------------------------------
$lang['bf_user'] = 'Utilisateur';
$lang['bf_users'] = 'Utilisateurs';
$lang['bf_description'] = 'Description';
$lang['bf_email'] = 'Email';
$lang['bf_user_settings'] = 'Mon profil';
$lang['bf_both'] = 'tous les deux';
$lang['bf_go_back'] = 'Revenir en arrire';
// $lang['gc_reset'] = 'Reset';
$lang['bf_new'] = 'Nouveau';
$lang['bf_required_note'] = 'Les champs obligatoire sont en <b>gras</b>.';
$lang['bf_form_label_required'] = '<span class="required">*</span>';

//------------------------------------------------------------------------------
// BF_Model
//------------------------------------------------------------------------------
$lang['bf_model_db_error'] = 'Erreur DB : %s';
// $lang['bf_model_no_data'] = 'No data available.';
// $lang['bf_model_invalid_id'] = 'Invalid ID passed to model.';
// $lang['bf_model_no_table'] = 'Model has unspecified database table.';
$lang['bf_model_fetch_error'] = 'Pas assez d\'informations pour rechercher le champs.';
$lang['bf_model_count_error'] = 'Pas assez d\'informations pour compter les rsultats.';
$lang['bf_model_unique_error'] = 'Pas assez d\'informations pour vrifier l\'unicit.';
$lang['bf_model_find_error'] = 'Pas assez d\'informations pour trouver.';

//------------------------------------------------------------------------------
// Contexts
//------------------------------------------------------------------------------
$lang['bf_no_contexts'] = 'Le tableau "Contexte" n\'est pas correctement crer. Vrifier le fichier de configuration de votre application.';
// $lang['bf_context_dashboard'] = 'Dashboard';
$lang['bf_context_content'] = 'Contenu';
// $lang['bf_context_financial'] = 'Financial';
$lang['bf_context_reports'] = 'Raports';
$lang['bf_context_settings'] = 'Paramtres';
// $lang['bf_context_tools'] = 'Tools';
$lang['bf_context_developer'] = 'Developper';
// $lang['bf_context_help'] = 'Help';

//------------------------------------------------------------------------------
// Activities
//------------------------------------------------------------------------------
$lang['bf_act_settings_saved'] = 'Options d\'application sauvegard de ';
$lang['bf_unauthorized_attempt'] = 'Impossible d\'accder  la page requiairant les permissions suivantes "%s" de ';
$lang['bf_keyboard_shortcuts'] = 'Racourcis claviers disponible :';
$lang['bf_keyboard_shortcuts_none'] = 'Il n\'y a aucun racourcis clavier disponible.';
$lang['bf_keyboard_shortcuts_edit'] = 'Mettre  jour les racourcis clavier.';

// --------------------------------------------------------------------
// OnType Location Selection
// --------------------------------------------------------------------
// $lang['select_city'] = 'Enter a city';
// $lang['help_city'] = 'Type your city name and select from the list';
// $lang['select_locality'] = 'Select a locality (nearby)';
// $lang['help_locality'] = 'Type your locality name and select from the list';

// --------------------------------------------------------------------
// Common
// --------------------------------------------------------------------
// $lang['classifieds'] = 'Classifieds';
// $lang['label_qrcode'] = 'QRCode';
// $lang['label_listing'] = 'Listing';
// $lang['listings'] = 'Listings';
// $lang['label_business'] = 'Business';
// $lang['label_service'] = 'Service';
// $lang['label_classified'] = 'Classified';
// $lang['label_business_hours'] = 'Business Hours';
// $lang['blogs'] = 'Blogs';
// $lang['deals'] = 'Deals';
// $lang['events'] = 'Events';
// $lang['jobs'] = 'Jobs';
// $lang['properties'] = 'Properties';
// $lang['videos'] = 'Videos';
// $lang['label_logo'] = 'Logo';
// $lang['products'] = 'Products';
// $lang['images'] = 'Images';
// $lang['others'] = 'Others';
// $lang['categories'] = 'Categories';
// $lang['locations'] = 'Locations';
// $lang['comments'] = 'Comments';
// $lang['financial'] = 'Financial';
// $lang['news'] = 'News';
$lang['bf_question_mark'] = '?';
$lang['bf_language_direction'] = 'ltr';
$lang['log_intro'] = 'Ce sont les messages du journal.';
// $lang['bf_name'] = 'Name';
// $lang['bf_status'] = 'Status';
// $lang['view_details'] = 'View Details';
// $lang['upload_photos'] = 'Upload Photos';
// $lang['label_my'] = 'My';
// $lang['general_information'] = 'General Information';
// $lang['extra_information'] = 'Extra Information';
// $lang['additional_information'] = 'Additional Information';
// $lang['label_alphabetically'] = 'Alphabetically';
// $lang['label_top_rated'] = 'Top Rated';
// $lang['label_relevance'] = 'Relevance';
// $lang['no_filter'] = 'Clear Filter';
// $lang['sorted_by'] = 'Sorted By';
// $lang['business_details'] = 'Business Details';
// $lang['ratings_and_review'] = 'Ratings & Review';
// $lang['label_never'] = 'Never';
// $lang['gc_tab_all'] = 'All';
// $lang['bulk_import'] = 'Bulk Import';
// $lang['btn_clone'] = 'Clone';
// $lang['label_copy'] = 'Copy';
// $lang['get_directions'] = 'Get Directions';
// $lang['action_save'] = 'Save';
// $lang['label_view'] = 'View';
// $lang['label_value_between'] 	= 'Between';
// $lang['label_value_and'] 		= 'and';
// $lang['label_difference_warning'] = 'The difference should not exceed %s';
// $lang['label_listing_ids'] 		= 'Listing ID(s)';
// $lang['label_ids'] 		= 'ID(s)';
// $lang['label_insert_only'] = 'Insert Only';
// $lang['label_insert_update'] = 'Insert and Update';
// $lang['label_db_transaction'] = 'Transaction Type';
// $lang['msg_success'] 			= 'Action performed successfully';
// $lang['label_deselect_all'] = 'Deselect All';
// $lang['label_meta_title'] = 'Meta Title';
// $lang['label_meta_keywords'] = 'Meta Keywords';
// $lang['label_meta_description'] = 'Meta Description';
// $lang['label_admin_search']			= 'Go!';
// $lang['status_spam'] = 'Spam';
// $lang['label_order'] = 'Order';
// $lang['label_image'] = 'Image';
// $lang['label_categories'] = 'Categories';
// $lang['label_countries'] = 'Countries';
// $lang['states'] = 'States';
// $lang['cities'] = 'Cities';
// $lang['label_localities'] = 'Localities';
// $lang['label_keywords'] = 'Keywords';
// $lang['placeholder_keywords'] = 'e.g. guide, tips, review, tools, useful information';
// $lang['help_keywords'] = 'Use comma separated values only';
// $lang['help_address'] = 'e.g. #167, Partridge Street, Pine Hills, Albany 12201, New York';
// $lang['placeholder_external_url'] = 'e.g. http://www.YourDomain.com/useful-info.html';
// $lang['help_external_url'] = 'External Website Link from which the visitor can get more information.';
// $lang['created_on'] = 'Created On';
// $lang['modified_on'] = 'Modified On';
// $lang['label_latitude'] = 'Latitude';
// $lang['label_latitude_longitude'] = 'Latitude & Longitude';
// $lang['label_longitude'] = 'Longitude';
// $lang['label_location'] = 'Location';
// $lang['label_value'] = 'Value';
// $lang['tab_active'] = 'Active';
$lang['tab_cancelled'] = 'Cancelled';
// $lang['tab_approved'] = 'Approved';
// $lang['tab_rejected'] = 'Rejected';
// $lang['tab_forged'] = 'Forged';
// $lang['tab_pending'] = 'Pending';
// $lang['tab_confirmed'] = 'Confirmed';
// $lang['tab_failed'] = 'Failed';
$lang['tab_cancelled'] = 'Cancelled';
// $lang['tab_inactive'] = 'Inactive';
// $lang['tab_spammed'] = 'Spammed';
// $lang['tab_upgraded'] = 'Upgraded';
// $lang['tab_renewed'] = 'Renewed';
// $lang['tab_claimed'] = 'Claimed';
// $lang['tab_refunded'] = 'Refunded';
// $lang['tab_expired'] = 'Expired';
// $lang['tab_deleted'] = 'Deleted';
// $lang['label_country'] = 'Country';
// $lang['label_state'] = 'State';
// $lang['label_all_countries'] = 'All Countries';
// $lang['label_visitors'] = 'Visitors';
// $lang['label_visits'] = 'Visits';
// $lang['label_change_status'] = 'Change Status';
// $lang['message_mobile_valid'] = 'Valid Number';
// $lang['message_mobile_invalid'] = 'Invalid Number';
// $lang['label_pay'] = 'Pay';
// $lang['label_date_paid_never'] = 'Never';
// $lang['label_closed'] = 'Closed';
// $lang['us_tab_having'] = 'Having';
// $lang['label_tags'] = 'Tags';
// $lang['label_display_name'] = 'Display Name';
// $lang['label_day'] = 'Day';
// $lang['label_monday'] = 'Monday';
// $lang['label_tuesday'] = 'Tuesday';
// $lang['label_wednesday'] = 'Wednesday';
// $lang['label_thursday'] = 'Thursday';
// $lang['label_friday'] = 'Friday';
// $lang['label_saturday'] = 'Saturday';
// $lang['label_sunday'] = 'Sunday';
// $lang['label_property_type'] = 'Type of Property';
// $lang['label_coverage_area'] = 'Approx. Coverage Area';
// $lang['label_claim'] = 'Claim';
// $lang['label_job_experience'] = 'Experience';
// $lang['job_exp_yrs'] = 'yrs';
// $lang['click_to_call_unique_total'] = 'Click to Call (Unique - Total)';
// $lang['placeholder_select_product'] = 'Select product/service type...';
// $lang['comments_active'] = 'Approved';
// $lang['label_placed_on'] = 'Placed On';
// $lang['label_coupon_code'] = 'Coupon Code';
// $lang['label_code'] = 'Code';
// $lang['us_active'] = 'Active';
// $lang['us_inactive'] = 'Inactive';
// $lang['label_remaining'] = 'remaining';
// $lang['label_no_record_found'] = 'No records found that match your selection.';
// $lang['msg_permission_error'] = 'You don\'t have permission to access this page';
// $lang['msg_permission_expired_error'] = 'You don\'t have permission to access this page. Either you are not authorized or your listing might have expired.';
// $lang['msg_photo_permission_error'] = 'You don\'t have permission to upload images';
// $lang['msg_module_error'] = '%s membership does not allow you to add %s, please change/upgrade your package.';
// $lang['msg_no_row_selected'] = 'Please select atleast one row to perform the selected action';
// $lang['help_msg_images'] = 'You can have %s images per %s';
// $lang['help_slug']	= 'Slug field must be in small letters without spaces and special characters.';
// $lang['label_select_categories'] = 'Select Categories';
// $lang['msg_categories_limit'] = 'You can have maximum %s categories in this package';
// $lang['msg_admin_categories_limit'] = 'You are exceeding categories limit';
// $lang['help_categories_limit'] = 'First selected category would be your default category and you can have maximum %s categories in this package';

// ORDER AND INVOICE
// $lang['label_first_reminder'] = 'First Reminder';
// $lang['label_second_reminder'] = 'Second Reminder';
// $lang['label_third_reminder'] = 'Third Reminder';
// $lang['label_invoice_no'] = 'Invoice No';
// $lang['label_order_id'] = 'Order ID';
// $lang['label_next_invoice_date'] = 'Next Invoice Date';
// $lang['label_due_date'] = 'Due Date';
// $lang['label_date_paid'] = 'Date Paid';
// $lang['label_select_country'] = 'Select Country';
// $lang['placeholder_country'] = 'Select a country...';
// $lang['label_select_state'] = 'Select State';
// $lang['placeholder_state'] = 'Select a state...';
// $lang['label_select_city'] = 'Select City';
// $lang['placeholder_city'] = 'Select a city...';
// $lang['label_from'] = 'From';
// $lang['placeholder_from'] = 'Please enter a date when your classified starts';
// $lang['label_to'] = 'To';
// $lang['placeholder_to'] = 'Please enter a date when your classified ends';
// $lang['label_postcode'] = 'Postcode';
// $lang['label_taxrate'] 			= 'Tax Rate';
// $lang['placeholder_postcode'] = 'Please enter a valid postcode';
// $lang['label_address'] = 'Address';
// $lang['placeholder_address'] = 'Please enter your business address';
// $lang['label_price'] = 'Price';
// $lang['placeholder_price'] = 'Please enter a price for your %s';
// $lang['label_description'] = 'Description';
// $lang['label_basic_info'] = 'Basic Information';
// $lang['label_email'] = 'Email';
// $lang['label_website'] = 'Website';
// $lang['label_fax'] = 'Fax';
// $lang['label_google_map'] = 'Google Map';
// $lang['label_contact_person'] = 'Contact Person';
// $lang['label_disabled'] = 'Disabled';
// $lang['label_select'] = 'Please Select';
// $lang['label_mobile_number'] = 'Mobile Number';
// $lang['placeholder_mobile_number'] = 'Please enter a valid mobile number';
// $lang['label_external_url'] = 'External URL';
// $lang['label_product'] = 'Product';
// $lang['label_optional'] = '(Optional)';
// $lang['placeholder_title_optional'] = 'Please enter title for video or it will be taken automatically from youtube';
// $lang['placeholder_video'] = 'Please enter full URL of youtube video';
// $lang['placeholder_cost'] = 'e.g. $20';
// $lang['label_max_discount'] = 'Maximum Discount';
// $lang['label_fixed'] = 'Fixed';
// $lang['label_percentage'] = 'Percentage';
// $lang['label_start_date'] = 'Start Date';
// $lang['label_end_date'] = 'End Date';
// $lang['label_free'] = 'Free';
// $lang['label_city'] = 'City';
// $lang['label_user_phone'] = 'Phone No.';
// $lang['msg_valid_coupon'] = 'Please enter a valid coupon code';
// $lang['msg_coupon_already_used'] = 'You have already used this coupon code';
// $lang['msg_coupon_applied'] = 'Coupon Applied';
// $lang['label_additional_info'] = 'Additional Information';
// $lang['label_comment'] = 'Comment';
// $lang['label_lifetime'] = 'Lifetime';

// ORDER NOTIFICATION MEMBER CHECKOUT
// $lang['label_order_created_notified'] = 'Order Created and Customer Notified';
// $lang['label_order_info_updated'] = 'Customer tried to Pay Invoice, Order Info Updated';

//------------------------------------------------------------------------------
// Leads Form View and Detail Page
//------------------------------------------------------------------------------
// $lang['cn_form_title'] = 'Fill this Form and Get Best Quotes from %s vendors in your City';
// $lang['cn_form_help'] = 'Fill this Form and Suitable %s vendors will call instantly with best rates';
// $lang['cn_chose_your_need'] = 'Choose your need';
// $lang['not_applicable']	= 'N/A';
// $lang['post_your_requirements'] = 'Post Your Requirements';
// $lang['label_product_service'] = 'Product/Service';
// $lang['label_select_category'] = 'Select Category';
// $lang['help_product_service'] = 'Enter product/service name';

//------------------------------------------------------------------------------
// Login
//------------------------------------------------------------------------------
$lang['bf_action_register'] = 'S\'inscrire';
$lang['bf_forgot_password'] = 'Vous avez perdu votre mot de passe ?';
$lang['bf_remember_me'] = 'Se souvenir de moi';

//------------------------------------------------------------------------------
// Password Help Fields to be used as a warning on register
//------------------------------------------------------------------------------
$lang['bf_password_number_required_help'] = 'Le mot de passe doit contenir au moins 1 chiffre.';
$lang['bf_password_caps_required_help'] = 'Le mot de passe doit contenir au moins 1 lettre majuscule.';
$lang['bf_password_symbols_required_help'] = 'Le mot de passe doit contenir au moins 1 symbole.';
$lang['bf_password_min_length_help'] = 'Le mot de passe doit comporter au moins %s caractres.';
$lang['bf_password_length'] = 'Longueur du mot de passe';

// --------------------------------------------------------------------
// User Meta examples
// --------------------------------------------------------------------
// $lang['user_meta_title'] = 'Meta Title';
$lang['user_meta_street_name'] = 'Nom de la rue';
$lang['user_meta_type'] = 'Type';
$lang['user_meta_country'] = 'Pays';
$lang['user_meta_state'] = 'tat';

//------------------------------------------------------------------------------
// Activation
//------------------------------------------------------------------------------
$lang['bf_activate_method'] = 'Mthode d\'activation';
$lang['bf_activate_none'] = 'Aucune';
$lang['bf_activate_email'] = 'Email';
$lang['bf_activate_admin'] = 'Admin';
// $lang['bf_activate_otp'] = 'OTP';
$lang['bf_activate'] = 'Activer';
$lang['bf_activate_resend'] = 'Renvoyer l\'activation';
$lang['bf_reg_complete_error'] = 'Une erreur s\'est produite lors de votre enregistrement. Merci de ressayer ou contacter l\'administateur du site afin d\'obtenir de l\'aide';
$lang['bf_reg_activate_email'] = 'Un email contenant votre code d\'activation a t envoy  [EMAIL].';
$lang['bf_reg_activate_admin'] = 'Vous serez avertit lorsque l\'administrateur aura accepter votre enregistrement.';
$lang['bf_reg_activate_none'] = 'Merci de vous connecter afin de pouvoir utiliser ce site.';
$lang['bf_user_not_active'] = 'Le compte de cet utilisateur n\'est pas activ.';
$lang['bf_login_activate_title'] = 'Besoin d\'activer votre compte ?';
$lang['bf_login_activate_email'] = '<b>Avez-vous un code d\'activation pour votre enregistrement ?</b> Inscriver le sur cette page : [ACCOUNT_ACTIVATE_URL].<br /><br />    <b>Besoin de recevoir votre code d\'activation  nouveau ?</b> Cliquez ici pour le renvoyer [ACTIVATE_RESEND_URL].';

//------------------------------------------------------------------------------
// Migrations lib
//------------------------------------------------------------------------------
// $lang['no_migrations_found'] = 'No migration files were found';
// $lang['multiple_migrations_version'] = 'Multiple migrations version: %d';
// $lang['multiple_migrations_name'] = 'Multiple migrations name: %s';
// $lang['migration_class_doesnt_exist'] = 'Migration class does not exist: %s';
// $lang['wrong_migration_interface'] = 'Wrong migration interface: %s';
// $lang['invalid_migration_filename'] = 'Wrong migration filename: %s - %s';

//------------------------------------------------------------------------------
// Profiler Template
//------------------------------------------------------------------------------
// $lang['bf_profiler_box_benchmarks'] = 'Benchmarks';
// $lang['bf_profiler_box_console'] = 'Console';
// $lang['bf_profiler_box_files'] = 'Files';
// $lang['bf_profiler_box_memory'] = 'Memory Usage';
// $lang['bf_profiler_box_queries'] = 'Queries';
// $lang['bf_profiler_box_session'] = 'Session User Data';
// $lang['bf_profiler_menu_console'] = 'Console';
// $lang['bf_profiler_menu_files'] = 'Files';
// $lang['bf_profiler_menu_memory'] = 'Memory Used';
// $lang['bf_profiler_menu_memory_mb'] = 'MB';
// $lang['bf_profiler_menu_queries'] = 'Queries';
// $lang['bf_profiler_menu_queries_db'] = 'Database';
// $lang['bf_profiler_menu_time'] = 'Load Time';
// $lang['bf_profiler_menu_time_ms'] = 'ms';
// $lang['bf_profiler_menu_time_s'] = 's';
// $lang['bf_profiler_menu_vars'] = '<span>vars</span> &amp; Config';
// $lang['bf_profiler_true'] = 'true';
// $lang['bf_profiler_false'] = 'false';

//------------------------------------------------------------------------------
// Form Validation
//------------------------------------------------------------------------------
// $lang['bf_form_unique'] = 'The value in &quot;%s&quot; is already being used.';
// $lang['form_unique_title'] = 'Unique (Title, Address and Postcode)';
// $lang['form_sanitize'] = 'Sanitize for security';
// $lang['gc_form_unique_title'] = 'Business information with title &quot;%s&quot;, address &quot;%s&quot; and postcode &quot;%s&quot; is already being used.';
// $lang['gc_form_decimal_extra'] = 'The %s field may only contain decimal values';
// $lang['gc_form_is_array'] = 'The %s field must be an array';
// $lang['alpha_dash'] = 'The %s field may only contain alpha-numeric characters, underscores and dashes.';
// $lang['bf_form_alpha_extra'] = 'The %s field may only contain alpha-numeric characters, spaces, periods, underscores, and dashes.';
// $lang['bf_form_alpha_title'] = 'The %s field may only contain alpha-numeric characters and spaces. Periods, underscores, and dashes are not allowed.';
// $lang['gc_form_alpha_slug'] = 'The %s field may only contain alpha-numeric characters, periods, underscores, and dashes.';
// $lang['bf_form_matches_pattern'] = 'The %s field does not match the required pattern.';
// $lang['bf_form_valid_password'] = 'The %s field must be at least {min_length} characters long.';
// $lang['bf_form_valid_password_nums'] = '%s must contain at least 1 number.';
// $lang['bf_form_valid_password_syms'] = '%s must contain at least 1 punctuation mark.';
// $lang['bf_form_valid_password_mixed_1'] = '%s must contain at least 1 uppercase characters.';
// $lang['bf_form_valid_password_mixed_2'] = '%s must contain at least 1 lowercase characters.';
// $lang['bf_form_allowed_types'] = '%s must contain one of the allowed selections.';
// $lang['bf_form_one_of'] = '%s must contain one of the available selections.';
// $lang['bf_form_valid_date_time'] = '%s format is not correct.';
// $lang['bf_form_not_valid'] = '%s is invalid!';
// $lang['bf_form_not_valid_url'] = '%s is not valid. URL must start with http:// or https://';
// $lang['bf_form_not_valid_youtube_url'] = 'This is not a valid YouTube %s';
// $lang['bf_form_max_keywords'] = 'The %s field may only contain maximum %s keywords';
// $lang['bf_form_max_ids'] = 'The %s field may only contain maximum %s listing id\'s';
// $lang['description_limit'] = '(Maximum characters %s)';
// $lang['keywords_limit'] = 'Only comma separated values are allowed and you can input %s keywords';
// $lang['no_limit'] = 'Unlimited';
// $lang['bf_form_alpha_keyword'] = 'The %s field may only contain alpha-numeric characters and spaces. Periods, underscores, and dashes are not allowed.';
// $lang['bf_min_value'] = '%s minimum value is less than %s';
// $lang['bf_max_value'] = '%s maximum value is greater than %s';
// $lang['bf_diff_between'] = '%s fields must not exceed the permissible value';
// $lang['bf_compare_fields'] = 'The %s field must have a higher value than the Between field';
// $lang['gc_compare_dates'] = 'The %s date must be earlier than %s date.';
// $lang['gc_job_compare_fields'] = '%s field must be greater than Minimum Experience field';
// $lang['gc_valid_date'] = 'The %s date must be in valid format.';
// $lang['gc_valid_time'] = 'The %s time must be in valid format (HH:MM AM/PM e.g. 10:10 AM).';

// $lang['bf_form_allowed_types_none'] = 'Configuration Error: No valid types available for the %s field.';
// $lang['bf_form_max_file_size'] = 'The file in %s field must not exceed {max_size}';
// $lang['bf_form_one_of_none'] = 'Configuration Error: No valid values available for the %s field.';

// $lang['bf_form_valid_url'] = '%s must contain a valid URL.';


// --------------------------------------------------------------------
// Listing Validation
// --------------------------------------------------------------------
// $lang['ls_err_no_id'] = 'No Listing ID was received';
// $lang['ls_empty_id'] = 'No listing id provided. You must provide a listing id to perform this action.';
// $lang['ls_action'] = 'Add';
// $lang['ls_logo_upload_success'] = 'Logo Uploaded Successfully';
// $lang['listings_action_logo'] = 'Upload Logo';

// --------------------------------------------------------------------
// GoClixy Language
// --------------------------------------------------------------------
// $lang['listings_manage'] = 'Manage Listings';
// $lang['add'] = 'Add';
// $lang['edit'] = 'Edit';
// $lang['listings_true'] = 'True';
// $lang['listings_false'] = 'False';
// $lang['save'] = 'Save';
// $lang['back_to_listings'] = 'Back to Listings';
// $lang['list'] = 'Back to Listings';
// $lang['listings_create'] = 'Create Listing';
// $lang['new'] = 'New';
// $lang['create_success'] = 'Record successfully added.';
// $lang['msg_save_success'] = '%s successfully saved';
// $lang['msg_status_changed'] = '%s status changed successfully';
// $lang['msg_delete_success'] = '%s successfully deleted';
// $lang['create_failure'] = 'There was a problem creating the record: ';
// $lang['msg_create_failure'] = 'There was a problem creating the %s';
// $lang['invalid_id'] = 'Invalid ID.';
// $lang['edit_success'] = 'Record successfully saved.';
// $lang['edit_failure'] = 'There was a problem saving the record: ';
// $lang['msg_edit_failure'] = 'There was a problem saving the %s';
// $lang['delete_success'] = 'Record(s) successfully deleted.';
// $lang['delete_failure'] = 'We could not delete the record: ';
// $lang['msg_delete_failure'] = 'We could not delete the %s';
// $lang['cancel'] = 'Go Back';
// $lang['delete_record'] = 'Delete';
// $lang['delete_confirm'] = 'Are you sure you want to delete this record?';
// $lang['change_status_success'] = 'Row(s) status changed successfully';
// $lang['change_status_error'] = 'Unable to change row(s) status';
// $lang['label_activated'] = 'Activated';
// $lang['label_deactivated'] = 'Deactivated';
// $lang['label_deleted'] = 'Deleted';
// $lang['label_updated'] = 'Updated';
// $lang['label_restored'] = 'Restored';
// $lang['label_spammed'] = 'Spammed';
// $lang['msg_action_success'] = '%s Successfully %s.';
// $lang['msg_location_all'] = 'All Locations';
// $lang['msg_pagination_results'] = 'Displaying %s to %s of %s %s in %s';
// $lang['msg_pagination_without_end'] = 'Displaying %s of %s %s in %s';

// Activities
// $lang['act_create_record'] = 'Created record with ID';
// $lang['msg_act_create_record'] = 'Created %s with ID';
// $lang['act_edit_record'] = 'Updated record with ID';
// $lang['msg_act_edit_record'] = 'Updated %s with ID';
// $lang['act_delete_record'] = 'Deleted record with ID';
// $lang['msg_act_delete_record'] = 'Deleted %s with ID';
// $lang['delete_account_confirm'] = 'Are you sure you wish to delete the selected record(s)?';
// $lang['purge_del_confirm'] = 'Are you sure you want to completely remove the record(s) - there is no going back?';
// $lang['action_purged'] = 'Record(s) deleted permanently';
// $lang['msg_action_purged'] = '%s deleted permanently';
// $lang['restored_success'] = 'Record(s) restored successfully';
// $lang['msg_restored_success'] = '%s restored successfully';
// $lang['restored_error'] = 'Unable to perform restore operation';
// $lang['msg_mandatory_fields'] = 'All fields marked with a * are mandatory';
// $lang['msg_mandatory_fields_all'] = 'All fields are mandatory';

// Column Headings
// $lang['column_created'] = 'Created';
// $lang['column_deleted'] = 'Deleted';
// $lang['column_modified'] = 'Modified';

// Home Links
// $lang['top_advertisement'] = 'Want to always see your listing on top, %s';

// Status
// $lang['status'] = 'Waiting for approval';

// Share
// $lang['social_share_info'] = 'Share this info';
// $lang['pending'] = 'Pending';
// $lang['paid'] = 'Paid';
// $lang['cancelled'] = 'Cancelled';
// $lang['user_limit'] = 'You have reached your limit. You can add maximum %s %s in this package.';
// $lang['msg_module_disabled'] = 'The %s are disabled in this package, please contact admin or buy a new package.';
// $lang['msg_user_limit'] = 'You are using %s/%s %s in %s package';

// Images Upload
// $lang['upload_a_file'] = 'Upload a File';
// $lang['upload_button'] = 'Upload files here';
// $lang['upload-drop-area'] = 'Drop files here to upload';
// $lang['upload-cancel'] = 'Cancel';
// $lang['upload-failed'] = 'Failed';
// $lang['loading'] = 'Loading, please wait...';
// $lang['deleting'] = 'Deleting, please wait...';
// $lang['saving_title'] = 'Saving title...';
// $lang['saving_status'] = 'Saving status...';
// $lang['list_delete'] = 'Delete';
// $lang['image_active'] = 'Active';
// $lang['image_inactive'] = 'Inactive';
// $lang['image_status'] = 'Status';
// $lang['alert_delete'] = 'Are you sure that you want to delete this image?';
// $lang['upload_limit'] = 'You have reached your image upload limit';
// $lang['upload_failed'] = 'Either file size or pixels are exceeding the allowed filesize';
// $lang['image_help'] = 'Image size should not exceed %sKB in size and %s X %s in pixels';
// $lang['add_edit_photos'] = 'Add/Edit Photos';

// Listing details
// $lang['success_message'] = 'Your information has been sent successfully';
// $lang['failure_message'] = 'Unable to post your information, please try again letter';
// $lang['success_rating'] = 'Your rating has been posted';
// $lang['error_rating'] = 'There was a problem rating this %s';
// $lang['failure_rating'] = 'You have already rated for this %s';
// $lang['label_details'] = 'Details';

// Category View
// $lang['ads_click'] = 'Click Here';
// $lang['show_limit'] = 'Show';
// $lang['label_sort_by'] = 'Sort By';
// $lang['label_sort_by_default'] = 'Default';
// $lang['label_sort_by_rating_high'] = 'Rating (Highest)';
// $lang['label_sort_by_rating_low'] = 'Rating (Lowest)';
// $lang['heading_title'] = 'Title';
// $lang['heading_area'] = 'Area';
// $lang['heading_address'] = 'Address';
// $lang['heading_phone'] = 'Phone No';
// $lang['heading_logo'] = 'Logo';
// $lang['business_query'] = 'Send Query';
// $lang['label_query'] = 'Query';
// $lang['label_read_more'] = 'Read More';
// $lang['more_info'] = 'more';
// $lang['less_info'] = 'less';
// $lang['featured_listings'] = 'Featured Listings';
// $lang['suggested_listings'] = 'Suggested Listings';
// $lang['popular_listings'] = 'Popular Listings';
// $lang['recently_listings'] = 'Recently Added';
// $lang['related_listings'] = 'Related Listings';
// $lang['related_listings_text'] = ' Website and Review';
// $lang['added_on'] = 'Added on ';
// $lang['contact_heading'] = 'Tell Us What You Think...';
// $lang['contact_summary'] = 'We appreciate any feedback about your overall experience on our site or how to make it even better. Please fill in the below form with any comments and we will get back to you.';
// $lang['send_business_query'] = 'Send Business Query';
// $lang['query_heading'] = 'Ask Query To Business Owner...';
// $lang['query_summary'] = 'Please fill in the below form with your query and we will get back to you.';
// $lang['form_heading_title'] = 'Please fill below given details';
// $lang['label_message'] = 'Message';
// $lang['placeholder_message'] = 'Enter your message';
// $lang['placeholder_description'] = 'Please enter description';
// $lang['label_name'] = 'Name';
// $lang['placeholder_name'] = 'Enter your name';
// $lang['label_phone'] = 'Phone';
// $lang['label_phone_number'] = 'Phone Number';
// $lang['placeholder_phone'] = 'Enter your phone (Optional)';
// $lang['placeholder_email'] = 'Enter your email';
// $lang['placeholder_title'] = 'Enter title';
// $lang['label_review'] = 'Review';
// $lang['placeholder_review'] = 'Enter your review';
// $lang['label_captcha'] = 'Text within image';
// $lang['placeholder_captcha'] = 'Please enter the code.';
// $lang['error_invalid_captcha'] = 'Invalid security code';
// $lang['error_message'] = '%s is missing';
// $lang['error_message_email'] = 'Please enter a valid email';
// $lang['error_captcha'] = 'Please enter the code displayed within the image.';
// $lang['form_submit'] = 'Send';
// $lang['form_close'] = 'Close';
// $lang['captcha_refresh'] = 'Refresh';
// $lang['msg_click_here_login'] = '<strong>Click Here</strong> to Login';

// Detail Page
// $lang['detail_home'] = 'Home';
// $lang['detail_on'] = 'on';
// $lang['detail_related'] = 'Related';
// $lang['detail_products'] = 'Product(s)';
// $lang['detail_services'] = 'Service(s)';
// $lang['detail_gallery'] = 'Gallery';
// $lang['detail_classifieds'] = 'Classifieds';
// $lang['detail_description'] = 'Description';
// $lang['detail_provides'] = 'Provides';
// $lang['label_other_categories'] = 'Other Categories';
// $lang['label_other_information'] = 'Other Information';
// $lang['label_video_gallery'] = 'Video Gallery';
// $lang['error_not_exist'] = 'Uh oh! We couldn\'t find anything.';
// $lang['label_stars'] = 'Stars';
// $lang['label_half_star'] = 'Half Star';
// $lang['label_one_star'] = 'One Star';
// $lang['label_one_half_star'] = 'One & Half Star';
// $lang['label_two_stars'] = 'Two Stars';
// $lang['label_two_half_stars'] = 'Two & Half Stars';
// $lang['label_three_stars'] = 'Three Stars';
// $lang['label_three_half_stars'] = 'Three & Half Stars';
// $lang['label_four_stars'] = 'Four Stars';
// $lang['label_four_half_stars'] = 'Four & Half Stars';
// $lang['label_five_stars'] = 'Five Stars';
// $lang['label_not_rated'] = 'Not Rated';
// $lang['label_ratings'] = 'star(s) from';
// $lang['label_users_rated'] = 'user(s)';
// $lang['label_click_to_call'] = 'Click to Call';

// Share Information
// $lang['share_info'] = 'Send';
// $lang['send_sms'] = 'Send SMS';
// $lang['send_sms_heading'] = 'Send Business Info via SMS';
// $lang['label_mobile'] = 'Mobile';
// $lang['placeholder_mobile'] = 'Enter mobile number';
// $lang['error_mobile'] = 'Please enter a valid mobile number.';
// $lang['send_email'] = 'Send Email';
// $lang['send_email_heading'] = 'Send Business Info via Email';
// $lang['label_friends_email'] = 'Email To';
// $lang['placeholder_friends_email'] = 'Enter friend\'s email';
// $lang['label_your_email'] = 'Email From';
// $lang['error_email'] = 'Please enter a valid email';
// $lang['print_info'] = 'PDF';
// $lang['reply_email_heading'] = 'Reply via Email';
// $lang['sms_info_source'] = 'For complete info, visit ';
// $lang['email_error'] = 'Unable to send email';

// Review Section
// $lang['all_review'] = 'Review';
// $lang['reviews_of'] = 'Reviews of ';
// $lang['error_no_review'] = 'Uh oh! We couldn\'t find any review for this listing.';
// $lang['error_loggedin_review_only'] = 'Uh oh! You must log in to submit a review.';
// $lang['post_review'] = 'Post Review';
// $lang['label_erroneous'] = 'Reported Incorrect(s)';
// $lang['label_reported_erroneous'] = '%s Reported Incorrect(s)';
// $lang['manage_erroneous'] = 'All Reported Incorrect(s)';
// $lang['erroneous_report'] = 'Report Incorrect';
// $lang['erroneous_type'] = 'Incorrect Report Type';
// $lang['erroneous_option_first'] = 'Incorrect Business Name';
// $lang['erroneous_option_second'] = 'Invalid Phone Number(s)';
// $lang['erroneous_option_third'] = 'Invalid Email Address';
// $lang['erroneous_option_fourth'] = 'Other';
// $lang['erroneous_option_other'] = 'Incorrect Info';

// Header Links
// $lang['header_call_us'] = 'Call Us';
// $lang['header_email'] = 'Email';
// $lang['header_my_account'] = 'My Account';
// $lang['header_toggle_navigation'] = 'Toggle Navigation';
// $lang['header_select_state'] = 'Select a state...';
// $lang['header_select_city'] = 'Select a city...';
// $lang['header_select_locality'] = 'All Localities';
// $lang['gc_action_submit'] = 'Submit';
// $lang['header_location_term'] = 'Town, City or Postcode';
// $lang['header_category_term'] = 'Categories';
// $lang['header_select_category'] = 'All Categories';
// $lang['header_search_module'] = 'Search %s by title or description';
// $lang['header_search_term'] = 'Search by keyword...';
// $lang['header_change_country'] = 'Change Country';
// $lang['header_change_state'] = 'Change State';
// $lang['header_change_location'] = 'Change Location';
// $lang['header_change_country_state'] = 'Change Country/State';
// $lang['header_add_business'] = 'Add Your Business';
// $lang['label_submit_listing'] = 'Submit a Listing';
// $lang['label_not_your_location'] = 'Not Your Location';
// $lang['label_change_it'] = 'Change it';

// Home Page
// $lang['home_category_browse'] = 'Browse by Category';
// $lang['home_location_browse'] = 'Browse by Location';

// Footer Links
// $lang['display_footer_popular'] = 'Display Footer Popular';
// $lang['footer_copyright'] = 'Copyright';
// $lang['footer_about_us'] = 'About Us';
// $lang['footer_subscribers'] = 'Subscribe Now!';
// $lang['subscribe_now_btn'] = 'Subscribe';
// $lang['error_duplicate_email'] = 'You are already in our subscriber list';
// $lang['label_subscribers'] = 'Subscribers';
// $lang['create_subscriber_email'] = 'Send Subscriber Email';
// $lang['label_subscribed_on'] = 'Subscribed On';
// $lang['placeholder_subscriber_email'] = 'Enter Subscriber Email';
// $lang['footer_navigation'] = 'Navigation';
// $lang['footer_social'] = 'Follow Us';
// $lang['label_contact_us'] = 'Contact us';
// $lang['footer_useful_links'] = 'Useful Links';
// $lang['footer_quick_links'] = 'Quick Links';
// $lang['footer_partners'] = 'Partners';
// $lang['footer_popular_searches'] = 'Popular Searches';
// $lang['footer_popular_cities'] = 'Popular Cities';
// $lang['msg_subscription_success'] = 'You have successfully subscribed to our Newsletter. Thank your for your subscription.';
// $lang['msg_subscription_failure'] = 'Unable to subscribe to our Newsletter, please try again.';
// $lang['msg_unsubscribe_success'] = '<h3>YOU HAVE SUCCESSFULLY UNSUBSCRIBED FROM OUR NEWSLETTER.</h3><br />Your e-mail address has been removed from our mailing list.<br /><br />Yours sincerely,<br />%s<br /><br />';
// $lang['msg_unsubscribe_failure'] = '<h3>Your email address does not exist in our database!</h3><br />You might have already unsubscribed from our Newsletter<br />Yours sincerely,<br />%s<br /><br />';
// $lang['msg_checkout_redirection'] = 'You are being redirected to the checkout page';
// $lang['msg_claim_approved'] = 'Your claim request has been approved. You could now edit the listing from your account.';
// $lang['msg_claim_request'] = 'Your claim request has been submitted. Once approved, you will be able to see the claimed listing in your Dashboard';

// --------------------------------------------------------------------
// Themes - Members Area
// --------------------------------------------------------------------
// $lang['status_expired'] = 'Expired';
// $lang['members_menu'] = 'Menu';
// $lang['members_dashboard'] = 'Dashboard';
// $lang['members_business_queries'] = 'Business Queries';
// $lang['label_replied'] = 'Replied';
// $lang['label_not_replied'] = 'Waiting for Reply';
// $lang['members_comments'] = 'Comments';
// $lang['members_invoices'] = 'Invoices';
// $lang['members_orders'] = 'Orders';
// $lang['members_profile'] = 'View/Edit Account';
// $lang['members_logout'] = 'Logout';
// $lang['members_admin_messages'] = 'Messages from Admin';
// $lang['members_message_more_info'] = 'For more info, please check your email';
// $lang['members_login_information'] = 'Login Information';
// $lang['members_display_name'] = 'Display Name';
// $lang['members_last_login'] = 'Last Login';
// $lang['members_last_ip'] = 'Last IP';
// $lang['action_buy_membership'] = 'Buy Membership';
// $lang['label_image_uploader'] = 'Image Uploader';

// Dashboard
// $lang['label_id'] = 'ID';
// $lang['label_business_title'] = 'Business Title';
// $lang['label_type'] = 'Type';
// $lang['label_hits'] = 'Hits';
// $lang['no_of_hits'] = 'Number of Hits';
// $lang['label_commission'] = 'Commission';
// $lang['label_counts'] = 'Counts';
// $lang['label_gross_earning'] = 'Gross Earning';
// $lang['label_status'] = 'Status';
// $lang['error_no_record_found'] = 'No records found that match your selection.';
// $lang['validations_error'] = 'Please fix the following errors:';

// Checkout
// $lang['label_checkout'] = 'Checkout';
// $lang['label_billing_information'] = 'Billing Information';
// $lang['label_payment_methods'] = 'Payment Methods';
// $lang['label_review_order'] = 'Review Your Order';
// $lang['label_full_name'] = 'Full Name';
// $lang['label_apply_coupon'] = 'Apply Coupon';
// $lang['placeholder_discount_coupon'] = 'Discount Coupon...';
// $lang['label_discount'] = 'Discount';
// $lang['label_conditions_checkbox'] = 'I accept the %s';
// $lang['label_terms_conditions'] = 'Terms and Conditions*';
// $lang['btn_proceed_to_checkout'] = 'Proceed to Checkout';

// Form
// $lang['label_package'] = 'Package';
// $lang['label_posted_by'] = 'Posted By';
// $lang['label_posted_on'] = 'Posted On';
// $lang['label_posted_by_on'] = 'Posted by <strong>%s</strong> on %s';
// $lang['label_reply'] = 'Reply';
// $lang['label_title'] = 'Title';
// $lang['label_slug'] = 'Slug';
// $lang['placeholder_slug'] = 'e.g. goclixy-business-directory-script';
// $lang['label_amount'] = 'Amount';
// $lang['label_comments'] = 'Comments';
// $lang['label_received_on'] = 'Received On';
// $lang['label_action'] = 'Action';
// $lang['btn_buy_now'] = 'Buy Now!';
// $lang['label_valid_upto'] = 'Valid Upto';

// Business Query Form
// $lang['label_subject'] = 'Subject';
// $lang['placeholder_subject'] = 'Please enter subject for email';

// Invoice Template
// $lang['transaction_successful'] = 'Your payment has been received successfully, please visit the invoice section for invoice.';
// $lang['transaction_cancelled'] = 'Your last transaction was unsuccessful, please try again';
// $lang['order_not_confirmed'] = 'The status of your order is still not confirmed, please wait for Admin approval.';
// $lang['pyg_order_confirmed'] = 'You can add %s %s without making any further payment.';
// $lang['price_zero_transaction'] = 'You last transaction was successful';
// $lang['tab_all_invoices'] = 'All Invoices';
// $lang['invoice_title'] = 'Invoice';
// $lang['invoice_order'] = 'Order # ';
// $lang['invoice_billed_to'] = 'Billed To:';
// $lang['invoice_shipped_to'] = 'Shipped To:';
// $lang['invoice_payment_method'] = 'Payment Method:';
// $lang['invoice_order_date'] = 'Order Date:';
// $lang['invoice_order_summary'] = 'Order Summary';
// $lang['invoice_item'] = 'Item';
// $lang['invoice_item_price'] = 'Price';
// $lang['invoice_item_quantity'] = 'Quantity';
// $lang['invoice_item_totals'] = 'Totals';
// $lang['invoice_subtotal'] = 'Subtotal';
// $lang['invoice_total'] = 'Total';
// $lang['invoice_tax'] = 'Tax';
// $lang['invoice_status'] = 'Status:';
// $lang['invoice_message'] = 'For more information, please visit: ';

// --------------------------------------------------------------------
// Module Name
// --------------------------------------------------------------------
// $lang['label_date'] = 'Date';
// $lang['label_user'] = 'User';
// $lang['tab_all'] = 'All';
// $lang['label_ip_address'] = 'IP Address';
// $lang['label_membership_package'] = 'Membership Package';
// $lang['manage_transactions'] = 'Manage Transactions';
// $lang['label_back_to'] = 'Back to ';
// $lang['more_information'] = 'For more information, please';

// Listing Module
// $lang['logo'] = 'Logo';
// $lang['photos'] = 'Photos';
// $lang['business_hours'] = 'Business Hours';
// $lang['label_featured'] = 'Featured';
// $lang['label_expires_on'] = 'Expires On (Verified)';

// Email Templates
// $lang['label_sir_madam'] = 'Sir/Madam';

// Detail Page
// $lang['label_report'] = 'Report Incorrect';
// $lang['label_reported_on'] = 'Reported On';
// $lang['label_expires_on'] = 'Expires On';
// $lang['label_area'] = 'Area';
// $lang['label_type_lease'] = 'For Lease';
// $lang['label_type_rent'] = 'For Rent';
// $lang['label_type_sale'] = 'For Sale';
// $lang['label_owner'] = 'Owner';
// $lang['claim_help'] = 'Are you owner of this information?';
// $lang['claim_listing'] = 'Claim Listing';
// $lang['label_claim_price'] = 'Claim Price:';
// $lang['msg_active_membership_claim'] = 'You must have an active membership. Please buy a membership in order to proceed further.';
// $lang['label_claim_login'] = 'Please create an account and buy a membership to claim the listing.<br />After completion and admin approval, you will receive the listing ownership in your account';
// $lang['help_claim_process'] = 'You must have an active membership to complete the Claim Process. <br />Admin will review your request and process it accordingly.';

// Users Module
// $lang['label_manage'] = 'Manage';
// $lang['label_module'] = 'Module';

// --------------------------------------------------------------------
// 404 NOT FOUND AND SITE OFFLINE
// --------------------------------------------------------------------
// $lang['msg_not_found'] = 'Sorry, an error has occured, Requested page not found!';
// $lang['label_take_me_home'] = 'Take Me Home';
// $lang['label_contact_support'] = 'Contact Support';
// $lang['label_oops'] = 'Oops!';
// $lang['label_not_found'] = 'NOT FOUND';
// $lang['label_site_offline'] = 'Website temporarily offline';
// $lang['msg_check_back_again'] = 'Something\'s wrong??? Please check back again soon.';

// Form Validation
// $lang['required'] = 'The %s field is required.';
// $lang['valid_email'] = 'The %s field must contain a valid email address.';
// $lang['matches'] = 'The %s field does not match the %s field.';
// $lang['min_length'] = 'The %s field must be at least %s characters in length.';
// $lang['max_length'] = 'The %s field must be at most %s characters in length.';

// News
// $lang['label_years'] = 'year(s)';
// $lang['label_months'] = 'month(s)';
// $lang['label_weeks'] = 'week(s)';
// $lang['label_news_days'] = 'day(s)';
// $lang['label_hours'] = 'hour(s)';
// $lang['label_minutes'] = 'minute(s)';
// $lang['label_seconds'] = 'second(s)';
// $lang['label_ago'] = 'ago';

// Emailer
// $lang['em_template'] = 'Template';
// $lang['em_email_template'] = 'Email Template';
// $lang['em_emailer_queue'] = 'Email Queue';
// $lang['em_view_queue'] = 'View Queue';
// $lang['em_users'] = 'Users Email';
// $lang['em_listings'] = 'Listings Email';
// $lang['em_subscribers'] = 'Subscribers Email';
// $lang['em_settings'] = 'Email Settings';
// $lang['em_create_email'] = 'Send New Email';
// $lang['em_create_sb_email'] = 'Send Subscriber Email';

// Favorites
// $lang['favorites'] = 'Favorites';
// $lang['add_to_favorites'] = 'Add to Favorites';
// $lang['label_favorite'] = 'Favorite';
// $lang['my_favorites'] = 'My Favorites';

// Responsive File Manager Title
// $lang['tile_filemanager'] = 'Responsive File Manager';

// Affiliates
// $lang['label_affiliate'] = 'Affiliate';
// $lang['my_coupons'] = 'My Coupons';
// $lang['my_queries'] = 'My Queries';
// $lang['my_comments'] = 'My Comments';

// --------------------------------------------------------------------
// No Record Found
// --------------------------------------------------------------------
// $lang['search_tips'] = 'Search Tips: ';
// $lang['spelling_mistake'] = 'Check for spelling mistake in the search keyword';
// $lang['alternate_keyword'] = 'Try using alternate term(s) for your search keywords';
// $lang['specific_name'] = 'Type specific names.';

// --------------------------------------------------------------------
// Menu
// --------------------------------------------------------------------
// $lang['gc_menu_summary'] = 'Summary';
// $lang['gc_menu_categories'] = 'Categories';
// $lang['gc_menu_comments'] = 'Comments';
// $lang['gc_menu_listings'] = 'Listings';
// $lang['gc_menu_manage_listings'] = 'Manage Listings';
// $lang['gc_menu_listing_claims'] = 'Listing Claims';
// $lang['gc_menu_generate_qrcode'] = 'Generate QRCode';
// $lang['gc_menu_update_categories'] = 'Update Categories';
// $lang['gc_menu_link_validator'] = 'Link Validator';
// $lang['gc_menu_update_slug'] = 'Update Slug';
$lang['gc_menu_random_ratings'] = 'Random Ratings';
// $lang['gc_menu_file_manager'] = 'File Manager';
// $lang['gc_menu_listing_images'] = 'Listing Images';
// $lang['gc_menu_generate_thumbnails'] = 'Generate Thumbnails';
// $lang['gc_menu_news'] = 'News';
// $lang['gc_menu_pages'] = 'Pages';
// $lang['gc_menu_affiliates'] = 'Affiliates';
// $lang['gc_menu_payouts'] = 'Payouts';
// $lang['gc_menu_coupons'] = 'Coupons';
// $lang['gc_menu_invoices'] = 'Invoices';
// $lang['gc_menu_orders'] = 'Orders';
// $lang['gc_menu_packages'] = 'Packages';
// $lang['gc_menu_tax_rates'] = 'Tax Rates';
// $lang['gc_menu_activities'] = 'Activities';
// $lang['gc_menu_click_to_call'] = 'Click To Call';
// $lang['gc_menu_contact_queries'] = 'Contact Queries';
// $lang['gc_menu_erroneous'] = 'Reported Incorrect';
// $lang['gc_menu_visitors'] = 'Visitors';
// $lang['gc_menu_users'] = 'Users';
// $lang['gc_menu_banners'] = 'Banners';
// $lang['gc_menu_cronjobs'] = 'Cronjobs';
// $lang['gc_menu_currencies'] = 'Currencies';
// $lang['gc_menu_email_queue'] = 'Email Queue';
// $lang['gc_menu_email_templates'] = 'Email Templates';
// $lang['gc_menu_migrate'] = 'Import/Export';
// $lang['gc_menu_kb_shortcuts'] = 'Keyboard Shortcuts';
// $lang['gc_menu_locations'] = 'Locations';
// $lang['gc_menu_payment_gateways'] = 'Payment Gateways';
// $lang['gc_menu_sms_gateways'] = 'SMS Gateways';
// $lang['gc_menu_permissions'] = 'Permissions';
// $lang['gc_menu_roles'] = 'Roles';
// $lang['gc_menu_keyboard_shortcuts'] = 'Keyboard Shortcuts';
// $lang['gc_menu_user_management']	= 'User Management';
// $lang['gc_menu_hybrid_auth_management'] = 'HybridAuth Management';
// $lang['gc_menu_settings'] = 'Settings';
$lang['gc_menu_random_ratings'] = 'RRFrenchandom Ratings';
// $lang['gc_menu_code_builder'] = 'Code Builder';
// $lang['gc_menu_logs'] = 'Logs';
// $lang['gc_menu_sysinfo'] = 'System Information';
// $lang['gc_menu_database'] = 'Database';
// $lang['gc_menu_db_maintenance'] = 'Maintenance';
// $lang['gc_menu_db_backups'] = 'Backups';
// $lang['gc_menu_database_tools'] = 'Database Tools';
// $lang['gc_menu_migrations'] = 'Migrations';
// $lang['gc_menu_translate'] = 'Translate';
// $lang['gc_menu_tags'] = 'Tags';
// $lang['gc_menu_user_manual'] = 'User Manual';
// $lang['gc_menu_business_queries'] = 'Business Queries';
// $lang['gc_menu_branch_offices'] = 'Branch Offices';
// $lang['gc_menu_search_queries'] = 'Search Queries';
// $lang['gc_menu_leads'] = 'Leads';
// $lang['gc_menu_rss_feeds'] = 'RSS Feeds';
// $lang['gc_menu_listing_views'] = 'Listing Views';
// $lang['gc_menu_members'] = 'Members';
// $lang['manage_pages'] = 'Manage Pages';
// $lang['order_pages'] = 'Order Pages';
// $lang['label_banners'] = 'Banners';
// $lang['label_banner_types'] = 'Banner Types';
// $lang['label_importer'] = 'Importer';
// $lang['label_exporter'] = 'Exporter';
// $lang['module_page_title'] = '%s page';
// $lang['module_page_description'] = 'Latest %s in %s';
// $lang['goclixy_branding'] = 'Copyright &copy; %s %s';
// $lang['version'] = '3.0';