<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2015, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT The MIT License.
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Application language file (English)
 *
 * Localization strings used by Bonfire
 *
 * @package Bonfire\Application\Language\English
 * @author  Bonfire Dev Team
 * @link    http://cibonfire.com/docs/developer
 */


//------------------------------------------------------------------------------
// ! GENERAL SETTINGS
//------------------------------------------------------------------------------
$lang['bf_site_name'] = 'نام سایت';
$lang['bf_site_email'] = 'تنظیمات ایمیل';
$lang['bf_site_email_help'] = 'آدرس پست الکترونیکی پیشفرض که ایمیل های تولید شده توسط سیستم به وسیله آن ارسال میشود';
$lang['bf_site_status'] = 'وضعیت سایت';
$lang['bf_online'] = 'آنلاین';
$lang['bf_offline'] = 'آفلایت';
$lang['bf_top_number'] = 'مورد <em> در هر</em> صفحه:';
$lang['bf_top_number_help'] = 'به هنگام نمایش گزارشات چند مورد در هر صفحه نمایش داده شود؟';
$lang['bf_home'] = 'خانه';
$lang['bf_site_information'] = 'اطلاعات سایت';
$lang['bf_timezone'] = 'منطقه ی زمانی';
$lang['bf_language'] = 'زبان';
$lang['bf_language_help'] = 'زبان های قابل دسترس کاربران را انتخاب نمایید.';

// --------------------------------------------------------------------
// ! AUTH SETTINGS
// --------------------------------------------------------------------
$lang['bf_security'] = 'امنیت';
$lang['bf_login_type'] = 'نوع ورود';
$lang['bf_login_type_email'] = 'فقط ایمیل';
$lang['bf_login_type_username'] = 'فقط نام کاربری';
$lang['bf_allow_register'] = 'اجازه ثبت نام توسط کاربران؟';
$lang['bf_login_type_both'] = 'ایمیل یا نام کاربری';
$lang['gc_login_site'] = 'Login to your %s account';
$lang['gc_register_with'] = 'Register yourself with %s';
$lang['gc_sign_in_by'] = 'Sign in by %s';
$lang['bf_use_usernames'] = 'نمایش کاربران در بن فایر با:';
$lang['bf_use_own_name'] = 'استفاده از نام شخصی';
$lang['bf_allow_remember'] = 'اجازه استفاده از \'مرا به خاطر داشته باش\'؟';
$lang['bf_remember_time'] = 'به خاطر داشتن کاربران به مدت:';
$lang['bf_week'] = 'هفته';
$lang['bf_weeks'] = 'هفته';
$lang['bf_days'] = 'روز';
$lang['bf_username'] = 'نام کاربری';
$lang['bf_password'] = 'کلمه عبور';
$lang['bf_password_confirm'] = 'کلمه عبور (تکرار)';
$lang['bf_display_name'] = 'نام نمایشی';
$lang['heading_not_a_robot'] = 'Please prove you are not a robot';

//------------------------------------------------------------------------------
// ! CRUD SETTINGS
//------------------------------------------------------------------------------
$lang['bf_home_page'] = 'صفحه اصلی';
$lang['bf_pages'] = 'صفحات';
$lang['bf_enable_rte'] = 'فعال بودن ادیتور برای صفحات؟';
$lang['bf_rte_type'] = 'نوع ادیتور';
$lang['bf_searchable_default'] = 'به صورت پیشفرض قابل جستجو باشد؟';
$lang['bf_cacheable_default'] = 'به صورت پیشفرض قابلیت کش را داشته باشد؟';
$lang['bf_track_hits'] = 'پیگیری نمایش صفحه؟';

$lang['bf_action_save'] = 'ذخیره';
$lang['bf_action_delete'] = 'حذف';
$lang['bf_action_edit'] = 'Edit';
$lang['bf_action_undo'] = 'Undo';
$lang['bf_action_cancel'] = 'انصراف';
$lang['bf_action_browse'] = 'Browse...';
$lang['bf_action_download'] = 'دانلود';
$lang['bf_action_preview'] = 'پیش نمایش';
$lang['bf_action_search'] = 'جستجو';
$lang['bf_action_purge'] = 'پالایش';
$lang['bf_action_restore'] = 'بازگردانی';
$lang['gc_action_activate'] = 'Activate';
$lang['gc_action_deactivate'] = 'Deactivate';
$lang['bf_action_show'] = 'نمایش';
$lang['bf_action_login'] = 'ورود';
$lang['bf_action_logout'] = 'خروج';
$lang['bf_actions'] = 'عملیات';
$lang['bf_clear'] = 'پاک کردن';
$lang['bf_action_list'] = 'لیست';
$lang['bf_action_create'] = 'ایجاد';
$lang['bf_action_ban'] = 'تحریم کردن';
$lang['bf_action_spam'] = 'Mark as Spam';
$lang['filter_first_letter'] = 'Filter by letter: ';

//------------------------------------------------------------------------------
// ! SETTINGS LIB
//------------------------------------------------------------------------------
$lang['bf_do_check'] = 'Check for updates?';
$lang['bf_do_check_edge'] = 'Must be enabled to see bleeding edge updates as well.';
$lang['bf_update_show_edge'] = 'View bleeding edge updates?';
$lang['bf_update_info_edge'] = 'Leave unchecked to only check for new tagged updates. Check to see any new commits to the official repository.';
$lang['bf_ext_profile_show'] = 'آیا حساب های کاربری شامل مشخصات پیشرفته هستند؟';
$lang['bf_ext_profile_info'] = 'اگر میخواهید کاربران مشخصات بیشتری را در مورد خود در صفحه مشخصات وارد نمایند این گزینه را فعال نمایید';

$lang['bf_yes'] = 'بله';
$lang['bf_no'] = 'خیر';
$lang['bf_none'] = 'هیچ';
$lang['bf_id'] = 'ID';

$lang['bf_or'] = 'یا';
$lang['bf_size'] = 'اندازه';
$lang['bf_files'] = 'فایل ها';
$lang['bf_file'] = 'فایل';

$lang['bf_with_selected'] = 'با انتخاب شده ها';

$lang['bf_env_dev'] = 'گسترش';
$lang['bf_env_test'] = 'آزمایشی';
$lang['bf_env_prod'] = 'محصول نهایی';

$lang['bf_show_profiler'] = 'نمایش اطلاعات اجرا در پنل مدیریت؟';
$lang['bf_show_front_profiler'] = 'نمایش اطلاعات اجرا در سایت؟';

$lang['bf_cache_not_writable'] = 'پوشه کش برنامه قابل نوشت نمی باشد.';

$lang['bf_password_strength'] = 'تنظیمات کلمه عبور';
$lang['bf_password_length_help'] = 'حداقل طول برای کلمه عبور به طور مثال : 8';
$lang['bf_password_force_numbers'] = 'آیا کلمه عبور حتما باید شامل عدد باشد؟';
$lang['bf_password_force_symbols'] = 'آیا کلمه عبور حتما باید شامل کاراکتر های سمبل باشد؟';
$lang['bf_password_force_mixed_case'] = 'آیا کلمه عبور حتما باید شامل حروف کوچک به همراه حروف بزرگ باشد؟';
$lang['bf_password_show_labels'] = 'Display password validation labels';
$lang['bf_password_iterations_note'] = 'Higher values increase the security and the time taken to hash the passwords.<br/>See the <a href="http://www.openwall.com/phpass/" target="blank">phpass page</a> for more information. If in doubt, leave at 8.';

//------------------------------------------------------------------------------
// ! USER/PROFILE
//------------------------------------------------------------------------------
$lang['bf_user'] = 'کاربر';
$lang['bf_users'] = 'کاربران';
$lang['bf_description'] = 'توضیحات';
$lang['bf_email'] = 'پست الکترونیکی';
$lang['bf_user_settings'] = 'مشخصات من';
$lang['bf_both'] = 'هر دو';
$lang['bf_go_back'] = 'بازگشت';
$lang['gc_reset'] = 'Reset';
$lang['bf_new'] = 'جدید';
$lang['bf_required_note'] = 'گزینه های اجباری به صورت <b>ضخیم تر</b> می باشند.';
$lang['bf_form_label_required'] = '<span class="required">*</span>';

//------------------------------------------------------------------------------
// BF_Model
//------------------------------------------------------------------------------
$lang['bf_model_db_error'] = 'خطای پایگاه داده: %s';
$lang['bf_model_no_data'] = 'No data available.';
$lang['bf_model_invalid_id'] = 'Invalid ID passed to model.';
$lang['bf_model_no_table'] = 'Model has unspecified database table.';
$lang['bf_model_fetch_error'] = 'اطلاعات کافی جهت واکشی فیلد موجود نیست.';
$lang['bf_model_count_error'] = 'اطلاعات کافی جهت شمارش نتایج موجود نمی باشد.';
$lang['bf_model_unique_error'] = 'اطلاعات کافی جهت بررسی یکتا بودن موجود نمی باشد.';
$lang['bf_model_find_error'] = 'اطلاعات کافی جهت جستجو موجود نیست.';

//------------------------------------------------------------------------------
// Contexts
//------------------------------------------------------------------------------
$lang['bf_no_contexts'] = 'آرایه بخش های مدیریت به صورت صحیح وارد نشده اند. لطفا فایل کانفیگ را جهت اصلاع بررسی نمایید.';
$lang['bf_context_dashboard'] = 'Dashboard';
$lang['bf_context_content'] = 'محتوی';
$lang['bf_context_financial'] = 'Financial';
$lang['bf_context_reports'] = 'گزارشات';
$lang['bf_context_settings'] = 'تنظیمات';
$lang['bf_context_tools'] = 'Tools';
$lang['bf_context_developer'] = 'گسترش';
$lang['bf_context_help'] = 'Help';

//------------------------------------------------------------------------------
// Activities
//------------------------------------------------------------------------------
$lang['bf_act_settings_saved'] = 'تنظیمات برنامه ذخیره شدند.';
$lang['bf_unauthorized_attempt'] = 'تلاش نا موفق جهت دسترسی به صفحه ای که نیاز به مجوز "%s" دارد.';
$lang['bf_keyboard_shortcuts'] = 'کلید های میانبر قابل دسترس:';
$lang['bf_keyboard_shortcuts_none'] = 'کلید میانبری تعریف نشده است.';
$lang['bf_keyboard_shortcuts_edit'] = 'ویرایش کلید های میانبر';

// --------------------------------------------------------------------
// OnType Location Selection
// --------------------------------------------------------------------
$lang['select_city'] = 'Enter a city';
$lang['help_city'] = 'Type your city name and select from the list';
$lang['select_locality'] = 'Select a locality (nearby)';
$lang['help_locality'] = 'Type your locality name and select from the list';

// --------------------------------------------------------------------
// Common
// --------------------------------------------------------------------
$lang['classifieds'] = 'Classifieds';
$lang['label_qrcode'] = 'QRCode';
$lang['label_listing'] = 'Listing';
$lang['listings'] = 'Listings';
$lang['label_business'] = 'Business';
$lang['label_service'] = 'Service';
$lang['label_classified'] = 'Classified';
$lang['label_business_hours'] = 'Business Hours';
$lang['blogs'] = 'Blogs';
$lang['deals'] = 'Deals';
$lang['events'] = 'Events';
$lang['jobs'] = 'Jobs';
$lang['properties'] = 'Properties';
$lang['videos'] = 'Videos';
$lang['label_logo'] = 'Logo';
$lang['products'] = 'Products';
$lang['images'] = 'Images';
$lang['others'] = 'Others';
$lang['categories'] = 'Categories';
$lang['locations'] = 'Locations';
$lang['comments'] = 'Comments';
$lang['financial'] = 'Financial';
$lang['news'] = 'News';
$lang['bf_question_mark'] = '؟';
$lang['bf_language_direction'] = 'rtl';
$lang['log_intro'] = 'این ها پیام های ورود شما هستند:';
$lang['bf_name'] = 'Name';
$lang['bf_status'] = 'Status';
$lang['view_details'] = 'View Details';
$lang['upload_photos'] = 'Upload Photos';
$lang['label_my'] = 'My';
$lang['general_information'] = 'General Information';
$lang['extra_information'] = 'Extra Information';
$lang['additional_information'] = 'Additional Information';
$lang['label_alphabetically'] = 'Alphabetically';
$lang['label_top_rated'] = 'Top Rated';
$lang['label_relevance'] = 'Relevance';
$lang['no_filter'] = 'Clear Filter';
$lang['sorted_by'] = 'Sorted By';
$lang['business_details'] = 'Business Details';
$lang['ratings_and_review'] = 'Ratings & Review';
$lang['label_never'] = 'Never';
$lang['gc_tab_all'] = 'All';
$lang['bulk_import'] = 'Bulk Import';
$lang['btn_clone'] = 'Clone';
$lang['label_copy'] = 'Copy';
$lang['get_directions'] = 'Get Directions';
$lang['action_save'] = 'Save';
$lang['label_view'] = 'View';
$lang['label_value_between'] = 'Between';
$lang['label_value_and'] = 'and';
$lang['label_difference_warning'] = 'The difference should not exceed %s';
$lang['label_listing_ids'] = 'Listing ID(s)';
$lang['label_ids'] = 'ID(s)';
$lang['label_insert_only'] = 'Insert Only';
$lang['label_insert_update'] = 'Insert and Update';
$lang['label_db_transaction'] = 'Transaction Type';
$lang['msg_success'] = 'Action performed successfully';
$lang['label_deselect_all'] = 'Deselect All';
$lang['label_meta_title'] = 'Meta Title';
$lang['label_meta_keywords'] = 'Meta Keywords';
$lang['label_meta_description'] = 'Meta Description';
$lang['label_admin_search'] = 'Go!';
$lang['status_spam'] = 'Spam';
$lang['label_order'] = 'Order';
$lang['label_image'] = 'Image';
$lang['label_categories'] = 'Categories';
$lang['label_countries'] = 'Countries';
$lang['states'] = 'States';
$lang['cities'] = 'Cities';
$lang['label_localities'] = 'Localities';
$lang['label_keywords'] = 'Keywords';
$lang['placeholder_keywords'] = 'e.g. guide, tips, review, tools, useful information';
$lang['help_keywords'] = 'Use comma separated values only';
$lang['help_address'] = 'e.g. #167, Partridge Street, Pine Hills, Albany 12201, New York';
$lang['placeholder_external_url'] = 'e.g. http://www.YourDomain.com/useful-info.html';
$lang['help_external_url'] = 'External Website Link from which the visitor can get more information.';
$lang['created_on'] = 'Created On';
$lang['modified_on'] = 'Modified On';
$lang['label_latitude'] = 'Latitude';
$lang['label_latitude_longitude'] = 'Latitude & Longitude';
$lang['label_longitude'] = 'Longitude';
$lang['label_location'] = 'Location';
$lang['label_value'] = 'Value';
$lang['tab_active'] = 'Active';
$lang['tab_cancelled'] = 'Cancelled';
$lang['tab_approved'] = 'Approved';
$lang['tab_rejected'] = 'Rejected';
$lang['tab_forged'] = 'Forged';
$lang['tab_pending'] = 'Pending';
$lang['tab_confirmed'] = 'Confirmed';
$lang['tab_failed'] = 'Failed';
$lang['tab_cancelled'] = 'Cancelled';
$lang['tab_inactive'] = 'Inactive';
$lang['tab_spammed'] = 'Spammed';
$lang['tab_upgraded'] = 'Upgraded';
$lang['tab_renewed'] = 'Renewed';
$lang['tab_claimed'] = 'Claimed';
$lang['tab_refunded'] = 'Refunded';
$lang['tab_expired'] = 'Expired';
$lang['tab_deleted'] = 'Deleted';
$lang['label_country'] = 'Country';
$lang['label_state'] = 'State';
$lang['label_all_countries'] = 'All Countries';
$lang['label_visitors'] = 'Visitors';
$lang['label_visits'] = 'Visits';
$lang['label_change_status'] = 'Change Status';
$lang['message_mobile_valid'] = 'Valid Number';
$lang['message_mobile_invalid'] = 'Invalid Number';
$lang['label_pay'] = 'Pay';
$lang['label_date_paid_never'] = 'Never';
$lang['label_closed'] = 'Closed';
$lang['us_tab_having'] = 'Having';
$lang['label_tags'] = 'Tags';
$lang['label_display_name'] = 'Display Name';
$lang['label_day'] = 'Day';
$lang['label_monday'] = 'Monday';
$lang['label_tuesday'] = 'Tuesday';
$lang['label_wednesday'] = 'Wednesday';
$lang['label_thursday'] = 'Thursday';
$lang['label_friday'] = 'Friday';
$lang['label_saturday'] = 'Saturday';
$lang['label_sunday'] = 'Sunday';
$lang['label_property_type'] = 'Type of Property';
$lang['label_coverage_area'] = 'Approx. Coverage Area';
$lang['label_claim'] = 'Claim';
$lang['label_job_experience'] = 'Experience';
$lang['job_exp_yrs'] = 'yrs';
$lang['click_to_call_unique_total'] = 'Click to Call (Unique - Total)';
$lang['placeholder_select_product'] = 'Select product/service type...';
$lang['comments_active'] = 'Approved';
$lang['label_placed_on'] = 'Placed On';
$lang['label_coupon_code'] = 'Coupon Code';
$lang['label_code'] = 'Code';
$lang['us_active'] = 'Active';
$lang['us_inactive'] = 'Inactive';
$lang['label_remaining'] = 'remaining';
$lang['label_no_record_found'] = 'No records found that match your selection.';
$lang['msg_permission_error'] = 'You don\'t have permission to access this page';
$lang['msg_permission_expired_error'] = 'You don\'t have permission to access this page. Either you are not authorized or your listing might have expired.';
$lang['msg_photo_permission_error'] = 'You don\'t have permission to upload images';
$lang['msg_module_error'] = '%s membership does not allow you to add %s, please change/upgrade your package.';
$lang['msg_no_row_selected'] = 'Please select atleast one row to perform the selected action';
$lang['help_msg_images'] = 'You can have %s images per %s';
$lang['help_slug'] = 'Slug field must be in small letters without spaces and special characters.';
$lang['label_select_categories'] = 'Select Categories';
$lang['msg_categories_limit'] = 'You can have maximum %s categories in this package';
$lang['msg_admin_categories_limit'] = 'You are exceeding categories limit';
$lang['help_categories_limit'] = 'First selected category would be your default category and you can have maximum %s categories in this package';

// ORDER AND INVOICE
$lang['label_first_reminder'] = 'First Reminder';
$lang['label_second_reminder'] = 'Second Reminder';
$lang['label_third_reminder'] = 'Third Reminder';
$lang['label_invoice_no'] = 'Invoice No';
$lang['label_order_id'] = 'Order ID';
$lang['label_next_invoice_date'] = 'Next Invoice Date';
$lang['label_due_date'] = 'Due Date';
$lang['label_date_paid'] = 'Date Paid';
$lang['label_select_country'] = 'Select Country';
$lang['placeholder_country'] = 'Select a country...';
$lang['label_select_state'] = 'Select State';
$lang['placeholder_state'] = 'Select a state...';
$lang['label_select_city'] = 'Select City';
$lang['placeholder_city'] = 'Select a city...';
$lang['label_from'] = 'From';
$lang['placeholder_from'] = 'Please enter a date when your classified starts';
$lang['label_to'] = 'To';
$lang['placeholder_to'] = 'Please enter a date when your classified ends';
$lang['label_postcode'] = 'Postcode';
$lang['label_taxrate'] = 'Tax Rate';
$lang['placeholder_postcode'] = 'Please enter a valid postcode';
$lang['label_address'] = 'Address';
$lang['placeholder_address'] = 'Please enter your business address';
$lang['label_price'] = 'Price';
$lang['placeholder_price'] = 'Please enter a price for your %s';
$lang['label_description'] = 'Description';
$lang['label_basic_info'] = 'Basic Information';
$lang['label_email'] = 'Email';
$lang['label_website'] = 'Website';
$lang['label_fax'] = 'Fax';
$lang['label_google_map'] = 'Google Map';
$lang['label_contact_person'] = 'Contact Person';
$lang['label_disabled'] = 'Disabled';
$lang['label_select'] = 'Please Select';
$lang['label_mobile_number'] = 'Mobile Number';
$lang['placeholder_mobile_number'] = 'Please enter a valid mobile number';
$lang['label_external_url'] = 'External URL';
$lang['label_product'] = 'Product';
$lang['label_optional'] = '(Optional)';
$lang['placeholder_title_optional'] = 'Please enter title for video or it will be taken automatically from youtube';
$lang['placeholder_video'] = 'Please enter full URL of youtube video';
$lang['placeholder_cost'] = 'e.g. $20';
$lang['label_max_discount'] = 'Maximum Discount';
$lang['label_fixed'] = 'Fixed';
$lang['label_percentage'] = 'Percentage';
$lang['label_start_date'] = 'Start Date';
$lang['label_end_date'] = 'End Date';
$lang['label_free'] = 'Free';
$lang['label_city'] = 'City';
$lang['label_user_phone'] = 'Phone No.';
$lang['msg_valid_coupon'] = 'Please enter a valid coupon code';
$lang['msg_coupon_already_used'] = 'You have already used this coupon code';
$lang['msg_coupon_applied'] = 'Coupon Applied';
$lang['label_additional_info'] = 'Additional Information';
$lang['label_comment'] = 'Comment';
$lang['label_lifetime'] = 'Lifetime';

// ORDER NOTIFICATION MEMBER CHECKOUT
$lang['label_order_created_notified'] = 'Order Created and Customer Notified';
$lang['label_order_info_updated'] = 'Customer tried to Pay Invoice, Order Info Updated';

//------------------------------------------------------------------------------
// Leads Form View and Detail Page
//------------------------------------------------------------------------------
$lang['cn_form_title'] = 'Fill this Form and Get Best Quotes from %s vendors in your City';
$lang['cn_form_help'] = 'Fill this Form and Suitable %s vendors will call instantly with best rates';
$lang['cn_chose_your_need'] = 'Choose your need';
$lang['not_applicable'] = 'N/A';
$lang['post_your_requirements'] = 'Post Your Requirements';
$lang['label_product_service'] = 'Product/Service';
$lang['label_select_category'] = 'Select Category';
$lang['help_product_service'] = 'Enter product/service name';

//------------------------------------------------------------------------------
// Login
//------------------------------------------------------------------------------
$lang['bf_action_register'] = 'ثبت نام';
$lang['bf_forgot_password'] = 'کلمه عبور خود را فراموش کرده اید؟';
$lang['bf_remember_me'] = 'مرا به یاد داشته باش';

//------------------------------------------------------------------------------
// Password Help Fields to be used as a warning on register
//------------------------------------------------------------------------------
$lang['bf_password_number_required_help'] = 'کلمه عبور حداقل باید شامل یک نقطه باشد.';
$lang['bf_password_caps_required_help'] = 'کلمه عبور باید حداقل شامل یک حرف بزرگ باشد.';
$lang['bf_password_symbols_required_help'] = 'کلمه عبور حداقل باید شامل یک کاراکتر سمبل باشد.';
$lang['bf_password_min_length_help'] = 'طول کلمه عبور حداقل باید %s کاراکتر باشد.';
$lang['bf_password_length'] = 'Password Length';

// --------------------------------------------------------------------
// User Meta examples
// --------------------------------------------------------------------
$lang['user_meta_title'] = 'Meta Title';
$lang['user_meta_street_name'] = 'نام خیابان';
$lang['user_meta_type'] = 'نوع';
$lang['user_meta_country'] = 'کشور';
$lang['user_meta_state'] = 'استان';

//------------------------------------------------------------------------------
// Activation
//------------------------------------------------------------------------------
$lang['bf_activate_method'] = 'روش فعال سازی';
$lang['bf_activate_none'] = 'هیچ';
$lang['bf_activate_email'] = 'ایمیل';
$lang['bf_activate_admin'] = 'ادمین';
$lang['bf_activate_otp'] = 'OTP';
$lang['bf_activate'] = 'فعال سازی';
$lang['bf_activate_resend'] = 'ارسال دوباره فعال سازی';
$lang['bf_reg_complete_error'] = 'در ثبت نام شما مشکلی بوجود آمده است. لطفا مجددا سعی کنید و یا با مدیریت سایت تماس بگیرید.';
$lang['bf_reg_activate_email'] = 'ایمیلی حاوی لینک فعال سازی به [EMAIL] ارسال شده است.';
$lang['bf_reg_activate_admin'] = 'شما باید منتظر تایید ثبت نامتان توسط مدیریت باشید.';
$lang['bf_reg_activate_none'] = 'لطفا جهت استفاده از سایت وارد شوید.';
$lang['bf_user_not_active'] = 'حساب کاربری غیر فعال است.';
$lang['bf_login_activate_title'] = 'نیاز دارید که حساب کاربریتان را فعال نمایید؟';
$lang['bf_login_activate_email'] = '<b>کد فعال سازی حساب کاربری خودتان را دارید؟</b> کد را در [ACCOUNT_ACTIVATE_URL] وارد نمایید.<br /><br />    <b>کد فعال سازی ندارید؟</b> میتوانید این کد را در صفحه ی [ACTIVATE_RESEND_URL] درخواست نمایید.';

//------------------------------------------------------------------------------
// Migrations lib
//------------------------------------------------------------------------------
$lang['no_migrations_found'] = 'هيچ فايل ارتقايي يافت نشد';
$lang['multiple_migrations_version'] = 'نسخه ي تکراري براي فايل ارتقا: %d';
$lang['multiple_migrations_name'] = 'نام تکراري براي فايل ارتقا: %s';
$lang['migration_class_doesnt_exist'] = 'کلاس فايل ارتقا يافت نشد: %s';
$lang['wrong_migration_interface'] = 'اينترفيس نا معتبر براي فايل ارتقا: %s';
$lang['invalid_migration_filename'] = 'فايل ارتفاي نا معتبر: %s - %s';

//------------------------------------------------------------------------------
// Profiler Template
//------------------------------------------------------------------------------
$lang['bf_profiler_box_benchmarks'] = 'Benchmarks';
$lang['bf_profiler_box_console'] = 'Console';
$lang['bf_profiler_box_files'] = 'Files';
$lang['bf_profiler_box_memory'] = 'Memory Usage';
$lang['bf_profiler_box_queries'] = 'Queries';
$lang['bf_profiler_box_session'] = 'Session User Data';
$lang['bf_profiler_menu_console'] = 'Console';
$lang['bf_profiler_menu_files'] = 'Files';
$lang['bf_profiler_menu_memory'] = 'Memory Used';
$lang['bf_profiler_menu_memory_mb'] = 'MB';
$lang['bf_profiler_menu_queries'] = 'Queries';
$lang['bf_profiler_menu_queries_db'] = 'Database';
$lang['bf_profiler_menu_time'] = 'Load Time';
$lang['bf_profiler_menu_time_ms'] = 'ms';
$lang['bf_profiler_menu_time_s'] = 's';
$lang['bf_profiler_menu_vars'] = '<span>vars</span> &amp; Config';
$lang['bf_profiler_true'] = 'true';
$lang['bf_profiler_false'] = 'false';

//------------------------------------------------------------------------------
// Form Validation
//------------------------------------------------------------------------------
$lang['bf_form_unique'] = 'The value in &quot;%s&quot; is already being used.';
$lang['form_unique_title'] = 'Unique (Title, Address and Postcode)';
$lang['form_sanitize'] = 'Sanitize for security';
$lang['gc_form_unique_title'] = 'Business information with title &quot;%s&quot;, address &quot;%s&quot; and postcode &quot;%s&quot; is already being used.';
$lang['gc_form_decimal_extra'] = 'The %s field may only contain decimal values';
$lang['gc_form_is_array'] = 'The %s field must be an array';
$lang['alpha_dash'] = 'The %s field may only contain alpha-numeric characters, underscores and dashes.';
$lang['bf_form_alpha_extra'] = 'The %s field may only contain alpha-numeric characters, spaces, periods, underscores, and dashes.';
$lang['bf_form_alpha_title'] = 'The %s field may only contain alpha-numeric characters and spaces. Periods, underscores, and dashes are not allowed.';
$lang['gc_form_alpha_slug'] = 'The %s field may only contain alpha-numeric characters, periods, underscores, and dashes.';
$lang['bf_form_matches_pattern'] = 'The %s field does not match the required pattern.';
$lang['bf_form_valid_password'] = 'The %s field must be at least {min_length} characters long.';
$lang['bf_form_valid_password_nums'] = '%s must contain at least 1 number.';
$lang['bf_form_valid_password_syms'] = '%s must contain at least 1 punctuation mark.';
$lang['bf_form_valid_password_mixed_1'] = '%s must contain at least 1 uppercase characters.';
$lang['bf_form_valid_password_mixed_2'] = '%s must contain at least 1 lowercase characters.';
$lang['bf_form_allowed_types'] = '%s must contain one of the allowed selections.';
$lang['bf_form_one_of'] = '%s must contain one of the available selections.';
$lang['bf_form_valid_date_time'] = '%s format is not correct.';
$lang['bf_form_not_valid'] = '%s is invalid!';
$lang['bf_form_not_valid_url'] = '%s is not valid. URL must start with http:// or https://';
$lang['bf_form_not_valid_youtube_url'] = 'This is not a valid YouTube %s';
$lang['bf_form_max_keywords'] = 'The %s field may only contain maximum %s keywords';
$lang['bf_form_max_ids'] = 'The %s field may only contain maximum %s listing id\'s';
$lang['description_limit'] = '(Maximum characters %s)';
$lang['keywords_limit'] = 'Only comma separated values are allowed and you can input %s keywords';
$lang['no_limit'] = 'Unlimited';
$lang['bf_form_alpha_keyword'] = 'The %s field may only contain alpha-numeric characters and spaces. Periods, underscores, and dashes are not allowed.';
$lang['bf_min_value'] = '%s minimum value is less than %s';
$lang['bf_max_value'] = '%s maximum value is greater than %s';
$lang['bf_diff_between'] = '%s fields must not exceed the permissible value';
$lang['bf_compare_fields'] = 'The %s field must have a higher value than the Between field';
$lang['gc_compare_dates'] = 'The %s date must be earlier than %s date.';
$lang['gc_job_compare_fields'] = '%s field must be greater than Minimum Experience field';
$lang['gc_valid_date'] = 'The %s date must be in valid format.';
$lang['gc_valid_time'] = 'The %s time must be in valid format (HH:MM AM/PM e.g. 10:10 AM).';

$lang['bf_form_allowed_types_none'] = 'Configuration Error: No valid types available for the %s field.';
$lang['bf_form_max_file_size'] = 'The file in %s field must not exceed {max_size}';
$lang['bf_form_one_of_none'] = 'Configuration Error: No valid values available for the %s field.';

$lang['bf_form_valid_url'] = '%s must contain a valid URL.';
