<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2015, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT The MIT License.
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Application language file (English)
 *
 * Localization strings used by Bonfire
 *
 * @package Bonfire\Application\Language\English
 * @author  Bonfire Dev Team
 * @link    http://cibonfire.com/docs/developer
 */


//------------------------------------------------------------------------------
// ! GENERAL SETTINGS
//------------------------------------------------------------------------------
$lang['bf_site_name'] = 'Titulo';
$lang['bf_site_email'] = 'Email';
$lang['bf_site_email_help'] = 'Email através do qual o sistema reporta';
$lang['bf_site_status'] = 'Status';
$lang['bf_online'] = 'Online';
$lang['bf_offline'] = 'Offline';
$lang['bf_top_number'] = 'Máx. de registos por página';
$lang['bf_top_number_help'] = 'Nos reports, quantos items por pagina?';
$lang['bf_home'] = 'Casa';
$lang['bf_site_information'] = 'Informação do Site';
$lang['bf_timezone'] = 'Fuso horário';
$lang['bf_language'] = 'Língua';
$lang['bf_language_help'] = 'Escolha os idiomas disponíveis para o usuário.';

// --------------------------------------------------------------------
// ! AUTH SETTINGS
// --------------------------------------------------------------------
$lang['bf_security'] = 'Segurança';
$lang['bf_login_type'] = 'Tipo de Login';
$lang['bf_login_type_email'] = 'Apenas Email';
$lang['bf_login_type_username'] = 'Apenas Username';
$lang['bf_allow_register'] = 'Permite que os utilizadores se registem';
$lang['bf_login_type_both'] = 'Username ou Email';
$lang['gc_login_site'] = 'Inicie sessão na sua conta %s';
$lang['gc_register_with'] = 'Registre-se com %s';
$lang['gc_sign_in_by'] = 'Iniciar sessão por %s';
$lang['bf_use_usernames'] = 'Usernames - Nome de Utilizador';
$lang['bf_use_own_name'] = 'Use Own Name';
$lang['bf_allow_remember'] = 'Permite o  \'Lembrar login\'?';
$lang['bf_remember_time'] = 'Lembrar Utilizadores de';
$lang['bf_week'] = 'Semana';
$lang['bf_weeks'] = 'Semanas';
$lang['bf_days'] = 'Dias';
$lang['bf_username'] = 'Nome de Utilizador';
$lang['bf_password'] = 'Password';
$lang['bf_password_confirm'] = 'Password (novamente)';
$lang['bf_display_name'] = 'Mostrar nome';
$lang['heading_not_a_robot'] = 'Por favor, prove que você não é um robô';

//------------------------------------------------------------------------------
// ! CRUD SETTINGS
//------------------------------------------------------------------------------
$lang['bf_home_page'] = 'Pagina Principal';
$lang['bf_pages'] = 'Paginas';
$lang['bf_enable_rte'] = 'Enable RTE para pages?';
$lang['bf_rte_type'] = 'RTE Type';
$lang['bf_searchable_default'] = 'Searchable by default?';
$lang['bf_cacheable_default'] = 'Cacheable by default?';
$lang['bf_track_hits'] = 'Track Page Hits?';

$lang['bf_action_save'] = 'Guardar';
$lang['bf_action_delete'] = 'Apagar';
$lang['bf_action_edit'] = 'Editar';
$lang['bf_action_undo'] = 'Desfazer';
$lang['bf_action_cancel'] = 'Cancelar';
$lang['bf_action_browse'] = 'Squeaky toy...';
$lang['bf_action_download'] = 'Download';
$lang['bf_action_preview'] = 'Previsualizar';
$lang['bf_action_search'] = 'Procurar';
$lang['bf_action_purge'] = 'Purgar';
$lang['bf_action_restore'] = 'Recuperar';
$lang['gc_action_activate'] = 'Ativar';
$lang['gc_action_deactivate'] = 'Desativar';
$lang['bf_action_show'] = 'Mostrar';
$lang['bf_action_login'] = 'Login';
$lang['bf_action_logout'] = 'Sair';
$lang['bf_actions'] = 'Acções';
$lang['bf_clear'] = 'Claro';
$lang['bf_action_list'] = 'Lista';
$lang['bf_action_create'] = 'Crio';
$lang['bf_action_ban'] = 'Banimento';
$lang['bf_action_spam'] = 'Marcar como spam';
$lang['filter_first_letter'] = 'Filtrar por letra:';

//------------------------------------------------------------------------------
// ! SETTINGS LIB
//------------------------------------------------------------------------------
$lang['bf_do_check'] = 'Verificar atualizações?';
$lang['bf_do_check_edge'] = 'Deve ser habilitado para ver atualizações de borda de sangramento também.';
$lang['bf_update_show_edge'] = 'Visualizar atualizações de bordas de sangramento?';
$lang['bf_update_info_edge'] = 'Deixe desmarcada para verificar apenas novas atualizações marcadas. Confirme para ver quaisquer novos compromissos para o repositório oficial.';
$lang['bf_ext_profile_show'] = 'As contas de usuário têm perfil estendido?';
$lang['bf_ext_profile_info'] = 'Verifique "Perfis ampliados" para ter a opção de metadados de perfil extra disponível (wip), omitido alguns campos de fogueira padrão (por exemplo: endereço).';

$lang['bf_yes'] = 'Sim';
$lang['bf_no'] = 'Não';
$lang['bf_none'] = 'n/a';
$lang['bf_id'] = 'identidade';

$lang['bf_or'] = 'ou';
$lang['bf_size'] = 'Tamanho';
$lang['bf_files'] = 'Ficheiros';
$lang['bf_file'] = 'Ficheiro';

$lang['bf_with_selected'] = 'With selected';

$lang['bf_env_dev'] = 'Desenvolvimento';
$lang['bf_env_test'] = 'Teste';
$lang['bf_env_prod'] = 'Produção';

$lang['bf_show_profiler'] = 'Show Profiler?';
$lang['bf_show_front_profiler'] = 'Mostrar Perfurador Front-End?';

$lang['bf_cache_not_writable'] = 'A pasta de cache do aplicativo não pode ser gravada';

$lang['bf_password_strength'] = 'Configurações de força da senha';
$lang['bf_password_length_help'] = 'Comprimento mínimo da senha, p. 8';
$lang['bf_password_force_numbers'] = 'Os números de força de senha?';
$lang['bf_password_force_symbols'] = 'A senha deve forçar símbolos?';
$lang['bf_password_force_mixed_case'] = 'A senha deve forçar o caso?';
$lang['bf_password_show_labels'] = 'Exibir etiquetas de validação de senha';
$lang['bf_password_iterations_note'] = 'Valores mais altos aumentam a segurança eo tempo necessário para eliminar as senhas. <br/> Consulte a <a href="http://www.openwall.com/phpass/" target="blank"> página phpass </a> Para maiores informações. Em caso de dúvida, sair às 8.';

//------------------------------------------------------------------------------
// ! USER/PROFILE
//------------------------------------------------------------------------------
$lang['bf_user'] = 'Utilizador';
$lang['bf_users'] = 'Utilizadores';
$lang['bf_description'] = 'Descrição';
$lang['bf_email'] = 'Email';
$lang['bf_user_settings'] = 'My Profile';
$lang['bf_both'] = 'ambos';
$lang['bf_go_back'] = 'Anterior';
$lang['gc_reset'] = 'Restabelecer';
$lang['bf_new'] = 'Novo';
$lang['bf_required_note'] = 'Campos obrigatórios a <strong>negrito</strong>.';
$lang['bf_form_label_required'] = '<Span class = "required"> * </span>';

//------------------------------------------------------------------------------
// BF_Model
//------------------------------------------------------------------------------
$lang['bf_model_db_error'] = 'Erro do DB: %s';
$lang['bf_model_no_data'] = 'Não existem dados disponíveis.';
$lang['bf_model_invalid_id'] = 'ID inválido passado para o modelo.';
$lang['bf_model_no_table'] = 'O modelo possui uma tabela de banco de dados não especificada.';
$lang['bf_model_fetch_error'] = 'Informação insucificente para fetch.';
$lang['bf_model_count_error'] = 'Informação insucificente para count results.';
$lang['bf_model_unique_error'] = 'Informação insucificente para check uniqueness.';
$lang['bf_model_find_error'] = 'Informação insucificente para find by.';

//------------------------------------------------------------------------------
// Contexts
//------------------------------------------------------------------------------
$lang['bf_no_contexts'] = 'A matriz contexts não está configurada corretamente. Verifique o arquivo de configuração do aplicativo.';
$lang['bf_context_dashboard'] = 'painel de controle';
$lang['bf_context_content'] = 'Conteudo';
$lang['bf_context_financial'] = 'Financeiro';
$lang['bf_context_reports'] = 'Relatórios';
$lang['bf_context_settings'] = 'Definições';
$lang['bf_context_tools'] = 'Ferramentas';
$lang['bf_context_developer'] = 'Developer';
$lang['bf_context_help'] = 'Socorro';

//------------------------------------------------------------------------------
// Activities
//------------------------------------------------------------------------------
$lang['bf_act_settings_saved'] = 'App settings saved from';
$lang['bf_unauthorized_attempt'] = 'Tentou acessar uma página que exigia a permissão " %s"';
$lang['bf_keyboard_shortcuts'] = 'Atalhos de teclado disponíveis:';
$lang['bf_keyboard_shortcuts_none'] = 'Não há atalhos de teclado atribuídos.';
$lang['bf_keyboard_shortcuts_edit'] = 'Atualizar os atalhos de teclado';

// --------------------------------------------------------------------
// OnType Location Selection
// --------------------------------------------------------------------
$lang['select_city'] = 'Insira uma cidade';
$lang['help_city'] = 'Digite o nome da cidade e selecione na lista';
$lang['select_locality'] = 'Selecione uma localidade (próxima)';
$lang['help_locality'] = 'Digite o nome da localidade e selecione na lista';

// --------------------------------------------------------------------
// Common
// --------------------------------------------------------------------
$lang['classifieds'] = 'Classificados';
$lang['label_qrcode'] = 'Código QR';
$lang['label_listing'] = 'Listagem';
$lang['listings'] = 'Listagens';
$lang['label_business'] = 'O negócio';
$lang['label_service'] = 'Serviço';
$lang['label_classified'] = 'Classificado';
$lang['label_business_hours'] = 'Horário Comercial';
$lang['blogs'] = 'Blogs';
$lang['deals'] = 'Promoções';
$lang['events'] = 'Eventos';
$lang['jobs'] = 'Empregos';
$lang['properties'] = 'Propriedades';
$lang['videos'] = 'Vídeos';
$lang['label_logo'] = 'Logotipo';
$lang['products'] = 'Produtos';
$lang['images'] = 'Imagens';
$lang['others'] = 'Outras';
$lang['categories'] = 'Categorias';
$lang['locations'] = 'Localizações';
$lang['comments'] = 'Comentários';
$lang['financial'] = 'Financeiro';
$lang['news'] = 'Notícia';
$lang['bf_question_mark'] = '?';
$lang['bf_language_direction'] = 'ltr';
$lang['log_intro'] = 'Estas são as suas mensagens de log';
$lang['bf_name'] = 'Nome';
$lang['bf_status'] = 'Status';
$lang['view_details'] = 'Ver detalhes';
$lang['upload_photos'] = 'Upload fotos';
$lang['label_my'] = 'Minhas';
$lang['general_information'] = 'Informação geral';
$lang['extra_information'] = 'Informação extra';
$lang['additional_information'] = 'informação adicional';
$lang['label_alphabetically'] = 'Alfabeticamente';
$lang['label_top_rated'] = 'Mais votado';
$lang['label_relevance'] = 'Relevância';
$lang['no_filter'] = 'Filtro limpo';
$lang['sorted_by'] = 'Ordenado por';
$lang['business_details'] = 'Detalhes do Negócio';
$lang['ratings_and_review'] = 'Classificações e revisão';
$lang['label_never'] = 'Nunca';
$lang['gc_tab_all'] = 'Todos';
$lang['bulk_import'] = 'Importação em massa';
$lang['btn_clone'] = 'Clone';
$lang['label_copy'] = 'cópia de';
$lang['get_directions'] = 'Obter direções';
$lang['action_save'] = 'Salve ';
$lang['label_view'] = 'Visão';
$lang['label_value_between'] = 'Entre';
$lang['label_value_and'] = 'e';
$lang['label_difference_warning'] = 'A diferença não deve exceder %s';
$lang['label_listing_ids'] = 'ID (s) da listagem';
$lang['label_ids'] = 'ID (s)';
$lang['label_insert_only'] = 'Inserir somente';
$lang['label_insert_update'] = 'Inserir e atualizar';
$lang['label_db_transaction'] = 'Tipo de transação';
$lang['msg_success'] = 'Ação executada com êxito';
$lang['label_deselect_all'] = 'Desmarcar todos';
$lang['label_meta_title'] = 'Meta título';
$lang['label_meta_keywords'] = 'Meta Palavras-chave';
$lang['label_meta_description'] = 'Meta Descrição';
$lang['label_admin_search'] = 'Ir!';
$lang['status_spam'] = 'Spam';
$lang['label_order'] = 'Ordem';
$lang['label_image'] = 'Imagem';
$lang['label_categories'] = 'Categorias';
$lang['label_countries'] = 'Países';
$lang['states'] = 'Estados';
$lang['cities'] = 'Cidades';
$lang['label_localities'] = 'Localidades';
$lang['label_keywords'] = 'Palavras-chave';
$lang['placeholder_keywords'] = 'por exemplo. Guia, dicas, revisão, ferramentas, informações úteis';
$lang['help_keywords'] = 'Usar apenas valores separados por vírgulas';
$lang['help_address'] = 'por exemplo. # 167, Partridge Street, Pine Hills, Albany 12201, Nova Iorque';
$lang['placeholder_external_url'] = 'por exemplo. Http://www.YourDomain.com/useful-info.html';
$lang['help_external_url'] = 'Website externo Link a partir do qual o visitante pode obter mais informações.';
$lang['created_on'] = 'Criado em';
$lang['modified_on'] = 'Modificado em';
$lang['label_latitude'] = 'Latitude';
$lang['label_latitude_longitude'] = 'Latitude longitude';
$lang['label_longitude'] = 'Longitude';
$lang['label_location'] = 'Localização';
$lang['label_value'] = 'Valor';
$lang['tab_active'] = 'Ativo';
$lang['tab_cancelled'] = 'Cancelled';
$lang['tab_approved'] = 'Aprovado';
$lang['tab_rejected'] = 'Rejeitado';
$lang['tab_forged'] = 'Forjado';
$lang['tab_pending'] = 'Pendente';
$lang['tab_confirmed'] = 'Confirmado';
$lang['tab_failed'] = 'Falhou';
$lang['tab_cancelled'] = 'Cancelado';
$lang['tab_inactive'] = 'Inativo';
$lang['tab_spammed'] = 'Spammed';
$lang['tab_upgraded'] = 'Atualizado';
$lang['tab_renewed'] = 'Renovado';
$lang['tab_claimed'] = 'Reivindicado';
$lang['tab_refunded'] = 'Devolveu';
$lang['tab_expired'] = 'Expirado';
$lang['tab_deleted'] = 'Eliminado';
$lang['label_country'] = 'País';
$lang['label_state'] = 'Estado';
$lang['label_all_countries'] = 'Todos os países';
$lang['label_visitors'] = 'Visitantes';
$lang['label_visits'] = 'Visitas';
$lang['label_change_status'] = 'Alterar status';
$lang['message_mobile_valid'] = 'Número válido';
$lang['message_mobile_invalid'] = 'Número inválido';
$lang['label_pay'] = 'Pagamento';
$lang['label_date_paid_never'] = 'Nunca';
$lang['label_closed'] = 'Fechadas';
$lang['us_tab_having'] = 'Tendo';
$lang['label_tags'] = 'Tag';
$lang['label_display_name'] = 'Mostrar nome';
$lang['label_day'] = 'Dia';
$lang['label_monday'] = 'Segunda-feira';
$lang['label_tuesday'] = 'terça';
$lang['label_wednesday'] = 'Quarta-feira';
$lang['label_thursday'] = 'Quinta-feira';
$lang['label_friday'] = 'Sexta-feira';
$lang['label_saturday'] = 'sábado';
$lang['label_sunday'] = 'domingo';
$lang['label_property_type'] = 'Tipo de propriedade';
$lang['label_coverage_area'] = 'Aprox. Área de cobertura';
$lang['label_claim'] = 'Afirmação';
$lang['label_job_experience'] = 'Experiência';
$lang['job_exp_yrs'] = 'Anos';
$lang['click_to_call_unique_total'] = 'Clique para ligar (Único - Total)';
$lang['placeholder_select_product'] = 'Selecione tipo de produto / serviço ...';
$lang['comments_active'] = 'Aprovado';
$lang['label_placed_on'] = 'Colocado sobre';
$lang['label_coupon_code'] = 'Código do cupom';
$lang['label_code'] = 'Código';
$lang['us_active'] = 'Ativo';
$lang['us_inactive'] = 'Inativo';
$lang['label_remaining'] = 'remanescente';
$lang['label_no_record_found'] = 'Não foram encontrados registros que correspondam à sua seleção.';
$lang['msg_permission_error'] = 'Você não tem permissão para acessar esta página';
$lang['msg_permission_expired_error'] = 'Você não tem permissão para acessar esta página. Ou você não está autorizado ou sua listagem pode ter expirado.';
$lang['msg_photo_permission_error'] = 'Você não tem permissão para carregar imagens';
$lang['msg_module_error'] = 'A associação %s não permite adicionar %s, por favor mude / atualize seu pacote.';
$lang['msg_no_row_selected'] = 'Selecione pelo menos uma linha para executar a ação selecionada';
$lang['help_msg_images'] = 'Você pode ter %s imagens por %s';
$lang['help_slug'] = 'O campo Slug deve estar em letras pequenas sem espaços e caracteres especiais.';
$lang['label_select_categories'] = 'Selecione Categorias';
$lang['msg_categories_limit'] = 'Você pode ter %s categorias máximas neste pacote';
$lang['msg_admin_categories_limit'] = 'Você está excedendo o limite de categorias';
$lang['help_categories_limit'] = 'A primeira categoria selecionada seria sua categoria padrão e você pode ter %s categorias máximas neste pacote';

// ORDER AND INVOICE
$lang['label_first_reminder'] = 'Primeiro lembrete';
$lang['label_second_reminder'] = 'Segundo lembrete';
$lang['label_third_reminder'] = 'Terceiro lembrete';
$lang['label_invoice_no'] = 'Fatura Não';
$lang['label_order_id'] = 'ID da encomenda';
$lang['label_next_invoice_date'] = 'Próxima data da factura';
$lang['label_due_date'] = 'Data de Vencimento';
$lang['label_date_paid'] = 'Data de pagamento';
$lang['label_select_country'] = 'Selecione o pais';
$lang['placeholder_country'] = 'Selecione um pais...';
$lang['label_select_state'] = 'Selecione Estado';
$lang['placeholder_state'] = 'Selecione um Estado...';
$lang['label_select_city'] = 'Selecione uma cidade';
$lang['placeholder_city'] = 'Selecione uma cidade ...';
$lang['label_from'] = 'A partir de';
$lang['placeholder_from'] = 'Insira uma data em que o seu anúncio é iniciado';
$lang['label_to'] = 'Para';
$lang['placeholder_to'] = 'Insira uma data em que o seu anúncio termina';
$lang['label_postcode'] = 'Código postal';
$lang['label_taxrate'] = 'Taxa de imposto';
$lang['placeholder_postcode'] = 'Por favor digite um CEP válido';
$lang['label_address'] = 'Endereço';
$lang['placeholder_address'] = 'Introduza o seu endereço comercial';
$lang['label_price'] = 'Preço';
$lang['placeholder_price'] = 'Introduza um preço para o seu %s';
$lang['label_description'] = 'Descrição';
$lang['label_basic_info'] = 'Informação básica';
$lang['label_email'] = 'O email';
$lang['label_website'] = 'Local na rede Internet';
$lang['label_fax'] = 'Fax';
$lang['label_google_map'] = 'Google Map';
$lang['label_contact_person'] = 'Pessoa de contato';
$lang['label_disabled'] = 'Desativado';
$lang['label_select'] = 'Por favor selecione';
$lang['label_mobile_number'] = 'Número de celular';
$lang['placeholder_mobile_number'] = 'Por favor insira um número de telemóvel válido';
$lang['label_external_url'] = 'URL externo';
$lang['label_product'] = 'produtos';
$lang['label_optional'] = '(Opcional)';
$lang['placeholder_title_optional'] = 'Introduza o título para o vídeo ou será tirado automaticamente do youtube';
$lang['placeholder_video'] = 'Digite o URL completo do vídeo do youtube';
$lang['placeholder_cost'] = 'por exemplo. 20 dólares';
$lang['label_max_discount'] = 'Desconto máximo';
$lang['label_fixed'] = 'Fixo';
$lang['label_percentage'] = 'Percentagem';
$lang['label_start_date'] = 'Data de início';
$lang['label_end_date'] = 'Data final';
$lang['label_free'] = 'Livre';
$lang['label_city'] = 'Cidade';
$lang['label_user_phone'] = 'Telefone não.';
$lang['msg_valid_coupon'] = 'Introduza um código de cupão válido';
$lang['msg_coupon_already_used'] = 'Já utilizou este código de cupão';
$lang['msg_coupon_applied'] = 'Cupão aplicado';
$lang['label_additional_info'] = 'informação adicional';
$lang['label_comment'] = 'Comente';
$lang['label_lifetime'] = 'Tempo de vida';

// ORDER NOTIFICATION MEMBER CHECKOUT
$lang['label_order_created_notified'] = 'Ordem criada e notificação do cliente';
$lang['label_order_info_updated'] = 'O cliente tentou pagar fatura, informações de pedido atualizadas';

//------------------------------------------------------------------------------
// Leads Form View and Detail Page
//------------------------------------------------------------------------------
$lang['cn_form_title'] = 'Preencha este formulário e obtenha as melhores cotações dos fornecedores %s na sua cidade';
$lang['cn_form_help'] = 'Preencha este formulário e os fornecedores %s adequados irão ligar instantaneamente com as melhores tarifas';
$lang['cn_chose_your_need'] = 'Escolha a sua necessidade';
$lang['not_applicable'] = 'N / D';
$lang['post_your_requirements'] = 'Publique seus requisitos';
$lang['label_product_service'] = 'Produto / Serviço';
$lang['label_select_category'] = 'Selecione a Categoria';
$lang['help_product_service'] = 'Introduza o nome do produto / serviço';

//------------------------------------------------------------------------------
// Login
//------------------------------------------------------------------------------
$lang['bf_action_register'] = 'Inscrever-se';
$lang['bf_forgot_password'] = 'Esqueceu sua senha?';
$lang['bf_remember_me'] = 'Lembre de mim';

//------------------------------------------------------------------------------
// Password Help Fields to be used as a warning on register
//------------------------------------------------------------------------------
$lang['bf_password_number_required_help'] = 'A senha deve conter pelo menos 1 número.';
$lang['bf_password_caps_required_help'] = 'A senha deve conter pelo menos 1 letra maiúscula.';
$lang['bf_password_symbols_required_help'] = 'A senha deve conter pelo menos 1 símbolo.';
$lang['bf_password_min_length_help'] = 'A senha deve ter no mínimo %s caracteres.';
$lang['bf_password_length'] = 'Comprimento da senha';

// --------------------------------------------------------------------
// User Meta examples
// --------------------------------------------------------------------
$lang['user_meta_title'] = 'Meta título';
$lang['user_meta_street_name'] = 'Nome da rua';
$lang['user_meta_type'] = 'Tipo';
$lang['user_meta_country'] = 'País';
$lang['user_meta_state'] = 'Estado';

//------------------------------------------------------------------------------
// Activation
//------------------------------------------------------------------------------
$lang['bf_activate_method'] = 'Método de Ativação';
$lang['bf_activate_none'] = 'Nenhum';
$lang['bf_activate_email'] = 'O email';
$lang['bf_activate_admin'] = 'Admin';
$lang['bf_activate_otp'] = 'OTP';
$lang['bf_activate'] = 'Ativar';
$lang['bf_activate_resend'] = 'Reenviar a ativação';
$lang['bf_reg_complete_error'] = 'Ocorreu um erro ao concluir o seu registo. Tente novamente ou entre em contato com o administrador do site para obter ajuda.';
$lang['bf_reg_activate_email'] = 'Um email contendo seu código de ativação foi enviado para [EMAIL].';
$lang['bf_reg_activate_admin'] = 'Você será notificado quando o administrador do site tiver aprovado sua associação.';
$lang['bf_reg_activate_none'] = 'Faça o login para começar a usar o site.';
$lang['bf_user_not_active'] = 'A conta de usuário não está ativa.';
$lang['bf_login_activate_title'] = 'Precisa ativar sua conta?';
$lang['bf_login_activate_email'] = '<B> Tem um código de ativação para entrar para ativar sua associação? </B> Insira-o na página [ACCOUNT_ACTIVATE_URL]. <br /> <br /> <b> Precisa de seu código novamente? </B> Solicite novamente Na página [ACTIVATE_RESEND_URL].';

//------------------------------------------------------------------------------
// Migrations lib
//------------------------------------------------------------------------------
$lang['no_migrations_found'] = 'Nenhum arquivo de migração foi encontrado';
$lang['multiple_migrations_version'] = 'Versão de múltiplas migrações:%d';
$lang['multiple_migrations_name'] = 'Nome de várias migrações: %s';
$lang['migration_class_doesnt_exist'] = 'Classe de migração não existe: %s';
$lang['wrong_migration_interface'] = 'Interface de migração errada: %s';
$lang['invalid_migration_filename'] = 'Nome de arquivo de migração errado: %s - %s';

//------------------------------------------------------------------------------
// Profiler Template
//------------------------------------------------------------------------------
$lang['bf_profiler_box_benchmarks'] = 'Benchmarks';
$lang['bf_profiler_box_console'] = 'Console';
$lang['bf_profiler_box_files'] = 'arquivos';
$lang['bf_profiler_box_memory'] = 'Uso de memória';
$lang['bf_profiler_box_queries'] = 'Consultas';
$lang['bf_profiler_box_session'] = 'Dados do usuário da sessão';
$lang['bf_profiler_menu_console'] = 'Console';
$lang['bf_profiler_menu_files'] = 'arquivos';
$lang['bf_profiler_menu_memory'] = 'Memória Usada';
$lang['bf_profiler_menu_memory_mb'] = 'MB';
$lang['bf_profiler_menu_queries'] = 'Consultas';
$lang['bf_profiler_menu_queries_db'] = 'Base de dados';
$lang['bf_profiler_menu_time'] = 'Tempo de carregamento';
$lang['bf_profiler_menu_time_ms'] = 'Senhora';
$lang['bf_profiler_menu_time_s'] = 'S';
$lang['bf_profiler_menu_vars'] = '<Span> vars </span> & amp; Configuração';
$lang['bf_profiler_true'] = 'verdade';
$lang['bf_profiler_false'] = 'falso';

//------------------------------------------------------------------------------
// Form Validation
//------------------------------------------------------------------------------
$lang['bf_form_unique'] = 'O valor em & quot; %s & gt; Já está sendo usado.';
$lang['form_unique_title'] = 'Único (Título, Endereço e Código Postal)';
$lang['form_sanitize'] = 'Sanitize para segurança';
$lang['gc_form_unique_title'] = 'As informações empresariais com o título & lt; %s & quot ;, endereço & quot; %s & quot; E o cï¿½igo postal? %s? Já está sendo usado.';
$lang['gc_form_decimal_extra'] = 'O campo %s só pode conter valores decimais';
$lang['gc_form_is_array'] = 'O campo %s deve ser um array';
$lang['alpha_dash'] = 'O campo %s só pode conter caracteres alfanuméricos, sublinhados e traços.';
$lang['bf_form_alpha_extra'] = 'O campo %s só pode conter caracteres alfanuméricos, espaços, pontos, sublinhados e traços.';
$lang['bf_form_alpha_title'] = 'O campo %s só pode conter caracteres alfanuméricos e espaços. Períodos, sublinhados e traços não são permitidos.';
$lang['gc_form_alpha_slug'] = 'O campo %s só pode conter caracteres alfanuméricos, pontos, sublinhados e traços.';
$lang['bf_form_matches_pattern'] = 'O campo %s não corresponde ao padrão exigido.';
$lang['bf_form_valid_password'] = 'O campo %s deve ter no mínimo {min_length} caracteres.';
$lang['bf_form_valid_password_nums'] = ' %s deve conter pelo menos 1 número.';
$lang['bf_form_valid_password_syms'] = ' %s deve conter pelo menos 1 ponto de pontuação.';
$lang['bf_form_valid_password_mixed_1'] = ' %s deve conter pelo menos 1 caracteres maiúsculos.';
$lang['bf_form_valid_password_mixed_2'] = ' %s deve conter pelo menos 1 caracteres em minúsculas.';
$lang['bf_form_allowed_types'] = ' %s deve conter uma das seleções permitidas.';
$lang['bf_form_one_of'] = ' %s deve conter uma das seleções disponíveis.';
$lang['bf_form_valid_date_time'] = 'O formato %s não está correto.';
$lang['bf_form_not_valid'] = 'O %s é inválido!';
$lang['bf_form_not_valid_url'] = ' %s não é válido. O URL deve começar com http: // ou https: //';
$lang['bf_form_not_valid_youtube_url'] = 'Este não é um YouTube válido %s';
$lang['bf_form_max_keywords'] = 'O campo %s só pode conter %s palavras-chave máximas';
$lang['bf_form_max_ids'] = 'O campo %s pode conter somente %s listando IDs';
$lang['description_limit'] = '(Máximo de caracteres %s)';
$lang['keywords_limit'] = 'Somente valores separados por vírgulas são permitidos e você pode inserir palavras-chave %s';
$lang['no_limit'] = 'Ilimitado';
$lang['bf_form_alpha_keyword'] = 'O campo %s só pode conter caracteres alfanuméricos e espaços. Períodos, sublinhados e traços não são permitidos.';
$lang['bf_min_value'] = ' %s valor mínimo é menor que %s';
$lang['bf_max_value'] = ' %s valor máximo é maior que %s';
$lang['bf_diff_between'] = ' %s campos não devem exceder o valor permitido';
$lang['bf_compare_fields'] = 'O campo %s deve ter um valor maior do que o campo Entre';
$lang['gc_compare_dates'] = 'A data %s deve ser anterior à data %s.';
$lang['gc_job_compare_fields'] = 'O campo %s deve ser maior que o campo Experiência Mínima';
$lang['gc_valid_date'] = 'A data %s deve estar em formato válido.';
$lang['gc_valid_time'] = 'O tempo %s deve estar em formato válido (HH: MM AM / PM, por exemplo 10:10 AM).';

$lang['bf_form_allowed_types_none'] = 'Erro de Configuração: Nenhum tipo válido disponível para o campo %s.';
$lang['bf_form_max_file_size'] = 'O arquivo no campo %s não deve exceder {max_size}';
$lang['bf_form_one_of_none'] = 'Erro de Configuração: Nenhum valor válido disponível para o campo %s.';

$lang['bf_form_valid_url'] = ' %s deve conter um URL válido.';
