<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2015, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT The MIT License.
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Application language file (English)
 *
 * Localization strings used by Bonfire
 *
 * @package Bonfire\Application\Language\English
 * @author  Bonfire Dev Team
 * @link    http://cibonfire.com/docs/developer
 */


//------------------------------------------------------------------------------
// ! GENERAL SETTINGS
//------------------------------------------------------------------------------
$lang['bf_site_name'] = 'Название сайта';
$lang['bf_site_email'] = 'Email сайта';
$lang['bf_site_email_help'] = 'Email по умолчанию, с которого будут отсылаться все сгенерированные системой сообщения.';
$lang['bf_site_status'] = 'Статус сайта';
$lang['bf_online'] = 'Включен';
$lang['bf_offline'] = 'Выключен';
$lang['bf_top_number'] = 'Элементов <em>на</em> страницу:';
$lang['bf_top_number_help'] = 'Сколько эл-тов стоит отображать на каждой странице при просмотре отчетов?';
$lang['bf_home'] = 'Главная';
$lang['bf_site_information'] = 'Информация о сайте';
$lang['bf_timezone'] = 'Часовой пояс';
$lang['bf_language'] = 'Язык';
$lang['bf_language_help'] = 'Выберите языки, доступные пользователям.';

// --------------------------------------------------------------------
// ! AUTH SETTINGS
// --------------------------------------------------------------------
$lang['bf_security'] = 'Безопасность';
$lang['bf_login_type'] = 'Тип аутентификации';
$lang['bf_login_type_email'] = 'Только по Email';
$lang['bf_login_type_username'] = 'Только по имени пользователя';
$lang['bf_allow_register'] = 'Разрешить регистрацию?';
$lang['bf_login_type_both'] = 'По Email ил по имени пользователя';
$lang['gc_login_site'] = 'Login to your %s account';
$lang['gc_register_with'] = 'Register yourself with %s';
$lang['gc_sign_in_by'] = 'Sign in by %s';
$lang['bf_use_usernames'] = 'Пользователь отображается в системе:';
$lang['bf_use_own_name'] = 'Использовать свое имя';
$lang['bf_allow_remember'] = 'Разрешить функцию \'Запомнить меня\'?';
$lang['bf_remember_time'] = 'Запоминать пользователя на';
$lang['bf_week'] = 'Неделю';
$lang['bf_weeks'] = 'Недели';
$lang['bf_days'] = 'Дней';
$lang['bf_username'] = 'Юзернейм';
$lang['bf_password'] = 'Пароль';
$lang['bf_password_confirm'] = 'Пароль (снова)';
$lang['bf_display_name'] = 'Отображаемое имя';
$lang['heading_not_a_robot'] = 'Please prove you are not a robot';

//------------------------------------------------------------------------------
// ! CRUD SETTINGS
//------------------------------------------------------------------------------
$lang['bf_home_page'] = 'Главная страница';
$lang['bf_pages'] = 'Страницы';
$lang['bf_enable_rte'] = 'Включить RTE для страниц?';
$lang['bf_rte_type'] = 'Тип RTE';
$lang['bf_searchable_default'] = 'Доступно для поиска по умолчанию?';
$lang['bf_cacheable_default'] = 'Кешируется по умолчанию?';
$lang['bf_track_hits'] = 'Отслеживать нажатия страниц?';

$lang['bf_action_save'] = 'Сохранить';
$lang['bf_action_delete'] = 'Удалить';
$lang['bf_action_edit'] = 'Редактировать';
$lang['bf_action_undo'] = 'Отменить';
$lang['bf_action_cancel'] = 'Отменить';
$lang['bf_action_browse'] = 'Browse...';
$lang['bf_action_download'] = 'Скачать';
$lang['bf_action_preview'] = 'Предпросмотр';
$lang['bf_action_search'] = 'Искать';
$lang['bf_action_purge'] = 'Очистить';
$lang['bf_action_restore'] = 'Восстановить';
$lang['gc_action_activate'] = 'Activate';
$lang['gc_action_deactivate'] = 'Deactivate';
$lang['bf_action_show'] = 'Показать';
$lang['bf_action_login'] = 'Войти';
$lang['bf_action_logout'] = 'Выйти';
$lang['bf_actions'] = 'Действия';
$lang['bf_clear'] = 'Очистить';
$lang['bf_action_list'] = 'Список';
$lang['bf_action_create'] = 'Создать';
$lang['bf_action_ban'] = 'Заблокировать';
$lang['bf_action_spam'] = 'Mark as Spam';
$lang['filter_first_letter'] = 'Filter by letter: ';

//------------------------------------------------------------------------------
// ! SETTINGS LIB
//------------------------------------------------------------------------------
$lang['bf_do_check'] = 'Проверять ли обновления?';
$lang['bf_do_check_edge'] = 'Включите, чтобы видеть нестабильные обновления.';
$lang['bf_update_show_edge'] = 'Видеть нестабильные обновления?';
$lang['bf_update_info_edge'] = 'Оставьте выключенной, чтобы проверять только обновления. Включите, чтобы видеть каждый коммит в официальном репозитории.';
$lang['bf_ext_profile_show'] = 'Имеет ли пользовательский аккаунт расширенный профиль?';
$lang['bf_ext_profile_info'] = 'Включите, если хотите иметь дополнительные поля для пользователей (meta-data).';

$lang['bf_yes'] = 'Да';
$lang['bf_no'] = 'Нет';
$lang['bf_none'] = 'Ни одного';
$lang['bf_id'] = 'ID';

$lang['bf_or'] = 'или';
$lang['bf_size'] = 'Размер';
$lang['bf_files'] = 'Файлы';
$lang['bf_file'] = 'Файл';

$lang['bf_with_selected'] = 'С отмеченными';

$lang['bf_env_dev'] = 'Разработка';
$lang['bf_env_test'] = 'Тестирование';
$lang['bf_env_prod'] = 'Продакшн';

$lang['bf_show_profiler'] = 'Показывать профайлер в админке?';
$lang['bf_show_front_profiler'] = 'Показывать профайлер на публичных страницах?';

$lang['bf_cache_not_writable'] = 'Директория для кеша приложения закрыта для записи.';

$lang['bf_password_strength'] = 'Настройки безопасности пароля';
$lang['bf_password_length_help'] = 'Минимальная длина пароля (например 8)';
$lang['bf_password_force_numbers'] = 'Обязан ли пароль содержать цифры?';
$lang['bf_password_force_symbols'] = 'Обязан ли пароль содержать символы?';
$lang['bf_password_force_mixed_case'] = 'Обязан ли пароль содержать символы в разном регистре?';
$lang['bf_password_show_labels'] = 'Отображать ли валидацию пароля?';
$lang['bf_password_iterations_note'] = 'Чем выше значение - тем безопаснее пароль и больше времени требуется на хеширование всех паролей.<br/>Прочтите <a href="http://www.openwall.com/phpass/" target="blank">официальную документацию phpass</a> для изучения вопроса. Если сомневаетесь - ставьте 8.';

//------------------------------------------------------------------------------
// ! USER/PROFILE
//------------------------------------------------------------------------------
$lang['bf_user'] = 'Пользователь';
$lang['bf_users'] = 'Пользователи';
$lang['bf_description'] = 'Описание';
$lang['bf_email'] = 'Email';
$lang['bf_user_settings'] = 'Мой профиль';
$lang['bf_both'] = 'оба';
$lang['bf_go_back'] = 'Назад';
$lang['gc_reset'] = 'Reset';
$lang['bf_new'] = 'Новый';
$lang['bf_required_note'] = 'Обязательные поля отмечены <b>жирным</b> шрифтом.';
$lang['bf_form_label_required'] = '<span class="required">*</span>';

//------------------------------------------------------------------------------
// BF_Model
//------------------------------------------------------------------------------
$lang['bf_model_db_error'] = 'Ошибка БД: %s';
$lang['bf_model_no_data'] = 'Данные не найдены.';
$lang['bf_model_invalid_id'] = 'Модели передан неверный ID.';
$lang['bf_model_no_table'] = 'В модели не определена таблица БД.';
$lang['bf_model_fetch_error'] = 'Недостаточно информации для определения полей.';
$lang['bf_model_count_error'] = 'Недостаточно информации для подсчета результатов.';
$lang['bf_model_unique_error'] = 'Недостаточно информации для проверки на уникальность.';
$lang['bf_model_find_error'] = 'Недостаточно информации для поиска по значению.';

//------------------------------------------------------------------------------
// Contexts
//------------------------------------------------------------------------------
$lang['bf_no_contexts'] = 'Массив контекстов неправильно настроен. Проверьте файл конфигурации приложения.';
$lang['bf_context_dashboard'] = 'Dashboard';
$lang['bf_context_content'] = 'Содержание';
$lang['bf_context_financial'] = 'Financial';
$lang['bf_context_reports'] = 'Отчеты';
$lang['bf_context_settings'] = 'Настройки';
$lang['bf_context_tools'] = 'Tools';
$lang['bf_context_developer'] = 'Разработчику';
$lang['bf_context_help'] = 'Help';

//------------------------------------------------------------------------------
// Activities
//------------------------------------------------------------------------------
$lang['bf_act_settings_saved'] = 'Настройки приложения сохранены из';
$lang['bf_unauthorized_attempt'] = 'неудачная попытка доступа к странице, которая требует права доступа "%s" из ';
$lang['bf_keyboard_shortcuts'] = 'Доступные горячие клавиши:';
$lang['bf_keyboard_shortcuts_none'] = 'Нет установленных горячих клавиш.';
$lang['bf_keyboard_shortcuts_edit'] = 'Обновить горячие клавиши';

// --------------------------------------------------------------------
// OnType Location Selection
// --------------------------------------------------------------------
$lang['select_city'] = 'Enter a city';
$lang['help_city'] = 'Type your city name and select from the list';
$lang['select_locality'] = 'Select a locality (nearby)';
$lang['help_locality'] = 'Type your locality name and select from the list';

// --------------------------------------------------------------------
// Common
// --------------------------------------------------------------------
$lang['classifieds'] = 'Classifieds';
$lang['label_qrcode'] = 'QRCode';
$lang['label_listing'] = 'Listing';
$lang['listings'] = 'Listings';
$lang['label_business'] = 'Business';
$lang['label_service'] = 'Service';
$lang['label_classified'] = 'Classified';
$lang['label_business_hours'] = 'Business Hours';
$lang['blogs'] = 'Blogs';
$lang['deals'] = 'Deals';
$lang['events'] = 'Events';
$lang['jobs'] = 'Jobs';
$lang['properties'] = 'Properties';
$lang['videos'] = 'Videos';
$lang['label_logo'] = 'Logo';
$lang['products'] = 'Products';
$lang['images'] = 'Images';
$lang['others'] = 'Others';
$lang['categories'] = 'Categories';
$lang['locations'] = 'Locations';
$lang['comments'] = 'Comments';
$lang['financial'] = 'Financial';
$lang['news'] = 'News';
$lang['bf_question_mark'] = '?';
$lang['bf_language_direction'] = 'ltr';
$lang['log_intro'] = 'Это ваши логи';
$lang['bf_name'] = 'Имя';
$lang['bf_status'] = 'Статус';
$lang['view_details'] = 'View Details';
$lang['upload_photos'] = 'Upload Photos';
$lang['label_my'] = 'My';
$lang['general_information'] = 'General Information';
$lang['extra_information'] = 'Extra Information';
$lang['additional_information'] = 'Additional Information';
$lang['label_alphabetically'] = 'Alphabetically';
$lang['label_top_rated'] = 'Top Rated';
$lang['label_relevance'] = 'Relevance';
$lang['no_filter'] = 'Clear Filter';
$lang['sorted_by'] = 'Sorted By';
$lang['business_details'] = 'Business Details';
$lang['ratings_and_review'] = 'Ratings & Review';
$lang['label_never'] = 'Never';
$lang['gc_tab_all'] = 'All';
$lang['bulk_import'] = 'Bulk Import';
$lang['btn_clone'] = 'Clone';
$lang['label_copy'] = 'Copy';
$lang['get_directions'] = 'Get Directions';
$lang['action_save'] = 'Save';
$lang['label_view'] = 'View';
$lang['label_value_between'] = 'Between';
$lang['label_value_and'] = 'and';
$lang['label_difference_warning'] = 'The difference should not exceed %s';
$lang['label_listing_ids'] = 'Listing ID(s)';
$lang['label_ids'] = 'ID(s)';
$lang['label_insert_only'] = 'Insert Only';
$lang['label_insert_update'] = 'Insert and Update';
$lang['label_db_transaction'] = 'Transaction Type';
$lang['msg_success'] = 'Action performed successfully';
$lang['label_deselect_all'] = 'Deselect All';
$lang['label_meta_title'] = 'Meta Title';
$lang['label_meta_keywords'] = 'Meta Keywords';
$lang['label_meta_description'] = 'Meta Description';
$lang['label_admin_search'] = 'Go!';
$lang['status_spam'] = 'Spam';
$lang['label_order'] = 'Order';
$lang['label_image'] = 'Image';
$lang['label_categories'] = 'Categories';
$lang['label_countries'] = 'Countries';
$lang['states'] = 'States';
$lang['cities'] = 'Cities';
$lang['label_localities'] = 'Localities';
$lang['label_keywords'] = 'Keywords';
$lang['placeholder_keywords'] = 'e.g. guide, tips, review, tools, useful information';
$lang['help_keywords'] = 'Use comma separated values only';
$lang['help_address'] = 'e.g. #167, Partridge Street, Pine Hills, Albany 12201, New York';
$lang['placeholder_external_url'] = 'e.g. http://www.YourDomain.com/useful-info.html';
$lang['help_external_url'] = 'External Website Link from which the visitor can get more information.';
$lang['created_on'] = 'Created On';
$lang['modified_on'] = 'Modified On';
$lang['label_latitude'] = 'Latitude';
$lang['label_latitude_longitude'] = 'Latitude & Longitude';
$lang['label_longitude'] = 'Longitude';
$lang['label_location'] = 'Location';
$lang['label_value'] = 'Value';
$lang['tab_active'] = 'Active';
$lang['tab_cancelled'] = 'Cancelled';
$lang['tab_approved'] = 'Approved';
$lang['tab_rejected'] = 'Rejected';
$lang['tab_forged'] = 'Forged';
$lang['tab_pending'] = 'Pending';
$lang['tab_confirmed'] = 'Confirmed';
$lang['tab_failed'] = 'Failed';
$lang['tab_cancelled'] = 'Cancelled';
$lang['tab_inactive'] = 'Inactive';
$lang['tab_spammed'] = 'Spammed';
$lang['tab_upgraded'] = 'Upgraded';
$lang['tab_renewed'] = 'Renewed';
$lang['tab_claimed'] = 'Claimed';
$lang['tab_refunded'] = 'Refunded';
$lang['tab_expired'] = 'Expired';
$lang['tab_deleted'] = 'Deleted';
$lang['label_country'] = 'Country';
$lang['label_state'] = 'State';
$lang['label_all_countries'] = 'All Countries';
$lang['label_visitors'] = 'Visitors';
$lang['label_visits'] = 'Visits';
$lang['label_change_status'] = 'Change Status';
$lang['message_mobile_valid'] = 'Valid Number';
$lang['message_mobile_invalid'] = 'Invalid Number';
$lang['label_pay'] = 'Pay';
$lang['label_date_paid_never'] = 'Never';
$lang['label_closed'] = 'Closed';
$lang['us_tab_having'] = 'Having';
$lang['label_tags'] = 'Tags';
$lang['label_display_name'] = 'Display Name';
$lang['label_day'] = 'Day';
$lang['label_monday'] = 'Monday';
$lang['label_tuesday'] = 'Tuesday';
$lang['label_wednesday'] = 'Wednesday';
$lang['label_thursday'] = 'Thursday';
$lang['label_friday'] = 'Friday';
$lang['label_saturday'] = 'Saturday';
$lang['label_sunday'] = 'Sunday';
$lang['label_property_type'] = 'Type of Property';
$lang['label_coverage_area'] = 'Approx. Coverage Area';
$lang['label_claim'] = 'Claim';
$lang['label_job_experience'] = 'Experience';
$lang['job_exp_yrs'] = 'yrs';
$lang['click_to_call_unique_total'] = 'Click to Call (Unique - Total)';
$lang['placeholder_select_product'] = 'Select product/service type...';
$lang['comments_active'] = 'Approved';
$lang['label_placed_on'] = 'Placed On';
$lang['label_coupon_code'] = 'Coupon Code';
$lang['label_code'] = 'Code';
$lang['us_active'] = 'Active';
$lang['us_inactive'] = 'Inactive';
$lang['label_remaining'] = 'remaining';
$lang['label_no_record_found'] = 'No records found that match your selection.';
$lang['msg_permission_error'] = 'You don\'t have permission to access this page';
$lang['msg_permission_expired_error'] = 'You don\'t have permission to access this page. Either you are not authorized or your listing might have expired.';
$lang['msg_photo_permission_error'] = 'You don\'t have permission to upload images';
$lang['msg_module_error'] = '%s membership does not allow you to add %s, please change/upgrade your package.';
$lang['msg_no_row_selected'] = 'Please select atleast one row to perform the selected action';
$lang['help_msg_images'] = 'You can have %s images per %s';
$lang['help_slug'] = 'Slug field must be in small letters without spaces and special characters.';
$lang['label_select_categories'] = 'Select Categories';
$lang['msg_categories_limit'] = 'You can have maximum %s categories in this package';
$lang['msg_admin_categories_limit'] = 'You are exceeding categories limit';
$lang['help_categories_limit'] = 'First selected category would be your default category and you can have maximum %s categories in this package';

// ORDER AND INVOICE
$lang['label_first_reminder'] = 'First Reminder';
$lang['label_second_reminder'] = 'Second Reminder';
$lang['label_third_reminder'] = 'Third Reminder';
$lang['label_invoice_no'] = 'Invoice No';
$lang['label_order_id'] = 'Order ID';
$lang['label_next_invoice_date'] = 'Next Invoice Date';
$lang['label_due_date'] = 'Due Date';
$lang['label_date_paid'] = 'Date Paid';
$lang['label_select_country'] = 'Select Country';
$lang['placeholder_country'] = 'Select a country...';
$lang['label_select_state'] = 'Select State';
$lang['placeholder_state'] = 'Select a state...';
$lang['label_select_city'] = 'Select City';
$lang['placeholder_city'] = 'Select a city...';
$lang['label_from'] = 'From';
$lang['placeholder_from'] = 'Please enter a date when your classified starts';
$lang['label_to'] = 'To';
$lang['placeholder_to'] = 'Please enter a date when your classified ends';
$lang['label_postcode'] = 'Postcode';
$lang['label_taxrate'] = 'Tax Rate';
$lang['placeholder_postcode'] = 'Please enter a valid postcode';
$lang['label_address'] = 'Address';
$lang['placeholder_address'] = 'Please enter your business address';
$lang['label_price'] = 'Price';
$lang['placeholder_price'] = 'Please enter a price for your %s';
$lang['label_description'] = 'Description';
$lang['label_basic_info'] = 'Basic Information';
$lang['label_email'] = 'Email';
$lang['label_website'] = 'Website';
$lang['label_fax'] = 'Fax';
$lang['label_google_map'] = 'Google Map';
$lang['label_contact_person'] = 'Contact Person';
$lang['label_disabled'] = 'Disabled';
$lang['label_select'] = 'Please Select';
$lang['label_mobile_number'] = 'Mobile Number';
$lang['placeholder_mobile_number'] = 'Please enter a valid mobile number';
$lang['label_external_url'] = 'External URL';
$lang['label_product'] = 'Product';
$lang['label_optional'] = '(Optional)';
$lang['placeholder_title_optional'] = 'Please enter title for video or it will be taken automatically from youtube';
$lang['placeholder_video'] = 'Please enter full URL of youtube video';
$lang['placeholder_cost'] = 'e.g. $20';
$lang['label_max_discount'] = 'Maximum Discount';
$lang['label_fixed'] = 'Fixed';
$lang['label_percentage'] = 'Percentage';
$lang['label_start_date'] = 'Start Date';
$lang['label_end_date'] = 'End Date';
$lang['label_free'] = 'Free';
$lang['label_city'] = 'City';
$lang['label_user_phone'] = 'Phone No.';
$lang['msg_valid_coupon'] = 'Please enter a valid coupon code';
$lang['msg_coupon_already_used'] = 'You have already used this coupon code';
$lang['msg_coupon_applied'] = 'Coupon Applied';
$lang['label_additional_info'] = 'Additional Information';
$lang['label_comment'] = 'Comment';
$lang['label_lifetime'] = 'Lifetime';

// ORDER NOTIFICATION MEMBER CHECKOUT
$lang['label_order_created_notified'] = 'Order Created and Customer Notified';
$lang['label_order_info_updated'] = 'Customer tried to Pay Invoice, Order Info Updated';

//------------------------------------------------------------------------------
// Leads Form View and Detail Page
//------------------------------------------------------------------------------
$lang['cn_form_title'] = 'Fill this Form and Get Best Quotes from %s vendors in your City';
$lang['cn_form_help'] = 'Fill this Form and Suitable %s vendors will call instantly with best rates';
$lang['cn_chose_your_need'] = 'Choose your need';
$lang['not_applicable'] = 'N/A';
$lang['post_your_requirements'] = 'Post Your Requirements';
$lang['label_product_service'] = 'Product/Service';
$lang['label_select_category'] = 'Select Category';
$lang['help_product_service'] = 'Enter product/service name';

//------------------------------------------------------------------------------
// Login
//------------------------------------------------------------------------------
$lang['bf_action_register'] = 'Регистрация';
$lang['bf_forgot_password'] = 'Забыли свой пароль?';
$lang['bf_remember_me'] = 'Запомнить меня';

//------------------------------------------------------------------------------
// Password Help Fields to be used as a warning on register
//------------------------------------------------------------------------------
$lang['bf_password_number_required_help'] = 'Пароль обязан содержать хотя бы 1 цифру.';
$lang['bf_password_caps_required_help'] = 'Пароль обязан содержать хотя бы одну большую букву.';
$lang['bf_password_symbols_required_help'] = 'Пароль обязан содержать хотя бы один символ.';
$lang['bf_password_min_length_help'] = 'Пароль обязан содержать минимум %s символов.';
$lang['bf_password_length'] = 'Длина пароля';

// --------------------------------------------------------------------
// User Meta examples
// --------------------------------------------------------------------
$lang['user_meta_title'] = 'Meta Title';
$lang['user_meta_street_name'] = 'Улица';
$lang['user_meta_type'] = 'Тип';
$lang['user_meta_country'] = 'Страна';
$lang['user_meta_state'] = 'Штат/Область';

//------------------------------------------------------------------------------
// Activation
//------------------------------------------------------------------------------
$lang['bf_activate_method'] = 'Метод активации';
$lang['bf_activate_none'] = 'Не установлено';
$lang['bf_activate_email'] = 'По Email';
$lang['bf_activate_admin'] = 'Вручную администратором';
$lang['bf_activate_otp'] = 'OTP';
$lang['bf_activate'] = 'Активировать';
$lang['bf_activate_resend'] = 'Повторная активация';
$lang['bf_reg_complete_error'] = 'Произошла ошибка при завершении регистрации. Пожалуйста, попробуйте еще раз либо обратитесь к администрации сайта за помощью.';
$lang['bf_reg_activate_email'] = 'Письмо с кодом активации было отправлено на [EMAIL].';
$lang['bf_reg_activate_admin'] = 'Как только администратор сайта подтвердит вашу регистрацию, вы обязательно будете проинформированы ';
$lang['bf_reg_activate_none'] = 'Чтобы пользоваться сайтом, войдите под своей учетной записью.';
$lang['bf_user_not_active'] = 'Аккаунт пользователя неактивен.';
$lang['bf_login_activate_title'] = 'Активировать ли ваш аккаунт?';
$lang['bf_login_activate_email'] = '<b>У вас есть код активации?</b> Введите его на этой странице: [ACCOUNT_ACTIVATE_URL].<br /><br />    <b>Нужен код?</b> Запросите его еще раз на этой странице: [ACTIVATE_RESEND_URL].';

//------------------------------------------------------------------------------
// Migrations lib
//------------------------------------------------------------------------------
$lang['no_migrations_found'] = 'Не найдены файлы миграции';
$lang['multiple_migrations_version'] = 'Версия множественных миграций: %d';
$lang['multiple_migrations_name'] = 'Имя множественных миграций: %s';
$lang['migration_class_doesnt_exist'] = 'Класс миграций не найден: %s';
$lang['wrong_migration_interface'] = 'Неправильный интерфейс миграции: %s';
$lang['invalid_migration_filename'] = 'Неправильное название файла миграций: %s - %s';

//------------------------------------------------------------------------------
// Profiler Template
//------------------------------------------------------------------------------
$lang['bf_profiler_box_benchmarks'] = 'Тесты производительности';
$lang['bf_profiler_box_console'] = 'Консоль';
$lang['bf_profiler_box_files'] = 'Файлы';
$lang['bf_profiler_box_memory'] = 'Использование памяти';
$lang['bf_profiler_box_queries'] = 'Запросы';
$lang['bf_profiler_box_session'] = 'Данные сессии пользователя';
$lang['bf_profiler_menu_console'] = 'Консоль';
$lang['bf_profiler_menu_files'] = 'Файлы';
$lang['bf_profiler_menu_memory'] = 'Использовано памяти';
$lang['bf_profiler_menu_memory_mb'] = 'МБ';
$lang['bf_profiler_menu_queries'] = 'Запросов';
$lang['bf_profiler_menu_queries_db'] = 'База Данных';
$lang['bf_profiler_menu_time'] = 'Время загрузки';
$lang['bf_profiler_menu_time_ms'] = 'мс';
$lang['bf_profiler_menu_time_s'] = 'с';
$lang['bf_profiler_menu_vars'] = '<span>переменные</span> &amp; Настройка';
$lang['bf_profiler_true'] = 'true';
$lang['bf_profiler_false'] = 'false';

//------------------------------------------------------------------------------
// Form Validation
//------------------------------------------------------------------------------
$lang['bf_form_unique'] = 'Значение поля &quot;%s&quot; уже используется.';
$lang['form_unique_title'] = 'Unique (Title, Address and Postcode)';
$lang['form_sanitize'] = 'Sanitize for security';
$lang['gc_form_unique_title'] = 'Business information with title &quot;%s&quot;, address &quot;%s&quot; and postcode &quot;%s&quot; is already being used.';
$lang['gc_form_decimal_extra'] = 'The %s field may only contain decimal values';
$lang['gc_form_is_array'] = 'The %s field must be an array';
$lang['alpha_dash'] = 'The %s field may only contain alpha-numeric characters, underscores and dashes.';
$lang['bf_form_alpha_extra'] = 'Поле %s должно содержать буквы, цифры, пробелы, точки, нижние подчеркивания и тире.';
$lang['bf_form_alpha_title'] = 'The %s field may only contain alpha-numeric characters and spaces. Periods, underscores, and dashes are not allowed.';
$lang['gc_form_alpha_slug'] = 'The %s field may only contain alpha-numeric characters, periods, underscores, and dashes.';
$lang['bf_form_matches_pattern'] = 'Поле %s не соответствует необходимому шаблону.';
$lang['bf_form_valid_password'] = 'Поле %s должно иметь минимум {min_length} символов.';
$lang['bf_form_valid_password_nums'] = 'Поле %s должно содержать минимум одну цифру.';
$lang['bf_form_valid_password_syms'] = 'Поле %s должно содержать минимум 1 знак пунктуации.';
$lang['bf_form_valid_password_mixed_1'] = 'Поле %s должно содержать минимум 1 символ верхнего регистра.';
$lang['bf_form_valid_password_mixed_2'] = 'Поле %s должно содержать минимум 1 символ нижнего регистра.';
$lang['bf_form_allowed_types'] = 'Поле %s должно содержать один из разрешенных элементов для выбора.';
$lang['bf_form_one_of'] = 'Поле %s должно содержать один из доступных для выбора элементов.';
$lang['bf_form_valid_date_time'] = '%s format is not correct.';
$lang['bf_form_not_valid'] = '%s is invalid!';
$lang['bf_form_not_valid_url'] = '%s is not valid. URL must start with http:// or https://';
$lang['bf_form_not_valid_youtube_url'] = 'This is not a valid YouTube %s';
$lang['bf_form_max_keywords'] = 'The %s field may only contain maximum %s keywords';
$lang['bf_form_max_ids'] = 'The %s field may only contain maximum %s listing id\'s';
$lang['description_limit'] = '(Maximum characters %s)';
$lang['keywords_limit'] = 'Only comma separated values are allowed and you can input %s keywords';
$lang['no_limit'] = 'Unlimited';
$lang['bf_form_alpha_keyword'] = 'The %s field may only contain alpha-numeric characters and spaces. Periods, underscores, and dashes are not allowed.';
$lang['bf_min_value'] = '%s minimum value is less than %s';
$lang['bf_max_value'] = '%s maximum value is greater than %s';
$lang['bf_diff_between'] = '%s fields must not exceed the permissible value';
$lang['bf_compare_fields'] = 'The %s field must have a higher value than the Between field';
$lang['gc_compare_dates'] = 'The %s date must be earlier than %s date.';
$lang['gc_job_compare_fields'] = '%s field must be greater than Minimum Experience field';
$lang['gc_valid_date'] = 'The %s date must be in valid format.';
$lang['gc_valid_time'] = 'The %s time must be in valid format (HH:MM AM/PM e.g. 10:10 AM).';

$lang['bf_form_allowed_types_none'] = 'Configuration Error: No valid types available for the %s field.';
$lang['bf_form_max_file_size'] = 'The file in %s field must not exceed {max_size}';
$lang['bf_form_one_of_none'] = 'Configuration Error: No valid values available for the %s field.';

$lang['bf_form_valid_url'] = '%s must contain a valid URL.';
