<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
class Crypt {

	/**
	 * PHP v7 Encode and Decode URI
	 * Change it as per your requirements 
	 */
	
	/**
	 * Encryption Key
	 */
	private $encryptionKey = '';
	protected $CI;
	
	/**
	 * Constructor
	 *
	 * @return void
	 */
	public function __construct()
	{
		$this->CI =& get_instance();
		$this->encryptionKey = $this->CI->config->item('encryption_key');
	}
	
	/**
	 * Base64 URL Encode
	 * @param string $plainText
	 * @return string
	 */
	public function base64url_encode($plainText) {
		$base64 = base64_encode($plainText);
		$base64url = strtr($base64, '+/=', '-_,');
		return $base64url;
	}
	
	/**
	 * Base64 URL Decode
	 * @param string $plainText
	 * @return string
	 */
	public function base64url_decode($plainText) {
		$base64url = strtr($plainText, '-_,', '+/=');
		$base64 = base64_decode($base64url);
		return $base64;
	}
	
	/**
	 * Encode URL ID
	 * @see CI_Encrypt::encode()
	 * @param boolean $is_string - Pass TRUE if the URI parameter is a string e.g. module name like listings
	 */
	public function encode($uri, $is_string = false) {
		/*if($is_string) {
			return $this->base64url_encode($uri);
		} else {
			return urlencode($this->base64url_encode($uri . '-' . substr(sha1($this->encryptionKey), 0, 6)));
		}*/
		return urlencode($this->base64url_encode($uri . '-' . substr(sha1($this->encryptionKey), 0, 6)));
	}
	
	/**
	 * Decode URL ID
	 * @see CI_Encrypt::decode()
	 * @param boolean $is_string - Pass TRUE if the URI parameter is a string e.g. module name like listings
	 */
	public function decode($string, $is_string = false) {
		/*if($is_string) {
			return $this->base64url_decode($string);
		} else {
			$string = urldecode($string);
			$parts = explode('-', $this->base64url_decode($string));
			if (count($parts) != 2) {			 
				return 0;
			}
			$int = $parts[0];
			return substr(sha1($this->encryptionKey), 0, 6) === $parts[1] ? (int)$int : 0; // Return Integer Value Only
		}*/
		$string = urldecode(!empty($string) ? $string : '');
		$parts = explode('-', $this->base64url_decode($string));
		if (count($parts) != 2) {
			return 0;
		}
		$int = $parts[0];
		return substr(sha1($this->encryptionKey), 0, 6) === $parts[1] ? $int : 0;
	}
}