<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
class Gtools {
    /**
     * Stores the CodeIgniter core object.
     *
     * @access public
     *
     * @var object
     */
    protected $CI;
    
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct($config = array()) {
        $this->CI =& get_instance();
    }
    
    /**
     * Remove duplicate listings from the list, if the address is different add a branch address
     * Note: Do not forget to make an index on the title field
     */
    public function find_duplicate() {
        $branch_fields = $this->CI->gc->get_db_fields('branches');
        $sql = "SELECT COUNT(*) c,title FROM `rs0d_listings` WHERE status != 10 GROUP BY title HAVING c > 1;";
        $rows = $this->CI->db->query($sql)->result();
        if($rows) {
            $update_data = array();
            $branch_addresses = array();
            $duplicate_listings = array();
            foreach($rows as $row) {
                $sql = 'SELECT * FROM rs0d_listings WHERE title = "' . $row->title . '" ORDER BY id DESC';
                $records = $this->db->query($sql)->result_array();
                if($records) {
                    $i = 0;
                    $listing = $records[0];
                    $description = $listing['description'];
                    $updated_description = array($description);
                    foreach($records as $record) {
                        if($i > 0) {
                            // keep the first listing, use remaining as branch offices
                            if($record['address'] != $listing['address']) {
                                $branch_info = array(
                                    'listing_id' => $listing['id']
                                );
                                foreach($branch_fields as $branch_field) {
                                    if($branch_field != 'id' && array_key_exists($branch_field, $listing)) {
                                        $branch_info[$branch_field] = $listing[$branch_field];
                                    }
                                }
                                $branch_addresses[] = $branch_info;
                            }
                            if($record['description'] != $description) {
                                $updated_description[] = $record['description'];
                            }
                            $duplicate_listings[] = array(
                                'id' => $record['id'],
                                'status' => 10
                            );
                        }
                        $i++;
                    }
                    if(count($updated_description) > 1) {
                        $update_data[] = array(
                            'id' => $listing['id'],
                            'description' => implode('<br />', $updated_description),
                        );
                    }
                }
            }
            if(!empty($duplicate_listings)) {
                $this->CI->db->update_batch('listings', $duplicate_listings, 'id');
            }
            if(!empty($branch_addresses)) {
                $this->CI->db->insert_batch('branches', $branch_addresses);
            }
            if(!empty($update_data)) {
                $this->CI->db->update_batch('listings', $update_data, 'id');
            }
        }
        
    }
    
    /**
     * Auto Increment a newly added field when the primary already exists
     */
    public function auto_increment() {
        $new_id = $this->CI->db->select('MAX(new_id) AS new_id')->get('listings')->row();
        $id = $new_id->new_id;
        $records = $this->db->where('new_id', 0)->limit(40000)->get('listings')->result();
        if($records) {
            $data = array();
            $i = $id + 1;
            foreach($records as $record) {
                $data[] = array(
                    'id' => $record->id,
                    'new_id' => $i
                );
                $i++;
            }
            $this->CI->db->update_batch('listings', $data, 'id');
        }
    }
}