var admin_site_url = $('#site_url').attr('home_url');
var site_url = $('#site_url').val();
var adminRequest = false; // use this variable to handle Admin Panel changes
// if Admin Panel
if(typeof admin_site_url != 'undefined') {
	adminRequest = true;
	site_url += '/financial/';
}
var csrf_token = $.cookie('ci_csrf_token');
/*  ------------------------------------------------------------
	HIDE FIELDS FROM THE PACKAGE FORM BASED ON MODULE ID
	------------------------------------------------------------ */	
$('#module_id').change(function () {
	if($(this).val() == 15) {
        $('#banner-fields').show();
        $('#featured-fields').hide();
    } else {
    	$('#banner-fields').hide();
        $('#featured-fields').show();
    }
});

/*  ------------------------------------------------------------
	AUTO LOAD KEYWORDS ON TITLE SELECTION
	------------------------------------------------------------ */	
var pricing_type = 'fixed';
var module_id = 0;
var type = 0;
if($('#pricing_type').length) {
	pricing_type = $('#pricing_type').val();
}
if($('#module_id').length) {
	module_id = $('#module_id').val();
}
if($('#type').length) {
	type = $('#type').val();
}
if($('#row_id').length && $('#user_type').length == 0) {	
	$('#row_id').selectize({	
		onChange: function(value) {
			if (!value.length) return;
			if(pricing_type == 'campaign') {
				$.ajax({
					url: site_url + 'ads/load_keywords/' + value + '/' + module_id + '/' + type,
					type: 'GET',
					success: function(data) {
						if(data.length > 0) {
							data = JSON.parse(data);
							// append tags keywords
							if(data.tags.length > 0) {
								$.each(data.tags, function(id, tag) {
									appendRow('tags', tag, false);
								});
							}
							// append categories keywords
							if(data.categories.length > 0) {
								$.each(data.categories, function(id, category) {
									appendRow('categories', category, false);
								});
							}
							// append cities keywords
							if(data.cities.length > 0) {
								$.each(data.cities, function(id, city) {
									appendRow('cities', city, false);
								});
							}
		            	}
					}
				});
			}
		}
	});
}

/*  ------------------------------------------------------------
	HIDE FIELDS FROM THE PACKAGE FORM BASED ON THE PRICING TYPE
	------------------------------------------------------------ */
$('#pricing_type').change(function () {	
	if($(this).val() == 'campaign') {		
		$('.package-price').hide(); // always hide the price
		$('.pricing_criteria').show(); // show pricing criteria
		// if any of the checkbox is checked show the bid option
		if($('.pricing_criteria input:checked').length > 0) {
			$('.campaign_bid').show();
			// also display the corresponding checkbox
			$(".pricing_criteria input[type=checkbox]").each(function() {
				  if($(this).is(':checked')) {
						$('#' + $(this).attr('name') + '_bid_check').show();
				  }
			});
		}
	} else {
		$('.package-price').show(); // show the price field
		// hide campaign field
		$('.pricing_criteria').hide();
		$('.campaign_bid').hide();
	}
});

/*  ------------------------------------------------------------
	ADMIN PANEL - PACKAGES ALLOW USER TO BID ON KEYWORDS
	------------------------------------------------------------ */
if($('#pricing_type').length) {
	$(".pricing_criteria :checkbox").change(function(e){
		// if any one checkbox is checked hide the price field
		if($('.pricing_criteria input:checked').length > 0) {
			// show the allow bid fields
			$('.campaign_bid').show();
		} else {
			// hide the allow bid fields
			$('.campaign_bid').hide();
		}
		// show/hide bid fields
		if ($(this).is(":checked")) {
	    	$('#' + $(this).attr('name') + '_bid_check').show();
	    } else {
	    	$('#' + $(this).attr('name') + '_bid_check').hide();
	    }
	});
}

/*  ------------------------------------------------------------
	SHOW/HIDE FIELDS FROM THE AD FORM
	------------------------------------------------------------ */	
$('#package_idd').change(function () {
	$.post(admin_site_url + '/financial/ads/package_info/', { id: $(this).val(), 'ci_csrf_token': csrf_token }, function(data) {
		data = JSON.parse(data);
		if(data.module_id == 1) {
			$('#banner-fields').hide();
		} else {
			$('#banner-fields').show();
			if(data.type == 'image') {
				$('.banner-image').show();
				$('.banner-text').hide();
			} else if(data.type == 'text' || data.type == 'html') {
				$('.banner-image').hide();
				$('.banner-text').show();
			}
		}
		if(data.pricing_type == 'fixed' && data.duration != 0) {
			$('.ad-duration').hide();
		} else if(data.pricing_type == 'campaign') {
			$('.ad-duration').show();
		}
	});	
});

/*  ------------------------------------------------------------
	START AND END DATE TIME PICKER
	------------------------------------------------------------ */
//$('#start_date').datepicker({ dateFormat: 'yy-mm-dd'}); //DATE PICKER
//$('#end_date').datepicker({ dateFormat: 'yy-mm-dd'}); //DATE PICKER
// format: 'YYYY-MM-DD HH:mm:ss'
if($('#start_date').length) {
	$('#start_date').datetimepicker({format: 'YYYY-MM-DD', sideBySide: true});
	$("#start_date").on("dp.change", function (e) {
		var now = new Date(Date.now());
	    $('#start_date').data("DateTimePicker").minDate(now); // date time must be greater than the current date time
	});
}

/*  ------------------------------------------------------------
	SELF PRICING OPTIONS
	------------------------------------------------------------ */
if($('#search_tags').length) {
	selectizeSearch('tags');
	removeRow('tags', $('#search_tags'));
}
if($('#search_categories').length) {
	selectizeSearch('categories');
	removeRow('categories', $('#search_categories'));
}
if($('#search_cities').length) {
	selectizeSearch('cities');
	removeRow('cities', $('#search_cities'));
}
var ajaxData = [];
/*-------------------------------------------------------*/
/*	Common Selectize Search for Tags, Cities & Categories
/*-------------------------------------------------------*/
function selectizeSearch(module) {
	var select 	= $('#search_' + module);
	select.selectize({
		// persist : false, // If false, items created by the user will not show up as available options once they are unselected.
		maxItems : null,
		plugins: ['remove_button'], // display remove button
		valueField : 'id',
		labelField : 'name',
		searchField : [ 'id', 'name' ],
		render: {
			item : function(item, escape) {
				return '<div>'
						+ (item.name ? '<span class="name">'
								+ escape(item.name) + '</span>' : '')
						+ '</div>';
			},
			option : function(item, escape) {
				var label = item.name || item.id;
				var caption = item.name ? item.id : null;
				return '<div>'
						+ '<span class="label">'
						+ escape(label)
						+ '</span>'
						+ '</div>';
			}
		},
		/*onInitialize: function() { // preload data on validation error/edit coupon page
			if(this.$input.attr('data-selectize-value') != '') {
				var existingOptions = JSON.parse(this.$input.attr('data-selectize-value'));
				var campaign = this;
				if(Object.prototype.toString.call( existingOptions ) === "[object Array]") {
					existingOptions.forEach( function (existingOption) {
						campaign.addOption(existingOption);
						campaign.addItem(existingOption[campaign.settings.valueField]);
					});
				}
				else if (typeof existingOptions === 'object') {
					campaign.addOption(existingOptions);
					campaign.addItem(existingOptions[campaign.settings.valueField]);
				}
			}
		},*/ // load data using ajax
		load: function(query, callback) {
	        if (!query.length) return callback();
	        $.ajax({
	            url: site_url + 'ads/bid_info/' + encodeURIComponent(module) + '/' +  encodeURIComponent(type) + '/' + encodeURIComponent(query),
	            type: 'GET',
	            error: function() {
	                callback();
	            },
	            success: function(data) { 
	            	if(data.length > 0) {
	            		ajaxData = data;
	            		callback(data.slice(0, 10));
	            	}
	            }
	        });
	    }, // Invoked when an item is removed
	    onItemRemove: function(value) {
	    	// remove the specified row from the table
	    	$("#table_" + module + " #tr_" + module + value).remove();
	    }, // Invoked when an item is added
	    onItemAdd: function(value) {
	    	// This is how to pull data-data from the original options
	    	var item = this.options[value];
	    	appendRow(module, item, true);
	    }
	});	
}

/*-------------------------------------------------------*/
/*	Append Row to the Keywords Table
/*-------------------------------------------------------*/
function appendRow(module, item, displayMessage) {
	// do not append row if it is already exists
	if($('#tr_' + module + item.id).length) {
		if(displayMessage) {
			alert($('#langTxt').val());
		}
	} else {
		var bidId = module + item.id;
		if(adminRequest) {
			var row = '<tr id="tr_' + module + item.id + '">';
			row += '<td><input name="field_'+ module +'[id][]" type="hidden" value="'+ item.id +'" />';
			row += '<input class="inputt-label form-control" name="field_'+ module +'[name][]" type="text" readonly value="'+ item.name +'" /></td>';
			row += '<td><input id="cpc_' + bidId + '" class="form-control field-width" type="text" name="field_'+ module +'[cpc][]" value="'+ item.cpc +'" onchange="inputInit(\'cpc_' + bidId + '\', 0);"/></td>';
			row += '<td><input id="cpd_' + bidId + '" class="form-control field-width" type="text" name="field_'+ module +'[cpd][]" value="'+ item.cpd +'" onchange="inputInit(\'cpd_' + bidId + '\', 0);"/></td>';
			if(module == 'citiesss') {
				row += '<td><input id="percent_' + bidId + '" class="form-control field-width" type="text" name="field_'+ module +'[percent][]" value="0" onchange="inputInit(\'percent_' + bidId + '\', 0);"/></td>';
			}
			row += '<td><a role="button" class="remove_field_'+ module +'"><span class="fas fa-minus"></span></a></td></tr>';
		} else {
			var allowBid = $('#' + module + '_bid').val();			
			var row = '<tr id="tr_' + module + item.id + '">';
			row += '<td><input name="field_'+ module +'[id][]" type="hidden" value="'+ item.id +'" />';
			row += '<input class="inputt-label form-control" name="field_'+ module +'[name][]" type="text" readonly value="'+ item.name +'" /></td>';
			row += '<td><input class="ad-cost inputt-label form-control field-width" type="text" name="field_'+ module +'[cost][]" readonly value="'+ item.cost +'"/></td>';
			row += '<td><input id="' + bidId + '" class="ad-bid form-control field-width' + (allowBid == 0 ? ' inputt-label' : '') + '" type="text" name="field_'+ module +'[bid][]" value="'+ item.bid +'" ' + (allowBid == 0 ? "readonly=\'true\'" : "") +' onchange="inputInit(\'' + bidId + '\', '+ item.cost +');"/></td>';
			row += '<td><a role="button" class="remove_field_'+ module +'"><span class="fas fa-minus"></span></a></td></tr>';
		}
		$('#table_' + module + ' tbody').append(row);
	}
}

/*-------------------------------------------------------*/
/*	Allow user to remove the Row from the Keywords Table
/*-------------------------------------------------------*/
function removeRow(module, select) {
	//Add/Remove Fields
	var wrapper = $("#table_" + module); //Fields wrapper
	var x = 1; //initlal text box count
	$(wrapper).on("click",".remove_field_" + module, function(e) { //user click on remove text
	    e.preventDefault();
	    if(select != null) {
	    	// remove item from the selectize field
	    	select[0].selectize.removeOption($(this).closest('tr').attr('id'));
	    }
	    // remove closest tr from the table
	    $(this).closest('tr').remove();x--;
	})
}

/*-------------------------------------------------------*/
/*	Calculate Amount on button click
/*-------------------------------------------------------*/
$("#calculate").click(function() {
	var amount = 0;
	var duration = 1;
	if($('#duration').length) { // duration 0 campaign cost calculation
		duration = parseInt($('#duration').val());
	}
	$( ".ad-bid" ).each(function() {
		amount += parseFloat($(this).val());
	})
	$('#amount').val(amount * duration);
});

/*-------------------------------------------------------*/
/*	Bid must be Decimal and must be greater than the cost
/*-------------------------------------------------------*/
function inputInit(field, cost) {
	valKeyUp = $('#' + field).val();
	var rmatch = new RegExp("^(?!(?=\\d+\\.\\d+$)(.{3,6}$)|(?=\\d{1,5}$)).+$");    
	if(parseFloat(valKeyUp) <= parseFloat(cost)) {  // value is less than the default bid
		$('#' + field).val(cost);					// change the bid value to default bid
	} else if (valKeyUp.match(rmatch)) {			// bid is not a decimal value
		$('#' + field).val(cost);					// change the bid value to default cost
    }
}

//Clear Trusted Seal
$('#clear_trusted').click(function () {
  $('#clear_trusted_seal').val(1);
  $('#trusted_seal_image').hide();
  $('#clear_trusted').hide();
});

/*-----------------------------------------*/
/* Fontawesome Icon Picker
/*-----------------------------------------*/
if($('.icp-auto').length) {
	$('.icp-auto').iconpicker();
}

/*function updateAmount(value, action) {
	value = parseFloat(value);
	var amount = parseFloat($('#amount').val());
	var duration = parseInt($('#duration').val());
	if(action == 'add') {
		amount = amount + value;
	} else if(action == 'subtract') {
		if(amount != 0) {
			amount = amount - value;
			if(amount <= 0) {
				amount = 0;
			}
		}
	}
	$('#amount').val(amount * duration);
}

/*var select 	= $('#search_tag');
var wrapper = $("#table_tag"); //Fields wrapper
var x = 1; //initlal text box count
$(wrapper).on("click",".remove_field", function(e) { //user click on remove text
    e.preventDefault();
    // remove item from the selectize field
    select[0].selectize.removeOption($(this).closest('tr').attr('id'));
    // remove closest tr from the table
    $(this).closest('tr').remove();x--;
})

/*
 * 

$("#add").click(function(){	
	select[0].selectize.removeOption(1);
	select[0].selectize.refreshItems();
    select[0].selectize.refreshOptions();
}); 
 */