<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-info fade show top1 bottom1"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$id = isset($record->id) ? $record->id : '';
// Disable notify option if the Ad has a fixed duration or Bid is disabled by the admin
$display_search_field = !empty($record->end_date) && $record->end_date != '0000-00-00' ? false : true;
?>
<div class="card card-default">
		<div class="card-body">
    <?php echo form_open_multipart($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING'], 'class="form-horizontal"'); ?>
    	<?php if($ad_package->pricing_type == 'campaign'):?>
    	<div class="alert alert-info"><?php echo lang('help_campaign');?></div>
    	<?php endif;?>
    	
    	<?php if(!empty($record->end_date) && $record->end_date != '0000-00-00'):?>
    		<input type="hidden" name="row_id" value="<?php echo $record->row_id; ?>" />
			<?php if(!empty($row_info)):?>
	    	<div class="form-group form-row<?php echo form_error('row_id') ? ' error' : ''; ?>">
				<?php echo form_label(lang(gc_module_name($ad_package->module_id)), 'row_id', array('class' => 'col-sm-3 col-form-label') ); ?>
				<div class='col-sm-9'>
					<input type='text' class='form-control' readonly value="<?php echo $row_info->title; ?>" />							
				</div>
			</div>
			<?php endif;?>
    	<?php else:?>    	
    	<?php if(isset($records) && !empty($records)):?>			
			<div class="form-group form-row">
				<?php echo form_label(lang(gc_module_name($ad_package->module_id)). lang('bf_form_label_required'), 'row_id', array('class' => 'col-sm-3 col-form-label') ); ?>
				<div class="col-sm-9">
				<select name="row_id" id="row_id" class="form-control" placeholder="<?php echo lang('placeholder_select');?>">
				<option value=""><?php echo lang('label_select');?></option>
					<?php foreach($records as $row): ?>
						<option value="<?php echo $row->id; ?>" <?php echo (!empty($_POST['row_id']) && $_POST['row_id'] == $row->id) || (!empty($record->row_id) && $record->row_id == $row->id) ? 'selected' : '';?>><?php echo $row->title; ?></option>
					<?php endforeach; ?>
				</select>
				</div>
			</div>
    	<?php endif;?>
    	<?php endif;?>
    	
    	<?php if(!$id):?>
        <div class="form-group form-row<?php echo form_error('start_date') ? ' error' : ''; ?>">
			<?php echo form_label(lang('label_start_date') . lang('bf_form_label_required'), 'start_date', array('class' => 'col-sm-3 col-form-label') ); ?>
			<div class='col-sm-9'>
				<input id='start_date' type='text' name='start_date' class='form-control' value="<?php echo set_value('start_date', isset($record->start_date) ? $record->start_date : date('Y-m-d')); ?>" />
			</div>
		</div>
		<?php endif;?>
		
		<?php if(isset($ad_package) && $ad_package->module_id == 15):?>
		<?php if($ad_package->type == 'image'):?>
		<div class="form-group form-row<?php echo form_error('image') ? ' error' : ''; ?>">
			<?php echo form_label(lang('label_banner') .' '. lang('label_image') . lang('bf_form_label_required'), 'image', array('class' => 'col-sm-3 col-form-label') ); ?>
			<div class='col-sm-9'>
				<input type='file' name='image' />
				<span class='help-block'><?php echo form_error('image'); ?></span>
				<p class="help-block"><?php echo sprintf(lang('image_help'), $ad_package->filesize, $ad_package->width, $ad_package->height);?></p>
				<?php if(!empty($_POST['uploaded_image']) || (isset($record) && !empty($record->image))): ?>
					<input type="input" name="uploaded_image" id="uploaded_image"  class="readonly-field" readonly="readonly" value="<?php echo !empty($_POST['uploaded_image']) ? $_POST['uploaded_image'] : (!empty($record->image) ? $record->image : '');?>" />
				<?php else: ?>
					<input type="hidden" name="uploaded_image" id="uploaded_image" />
				<?php endif;?>
				<?php if(!empty($record->image)):?>
				<img class="fileupload-preview fileupload-exists thumbnail" style="max-width: 700px; max-height: 150px; line-height: 20px; margin-top: 5px;" src="<?php echo base_url("assets/images/banners/" .$record->image);?>">
				<?php endif;?>
			</div>
		</div>		
		
		<div class="form-group form-row<?php echo form_error('url') ? ' error' : ''; ?>">
			<?php echo form_label(lang('label_url'). lang('bf_form_label_required'), 'url', array('class' => 'col-sm-3 col-form-label') ); ?>
			<div class='col-sm-9'>
				<input id='url' type='text' name='url' class='form-control' value="<?php echo set_value('url', isset($record->url) ? $record->url : ''); ?>" />
				<span class='help-block'><?php echo form_error('url'); ?></span>
			</div>
		</div>		
        <?php else:?>
        <div class="form-group form-row<?php echo form_error('html_text') ? 'error' : ''; ?>">
			<?php echo form_label(lang('label_text_html'). lang('bf_form_label_required'), 'html_text', array('class' => 'col-sm-3 col-form-label') ); ?>
			<div class='col-sm-9'>
				<?php echo gc_form_element('textarea', array( 'name' => 'html_text', 'field_only' => true), (isset($record->html_text) ? $record->html_text : '') ); ?>
				<span class='help-block'><?php echo form_error('html_text'); ?></span>
			</div>
		</div>
		<?php endif;?>
		<?php endif;?>
		
		<?php //if(!$id && $ad_package->pricing_type == 'fixed'):?>
		<?php if(!$id && $ad_package->duration >= 0):?>
			<div class="form-group form-row<?php echo form_error('price') ? ' error' : ''; ?>">
				<?php echo form_label(lang('label_price'), 'price', array('class' => 'col-sm-3 col-form-label') ); ?>
				<div class='col-sm-4'>
					<input id="amount" type='text' name='price' class='form-control inputt-label' readonly value="<?php echo set_value('price', isset($ad_package->price) ? $ad_package->price : 0); ?>" />
				</div>
				<div class='col-sm-2 lbl-days d-none d-sm-block'><?php echo settings_item('site.currency_symbol');?></div>
				<?php if($ad_package->pricing_type == 'campaign'):?>
				<div class='col-sm-2'><button id="calculate" class="btn btn-success" type="button"><?php echo lang('calculate_cost'); ?></button></div>
				<?php endif;?>
			</div>			
		<?php endif;?>
		
		<?php if($ad_package->pricing_type == 'campaign' && $ad_package->duration == 0):?>
			<div class="form-group form-row<?php echo form_error('daily_budget') ? ' error' : ''; ?>">
				<?php echo form_label(lang('daily_budget'). lang('bf_form_label_required'), 'daily_budget', array('class' => 'col-sm-3 col-form-label') ); ?>
				<div class='col-sm-4'>
					<input id='daily_budget' type='text' name='daily_budget' class='form-control' value="<?php echo set_value('daily_budget', isset($record->daily_budget) ? $record->daily_budget : 0); ?>" />
				</div>
				<div class='col-sm-2 lbl-days d-none d-sm-block'><?php echo settings_item('site.currency_symbol');?></div>			
			</div>
		<?php endif;?>
		
		<?php if($ad_package->duration > 0):?>
		<div class="form-group form-row<?php echo form_error('duration') ? ' error' : ''; ?>">
			<?php echo form_label(lang('label_duration'), 'duration', array('class' => 'col-sm-3 col-form-label') ); ?>
			<div class='col-sm-4'>
				<input id="duration" type='text' name='duration' class='form-control inputt-label' readonly value="<?php echo set_value('duration', isset($ad_package->duration) ? $ad_package->duration : 0); ?>" />
			</div>
			<div class='col-sm-4 lbl-days'><?php echo lang('label_days');?></div>
		</div>
		<?php endif;?>
		
		<?php if($ad_package->pricing_type == 'campaign' && ($ad_package->tags == 1 || $ad_package->categories == 1 || $ad_package->cities == 1)):?>
		<?php if($ad_package->tags == 1):?>
		<fieldset><legend><?php echo lang('label_tags');?></legend>
		<?php $this->load->view('campaign', array('type' => 'tags', 'options' => $tags_options)); ?>
		</fieldset>
		<?php endif;?>
		<?php if($ad_package->categories == 1):?>
		<fieldset><legend><?php echo lang('label_categories');?></legend>
		<?php $this->load->view('campaign', array('type' => 'categories', 'options' => $categories_options)); ?>
		</fieldset>
		<?php endif;?>
		<?php if($ad_package->cities == 1):?>
		<fieldset><legend><?php echo lang('cities');?></legend>
		<?php $this->load->view('campaign', array('type' => 'cities', 'options' => $cities_options)); ?>
		</fieldset>
		<?php endif;?>
		
		<?php if($display_search_field && ($ad_package->tags_bid == 1 || $ad_package->categories_bid == 1 || $ad_package->cities_bid == 1)):?>
		<div class="form-group form-row">
			<div class="col-sm-3 col-form-label"></div>
			<div class="col-sm-9">
				<div class="checkbox">
					<input type="checkbox" class="form-check-input" name="notify_me" value="1" <?php echo (isset($record->notify_me) && $record->notify_me == 1) ? 'checked="checked"' : set_checkbox('notify_me', 1); ?>>
				  	<label class="form-check-label"><?php echo lang('notify_me'); ?></label>
				</div>
			</div>
		</div>
		<?php endif;?>
		<?php endif;?>
		
        <div class="col-sm-7 offset-sm-5 controls">
			<div class="form-actions">
            	<input type='submit' name='save' class='btn btn-primary' value="<?php echo $id || $ad_package->duration == 0 ? lang('save') : lang('label_checkout'); ?>" />
       			<?php if(isset($role) && $role == 'admin'):?>
       			<?php echo lang('bf_or');?>
       			<?php echo anchor($redirect_url, lang('cancel'), 'class="btn btn-warning"'); ?>
       			<?php endif;?>
       			<?php if($id):?>
       			<?php echo lang('bf_or');?>
       			<input type='submit' name='delete' class='btn btn-danger' value="<?php echo lang('delete_record'); ?>" />
       			<?php endif;?>
       		</div>
        </div>
        <?php echo form_hidden('module_id', $ad_package->module_id);?>
        <?php echo form_hidden('pricing_type', $ad_package->pricing_type);?>
        <?php if($ad_package->pricing_type == 'campaign'):?>
        <?php echo form_hidden('type', ($ad_package->duration > 0 ? 1 : 0));?>
        <?php endif;?>
        <input type="hidden" id="langTxt" value="<?php echo lang('keyword_exists'); ?>"/>
    <?php echo form_close(); ?>
    </div>
    </div>