<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('us_inactive')),
    array('filter' => $filter_type, 'condition' => 'approval', 'url' => $index_url . 'approval/', 'title' => lang('waiting_for_approval')),
    array('filter' => $filter_type, 'condition' => 'expired', 'url' => $index_url . 'expired/', 'title' => lang('tab_expired')),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

$num_columns	= 15;
$can_delete		= $this->auth->has_permission('Ads.Financial.Delete');
$can_edit		= $this->auth->has_permission('Ads.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
		<span class="badge badge-secondary"><?php echo lang('help_bid_notifications');?></span>
		<?php echo search_admin(lang('placeholder_ad_search'));?>
		<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('title', lang('label_title'));?></th>
					<th><?php echo form_filter('pricing_type', lang('pricing_type'));?></th>
					<th><?php echo form_filter('start_date', lang('label_start_date'));?></th>
					<th><?php echo form_filter('end_date', lang('label_end_date'));?></th>
					<th><?php echo form_filter('price', lang('label_cost'));?></th>
					<th><?php echo form_filter('duration', lang('label_duration'));?></th>
					<th><?php echo form_filter('clicks', lang('label_clicks'));?></th>
					<th><?php echo form_filter('impressions', lang('label_impressions'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>
							<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="approval"><?php echo lang('gc_action_approval'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="expired"><?php echo lang('gc_action_expired'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class="chk-status" name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php echo $record->id; ?></td>
					<td>
				<?php if ($can_edit) : ?>
					<?php echo anchor(SITE_AREA . '/financial/ads/edit/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->title); ?>
				<?php else : ?>
					<?php e($record->title); ?>
				<?php endif; ?>
					<?php $row_info = $this->ads_model->get_row_info($record->row_id, $record->module_id); ?>
					<?php if($row_info): ?>
					<br><br>
					<span class="display-block small">
						<i class="fas fa-user"></i> <?php echo $record->display_name . ' (' . $record->email . ')'; ?>
					</span>
					<span class="display-block small">
						<?php if($row_info->status == 1):?>
						<a href="<?php echo gc_url_format(gc_module_name($record->module_id), $row_info->slug, $record->row_id, (isset($row_info->city) ? $row_info->city : NULL));?>" target="_blank" title="<?php echo $row_info->title; ?>"><?php echo $row_info->title; ?><i class="fas fa-external-link-alt ml-2"></i></a>
						<?php else: ?>
						<?php echo $row_info->title; ?>
						<?php endif;?>						
					</span>
					<?php else: ?>
					<br><br>
					<span class="display-block small">
						<i class="fas fa-user"></i> <?php echo $record->user_id . ' (' . $record->email . ')'; ?>
					</span>
					<?php endif; ?>
					<?php if($record->module_id == gc_module_id('banners')):?>
					<?php if(!empty($record->image)):?>
						<a rel="gallery" href="<?php echo base_url(); ?>assets/images/banners/<?php echo $record->image; ?>" class="gc-fancybox">
							<img src="<?php echo base_url(); ?>assets/images/banners/<?php echo $record->image; ?>" alt="<?php echo $record->title;?>" title="<?php echo $record->title;?>" class="img-fluid d-block mx-auto" />
						</a>
					<?php endif;?>			
					<?php endif;?>
					</td>
					<td><?php echo lang('label_' . $record->pricing_type);?></td>
					<td><?php e($record->start_date); ?></td>
					<td><?php echo !empty($record->end_date) && $record->end_date != '0000-00-00' ?  $record->end_date : lang('not_applicable'); ?></td>
					<td><?php e($record->price); ?></td>
					<td><?php echo $record->duration == 0 ? lang('not_applicable') : $record->duration . ' ' . lang('label_days'); ?></td>
					<td><?php echo !empty($record->clicks) ? $record->clicks : 0; ?></td>
					<td><?php echo !empty($record->impressions) ? $record->impressions : 0; ?></td>
					<td class='status'>
						<?php switch($record->status) {
							case 1:?>
							<span class="badge badge-success"><?php echo $this->ads_model->ad_status($record->status);?></span>
							<?php
								break;
							case 2:?>
							<span class="badge badge-info"><?php echo $this->ads_model->ad_status($record->status);?></span>
							<?php break;
							case 3:?>
							<span class="badge badge-primary"><?php echo $this->ads_model->ad_status($record->status);?></span>
							<?php break;
							case 4:?>
							<span class="badge badge-danger"><?php echo $this->ads_model->ad_status($record->status);?></span>
							<?php break;
							case 5:?>
							<span class="badge badge-warning"><?php echo $this->ads_model->ad_status($record->status);?></span>
							<?php 
								break;
							default:
							?>
							<span class="badge badge-warning"><?php echo $this->ads_model->ad_status($record->status);?></span>				
						<?php }?>
						<span class="display-block"><small><?php echo lang('label_change_status');?></small></span>
						<select class="input-sm form-control" name="ad_status_<?php e($record->id); ?>">
							<option value="0"<?php echo ($record->status == 0) ? ' selected' : '';?>><?php echo $this->ads_model->ad_status(0);?></option>
							<option value="1"<?php echo ($record->status == 1) ? ' selected' : '';?>><?php echo $this->ads_model->ad_status(1);?></option>
							<option value="2"<?php echo ($record->status == 2) ? ' selected' : '';?>><?php echo $this->ads_model->ad_status(2);?></option>	
							<option value="3"<?php echo ($record->status == 3) ? ' selected' : '';?>><?php echo $this->ads_model->ad_status(3);?></option>
							<option value="4"<?php echo ($record->status == 4) ? ' selected' : '';?>><?php echo $this->ads_model->ad_status(4);?></option>		
						</select>
						<span class="display-block bottom2"></span>
						<button type="submit" class="btn btn-primary btn-xs" name="change_status" value="<?php echo $record->id;?>"><?php echo lang('save');?></button>
						<?php if($record->pricing_type == 'campaign' && $record->hasKeywords > 0):?>
						<?php echo anchor(SITE_AREA . '/financial/ads/keywords/' . $record->id, lang('label_keywords'), 'class="btn btn-xs btn-info"'); ?>
						<?php endif;?>
						<?php if($record->impressions > 0 || $record->clicks > 0): ?>
						<?php echo anchor(SITE_AREA . '/financial/ads/view/' . $record->id, lang('ad_views'), 'class="btn btn-warning btn-xs" title="' . lang('ad_views') . '"'); ?>
						<?php endif; ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>