<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('help_bid_calculations')?></div>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'categories', 'url' => $index_url . 'categories/', 'title' => lang('label_categories')),
    array('filter' => $filter_type, 'condition' => 'cities', 'url' => $index_url . 'cities/', 'title' => lang('cities')),
    array('filter' => $filter_type, 'condition' => 'tags', 'url' => $index_url . 'tags/', 'title' => lang('label_tags'))
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

$num_columns	= 15;
$can_delete	= $this->auth->has_permission('Ads.Financial.Delete');
$can_edit		= $this->auth->has_permission('Ads.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_keyword_search'));?>
		<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('keyword_id', lang('label_id'));?></th>
					<th><?php echo form_filter('id', lang($filter_type . '_id'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('cost', lang('label_cost'));?></th>
					<th><?php echo form_filter('bid', lang('label_bid'));?></th>
					<th><?php echo form_filter('clicks', lang('label_clicks'));?></th>
					<th><?php echo form_filter('impressions', lang('label_impressions'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php echo lang('bf_with_selected'); ?>
							<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="disapprove"><?php echo lang('gc_action_disapprove'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class="chk-status" name='checked[]' value='<?php echo $record['keyword_id']; ?>' /></td>
					<?php endif;?>
					<td><?php echo $record['keyword_id']; ?></td>
					<td><?php echo $record['id']; ?></td>
					<td><?php echo $record['name']; ?></td>
					<td><?php echo $record['cost'];?></td>
					<td><?php echo $record['bid']; ?></td>
					<td><?php echo !empty($record['clicks']) ? $record['clicks'] : 0; ?></td>
					<td><?php echo !empty($record['impressions']) ? $record['impressions']: 0; ?></td>
					<td class='status'>						
						<?php if ($record['status'] == 1) : ?>
						<span class="badge badge-success"><?php echo lang('us_active');?></span>
						<?php elseif ($record['status'] == 2) : ?>
						<span class="badge badge-danger"><?php echo lang('label_disapproved');?></span>
						<?php else:?>
						<span class="badge badge-warning"><?php echo lang('us_inactive');?></span>
						<?php endif; ?>
						<br />
						<?php echo lang('label_change_status');?><br />
						<select class="form-control" name="status_<?php e($record['keyword_id']); ?>">
							<option value="0" <?php echo ($record['status'] == 0) ? 'selected' : '';?>><?php echo lang('us_inactive');?></option>
							<option value="1" <?php echo ($record['status'] == 1) ? 'selected' : '';?>><?php echo lang('us_active');?></option>
							<option value="2" <?php echo ($record['status'] == 2) ? 'selected' : '';?>><?php echo lang('gc_action_disapprove');?></option>	
						</select>
						<span class="display-block bottom2"></span>
						<button type="submit" class="btn btn-primary btn-xs" name="change_status" value="<?php echo $record['keyword_id'];?>"><?php echo lang('save');?></button>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>