<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$nav_url = 'financial/ads';
$menus = array(
    array(
        'condition' => '',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('label_ads'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('label_ads')
    ),
    array(
        'permission' => 'Ads.Financial.Create',
        'condition' => 'create',
        'url' => $nav_url . '/create',
        'id' => 'create',
        'tooltip' => true,
        'title' => lang('create_ad'),
        'label' => '<i class="fas fa-plus-circle fa-fw mr-1"></i>' . lang('create_ad')
    ),
    array(
        'condition' => 'packages',
        'url' => $nav_url . '/packages',
        'id' => 'packages',
        'tooltip' => true,
        'title' => lang('label_packages'),
        'label' => '<i class="fas fa-gift fa-fw mr-1"></i>' . lang('label_packages')
    ),
    array(
        'condition' => 'create_package',
        'permission' => 'Ads.Financial.Create',
        'url' => $nav_url . '/create_package',
        'id' => 'create_package',
        'tooltip' => true,
        'title' => lang('create_package'),
        'label' => '<i class="fas fa-plus-square fa-fw mr-1"></i>' . lang('create_package')
    ),
    array(
        'condition' => 'costs',
        'permission' => 'Ads.Financial.Edit',
        'url' => $nav_url . '/costs',
        'id' => 'costs',
        'tooltip' => true,
        'title' => lang('manage_cpc_cpd'),
        'label' => '<i class="fas fa-gavel fa-fw mr-1"></i>' . lang('manage_cpc_cpd')
    ),
    array(
        'condition' => 'bid_notifications',
        'url' => $nav_url . '/bid_notifications',
        'id' => 'bid_notifications',
        'tooltip' => true,
        'title' => lang('bid_notify'),
        'label' => '<i class="fas fa-bell fa-fw mr-1"></i>' . lang('bid_notify')
    ),
    array(
        'condition' => 'manage/email_templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Ad_Email_Templates.Financial.View',
        'url' => $nav_url. '/manage/email_templates',
        'id' => 'ad_email_templates',
        'tooltip' => true,
        'title' => lang('ad_email_templates'),
        'label' => '<i class="fas fa-envelope fa-fw mr-1"></i>' . lang('ad_email_templates')
    ),
    array(
        'condition' => 'settings',
        'permission' => 'Ads.Financial.Edit',
        'url' => $nav_url . '/settings',
        'id' => 'settings',
        'tooltip' => true,
        'title' => lang('gc_menu_settings'),
        'label' => '<i class="fas fa-cog fa-fw mr-1"></i>' . lang('gc_menu_settings')
    )
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'ads', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>