<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$id = isset($record->id) ? $record->id : '';
$record = isset($record) ? $record : array();
?>
<div class='admin-box'>
    <?php echo form_open_multipart($this->uri->uri_string(), 'class="form-horizontal"'); ?>
        <fieldset>
        	<?php
				$module_options = array();
				$config_modules = gc_modules();
				foreach($config_modules as $config_module) {
					$module_options[gc_module_id($config_module)] = lang('label_featured') . ' ' . lang($config_module);
				}
        		$module_options[gc_module_id('banners')] = lang('label_banners');
				
				$field_extra = array();
				if($id):
					$field_extra['disabled'] = true;
				endif;
				echo gc_form_element('dropdown', array('name' => 'module_id', 'options' => $module_options, 'extra' => $field_extra), $record, lang('label_module'), 'col-sm-3');
				echo gc_form_element('text', array('name' => 'title', 'lang' => 1, 'extra' => array('maxlength' => "100")), $record, lang('label_title'). lang('bf_form_label_required'));
				echo gc_form_element('textarea', array('name' => 'description', 'lang' => 1), $record, lang('label_description') . lang('bf_form_label_required'));
				echo gc_form_element('iconpicker', array('name' => 'icon', 'default_value' => 'fas fa-archive', 'field_class' => 'icp icp-auto iconpicker-element iconpicker-input', 'extra' => array('data-placement' => "bottomRight")), $record, lang('label_icon'), 'col-sm-6');
				
				$package_checkboxes = array(
					array('name' => 'highlight', 'label' => lang('label_highlight')),
					array('name' => 'order_status', 'label' => lang('order_status')),
					array('name' => 'status', 'label' => lang('label_status')),
				);
				echo gc_form_element('checkbox', array('options' => $package_checkboxes), $record);
				?>
			<fieldset>
			<legend><?php echo lang('label_pricing');?></legend>
				<?php
	        	$pricing = array(
	        		'fixed' => lang('label_fixed'),
					'campaign' => lang('label_campaign')	
	     		);
				echo gc_form_element('dropdown', array('name' => 'pricing_type', 'options' => $pricing, 'help' => lang('help_pricing_type')), $record, lang('pricing_type'), 'col-sm-3');
				
				$control_style = (!empty($_POST['pricing_type']) && $_POST['pricing_type'] == 'campaign') || (isset($record->pricing_type) && $record->pricing_type == 'campaign') ? 'display:none;' : ''; //  || (isset($record->tags) &&  ($record->tags == 1 || $record->categories == 1 || $record->cities == 1)) 
				echo gc_form_element('text', array('name' => 'price', 'control_class' => 'package-price', 'control_style' => $control_style, 'default_value' => 0, 'extra' => array('maxlength' => 5)), $record, lang('label_price'), 'col-sm-2');
				
				$duration_control_style = (!empty($_POST['pricing_type']) && $_POST['pricing_type'] == 'campaign') || (isset($record->pricing_type) && $record->pricing_type == 'campaign') ? 'display:none;' : '';
				echo gc_form_element('text', array('name' => 'duration', 'control_style' => $duration_control_style, 'control_class' => 'package-price', 'default_value' => 0, 'help' => lang('help_duration'), 'extra' => array('maxlength' => 5)), $record, lang('label_duration'), 'col-sm-2');
				// echo gc_form_element('text', array('name' => 'duration', 'default_value' => 0, 'help' => lang('help_duration'), 'extra' => array('maxlength' => 5)), $record, lang('label_duration'), 'col-sm-2');
				
				$pricing_control_style = ((!empty($_POST['pricing_type']) && $_POST['pricing_type'] == 'fixed') || (isset($record->pricing_type) && $record->pricing_type == 'fixed')) || (!$id && empty($_POST)) ? 'display:none;' : '';
				$pricing_checkboxes = array(
					array('name' => 'tags', 'label' => lang('label_tags')),
					array('name' => 'categories', 'label' => lang('categories')),
					array('name' => 'cities', 'label' => lang('cities')),
				);
				echo gc_form_element('checkbox', array('control_style' => $pricing_control_style, 'control_class' => 'pricing_criteria', 'help' => lang('help_pricing_criteria'), 'options' => $pricing_checkboxes), $record, lang('pricing_criteria'));
				
				$tags_bid_wrap = ' id="tags_bid_check"';
				$tags_bid_wrap .= ((!$id && empty($_POST['tags'])) || (isset($record->tags) && $record->tags == 0)) ? ' style="display:none;"' : '';
				$categories_bid_wrap = ' id="categories_bid_check"';
				$categories_bid_wrap .= ((!$id && empty($_POST['categories'])) || (isset($record->categories) && $record->categories == 0)) ? ' style="display:none;"' : '';
				$cities_bid_wrap = ' id="cities_bid_check"';
				$cities_bid_wrap .= ((!$id && empty($_POST['cities'])) || (isset($record->cities) && $record->cities == 0)) ? ' style="display:none;"' : '';
				$campaign_bids = array(
					array('name' => 'tags_bid', 'label' => lang('tags_bid'), 'wrap_extra' => $tags_bid_wrap),
					array('name' => 'categories_bid', 'label' => lang('categories_bid'), 'wrap_extra' => $categories_bid_wrap),
					array('name' => 'cities_bid', 'label' => lang('cities_bid'), 'wrap_extra' => $cities_bid_wrap)
				);
				$campaign_control_style = ((!empty($_POST['pricing_type']) && $_POST['pricing_type'] == 'fixed') || (isset($record->pricing_type) && $record->pricing_type == 'fixed')) || (!$id && empty($_POST)) ? 'display:none;' : '';
				echo gc_form_element('checkbox', array('control_style' => $campaign_control_style, 'control_class' => 'campaign_bid', 'help' => lang('help_pricing_campaign'), 'options' => $campaign_bids), $record, lang('allow_campaign_bid'));
				echo gc_form_element('text', array('name' => 'days_before_next_invoice', 'default_value' => 30, 'help' => lang('help_days_before_next_invoice'), 'extra' => array('maxlength' => 5)), $record, lang('days_before_next_invoice'), 'col-sm-4');
				echo gc_form_element('text', array('name' => 'invoice_expiry', 'default_value' => 30, 'help' => lang('help_invoice_expiry'), 'extra' => array('maxlength' => 5)), $record, lang('invoice_expiry'), 'col-sm-4');				
				$invoice_reminder_options = array( 'invoice_first_reminder', 'invoice_second_reminder', 'invoice_third_reminder');
				echo gc_form_element('text', array('name' => 'invoice_reminders', 'default_value' => 6, 'tooltip' => lang('help_invoice_reminders'), 'element_container' => 'div.form-inline', 'placeholder_prefix' => '', 'options' => $invoice_reminder_options, 'extra' => array('maxlength' => 5, 'class' => 'form-control field-width')), $record, lang('invoice_reminders'), 'col-sm-9');
				echo gc_form_element('text', array('name' => 'display_order', 'default_value' => 0, 'tooltip' => lang('help_display_order'), 'extra' => array('maxlength' => 5)), $record, lang('label_order'));
				echo gc_form_element('text', array('name' => 'priority', 'default_value' => 0, 'tooltip' => lang('help_priority'), 'extra' => array('maxlength' => 5)), $record, lang('label_priority'));
				?>
			
			<fieldset id="featured-fields"<?php echo (!empty($_POST['module_id']) && $_POST['module_id'] == 15) || (isset($record->module_id) && $record->module_id == 15) ? ' style="display:none;"' : '';?>>
				<?php
				echo gc_form_element('colorpicker', array('name' => 'color_scheme', 'default_value' => '#ffffff'), $record, lang('label_color_scheme'), 'col-sm-3');
				echo gc_form_element('colorpicker', array('name' => 'border_color', 'default_value' => '#ffffff'), $record, lang('label_border_color'), 'col-sm-3');
				echo gc_form_element('image', array('name' => 'trusted_seal', 'extra' => array('clear_image' => lang('clear_trusted_seal'), 'help_image' => sprintf(lang('trusted_seal_help'), '100', '85px', '80px'), 'image_path' => base_url("assets/images"))), $record, lang('label_trusted_seal'));			
				?>
			</fieldset>
			
		</fieldset>
		<fieldset id="banner-fields"<?php echo (!empty($_POST['module_id']) && $_POST['module_id'] == 15) || (isset($record->module_id) && $record->module_id == 15) ? '' : ' style="display:none;"'?>> 
		 <legend><?php echo lang('banner_specific');?></legend>
		  <?php 
			$options = array();
			if(!empty($banner_types)) {	
				foreach ($banner_types as $type) {
					$options[$type->id] = $type->title;
				}
			} else {
				$options[0] = lang('label_select');
			}
			$field_extra = array();
			if($id):
				$field_extra['disabled'] = TRUE;
			endif;			
			echo gc_form_element('dropdown', array('name' => 'banner_type_id', 'options' => $options, 'extra' => $field_extra), $record, lang('label_banner_type'). lang('bf_form_label_required'), 'col-sm-3');
			echo gc_form_element('text', array('name' => 'max_impressions', 'default_value' => 0, 'extra' => array('maxlength' => 5)), $record, lang('label_max_impressions'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'max_clicks', 'default_value' => 0, 'extra' => array('maxlength' => 5)), $record, lang('label_max_clicks'), 'col-sm-2');
            if(!empty($modules)):
                /*
                $module_options = array(
                    201 => lang('bf_home')
                );
                foreach($modules as $module):
                    $module_options[gc_module_id($module)] = lang($module);
                endforeach;
                echo gc_form_element('dropdown', array('name' => 'module_ids', 'options' => $module_options), $record, lang('banners_module') . lang('bf_form_label_required'));
                */
                $saved_modules = array();
                if(!empty($record->module_ids)):
                    $saved_modules = (array) json_decode($record->module_ids, true);
                endif;
                $module_options = array(
                    array(
                        'name' => 'module_ids[201]',
                        'label' => lang('bf_home'),
                        'value' => array_key_exists(201, $saved_modules) ? true : false
                    )
                );
				foreach($modules as $module):
    				$module_option = array(
    					'name' => 'module_ids[' . gc_module_id($module) . ']',
    					'label' => lang($module),
    				    'value' => array_key_exists(gc_module_id($module), $saved_modules) ? true : false
    				);
				    $module_options[] = $module_option;
				endforeach;
			echo gc_form_element('checkbox', array('name' => 'module_ids', 'options' => $module_options), array(), lang('banners_module') . lang('bf_form_label_required'));
			endif;
			echo gc_form_element('textarea', array('name' => 'links_include', 'help' => lang('bn_links_in_help')), $record, lang('bn_links_in'));
			echo gc_form_element('textarea', array('name' => 'links_exclude', 'help' => lang('bn_links_ex_help')), $record, lang('bn_links_ex'));
			echo '<div class="alert alert-info">' . lang('banner_campaign_info') . '</div>';
			echo gc_form_element('selectize', array('name' => 'categories_include', 'help' => lang('bn_categories_in_help'), 'max_items' => 100, 'load_url' => site_url('ajax/selectizeSearch/categories'), 'module' => 'categories', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bn_categories_in'));
			echo gc_form_element('selectize', array('name' => 'categories_exclude', 'help' => lang('bn_categories_ex_help'), 'max_items' => 100, 'load_url' => site_url('ajax/selectizeSearch/categories'), 'module' => 'categories', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bn_categories_ex'));
			echo gc_form_element('selectize', array('name' => 'cities_include', 'help' => lang('bn_cities_in_help'), 'max_items' => 100, 'load_url' => site_url('ajax/selectizeSearch/cities'), 'module' => 'cities', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bn_cities_in'));
			echo gc_form_element('selectize', array('name' => 'cities_exclude', 'help' => lang('bn_cities_ex_help'), 'max_items' => 100, 'load_url' => site_url('ajax/selectizeSearch/cities'), 'module' => 'cities', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bn_cities_ex'));
			echo gc_form_element('selectize', array('name' => 'tags_include', 'help' => lang('bn_tags_in_help'), 'max_items' => 100, 'load_url' => site_url('ajax/selectizeSearch/tags'), 'module' => 'tags', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bn_tags_in'));
			echo gc_form_element('selectize', array('name' => 'tags_exclude', 'help' => lang('bn_tags_ex_help'), 'max_items' => 100, 'load_url' => site_url('ajax/selectizeSearch/tags'), 'module' => 'tags', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bn_tags_ex'));
			?>
		</fieldset>			
     </fieldset>
     <?php
     $action_data = array(
     	'url' => SITE_AREA .'/financial/ads/packages'
     );
     if (!$id || !$this->auth->has_permission('Ads.Financial.Delete')):
     	$action_data['delete'] = FALSE;
     endif;
     echo gc_form_element('actions', $action_data);
     echo form_close();
     ?>
</div>