<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 15;
$can_delete	= $this->auth->has_permission('Ads.Financial.Delete');
$can_edit		= $this->auth->has_permission('Ads.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
		<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('title', lang('label_title'));?></th>
					<th><?php echo form_filter('module_id', lang('label_module'));?></th>
					<th><?php echo form_filter('pricing_type', lang('label_pricing'));?></th>
					<th><?php echo form_filter('highlight', lang('label_highlight'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
						<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class="chk-status" name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/financial/ads/edit_package/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->title); ?></td>
				<?php else : ?>
					<td><?php e($record->title); ?></td>
				<?php endif; ?>
					<td><?php e(gc_module_translation(gc_module_name($record->module_id))); ?></td>
					<td><?php echo $record->pricing_type == 'campaign' ? lang('label_campaign') : $record->price . '/'. $record->duration . ' ' . lang('label_days'); ?></td>
					<td>
						<button type="submit" name="highlight" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->highlight == 1 ? 'btn-warning' : 'btn-secondary';?>">
							<i class="fas fa-<?php echo $record->highlight == 1 ? 'star' : 'star'; ?>"></i>
						</button>
					</td>
					<td>
					<?php if ($record->status) : ?>
					<button type="submit" name="update_status" value="<?php echo $record->id; ?>" class="btn btn-xs btn-success"><?php echo lang('us_active');?></button>
					<?php else : ?>
					<button type="submit" name="update_status" value="<?php echo $record->id; ?>" class="btn btn-xs btn-warning"><?php echo lang('us_inactive');?></button>
					<?php endif; ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>