<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo form_open($this->uri->uri_string()); ?>
<?php if(!empty($records)):?>
<?php foreach($records as $record):?>
<div class="card card-default">
	<div class="card-body">
		<div class="row">
		<div class="col-md-10">			
			<h4>
				<a href="<?php echo site_url('ads/packages');?>" title="<?php echo lang('label_ad') . ' ' . lang('label_package'); ?>"><?php echo $record->title;?></a>
				<span class="badge badge-info">
					<?php echo currency_format($record->price);?>
				</span>	
			</h4>
			<?php $row_info = $this->ads_model->get_row_info($record->row_id, $record->module_id); ?>
			<?php if($row_info): ?>
			<h5><a href="<?php echo gc_url_format(gc_module_name($record->module_id), $row_info->slug, $record->id, (isset($row_info->city) ? $row_info->city : NULL));?>" target="_blank" title="<?php echo $row_info->title; ?>"><?php echo $row_info->title; ?></a></h5>
			<?php endif; ?>	
			<ul class="list-inline">
				<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_start_date');?>"><i class="fas fa-calendar"></i><small> <?php echo gc_date_format($record->start_date, TRUE);?></small></li>
				<li class="list-inline-item">|</li>
				<?php if(!empty($record->end_date) && $record->end_date != '0000-00-00 00:00:00'): ?>
				<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_end_date');?>"><i class="fas fa-calendar"></i><small> <?php echo gc_date_format($record->end_date, TRUE);?></small></li>
				<li class="list-inline-item">|</li>
				<?php endif;?>
				<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_clicks');?>"><span> <i class="fas fa-bullseye"></i> <small> <?php echo !empty($record->clicks) ? $record->clicks : 0;?></small></span></li>
				<li class="list-inline-item">|</li>
				<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_impressions');?>"><i class="fas fa-eye"></i><small> <?php echo !empty($record->impressions) ? $record->impressions : 0;?></small></li>
				<li class="list-inline-item">|</li>
				<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo $this->ads_model->ad_status($record->status);?>"><i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-o-up' : 'thumbs-o-down';?>"></i><small></small></li>
			</ul>
			<?php if(!empty($record->url)):?>
				<p><i class="fas fa-globe" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_ad') . ' ' . lang('label_url');?>"></i> <a href="<?php echo $record->url;?>" target="_blank" title="<?php echo lang('label_url');?>"><?php echo $record->url;?></a></p>
			<?php endif;?>
		</div>
		<div class="col-md-2">
			<?php if($record->module_id == gc_module_id('banners')):?>
			<?php if(!empty($record->image)):?>
				<img class="fileupload-preview fileupload-exists thumbnail img-fluid" src="<?php echo base_url("assets/images/banners/" .$record->image);?>">
			<?php endif;?>			
			<?php endif;?>
		</div>
		</div>
	</div>
	<div class="card-footer">
		<div class="row">
			<div class="col-md-3 col-sm-3 col-12">
				<div class="widget-area no-padding blank">
					<div class="status-upload">
						<ul>
							<li>
								<?php if(($record->status == 5 || $record->status == 1) && ($record->end_date == NULL || $record->end_date == '0000-00-00')): // Campaign with End Date cannot be paused ?>
									<button type="submit" class="btn btn-sm btn-<?php echo $record->status == 1 ? 'success' : 'warning';?>" name="submit" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo $record->status == 5 ? lang('action_play') : lang('action_pause');?>" value="<?php echo $record->id; ?>"><i class="fas fa-<?php echo $record->status == 5 ? 'play' : 'pause'; ?>"></i></button>
								<?php endif;?>
							</li>
							<li><a href="<?php echo gc_url_format('ads/edit') . '?id=' . $this->crypt->encode($record->id); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('edit');?>"><i class="fas fa-edit"></i></a></li>
							<li><button type="submit" class="btn-danger" name="delete" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('bf_action_delete');?>" onclick="$('#ad_id').val(<?php echo $record->id;?>);"><i class="fas fa-trash-alt"></i></button></li>						
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>					
</div>
<?php endforeach;?>
<?php else:?>
<div class="card card-default">
<div class="card-body">
<?php echo lang('error_no_record_found');?>
</div>
</div>
<?php endif;?>
<input type="hidden" id="trash" name="checked[]">
<?php echo form_hidden ( 'ad_id' );?>
<?php echo form_close();?>
            
<div class="row">
	<div class="col-sm-12 text-center">
		<?php echo $this->pagination->create_links(); ?>
	</div><!-- end of pagination column -->
</div><!-- end of pagination row -->