<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php
$num_columns = 8;
$can_delete = $role == 'admin' ? true : false;
echo form_validations();
echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<div class="card card-default card-body">
<?php 
echo gc_form_element('datetimepicker', array('name' => 'from'), isset($date_filter['from']) ? $date_filter['from'] : '', lang('label_start_date'));
echo gc_form_element('datetimepicker', array('name' => 'to'), isset($date_filter['to']) ? $date_filter['to'] : '', lang('label_end_date'));
echo gc_form_element('actions', array('delete' => FALSE, 'url' => $cancel_url, 'label' => lang('gc_action_submit')));
?>
</div>
<div class='admin-box mt-2'>
	<?php echo form_open($this->uri->uri_string()); ?>
		<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && !empty($records)) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('keyword', lang('label_keyword'));?></th>
					<th><?php echo form_filter('module_id', lang('label_module'));?></th>
					<th><?php echo form_filter('impression', lang('label_impressions'));?></th>
					<th><?php echo form_filter('click', lang('label_clicks'));?></th>
					<th><?php echo form_filter('cost', lang('label_cost'));?></th>
					<th><?php echo form_filter('created_on', lang('label_date'));?></th>
					<th><?php echo form_filter('ip_address', lang('label_ip_address'));?></th>
				</tr>
			</thead>
			<?php if (!empty($records)) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class="chk-status" name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php echo $record->id; ?></td>
					<td><?php echo $record->keyword_id . ' - ' . $record->keyword; ?></td>
					<td><small><?php echo gc_module_translation(gc_module_name($record->module_id)); ?><i class="fas fa-external-link-alt ml-2"></i></small></td>
					<td><i class="fas <?php echo $record->impression == 1 ? 'fa-check' : 'fa-times';?>"></i></td>
					<td><i class="fas <?php echo $record->click == 1 ? 'fa-check' : 'fa-times';?>"></i></td>
					<td><?php echo currency_format($record->cost);?></td>
					<td><?php echo gc_date_format($record->created_on, true);?></td>
					<td><?php echo $record->ip_address;?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php echo $this->pagination->create_links(); ?>
</div>
<?php echo form_close(); ?>