<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
class Affiliates {
    /**
     * Stores the CodeIgniter core object.
     *
     * @access public
     *
     * @var object
     */
    public $CI;
    
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct($config = array()) {
        $this->CI =& get_instance();
    }
    
    /**
     * Store Affiliate ID in a COOKIE
     * @param array $user
     * @param string $key
     * ref_by - The user can also refer the site to other affiliates for tier commissions
     */
    public function set_affiliate($user = array(), $key = 'ref') {
        $settings = json_decode(settings_item('affiliate.settings') ?? '');
        $override = $key == 'ref_by' ? $settings->override_referral_cookie : $settings->override_cookie;
        $set_cookie = false;
        if($override == 1) {
            $set_cookie = true;
        } else if(!$this->CI->input->cookie($key)) {
            $set_cookie = true;
        }
        if($set_cookie) {
            // $this->CI->load->library('authenticate');
            $affiliate_id = (int) $this->CI->input->get ( $key, TRUE );
            // set ref_by cookie
            /*if($key == 'ref') {
                if($settings->hierarchy_setup == 2) {
                    $this->_set_affiliate_cookie($user, $affiliate_id, 'ref_by');
                }
            }
            */
            // $this->_set_affiliate_cookie($user, $affiliate_id, $key);
        }
        return true;
    }
    
    /**
     * Set Affiliate Cookie
     * @param array $user
     * @param number $affiliate_id
     * @param string $key - ref/ref_by
     * @return boolean
     */
    private function _set_affiliate_cookie($user, $affiliate_id, $key) {
        if(empty($user)) {
            $user = $this->CI->db->where('user_id', $affiliate_id)->get($this->CI->table_name)->row();
        }
        if(!empty($user)) {
            if(empty($user->tracking_duration)) {
                $affiliate_settings = json_decode(settings_item('affiliate.settings') ?? '');
                $tracking_duration = $affiliate_settings->tracking_duration;
            } else {
                $tracking_duration = $user->tracking_duration;
            }
            $tracking_duration = $tracking_duration * 86400;
            $affiliate_id = $this->CI->authenticate->encrypt($affiliate_id);
            // referred user so set cookie to ref=username
            $cookie = array (
                'name' => $key,
                'value' => $affiliate_id,
                'expire' => $tracking_duration // saved in the affiliate_users/affiliate_settings table
            );
            $this->CI->input->set_cookie ( $cookie );
            return TRUE;
        }
        return TRUE;
    }
}