<?php defined('BASEPATH') || exit('No direct script access allowed');

class Migration_Install_affiliates extends Migration
{
	/**
	 * @var string The name of the database table
	 */
	private $table_name = 'affiliate_coupons';

	/**
	 * @var array The table's fields
	 */
	private $fields = array(
		'id' => array(
			'type'       => 'INT',
			'constraint' => 11,
			'auto_increment' => true,
		),
        'user_id' => array(
            'type'       => 'BIGINT',
            'constraint' => 20,
            'null'       => false,
        ),
        'coupon_id' => array(
            'type'       => 'INT',
            'constraint' => 11,
            'null'       => false,
        ),
        'commission' => array(
            'type'       => 'FLOAT',
            'default'    => 0,
        ),
        'type' => array(
            'type'       => 'CHAR',
            'constraint' => 1,
            'null'       => false,
        ),
        'gross_earning' => array(
            'type'       => 'FLOAT',
            'null'       => false,
        	'default' 	 => 0
        ),
        'counts' => array(
            'type'       => 'INT',
            'constraint' => 11,
            'default'    => 0,
        	'null'       => false,
        ),
        'hits' => array(
            'type'       => 'INT',
            'constraint' => 11,
            'default'    => 0,
            'null'       => false,
        ),
        'status' => array(
            'type'       => 'TINYINT',
            'constraint' => 2,
            'null'       => true,
        ),
		'created_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
        'created_by' => array(
            'type'       => 'BIGINT',
            'constraint' => 20,
            'null'       => false,
        ),
        'created_ip' => array(
            'type'       => 'VARCHAR',
            'constraint' => 50,
            'null'       => true,
        ),
		'modified_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
        'modified_by' => array(
            'type'       => 'BIGINT',
            'constraint' => 20,
            'null'       => true,
        ),
        'modified_ip' => array(
            'type'       => 'VARCHAR',
            'constraint' => 50,
            'null'       => true,
        ),
	);

	/**
	 * Install this version
	 *
	 * @return void
	 */
	public function up()
	{
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->create_table($this->table_name);
		$unqiue_affiliate = "ALTER TABLE " . $this->db->dbprefix . $this->table_name . " ADD UNIQUE INDEX `unique_affiliate` (`user_id`,`coupon_id`)";
		$this->db->query($unqiue_affiliate);
	}

	/**
	 * Uninstall this version
	 *
	 * @return void
	 */
	public function down()
	{
		$this->dbforge->drop_table($this->table_name);
	}
}