<?php $affiliate_url = site_url() . '?ref_id=' . $record->user_id; ?>
<script src="//cdn.jsdelivr.net/npm/chart.js@2.8.0/dist/Chart.min.js"></script>
<div class="container affiliate-profile p-2">
    <div class="row">
        <div class="col-md-4">
            <div class="profile-img">
                <img src="<?php echo gc_image_url($record->profile_image, true, true,'users'); ?>" alt="" class="img-fluid" />
                	<div class="file btn btn-lg btn-primary">
                    	Change Photo
                    <input type="file" name="file"/>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="profile-head">
                <h5><?php echo $record->name; ?></h5>
                <h6><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></h6>
                <p class="proile-rating"><?php echo lang('affiliate_referred_counts'); ?>: <span class="btn btn-<?php echo $record->referred_counter == 0 ? 'danger' : 'success';?> btn-sm text-white"><?php echo $record->referred_counter; ?></span></p>
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true"><?php echo lang('affiliate_about'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false"><?php echo lang('affiliate_timeline'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="commissions-tab" data-toggle="tab" href="#commissions" role="tab" aria-controls="commissions" aria-selected="false"><?php echo lang('gc_menu_commissions'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="referrals-tab" data-toggle="tab" href="#referrals" role="tab" aria-controls="referrals" aria-selected="false"><?php echo lang('affiliate_referrals'); ?></a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="col-md-2">
        	<a class="btn btn-warning rounded-0 btn-sm" href="<?php echo site_url(SITE_AREA . '/financial/affiliates/form/users/edit/' . $record->id); ?>"><i class="fas fa-edit fa-fw mr-1"></i><?php echo lang('edit'); ?></a>
        </div>
    </div>
    <div class="row flex-column-reverse flex-sm-row">
        <div class="col-md-4">
            <div class="profile-work">
            	<?php $dropdown_menus = $this->affiliates_model->affiliate_menus();
            	foreach($dropdown_menus as $key => $dropdown_menu):
            	   echo '<p>' . lang('affiliate_' . $key) . '</p>';
            	   foreach($dropdown_menu as $menu):
            	       echo anchor(sprintf($menu['url'], $record->user_id), $menu['label']) . '<br />';
            	   endforeach;
            	endforeach;
            	?>
            </div>
        </div>
        <div class="col-md-8 order-sm-1">
            <div class="tab-content profile-tab" id="myTabContent">
                <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('affiliate_url'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo anchor($affiliate_url, $affiliate_url); ?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('label_name'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo $record->name; ?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('label_email'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo $record->user_email; ?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('label_phone_number'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo $record->phone_number?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('label_address'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo $record->address . ', ' . $record->city . ', ' . $record->state . ' - ' . $record->postcode . ', ' . $record->country;?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('payment_method'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo lang($record->payment_method); ?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('payment_info'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo $record->payment_info; ?></p>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('joined_on'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo gc_date_format($record->created_on); ?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label><?php echo lang('us_last_login'); ?></label>
                        </div>
                        <div class="col-md-6">
                            <p><?php echo gc_date_format($record->last_login); ?></p>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="commissions" role="tabpanel" aria-labelledby="commissions-tab">
                <h4 class="font-weight-bold"><?php echo lang('gc_menu_commissions') . ' - ' . lang('gc_menu_summary'); ?></h4>
                <table class="table table-striped table-sm">
                <?php foreach($other_info as $info_key => $info_value):
                switch($info_key) {
                    case 'total_referrals':
                    case 'commission_total':
                        break;
                    default: ?>                        
                <tr>
                	<th><?php echo lang('commission_' . $info_key); ?></th>
                	<td><span class="badge badge-success"><?php echo $info_value; ?></span></td>
                </tr>
                <?php } ?>
                <?php endforeach;?>
                </table>
                <h4 class="font-weight-bold"><?php echo lang('commission_this_month'); ?></h4>             
                <div class="form-row">
                	<div class="col-5"><?php echo gc_form_element('text', array('type' => 'text', 'name' => 'date_from', 'extra' => array('placeholder' => lang('label_from')), 'field_only' => true), date('Y')  . '-' . date('m') . '-01');?></div>
                	<div class="col-5"><?php echo gc_form_element('text', array('type' => 'text', 'name' => 'date_to', 'extra' => array('placeholder' => lang('label_to')), 'field_only' => true), date('Y-m-d'));?></div>
                	<div class="col-2"><button type="button" class="btn btn-primary" id="updateChart"><?php echo lang('bf_action_update'); ?></button></div>
                </div>
                <canvas class="chart" id="monthlyChart" width="1000" height="300"></canvas>
                <h4 class="font-weight-bold"><?php echo lang('commission_six_months'); ?></h4>
                <canvas class="chart" id="sixMonthSales" width="1000" height="300"></canvas>
                </div>
                <div class="tab-pane fade" id="referrals" role="tabpanel" aria-labelledby="referrals-tab">                 
                    <?php if(!empty($traffic_by_device['labels'])):?>
                    <div class="row">
                    	<div class="col-sm-12">
                    		<h4 class="font-weight-bold"><?php echo lang('affiliate_traffic_devices'); ?></h4>
                    		<canvas class="chart" id="deviceChart" width="1000" height="300"></canvas>
                    	</div>
                    </div>
                    <?php endif; ?>
                    <?php if(!empty($top_referred_urls)):?>
                    <div class="row">
                    	<div class="col-sm-12">
                            <h4 class="font-weight-bold"><?php echo lang('affiliate_top_referrers'); ?></h4>
                            <div class="table-responsive">
                            <table class="table table-striped table-sm">
                            <tr>
                            	<th><?php echo lang('label_source_page'); ?></th>
                            	<th><?php echo lang('label_landing_page'); ?></th>
                            </tr>
                    		<?php foreach($top_referred_urls as $record):?>
                            <tr class="small">
                            	<td><?php echo anchor($record->source_page, $record->source_page, 'target="_blank"');?></td>
                            	<td><?php echo anchor($record->landing_page, $record->landing_page, 'target="_blank"');?></td>
                            </tr>
                            <?php endforeach;?>
                            </table>
                            </div>
                        </div>
                    </div>
                   	<?php endif;?>
                    <?php if(!empty($traffic_by_countries)):?>
                    <div class="row">
                    	<div class="col-sm-12">
                    		<h4 class="font-weight-bold"><?php echo lang('affiliate_top_countries'); ?></h4>
                            <div class="table-responsive">
                            <table class="table table-striped table-sm">
                    		<?php foreach($traffic_by_countries as $record):?>
                            <tr class="small">
                            	<th><?php echo $record->country; ?><span class="ml-2 flag flag-<?php echo strtolower($record->country_abbrev);?>"></span></th>
                            	<td><span class="btn btn-success btn-sm"><?php echo $record->total_counts; ?></span></td>
                            </tr>
                            <?php endforeach;?>
                            </table>
                            </div>
                    	</div>
                    </div>
                    <?php endif;?>     
                </div>
            </div>
        </div>
    </div>
</div>