<?php
$blocks = array('total_affiliates' => 2, 'inactive_affiliates' => 1, 'active_affiliates' => 2, 'total_referrals' => 2);
$this->load->view('common/_summary_block_01', array('blocks' => $blocks, 'record' => $record, 'is_colorful' => true, 'module_prefix' => 'affiliate'));
?>

<div class="row">
	<div class="col-sm-6">
		<div class="card card-body">
    		<h4 class="font-weight-bold mb-2"><?php echo lang('last_six_month_traffic'); ?></h4>
            <canvas class="chart" id="sixMonthChart" width="1000" height="300"></canvas>
        </div>
	</div>
	<div class="col-sm-6">
		<div class="card card-body">
			<h4 class="font-weight-bold mb-2"><?php echo lang('this_month_traffic'); ?></h4>
            <div class="form-row">
            	<div class="col-5"><?php echo gc_form_element('text', array('type' => 'text', 'name' => 'date_from', 'extra' => array('placeholder' => lang('label_from')), 'field_only' => true), date('Y')  . '-' . date('m') . '-01');?></div>
            	<div class="col-5"><?php echo gc_form_element('text', array('type' => 'text', 'name' => 'date_to', 'extra' => array('placeholder' => lang('label_to')), 'field_only' => true), date('Y-m-d'));?></div>
            	<div class="col-2"><button type="button" class="btn btn-primary" id="updateChart"><?php echo lang('bf_action_update'); ?></button></div>
            </div>	
    		<canvas class="chart" id="monthlyChart" width="1000" height="300"></canvas>
        </div>
	</div>
</div>
<div class="row">
	<div class="col-sm-4">
		<h3 class="font-weight-bold m-0"><?php echo lang('affiliate_traffic_devices'); ?></h3>
		<canvas class="chart" id="deviceChart" width="1000" height="300"></canvas>
	</div>
	<?php if(!empty($top_referrers)):?>
	<div class="col-sm-4">
        <h3 class="font-weight-bold m-0"><?php echo lang('affiliate_top_referrers'); ?></h3>
        <div class="table-responsive">
        <table class="table table-striped table-sm">
		<?php foreach($top_referrers as $record):?>
        <tr class="small">
        	<th><?php echo anchor(SITE_AREA . '/financial/affiliates/detail/' . $record->user_id, $record->display_name . ' (' . $record->user_email . ')', 'target="_blank"');?></th>
        	<td><span class="btn btn-success btn-sm"><?php echo $record->total_counts; ?></span></td>
        </tr>
        <?php endforeach;?>
        </table>
        </div>
    </div>
	<?php endif;?>
	<?php if(!empty($traffic_by_countries)):?>
	<div class="col-sm-4">
		<h3 class="font-weight-bold m-0"><?php echo lang('affiliate_top_countries'); ?></h3>
        <div class="table-responsive">
        <table class="table table-striped table-sm">
		<?php foreach($traffic_by_countries as $record):?>
        <tr class="small">
        	<th><?php echo $record->country; ?><span class="ml-2 flag flag-<?php echo strtolower($record->country_abbrev);?>"></span></th>
        	<td><span class="btn btn-success btn-sm"><?php echo $record->total_counts; ?></span></td>
        </tr>
        <?php endforeach;?>
        </table>
        </div>
	</div>
	<?php endif;?>
</div>