<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$record = isset($record) ? $record : array(); 
$id = isset($record->id) ? $record->id : '';
$params = isset($record->params) ? json_decode($record->params) : array();
$type = isset($_POST['ad_type']) ? $_POST['ad_type'] : (isset($record->ad_type) ? $record->ad_type : 'banner');
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
		<?php		
		$type_options = array(
		    'banner' => lang('tab_ad_type__banner'),
		    'video' => lang('tab_ad_type__video'),
		    'text' => lang('tab_ad_type__text'),
		    'html' => lang('tab_ad_type__html'),
		    'pdf' => lang('tab_ad_type__pdf')
		);
		echo gc_form_element('dropdown', array('name' => 'link_id', 'label_width' => 'col-sm-3', 'options' => $this->fields_model->dropdown_options('affiliate_links', false)), $record, lang('singular_affiliate_links') . lang('bf_form_label_required'), 'col-sm-4');
		echo gc_form_element('dropdown', array('name' => 'ad_type', 'label_width' => 'col-sm-3', 'options' => $type_options), $record, lang('label_type') . lang('bf_form_label_required'), 'col-sm-4');
		
		// Banner Ad
		echo gc_form_element('text', array('name' => 'banner_alt', 'control_class' => 'affiliate-material affiliate-banner', 'control_style' => ($type != 'banner' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('affiliate_placeholder_alt'), 'extra' => array('id' => 'params_alt')), $params, lang('affiliate_alt'));
		echo gc_form_element('textarea', array('name' => 'banner_description', 'control_class' => 'affiliate-material affiliate-banner', 'control_style' => ($type != 'banner' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_description')), $params, lang('label_description'), 'col-sm-6');
		echo gc_form_element('filemanager', array('name' => 'banner_image', 'control_class' => 'affiliate-material affiliate-banner', 'control_style' => ($type != 'banner' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'field_id' => 'params_banner_image', 'extra' => array('placeholder' => lang('placeholder_image'))), $params, lang('affiliate_banner_image'));
		echo gc_form_element('text', array('name' => 'banner_url', 'control_class' => 'affiliate-material affiliate-banner', 'control_style' => ($type != 'banner' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'extra' => array('id' => 'params_banner_url', 'placeholder' => lang('affiliate_placeholder_image_url'))), $params, lang('affiliate_image_url'));
		
		// YouTube Video
		echo gc_form_element('text', array('name' => 'video_title', 'control_class' => 'affiliate-material affiliate-video', 'control_style' => ($type != 'video' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_title'), 'extra' => array('id' => 'params_video_title')), $params, lang('label_title'));
		echo gc_form_element('textarea', array('name' => 'video_description', 'control_class' => 'affiliate-material affiliate-video', 'control_style' => ($type != 'video' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_description')), $params, lang('label_description'), 'col-sm-6');
		echo gc_form_element('text', array('name' => 'video_url', 'control_class' => 'affiliate-material affiliate-video', 'control_style' => ($type != 'video' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'extra' => array('id' => 'params_video_url', 'placeholder' => lang('affiliate_placeholder_video_url'))), $params, lang('affiliate_video_url') . lang('bf_form_label_required'));
		
		// Text Ad
		echo gc_form_element('text', array('name' => 'text_title', 'control_class' => 'affiliate-material affiliate-text', 'control_style' => ($type != 'text' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_title'), 'extra' => array('id' => 'params_text_title')), $params, lang('affiliate_ad_title') . lang('bf_form_label_required'));
		echo gc_form_element('textarea', array('name' => 'text_description', 'control_class' => 'affiliate-material affiliate-text', 'control_style' => ($type != 'text' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_description')), $params, lang('affiliate_ad_content') . lang('bf_form_label_required'), 'col-sm-6');
		
		// HTML Ad
		echo gc_form_element('text', array('name' => 'html_title', 'control_class' => 'affiliate-material affiliate-html', 'control_style' => ($type != 'html' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_name'), 'extra' => array('id' => 'params_html_title')), $params, lang('label_name') . lang('bf_form_label_required'));
		echo gc_form_element('textarea', array('name' => 'html_description', 'control_class' => 'affiliate-material affiliate-html', 'control_style' => ($type != 'html' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('affiliate_placeholder_html_content')), $params, lang('affiliate_html_content') . lang('bf_form_label_required'), 'col-sm-6');
		
		// PDF File
		echo gc_form_element('filemanager', array('name' => 'pdf_file', 'control_class' => 'affiliate-material affiliate-pdf', 'control_style' => ($type != 'pdf' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_pdf'), 'extra' => array('id' => 'params_file')), $params, lang('affiliate_pdf_file') . lang('bf_form_label_required'));
		echo gc_form_element('textarea', array('name' => 'pdf_description', 'control_class' => 'affiliate-material affiliate-pdf', 'control_style' => ($type != 'pdf' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_description')), $params, lang('label_description') . lang('bf_form_label_required'), 'col-sm-6');
		
		// QRCode
		echo gc_form_element('checkbox', array('name' => 'qrcode_enable', 'control_class' => 'affiliate-material affiliate-qrcode', 'control_style' => ($type != 'qrcode' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'no_label' => TRUE), $params, lang('affiliate_qrcode'));
		
		echo gc_form_element('text', array('name' => 'priority', 'label_width' => 'col-sm-3', 'default_value' => 0), $record, lang('label_priority') . lang('bf_form_label_required'), 'col-sm-2');
		echo gc_form_element('checkbox', array('name' => 'status', 'label_width' => 'col-sm-3', 'no_label' => TRUE), $record, lang('label_status'));
		
		$action_data = array(
			'url' => SITE_AREA .'/financial/affiliates/manage/materials',
			'save_only' => true
		);
		if (!$id || !$this->auth->has_permission('Affiliate_Materials.Financial.Delete')):
			$action_data['delete'] = FALSE;
		endif;
		echo gc_form_element('actions', $action_data);
		?>
		</fieldset>
    <?php echo form_close(); ?>
</div>