<?php
$output = '';
$params = json_decode($params ?? '');
$frontend = isset($frontend) ? $frontend : false;
switch($material_type) {
    case 'banner':
        $image_url = !empty($params->banner_url) ? $params->banner_url : base_url() . 'assets/images/' . $params->banner_image;
        $image_alt = isset($params->banner_alt) ? $params->banner_alt : '';
        $output = <<<EOL
        <a class="img-crop-center gc-fancybox" href="{$image_url}">
            <img class="img-fluid thumb-50" src="{$image_url}" alt="{$image_alt}">
        </a>
EOL;
        break;
    case 'pdf':
        $pdf_icon_url = base_url() . 'assets/images/pdf.png';
        $pdf_file_url = base_url() . 'assets/images/' . $params->pdf_file;
        $pdf_title = lang('pdf') . ': ' . $params->pdf_file;
        ?>        
        <div class="float-left">
            <a class="gc-fancybox" href="<?php echo $pdf_file_url; ?>">
                <img class="img-fluid thumb-80" src="<?php echo $pdf_icon_url; ?>" alt="<?php echo $pdf_title; ?>">
            </a>
        </div>
        <?php if(!empty($params->pdf_description)):?>
        <div class="float-left m-2">
        	<?php echo truncate_text($params->pdf_description, 80); ?>
        </div>
        <?php endif; ?>
<?php
        break;
    case 'video':
        ?>
        <div class="float-left">
            <a class="gc-fancybox img-crop-center" href="<?php echo $params->video_url; ?>">
                <img class="img-thumbnail thumb-80" src="<?php echo $params->video_image; ?>">
            </a>
        </div>
        <div class="float-left m-1">
            <div class="h5"><?php echo $params->video_title; ?></div>
            <?php if(!empty($params->video_duration)):?>
            <span><?php echo sprintf(lang('affiliate_video_duration'), $params->video_duration); ?></span>
            <?php endif; ?>
        </div>        
<?php
break;
    case 'text':
        echo '<h4 class="font-weight-bold p-0">' . $params->text_title . '</h4>';
        echo $params->text_description;
        break;
    case 'html':
        echo '<h4 class="font-weight-bold p-0">' . $params->html_title . '</h4>';
        echo $params->html_description;
        break;
    case 'image':        
        $image_url = !empty($params->banner_url) ? $params->banner_url : base_url() . 'assets/images/' . $params->banner_image;
        $output = '
<div class="card">
    <div class="card-body p-0 p-2">
        <div class="row">
            <div class="col-md-3">
                <a class="img-crop-center gc-fancybox" href="' . $image_url . '">
                    <img class="card-img-left img-fluid" src="' . $image_url . '" alt="Card image cap">
                </a>
            </div>
            <div class="col-md-9">
                <h5 class="card-title">Card title</h5>
                <p class="card-text">This card has supporting text below as a natural lead-in to additional content.</p>
                <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
            </div>
        </div>
    </div>
</div>
';
}
echo $output;