<?php
$output = '';
$params = json_decode($params ?? '');
$label_code = lang('affiliate_code');
$link_url = !empty($link_url) ? $link_url : site_url();
$label_title = lang('label_title');
$label_url = lang('affiliate_link_url');
$target_url = anchor($link_url, $link_url, 'target="_blank"');
$label_ref_url = lang('affiliate_ref_url');
$ref_url = gc_url_format('ref', $ref_id);
$affiliate_ref_url = anchor($ref_url, $ref_url, 'target="_blank"');
switch($material_type) {
    case 'banner':
        $image_url = !empty($params->banner_url) ? $params->banner_url : base_url() . 'assets/images/' . $params->banner_image;
        $image_alt = isset($params->banner_alt) ? $params->banner_alt : '';
        $banner_width = isset($params->width) ? $params->width : 0;
        $banner_height = isset($params->height) ? $params->height : 0;
        $banner_size = $banner_width . ' x ' . $banner_height;
        $banner_description = '';
        $banner_alt = '';
        if(isset($params->banner_description)):
        $banner_description = $params->banner_description;
        endif;
        if(isset($params->banner_alt)):
        $banner_alt = $params->banner_alt;
        endif;
        $label_title = lang('label_title');
        $label_description = lang('label_description');
        $label_size = lang('label_size');
        $banner_image = <<<EOL
        <a class="gc-fancybox" href="{$image_url}">
            <img class="img-fluid" src="{$image_url}" alt="{$image_alt}">
        </a>
EOL;
        $ad_text = '&#60;a href="' . $ref_url . '" target="_blank"&#62&#60;img src="' . $image_url . '" width="' . $banner_width . '" height="' . $banner_height . '" alt="' . $banner_alt . '"&#62&#60;/a&#62;';
        $output_frontend = <<<EOL
        <div class="mx-auto">
            {$banner_image}
            <table class="table table-striped table-sm mt-2">
            <tr>
                <th>{$label_size}</th>
                <td>{$banner_size}</td>
            </tr>
            <tr>
                <th>{$label_title}</th>
                <td>{$banner_alt}</td>
            </tr>
            <tr>
                <th>{$label_description}</th>
                <td>{$banner_description}</td>
            </tr>
            <tr>
                <th>{$label_url}</th>
                <td>{$target_url}</td>
            </tr>
            <tr>
                <th>{$label_ref_url}</th>
                <td>{$affiliate_ref_url}</td>
            </tr>
            </table>
        </div>
        <div class="form-group">
            <label class="font-weight-bold">{$label_code}</label>
            <textarea class="form-control" readonly>{$ad_text}</textarea>
        </div>
EOL;
            $output = $output_frontend;
            break;
    case 'pdf':
        $pdf_icon_url = base_url() . 'assets/images/pdf.png';
        $pdf_file_url = base_url() . 'assets/images/' . $params->pdf_file;
        $pdf_title = lang('pdf') . ': ' . $params->pdf_file;
        ?>
       	<div class="form-row">
            <div class="float-left">
                <a class="gc-fancybox" href="<?php echo $pdf_file_url; ?>">
                    <img class="img-fluid thumb-80" src="<?php echo $pdf_icon_url; ?>" alt="<?php echo $pdf_title; ?>">
                </a>
            </div>
            <?php if(!empty($params->pdf_description)):?>
            <div class="float-left m-2">
            	<?php echo truncate_text($params->pdf_description, 80); ?>
            </div>        
            <?php endif; ?>
        </div>
 <?php        
        $output = <<<EOL
        <div class="mt-2">
            <table class="table table-striped table-sm">
            <tr>
                <th>{$label_url}</th>
                <td>{$target_url}</td>
            </tr>
            <tr>
                <th>{$label_ref_url}</th>
                <td>{$affiliate_ref_url}</td>
            </tr>
            </table>
        </div>
EOL;
        break;
    case 'video':
        ?>
        <div class="form-row">
        <div class="float-left">
            <a class="gc-fancybox img-crop-center" href="<?php echo $params->video_url; ?>">
                <img class="img-thumbnail thumb-80" src="<?php echo $params->video_image; ?>">
            </a>
        </div>
        <div class="float-left m-1">
            <div class="h5"><?php echo $params->video_title; ?></div>
            <?php if(!empty($params->video_duration)):?>
            <span><?php echo sprintf(lang('affiliate_video_duration'), $params->video_duration); ?></span>
            <?php endif; ?>
        </div> 
        </div>       
<?php
$load_ad_url = site_url('affiliates/video/' . $ref_id);
$ad_html = $this->affiliates_model->prepare_ad($ref_id, 'video', false);
$video_ad = '<script type="text/javascript" src="' . $load_ad_url . '"></script>';
$ad_text = '&#60;script type="text/javascript" src="' . $load_ad_url . '"&#62&#60;/script&#62';
$output = <<<EOL
        <div class="mt-2">
            <table class="table table-striped table-sm mt-2">
            <tr>
                <th>{$label_url}</th>
                <td>{$target_url}</td>
            </tr>
            <tr>
                <th>{$label_ref_url}</th>
                <td>{$affiliate_ref_url}</td>
            </tr>
            </table>
        </div>
        <div class="form-group">
            <label class="font-weight-bold">{$label_code}</label>
            <textarea class="form-control" readonly>{$ad_html}</textarea>
        </div>
EOL;
        break;
    case 'text':        
        $load_ad_url = site_url('affiliates/text/' . $ref_id);
        $text_ad = '<script type="text/javascript" src="' . $load_ad_url . '"></script>';
        $ad_text = '&#60;script type="text/javascript" src="' . $load_ad_url . '"&#62&#60;/script&#62';
        $output = <<<EOL
        <div class="form-row">
        <div class="offset-md-4 col-md-9">
        {$text_ad}
        </div>
        </div>
        <div class="mt-4">
            <table class="table table-striped table-sm mt-2">
            <tr>
                <th>{$label_url}</th>
                <td>{$target_url}</td>
            </tr>
            <tr>
                <th>{$label_ref_url}</th>
                <td>{$affiliate_ref_url}</td>
            </tr>
            </table>
        </div>
        <div class="form-group">
            <label class="font-weight-bold">{$label_code}</label>
            <textarea class="form-control" readonly>{$ad_text}</textarea>
        </div>
EOL;
        break;
    case 'html':
        $ad_preview = '
<div style="display: none;" id="ad-content-' . $ref_id . '">
	' . $params->html_description . '
</div>
<a class="gc-fancybox btn btn-info btn-primary" data-src="#ad-content-' . $ref_id . '" href="javascript:;">
	' . lang('ad_preview') . '
</a>
';
        $title = isset($params->html_title) ? $params->html_title : '';
        $ad_text = htmlentities($params->html_description);
        $output = <<<EOL
        <div class="form-row">
            <div class="mx-auto">
                {$ad_preview}
            </div>
        </div>
        <div class="mt-4">
            <table class="table table-striped table-sm mt-2">
            <tr>
                <th>{$label_title}</th>
                <td>{$title}</td>
            </tr>
            <tr>
                <th>{$label_url}</th>
                <td>{$target_url}</td>
            </tr>
            <tr>
                <th>{$label_ref_url}</th>
                <td>{$affiliate_ref_url}</td>
            </tr>
            </table>
        </div>
        <div class="form-group">
            <label class="font-weight-bold">{$label_code}</label>
            <textarea class="form-control" readonly>{$ad_text}</textarea>
        </div>
EOL;
        break;
    case 'qrcode':
        $image_alt = $ref_id;
        $image_width = 287;
        $image_height = 287;
        $label_help_qrcode = lang('help_affiliate_qrcode');
        $ad_text = '&#60;a href="' . $ref_url . '" target="_blank"&#62&#60;img src="' . $qrfile_url . '" width="' . $image_width . '" height="' . $image_height . '" alt="' . $image_alt . '"&#62&#60;/a&#62;';
        $output = <<<EOL
        <div class="mt-4">
            <div class="text-center">
                <a class="gc-fancybox" href="{$qrfile_url}">
            		<img src="{$qrfile_url}" class="img-fluid" />
            	</a>
                <div class="d-block">
                    {$label_help_qrcode}
            	</div>
            </div>
            <table class="table table-striped table-sm mt-2">
            <tr>
                <th>{$label_url}</th>
                <td>{$target_url}</td>
            </tr>
            <tr>
                <th>{$label_ref_url}</th>
                <td>{$affiliate_ref_url}</td>
            </tr>
            </table>
        </div>
        <div class="form-group">
            <label class="font-weight-bold">{$label_code}</label>
            <textarea class="form-control" readonly>{$ad_text}</textarea>
        </div>
EOL;
        break;
}
echo $output;