<?php defined('BASEPATH') || exit('No direct script access allowed');

class Migration_Install_seo extends Migration
{
	/**
	 * @var string The name of the database table
	 */
	private $table_name = 'seo';

	/**
	 * @var array The table's fields
	 */
	private $fields = array(
		'id' => array(
			'type'       => 'INT',
			'constraint' => 11,
			'auto_increment' => true,
		),
        'Title' => array(
            'type'       => 'VARCHAR',
            'constraint' => 255,
            'null'       => true,
        ),		
		'created_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
		
        'created_by' => array(
            'type'       => 'BIGINT',
            'constraint' => 20,
            'null'       => false,
        ),
		'modified_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
		
        'modified_by' => array(
            'type'       => 'BIGINT',
            'constraint' => 20,
            'null'       => true,
        ),
	);

	/**
	 * Install this version
	 *
	 * @return void
	 */
	public function up()
	{
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->create_table($this->table_name);
	}

	/**
	 * Uninstall this version
	 *
	 * @return void
	 */
	public function down()
	{
		$this->dbforge->drop_table($this->table_name);
	}
}