<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$nav_url = 'components/backlinks';
$menus = array(
    array(
        'condition' => '',
        'permission' => 'Backlinks.Components.Summary',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('gc_menu_summary')
    ),
    array(
        'condition' => 'manage/backlinks',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Seo_Backlinks.Components.View',
        'url' => $nav_url. '/manage/backlinks',
        'id' => 'backlinks',
        'tooltip' => true,
        'title' => lang('manage_seo_backlinks'),
        'label' => '<i class="fas fa-external-link-alt fa-fw mr-1"></i>' . lang('manage_seo_backlinks')
    ),
    array(
        'condition' => 'manage/backlink_products',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Seo_Backlink_Products.Components.View',
        'url' => $nav_url. '/manage/backlink_products',
        'id' => 'backlink_products',
        'tooltip' => true,
        'title' => lang('manage_seo_backlink_products'),
        'label' => '<i class="fab fa-product-hunt fa-fw mr-1"></i>' . lang('seo_backlink_products')
    ),
    array(
        'condition' => 'manage/backlink_types',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Seo_Backlink_Types.Components.View',
        'url' => $nav_url. '/manage/backlink_types',
        'id' => 'backlink_types',
        'tooltip' => true,
        'title' => lang('manage_seo_backlink_types'),
        'label' => '<i class="fas fa-boxes fa-fw mr-1"></i>' . lang('seo_backlink_types')
    ),
    array(
        'condition' => 'manage/backlink_emails',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Seo_Backlink_Emails.Components.View',
        'url' => $nav_url. '/manage/backlink_emails',
        'id' => 'backlink_emails',
        'tooltip' => true,
        'title' => lang('manage_seo_backlink_emails'),
        'label' => '<i class="fas fa-envelope fa-fw mr-1"></i>' . lang('seo_backlink_emails')
    ),
    array(
        'condition' => 'manage/keywords',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Seo_Keywords.Components.View',
        'url' => $nav_url. '/manage/keywords',
        'id' => 'seo_keywords',
        'tooltip' => true,
        'title' => lang('manage_seo_keywords'),
        'label' => '<i class="fas fa-tags fa-fw mr-1"></i>' . lang('manage_seo_keywords')
    ),
    array(
        'condition' => 'manage/text',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Seo_Text.Components.View',
        'url' => $nav_url. '/manage/text',
        'id' => 'seo_text',
        'tooltip' => true,
        'title' => lang('manage_seo_text'),
        'label' => '<i class="fas fa-file fa-fw mr-1"></i>' . lang('manage_seo_text')
    ),
    array(
        'condition' => 'manage/words',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Seo_Words.Components.View',
        'url' => $nav_url. '/manage/words',
        'id' => 'seo_words',
        'tooltip' => true,
        'title' => lang('manage_seo_words'),
        'label' => '<i class="fas fa-rocket fa-fw mr-1"></i>' . lang('seo_words')
    )
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'seo', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>