<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							    # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				    # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									    # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$num_columns	= 5;
$has_records	= isset($records) && is_array($records) && count($records);
if($role == 'admin'):
$options_url = site_url(SITE_AREA . '/financial/bookings/options');
$packages_url = site_url(SITE_AREA . '/financial/bookings/packages');
else:
$options_url = gc_url_format('bookings/options');
$packages_url = gc_url_format('bookings/packages');
endif;
?>
<?php echo form_open($this->uri->uri_string()); ?>
<table <?php echo $has_records ? 'id="booking_fields" ' : ''; ?>class='table table-bordered'>
    <thead>
        <tr>            
			<th><?php echo lang('label_id'); ?></th>
			<th><?php echo lang('label_name'); ?></th>
			<th><?php echo lang('label_order'); ?></th>
			<th><?php echo lang('label_action'); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php if($has_records) : ?>
		<?php foreach($records as $record):?>
		<tr>
			<td><?php echo $record->field_id; ?></td>
			<td><?php echo $record->label_lang == 1 ? lang($record->label) : $record->label; ?></td>
			<td><?php echo $record->priority; ?></td>
			<td><?php 
			if($record->type == 'booking'):
			echo anchor($options_url . '/' . $allotment_id . '/' . $record->field_id, lang('label_options'), 'class="btn btn-success btn-sm"');
			if($record->name != 'pricing'): // The pricing field is Hardcoded with name pricing and it cannot be splitted. Its value is used during checkout.
			echo anchor($options_url . '/' . $allotment_id . '/' . $record->field_id . '/1', lang('label_split'), 'class="btn btn-warning btn-sm ml-1"');
			endif;?>	
			<?php endif; ?>
			</td>
		</tr>
		<?php endforeach;?>
		<?php else: ?>
		<tr>
			<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
		</tr>
		<?php endif;?>
	</tbody>
</table>

<?php if(!empty($fields)):?>
<h1 class="text-center"><?php echo lang('gc_menu_packages'); ?><br>
<?php echo anchor($packages_url . '/' . $allotment_id, lang('add'), 'class="btn btn-sm btn-primary"'); ?>
<?php if($allotment->status == 1):?>
<?php echo anchor(gc_url_format('bookings/booking_form') . '/' . $allotment_id, lang('label_view'), array('class' => "btn btn-sm btn-success ml-1", 'target' => '_blank')); ?>		
<?php endif;?>
<?php if($role == 'admin'): ?>
<?php echo anchor(site_url(SITE_AREA . '/financial/bookings/allotments'), lang('cancel'), 'class="btn btn-sm btn-warning ml-1"'); ?>
<?php endif;?>
</h1>
<table <?php echo !empty($pricing_records) ? 'id="pricing_packages" ' : ''; ?>class='table table-bordered'>
    <thead>
        <tr>        
        	<th><?php echo lang('label_id'); ?></th>
        	<?php foreach($fields as $field):?>
			<th><?php echo $field['label_lang'] == 1 ? lang($field['label']) : $field['label']; ?></th>
        	<?php endforeach;?>
			<th><?php echo lang('label_action'); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php if(!empty($pricing_records)) : ?>
		<?php 
		foreach($pricing_records as $pricing_key => $pricing_record):?>		
		<tr>
			<td><?php echo $pricing_record['allotment_package_id'];?></td>
    		<?php
    		foreach($fields as $field):
    		$field_id = explode('-', $field['id'] ?? '');
    		$field_name = $field_id[0];
    		if(isset($field['dynamic_id'])):
    		   $field_name = $field_id[0] . '_' . $field['dynamic_id'];
    		endif;
    		?>
			<td><?php 
			foreach($field['options'] as $field_option):
			if(!empty($pricing_record[$field_name]) && $field_option['value'] == $pricing_record[$field_name]):
			echo $field_option['name']; 
			endif;
			endforeach;
			?></td>
			<?php endforeach;?>
			<td>
			<button type="submit" name="delete" value="<?php echo $pricing_key; ?>" class="btn btn-xs btn-danger" data-toggle="tooltip" data-placement="bottom" title="<?php echo lang('bf_action_delete'); ?>">
				<i class="fas fa-trash"></i>
			</button>
			<?php echo anchor($packages_url . '/' . $allotment_id . '/' . $pricing_key, '<i class="fas fa-pen"></i>', 'class="btn btn-primary btn-xs ml-1" data-toggle="tooltip" data-placement="bottom" title="' . lang('edit') . '"');?>
			</td>
		</tr>
		<?php endforeach;?>
		<?php else: ?>
		<tr>
			<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
		</tr>
		<?php endif;?>
	</tbody>
</table>
<?php echo form_close();?>
<?php endif; ?>