<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 8;
$can_delete		= $this->auth->has_permission('Bookings.Financial.Delete');
$can_edit		= $this->auth->has_permission('Bookings.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_allotments_search'));?>
	<div class="table-responsive">
		<table class='table table-striped action-icons'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('form_id', lang('label_form')); ?></th>
					<th><?php echo form_filter('user_id', lang('label_user')); ?></th>
					<th><?php echo form_filter('module_id', lang('label_module')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo form_filter('created_on', lang('created_on')); ?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
						<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php $form = $record->id . ' - ' . $record->form;?>
				<?php if ($can_edit) : ?>
					<?php echo anchor(SITE_AREA . '/financial/bookings/edit_form/' . $record->form_id, '<i class="fas fa-edit"></i> ' .  $form); ?>
				<?php else : ?>
					<?php e($form); ?>
				<?php endif; ?>
					</td>
					<td><?php echo anchor(SITE_AREA . '/settings/users/edit/' . $record->user_id, '<i class="fas fa-user"></i> ' .  $record->user_id . ' - ' . $record->email); ?></td>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link'); ?></td>					
					<td>					
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down';?>"></i>
					</button>
					</td>
					<td><?php echo gc_date_format($record->created_on, true); ?></td>
					<td><?php echo gc_date_format($record->modified_on, true); ?></td>
					<td>
						<?php echo anchor(SITE_AREA . '/financial/bookings/booking_form/' . $record->id . '/' . $record->form_id, '<i class="fas fa-eye"></i>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('label_view'), 'class' => 'btn btn-xs btn-warning')); ?>
						<?php echo anchor(SITE_AREA . '/financial/bookings/edit_allotment/' . $record->id, '<i class="fas fa-pencil-alt"></i>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('bf_action_edit'), 'class' => "btn btn-xs btn-primary")); ?>
						<?php echo anchor(SITE_AREA . '/financial/bookings/fields/' . $record->id, '<i class="fab fa-wpforms"></i>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('gc_menu_fields'), 'class' => "btn btn-xs btn-info")); ?>
						<?php echo anchor(SITE_AREA . '/financial/bookings/packages/' . $record->id, '<i class="fas fa-gift"></i>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('gc_menu_packages'), 'class' => "btn btn-xs btn-success")); ?>
						<?php echo anchor(SITE_AREA . '/financial/bookings/export/' . $record->id, '<i class="fas fa-file-excel"></i>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('label_export'), 'class' => 'btn btn-xs btn-secondary')); ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>