<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$record = isset($record) ? $record : array();
$id = isset($record->id) ? $record->id : 0;
?>
<div class="admin-box">
	<?php echo form_open_multipart($this->uri->uri_string(), 'class="form-horizontal"'); ?>
	<fieldset>			
	<?php 
	echo gc_form_element('text', array('name' => 'title', 'extra' => array('maxlength' => 150)), $record, lang('label_name'). lang('bf_form_label_required'), 'col-sm-4');
	echo gc_form_element('text', array('name' => 'commission', 'default_value' => 0, 'help' => lang('help_commission')), $record, lang('label_commission'). lang('bf_form_label_required'), 'col-sm-2');
	$max_packages = array();
	for($i = 1; $i <= 20; $i++) {
		$max_packages[$i] = $i;
	}
	$max_packages[0] = lang('no_limit');
	$max_packages[999] = lang('label_disabled');
	echo gc_form_element('dropdown', array('name' => 'max_packages', 'options' => $max_packages, 'help' => lang('help_max_packages')), $record, lang('label_max_packages'), 'col-sm-2');
	
	// Rules
	$rules = array(1 => lang('days_selection'));
	$saved_rules = isset($record->rules) ? (array) json_decode($record->rules) : array();
	foreach($rules as $rule_key => $rule_value):
	    $rule_options = array(
	        array('name' => 'rules[' . $rule_key . ']', 'value' => (in_array($rule_key, $saved_rules) ? true : false), 'label' => $rule_value)
	    );
	endforeach;
	echo gc_form_element('checkbox', array('name' => '', 'options' => $rule_options), array(), lang('label_rules'));
	
	$display_options = array('enable_cache', 'status');
	echo gc_form_element('checkbox', array('name' => '', 'options' => $display_options, 'label_prefix' => 'label_'), $record);
	?>
	<fieldset>
		<legend><?php echo lang('help_booking_fields');?></legend>
		<?php		
		$form_fields = !empty($record->form_fields) ? json_decode($record->form_fields) : array();
		$form_fields_options = array();
		foreach($this->bookings_model->allotment_fields as $allotment_field):
		$form_fields_options[] = array(
		    'name' => 'form_fields[' . $allotment_field . ']',
		    'label' => lang('label_' . $allotment_field),
		    'value' => (!empty($_POST['form_fields']) && gc_field_value($allotment_field, json_encode($_POST['form_fields'])) == 1) || !empty($form_fields->{$allotment_field})
		);
		endforeach;
		echo gc_form_element('checkbox', array('name' => '', 'options' => $form_fields_options));				
		?>
	</fieldset>
	<?php 	
	$action_data = array(
		'url' => SITE_AREA .'/financial/bookings/forms'
	);
	if (!$id || !$this->auth->has_permission('Bookings.Financial.Delete')):
		$action_data['delete'] = FALSE;
	endif;
	echo gc_form_element('actions', $action_data);
	?>
	</fieldset>
    <?php echo form_close(); ?>
</div>