<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 8;
$can_delete	= $this->auth->has_permission('Bookings.Financial.Delete');
$can_edit		= $this->auth->has_permission('Bookings.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
    $num_columns++;
endif;
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_forms_search'));?>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('title', lang('label_title')); ?></th>
					<th><?php echo form_filter('commission', lang('label_commission')); ?></th>
					<th><?php echo form_filter('max_packages', lang('label_max_packages')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
					<?php echo lang('bf_with_selected'); ?>
					<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
					<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
					<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/financial/bookings/edit_form/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->title); ?></td>
				<?php else : ?>
					<td><?php e($record->title); ?></td>
				<?php endif; ?>
					<td><?php e($record->commission); ?></td>
					<td><?php e($record->max_packages); ?></td>				
					<td>					
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down';?>"></i>
					</button>
					</td>
					<td>
						<button type="submit" name="clone" value="<?php echo $record->id?>" class="btn btn-xs btn-warning"  data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_copy'); ?>">
							<i class="fas fa-copy fa-lg"></i>
						</button>	
						<button type="submit" name="assign_field" value="<?php echo $record->id?>" class="btn btn-xs btn-primary"  data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('assign_fields'); ?>">
							<i class="fas fa-check fa-lg"></i>
						</button>			
						<?php echo anchor(SITE_AREA . '/financial/bookings/order/' . $record->id, '<i class="fas fa-sort-alpha-down fa-lg"></i>', 'class="btn btn-info btn-xs" data-toggle="tooltip" data-placement="bottom" data-original-title="' . lang('sort_fields') . '"'); ?>
						<?php echo anchor(SITE_AREA . '/financial/bookings/template/' . $record->id, '<i class="fas fa-envelope-square fa-lg"></i>', 'class="btn btn-warning btn-xs" data-toggle="tooltip" data-placement="bottom" data-original-title="' . lang('label_template_settings') . '"'); ?>
						<?php echo anchor(SITE_AREA . '/financial/bookings/export/0/' . $record->id, '<i class="fas fa-file-excel fa-lg"></i>', 'class="btn btn-success btn-xs" data-toggle="tooltip" data-placement="bottom" data-original-title="' . lang('label_export') . '"'); ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();
    
    echo $this->pagination->create_links();
    ?>
</div>