<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 9;
$can_delete	= $this->auth->has_permission('Bookings.Financial.Delete');
$can_edit		= $this->auth->has_permission('Bookings.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_packages_search'));?>
	<div class="table-responsive">
		<table class='table table-striped action-icons'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('allotment_id', lang('label_form')); ?></th>
					<th><?php echo form_filter('title', lang('label_title')); ?></th>
					<th><?php echo form_filter('price', lang('label_price')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo form_filter('created_on', lang('created_on')); ?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<button name="submit" value="save" class="btn btn-success" type="submit"><?php echo lang('bf_action_save'); ?></button>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>")" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php e($record->allotment_id . ' - '. $record->form); ?></td>
				<?php if ($can_edit) : ?>
					<td><input type='text' class="form-control" name='title_<?php echo $record->id; ?>' placeholder="<?php echo lang('label_title');?>" value="<?php echo set_value('title_' . $record->id, isset($record->title) ? $record->title : ''); ?>" /></td>	
					<td><input type='text' class="form-control field-width" name='price_<?php echo $record->id; ?>' placeholder="<?php echo lang('label_price');?>" value="<?php echo set_value('price_' . $record->id, isset($record->price) ? $record->price : ''); ?>" /></td>				
				<?php else : ?>
					<td><?php echo $record->title; ?></td>
					<td><?php e($record->price); ?></td>
				<?php endif; ?>								
					<td>					
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down';?>"></i>
					</button>
					</td>
					<td><?php e($record->created_on); ?></td>	
					<td><?php e($record->modified_on); ?></td>
					<td><button type="submit" name="save" class="btn btn-primary btn-xs" value="<?php echo $record->id; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('save');?>"><i class="fas fa-save"></i></button> </td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();
    
    echo $this->pagination->create_links();
    ?>
</div>