<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php
echo form_validations();
$help = lang('help_instructions') . '<br />' . lang('help_label_usage') . '<br />' . lang('help_value_usage') . '<br />';
if(!empty($fields)):
foreach($fields as $field):
$help .= '<tr><td>' . $field['name'] . '</td><td>' . (!empty($field['label_lang']) ? lang($field['label']) : $field['label']) . '</td></tr>';
endforeach;
endif;
// Additional Fields
$template_fields = $this->bookings_model->template_fields();
$help .= '<tr><td colspan="2"><h4><strong>' . lang('value_only_fields') . '</strong></h4></td></tr>';
foreach($template_fields as $field_key => $template_field):
$help .= '<tr><td>' . $field_key . '</td><td>' . $template_field . '</td></tr>';
endforeach;
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
		<?php
		$checkbox_options = array(
		    array('name' => 'template[email][user]', 'value' => (!empty($record->email->user) ? true : false), 'label' => lang('send_user_email')),
		    array('name' => 'template[email][member]', 'value' => (!empty($record->email->member) ? true : false), 'label' => lang('send_member_email')),
		    array('name' => 'template[email][admin]', 'value' => (!empty($record->email->admin) ? true : false), 'label' => lang('send_admin_email')),
		    array('name' => 'template[sms][user]', 'value' => (!empty($record->sms->user) ? true : false), 'label' => lang('send_user_sms')),
		    array('name' => 'template[sms][member]', 'value' => (!empty($record->sms->member) ? true : false), 'label' => lang('send_member_sms')),
		    array('name' => 'template[sms][admin]', 'value' => (!empty($record->sms->admin) ? true : false), 'label' => lang('send_admin_sms'))
		);
		echo gc_form_element('checkbox', array('options' => $checkbox_options), array(), '', 'col-sm-9');
		?>
		<h2><?php echo lang('admin_member'); ?>
		<!-- Button trigger modal -->
        <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#available_fields">
          <?php echo lang('available_fields');?>
        </button>
		</h2>
		<?php 
		echo gc_form_element('text', array('name' => 'template[admin][subject]', 'extra' => array('maxlength' => 255)), (isset($record->admin->subject) ? $record->admin->subject : ''), lang('label_email_subject'));
		echo gc_form_element('textarea', array('name' => 'template[admin][message]', 'field_class' => 'editor'), (isset($record->admin->message) ? $record->admin->message : ''), lang('label_email_message'), 'col-sm-9');
		echo gc_form_element('textarea', array('name' => 'template[admin][sms]'), (isset($record->admin->sms) ? $record->admin->sms : ''), lang('label_sms_text'), 'col-sm-9');
		?>
		<h2><?php echo lang('label_user'); ?></h2>
		<?php
		echo gc_form_element('text', array('name' => 'template[user][subject]', 'extra' => array('maxlength' => 255)), (isset($record->user->subject) ? $record->user->subject : ''), lang('label_email_subject'));
		echo gc_form_element('textarea', array('name' => 'template[user][message]', 'field_class' => 'editor'), (isset($record->user->message) ? $record->user->message : ''), lang('label_email_message'), 'col-sm-9');
		echo gc_form_element('textarea', array('name' => 'template[user][sms]'), (isset($record->user->sms) ? $record->user->sms : ''), lang('label_sms_text'), 'col-sm-9');
		?>
		<div class="form-row card card-body bg-light">
            <div class="col-sm-6 offset-sm-2">
        		<input type="submit" name="save" value="<?php echo lang('save'); ?>" class="btn btn-primary btn-theme btn-submit" />  
        		<?php echo lang('bf_or'); ?>
        		<button type="submit" name="reset" class="btn btn-danger btn-submit"><?php echo lang('reset_default');?></button>
        		<?php echo lang('bf_or'); ?> 
        		<a href="<?php echo site_url(SITE_AREA . '/financial/bookings/forms'); ?>" class="btn btn-warning"><?php echo lang('cancel'); ?></a>
        	</div>
        </div>        		
		</fieldset>
	<?php echo form_close(); ?>
</div>
<!-- Modal -->
<div class="modal fade" id="available_fields" tabindex="-1" role="dialog" aria-labelledby="available_fields" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"><?php echo lang('available_fields'); ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
      	<table class="table table-hover table-sm">
      		<thead class="thead-light">
                <tr>
                  <th scope="col"><?php echo lang('label_key'); ?></th>
                  <th scope="col"><?php echo lang('label'); ?></th>
                </tr>
            </thead>
            <tbody><?php echo $help; ?></tbody>
      	</table>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo lang('form_close'); ?></button>
      </div>
    </div>
  </div>
</div>