<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
echo form_validations();
$record = isset($record) ? $record : array();
$id = isset($record->id) ? $record->id : '';
echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
if(!empty($form_fields->start_date)):
echo gc_form_element('datetimepicker', array('name' => 'start_date', 'label_width' => 'col-sm-3'), $record, lang('label_start_date'), 'col-sm-3');
endif;
if(!empty($form_fields->end_date)):
echo gc_form_element('datetimepicker', array('name' => 'end_date', 'label_width' => 'col-sm-3'), $record, lang('label_end_date'), 'col-sm-3');
endif;
if(!empty($form_fields->before_duration)):
echo gc_form_element('before_duration', array('name' => 'before_duration', 'help' => lang('help_before_duration'), 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 100)), $record, lang('label_before_duration'), 'col-sm-3');
endif;
if(!empty($form_fields->seats)):
?>
<div class="form-group form-row">
	<label class="col-sm-3 col-form-label"><?php echo lang('label_seats');?></label>
	<div class="col-sm-6">			
		<div class="form-row">
    		<div class="col-sm-4">
    			<?php echo gc_form_element('text', array('name' => 'seats', 'default_value' => 0, 'field_only' => true, 'extra' => array('maxlength' => 4)), $record); ?>
    		</div>
    		<div class="col-sm-4">
    			<?php echo gc_form_element('dropdown', array('name' => 'seats_unit', 'options' => array(0 => lang('all_time'), 1 => lang('per_day')), 'field_only' => true), $record); ?>
    		</div>
		</div>
		<small class="form-text text-muted">
          <?php echo lang('help_seats');?>
        </small>
	</div>
</div>
<?php 
if(!empty($form_fields->advance_duration)):
echo gc_form_element('advance_duration', array('name' => 'advance_duration', 'help' => lang('help_advance_duration'), 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 100)), $record, lang('label_advance_duration'), 'col-sm-3');
endif;
endif;
if(!empty($form_fields->seats_limit)):
echo gc_form_element('text', array('name' => 'seats_limit', 'default_value' => 1, 'label_width' => 'col-sm-3', 'help' => lang('help_seats_limit'), 'extra' => array('maxlength' => 100)), $record, lang('label_seats_limit'), 'col-sm-3');
endif;
echo gc_form_element('dropdown', array('name' => 'layout', 'label_width' => 'col-sm-3', 'options' => $this->fields_model->form_layouts()), $record, lang('label_layout'), 'col-sm-3');
?>
<div class="form-group form-row">
	<label class="col-sm-3 col-form-label"><?php echo lang('label_refund');?></label>
	<div class="col-sm-6">			
		<div class="form-row">
    		<div class="col-sm-4">
    			<?php echo gc_form_element('text', array('name' => 'refund_duration', 'default_value' => 0, 'field_only' => true, 'extra' => array('maxlength' => 4)), $record); ?>
    		</div>
    		<div class="col-sm-3">
    			<?php echo gc_form_element('dropdown', array('name' => 'refund_unit', 'options' => array(0 => lang('label_hours'), 1 => lang('label_days')), 'field_only' => true), $record); ?>
    		</div>
		</div>
		<small class="form-text text-muted">
          <?php echo lang('help_refund');?>
        </small>
	</div>
</div>
<?php
echo gc_form_element('text', array('name' => 'tax_percent', 'label_width' => 'col-sm-3', 'default_value' => 0, 'extra' => array('maxlength' => 100)), $record, lang('label_tax_percent') . lang('bf_form_label_required'));
$checkboxes = array(
    array(
        'name' => 'tax_inclusive',
        'label' => lang('label_tax_inclusive')
    ),
    array(
        'name' => 'allow_coupon',
        'label' => lang('label_allow_coupon')
    )
);
if(!empty($form_fields->multisale)):
$checkboxes[] = array(
    'name' => 'multisale',
    'label' => lang('label_multisale'),
    'tooltip' => lang('help_multisale')
);
endif;
$checkboxes[] = array(
    'name' => 'status',
    'label' => lang('label_status')
);
echo gc_form_element('checkbox', array('name' => 'checkboxes', 'label_width' => 'col-sm-3', 'options' => $checkboxes), $record, '', 'col-sm-9');
?>
<div class="form-row card card-body bg-light">
    <div class="col-sm-6 offset-sm-3">
		<input type="submit" name="save" value="<?php echo lang('save'); ?>" class="btn btn-primary btn-theme btn-submit" />  
		<?php 
		if($id && $role != 'admin'):
		echo lang('bf_or'); ?>
		<a href="<?php echo gc_url_format('bookings/fields') . '/' . $id; ?>" class="btn btn-info"><?php echo lang('gc_menu_fields'); ?></a>
		<?php 
		endif; 
		echo lang('bf_or'); ?> 
		<a href="<?php echo $cancel_url; ?>" class="btn btn-warning"><?php echo lang('cancel'); ?></a>
	</div>
</div>
<?php echo form_close(); ?>