<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$num_columns	= 8;
if($role == 'admin') {
    $can_delete	    = $this->auth->has_permission('Bookings.Financial.Delete');
    $can_edit		= $this->auth->has_permission('Bookings.Financial.Edit');
} else {
    $can_delete     = false;
    $can_edit       = false;
}
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="row top2 bottom2">
		<div class="col-md-4">		
        	<?php if(isset($extra_action)):?>
        	<?php echo $extra_action; ?>
        	<?php endif;?>
		</div>
		<div class="col-md-4">
			<?php echo lang('label_results'); ?>: <span class="btn btn-primary"><?php echo $total_rows;?></span>
		</div>
		<div class="col-md-4">
		<?php echo search_admin(lang('placeholder_bookings_search'), '', '');?>
		</div>
	</div>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<?php if($role == 'admin'):?>
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<?php endif;?>
					<th><?php echo form_filter('allotment_booking_id', lang($role == 'admin' ? 'allotment_booking_id' : 'label_id')); ?></th>
					<th><?php echo form_filter('form_id', lang('label_form')); ?></th>
					<?php if($type == 1):?>
					<th><?php echo form_filter('user_id', lang('label_user')); ?></th>
					<?php endif; ?>
					<th><?php echo form_filter('module_id', lang('label_module')); ?></th>
					<th><?php echo form_filter('form_data', lang('view_details')); ?></th>
					<th><?php echo form_filter('qty', lang('booked_seats')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo form_filter('created_on', lang('label_date')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>")" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<?php if($role == 'admin'):?>
					<td><?php e($record->id); ?></td>
					<?php endif;?>
					<td><?php e($record->allotment_booking_id); ?></td>
				<?php if ($can_edit) : ?>
					<td>
					<?php echo anchor(SITE_AREA . '/financial/bookings/booking_form/' . $record->allotment_id . '/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->id . ' - ' . $record->title); ?>
					<?php echo anchor(SITE_AREA . '/financial/bookings/edit_form/' . $record->form_id, lang('edit'), 'class="btn btn-xs btn-primary"'); ?>
					</td>
				<?php else : ?>
					<td><?php e($record->form_id . ' - ' . $record->title); ?></td>
				<?php endif; ?>
				<?php if($type == 1): ?>
					<td>
						<?php if ($can_edit) : ?>
    					<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $record->user_id);?>" title="<?php echo $record->display_name; ?>">
    						<?php echo ($record->display_name .'<br /><small>' . $record->user_id . ' - ' . $record->user_email .'</small>') ?>
    					</a>
    					<?php else: ?>
    					<a href="<?php echo gc_url_format('users', $record->user_slug, $record->user_id, $record->user_city);?>" title="<?php echo $record->display_name; ?>" target="_blank">
    						<?php echo ($record->display_name .'<br /><small>' . $record->user_id . ' - ' . $record->user_email .'</small>') ?>
    					</a>
    					<?php endif; ?>
					</td>
				<?php endif;?>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link'); ?></td>
					<td><?php echo booking_details(array('id' => $record->id, 'data' => $record->form_data, 'qty' => $record->qty));?></td>
					<td><?php echo $record->qty; ?></td>
					<td>
					<?php if($role == 'admin'):?>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down';?>"></i>
					</button>
					<?php else:?>
					<span class="badge <?php echo $record->status == 1 ? 'badge-success' : 'badge-warning';?>"><i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down';?>"></i></span>
					<?php endif;?>
					</td>
					<td><?php echo gc_date_format($record->created_on, true);?></td>
					<td>
					<?php 
					if($record->status == 1 && $this->orders_model->has_refund_policy($record->created_on, $record->refund_duration, $record->refund_unit)):
					$cancellation_url = ($role == 'admin' ? site_url(SITE_AREA . '/financial/bookings/cancellation') : gc_url_format('bookings/cancellation'));
					echo anchor($cancellation_url . '/' . $record->id, '<i class="fas fa-times-circle"></i> ' .  lang('bf_action_cancel'), 'class="btn btn-danger btn-xs"');
					else:
					echo lang('not_applicable');
					endif;
					?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>