<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 15;
$can_delete	= $this->auth->has_permission('Listings.Content.Delete');
$can_edit		= $this->auth->has_permission('Listings.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive')),
    array('filter' => $filter_type, 'condition' => 'expired', 'url' => $index_url . 'expired/', 'title' => lang('tab_expired')),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

?>

<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_branches_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('listing_title', lang('label_title'));?></th>
					<th><?php echo form_filter('address', lang('label_address'));?></th>					
					<th><?php echo form_filter('country', lang('label_country'));?></th>
					<th><?php echo form_filter('state', lang('label_state'));?></th>
					<th><?php echo form_filter('city', lang('label_city'));?></th>
					<th><?php echo form_filter('contact_person', lang('label_contact_person'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
					<th><?php echo form_filter('created_on', lang('column_created'));?></th>
					<th><?php echo form_filter('modified_on', lang('column_modified'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php
						echo lang('bf_with_selected');
	
						if ($filter_type == 'deleted') :
						?>
						<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
						<?php else : ?>
						<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
						<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
						<?php endif;?>
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/content/branches/edit/' . $record->id, '<i class="fas fa-edit"></i>' .  $record->listing_title); ?></td>
				<?php else : ?>
					<td><?php e($record->listing_title); ?></td>
				<?php endif; ?>
					<td><?php e($record->address) ?></td>
					<td><?php e($record->country) ?></td>
					<td><?php e($record->state) ?></td>
					<td><?php e($record->city) ?></td>
					<td><?php e($record->contact_person) ?></td>
					<td>
						<?php if($record->status == 0 || $record->status == 1):?>
						<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
							<i class="fa fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
						</button>
						<?php else:?>
						<span class="badge badge-danger"><?php echo lang('status_expired');?></span>
						<?php endif;?>
					</td>				
					<td><?php e(gc_date_format($record->created_on, true)) ?></td>
					<td><?php e(gc_date_format($record->modified_on, true)) ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
	<?php echo $this->pagination->create_links();?>
</div>