<?php defined('BASEPATH') || exit('No direct script access allowed');

/**
 * Builder Language File (English)
 *
 * @package     Bonfire\Modules\Builder\Language\English
 * @author      Bonfire Dev Team
 * @copyright   Copyright (c) 2011 - 2014, Bonfire Dev Team
 * @license     http://opensource.org/licenses/MIT
 * @link        http://cibonfire.com/docs/builder
 */

// INDEX page
$lang['mb_delete_confirm']		= 'Really delete this module and all of its files?';
$lang['mb_create_button']		= 'Create Module';
$lang['mb_create_link']			= 'Create a new module';
$lang['mb_create_note']			= 'Use our wizbang module building wizard to create your next module. We do all the heavy lifting by generating all the controllers, models, views and language files you need.';
$lang['mb_not_writable_note']	= 'Error: The application/modules folder is not writable so modules cannot be written to the server. Please make the folder writable and refresh this page.';
$lang['mb_generic_description']	= 'Your Description here.';
$lang['mb_installed_head']		= 'Installed Application Modules';
$lang['mb_module']				= 'Module';
$lang['mb_no_modules']			= 'No Modules Installed.';
$lang['mb_toolbar_title_index'] = 'Manage Modules';

$lang['mb_table_name']			= 'Name';
$lang['mb_table_version']		= 'Version';
$lang['mb_table_author']		= 'Author';
$lang['mb_table_description']	= 'Description';

// OUTPUT page
$lang['mb_out_success']			= 'The module creation was successful! Below you will find the list of Controller, Model, Language, Migration and View files that were created during this process. Model and SQL files will be included if you selected the "Generate Migration" option and a Javascript file if it was required during creation.';
$lang['mb_out_success_note']	= 'NOTE: Please add extra user input validation as you require.  This code is to be used as a starting point only.';
$lang['mb_out_tables_success']	= 'The database tables were automatically installed for you. You can verify or uninstall, if you wish, from the %s section.';
$lang['mb_out_tables_error']	= 'The database tables were <strong>NOT</strong> automatically installed for you. You still need to go to the %s section and migrate your database table(s) before you can work with them.';
$lang['mb_out_acl'] 			= 'Access Control File';
$lang['mb_out_acl_path']        = 'migrations/001_Install_%s_permissions.php';
$lang['mb_out_config'] 			= 'Config file';
$lang['mb_out_config_path'] 	= 'config/config.php';
$lang['mb_out_controller']		= 'Controllers';
$lang['mb_out_controller_path']	= 'controllers/%s.php';
$lang['mb_out_model'] 			= 'Models';
$lang['mb_out_model_path']		= '%s_model.php';
$lang['mb_out_view']			= 'Views';
$lang['mb_out_view_path']		= 'views/%s.php';
$lang['mb_out_lang']			= 'Language File';
$lang['mb_out_lang_path']		= '%s_lang.php';
$lang['mb_out_migration']		= 'Migration File(s)';
$lang['mb_out_migration_path']	= 'migrations/002_Install_%s.php';
$lang['mb_new_module']			= 'New Module';
$lang['mb_exist_modules']		= 'Existing Modules';

// FORM page
$lang['mb_form_note']			= '<p><b>Fill out the fields you would like in your module (an "id" field is created automatically).  If you want to create the SQL for a DB table check the "Create Module Table" box.</b></p><p>This form will generate a full CodeIgniter module (model, controller and views) and, if you choose, database Migration file(s).</p>';
$lang['mb_table_note']			= '<p>Your table will be created with at least one field, the primary key field that will be used as a unique identifier and as an index. If you required additional fields, click the number you require to add them to this form.</p>';
$lang['mb_field_note']			= '<p><b>NOTE : FOR ALL FIELDS</b><br />If DB field type is "enum" or "set", please enter the values using this format: \'a\',\'b\',\'c\'...<br />If you ever need to put a backslash ("\\") or a single quote ("\'") amongst those values, precede it with a backslash (for example \'\\\\xyz\' or \'a\\\'b\').</p>';

$lang['mb_form_errors']			= 'Please correct the errors below.';
$lang['mb_form_mod_details']	= 'Module Details';
$lang['mb_form_mod_name']		= 'Module Name';
$lang['mb_form_mod_name_ph']	= 'Forums, Blog, ToDo';
$lang['mb_form_mod_desc']		= 'Module Description';
$lang['mb_form_mod_desc_ph']	= 'Your module description';
$lang['mb_form_contexts']		= 'Contexts Required';
$lang['mb_form_public']			= 'Public';
$lang['mb_form_table_details']	= 'Table Details';
$lang['mb_form_actions']		= 'Controller Actions';
$lang['mb_form_actions_index']  = 'List';
$lang['mb_form_actions_create'] = 'Create';
$lang['mb_form_actions_edit']   = 'Edit';
$lang['mb_form_actions_delete'] = 'Delete';
$lang['mb_form_primarykey']		= 'Primary Key';
$lang['mb_form_delims']			= 'Form Input Delimiters';
$lang['mb_form_err_delims']		= 'Form Error Delimiters';
$lang['mb_form_text_ed']		= 'Textarea Editor';
$lang['mb_form_soft_deletes']	= 'Use "Soft" Deletes?';
$lang['mb_form_use_created']	= 'Use "Created" field?';
$lang['mb_form_use_modified']	= 'Use "Modified" field?';
$lang['mb_form_created_field']	= '"Created" field name';
$lang['mb_form_created_field_ph']	= 'created_on';
$lang['mb_form_modified_field']	= '"Modified" field name';
$lang['mb_form_modified_field_ph']	= 'modified_on';
$lang['mb_form_generate']		= 'Create Module Table';
$lang['mb_form_role_id']		= 'Give Role Full Access';
$lang['mb_form_fieldnum']		= 'Additional table fields';
$lang['mb_form_field_details']	= 'Field details';
$lang['mb_form_table_name']		= 'Table Name';
$lang['mb_form_table_name_ph']	= 'Lowercase, no spaces';
$lang['mb_form_table_as_field_prefix']	= 'Use table name as field prefix';
$lang['mb_form_label']			= 'Label';
$lang['mb_form_label_ph']		= 'The name that will be used on webpages';
$lang['mb_form_fieldname']		= 'Name';
$lang['mb_form_fieldname_ph']	= 'The field name for the database.';
$lang['mb_form_fieldname_help'] = 'Lowercase is best. No spaces';
$lang['mb_form_type']			= 'Webpage Input Type';
$lang['mb_form_length']			= 'Maximum Length <b>-or-</b> Values';
$lang['mb_form_length_ph']		= '30, 255, 1000, etc...';
$lang['mb_form_dbtype']			= 'Database Type';
$lang['mb_form_rules']			= 'Validation Rules';
$lang['mb_form_rules_limits']	= 'Input Limitations';
$lang['mb_form_required']		= 'Required';
$lang['mb_form_unique']			= 'Unique';
$lang['mb_form_trim']			= 'Trim';
$lang['mb_form_valid_email']	= 'Valid Email';
$lang['mb_form_is_numeric']		= '0-9';
$lang['mb_form_alpha']			= 'a-Z';
$lang['mb_form_alpha_dash']		= 'a-Z, 0-9, and _-';
$lang['mb_form_alpha_numeric']	= 'a-Z and 0-9';
$lang['mb_form_add_fld_button'] = 'Add another field';
$lang['mb_form_show_advanced']	= 'Toggle Advanced Options';
$lang['mb_form_show_more']		= '...toggle more rules...';
$lang['mb_form_integer']		= 'Integers';
$lang['mb_form_is_decimal']		= 'Decimal Numbers';
$lang['mb_form_is_natural']		= 'Natural Numbers';
$lang['mb_form_is_natural_no_zero'] = 'Natural, no zeroes';
$lang['mb_form_valid_ip']		= 'Valid IP';
$lang['mb_form_valid_base64']	= 'Valid Base64';
$lang['mb_form_alpha_extra']	= 'AlphaNumerics, underscore, dash, periods and spaces.';
$lang['mb_form_match_existing']	= 'Ensure this matches the existing fieldname!';
$lang['mb_form_module_db_no']	= 'None';
$lang['mb_form_module_db_create']	= 'Create New Table';
$lang['mb_form_module_db_exists']	= 'Build from Existing Table';
$lang['mb_form_build']			= 'Build the Module';
$lang['mb_form_none_of_the_above']  = 'None of these';

// Activities
$lang['mb_act_create']			= 'Created Module';
$lang['mb_act_delete']			= 'Deleted Module';

// Create Context
$lang['mb_create_a_context']	= 'Create A Context';
$lang['mb_tools']				= 'Tools';
$lang['mb_mod_builder']			= 'Module Builder';
$lang['mb_new_context']			= 'New Context';
$lang['mb_no_context_name']		= 'Invalid Context name.';
$lang['mb_cant_write_config']	= 'Unable to write to config file.';
$lang['mb_context_exists']		= 'Context already exists in application config file.';
$lang['mb_context_name']        = 'Context Name';
$lang['mb_context_name_help']   = 'Cannot contain spaces.';
$lang['mb_context_create_success']  = 'Context successfully created.';
$lang['mb_context_create_error']    = 'Error creating Context: ';
$lang['mb_context_create_intro']    = 'Creates and sets up a new Context.';
$lang['mb_roles_label']         = 'Allow for Roles:';
$lang['mb_context_migrate']     = 'Create an Application Migration?';
$lang['mb_context_submit']      = 'Create It';
$lang['mb_context_create_intro_note'] = 'Note: The builder will <strong>not</strong> setup routing for the new context. You will usually need to add a route for the new context in /application/config/routes.php.';

// Create Module
$lang['mb_module_table_not_exist']  = 'The specified table name does not exist';
$lang['mb_toolbar_title_create'] = 'Module Builder';

// Delete Module
$lang['mb_delete_trans_false']  = 'We could not delete this module.';
$lang['mb_delete_success']      = 'The module and associated database entries were successfully deleted.';
$lang['mb_delete_success_db_only']  = ' HOWEVER, the module folder and files were not removed. They must be removed manually.';

// Validate Form
$lang['mb_contexts_content']    = 'Contexts :: Content';
$lang['mb_contexts_developer']  = 'Contexts :: Developer';
$lang['mb_contexts_public']     = 'Contexts :: Public';
$lang['mb_contexts_reports']    = 'Contexts :: Reports';
$lang['mb_contexts_settings']   = 'Contexts :: Settings';
$lang['mb_module_db']           = 'Module Table';
$lang['mb_form_action_create']  = 'Form Actions :: Create';
$lang['mb_form_action_delete']  = 'Form Actions :: Delete';
$lang['mb_form_action_edit']    = 'Form Actions :: Edit';
$lang['mb_form_action_view']    = 'Form Actions :: List';
$lang['mb_soft_delete_field']   = '"Soft" Delete field name';
$lang['mb_soft_delete_field_ph']    = 'deleted';
$lang['mb_validation_no_match'] = '%s %ss (%s & %s) must be unique!';
$lang['mb_modulename_check']    = 'The %s field is not valid';
$lang['mb_modulename_check_class_exists']   = 'The %s field is not valid: the module name matches the name of an existing class.';

$lang['mb_form_log_user']       = 'Log User';
$lang['mb_deleted_by_field']    = '"Deleted By" field name';
$lang['mb_deleted_by_field_ph'] = 'deleted_by';
$lang['mb_form_created_by_field']       = '"Created By" field name';
$lang['mb_form_created_by_field_ph']    = 'created_by';
$lang['mb_form_modified_by_field']      = '"Modified By" field name';
$lang['mb_form_modified_by_field_ph']   = 'modified_by';
$lang['mb_form_use_pagination'] = 'Use pagination library to create pager';

// Copy Module
$lang['mb_module_name']			= 'New Module Name';
$lang['mb_help_module_name']	= 'Give a name to the new module. It is better to use a plural word as the module name e.g. vehicles, hotels etc.';
$lang['mb_help_module']			= 'Select the existing module whose replica you want to create.';
$lang['mb_help_type']			= 'Select the %s radio to copy all core and custom fields.';
$lang['mb_core_only']			= 'Core Fields Only';
$lang['msg_empty_module']		= 'The new module must have an ID, please assign a Module ID first to copy the module.';
$lang['msg_table_exists']		= 'The table already exists with this module name, use a different name for your new module.';

// Module Descriptions
$lang['gc_desc_affiliates'] 	= 'Affiliate - My Coupons';
$lang['gc_desc_banners'] 		= 'Manage Banners';
$lang['gc_desc_blogs'] 			= 'Manage Blogs';
$lang['gc_desc_categories'] 	= 'Manage Categories';
$lang['gc_desc_classifieds'] 	= 'Manage Classifieds';
$lang['gc_desc_clicktocall'] 	= 'Click To Call';
$lang['gc_desc_images'] 		= 'Manage Images';
$lang['gc_desc_ratings'] 		= 'Manage Ratings';
$lang['gc_desc_comments'] 		= 'Manage Review and Comments';
$lang['gc_desc_contact_queries']= 'Display all contact queries';
$lang['gc_desc_coupons'] 		= 'Manage Coupon Codes';
$lang['gc_desc_cronjobs'] 		= 'Easily integrate and manage scheduled tasks.';
$lang['gc_desc_currencies'] 	= 'Manage Currencies';
$lang['gc_desc_ads']			= 'Manage Advertising Campaigns';
$lang['gc_desc_leads'] 			= 'Manage Leads/Customer Requirements';
$lang['gc_desc_wallets']		= 'Manage Wallets';
$lang['gc_desc_points']			= 'Manage Points';
$lang['gc_desc_deals'] 			= 'Manage Deals';
$lang['gc_desc_email_templates']= 'Manage Email Templates';
$lang['gc_desc_erroneous'] 		= 'Display Reported Incorrects';
$lang['gc_desc_business_queries']= 'Display Business Queries';
$lang['gc_desc_events'] 		= 'Manage Events';
$lang['gc_desc_favorites'] 		= 'Manage Favorites';
$lang['gc_desc_rss_feeds'] 		= 'RSS 2.0 Feeds';
$lang['gc_desc_filemanager'] 	= 'File Manager';
$lang['gc_desc_invoices'] 		= 'Manage Invoices';
$lang['gc_desc_jobs'] 			= 'Manage Jobs';
$lang['gc_desc_branch_offices'] = 'Manage Branch Offices';
$lang['gc_desc_listing_views'] 	= 'Manage Listing Views';
$lang['gc_desc_recently_viewed'] = 'Recently Viewed Businesses, Pages, News, Blogs etc.';
$lang['gc_desc_listings'] 		= 'Manage Business Listings';
$lang['gc_desc_locations'] 		= 'Manage Countries, States and Cities';
$lang['gc_desc_mobiles']		= 'Manage Mobile Application';
$lang['gc_desc_fields'] 		= 'Manage Core and Custom Fields';
$lang['gc_desc_groups'] 		= 'Manage Groups';
$lang['gc_desc_links'] 			= 'Manage Core and Custom Links';
$lang['gc_desc_logs'] 			= 'Allows viewing of log files and adjusting log level.';
$lang['gc_desc_manual'] 		= 'Online User Manual';
$lang['gc_desc_members'] 		= 'Member Area';
$lang['gc_desc_migrate'] 		= 'Manage Import/Export';
$lang['gc_desc_news'] 			= 'Manage News';
$lang['gc_desc_orders'] 		= 'Manage Orders';
$lang['gc_desc_packages'] 		= 'Manage Packages';
$lang['gc_desc_pages'] 			= 'Manage Pages';
$lang['gc_desc_payment_gateways'] = 'Manage Payment Gateways';
$lang['gc_desc_payouts'] 		= 'Amount of money paid to users';
$lang['gc_desc_products'] 		= 'Manage Products';
$lang['gc_desc_properties'] 	= 'Manage Properties';
$lang['gc_desc_search_queries'] = 'View Search Queries';
$lang['gc_desc_settings'] 		= 'Manage Settings';
$lang['gc_author_settings'] 	= 'Created By Bonfire Team and Updated by %s';
$lang['gc_desc_sms_gateways'] 	= 'Manage SMS Gateways';
$lang['gc_desc_summary'] 		= 'Admin Dashboard';
$lang['gc_desc_tags'] 			= 'Manage Tags';
$lang['gc_desc_tax_rates'] 		= 'Manage Tax Rates';
$lang['gc_desc_bookings'] 		= 'Manage Bookings/Appointments';
$lang['gc_desc_translate'] 		= 'Allows users to create translations for any language.';
$lang['gc_desc_users'] 			= 'Manage Users';
$lang['gc_desc_videos'] 		= 'Manage Videos';
$lang['gc_desc_visitors'] 		= 'Manage Visitors';
$lang['gc_desc_builder'] 		= 'Speeds up creating the core code for new modules.';
$lang['gc_desc_emailer'] 		= 'Queues emails to be sent in bursts throughout the day.';
$lang['gc_desc_migrations'] 	= 'Helps maintain database versioning.';
$lang['gc_desc_permissions'] 	= 'Manages the Permissions available to the Roles.';
$lang['gc_desc_roles'] 			= 'Provides Role-Based Access Control for users.';
$lang['gc_desc_sysinfo'] 		= 'Allow Admin to view system information';
$lang['gc_desc_ui'] 			= 'Provides helpers for consistent admin UI features.';
$lang['gc_desc_database'] 		= 'Provides tools for working with your database(s).';
$lang['gc_desc_activities']		= 'Allows other modules to store user activity information.';
$lang['gc_desc_themes']			= 'Allows users to create custom designs.';
$lang['gc_desc_languages']      = 'Manage Languages';
$lang['gc_desc_commissions'] 	= 'Manage Commissions';
$lang['gc_desc_attributes'] 	= 'Manage Attributes';
$lang['gc_desc_notifications'] 	= 'Manage Notifications';
$lang['gc_desc_ordered_items'] 	= 'Manage Ordered Items';
$lang['gc_desc_variants'] 		= 'Manage Variants';
$lang['gc_desc_wishlists'] 	    = 'Manage Wishlists';
$lang['gc_desc_cancellations']  = 'Manage Cancellations/Refunds';
$lang['gc_desc_marketplace']    = 'Allow users to view GoClixy Marketplace';
$lang['gc_desc_feedbacks']      = 'Manage Feedbacks';
$lang['gc_desc_callbacks']      = 'Manage Callbacks';
$lang['gc_desc_testimonials']   = 'Manage Testimonials';
$lang['gc_desc_files']          = 'Manage Files';
$lang['gc_desc_ecommerce']      = 'Manage Ecommerce';
$lang['gc_desc_faqs']           = 'Manage FAQs';
$lang['gc_desc_forums']         = 'Manage Forums';
$lang['gc_desc_messages']       = 'Manage Messages';
$lang['gc_desc_subscribers']    = 'Manage Subscribers';
$lang['gc_desc_franchises']     = 'Manage Franchises';
$lang['gc_desc_passbook']       = 'Manage Passbook';
$lang['gc_desc_options']        = 'Manage Options';
$lang['gc_desc_backlinks']      = 'Manage Backlinks';
$lang['gc_desc_seo']            = 'Manage SEO';
$lang['gc_desc_posts']          = 'Manage Posts';
$lang['gc_menu_projects']       = 'Projects';
$lang['gc_desc_projects']       = 'Manage Projects';

// Custom Modules
$lang['custom_modules']			= 'Custom Modules';
$lang['label_ion']				= 'Mobile App ICON';

// Custom Fields
$lang['mb_fields'] = 'Generate Fields/Permissions';
$lang['mb_generate_languages'] = 'Generate Languages';
$lang['mb_generate_permissions'] = 'Generate Permissions';
$lang['mb_generate_fields'] = 'Generate Fields';
$lang['mb_table'] = 'Table';
$lang['mb_permission_generated'] = 'Permissions generated successfully';
$lang['mb_context'] = 'Menu';

// Initial Setup
$lang['mb_initial_setup'] = 'Initial Setup';
$lang['mb_update_admin_url'] = 'Update Admin URL?';
$lang['mb_admin_key'] = 'Admin Key';
$lang['mb_update_email'] = 'Update System Email?';
$lang['mb_update_social'] = 'Update Social?';
$lang['mb_social_prefix'] = 'Social Prefix';
$lang['mb_update_admin_credentials'] = 'Update Admin Credentials?';
$lang['mb_update_htaccess'] = 'Update HTACCESS';
