<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<div class="alert alert-block alert-info">
<?php echo lang('label_icon')?>: <a href="http://fontawesome.io/icons/" target="_blank">Font Awesome</a>
<br />
<?php echo lang('label_ion')?>: <a href="http://ionicons.com/1.5.2/" target="_blank">Ionic</a>
</div>
<?php
echo form_validations();
echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<div class="admin-box">
	<div class="table-responsive">
	<table class="table table-striped">
		<thead>
			<tr>
				<th><?php echo form_filter('id', lang('label_id'));?></th>
				<th><?php echo form_filter('name', lang('label_name'));?></th>
				<th><?php echo form_filter('icon', lang('label_icon'));?></th>
				<th><?php echo form_filter('ion', lang('label_ion'));?></th>
				<th><?php echo form_filter('location', lang('label_location'));?></th>
				<th><?php echo form_filter('review', lang('label_review'));?></th>
				<th style="width: 100px;"><?php echo form_filter('priority', lang('label_order'));?></th>
				<th><?php echo form_filter('status', lang('label_status'));?></th>
				<th><?php echo lang('label_action');?></th>
			</tr>
		</thead>
		<tbody>
			<?php if (!empty($custom_modules)):?>
			<?php foreach($custom_modules as $record):?>
			<tr>
				<td><?php echo $record->id; ?></td>
				<td><?php echo $record->name; ?></td>
				<td>
				<div class="float-left"><input type='text' class="form-control" name='icon_<?php echo $record->id; ?>' value="<?php echo set_value('icon', isset($record->icon) ? $record->icon : ''); ?>" /></div>
				<?php if(!empty($record->icon)):?>
				<i class="fa fa-<?php echo $record->icon; ?> mrg-10"></i>
				<?php endif;?>
				</td>
				<td><input type='text' class="form-control" name='ion_<?php echo $record->id; ?>' value="<?php echo set_value('ion', isset($record->ion) ? $record->ion : ''); ?>" /></td>
				<td>
					<button type="submit" name="enable_location" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->location == 1 ? 'btn-success' : 'btn-warning';?>">
						<i class="fa fa-<?php echo $record->location == 1 ? 'check' : 'times'; ?>"></i>
					</button>
				</td>				
				<td>
					<button type="submit" name="enable_review" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->review == 1 ? 'btn-success' : 'btn-warning';?>">
						<i class="fa fa-<?php echo $record->review == 1 ? 'check' : 'times'; ?>"></i>
					</button>
				</td>	
				<td><input type='text' class="form-control" name='priority_<?php echo $record->id; ?>' value="<?php echo set_value('priority', isset($record->priority) ? $record->priority : ''); ?>" /></td>	
				<td>
				<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
					<i class="fa fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
				</button>
				</td>
				<td>
				<button type="submit" name="save" class="btn btn-primary btn-xs" value="<?php echo $record->id; ?>"><?php echo lang('save');?></button>
				<?php if($record->core == 0):?>
				<button type="submit" name="drop_module" class="btn btn-danger btn-xs" value="<?php echo $record->id; ?>"><?php echo lang('bf_action_delete');?></button>
				<?php endif;?>
				</td>
			</tr>
			<?php
				endforeach;
			else:
			?>
			<tr>
				<td colspan="<?php echo $num_columns; ?>"><?php echo lang('label_no_record_found');?></td>
			</tr>
			<?php endif; ?>
		</tbody>
	</table>
</div>
</div>
<fieldset>
<legend><?php echo lang('label_copy') . ' ' . lang('label_module');?></legend>
<?php
	echo gc_form_element('text', array('name' => 'name', 'help' => lang('mb_help_module_name'), 'extra' => array('maxlength' => 100)), array(), lang('mb_module_name'). lang('bf_form_label_required'), 'col-sm-3');
	$config_modules = gc_modules_only();
	$config_modules[] = 'videos';
	foreach($config_modules as $config_module) {
		$options[$config_module] = lang($config_module);
	}
	echo gc_form_element('dropdown', array('name' => 'module', 'help' => lang('mb_help_module'), 'options' => $options), array(), lang('label_module'), 'col-sm-3');
	$radio_options = array(
		array('name' => 'type', 'default_value' => 1, 'value' => (!isset($_POST['type']) || (isset($_POST['type']) && $_POST['type'] == 1 ? TRUE : FALSE)), 'label' => lang('gc_menu_all')),
		array('name' => 'type', 'default_value' => 0, 'value' => (isset($_POST['type']) && $_POST['type'] == 0), 'label' => lang('mb_core_only')),
	);
	// echo gc_form_element('radio', array('options' => $radio_options, 'help' => sprintf(lang('mb_help_type'), lang('gc_menu_all'))), array(), lang('label_type'));
?>
</fieldset>
<?php
echo gc_form_element('actions', array('delete' => FALSE, 'cancel' => FALSE, 'name' => 'submit', 'label' => lang('gc_action_submit')));
echo form_close();?>