<?php

//------------------------------------------------------------------------------
// Setup the fields to be displayed in the view
//------------------------------------------------------------------------------
$field_prefix = '';
if ($db_required == 'new' && $table_as_field_prefix === true) {
    $field_prefix = "{$module_name_lower}_";
}

$viewFields = '';
for ($counter = 1; $field_total >= $counter; $counter++) {
    // Only build on fields that have data entered.
    if (set_value("view_field_label$counter") == null) {
        continue;
    }

    $maxlength = null;
    $validation_rules = $this->input->post("validation_rules{$counter}");
    $field_label = set_value("view_field_label$counter");
    $field_name  = set_value("view_field_name$counter");
    $form_name   = "{$field_prefix}{$field_name}";
    $field_type  = set_value("view_field_type$counter");

    $required = '';
    $required_attribute = false;

    // Validation rules for this fieldset
    if (is_array($validation_rules)) {
        foreach ($validation_rules as $key => $value) {
            if ($value == 'required') {
                $required = " . lang('bf_form_label_required')";
                $required_attribute = true;
            }
        }
    }

    // Type of field
    switch ($field_type) {
        case 'textarea':
        	$viewFields .= "
        	echo gc_form_element('{$field_type}', array('name' => '{$form_name}', 'extra' => array(" . ($required_attribute ? "'required' => 'required'" : '') . ")), \$record, lang('label_{$field_name}'){$required});";
            break;
        case 'radio':
            $viewFields .= "
            \${$field_name}_radio_options = array(
				array('name' => '{$form_name}', 'label' => 'Radio Option 1', 'default_value' => 1, 'value' => isset(\$record->{$form_name}) && \$record->{$form_name} == 1),
				array('name' => '{$form_name}', 'label' => 'Radio Option 2', 'default_value' => 2, 'value' => isset(\$record->{$form_name}) && \$record->{$form_name} == 2),
			);
			echo gc_form_element('{$field_type}', array('options' => \${$field_name}_radio_options), \$record, lang('label_{$field_name}'){$required});
           	";
            break;
        case 'select':
            // Use CI form helper here as it makes selects/dropdowns easier
            $select_options = array();
            if (set_value("db_field_length_value$counter") != null) {
                $select_options = explode(',', set_value("db_field_length_value$counter"));
            }
            $viewFields .= '
            $' . $form_name . '_options = array(';
            	foreach ($select_options as $key => $option) {
                $viewFields .= '
                    ' . strip_slashes($option) . ' => ' . strip_slashes($option) . ',';
            	}
            	$viewFields .= '
            );';
            $viewFields .= "
            echo gc_form_element('dropdown', array('name' => '{$form_name}', 'options' => \${$form_name}_options, 'extra' => array(" . ($required_attribute ? "'required' => 'required'" : '') . ")), \$record, lang('label_{$field_name}'){$required});";
            break;
        case 'checkbox':
            $viewFields .= "
            echo gc_form_element('{$field_type}', array('name' => '{$form_name}', 'no_label' => TRUE), \$record, lang('label_{$field_name}'){$required});";
            break;
        case 'input':
        case 'password':
        default:
            $type = ($field_type == 'input' ? 'text' : 'password');
            $db_field_type = set_value("db_field_type$counter");
            $max = set_value("db_field_length_value$counter");
            if ($max != null) {
                if (in_array($db_field_type, $realNumberTypes)) {
                    // Constraints for real number types are expected to be in
                    // the format of 'precision,scale', but the standard allows
                    // 'precision', where a scale of 0 is implied (therefore
                    // no decimal point is used)
                    $len = explode(',', $max ?? '');
                    $max = $len[0];
                    if (! empty($len[1])) {
                        ++$max; // Add 1 to allow for the decimal point.
                    }
                }
                $maxlength = $required_attribute ? ", 'maxlength' => '{$max}'" : "'maxlength' => '{$max}'";
            }
			// , 'extra' => array({$maxlength}) " . ($required_attribute ? "'required' => 'required'" : '') . "
            $viewFields .= "
            echo gc_form_element('{$type}', array('name' => '{$form_name}'), \$record, lang('label_{$field_name}'){$required});";
            break;
    }
}

//------------------------------------------------------------------------------
// Setup the delete button, if this is not a create view
//------------------------------------------------------------------------------
$delete_permission = preg_replace("/[ -]/", "_", ucfirst($module_name)) . '.' . ucfirst($controller_name) . '.Delete';

//------------------------------------------------------------------------------
// Output the view
// Also Setup the delete button, if this is not a create view
//------------------------------------------------------------------------------
echo "<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
echo form_validations();
\$record = isset(\$record) ? \$record : array();
\$id = isset(\$record->{$primary_key_field}) ? \$record->{$primary_key_field} : '';
?>
<div class='admin-box'>
    <?php echo form_open(\$this->uri->uri_string(), 'class=\"form-horizontal\"'); ?>
        <fieldset>
        	<?php{$viewFields}
            ?>
        </fieldset>
        <?php
        \$action_data = array(
			'url' => SITE_AREA .'/" . strtolower($controller_name) . "/{$module_name_lower}'
		);
		if (!\$id || !\$this->auth->has_permission('{$delete_permission}')):
			\$action_data['delete'] = FALSE;
		endif;
		echo gc_form_element('actions', \$action_data);
		?>
    <?php echo form_close(); ?>
</div>";
