<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 10;
$can_delete	= $this->auth->has_permission('Business_Queries.Reports.Delete');
$can_edit		= $this->auth->has_permission('Business_Queries.Reports.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo lang('label_id');?></th>
					<th><?php echo lang('label_user');?></th>
					<th><?php echo lang('label_subject');?></th>
					<th><?php echo lang('label_message');?></th>
					<th><?php echo lang('created_on');?></th>
					<th><?php echo lang('label_ip_address');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger btn-delete' value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id) ?></td>
					<td><?php e($record->user) ?></td>
					<td><?php e($record->subject) ?></td>
					<td><?php echo htmlspecialchars_decode(stripslashes(substr($record->message, 0, 5000))); ?></td>
					<td><?php e($record->created_on) ?></td>
					<td><?php e($record->created_ip) ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<input type="hidden" value="" name="status" id="status">
	<?php echo form_close(); echo $this->pagination->create_links();?>
</div>