<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'replied', 'url' => $index_url . 'replied/', 'title' => lang('label_replied')),
    array('filter' => $filter_type, 'condition' => 'not_replied', 'url' => $index_url . 'not_replied/', 'title' => lang('label_not_replied')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive')),
    array('filter' => $filter_type, 'condition' => 'spammed', 'url' => $index_url . 'spammed/', 'title' => lang('tab_spammed')),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));


$num_columns	= 10;
$can_delete	= $this->auth->has_permission('Business_Queries.Reports.Delete');
$can_edit		= $this->auth->has_permission('Business_Queries.Reports.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>

<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(sprintf(lang('placeholder_admin_query_search'), $module != 'all' ? gc_module_translation($module) . '/' : ''));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('row_id', lang('label_title'));?></th>
					<?php if($module == 'all'):?>
					<th><?php echo form_filter('module_id', lang('label_type'));?></th>
					<?php endif;?>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('email', lang('label_email'));?></th>
					<th><?php echo form_filter('phone', lang('label_phone'));?></th>
					<th><?php echo form_filter('message', lang('label_message'));?></th>
					<th><?php echo form_filter('created_on', lang('label_posted_on'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>
							<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="spam"><?php echo lang('bf_action_spam'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id) ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/reports/business_queries/edit/' . $record->id, '<i class="fas fa-edit"></i>' .  $record->listing_title); ?></td>
				<?php else : ?>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link'); ?></td>
				<?php endif; ?>
					<?php if($module == 'all'):?>
					<td><?php e(gc_module_translation(gc_module_name($record->module_id))); ?></td>	
					<?php endif;?>
					<td><?php e($record->name) ?>
					<br />
					<?php if(!empty($record->metas)):
					$metas = $this->fields_model->meta_values(gc_module_name($record->module_id), $record->metas, (isset($meta_form_fields) ? $meta_form_fields : array()));
					if(!empty($metas)):
    					foreach($metas as $meta):
    					   echo '<strong>' . $meta['label'] . '</strong>: ' . $meta['value'] . '<br />';
    					endforeach;
					endif;
					endif;?>
					</td>
					<td><?php e($record->email) ?></td>
					<td><?php e(!empty($record->phone) ? $record->phone : 'N/A'); ?></td>
					<td><?php echo htmlspecialchars_decode(stripslashes(substr($record->message, 0, 5000))); ?></td>
					<td><?php echo gc_date_format($record->created_on) ?></td>
					<td class='status'>
					<?php if ($record->status == 1) : ?>
						<span class="badge badge-success"><?php echo lang('us_active'); ?></span>
						<?php elseif ($record->status == 2) : ?>
						<span class="badge badge-secondary"><?php echo lang('status_spam'); ?></span>
						<?php else:?>
						<span class="badge badge-warning"><?php echo lang('us_inactive'); ?></span>
						<?php endif; ?>
						<?php if($record->replied == 1):?>
						<span class="badge badge-success"><?php echo lang('label_replied'); ?></span>
						<?php else:?>
						<span class="badge badge-<?php echo $record->id;?> badge-danger"><?php echo lang('label_not_replied'); ?></span>
						<?php endif;?>
						<br />
						<span class="display-block">
						<small><?php echo lang('label_change_status');?></small>
						</span>
						<select class="query_status input-medium form-control" name="query_status_<?php e($record->id); ?>" id="query_status_<?php e($record->id); ?>">
							<option value="0" <?php echo ($record->status == 0) ? 'selected' : '';?>><?php echo lang('us_inactive');?></option>
							<option value="1" <?php echo ($record->status == 1) ? 'selected' : '';?>><?php echo lang('us_active');?></option>
							<option value="2" <?php echo ($record->status == 2) ? 'selected' : '';?>><?php echo lang('status_spam');?></option>		
						</select>
						<span class="display-block bottom2"></span>
						<button type="submit" class="btn btn-primary btn-xs" name="change_status" value="<?php echo $record->id;?>"><?php echo lang('save');?></button>
						<span onclick="$('#query_id').val(<?php echo $record->id;?>);"><a href="#replyEmailModal" role="button" class="btn btn-info btn-xs" id="<?php echo $record->id;?>" data-toggle="modal"><i class="icon-envelope icon-white"></i> <?php echo lang('label_reply');?></a></span>
						<?php if($record->replies > 0):?>
						<?php echo anchor(SITE_AREA . '/reports/business_queries/replies/' . $record->id, '<span class="btn btn-xs btn-success"><i class="fas fa-comments"></i></span>'); ?>
						<?php endif; ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
<?php
echo form_hidden('status');
echo form_hidden('query_id');
echo form_hidden('request_uri', 'business_queries');
echo form_hidden('lang_replied', lang('label_replied'));
echo form_close();    
echo $this->pagination->create_links();
echo $this->load->view('common/admin_reply');
?>
</div>