<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$category = isset($category) ? (array) $category : array();
$id = isset($category['id']) ? $category['id'] : '';
?>
<div class="admin-box">
	<?php echo form_open_multipart($this->uri->uri_string(), 'class="form-horizontal"'); ?>
	<fieldset>			
	<?php 
	echo gc_form_element('dropdown', array('name' => 'parent_id', 'options' => $categories_no_parents), (isset($parent_category) ? $parent_category : array()), lang('label_parent'));
	$extra = array();
	$options = array(
		'' => lang('placeholder_subcategory')
	);
	if(!empty($sub_categories)):
	foreach($sub_categories as $subcategory) { $options[$subcategory->id] = $subcategory->name; }
	endif;
	if (!isset($sub_category) && !isset($sub_categories)) {
		$extra["disabled"] = TRUE;
	}
	echo gc_form_element('dropdown', array('name' => 'subcategory_id', 'options' => $options, 'extra' => $extra), (isset($sub_category) ? $sub_category : ''), lang('label_select_subcategory'));
	echo gc_form_element('text', array('name' => 'name', 'lang' => 1, 'extra' => array('maxlength' => 100)), $category, lang('label_name'). lang('bf_form_label_required'));
	echo gc_form_element('text', array('name' => 'slug', 'lang' => 0, 'placeholder' => lang('placeholder_slug'), 'extra' => array('maxlength' => 100)), $category, lang('label_slug'));
	echo gc_form_element('text', array('name' => 'hits', 'default_value' => 0, 'extra' => array('maxlength' => 10)), $category, lang('label_hits') . lang('bf_form_label_required'), 'col-sm-2');
	echo gc_form_element('text', array('name' => 'priority', 'default_value' => 0, 'extra' => array('maxlength' => 10)), $category, lang('label_order') . lang('bf_form_label_required'), 'col-sm-2');
	echo gc_form_element('iconpicker', array('name' => 'icon', 'default_value' => 'fas fa-archive', 'field_class' => 'icp icp-auto iconpicker-element iconpicker-input', 'extra' => array('data-placement' => "bottomRight")), $category, lang('label_category_icon'), 'col-sm-4');
	echo gc_form_element('text', array('name' => 'mobile_icon', 'default_value' => 'checkmark', 'tooltip' => sprintf(lang('help_mobile_icon'), anchor(lang('ionic_icons_url'), lang('ionic_icons_url'), 'target="_blank"')), 'extra' => array('max_length' => 100)), $category, lang('label_mobile_icon'), 'col-sm-6');
	echo gc_form_element('filemanager', array('name' => 'image'), $category, lang('label_image'));
	echo gc_form_element('textarea', array('name' => 'description', 'lang' => 1, 'field_class' => 'editor'), $category, lang('label_description'), 'col-sm-9');
	echo gc_form_element('text', array('name' => 'meta_title', 'lang' => 1, 'extra' => array('maxlength' => 100)), $category, lang('label_meta_title'));
	echo gc_form_element('textarea', array('name' => 'meta_description', 'lang' => 1), $category, lang('label_meta_description'));
	echo gc_form_element('textarea', array('name' => 'meta_keywords', 'lang' => 1), $category, lang('label_meta_keywords'));
	$modules = gc_modules();
	$modules[] = 'videos';
	$module_options = array();
	$module_relations = !empty($category['module_relations']) ? explode(',', $category['module_relations']) : array();
	foreach($modules as $module):
		$module_option = array(
			'name' => 'modules[' . $module . ']',
			'label' => lang($module),
			'value' => in_array(gc_module_id($module), $module_relations) // isset($relations) && $this->gc->check_relation($relations, 'categories', $module)
		);
		$module_options[] = $module_option;
	endforeach;
	echo gc_form_element('checkbox', array('name' => 'modules', 'options' => $module_options), array(), lang('applicable_modules') . lang('bf_form_label_required'));
	echo gc_form_element('checkbox', array('name' => 'active', 'no_label' => TRUE), $category, lang('label_status'));
	$action_data = array(
		'url' => SITE_AREA .'/content/categories'
	);
	if (!$id || !$this->auth->has_permission('Categories.Content.Delete')):
		$action_data['delete'] = FALSE;
	endif;
	echo gc_form_element('actions', $action_data);
	?>
	</fieldset>
    <?php echo form_close(); ?>
</div>