<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 11;
$can_delete	= $this->auth->has_permission('Categories.Content.Delete');
$can_edit		= $this->auth->has_permission('Categories.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_admin_category_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('slug', lang('label_slug'));?></th>
					<?php if($this->uri->segment(5)):?>
						<th><?php echo lang('label_parent');?></th>
					<?php endif; ?>
					<th><?php echo form_filter('counts', lang('label_counts'));?></th>
					<th><?php echo form_filter('hits', lang('label_hits'));?></th>
					<th style="text-align: center"><?php echo lang('label_action');?></th>										
					
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>				
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
						<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
						<?php if ($can_delete) : ?>
						<button class="btn btn-danger btn-delete" type="submit" name="delete" id="delete-me" value="delete"><?php echo lang('bf_action_delete'); ?></button>
						<?php endif; ?>
					</td>
				</tr>				
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php echo $record->id; ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/content/categories/edit/' . $record->id, '<i class="fas fa-edit"></i>' .  $record->name); //$this->session->set_userdata('parent_category_navigation', $this->uri->segment(5));?></td>
				<?php else : ?>
					<td><?php e($record->name); ?></td>
				<?php endif; ?>
					<td><?php e($record->slug) ?></td>
					<?php if($this->uri->segment(5)):?>
					<td><?php e($parent_name) ?></td>
					<?php endif; ?>
					<td>
					<?php 
					if(!empty($record->module_counts)):
						$module_counts = json_decode($record->module_counts, true);
						$total_counts = 0;
						echo '<table class="table-sm">';
						$i = 0;
						foreach($module_counts as $module_name => $module_count):
						    $total_counts += $module_count;
							echo '<tr class="small"><td>' . gc_module_translation($module_name) . '</td><td>' . $module_count . '</td></tr>';
							$i++;
						endforeach;
						if($i > 1):
						    echo '<tr class="font-weight-bold small"><td>' . lang('label_total') . '</td><td>' . $total_counts . '</td></tr>';
						endif;
						echo '</table>';
					else:
						echo (int) $record->counts;
					endif;
					?>
					</td>
					<td><?php e($record->hits) ?></td>
					<td style="text-align: center">	
					<?php echo anchor(SITE_AREA . '/content/categories/index/' .$record->id, '<span class="btn btn-xs btn-warning"><i class="fas fa-sitemap"></i></span>', 'data-toggle="tooltip" data-title="' . lang('label_view') . ' ' . lang('label_subcategories') . '"')?>	
					<?php echo anchor(SITE_AREA . '/content/categories/display_counts/' . $record->id, '<span class="btn btn-xs btn-secondary"><i class="fas fa-calculator"></i></span>', 'data-toggle="tooltip" data-title="' . lang('label_counts') . '"')?>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->active == 1 ? 'btn-success' : 'btn-warning';?>" data-toggle="tooltip" data-title="<?php echo $record->active == 1 ? lang('us_active') : lang('us_inactive'); ?>">
						<i class="fas <?php echo $record->active == 1 ? 'fa-thumbs-up' : 'fa-thumbs-down'; ?>"></i>
					</button>									
					<?php if($record->active == 1):?>
					<?php echo anchor(gc_url_format('categories', $record->slug, $record->id), '<i class="fas fa-external-link-alt"></i>', 'class="btn btn-xs btn-info" data-toggle="tooltip" data-title="' . lang('label_view') . '"'); ?>
					<?php endif;?>
					<?php echo anchor(SITE_AREA . '/content/categories/assign_fields/' . $record->id, '<i class="fas fa-check-square"></i>', 'class="btn btn-xs btn-primary" data-toggle="tooltip" data-title="' . lang('field_custom') . '"')?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php echo form_close();?>
	<?php echo $this->pagination->create_links(); ?>
</div>