<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Migration_Install_click_to_call extends Migration
{
	/**
	 * The name of the database table
	 *
	 * @var String
	 */
	private $table_name = 'click_to_call';

	/**
	 * The table's fields
	 *
	 * @var Array
	 */
	private $fields = array(
		'id' => array(
			'type' => 'INT',
			'constraint' => 11,
			'auto_increment' => TRUE,
		),
		'listing_id' => array(
			'type' => 'BIGINT',
			'constraint' => 20,
			'null' => FALSE,
		),
		'user_id' => array(
			'type' => 'BIGINT',
			'constraint' => 20,
			'null' => FALSE,
			'default'=> 0,
		),
		'device' => array(
			'type' => 'TINYINT',
			'constraint' => 2,
			'null' => FALSE,
			'default'=> 1,
		),
		'counts' => array(
			'type' => 'SMALLINT',
			'constraint' => 5,
			'null' => FALSE,
			'default'=> 1,
		),
         'ip_address' => array(
			'type' => 'VARCHAR',
			'constraint' => 50,
			'null' => FALSE,
		),
		'created_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
		'modified_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP'
	);

	/**
	 * Install this migration
	 *
	 * @return void
	 */
	public function up() {
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->add_key('device', false);
		$this->dbforge->create_table($this->table_name);
		// CHANGE ENGINE FROM INNODB TO MYISAM
		$change_engine_sql = "ALTER TABLE " . $this->db->dbprefix . $this->table_name . " ENGINE = MyISAM";
		$this->db->query ($change_engine_sql);
		// ADD UNIQUE INDEX
		$this->db->query("ALTER TABLE " . $this->db->dbprefix . $this->table_name . " ADD UNIQUE INDEX `unique_click` (`listing_id`,`device`,`ip_address`,`created_on`)");
		$this->db->query("ALTER TABLE " . $this->db->dbprefix . $this->table_name . " ADD INDEX `listing_user_id` (  `listing_id` ,  `user_id` )");
	}

	//--------------------------------------------------------------------

	/**
	 * Uninstall this migration
	 *
	 * @return void
	 */
	public function down() {
		$this->dbforge->drop_table($this->table_name);
	}

	//--------------------------------------------------------------------

}