<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$num_columns	= 7;
$can_delete	= $this->auth->has_permission('Click_to_Call.Reports.Delete');
$can_edit		= $this->auth->has_permission('Click_to_Call.Reports.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('click_to_call_tab_all')),
    array('filter' => $filter_type, 'condition' => 'desktop', 'url' => $index_url . 'desktop/', 'title' => lang('click_to_call_tab_desktop')),
    array('filter' => $filter_type, 'condition' => 'mobile_devices_only', 'url' => $index_url . 'mobile_devices_only/', 'title' => lang('click_to_call_tab_mobile_only')),
    array('filter' => $filter_type, 'condition' => 'ipad', 'url' => $index_url . 'ipad/', 'title' => lang('click_to_call_tab_ipad')),
    array('filter' => $filter_type, 'condition' => 'iphone', 'url' => $index_url . 'iphone/', 'title' => lang('click_to_call_tab_iphone')),
    array('filter' => $filter_type, 'condition' => 'android', 'url' => $index_url . 'android/', 'title' => lang('click_to_call_tab_android')),
    array('filter' => $filter_type, 'condition' => 'blackberry', 'url' => $index_url . 'blackberry/', 'title' => lang('click_to_call_tab_blackberry')),
    array('filter' => $filter_type, 'condition' => 'webos', 'url' => $index_url . 'webos/', 'title' => lang('click_to_call_tab_webos')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

?>

<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped table-hover">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('device', lang('label_device'));?></th>
					<th><?php echo form_filter('listing_id', lang('label_listing'));?></th>
					<th><?php echo form_filter('U.display_name', lang('label_user'));?></th>
					<th><?php echo form_filter('ip_address', lang('label_ip_address'));?></th>
					<th><?php echo form_filter('created_on', lang('column_created'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id);?></td>
					<?php switch($record->device) {
						case '1':
							$device = "Desktop";
							break;
						case '2':
							$device = "iPad";
							break;
						case '3':
							$device = "iPhone";
							break;
						case '4':
							$device = "Android";
							break;
						case '5':
							$device = "BlackBerry";
							break;
						case '6':
							$device = "webOS";
							break;
					}?>
					<td><?php echo !empty($device) ? $device : lang('not_applicable'); ?></td>
					<td>
					<?php if(!empty($record->listing_id) && !empty($record->listing_title)):?>
					<a href="<?php echo gc_url_format('listings', $record->listing_slug, $record->listing_id, $record->listing_city); ?>" target="_blank" title="<?php echo $record->listing_title; ?>"><?php echo $record->listing_id . ' - ' . $record->listing_title; ?></a>
					<?php else:?>
					<?php echo lang('not_applicable'); ?>
					<?php endif;?>
					</td>
					<td>
					<?php if(!empty($record->user_id)):?>
					<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $record->user_id);?>" title="<?php echo $record->display_name; ?>">
						<?php echo ($record->display_name .'<br /><small>' . $record->user_id . ' - ' . $record->user_email.'</small>') ?>
					</a>
					<?php else:?>
					<?php echo lang('label_guest'); ?>
					<?php endif;?>
					</td>
					<td><?php e($record->ip_address) ?></td>
					<td><?php e(gc_date_format($record->created_on, true)) ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close();
		echo $this->pagination->create_links();
	?>
</div>