<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_all_mandatory_fields')?></div>
<?php
echo form_validations();
echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
$devices = array(
	''  => lang('click_to_call_tab_all'),
	1 => lang('click_to_call_tab_desktop'),
	2 => lang('click_to_call_tab_ipad'),
	3 => lang('click_to_call_tab_iphone'),
	4 => lang('click_to_call_tab_android'),
	5 => lang('click_to_call_tab_blackberry'),
	6 => lang('click_to_call_tab_webos')
);
$field_options = array(
	array('type' => 'text', 'name' => 'keyword', 'extra' => array('placeholder' => lang('placeholder_ctc_search'))),
	array('type' => 'dropdown', 'name' => 'device', 'options' => $devices, 'extra' => array('class' => 'form-control')),
	array('type' => 'text', 'name' => 'date_from', 'extra' => array('placeholder' => lang('label_from'))),
	array('type' => 'text', 'name' => 'date_to', 'extra' => array('placeholder' => lang('label_to'))),
	array('type' => 'submit', 'name' => 'save', 'extra' => array('class' => 'btn btn-primary', 'type' => 'submit'), 'label' => lang('gc_action_submit'))
);
echo gc_form_element('text', array('element_container' => 'div.form-inline', 'options' => $field_options), array(), '', 'col-sm-9');
echo form_close();
$num_columns	= 4;
$has_records	= isset($records) && is_array($records) && count($records);
?>
<?php if ($has_records) : ?>
<div class="table-responsive">
<table class="table table-striped">
	<thead>
		<tr>
			<th><?php echo lang("label_listing_id");?></th>
			<th><?php echo lang("label_listing");?></th>
			<th><?php echo lang("label_device");?></th>					
			<th><?php echo lang("label_ctc_counts");?></th>
		</tr>
	</thead>
	<tbody>
		<?php
		if ($has_records) :
			foreach ($records as $record) :
		?>
		<tr>
			<td><?php e($record['listing_id']);?></td>
			<?php switch($record['device']) {
				case '0':
					$device = lang('click_to_call_tab_all');
					break;
				case '1':
					$device = lang('click_to_call_tab_desktop');
					break;
				case '2':
					$device = lang('click_to_call_tab_ipad');
					break;
				case '3':
					$device = lang('click_to_call_tab_iphone');
					break;
				case '4':
					$device = lang('click_to_call_tab_android');
					break;
				case '5':
					$device = lang('click_to_call_tab_blackberry');
					break;
				case '6':
					$device = lang('click_to_call_tab_webos');
					break;
			}?>
			<td><?php e($record['listing_title']); ?></td>
			<td><?php e($device); ?></td>					
			<td><?php e($record['count']) ?></td>
		</tr>
		<?php
			endforeach;
		else:
		?>
		<tr>
			<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>
</div>
<?php 
echo $this->pagination->create_links();
endif;
?>