<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
class Comments extends Front_Controller {
    /**
     * Constructor
     */
    public function __construct() {
        parent::__construct();
        $this->lang->load('comments');
    }
    
    /**
     * View Comments
     * @param string $module
     * @param number $row_id
     * 
     * Usage: gc_url_format('comments/view') . '?module=listings&row_id=1&filter=recent'
     */
    public function view() {
        $filter = empty($_GET['filter']) ? 'recent' : escape($_GET['filter']);
        $offset = intval($this->input->get('per_page'));
        $module = escape($this->input->get('module'));
        $row_id = (int) $this->input->get('row_id');
        $module_id = gc_module_id($module);
        if($module_id == 0) {
            Template::redirect(site_url());
        }
        $row = $this->db->where('id', $row_id)->get($module)->row();
        if(!$row) {
            Template::redirect(site_url());
        }
        $order_by = 'M.id DESC';
        switch($filter) {
            case 'positive':
                $order_by = 'M.rating DESC';
                break;
            case 'negative':
                $order_by = 'M.rating ASC';
                break;   
            default:
                $filter = 'recent';
        }
        $query_where = 'M.module_id = ' . $module_id . ' AND M.row_id = ' . $row_id . ' AND M.status = 1 AND M.deleted = 0';
        $limit = $this->limit;
        $records = $this->gcrud->get_all_crud(0, $query_where, $order_by, $limit, $offset, array('module' => 'comments', 'where' => 'deleted = 0', 'view' => true));
        $total_rows = $this->gcrud->get_all_crud(1, $query_where, $order_by, $limit, $offset, array('module' => 'comments', 'where' => 'deleted = 0', 'view' => true));
        
        // Images rows
        $query_where = 'M.module_id = ' . $module_id . ' AND M.row_id = ' . $row_id . ' AND M.status = 1 AND (M.images IS NOT NULL OR M.images != "")';
        $record_images = $this->gcrud->get_all_crud(0, $query_where, 'M.id DESC', 100, $offset, array('module' => 'comments', 'where' => 'deleted = 0', 'view' => true));
        
        // Pagination
        $this->load->library('pagination');
        $this->config->load('pagination');
        
        /**
         * if you go back from another pagination number to click on the first(1), CI does not care anymore of your suffix config
         * therefore, below given code retrieve query string in case of pagination links are clicked
         */
        $config['base_url'] = gc_url_format('comments/view');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = $limit;
        
        $config['reuse_query_string'] = TRUE;
        $config['enable_query_strings'] = TRUE;
        $config['page_query_string'] = TRUE;
        
        $this->pagination->initialize($config);        
        $pagination = $this->pagination->create_links();
        
        Template::set(array(
            'row' => $row,
            'records' => $records,
            'total_rows' => $total_rows,
            'record_images' => $record_images,
            'module' => $module,
            'row_id' => $row_id,
            'pagination' => $pagination,
            'filter' => $filter
        ));
        
        $layout = $this->gc->load_assets('modules/comments/view');
        Template::set_view($layout['view']);
        Template::render($layout['layout']);
        Template::render();
    }
}