<?php if($isChildren): ?>
<ul class="children list-unstyled">
<?php else: ?>
<ol class="commentlist list-unstyled">
<?php endif; ?>
<li>
<div class="comment comment-wrap">
	<div class="comment-avatar">
		<?php if(empty($comment['profile_image']) && empty($comment['user_image'])): ?>
			<img alt=""	src="https://1.gravatar.com/avatar/a7a35e2f9bf8b2a24b79c9f6ccbf78be?s=65&#038;d=mm&#038;r=g" srcset="https://1.gravatar.com/avatar/a7a35e2f9bf8b2a24b79c9f6ccbf78be?s=130&amp;d=mm&amp;r=g 2x" class="img-fluid" />
		<?php elseif(!empty($comment['user_image'])): ?>
			<img alt=""	src="<?php echo gc_image_url($comment['user_image'], false, true, 'users'); ?>" class="img-fluid" />
		<?php else: ?>
			<img alt=""	src="<?php echo $comment['profile_image']; ?>" class="avatar-photo" />
		<?php endif; ?>
	</div>
	<div class="comment-author">
		<div class="author-comment">
			<cite class="fn">
				<?php if(empty($comment['url']) && empty($comment['user_slug'])): ?>
				<?php echo $comment['username']; ?>
				<?php else: ?>
				<a href="<?php echo !empty($comment['url']) ? $comment['url'] : gc_url_format('users', $comment['user_slug'], $comment['user_id']); ?>" target="<?php echo !empty($comment['url']) ? '_blank' : '_parent'; ?>" title="<?php echo $comment['title'] . '-' . settings_item('site.title'); ?>" rel="nofollow"><?php echo $comment['username']; ?></a>
				<?php endif;?>
			</cite>
			<input id="comment_rating" type="number" value="<?php echo round($comment['rating'], 2); ?>" class="rating" min=0 max=5 step=0.5 data-disabled="true" data-show-clear="false" data-size="xs"<?php echo $this->session->userdata('is_rtl') ? ' data-rtl="true"' : ''; ?>/>
			<div class="comment-meta commentmetadata">
				<?php echo convert_date_time($comment['created_on']); ?>
			</div>
			<div class="clear"></div>
		</div>
	</div>
	<div class="comment-content">	
		<?php
		if(!empty($comment['images'])):
		$images = process_images($comment['images'], $comment['title']);
		?>
		<ul class="list-inline">
		<?php foreach($images as $image): ?>
		 <li>
    		<a class="gc-fancybox img-crop-center" href="<?php echo $image['original']; ?>">
    			<img src="<?php echo $image['thumbnail']; ?>" title="<?php echo $image['title']; ?>" class="img-fluid img-thumbnail thumb-50" />
    		</a>
    	</li>
		<?php endforeach; ?>
		</ul>
		<?php endif; ?>
		<div class="comment-title"><?php echo $comment['title']; ?></div>
		<p><?php echo $comment['comment']; ?></p>
	</div>
    <div class="reply">
    	<?php if(empty($params['modal'])):?>
    		<a id="<?php echo $comment['id']; ?>" role="button" href="#review" class="comment-reply"><?php echo lang('label_reply'); ?></a>
    	<?php else: ?>
    		<a data-toggle="modal" id="<?php echo $comment['id']; ?>" role="button" href="#reviewModal" class="comment-reply"><?php echo lang('label_reply'); ?></a>
    	<?php endif;?>
    </div>
</div>
<?php if(isset($comment['children'])):?>
<?php $content = $this->comments_model->print_comment($comment['children'], true, $tpl, !empty($params) ? $params : array()); ?>
<?php echo $content; ?>
<?php endif; ?>
</li>
<?php if($isChildren): ?>
</ul>
<?php else: ?>
</ol>
<?php endif; ?>