<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php 
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('comments_list')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_approved')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('status')),
    array('filter' => $filter_type, 'condition' => 'flagged', 'url' => $index_url . 'flagged/', 'title' => lang('tab_flagged')),
    array('filter' => $filter_type, 'condition' => 'spammed', 'url' => $index_url . 'spammed/', 'title' => lang('tab_spammed')),
    array('filter' => $filter_type, 'condition' => 'rejected', 'url' => $index_url . 'rejected/', 'title' => lang('tab_rejected')),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
$num_columns	= 12;
$can_delete	= $this->auth->has_permission('Comments.Content.Delete');
$can_edit		= $this->auth->has_permission('Comments.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(sprintf(lang('placeholder_admin_comment_search'), $module != 'all' ? gc_module_translation($module) . '/' : ''));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th style="width: 1%"><?php echo form_filter('id', lang('label_id'));?></th>
					<th style="width: 17%"><?php echo form_filter('row_id', lang('label_title'));?></th>
					<?php if($module == 'all'):?>
					<th style="width: 5%"><?php echo form_filter('module_id', lang('label_type'));?></th>
					<?php endif;?>
					<th style="width: 7%"><?php echo form_filter('display_name', lang('label_user'));?></th>
					<th style="width: 17%"><?php echo form_filter('title', lang('label_subject'));?></th>					
					<th style="width: 32%"><?php echo form_filter('comment', lang('label_comment'));?></th>
					<th style="width: 17%"><?php echo form_filter('rating', lang('label_rating'));?></th>				
					<th style="width: 5%"><?php echo form_filter('status', lang('label_status'));?></th>
					<th style="width: 10%"><?php echo form_filter('created_on', lang('label_posted_on'));?></th>
					<th style="width: 17%"><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
			<tr>
				<td colspan="<?php echo $num_columns; ?>">
					<?php
					echo lang('bf_with_selected');

					if ($filter_type == 'deleted') :
					?>
					<button type="submit" name="submit" class="btn btn-action" value="restore" ><?php echo lang('bf_action_restore'); ?></button>
					<button type="submit" name="submit" class="btn btn-danger btn-delete" value="purge"><?php echo lang('bf_action_purge'); ?></button>
					<?php else : ?>
					<button type="submit" name="submit" class="btn btn-action" value="approve"><?php echo lang('action_approve'); ?></button>
					<button type="submit" name="submit" class="btn btn-action" value="disapprove"><?php echo lang('action_disapprove'); ?></button>
					<button type="submit" name="submit" class="btn btn-action" value="flag"><?php echo lang('action_flag'); ?></button>
					<button type="submit" name="submit" class="btn btn-action" value="spam"><?php echo lang('bf_action_spam'); ?></button>
					<button type="submit" name="submit" class="btn btn-action" value="reject"><?php echo lang('action_reject'); ?></button>
					<button type="submit" name="submit" class="btn btn-danger btn-delete" id="delete-me" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					<?php endif;?>
				</td>
			</tr>
		</tfoot>
		<?php endif;?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id) ?></td>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link'); ?></td>
					<?php if($module == 'all'):?>					
					<td><?php e(gc_module_translation(gc_module_name($record->module_id))); ?></td>	
					<?php endif;?>		
					<td><?php e($record->username) ?></td>
					<td><?php e($record->title) ?></td>					
					<td><?php e($record->comment) ?></td>
					<td>
					<?php if(!empty($record->rating)):?>
					<div id="comment_rating" class="stars">
						<?php echo gc_form_element('rating', array('name' => 'rating', 'field_only' => TRUE, 'extra' => array('readonly' => TRUE)), $record, lang('label_rating')); ?>
					</div>
					<?php endif;?>
					</td>					
					<td>
					<?php 
					switch($record->status) {
						case 0:
							echo '<span class="badge badge-warning">'. lang('tab_pending') .'</span>';
							break;
						case 1:
							echo '<span class="badge badge-success">'. lang('comments_active') .'</span>';
							break;
						case 2:
							echo '<span class="badge badge-info">'. lang('tab_flag') .'</span>';
							break;
						case 3:
							echo '<span class="badge badge-secondary">'. lang('tab_spam') .'</span>';
							break;
						case 4:
							echo '<span class="badge badge-danger">'. lang('tab_reject') .'</span>';
							break;
					}
					?></td>
					<td><?php e(gc_date_format($record->created_on, true)) ?></td>
					<td>					
					<?php echo anchor(SITE_AREA . '/content/comments/edit/' . $record->id, '<span class="btn btn-sm btn-info"><i class="fas fa-edit"></i></span>'); ?>
					<br>
					<?php if($record->parent_id > 0):?>
						<?php $result = gc_redirect_uri($record->redirect_url, $record->module_id);?>
						<?php echo anchor($result['url'] . '#comments-box', '<span class="btn btn-sm btn-warning"><i class="fas fa-eye"></i></span>'); ?>
					<?php endif;?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();
	?>
</div>