<?php
$blocks = array('total_amount' => 2, 'inactive_amount' => 2, 'confirmed_amount' => 2, 'paid_amount' => 1);
$this->load->view('common/_summary_block_01', array('blocks' => $blocks, 'record' => $record, 'is_colorful' => true, 'module_prefix' => 'commission'));
?>
<div class="row">
	<div class="col-sm-6">
		<div class="card card-body">
    		<h4 class="font-weight-bold mb-2"><?php echo lang('commission_six_months'); ?></h4>
            <canvas class="chart" id="sixMonthSales" width="1000" height="300"></canvas>
        </div>
	</div>
	<div class="col-sm-6">
		<div class="card card-body">
			<h4 class="font-weight-bold mb-2"><?php echo lang('commission_this_month'); ?></h4>
            <div class="form-row">
            	<div class="col-5"><?php echo gc_form_element('text', array('type' => 'text', 'name' => 'date_from', 'extra' => array('placeholder' => lang('label_from')), 'field_only' => true), date('Y')  . '-' . date('m') . '-01');?></div>
            	<div class="col-5"><?php echo gc_form_element('text', array('type' => 'text', 'name' => 'date_to', 'extra' => array('placeholder' => lang('label_to')), 'field_only' => true), date('Y-m-d'));?></div>
            	<div class="col-2"><button type="button" class="btn btn-primary" id="updateChart"><?php echo lang('bf_action_update'); ?></button></div>
            </div>	
    		<canvas class="chart" id="monthlyChart" width="1000" height="300"></canvas>
        </div>
	</div>
</div>
<div class="row">
	<?php if(!empty($recent_commissions)):?>
	<div class="col-sm-4">
    <h3 class="font-weight-bold m-0"><?php echo lang('commission_recent'); ?></h3>
    <div class="table-responsive">
    <table class="table table-striped table-sm">
	<?php foreach($recent_commissions as $recent_commission):?>
        <tr class="small">
        	<th><?php echo anchor(site_url(SITE_AREA . '/financial/affiliates/detail/' . $recent_commission->user_id), $recent_commission->display_name . ' (' . $recent_commission->user_email . ')');?></th>
        	<td><span class="badge badge-pill badge-danger h4"><?php echo currency_format($recent_commission->amount); ?></span></td>
        </tr>
	<?php endforeach; ?>
    </table>
    </div>
	</div>
	<?php endif;?>
	<?php if(!empty($inactive_commissions)):?>
	<div class="col-sm-4">
    <h3 class="font-weight-bold m-0"><?php echo lang('commission_inactive_amount'); ?></h3>
    <div class="table-responsive">
    <table class="table table-striped table-sm">
	<?php foreach($inactive_commissions as $inactive_commission):?>
        <tr class="small">
        	<th><?php echo anchor(site_url(SITE_AREA . '/financial/affiliates/detail/' . $inactive_commission->user_id), $inactive_commission->display_name . ' (' . $inactive_commission->user_email . ')');?></th>
        	<td><span class="badge badge-pill badge-danger h4"><?php echo currency_format($inactive_commission->amount); ?></span></td>
        </tr>
	<?php endforeach; ?>
    </table>
    </div>
	</div>
	<?php endif;?>
	<?php if(!empty($top_earners)):?>
	<div class="col-sm-4">
    <h3 class="font-weight-bold m-0"><?php echo lang('commission_top_earners'); ?></h3>
    <div class="table-responsive">
    <table class="table table-striped table-sm">
	<?php foreach($top_earners as $top_earner):?>
        <tr class="small">
        	<th><?php echo anchor(site_url(SITE_AREA . '/financial/affiliates/detail/' . $top_earner->user_id), $top_earner->display_name . ' (' . $top_earner->user_email . ')');?></th>
        	<td><span class="badge badge-pill badge-danger h4"><?php echo currency_format($top_earner->total_amount); ?></span></td>
        </tr>
	<?php endforeach; ?>
    </table>
    </div>
	</div>
	<?php endif;?>
</div>