<div class="row">
<div class="col-md-5">
<?php $category_module_id = 12; if($order->module_id != $category_module_id):?>
<h4 class="text-uppercase font-weight-bold"><?php echo lang('label_order'); ?></h4>
<div class="table-responsive">
	<table class="table table-bordered">
		<tr>
			<th class="bg-warning"><?php echo lang('label_order_id'); ?></th>
			<td><?php echo $order->order_id; ?></td>
		</tr>
		<tr>
			<th class="bg-warning"><?php echo lang('label_order_total'); ?></th>
			<td><?php echo currency_format($order->order_total); ?></td>
		</tr>
		<tr>
			<th class="bg-warning"><?php echo lang('label_payment_method'); ?></th>
			<td><?php echo $order->payment_method; ?></td>
		</tr>
		<tr>
			<th class="bg-warning"><?php echo lang('created_on'); ?></th>
			<td><?php echo gc_date_format($order->created_on); ?></td>
		</tr>
		<tr>
			<th class="bg-warning"><?php echo lang('ip_address'); ?></th>
			<td><?php echo $order->created_ip; ?></td>
		</tr>
	</table>
</div>
<?php endif; ?>
<h4 class="text-uppercase font-weight-bold"><?php echo lang('singular_affiliates'); ?></h4>
<div class="table-responsive">
	<table class="table table-bordered">
		<tr>
			<th class="bg-warning"><?php echo lang('label_name'); ?></th>
			<td><?php echo $order->affiliate_name; ?></td>
		</tr>
		<tr>
			<th class="bg-warning"><?php echo lang('members_last_login'); ?></th>
			<td><?php echo gc_date_format($order->last_login); ?></td>
		</tr>
		<tr>
			<th class="bg-warning"><?php echo lang('label_payment_method'); ?></th>
			<td><?php echo ucwords(str_replace('_', ' ', $order->affiliate_payment_method)); ?></td>
		</tr>
        <?php if(!empty($referral)):?>
        <tr>
        <th class="bg-warning"><?php echo lang('singular_affiliate_referrals'); ?></th>
        <td><?php echo $this->load->view('affiliates/tpl/_referral', array('record' => $referral)); ?></td>
        </tr>
        <?php endif;?>
	</table>
</div>
<?php
$status_btn = 'success';
if($order->status_id == 1):
    $status_btn = 'warning';
elseif($order->status_id != 2):
    $status_btn = 'danger';
endif;
?>
</div>
    <div class="col-md-7">
    	<?php
    	if(!empty($records)):
    	echo form_validations();
    	echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
    	<div class="card">
        	<div class="card-header pt-2 pb-1 pb-0 bg-info text-white">
        		<h5>
        		<span class="text-uppercase font-weight-bold"><?php echo lang('gc_menu_commissions'); ?></span>
        		<span class="float-right btn btn-sm btn-<?php echo $status_btn; ?>"><?php echo !empty($order->status_lang) ? lang($order->status) : $order->status; ?></span>
        		</h5>
        	</div>
        	<div class="card-body">
        		<?php $earned_commission = 0;?>
        		<?php if($order->module_id != $category_module_id):?>
        		<?php foreach($records as $record): 
        		$product_commission = 0;
        		$item = json_decode($record->item ?? '', true);
        		?>
        		<h4>
        			<?php if(!empty($record->redirect_uri)):?>
            		<?php echo prepare_urls($record->redirect_uri); ?>
            		<?php else: ?>
            		<?php echo (!empty($item['name']) ? $item['name'] : '') . ' (' . lang('singular_' . gc_module_name($record->module_id)) . ')'; ?>
            		<?php endif; ?>
            		<span class="badge badge-danger"><?php echo currency_format($record->total); ?></span>
        		</h4>
        		<?php if(!empty($record->affiliatess)):?>
        		<div class="alert alert-warning"><?php echo lang('not_applicable'); ?></div>
        		<?php endif; ?>
        		<div class="table-responsive">
        		<table class="table table-bordered">
        			<?php if(!empty($record->affiliates)):?>
        			<?php foreach($record->affiliates as $affiliate):?>
        			<tr>
        				<td>
        				<?php 
        				echo prepare_urls($affiliate->profile_user);
        				if($affiliate->depth == 0):?>
        				<span class="badge badge-pill badge-success"><?php echo lang('label_primary'); ?></span>
        				<?php else: ?>
        				<span class="badge badge-pill badge-info"><?php echo lang('commission_hierarchy') . ' ' . $affiliate->depth; ?></span>
        				<?php endif; ?>
        				<br />
        				<?php
        				if($affiliate->depth == 0): // primary user
        				    echo $affiliate->type == 'P' ? sprintf(lang('commission_earned_2'), $affiliate->amount . '%') : sprintf(lang('commission_earned_3'), currency_format($affiliate->amount));
        				else:
        				switch($affiliate->module_id) {
        				    case 4:
        				        echo sprintf(lang('commission_earned_4'), $affiliate->commission . '%', $affiliate->depth - 1);
        				        break;
        				    default:
        				        echo sprintf(lang('commission_earned_' . $affiliate->commission_type_id), $affiliate->commission . '%');
        				}
        				endif;
        				?>
        				</td>
        				<td><?php echo gc_form_element('text', array('name' => 'amount_' . $affiliate->id, 'field_only' => true), $affiliate->amount);?></td>
        			</tr>
        			<?php 
        			$earned_commission += $affiliate->amount;
        			$product_commission += $affiliate->amount;
        			endforeach;?>
        			<tr>
        				<th class="text-right"><?php echo lang('commission_product'); ?></th>
        				<td><span class="badge badge-danger"><?php echo currency_format($product_commission); ?></span></td>
        			</tr>
        			<?php endif; ?>
        		</table>
        		</div>
        		<?php endforeach; ?>    
        		<?php else: ?>
        		<div class="table-responsive">
        		<table class="table table-bordered">
        			<?php foreach($records as $affiliate):?>
        			<tr>
        				<td>
        				<?php 
        				echo prepare_urls($affiliate->profile_user);
        				if($affiliate->depth == 0):?>
        				<span class="badge badge-pill badge-success"><?php echo lang('label_primary'); ?></span>
        				<?php else: ?>
        				<span class="badge badge-pill badge-info"><?php echo lang('commission_hierarchy') . ' ' . $affiliate->depth; ?></span>
        				<?php endif; ?>
        				<br />
        				<?php
        				if($affiliate->depth == 0): // primary user
        				    echo $affiliate->type == 'P' ? sprintf(lang('commission_earned_2'), $affiliate->commission . '%') : sprintf(lang('commission_earned_3'), currency_format($affiliate->amount));
        				else:
        				switch($affiliate->commission_type_id) {
        				    case 4:
        				        echo sprintf(lang('commission_earned_4'), $affiliate->commission . '%', $affiliate->depth - 1);
        				        break;
        				    default:
        				        echo sprintf(lang('commission_earned_' . $affiliate->commission_type_id), $affiliate->commission . '%');
        				}
        				endif;
        				?>
        				</td>
        				<td><?php echo gc_form_element('text', array('name' => 'amount_' . $affiliate->id, 'field_only' => true), $affiliate->amount);?></td>
        			</tr>
        			<?php 
        			$earned_commission += $affiliate->amount;
        			endforeach;?>
        		</table>
        		</div>
        		<?php endif; ?>    		
                <div class="admin-box">
                    <div class="form-group form-row">
                    	<label class="col-sm-4 col-form-label" for="earned_commission"><?php echo lang('commission_amount'); ?></label>
                    	<div class="col-sm-6">
                    		<span class="btn btn-danger p-2"><?php echo currency_format($order->amount); ?></span>
                    	</div>
                    </div>              
                    <?php if(isset($form)):?>      
                    <?php echo gc_form_element('dropdown', array('name' => 'status_id', 'label_width' => 'col-sm-4', 'options' => $this->fields_model->dropdown_options('commission_statuses', false)), $order, lang('label_status') . lang('bf_form_label_required')); ?>
                    <div class="form-row card card-body bg-light">
                        <div class="col-sm-6 offset-sm-4">
                    		<button name="save" type="submit" value="1" class="btn btn-primary btn-theme-primary btn-submit"><i class="fas fa-save fa-fw mr-1"></i><?php echo lang('save'); ?></button>                   
                    	</div>
                    </div>    
                    <?php endif; ?>               
                </div>
        	</div>
    	</div>
        <?php echo form_close(); ?>
    	<?php endif;?>
    </div>
</div>