<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Migration_Install_contact_queries extends Migration
{
	/**
	 * The name of the database table
	 *
	 * @var String
	 */
	private $table_name = 'contact_queries';

	/**
	 * The table's fields
	 *
	 * @var Array
	 */
	private $fields = array(
		'id' => array(
			'type' => 'INT',
			'constraint' => 11,
			'auto_increment' => TRUE,
		),
		'user_id' => array(
			'type' => 'BIGINT',
			'constraint' => 20,
			'null' => TRUE,
		),
		'name' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => FALSE,
		),
		'email' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => FALSE,
		),
		'phone' => array(
			'type' => 'VARCHAR',
			'constraint' => 20,
			'null' => TRUE,
		),
         'message' => array(
			'type' => 'VARCHAR',
			'constraint' => 2000,
			'null' => FALSE,
		),
		'ip' => array(
			'type' => 'VARCHAR',
			'constraint' => 50,
			'null' => FALSE,
		),
	    'deleted' => array(
	        'type' => 'TINYINT',
	        'constraint' => 1,
	        'null' => FALSE,
	        'default' => 0
	    ),
	    'replied_on' => array(
	        'type' => 'DATETIME',
	        'null' => TRUE
	    ),
	    'posted_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
	    'modified_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP'
	);

	/**
	 * Install this migration
	 *
	 * @return void
	 */
	public function up()
	{
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->create_table($this->table_name);
	}

	//--------------------------------------------------------------------

	/**
	 * Uninstall this migration
	 *
	 * @return void
	 */
	public function down()
	{
		$this->dbforge->drop_table($this->table_name);
	}

	//--------------------------------------------------------------------

}