<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$num_columns	= 10;
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<th><?php echo lang('label_id');?></th>
					<th><?php echo lang('label_order_id');?></th>
					<th><?php echo lang('bf_user');?></th>
					<th><?php echo lang('label_coupon_code');?></th>
					<th><?php echo lang('label_discount');?></th>
					<th><?php echo lang('singular_affiliates');?></th>
					<th><?php echo lang('label_commission');?></th>
					<th><?php echo lang('created_on');?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				if ($has_records) :
				    $discounts = 0;
					$commission = 0;
					foreach ($records as $record) :
					$commission = $commission + $record->affiliate_commission;
					$discounts = $discounts + $record->amount;
				?>
				<tr>
					<td><?php e($record->id); ?></td>
					<td><?php echo anchor(SITE_AREA . '/financial/orders/view/' . $record->order_id, $record->order_id); ?></td>
					<td>
						<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $record->user_id);?>" title="<?php echo $record->display_name; ?>">
							<?php echo ($record->display_name .'<br /><small>' . $record->user_id . ' - ' . $record->user_email .'</small>') ?>
						</a>
					</td>
					<td><?php echo anchor(SITE_AREA . '/financial/coupons/form/coupons/edit/' . $record->coupon_id, $record->coupon_code); ?></td>
					<td><?php echo currency_format(decimal_convert($record->amount)); ?></td>
					<td>
						<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $record->affiliate_id);?>" title="<?php echo $record->affiliate_name; ?>">
							<?php echo ($record->affiliate_name .'<br /><small>' . $record->affiliate_id . ' - ' . $record->affiliate_email .'</small>') ?>
						</a>
					</td>
					<td><?php e(currency_format(decimal_convert($record->affiliate_commission))); ?></td>
					<td><?php e($record->created_on); ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
		<?php if ($has_records) :?>
		<div class="col-md-6 offset-md-4">
		<div class="table-responsive">
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td><?php echo lang('total_commission'); ?></td>
					<td><span class="btn btn-danger"><?php echo currency_format($commission, null, true);?></span></td>
				</tr>
				<tr>
					<td><?php echo lang('total_discount'); ?></td>
					<td><span class="btn btn-danger"><?php echo currency_format($discounts, null, true);?></span></td>
				</tr>
			</tbody>
		</table>
		</div>
		</div>
		<?php endif;?>
	<?php echo form_close();
	echo $this->pagination->create_links();
	?>
</div>