<style>
	table td { vertical-align: middle !important; }
	table tr td span {
		display: block;
		font-style: italic;
		color: #999;
		font-size: 90%;
	}
	tr.disabled td { color: #999; }
	tr.disabled .date {
		text-decoration: line-through;
	}
</style>

<p class="intro"><?php echo lang('cronjob_last_ran');?>: <?php echo relative_time(strtotime($this->settings_lib->item('cron_last_run'))) ?>
	&nbsp;&nbsp;<span class="small">( <?php echo date('m-d-Y h:i a', strtotime($this->settings_lib->item('cron_last_run'))) ?> )</span>
	<span class="display-block"><small><?php echo lang('help_cronjob');?></small></span>
</p>

<div class="admin-box rounded">
	<h3><?php echo lang('gc_menu_cronjobs');?></h3>

	<?php if (isset($tasks) && is_array($tasks) && count($tasks)) : ?>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<th><?php echo form_filter('title', lang('cronjob_title'));?></th>
					<th><?php echo form_filter('module', lang('cronjob_module'));?></th>
					<th><?php echo lang('cronjob_next_run');?></th>
					<th class="text-center" style="width: 4em"><?php echo form_filter('time_minutes', lang('cronjob_min'));?></th>
					<th class="text-center" style="width: 4em"><?php echo form_filter('time_hours', lang('cronjob_hour'));?></th>
					<th class="text-center" style="width: 4em"><?php echo form_filter('time_month_day', lang('cronjob_mday'));?></th>
					<th class="text-center" style="width: 4em"><?php echo form_filter('time_month', lang('cronjob_month'));?></th>
					<th class="text-center" style="width: 4em"><?php echo form_filter('time_week_day', lang('cronjob_wday'));?></th>
					<th class="text-center" style="width: 7em"><?php echo lang('cronjob_actions');?></th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="9" class="text-center">
						<?php echo lang('cronjob_server_time');?>: <?php echo date('D F j Y h:i A T'); ?>
						<br/><i class="fa fa-fire"></i> <?php echo lang('cronjob_task_running');?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php foreach ($tasks as $task) : ?>
				<tr <?php echo $task->enabled == true ? '' : 'class="disabled"' ?>>
					<td>
						<b>
						<?php
							if ($task->running) echo '<i class="fa fa-fire"></i>&nbsp;&nbsp;';
							echo $task->title
						?>
						</b>
						<span><?php echo $task->description ?></span>
						<?php if (isset($task->last_start) && $task->last_start != 0) : ?>
							<p><?php echo lang('cronjob_last_ran');?>: <?php echo date('n/j/Y H:i:s', $task->last_start); ?> - <?php echo lang('cronjob_ended');?>: <?php echo date('n/j H:i:s', $task->last_stop); ?>
								(<?php echo timespan($task->last_start, $task->last_stop) ?>)
						<?php endif; ?>
					</td>
					<td><?php echo ucfirst($task->module) ?></td>
					<td class="date"><?php echo date('D F j Y h:i A T', $task->next_run) ?></td>
					<td class="text-center"><?php echo $task->time_minutes == '0' ? '-' : $task->time_minutes; ?></td>
					<td class="text-center"><?php echo $task->time_hours == -1 ? '-' : $task->time_hours; ?></td>
					<td class="text-center"><?php echo $task->time_month_day == '0' ? '-' : $task->time_month_day; ?></td>
					<td class="text-center"><?php echo $task->time_month == '0' ? '-' : $task->time_month; ?></td>
					<td class="text-center"><?php echo $task->time_week_day == 0 ? '-' : $task->time_week_day; ?></td>
					<td class="text-center">
						<a href="<?php echo site_url(SITE_AREA .'/settings/cronjobs/edit/'. $task->id) ?>"><?php echo lang('cronjob_edit');?></a> -
						<a href="<?php echo site_url('cronjobs/cron?run='. $task->id) ?>" target="_blank"><?php echo lang('cronjob_run');?></a>
					</td>
				</tr>
			<?php endforeach; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
	<?php else: ?>
		<div class="alert alert-warning">
			<?php echo lang('cronjob_not_found');?>
		</div>
	<?php endif; ?>
</div>