<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$task = isset($task) ? $task : array();
?>
<div class="admin-box">
	<?php echo form_open(current_url(), 'class="form-horizontal"') ?>
	<?php
	echo gc_form_element('text', array('name' => 'title', 'extra' => array('maxlength' => 150)), $task, lang('cronjob_title'). lang('bf_form_label_required'));
	echo gc_form_element('text', array('name' => 'description'), $task, lang('cronjob_short_description'));
	$cron_modules = array(
		'core' => lang('label_core'),
		'app' => lang('label_app'),
	);
	foreach ($modules as $module):
		$cron_modules[$module] = ucfirst($module);
	endforeach;
	echo gc_form_element('dropdown', array('name' => 'module', 'options' => $cron_modules), $task, lang('cronjob_module'), 'col-sm-4');
	echo gc_form_element('text', array('name' => 'method_name', 'tooltip' => lang('help_method_to_run')), $task, lang('cronjob_method_to_run'). lang('bf_form_label_required'), 'col-sm-4');	
	?>
	<fieldset>
		<legend><?php echo lang('cronjob_time_options');?></legend>

		<div class="form-group form-row">
			<label for="time_minutes" class="col-sm-3 col-form-label"><?php echo lang('cronjob_time_minutes');?></label>
			<div class="col-sm-3">
				<select name="time_minutes" class="form-control">
					<option <?php echo !empty($task) && $task->time_minutes == '*' ? 'selected="selected"' : set_select('time_minutes', '*') ?>  value="*"><?php echo lang('cronjob_every_minute');?></option>
					<option <?php echo !empty($task) && $task->time_minutes == '*/2' ? 'selected="selected"' : set_select('time_minutes', '*/2') ?>  value="*/2"><?php echo sprintf(lang('cronjob_every_minutes'), 2);?></option>
					<option <?php echo !empty($task) && $task->time_minutes == '*/5' ? 'selected="selected"' : set_select('time_minutes', '*/5') ?> value="*/5"><?php echo sprintf(lang('cronjob_every_minutes'), 5)?></option>
					<option <?php echo !empty($task) && $task->time_minutes == '*/10' ? 'selected="selected"' : set_select('time_minutes', '*/10') ?> value="*/10"><?php echo sprintf(lang('cronjob_every_minutes'), 10)?></option>
					<option <?php echo !empty($task) && $task->time_minutes == '*/15' ? 'selected="selected"' : set_select('time_minutes', '*/15') ?> value="*/15"><?php echo sprintf(lang('cronjob_every_minutes'), 15)?></option>
					<option <?php echo !empty($task) && $task->time_minutes == '*/20' ? 'selected="selected"' : set_select('time_minutes', '*/20') ?> value="*/20"><?php echo sprintf(lang('cronjob_every_minutes'), 20)?></option>
					<option <?php echo !empty($task) && $task->time_minutes == '*/30' ? 'selected="selected"' : set_select('time_minutes', '*/30') ?> value="*/30"><?php echo sprintf(lang('cronjob_every_minutes'), 30)?></option>
					<option <?php echo !empty($task) && $task->time_minutes == '0' ? 'selected="selected"' : set_select('time_minutes', '0') ?>  value="0">00:0</option>
					<?php for ($i = 1; $i < 60; $i ++) :?>
						<option value="<?php echo $i; ?>" <?php echo !empty($task) && $task->time_minutes == $i ? 'selected="selected"' :set_select('time_minutes', $i) ?>>00:<?php echo $i; ?></option>
					<?php endfor; ?>
				</select>
			</div>
		</div>

		<div class="form-group form-row">
			<label for="time_hours" class="col-sm-3 col-form-label"><?php echo lang('cronjob_time_hours');?></label>
			<div class="col-sm-3">
				<select name="time_hours" class="form-control">
					<option <?php echo !empty($task) && $task->time_hours == '*' ? 'selected="selected"' : set_select('time_hours', '*') ?> value="*"><?php echo lang('cronjob_every_hour');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '0' ? 'selected="selected"' : set_select('time_hours', 0) ?> value="0">0 - <?php echo lang('cronjob_midnight');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '1' ? 'selected="selected"' : set_select('time_hours', 1) ?> value="1">1 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '2' ? 'selected="selected"' : set_select('time_hours', 2) ?> value="2">2 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '3' ? 'selected="selected"' : set_select('time_hours', 3) ?> value="3">3 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '4' ? 'selected="selected"' : set_select('time_hours', 4) ?> value="4">4 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '5' ? 'selected="selected"' : set_select('time_hours', 5) ?> value="5">5 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '6' ? 'selected="selected"' : set_select('time_hours', 6) ?> value="6">6 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '7' ? 'selected="selected"' : set_select('time_hours', 7) ?> value="7">7 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '8' ? 'selected="selected"' : set_select('time_hours', 8) ?> value="8">8 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '9' ? 'selected="selected"' : set_select('time_hours', 9) ?> value="9">9 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '10' ? 'selected="selected"' : set_select('time_hours', 10) ?> value="10">10 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '11' ? 'selected="selected"' : set_select('time_hours', 11) ?> value="11">11 <?php echo lang('cronjob_am');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '12' ? 'selected="selected"' : set_select('time_hours', 12) ?> value="12">12 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '13' ? 'selected="selected"' : set_select('time_hours', 13) ?> value="13">1 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '14' ? 'selected="selected"' : set_select('time_hours', 14) ?> value="14">2 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '15' ? 'selected="selected"' : set_select('time_hours', 15) ?> value="15">3 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '16' ? 'selected="selected"' : set_select('time_hours', 16) ?> value="16">4 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '17' ? 'selected="selected"' : set_select('time_hours', 17) ?> value="17">5 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '18' ? 'selected="selected"' : set_select('time_hours', 18) ?> value="18">6 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '19' ? 'selected="selected"' : set_select('time_hours', 19) ?> value="19">7 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '20' ? 'selected="selected"' : set_select('time_hours', 20) ?> value="20">8 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '21' ? 'selected="selected"' : set_select('time_hours', 21) ?> value="21">9 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '22' ? 'selected="selected"' : set_select('time_hours', 22) ?> value="22">10 <?php echo lang('cronjob_pm');?></option>
					<option <?php echo !empty($task) && $task->time_hours == '23' ? 'selected="selected"' : set_select('time_hours', 23) ?> value="23">11 <?php echo lang('cronjob_pm');?></option>
				</select>
			</div>
		</div>

		<div class="form-group form-row">
			<label for="time_week_day" class="col-sm-3 col-form-label"><?php echo lang('cronjob_time_weekday');?></label>
			<div class="col-sm-3">
				<select name="time_week_day" class="form-control">
					<option <?php echo !empty($task) && $task->time_week_day == '*' ? 'selected="selected"' : set_select('time_week_day', '*') ?> value="*"><?php echo lang('cronjob_every_day');?></option>
					<option <?php echo !empty($task) && $task->time_week_day == '1' ? 'selected="selected"' : set_select('time_week_day', 1) ?> value="1"><?php echo lang('cronjob_monday');?></option>
					<option <?php echo !empty($task) && $task->time_week_day == '2' ? 'selected="selected"' : set_select('time_week_day', 2) ?> value="2"><?php echo lang('cronjob_tuesday');?></option>
					<option <?php echo !empty($task) && $task->time_week_day == '3' ? 'selected="selected"' : set_select('time_week_day', 3) ?> value="3"><?php echo lang('cronjob_wednesday');?></option>
					<option <?php echo !empty($task) && $task->time_week_day == '4' ? 'selected="selected"' : set_select('time_week_day', 4) ?> value="4"><?php echo lang('cronjob_thursday');?></option>
					<option <?php echo !empty($task) && $task->time_week_day == '5' ? 'selected="selected"' : set_select('time_week_day', 5) ?> value="5"><?php echo lang('cronjob_friday');?></option>
					<option <?php echo !empty($task) && $task->time_week_day == '6' ? 'selected="selected"' : set_select('time_week_day', 6) ?> value="6"><?php echo lang('cronjob_saturday');?></option>
					<option <?php echo !empty($task) && $task->time_week_day == '7' ? 'selected="selected"' : set_select('time_week_day', 7) ?> value="7"><?php echo lang('cronjob_sunday');?></option>
				</select>
			</div>
		</div>

		<div class="form-group form-row">
			<label for="time_month_day" class="col-sm-3 col-form-label"><?php echo lang('cronjob_time_month_day');?></label>
			<div class="col-sm-3">
				<select name="time_month_day" class="form-control">
					<option <?php echo !empty($task) && $task->time_month_day == '*' ? 'selected="selected"' : set_select('time_month_day', '*'); ?> value="*"><?php echo lang('cronjob_month_every_day');?></option>
					<option <?php echo !empty($task) && $task->time_month_day == '1' ? 'selected="selected"' : set_select('time_month_day', 1); ?> value="1">1st</option>
					<option <?php echo !empty($task) && $task->time_month_day == '2' ? 'selected="selected"' : set_select('time_month_day', 2); ?> value="2">2nd</option>
					<option <?php echo !empty($task) && $task->time_month_day == '3' ? 'selected="selected"' : set_select('time_month_day', 3); ?> value="3">3rd</option>
					<option <?php echo !empty($task) && $task->time_month_day == '4' ? 'selected="selected"' : set_select('time_month_day', 4); ?> value="4">4th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '5' ? 'selected="selected"' : set_select('time_month_day', 5); ?> value="5">5th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '6' ? 'selected="selected"' : set_select('time_month_day', 6); ?> value="6">6th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '7' ? 'selected="selected"' : set_select('time_month_day', 7); ?> value="7">7th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '8' ? 'selected="selected"' : set_select('time_month_day', 8); ?> value="8">8th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '9' ? 'selected="selected"' : set_select('time_month_day', 9); ?> value="9">9th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '10' ? 'selected="selected"' : set_select('time_month_day', 10); ?> value="10">10th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '11' ? 'selected="selected"' : set_select('time_month_day', 11); ?> value="12">11th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '12' ? 'selected="selected"' : set_select('time_month_day', 12); ?> value="12">12th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '13' ? 'selected="selected"' : set_select('time_month_day', 13); ?> value="13">13th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '14' ? 'selected="selected"' : set_select('time_month_day', 14); ?> value="14">14th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '15' ? 'selected="selected"' : set_select('time_month_day', 15); ?> value="15">15th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '16' ? 'selected="selected"' : set_select('time_month_day', 16); ?> value="16">16th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '17' ? 'selected="selected"' : set_select('time_month_day', 17); ?> value="17">17th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '18' ? 'selected="selected"' : set_select('time_month_day', 18); ?> value="18">18th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '19' ? 'selected="selected"' : set_select('time_month_day', 19); ?> value="19">19th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '20' ? 'selected="selected"' : set_select('time_month_day', 20); ?> value="20">20th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '21' ? 'selected="selected"' : set_select('time_month_day', 21); ?> value="21">21st</option>
					<option <?php echo !empty($task) && $task->time_month_day == '22' ? 'selected="selected"' : set_select('time_month_day', 22); ?> value="22">22nd</option>
					<option <?php echo !empty($task) && $task->time_month_day == '23' ? 'selected="selected"' : set_select('time_month_day', 23); ?> value="23">23rd</option>
					<option <?php echo !empty($task) && $task->time_month_day == '24' ? 'selected="selected"' : set_select('time_month_day', 24); ?> value="24">24th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '25' ? 'selected="selected"' : set_select('time_month_day', 25); ?> value="25">25th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '26' ? 'selected="selected"' : set_select('time_month_day', 26); ?> value="26">26th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '27' ? 'selected="selected"' : set_select('time_month_day', 27); ?> value="27">27th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '28' ? 'selected="selected"' : set_select('time_month_day', 28); ?> value="28">28th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '29' ? 'selected="selected"' : set_select('time_month_day', 29); ?> value="29">29th</option>
					<option <?php echo !empty($task) && $task->time_month_day == '30' ? 'selected="selected"' : set_select('time_month_day', 30); ?> value="30">30th</option>
				</select>
			</div>
		</div>
		
		<div class="form-group form-row">
			<label for="time_month" class="col-sm-3 col-form-label"><?php echo lang('cronjob_time_month');?></label>
			<div class="col-sm-3">
				<select name="time_month" class="form-control">
					<option <?php echo !empty($task) && $task->time_month == '*' ? 'selected="selected"' : set_select('time_month', '*'); ?> value="*"><?php echo lang('cronjob_every_month');?></option>
					<option <?php echo !empty($task) && $task->time_month == '1' ? 'selected="selected"' : set_select('time_month', 1); ?> value="1"><?php echo lang('cronjob_january');?></option>
					<option <?php echo !empty($task) && $task->time_month == '2' ? 'selected="selected"' : set_select('time_month', 2); ?> value="2"><?php echo lang('cronjob_february');?></option>
					<option <?php echo !empty($task) && $task->time_month == '3' ? 'selected="selected"' : set_select('time_month', 3); ?> value="3"><?php echo lang('cronjob_march');?></option>
					<option <?php echo !empty($task) && $task->time_month == '4' ? 'selected="selected"' : set_select('time_month', 4); ?> value="4"><?php echo lang('cronjob_april');?></option>
					<option <?php echo !empty($task) && $task->time_month == '5' ? 'selected="selected"' : set_select('time_month', 5); ?> value="5"><?php echo lang('cronjob_may');?></option>
					<option <?php echo !empty($task) && $task->time_month == '6' ? 'selected="selected"' : set_select('time_month', 6); ?> value="6"><?php echo lang('cronjob_june');?></option>
					<option <?php echo !empty($task) && $task->time_month == '7' ? 'selected="selected"' : set_select('time_month', 7); ?> value="7"><?php echo lang('cronjob_july');?></option>
					<option <?php echo !empty($task) && $task->time_month == '8' ? 'selected="selected"' : set_select('time_month', 8); ?> value="8"><?php echo lang('cronjob_august');?></option>
					<option <?php echo !empty($task) && $task->time_month == '9' ? 'selected="selected"' : set_select('time_month', 9); ?> value="9"><?php echo lang('cronjob_september');?></option>
					<option <?php echo !empty($task) && $task->time_month == '10' ? 'selected="selected"' : set_select('time_month', 10); ?> value="10"><?php echo lang('cronjob_october');?></option>
					<option <?php echo !empty($task) && $task->time_month == '11' ? 'selected="selected"' : set_select('time_month', 11); ?> value="12"><?php echo lang('cronjob_november');?></option>
					<option <?php echo !empty($task) && $task->time_month == '12' ? 'selected="selected"' : set_select('time_month', 12); ?> value="12"><?php echo lang('cronjob_december');?></option>
				</select>
			</div>
		</div>
		<?php echo gc_form_element('checkbox', array('name' => 'enabled', 'no_label' => TRUE), $task, lang('cronjob_enabled')); ?>
	</fieldset>

	<?php if (!empty($task) && $task->running) : ?>
	<fieldset>
		<legend><?php echo lang('cronjob_ftask_running');?></legend>
		<div class="form-group form-row">
			<div class="col-sm-6">
				<p><?php echo lang('cronjob_warning_task_running');?><a href="<?php echo site_url(SITE_AREA .'/settings/cronjobs/clear_running_flag/'. $task->id) ?>"><?php echo lang('cronjob_clear_flag');?></a></p>
				<p><b><?php echo lang('cronjob_warning');?></b></p>
			</div>
		</div>
	</fieldset>
	<?php endif; ?>
	<?php
	$action_data = array(
		'url' => SITE_AREA . '/settings/cronjobs'
	);
	$action_data['delete'] = FALSE;
	$action_data['name'] = 'submit';
	echo gc_form_element('actions', $action_data);
	?>
	<?php echo form_close(); ?>
</div>
