<?php defined('BASEPATH') || exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
/**
 * Ecommerce controller
 */
class Ecommerce extends Front_Controller {

    /**
     * Constructor
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
        
        $this->load->model('ecommerce/ecommerce_model');
        $this->lang->load('ecommerce');
    }

    /**
     * Display a list of variants data.
     *
     * @return void
     */
    public function index($offset = 0) {
	    $like_array = array();
	    $searchterm = $this->gc->search('product_variants', $this->uri->segment(5), '/ecommerce/index');
	    if(!empty($searchterm)) {
	    	// This is the basic search filter, you could add more fields to the search
	    	$like_array = array(
	    		'id' => $searchterm
	   		);
	    }
        $pagerUriSegment = 3;
        $pagerBaseUrl = site_url('ecommerce/index') . '/';
        
        $limit  = $this->settings_lib->item('site.list_limit') ?: 15;
        if(!empty($like_array)) {
			$this->db->or_like($like_array);
		}
		$total_rows = $this->db->count_all_results('product_variants');
        $this->load->library('pagination');
        $pager['base_url']    = $pagerBaseUrl;
        $pager['total_rows']  = $total_rows;
        $pager['per_page']    = $limit;
        $pager['uri_segment'] = $pagerUriSegment;

        $this->pagination->initialize($pager);
        $this->db->limit($limit, $offset);
        
   	 	$order_by = $this->gc->sort('product_variants');
    	if(!empty($order_by)) {
    		$this->db->order_by($this->session->userdata('product_variants_sort')['column'], $this->session->userdata('product_variants_sort')['order']);
    	} else {
    	    $this->db->order_by('id', 'DESC');
    	}        
    	if(!empty($like_array)) {
			$this->db->or_like($like_array);
		}
        $records = $this->db->get('product_variants')->result();
        Template::set('records', $records);
        Template::render();
    }
    
}