<?php defined('BASEPATH') || exit('No direct script access allowed');
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
class Ecommerce_model extends BF_Model
{
    protected $table_name	            = 'product_attributes';
    protected $table_attributes	        = 'product_attributes';
    protected $table_attribute_values   = 'product_attribute_values';
    protected $table_variants	        = 'product_variants';
    protected $table_variant_values	    = 'product_variant_values';
    protected $table_notifications      = 'product_notifications';
    protected $table_wishlists          = 'product_wishlists';
    protected $table_categories         = 'product_categories';
    protected $table_options            = 'product_options';
    protected $table_tags               = 'product_tags';
    protected $key			= 'id';
    protected $date_format	= 'datetime';
    
    protected $log_user 	= false;
    protected $set_created	= false;
    protected $set_modified = false;
    protected $soft_deletes	= false;
    
    
    // Customize the operations of the model without recreating the insert,
    // update, etc. methods by adding the method names to act as callbacks here.
    protected $before_insert 	= array();
    protected $after_insert 	= array();
    protected $before_update 	= array();
    protected $after_update 	= array();
    protected $before_find 	    = array();
    protected $after_find 		= array();
    protected $before_delete 	= array();
    protected $after_delete 	= array();
    
    // For performance reasons, you may require your model to NOT return the id
    // of the last inserted row as it is a bit of a slow method. This is
    // primarily helpful when running big loops over data.
    protected $return_insert_id = true;
    
    // The default type for returned row data.
    protected $return_type = 'object';
    
    // Items that are always removed from data prior to inserts or updates.
    protected $protected_attributes = array();
    
    // You may need to move certain rules (like required) into the
    // $insert_validation_rules array and out of the standard validation array.
    // That way it is only required during inserts, not updates which may only
    // be updating a portion of the data.
    protected $validation_rules 		= array();
    protected $insert_validation_rules  = array();
    protected $skip_validation 			= false;
    
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
    }    
    
    /**
     * Attribute Fields
     *
     * @return array
     */
    public function attributes($role = 'admin') {
        $custom_fields = array(
            array(
                'name' => 'id',
                'type' => 'text',
                'label' => lang('label_id'),
                'readonly' => true
            ),
            array(
                'name' => 'value',
                'type' => 'text',
                'label' => lang('label_value')
            )
        );
        Template::set('custom_fields', $custom_fields);
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => true
            ),
            array(
                'type' => 'text',
                'name' => 'name',
                'label' => 'label_name',
                'placeholder' => 'placeholder_name',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'field_extra' => 'index_edit_admin:1;index_edit_frontend:1',
                'rules' => 'required|trim|max_length[255]',
            ),
            array(
                'type' => 'custom',
                'name' => 'value',
                'label' => 'label_value',
                'placeholder' => 'placeholder_value',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'class' => 9,
                'rules' => 'trim|array|max_length[255]',
            )
        );
        return $fields;
    }
    
    /**
     * Variant Fields
     *
     * @return array
     */
    public function variants($role = 'admin') {
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => true
            ),
            array(
                'type' => 'text',
                'name' => 'name',
                'label' => 'label_name',
                'placeholder' => 'placeholder_name',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'field_extra' => 'index_edit_admin:1;index_edit_frontend:1',
                'rules' => 'required|trim|max_length[255]',
            ),
            array(
                'type' => 'none',
                'name' => 'sku',
                'label' => 'label_sku',
                'placeholder' => 'placeholder_sku',
                'frontend' => false,
                'admin_only' => false,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
            ),
            array(
                'type' => 'text',
                'name' => 'price',
                'label' => 'label_price',
                'placeholder' => 'placeholder_price',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'value' => 0,
                'class' => 2,
                'rules' => 'trim|required|is_decimal',
            ),
            array(
                'type' => 'text',
                'name' => 'stock',
                'label' => 'label_stock',
                'placeholder' => 'placeholder_stock',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'value' => 0,
                'class' => 2,
                'rules' => 'trim|required|is_decimal',
            )/*,
            array(
                'type' => 'checkbox',
                'name' => 'status',
                'label' => 'label_status',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
                'field_extra' => 'index_action_admin:options|icon_primary#fas fa-thumbs-up|icon_secondary#fas fa-thumbs-down'
            )*/
        );
        return $fields;
    }
    
    /**
     * Notification Fields
     *
     * @return array
     */
    public function notifications($role = 'admin') {
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => true
            ),
            array(
                'type' => 'text',
                'name' => 'email',
                'label' => 'label_email',
                'placeholder' => 'placeholder_email',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'field_extra' => 'index_edit_admin:1;index_edit_frontend:1',
                'rules' => 'trim|required|valid_email|callback_unique_notification',
            ),
            array(
                'type' => 'selectize',
                'name' => 'product_id',
                'label' => 'singular_products',
                'placeholder' => 'placeholder_selectize',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'options' => 'load:products;module:products;max_items:1',
                'options_detailed' => 1,
                'rules' => 'trim|required',
            ),
            array(
                'type' => 'text',
                'name' => 'counts',
                'label' => 'label_counts',
                'placeholder' => 'placeholder_counts',
                'frontend' => false,
                'admin_only' => false,
                'frontend_index' => false,
                'admin_index' => false,
                'value' => 0,
                'class' => 2,
                'rules' => 'trim|required|is_numeric',
            ),
            array(
                'type' => 'none',
                'name' => 'created_on',
                'label' => 'created_on',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim'
            )
        );
        return $fields;
    }
    
    /**
     * Wishlist Fields
     *
     * @return array
     */
    public function wishlists($role = 'admin') {
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => true
            ),
            array(
                'type' => 'selectize',
                'name' => 'user_id',
                'label' => 'bf_user',
                'placeholder' => 'placeholder_selectize',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'options' => 'load:users;module:users;max_items:1',
                'options_detailed' => 1,
                'rules' => 'trim|required|callback_unique_wishlist',
            ),
            array(
                'type' => 'selectize',
                'name' => 'product_id',
                'label' => 'singular_products',
                'placeholder' => 'placeholder_selectize',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'options' => 'load:products;module:products;max_items:1',
                'options_detailed' => 1,
                'rules' => 'trim|required',
            )
        );
        return $fields;
    }
    
    /**
     * Email Template Fields
     *
     * @return array
     */
    public function email_templates($role = 'admin') {
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => true
            ),
            array(
                'type' => 'dropdown',
                'name' => 'module_table',
                'label' => 'label_module',
                'frontend' => false,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'options' => 'name:gc_menu_ecommerce;value:products',
                'options_detailed' => 1,
                'options_lang' => 1,
                'class' => 3,
                'rules' => 'trim|unique_email_template[product]',
            ),
            array(
                'type' => 'dropdown',
                'name' => 'user_type',
                'label' => 'bf_user',
                'frontend' => false,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'options' => 'name:placeholder_select;value:|name:us_admin;value:admin|name:bf_user;value:user|name:us_seller;value:seller',
                'options_detailed' => 1,
                'options_lang' => 1,
                'class' => 3,
                'rules' => 'trim',
            ),
            array(
                'type' => 'dropdown',
                'name' => 'action_type',
                'label' => 'label_action',
                'frontend' => false,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'options' => 'name:placeholder_select;value:|name:em_backin_stock;value:backin_stock|name:em_low_stock;value:low_stock|name:em_order_update;value:order_update',
                'options_detailed' => 1,
                'options_lang' => 1,
                'class' => 3,
                'rules' => 'trim',
            ),
            array(
                'type' => 'text',
                'name' => 'name',
                'label' => 'label_name',
                'placeholder' => 'placeholder_name',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'field_extra' => 'index_edit_admin:1;index_edit_frontend:1',
                'rules' => 'required|trim|max_length[50]'
            ),
            array(
                'type' => 'text',
                'name' => 'subject',
                'label' => 'label_subject',
                'placeholder' => 'placeholder_subject',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'required|trim|max_length[255]'
            ),
            array(
                'type' => 'textarea',
                'name' => 'message',
                'label' => 'label_message',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'custom_rules' => 'editor',
                'field_class' => 'editor',
                'class' => 9,
                'rules' => 'trim|required',
            ),
            array(
                'type' => 'textarea',
                'name' => 'sms_text',
                'label' => 'sms_text',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'class' => 9,
                'field_extra' => 'rows:3',
                'rules' => 'trim',
            ),
            array(
                'type' => 'textarea',
                'name' => 'params',
                'label' => 'em_params',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'class' => 9,
                'tooltip' => lang('em_params_help'),
                'field_extra' => 'rows:3',
                'rules' => 'trim',
            ),
            array(
                'type' => 'checkbox',
                'name' => 'status',
                'label' => 'label_status',
                'frontend' => false,
                'admin_only' => false,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
            ),
            array(
                'type' => 'none',
                'name' => 'created_on',
                'label' => 'created_on',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim',
            ),
            array(
                'type' => 'none',
                'name' => 'modified_on',
                'label' => 'modified_on',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim',
            )
        );
        return $fields;
    }
    
    /**
     * Product Categories Fields
     *
     * @return array
     */
    public function categories() {
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => true
            ),
            array(
                'type' => 'selectize',
                'name' => 'user_id',
                'label' => 'bf_user',
                'placeholder' => 'placeholder_selectize',
                'frontend' => false,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => true,
                'options' => 'load:business_users;module:business_users;max_items:1',
                'options_detailed' => 1,
                'rules' => 'trim|is_numeric|required',
            ),
            array(
                'type' => 'text',
                'name' => 'name',
                'label' => 'label_name',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'edit' => 1,
                'field_extra' => 'index_edit_admin:1;index_edit_frontend:1',
                'rules' => 'trim|max_length[100]',
            ),
            array(
                'type' => 'filemanager',
                'name' => 'image',
                'label' => 'label_image',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim|max_length[255]',
            ),
            array(
                'type' => 'textarea',
                'name' => 'description',
                'label' => 'label_description',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
            ),
            array(
                'type' => 'none',
                'name' => 'created_on',
                'label' => 'created_on',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim',
            ),
            array(
                'type' => 'none',
                'name' => 'modified_on',
                'label' => 'modified_on',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim',
            ),
            
        );
        return $fields;
    }
    
    /**
     * Tag Fields
     *
     * @return array
     */
    public function tags() {
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => true
            ),
            array(
                'type' => 'text',
                'name' => 'name',
                'label' => 'label_name',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'edit' => 1,
                'field_extra' => 'index_edit_admin:1;index_edit_frontend:1',
                'rules' => 'trim|required|max_length[150]'
            ),
            array(
                'type' => 'checkbox',
                'name' => 'name_lang',
                'label' => 'name_lang',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim',
            ),
            array(
                'type' => 'iconpicker',
                'name' => 'icon',
                'label' => 'label_icon',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim'
            ),
            array(
                'type' => 'text',
                'name' => 'mobile_icon',
                'label' => 'label_mobile_icon',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim|alpha_dash'
            ),
            array(
                'type' => 'text',
                'name' => 'priority',
                'label' => 'label_priority',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'value' => 0,
                'class' => 2,
                'rules' => 'trim|required|is_numeric',
            ),
            array(
                'type' => 'checkbox',
                'name' => 'status',
                'label' => 'label_status',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
            )
        );
        return $fields;
    }
    
    /**
     * Product Options Fields
     *
     * @return array
     */
    public function options() {
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => true
            ),
            array(
                'type' => 'selectize',
                'name' => 'user_id',
                'label' => 'bf_user',
                'placeholder' => 'placeholder_selectize',
                'frontend' => false,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => true,
                'options' => 'load:business_users;module:business_users;max_items:1',
                'options_detailed' => 1,
                'rules' => 'trim|is_numeric|required',
            ),
            array(
                'type' => 'dropdown',
                'name' => 'type_id',
                'label' => 'label_type',
                'placeholder' => 'placeholder_select',
                'frontend' => false,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => true,
                'options' => 'name:label_variant;value:1|name:label_addon;value:2|name:label_extra;value:3',
                'options_detailed' => 1,
                'options_lang' => 1,
                'class' => 2,
                'rules' => 'trim|required',
            ),
            array(
                'type' => 'text',
                'name' => 'name',
                'label' => 'label_name',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'edit' => 1,
                'field_extra' => 'index_edit_admin:1;index_edit_frontend:1',
                'rules' => 'trim|max_length[100]',
            ),
            array(
                'type' => 'text',
                'name' => 'price',
                'label' => 'label_price',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'value' => 0,
                'rules' => 'trim|is_decimal|required',
            ),
            array(
                'type' => 'text',
                'name' => 'offer_price',
                'label' => 'label_offer_price',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'value' => 0,
                'rules' => 'trim|is_decimal|required',
            ),
            array(
                'type' => 'textarea',
                'name' => 'description',
                'label' => 'label_description',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
            ),
            array(
                'type' => 'none',
                'name' => 'created_on',
                'label' => 'created_on',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim',
            ),
            array(
                'type' => 'none',
                'name' => 'modified_on',
                'label' => 'modified_on',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim',
            ),
            
        );
        return $fields;
    }
    
    /**
     * View Variants
     * @param string $role
     * @param number $offset
     * @param number $limit
     */
    public function view($role = 'admin', $offset = 0, $limit = 25) {
        
        // Deleting anything?
        if (isset($_POST['delete'])) {
            /*if($role == 'admin') {
             $this->auth->restrict($this->permissionDelete);
             }*/
            
            $checked = $this->input->post('checked');
            if (is_array($checked) && count($checked)) {
                
                // If any of the deletions fail, set the result to false, so
                // failure message is set if any of the attempts fail, not just
                // the last attempt
                
                $result = true;
                foreach ($checked as $pid) {
                    $deleted = $this->_purge_variants($pid);
                    if ($deleted == false) {
                        $result = false;
                    }
                }
                $msg_label = count($checked) == 1 ? lang('label_variant') : lang('label_variants');
                if ($result) {
                    Template::set_message(count($checked) . ' ' . sprintf(lang('msg_action_success'), $msg_label, lang('label_deleted')), 'success');
                } else {
                    Template::set_message(sprintf(lang('msg_delete_failure'), $msg_label) . $this->ecommerce_model->error, 'error');
                }
            }
        }
        
        $like_array = array();
        if($role == 'admin') {
            // clear the variant_product_id session
            if(isset($_POST['view_all'])) {
                $this->session->unset_userdata('variant_product_id');
            }
            $searchterm = $this->gc->search($this->table_variants, $this->uri->segment(5), '/components/ecommerce/variants');
            if(!empty($searchterm)) {
                // This is the basic search filter, you could add more fields to the search
                $like_array = array(
                    'id' => $searchterm
                );
            }
            $pagerUriSegment = 5;
            $pagerBaseUrl = site_url(SITE_AREA . '/components/ecommerce/variants') . '/';
        } else{
            $pagerUriSegment = 4;
            $pagerBaseUrl = site_url('members/variants/0/0') . '/';
        }
        
        // Item specific variants
        $where = array();
        $module_info = array();
        $variant_product_id = $this->session->userdata('variant_product_id');
        if(!empty($variant_product_id)) {
            $where['product_id'] = $variant_product_id;
            $module_info = $this->db->where('id', $variant_product_id)->select('id, title, slug')->get('products')->row();
        }
        
        if(!empty($like_array)) {
            $this->db->or_like($like_array);
        }
        if(!empty($where)) {
            $this->db->where($where);
        }
        $total_rows = $this->db->count_all_results($this->table_variants);
        $this->load->library('pagination');
        $pager['base_url']    = $pagerBaseUrl;
        $pager['total_rows']  = $total_rows;
        $pager['per_page']    = $limit;
        $pager['uri_segment'] = $pagerUriSegment;
        
        $this->pagination->initialize($pager);
        $this->db->limit($limit, $offset);
        
        $order_by = $this->gc->sort($this->table_variants);
        if(!empty($order_by)) {
            $this->db->order_by($this->session->userdata($this->table_variants . '_sort')['column'], $this->session->userdata($this->table_variants . '_sort')['order']);
        } else {
            $this->db->order_by('id', 'DESC');
        }
        
        if(!empty($like_array)) {
            $this->db->or_like($like_array);
        }
        $this->db->select($this->table_variants . '.*, (SELECT COUNT(*) FROM ' . $this->db->dbprefix . 'images WHERE module_id = ' . gc_module_id('variants') . ' AND row_id = ' . $this->db->dbprefix . 'product_variants.id) AS images_count');
        if(!empty($where)) {
            $this->db->where($where);
        }
        $records = $this->db->get($this->table_variants)->result();
        Template::set(array(
            'records' => $records,
            'toolbar_title' => (!empty($module_info) ? $module_info->title . ' - ' . lang('gc_menu_variants') : lang('manage_variants')),
            'role' => $role
        ));
        Template::set_view('ecommerce/variants');
    }
    
    /**
     * Common function for Member/Admin Area to Add/Edit Variant
     * @param number $id
     * @param number $action - 0 - ADD, 1 - EDIT
     */
    public function variant($id, $action = 'insert', $role = 'admin') {
        if($role == 'admin') {
            $redirect_url = SITE_AREA . '/components/ecommerce/manage/variants';
        } else {
            $redirect_url = gc_url_format('members/variants');
        }
        $id = (int) $id;
        if (empty($id)) {
            Template::set_message(lang('invalid_id'), 'danger');
            redirect($redirect_url);
        }
        if($action == 'insert') {
            $product = $this->db->where('id', $id)->get('products')->row();
            if(!$product) {
                Template::set_message(lang('invalid_id'), 'danger');
                redirect($redirect_url);
            }
            $msg_success = lang('act_create_record');
            $msg_error = lang('msg_create_failure');
            $product_id = $id;
            $toolbar_title = lang('create_product_variants');
        } else {
            $record = $this->db->where('id', $id)->get($this->table_variants)->row();
            $product = $this->db->where('id', $record->product_id)->get('products')->row();
            if($this->auth->role_id() != 1 && $product->seller_id != $this->auth->user_id()) {
                Template::redirect(SITE_AREA . '/components/products/manage/variants');
            }
            $saved_variants = $this->db->get_where($this->table_variant_values, array('variant_id' => $id))->result();
            // Convert to Custom Fields format
            $variants = array();
            if($saved_variants) {
                foreach($saved_variants as $saved_variant) {
                    $variants[] = array(
                        'name' => $saved_variant->attribute_id,
                        'value' => $saved_variant->value_id
                    );
                }
            }
            Template::set(array(
                'record' => $record,
                'variants' => $variants
            ));
            $msg_success = lang('act_edit_record');
            $msg_error = lang('msg_edit_failure');
            $product_id = $record->id;
            $toolbar_title = lang('edit_product_variants');
        }
        
        if (isset($_POST['save'])) {
            if ($return = $this->save_variants($action, ($action == 'update' ? $id : 0))) {
                if($action == 'insert') {
                    $id = $return;
                }
                // send back in stock notifications
                if($action == 'update') {
                    $this->load->model('orders/orders_model');
                    $this->orders_model->back_in_stock($id, 'product_variants');
                }
                log_activity($this->auth->user_id(), $msg_success . ': ' . $id . ' : ' . $this->input->ip_address(), 'variants');
                Template::set_message(sprintf(lang('msg_save_success'), lang('singular_product_variants')), 'success');
                
                redirect($redirect_url);
            } /*else {
            Template::set_message(sprintf($msg_error, lang('singular_product_variants')), 'danger');
            }*/
        }  elseif (isset($_POST['delete'])) {
            if($role == 'admin') {
                $this->auth->restrict('Product_variants.Components.Delete');
            }
            
            if ($this->db->where('id', $id)->delete($this->table_variants)) {
                log_activity($this->auth->user_id(), lang('act_delete_record') . ': ' . $id . ' : ' . $this->input->ip_address(), 'variants');
                Template::set_message(sprintf(lang('msg_delete_success'), lang('singular_product_variants')), 'success');
                redirect($redirect_url);
            }
            Template::set_message(sprintf(lang('msg_delete_failure'), lang('singular_product_variants')), 'danger');
        }
        $attributes = $this->get_product_attributes(true);
        Template::set(array(
            'product_id' => $product_id,
            'tree' => $this->tree(),
            'attributes' => $attributes,
            'default_values' => $this->get_attribute_values(1, true),
            'role' => $role,
            'cancel_url' => $redirect_url
        ));
        Template::set('toolbar_title', $toolbar_title . ' - ' . $product->title);
        Template::set_view('ecommerce/variants_form');
    }
    
    //--------------------------------------------------------------------------
    // !PRIVATE METHODS
    //--------------------------------------------------------------------------
    
    /**
     * Save the data.
     *
     * @param string $type Either 'insert' or 'update'.
     * @param int    $id   The ID of the record to update, ignored on inserts.
     *
     * @return boolean|integer An ID for successful inserts, true for successful
     * updates, else false.
     */
    private function save_variants($type = 'insert', $id = 0, $bulk_generate = false) {
        if ($type == 'update') {
            $_POST['id'] = $id;
        }
        
        // Validate the data
        $this->form_validation->set_rules('name', lang('label_name'), 'trim|required|max_length[255]');
        $this->form_validation->set_rules('price', lang('label_price'), 'trim|required|is_decimal');
        $this->form_validation->set_rules('offer_price', lang('label_offer_price'), 'trim|is_decimal');
        $this->form_validation->set_rules('stock', lang('label_stock'), 'trim|required|is_numeric');
        if ($this->form_validation->run() === false) {
            return false;
        }
        
        // Make sure we only pass in the fields we want
        $data = array();
        $data['product_id'] = $this->input->post('product_id');
        $data['name'] = $this->input->post('name');
        $data['price'] = $this->input->post('price');
        $data['offer_price'] = $this->input->post('offer_price');
        $data['stock'] = $this->input->post('stock');
        // $data['variants'] = $this->input->post('variants');
        $product_id = $data['product_id'];
        $product_title = $data['name'];
        
        $variants = $_POST['variants'];
        $new_variant = false;
        
        // generate sku before saving variant
        $sku = '';
        $this->load->library('slug');
        $attributes = $this->get_product_attributes(true);
        $values = $this->get_attribute_values(0, true);
        $sku = $product_id . '-' . $this->slice_text($product_title);
        foreach($variants as $variant) {
            $attribute_id = $variant['name'];
            $value_id = $variant['value'];
            if(!empty($value_id)) {
                // At least one variant must mismatch to generate a SKU
                $not_exist = $this->check_variant($product_id, $attribute_id, $value_id, $id);
                if($not_exist) {
                    $new_variant = true;
                }
                $sku .= '-' . $attribute_id . '-' . $this->slice_text($attributes[$attribute_id]) . '-' . $value_id . '-' . $this->slice_text($values[$value_id]);
               //  $sku .= '-' . $this->slice_text($attributes[$attribute_id]) . '-' . $this->slice_text($values[$value_id]);
            }
        }
        
        // check if variant already exists or not
        $where = array('product_id' => $product_id, 'sku' => $sku);
        if(!empty($id)) {
            $where['id != '] = $id;
        }
        $variant_exists = $this->db->where($where)->get($this->table_variants)->row();
        if($variant_exists) {
            Template::set_message(lang('variant_existence_error'), 'danger');
            return false;
        }
        $data['sku'] = $sku;
        /*$saved_variants = array();
         // variant edit page
         if(!empty($id)) {
         $saved_variants = $this->db->select('attribute_id, value_id')->get_where($this->table_variant_values, array('variant_id' => $id))->result_array();
         $variant_saved = array();
         if(!empty($variants)) {
         foreach($variants as $variant) {
         $variant_saved[] = array(
         'attribute_id' => $variant['name'],
         'value_id' => $variant['value']
         );
         }
         if($variant_saved === $saved_variants) {
         $new_variant = true;
         }
         }
         }
         if(!$new_variant && !empty($variants)) {
         $this->load->library('slug');
         $attributes = $this->get_product_attributes(true);
         $values = $this->get_attribute_values(0, true);
         $sku = $product_id . '-' . $this->slice_text($product_title);
         foreach($variants as $variant) {
         $attribute_id = $variant['name'];
         $value_id = $variant['value'];
         if(!empty($value_id)) {
         // At least one variant must mismatch to generate a SKU
         $not_exist = $this->check_variant($product_id, $attribute_id, $value_id, $id);
         if($not_exist) {
         $new_variant = true;
         }
         $sku .= '-' . $this->slice_text($attributes[$attribute_id]) . '-' . $this->slice_text($values[$value_id]);
         }
         }
         $data['sku'] = $sku;
         $new_variant = true;
         }
         if(!$new_variant) {
         Template::set_message(lang('existence_error'), 'danger');
         return false;
         }
         */
        // Additional handling for default values should be added below,
        // or in the model's prep_data() method
        if ($type == 'insert') {
            $this->db->insert($this->table_variants, $data);
            $id = $this->db->insert_id();
            if (is_numeric($id)) {
                $return = $id;
            }
        } elseif ($type == 'update') {
            $return = $this->db->where('id', $id)->update($this->table_variants, $data);
        }
        
        if($id && !empty($variants)) {
            // delete all variant from the product_variants table
            $this->db->where(array('product_id' => $product_id, 'variant_id' => $id))->delete($this->table_variant_values);
            $variant_data = array();
            foreach($variants as $abbr) {
                $variant_key = $abbr['name'];
                $variant_value = $abbr['value'];
                $variant_data[] = array(
                    'product_id' => $product_id,
                    'variant_id' => $id,
                    'attribute_id' => $variant_key,
                    'value_id' => $variant_value
                );
            }
            if(!empty($variant_data)) {
                $this->db->insert_batch($this->table_variant_values, $variant_data);
            }
        }
        if($id) {
            $this->update_product_variants($data['product_id']);
        }
        return $return;
    }
    
    /**
     * Get Attributes
     */
    public function get_product_attributes($options = false) {
        $result = $this->db->get($this->table_attributes)->result_array();
        if($options) {
            return $this->to_options($result);
        } else {
            return $result;
        }
    }    
    
    /**
     * Get Values
     * @param number $attribute_id
     */
    public function get_attribute_values($attribute_id = 0, $options = false) {
        if($attribute_id != 0) {
            $result = $this->db->get_where($this->table_attribute_values, array('attribute_id' => $attribute_id))->result_array();
        } else {
            $result = $this->db->get($this->table_attribute_values)->result_array();
        }
        if($options) {
            return $this->to_options($result, 'value');
        } else {
            return $result;
        }
    }
    
    /**
     * Get Variant
     * @param number $id
     * @return object
     */
    public function get_variant($id) {
        return $this->db->where('id', $id)->get($this->table_variants)->row();
    }
    
    /**
     * Get Saved Variants - Attribute with Values
     *
     * Display variant information on the Product's Detail Page.
     *
     * @param integer $product_id
     * @param array $attributes
     * @param array $values
     * @return array
     */
    public function get_variants($product_id, $attributes = array(), $values = array()) {
        $this->db->join($this->table_variants . ' SKU', 'SKU.id = ' . $this->table_variant_values . '.variant_id', 'INNER');
        $variants = $this->db->get_where($this->table_variant_values, array($this->table_variant_values . '.product_id' => $product_id, 'SKU.stock > ' => 0))->result();
        $result = $this->format_variant($variants, $attributes, $values);
        return $result;
    }
    
    /**
     * Update values on attribute change
     * @return array
     */
    public function revise_old() {
        $product_id = 1;
        $attribute_id = 1;
        $value_id = 7;
        $result = array();
        $where = array('product_id' => $product_id, 'attribute_id' => $attribute_id, 'value_id' => $value_id);
        // E.g. For sizes and other attributes: get all SKUs where color is blue
        // $this->db->join('variants PU', 'PU.id = product_variants.variant_id', 'INNER');
        $variants = $this->db->get_where($this->table_variant_values, $where)->result();
        $units = array();
        if($variants) {
            // Retrieve SKU information
            foreach($variants as $variant) {
                if(!in_array($variant->variant_id, $units)) {
                    $units[] = $variant->variant_id;
                }
            }
            // Check quantity in each unit
            $units_info = $this->db->select('id, stock')->where('id IN (' . implode(',', $units) . ') AND stock > 0')->get($this->table_variants)->result();
            $skus = array();
            if(!empty($units_info)) {
                foreach($units_info as $sku) {
                    $skus[] = $sku->id;
                }
            }
            // Get other attributes
            $info = $this->db->select('attribute_id, value_id')->where('variant_id IN (' . implode(',', $skus) . ') AND attribute_id != ' . $attribute_id)->get($this->table_variant_values)->result();
            $result = $this->format_variant($info);
        }
        return $result;
    }
    
    /**
     * Variants Format to display on products page
     * @param array $variants
     * @param array $attributes
     * @param array $values
     * @return array
     */
    private function format_variant($variants, $attributes = array(), $values = array()) {
        $result = array();
        if(!empty($variants)) {
            if(empty($attributes)) {
                $attributes = $this->get_attributes(true);
            }
            if(empty($values)) {
                $values = $this->get_values(0, true);
            }
            foreach($variants as $variant) {
                if(array_key_exists($variant->attribute_id, $result)) {
                    $result[$variant->attribute_id]['options'][$variant->value_id] = $values[$variant->value_id];
                } else {
                    $result[$variant->attribute_id]['id'] = $variant->attribute_id;
                    $result[$variant->attribute_id]['name'] = $attributes[$variant->attribute_id];
                    $result[$variant->attribute_id]['options'] = array(
                        0 => lang('label_select'),
                        $variant->value_id => $values[$variant->value_id]
                    );
                }
            }
        }
        return $result;
    }
    
    /**
     * Update Item on Variant Select
     * @param integer $product_id
     * @param array $values
     * @param integer $variant_id = Display specific variant to a user
     * @return array|array|NULL[]
     */
    public function update_item($product_id, $values = array(), $variant_id = 0) {
        $result = array();
        if(!empty($variant_id)) {
            $stock = $this->get_variant($variant_id);
        } else {
            if (empty($values)) {
                return $result;
            }
            foreach ($values as $key => $value) {
                $value = (int) $value;
                if ($value == 0) {
                    unset($values[$key]);
                }
            }
            if (empty($values)) {
                return $result;
            }
            $where = "PV.product_id = " . $product_id . " AND ";
            if (count($values) == 1) { // The user selected only one value
                // get the first value and display it to the user
                $where .= " PV.value_id = " . reset($values); // First value of the array regardless of KEY
            } else {
                $i = 1;
                $where .= "(";
                foreach ($values as $value) {
                    $prefix = "PV" . $i;
                    if($i != 1) {
                        $where .= "AND";
                    }
                    $where .= PHP_EOL;
                    $where .= " EXISTS (SELECT * FROM " . $this->db->dbprefix . $this->table_variant_values . " AS " . $prefix . " WHERE " . $prefix . ".variant_id = PV.variant_id AND " . $prefix . ".value_id  = " . $value . " AND " . $prefix . ".product_id = " . $product_id . ")" . PHP_EOL;
                    $i++;
                }
                $where .= ")";
            }
            $stock = $this->get_variant_with_stock($where);
        }
        if(empty($stock)) {
            // Variant does not exist
            $selected_variants = $this->session->userdata('selected_variants');
            
            // Get the user selected variant
            $selected_option = array_diff($values, $selected_variants);
            if(!empty($selected_option)) {
                $where = "PV.product_id = " . $product_id . " AND PV.value_id = " . reset($selected_option);
                $stock = $this->get_variant_with_stock($where);
            }
        }
        if ($stock) {
            $result = array(
                'variant_id' => $stock->id,
                'sku' => $stock->sku,
                'price' => $stock->price,
                'stock' => $stock->stock
            );
            // get other variants of this particular unit
            $other_variants = $this->db->get_where($this->table_variant_values, array(
                'variant_id' => $stock->id
            ))->result();
            if ($other_variants) {
                // To display Attributes Name and Values on Load Cart
                $attributes = $this->get_attributes(true);
                $attribute_values = $this->get_values(0, true);
                foreach ($other_variants as $other_variant) {
                    $result['values'][$other_variant->attribute_id] = $other_variant->value_id;
                    if(isset($attributes[$other_variant->attribute_id]) && isset($attribute_values[$other_variant->value_id])) {
                        $result['attributes'][$attributes[$other_variant->attribute_id]] = $attribute_values[$other_variant->value_id];
                    }
                }
            }
        }
        
        // Unset Selected Variants
        $this->session->unset_userdata('selected_variants');
        return $result;
    }
    
    /**
     * Get Variant with Stock
     * @param string $where
     * @return array
     */
    private function get_variant_with_stock($where = null) {
        $sql = "SELECT PU.*";
        $sql .= " FROM " . $this->db->dbprefix . $this->table_variants . " PU" . PHP_EOL;
        $sql .= " INNER JOIN " . $this->db->dbprefix . $this->table_variant_values . " PV ON PV.variant_id = PU.id" . PHP_EOL;
        $sql .= " WHERE PU.stock > 0";
        if (! empty($where)) {
            $sql .= " AND " . $where;
        }
        return $this->db->query($sql)->row();
    }
    
    /**
     * Product Details Page Variant Change Hanlding
     * @param object $record
     * @return array
     */
    public function product_variants($record) {
        $this->session->unset_userdata('product_variant');
        $record->variants = $this->get_variants($record->id);
        if(!empty($record->variants)) {
            if(isset($_GET['sku'])) { // Load product variant based on variant_id
                $variant_id = (int) $_GET['sku'];
                $variant = $this->update_item($record->id, array(), $variant_id);
            } else if(isset($_GET['v'])) {
                $variant = $this->update_item($record->id, $_GET['v']);
            }
            if(empty($variant)) { // Load the first variant
                $first_variant = array();
                $variant_options = reset($record->variants)['options'];
                foreach($variant_options as $option_key => $option_value) {
                    if(!empty($option_key)) {
                        $first_variant = array($option_key);
                        break;
                    }
                }
                $variant = $this->update_item($record->id, $first_variant);
            }
            if(!empty($variant)) {
                if(empty($variant['price'])) {
                    $variant['price'] = !empty($record->offer_price) ? $record->offer_price : $record->price;
                }
                $record->variant_id = $variant['variant_id'];
                $record->sku = $variant['sku'];
                $record->stock = $variant['stock'];
                $record->offer_price = $variant['price'];
                $record->values = $variant['values'];
                
                // Also retrieve images
                $this->load->model('images/images_model');
                $record->images = $this->images_model->order_by('priority')->find_all_by(array('module_id' => gc_module_id('variants'), 'row_id' => $variant['variant_id'], 'status' => 1, 'deleted' => 0));
                
                // Save selected SKU on Checkout
                $this->session->set_userdata('product_variant', array(
                    'variant_id' => $variant['variant_id'],
                    'sku' => $variant['sku'],
                    'stock' => $variant['stock'],
                    'price' => $variant['price'],
                    'attributes' => $variant['attributes'],
                    'cover' => (!empty($record->images) ? $record->images[0]->url : '')
                ));
                
                // Deal with non available items
                $this->session->set_userdata('selected_variants', $variant['values']);
            }
        } else {
            // Unset Selected Variants
            $this->session->unset_userdata('selected_variants');
        }
        if($record->price > $record->offer_price && !empty($record->offer_price)) {
            $savings = $record->price - $record->offer_price;
            $savings_in_percentage = decimal_convert(($savings * 100)/($record->price));
            $record->savings = $savings;
            $record->savings_in_percentage = $savings_in_percentage;
        }
        return $record;
    }
    
    /**
     * Attribute specific modules
     * @param number $module_id
     * @return string[]|string
     */
    public function modules($module_id = 0) {
        // Attribut specific modules
        $modules = array(
            gc_module_id('products') => lang('products'),
            // gc_module_id('bookings') => lang('gc_menu_bookings')
        );
        if($module_id == 0) {
            return $modules;
        } else {
            return !empty($modules[$module_id]) ? $modules[$module_id] : lang('not_applicable');
        }
    }
    
    /**
     * Save attribute values
     * @param array $values
     */
    public function save_values($attribute_id, $values, $module = 'products') {
        $value_ids = array();
        foreach($values as $value) {
            $id = $value['id'];
            $value = $value['value'];
            if(!empty($id) && !empty($value)) {
                $this->db->where('id', $id)->update($this->table_attribute_values, array('value' => $value));
                $value_ids[] = $id;
            } else if(empty($id) && !empty($value)) {
                $this->db->insert($this->table_attribute_values, array('attribute_id' => $attribute_id, 'value' => $value));
                $value_ids[] = $this->db->insert_id();
            }
        }
        // Delete deleted rows
        if(!empty($value_ids)) {
            $saved_values = $this->db->where('id NOT IN (' . implode(',', $value_ids) . ') AND attribute_id = ' . $attribute_id)->get($this->table_attribute_values)->result();
            if($saved_values) {
                foreach($saved_values as $saved_value) {
                    $this->_purge_attribute_value($saved_value->id, $module);
                }
            }
        }
    }
    
    /**
     * Get Attribute using ID
     * @param number $id
     * @param string $return - Name of the Key to be return
     * @return string|array
     */
    public function get_attribute($id, $return = null) {
        $result = $this->db->get_where($this->table_attributes, array('id' => $id))->row;
        if($result && !empty($return)) {
            return $result->{$return};
        }
        return $result;
    }
    
    /**
     * Get Value using ID
     * @param number $id
     * @param string $return - Name of the Key to be return
     * @return string|array
     */
    public function get_value($id, $return = null) {
        $result = $this->db->get_where($this->table_attribute_values, array('id' => $id))->row;
        if($result && !empty($return)) {
            return $result->{$return};
        }
        return $result;
    }
    
    /**
     * Get Attributes
     */
    public function get_attributes($options = false) {
        $result = $this->db->get($this->table_attributes)->result_array();
        if($options) {
            return $this->to_options($result);
        } else {
            return $result;
        }
    }
    
    /**
     * Get Values
     * @param number $attribute_id
     */
    public function get_values($attribute_id = 0, $options = false) {
        if($attribute_id != 0) {
            $result = $this->db->get_where($this->table_attribute_values, array('attribute_id' => $attribute_id))->result_array();
        } else {
            $result = $this->db->get($this->table_attribute_values)->result_array();
        }
        if($options) {
            return $this->to_options($result, 'value');
        } else {
            return $result;
        }
    }
    
    /**
     * Convert records in to options array e.g. key => value
     * @param array $records
     * @return array
     */
    private function to_options($records, $field = 'name') {
        if(!empty($records)) {
            $result = array();
            foreach($records as $record) {
                $result[$record['id']] = $record[$field];
            }
            return $result;
        } else {
            return $records;
        }
    }
    
    /**
     * Attribute tree with values
     */
    public function tree() {
        $tree = array();
        $attributes = $this->get_attributes();
        $values = $this->get_values();
        if(!empty($attributes) && !empty($values)) {
            foreach($attributes as $attribute) {
                $tree[$attribute['id']] = array();
                $attribute_values = $this->filter_by_value($values, 'attribute_id', $attribute['id']);
                if(!empty($attribute_values)) {
                    foreach($attribute_values as $attribute_value) {
                        $tree[$attribute['id']][$attribute_value['id']] = $attribute_value['value'];
                    }
                }
            }
        }
        return $tree;
    }
    
    // search array for specific key = value
    /*
     * filtering an array
     */
    private function filter_by_value ($array, $index, $value){
        $newarray = array();
        if(is_array($array) && count($array) > 0) {
            foreach(array_keys($array) as $key){
                $temp[$key] = $array[$key][$index];
                
                if ($temp[$key] == $value){
                    $newarray[$key] = $array[$key];
                }
            }
        }
        return $newarray;
    }
    
    /**
     * Unique Notification/Wishlist Validation Check
     * @return boolean
     */
    public function _unique_check($module) {
        $data = (array) $_POST;
        $where = array('product_id' => $data['product_id'], 'variant_id' => 0, 'deleted' => 0);
        // check existence
        if(isset($data['variant_id'])) {
            $where['variant_id'] = $data['variant_id'];
        }
        if(isset($data['id']) && $data['id'] != 0) {
            $where['id !='] = $data['id'];
        }
        if($module == 'notifications') {
            $where['email'] = $data['email'];
            $table = $this->table_notifications;
        } else {
            $where['user_id'] = $data['user_id'];
            $table = $this->table_wishlists;
        }
        // check existence
        $count = $this->db->where($where)->count_all_results($table);
        if($count > 0) {
            Template::set_message(lang('msg_duplicate_record'), 'danger');
            return false;
        }
        return true;
    }
    
    /**
     * Save attribute values
     * @param array $values
     */
    public function save_attribute_values($attribute_id, $values, $module = 'products') {
        $value_ids = array();
        foreach($values as $value) {
            $id = $value['id'];
            $value = $value['value'];
            if(!empty($id) && !empty($value)) {
                $this->db->where('id', $id)->update($this->table_attribute_values, array('value' => $value));
                $value_ids[] = $id;
            } else if(empty($id) && !empty($value)) {
                $this->db->insert($this->table_attribute_values, array('attribute_id' => $attribute_id, 'value' => $value));
                $value_ids[] = $this->db->insert_id();
            }
        }
        // Delete deleted rows
        if(!empty($value_ids)) {
            $saved_values = $this->db->where('id NOT IN (' . implode(',', $value_ids) . ') AND attribute_id = ' . $attribute_id)->get($this->table_attribute_values)->result();
            if($saved_values) {
                foreach($saved_values as $saved_value) {
                    $this->_purge_attribute_value($saved_value->id, $module);
                }
            }
        }
        $all_values = $this->db->select('id, value')->get_where($this->table_attribute_values, array('attribute_id' => $attribute_id))->result_array();
        $this->db->where('id', $attribute_id)->update($this->table_attributes, array('value' => json_encode($all_values)));
    }
    
    /**
     * Member Area - Wishlist/Notify Me
     */
    public function wishlist_notify_me($table, $redirect_url, $offset = 0, $limit = 25, $role = 'member') {
        $module = $table;
        $table = 'product_' . $table;
        $redirect_condition = $this->uri->segment(3);
        $user_id = $this->auth->user_id();
        // Deleting anything?
        if (isset($_POST['delete'])) {
            $checked = $this->input->post('checked');
            if (is_array($checked) && count($checked)) {
                
                // If any of the deletions fail, set the result to false, so
                // failure message is set if any of the attempts fail, not just
                // the last attempt
                
                $result = true;
                foreach ($checked as $pid) {
                    $deleted = $this->db->where('id', $pid)->delete($table);
                    if ($deleted == false) {
                        $result = false;
                    }
                }
                $label = count($checked) == 1 ? lang('label_item') : lang('label_items');
                if ($result) {
                    Template::set_message(count($checked) . ' ' . sprintf(lang('msg_action_success'), $label, lang('label_deleted')), 'success');
                } else {
                    Template::set_message(sprintf(lang('msg_delete_failure'), $label), 'error');
                }
            }
        }
        
        $like_array = array();
        $searchterm = $this->gc->search($table, $redirect_condition, $redirect_url, $role);
        if(!empty($searchterm)) {
            // This is the basic search filter, you could add more fields to the search
            $like_array = array(
                $table . '.id' => $searchterm,
                'P.title' => $searchterm
            );
        }
        $pagerUriSegment = 5;
        $pagerBaseUrl = $redirect_url;
        if(!empty($like_array)) {
            $this->db->or_like($like_array);
        }
        if(!empty($user_id)) {
            $this->db->where($table . '.user_id', $user_id);
        }
        $this->db->join('products P', 'P.id = ' . $table . '.product_id', 'LEFT');
        $total_rows = $this->db->count_all_results($table);
        $this->load->library('pagination');
        $pager['base_url']    = $pagerBaseUrl;
        $pager['total_rows']  = $total_rows;
        $pager['per_page']    = $limit;
        $pager['uri_segment'] = $pagerUriSegment;
        
        $this->pagination->initialize($pager);
        $this->db->limit($limit, $offset);
        
        $order_by = $this->gc->sort($table);
        if(!empty($order_by)) {
            $this->db->order_by($this->session->userdata($table . '_sort')['column'], $this->session->userdata($table . '_sort')['order']);
        } else {
            $this->db->order_by('id', 'DESC');
        }
        
        if(!empty($like_array)) {
            $this->db->or_like($like_array);
        }
        
        $this->db->join('product_variants V', 'V.id = ' . $table . '.variant_id', 'LEFT');
        $this->db->join('products P', 'P.id = ' . $table . '.product_id', 'LEFT');
        if(!empty($user_id)) {
            $this->db->where($table . '.user_id', $user_id);
        }
        $records = $this->db->select($table . '.*, P.title AS product_title, P.slug as product_slug, V.sku')->get($table)->result();
        
        Template::set(array(
            'records' => $records,
            'toolbar_title' => lang('manage_' . $module)
        ));
        Template::set_view('ecommerce/wishlists');
        Template::render('member');
    }
    
    /**
     * Save Item in Wishlist
     * @param number $user_id
     * @param number $row_id
     * @param number $variant_id
     * @return boolean
     */
    public function save_wishlist_item($user_id, $row_id, $variant_id = 0) {
        $data = array(
            'user_id' => $user_id,
            'product_id' => $row_id,
            'variant_id' => $variant_id,
            'created_on' => date('Y-m-d H:i:s'),
            'modified_on' => date('Y-m-d H:i:s')
        );
        return $this->db->on_duplicate($this->table_wishlists, $data);
    }   
    
    //--------------------------------------------------------------------------
    // !PRIVATE METHODS
    //--------------------------------------------------------------------------
    
    /**
     * Truncate Text for SKU
     *
     * Take three characters from the Product Title
     * First Three Letters from the Attribute Table
     * First Three Letters from the Value
     * Append Product ID in the beginning of the SKU
     *
     * @param string $str
     * @return mixed
     */
    private function slice_text($str) {
        $str = $this->slug->create_slug($str);
        $str = str_replace('-', ' ', $str);
        if(str_word_count($str) >= 3) {
            $str = substr($this->acronym($str), 0, 3); // Get only three characters long text
        } else {
            $str = str_replace(' ', '', $str);
            $str = strtoupper(substr($str, 0, 3)); // Get only three characters long text
        }
        return $str;
    }
    
    /**
     * Form an abbreviation from the initial components in a phrase or a word
     * @param string $string
     * @return boolean|string
     */
    private function acronym( $string = '' ) {
        $words = explode(' ', $string ?? '');
        if ( ! $words ) {
            return false;
        }
        $result = '';
        foreach ( $words as $word ) $result .= $word[0];
        return strtoupper( $result );
    }
    
    /**
     * Check Variant Existence
     * @param integer $product_id
     * @param integer $attribute_id
     * @param integer $value_id
     * @return boolean
     */
    private function check_variant($product_id, $attribute_id, $value_id, $id = 0) {
        $where = array('product_id' => $product_id, 'attribute_id' => $attribute_id, 'value_id' => $value_id);
        if(!empty($id)) {
            $where['variant_id'] = $id;
        }
        $result = $this->db->where($where)->count_all_results($this->table_variant_values);
        if($result == 0) { // Variant does not exist
            return true;
        } else { // Variant exist
            return false;
        }
    }
    
    /**
     * Purge Attributes
     * @param array $ids
     */
    private function _purge_attributes($ids) {
        $ids = is_array($ids) ? $ids : array($ids);
        foreach($ids as $id) {
            // Delete saved values
            $this->db->where('attribute_id', $id)->delete($this->table_attribute_values);
            
            // Delete attribute
            $this->db->where('id', $id)->delete($this->table_attributes);
        }
        return true;
    }
    
    /**
     * Purge Values
     * @param integer $value_id
     * @param string $module
     */
    private function _purge_attribute_value($value_id) {
        // Delete information from the attribute_values table
        return $this->db->where('id', $value_id)->delete($this->table_attribute_values);
    }
    
    /**
     * Purge Variants
     * @param array $ids
     */
    public function _purge_variants($ids) {
        $ids = is_array($ids) ? $ids : array($ids);
        foreach($ids as $id) {
            // Delete saved values
            $this->db->where('attribute_id', $id)->delete($this->table_variant_values);
            
            // Delete variant
            $this->db->where('id', $id)->delete($this->table_variants);
        }
        return true;
    }
    
    /**
     * Emailer Fields/Template Preview Sample Data
     * @return array
     */
    public function template_fields($action_type, $record = null, $seller = null, $buyer = null) {
        if(!$record) {
            $record = $this->db->select('id, title, slug')->order_by('RAND()')->get('products')->row();
        }
        if($record) {
            if(empty($seller)) {
                $seller = $this->db->where('id', $record->user_id)->get('users')->row();
            }
            if($seller) {
                $record->seller_name = $seller->display_name;
                $record->seller_email = $seller->email;
                $record->seller_phone_number = $seller->phone_number;
            }
            if(!empty($action_type) && empty($buyer)) {
                // buyers and notifications fields
                // get random user
                $buyer = $this->db->order_by('RAND()')->get('users')->row();                
            }
            if($buyer) {
                $record->customer_name = empty($buyer->display_name) ? lang('label_sir_madam') : $buyer->display_name;
                $record->user_email = $buyer->email;
                $record->user_phone_number = $buyer->phone_number;
            }
            $product_url = gc_url_format('products', $record->slug, $record->id);
            $record->product_url = anchor($product_url, $product_url);
            if($action_type == 'order_update') {
                $record->order_id = 'OD15876647745250';
                $record->order_date = gc_date_format(date('Y-m-d H:i:s'));
                $record->item_status = gc_order_status(1, false);
            }
        }
        return $record;
    }
    
    /**
     * Update variants column in the products table
     * @param number $product_id
     */
    public function update_product_variants($product_id) {
        $data = array();
        $variants = $this->db->select('id, name AS title, price, offer_price, 1 AS qty')->where(array('product_id' => $product_id, 'deleted' => 0))->get('product_variants')->result();
        if($variants) {
            foreach($variants as $key => $record) {
                $variant_data = $record;
                if(!empty($record->offer_price) && $record->price > $record->offer_price) {
                    $savings = (($record->price - $record->offer_price) * 100) / $record->price;
                    $variant_data->savings_in_percentage = (is_float($savings) ? decimal_convert($savings) : $savings) . '%';
                    $variant_data->regular_price = $record->price;
                    $variant_data->regular_price_with_currency = currency_format($record->price);
                    $variant_data->price = $record->offer_price;
                    $variant_data->price_with_currency = currency_format($record->offer_price);
                } else {
                    $variant_data->price_with_currency = currency_format($record->price);
                }
                $data[$record->id] = $variant_data;
            }
        }
        $this->db->where('id', $product_id)->update('products', array('variants' => json_encode($data)));
    }
    
    /**
     * New Variant Save Form
     * @param number $product_id
     * @param number $id
     * @param string $role
     * @param array $data
     * @return boolean[]|boolean|boolean[]|string[]|boolean[]|array[]|string[][]|NULL[][]
     */
    public function variant_form($user_id, $product_id, $id, $role = 'admin') {
        $this->lang->load('ecommerce/ecommerce');
        if(empty($id)) {
            $record = array('price' => 0, 'offer_price' => 0);
            $toolbar_title = lang('create_product_variants');
        } else {
            // get product id from the variants table
            $record = $this->db->where('id', $id)->get($this->table_variants)->row();
            if(!$record) {
                return array('success' => false);
            }
            $product_id = $record->product_id;
            $toolbar_title = lang('edit_product_variants');
        }
        $product = $this->db->where('id', $product_id)->get('products')->row();
        if(!$product || $product->user_id != $user_id) {
            return array('success' => false);
        }
        if(isset($_POST['save'])) {            
            // Validate the data
            $this->form_validation->set_rules('name', lang('label_name'), 'trim|required|max_length[255]');
            $this->form_validation->set_rules('price', lang('label_price'), 'trim|required|is_decimal');
            $this->form_validation->set_rules('offer_price', lang('label_offer_price'), 'trim|is_decimal');
            $this->form_validation->set_rules('stock', lang('label_stock'), 'trim|is_numeric');
            if ($this->form_validation->run() === false) {
                return false;
            }
            
            // Make sure we only pass in the fields we want
            $stock = (int) $this->input->post('stock');
            if(empty($stock) && empty($id)) {
                $stock = 10000;
            }
            $data = array();
            $data['name'] = escape($this->input->post('name'));
            $data['price'] = $this->input->post('price');
            $data['offer_price'] = $this->input->post('offer_price');
            $data['stock'] = $stock;
            if(empty($id)) { // insert                
                $data['product_id'] = $product_id;
                $data['sku'] = NULL;
                $this->db->insert($this->table_variants, $data);
                $id = $this->db->insert_id();
            } else { // update
                $this->db->where('id', $id)->update($this->table_variants, $data);
            }
            if($id) {
                $this->update_product_variants($product_id);
            }
            $message = sprintf(lang('msg_save_success'), lang('singular_product_variants'));
            return array('success' => true, 'message' => $message);
        }
        
        if($role == 'mobile') {
            $this->load->model('mobiles/mobiles_model');
            $fields = array(
                array('name' => 'name', 'label' => lang('label_name'), 'type' => 'text', 'rules' => array('required' => 'required')),
                array('name' => 'price', 'label' => lang('label_price'), 'type' => 'text', 'rules' => array('required' => 'required', 'is_decimal' => 'is_decimal')),
                array('name' => 'offer_price', 'label' => lang('label_offer_price'), 'type' => 'text', 'rules' => array()),
            );
            $fields = $this->mobiles_model->rest_fields($fields);
            $record = array(
                'success' => true,
                'fields' => $fields,
                'record' => $record,
                'extra' => array(
                    'name' => $toolbar_title,
                    'icon' => 'ellipsis-horizontal-circle-outline',
                    'help' => lang('form_heading_title'),
                    'toolbar_title' => $product->title
                )
            );
            return $record;
        }
    }
}