<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$num_columns	= 6;
$can_delete	    = $role == 'admin' ? $this->auth->has_permission('Variants.Ecommerce.Delete') : true;
$can_edit		= $role == 'admin' ? $this->auth->has_permission('Variants.Ecommerce.Edit') : true;
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php
	if($role == 'admin'):
	if($this->session->userdata('variant_product_id')):?>
	<button class="btn btn-sm btn-primary" name="view_all"><?php echo lang('view_all');?></button>
	<?php
	endif;
	echo search_admin(lang('placeholder_product_variants_search'));
	endif;
	?>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('sku', lang('label_sku')); ?></th>
					<th><?php echo form_filter('price', lang('label_price')); ?></th>
					<th><?php echo form_filter('stock', lang('label_stock')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
				foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(($role == 'admin' ? SITE_AREA . '/components/ecommerce/edit_variant/' . $record->id : gc_url_format('members/variants') . '/2/' . $record->id), '<i class="fas fa-edit"></i> ' .  $record->name); ?></td>
				<?php else : ?>
					<td><?php e($record->name); ?></td>
				<?php endif; ?>
				<td><?php e($record->sku); ?></td>
				<td><?php e(currency_format($record->price)); ?></td>
				<td><?php e($record->stock); ?></td>
				<td><a href="<?php echo $role == 'admin' ? site_url(SITE_AREA . '/components/ecommerce/photos/variants/' . $record->id) : gc_url_format('members/photos') . '/variants/' . $record->id; ?>" class="btn btn-xs btn-info" title="<?php echo lang('photos');?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_photos');?>"><i class="fas fa-camera"></i> <span class="badge badge-danger"><?php echo $record->images_count; ?></span></a></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>