<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
echo form_validations();
$record = isset($record) ? $record : array();
$id = isset($record->id) ? $record->id : '';
$can_delete = $role == 'admin' ? $this->auth->has_permission('Variants.Ecommerce.Delete') : true;
?>
<div class='admin-box'>
    <?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
        <fieldset class="card card-body">
        	<?php
        	if($id):
        	   echo form_hidden('sku', (isset($record->sku) ? $record->sku : ''));
        	endif;
        	echo form_hidden('product_id', (isset($record->product_id) ? $record->product_id : $product_id));
        	echo gc_form_element('text', array('name' => 'name', 'extra' => array('placeholder' => lang('placeholder_variant_name'))), $record, lang('label_name'). lang('bf_form_label_required'), 'col-sm-4');
        	echo gc_form_element('text', array('name' => 'price', 'help' => lang('help_variant_price'), 'default_value' => 0), $record, lang('label_price'), 'col-sm-2');
        	echo gc_form_element('text', array('name' => 'offer_price', 'help' => lang('help_variant_sale_price'), 'default_value' => 0), $record, lang('label_offer_price'), 'col-sm-2');
        	echo gc_form_element('text', array('name' => 'stock', 'default_value' => 0), $record, lang('label_stock'). lang('bf_form_label_required'), 'col-sm-2');
        	if(isset($bulk_generate)) {
            	if(!empty($tree)) {
            	    foreach($tree as $field_key => $field_options) {
            	        $field_value = 0;
            	        if(isset($variants)):
                	        foreach($variants as $variant):
                    	        if($variant->attribute_id == $field_key):
                    	           $field_value = $variant->value_id;
                    	        endif;
                	        endforeach;
            	        endif;
            	        if(!empty($tree[$field_key])) {
            	            $field_options[0] = lang('label_select');
            	            ksort($field_options);
            	            echo gc_form_element('dropdown', array('name' => 'variants[' . $field_key . ']', 'options' => $field_options), $field_value, $attributes[$field_key], 'col-sm-2');
            	        }
            	    }
            	}
        	} else {
                $fields = array(
                    array(
                        'name' => 'name',
                        'type' => 'dropdown',
                        'label' => lang('label_name'),
                        'options' => $attributes,
                        'field_class' => 'attr'
                    ),                
                    array(
                        'name' => 'value',
                        'type' => 'dropdown',
                        'label' => lang('label_value'),                    
                        'options' => $default_values
                    )
                );
                echo gc_form_element('custom', array('name' => 'variants', 'fields' => $fields, 'tree' => $tree, 'unique' => true), (isset($variants) ? $variants : array()), lang('label_variants'), 'col-sm-9');
        	}
            ?>
        </fieldset>
        <?php
        $action_data = array(
			'url' => $cancel_url
		);
        if (!$id || !$can_delete):
			$action_data['delete'] = FALSE;
		endif;
		echo gc_form_element('actions', $action_data);
		?>
    <?php echo form_close(); ?>
</div>