/*----------------------------------------------------*/
/*	TinyMCE Editor for Message
/*----------------------------------------------------*/ 
if($('#header').length || $('#email_content').length) {
	tinymce.init({
		theme: "modern",
		plugins: [
			"advlist autolink lists link image charmap print preview hr anchor pagebreak",
			"searchreplace wordcount visualblocks visualchars code fullscreen",
			"insertdatetime media nonbreaking save table contextmenu directionality",
			"emoticons template paste textcolor colorpicker textpattern responsivefilemanager"
		],
		toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
		toolbar2: "responsivefilemanager | print preview media | forecolor backcolor emoticons",
		image_advtab: true,
		language: $('#site_url').attr('lang'),
		mode: "exact",
		elements: "header,footer,email_content",
		relative_urls : false,
		remove_script_host : false,
		convert_urls : true,
		height: 300,
		entity_encoding : "raw",
		editor_selector: "editor-filemanager", // enable TinyMCE only for textareas having editor class  
		external_filemanager_path: $('#site_url').attr('home_url') + "assets/filemanager/",
		filemanager_title: $('#site_url').attr('fmlang'),
		filemanager_access_key: $('#site_url').attr('akey'),
		external_plugins: { "filemanager" : "../filemanager/plugin.min.js"},
	 });
}

/*----------------------------------------------------*/
/*	Template ID
/*----------------------------------------------------*/
var site_url = $('#site_url').data('home');
$('#template_id').on('change', function() {
	if (confirm($('#warning_template_load').val())) {
		var template_id = $("#template_id").val();
		$.post( site_url + "ajax/load_template", {'ci_csrf_token': csrf_token, 'id': template_id, 'module': 'emails'}, function( data ) {
			$('#email_subject').val(JSON.parse(data).subject);
			tinyMCE.activeEditor.setContent(JSON.parse(data).message);
			/*if(JSON.parse(data).result == 1) {
				msgModal(JSON.parse(data).message, JSON.parse(data).type, 'email'); 
	       } else {
	    	   msgModal(JSON.parse(data).message, JSON.parse(data).type, 'email'); 
	       }*/
	    });
	}
});

/*----------------------------------------------------*/
/*	Message To Change
/*----------------------------------------------------*/
$('#message_to').on('change', function() {
	var messageTo = $('#message_to').val();
	switch(messageTo) {
		case 'groups':
			$('.field-emails').hide();
			$('.field-ids').hide();
			$('.field-groups').show();
			break;
		case 'emails':
			$('.field-groups').hide();
			$('.field-ids').hide();
			$('.field-emails').show();
			break;
		case 'ids':
			$('.field-groups').hide();
			$('.field-emails').hide();
			$('.field-ids').show();
			break;
	}
});

/*----------------------------------------------------*/
/*	Schedule email calendar
/*----------------------------------------------------*/
if($('#scheduled_on').length) {
	$('#scheduled_on').datetimepicker({ format: 'YYYY-MM-DD HH:mm:ss', sideBySide: true});
}