<?php defined('BASEPATH') || exit('No direct script access allowed');

/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2015, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT The MIT License
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Emailer language file (English)
 *
 * Localization strings used by Bonfire's Emailer module.
 *
 * @package Bonfire\Modules\Emailer\Language\English
 * @author  Bonfire Dev Team
 * @link    http://cibonfire.com/docs/developer/emailer
 */

$lang['emailer_template']       = 'Template';
$lang['emailer_email_template'] = 'Email Template';
$lang['emailer_emailer_queue']  = 'Email Queue';
$lang['emailer_email_test']     = 'Test Email';

$lang['emailer_system_email']      = 'System Email';
$lang['emailer_system_email_note'] = 'The email that all system-generated emails are sent from.';
$lang['emailer_email_server']      = 'Email Server';
$lang['emailer_settings']          = 'Email Settings';
$lang['emailer_settings_note']     = '<b>Mail</b> uses the standard PHP mail function, so no settings are necessary.';
$lang['emailer_location']          = 'location';
$lang['emailer_server_address']    = 'Server Address';
$lang['emailer_port']              = 'Port';
$lang['emailer_timeout_secs']      = 'Timeout (seconds)';
$lang['emailer_hourly_limit']      = 'Hourly Limit';
$lang['emailer_daily_limit']       = 'Daily Limit';
$lang['emailer_email_type']        = 'Email Type';
$lang['emailer_save_settings']     = 'Save Settings';
$lang['emailer_test_settings']     = 'Test Email Settings';
$lang['emailer_sendmail_path']     = 'Sendmail Path';
$lang['emailer_smtp_address']      = 'SMTP Server Address';
$lang['emailer_smtp_crypto']       = 'SMTP Encryption';
$lang['emailer_smtp_ssl']          = 'SSL';
$lang['emailer_smtp_tls']          = 'TLS';
$lang['emailer_smtp_username']     = 'SMTP Username';
$lang['emailer_smtp_password']     = 'SMTP Password';
$lang['emailer_smtp_port']         = 'SMTP Port';
$lang['emailer_smtp_timeout']      = 'SMTP timeout';
$lang['emailer_smtp_timeout_secs'] = 'SMTP timeout (seconds)';

$lang['emailer_template_note'] = 'Emails are sent in HTML format. They can be customized by editing the header and footer, below.';
$lang['emailer_header']        = 'Header';
$lang['emailer_footer']        = 'Footer';
$lang['emailer_save_template'] = 'Save Template';

$lang['emailer_test_header']        = 'Test Your Settings';
$lang['emailer_test_intro']         = 'Enter an email address below to verify that your email settings are working.<br/>Please save the current settings before testing.';
$lang['emailer_test_button']        = 'Send Test Email';
$lang['emailer_test_result_header'] = 'Test Results';
$lang['emailer_test_debug_header']  = 'Debug Information';
$lang['emailer_test_success']       = 'The email appears to be set correctly. If you do not see the email in your inbox, try looking in your Spam box or Junk mail.';
$lang['emailer_test_error']         = 'The email looks like it is not set correctly.';

$lang['emailer_test_mail_subject'] = 'Congratulations! Your Bonfire Emailer is working!';
$lang['emailer_test_mail_body']    = 'If you are seeing this email, then it appears your Bonfire Emailer is working!';

$lang['emailer_test_subject']       = 'Congratulations! Your %s Emailer is working!';
$lang['emailer_test_body']          = 'If you are seeing this email, then it appears your %s Emailer is working!';

$lang['emailer_stat_no_queue']  = 'You do not currently have any emails in the queue.';
$lang['emailer_total_in_queue'] = 'Total Emails in Queue:';
$lang['emailer_total_email_sent']     = 'Total Emails Sent:';
$lang['emailer_force_process']  = 'Process Now';
$lang['emailer_insert_test']    = 'Insert Test Email';

$lang['emailer_sent']          = 'Sent?';
$lang['emailer_attempts']      = 'Attempts';
$lang['emailer_id']            = 'ID';
$lang['emailer_to']            = 'To';
$lang['emailer_subject']       = 'Subject';
$lang['emailer_email_subject'] = 'Email Subject';
$lang['emailer_email_content'] = 'Email Content';

$lang['emailer_missing_data'] = 'One or more required fields are missing.';
$lang['emailer_no_debug']     = 'Email was queued. No debug data is available.';

$lang['emailer_delete_success'] = '%d records deleted.';
$lang['emailer_delete_failure'] = 'Could not delete records: %s';
$lang['emailer_delete_error']   = 'Error deleting records: %s';
$lang['emailer_delete_confirm'] = 'Are you sure you want to delete these emails?';
$lang['emailer_delete_none']    = 'No messages selected to delete.';

$lang['emailer_create_email']          = 'Send New Email';
$lang['emailer_create_setting']        = 'Email Configure';
$lang['emailer_create_email_error']    = 'Error creating emails: %s';
$lang['emailer_create_email_success']  = 'Email(s) are inserted into email queue.';
$lang['emailer_create_email_queued']   = '%s email(s) have been inserted into the email queue.';
$lang['emailer_create_email_failure']  = 'Failure creating emails: %s';
$lang['emailer_create_email_no_users'] = 'No users selected as recipients for the email(s)';
$lang['emailer_users_email']          = 'Send New User\'s Email';
$lang['emailer_listings_email']        = 'Send New Listing\'s Email';
$lang['emailer_profiles_email']        = 'Send New Profile\'s Email';
$lang['emailer_recently_opened']       = 'Recently Opened';

$lang['emailer_validation_errors_heading'] = 'Please fix the following errors:';
$lang['emailer_no_users_found']            = 'No users found that match your selection.';
$lang['emailer_queue_debug_heading']       = 'Email Debugger';
$lang['emailer_queue_debug_error']         = 'There was an error sending emails from the queue. The results appear below.';

$lang['emailer_general_settings']  = 'General Settings';
$lang['emailer_mailtype_text']     = 'Text';
$lang['emailer_mailtype_html']     = 'HTML';
$lang['emailer_protocol_mail']     = 'mail';
$lang['emailer_protocol_sendmail'] = 'sendmail';
$lang['emailer_protocol_smtp']     = 'SMTP';

$lang['emailer_settings_save_error'] = 'There was an error saving your settings.';
$lang['emailer_settings_save_success'] = 'Email settings successfully saved.';
$lang['em_status_update']           = 'Status Update';
$lang['em_expiry_notification']     = 'Expiry Notification';
$lang['em_params']                  = 'Parameters';
$lang['em_params_help']             = 'Specify CC, BCC, TO and PHONE NUMBER here. The TO and PHONE NUMBER are applicable for Admin only. Add them to send Admin Email and Message to a specific Email and Phone Number. E.g. to:info@goclixy;cc:clixygo@gmail.com;bcc:support@goclixy.com;phone_number:9999999999;queue_override:1';

$lang['form_validation_emailer_system_email']  = 'System Email';
$lang['form_validation_emailer_email_server']  = 'Email Server';
$lang['form_validation_emailer_sendmail_path'] = 'Sendmail Path';
$lang['form_validation_emailer_smtp_address']  = 'SMTP Server Address';
$lang['form_validation_emailer_smtp_username'] = 'SMTP Username';
$lang['form_validation_emailer_smtp_password'] = 'SMTP Password';
$lang['form_validation_emailer_smtp_port']     = 'SMTP Port';
$lang['form_validation_emailer_smtp_timeout']  = 'SMTP timeout';
$lang['emailer_send_error'] = 'Error sending email: %s';
$lang['help_smtp_address']		   = 'Use ssl:// before the server address, if you are using a secured smtp server (port 465 or 587). e.g. ssl://smtp.gmail.com';

/* Emailer View */
$lang['em_email_templates'] = 'Email Templates';
$lang['em_groups'] = 'Groups';
$lang['em_help_parser']	= 'Dynamic available fields. Usage: {KEY} e.g. {username}';
$lang['singular_groups'] = 'Group';
$lang['em_links'] = 'Links';
$lang['singular_links'] = 'Link';
$lang['manage_links'] = 'Manage Links';
$lang['manage_subscribers'] = 'Manage Subscribers';
$lang['em_subscribers'] = 'Subscribers';
$lang['em_add_subscriber'] = 'Add Subscriber';
$lang['em_unsubscribers'] = 'Unsubscribers';
$lang['singular_subscribers'] = 'Subscriber';
$lang['clear_filtration'] = 'Clear Filtration';
$lang['placeholder_messages_search'] = 'Created On/Scheduled On';
$lang['placeholder_sent_search'] = 'Subscriber ID/Sent On';
$lang['placeholder_history_search'] = 'Sent ID';
$lang['switch_from'] = 'Switching';
$lang['em_failure_counts'] = 'Failure Counts';
$lang['em_not_sent'] = 'Not Sent';
$lang['sent_on'] = 'Sent On';
$lang['label_sent_id'] = 'Sent ID';
$lang['label_message_id'] = 'Message ID';
$lang['label_senders'] = 'Senders';
$lang['singular_senders'] = 'Sender';
$lang['placeholder_search_senders'] = 'Email';
$lang['label_messages'] = 'Messages';
$lang['label_history'] = 'History';
$lang['label_total'] = 'Total';
$lang['label_pending'] = 'Pending';
$lang['label_sent'] = 'Sent';
$lang['label_failure'] = 'Failure';
$lang['label_opened'] = 'Opened';
$lang['label_clicked'] = 'Clicked';
$lang['label_not_sent'] = 'Not Sent';
$lang['emailer_logo_url'] = 'Email Tracking Code';

// Emailer
$lang['new_email'] = 'Send New Email';
$lang['label_group'] = 'Group';
$lang['manage_groups'] = 'Manage Groups';
$lang['em_placeholder_priority'] = 'Emails Priority';
$lang['label_unsubscribed'] = 'Unsubscribed';
$lang['gc_action_unsubscribe'] = 'Unsubscribe';
$lang['gc_action_spam'] = 'Spam';
$lang['marked_spam'] = 'Marked as SPAM';
$lang['mark_failure_spam'] = 'Mark Failure as Spam?';
$lang['label_unsubscribed'] = 'Unsubscribed';
$lang['em_send_to_all'] = 'Send to All';
$lang['manage_unsubscribers'] = 'Manage Unsubscribers';
$lang['unsubscribed_on'] = 'Unsubscribed On';
$lang['emailer_tab_all'] = 'All Emails';
$lang['emailer_tab_sent'] = 'Sent';
$lang['emailer_tab_pending'] = 'Pending';
$lang['emailer_to_be_sent'] = 'Scheduled On';
$lang['em_scheduled_on'] = 'Schedule On';
$lang['em_send_to_all_users'] = 'Send Email to All Active Users';
$lang['em_placeholder_usersearch'] = 'Username/Display Name/Email';
$lang['emailer_process_scheduled'] = 'Process Scheduled Also';
$lang['emailer_clear_queue'] = 'Clear Queue';
$lang['emailer_clear_queue_success'] = 'Email Queue cleared successfully';
$lang['emailer_clear_sent'] = 'Clear Sent';
$lang['emailer_clear_pending'] = 'Clear Pending';
$lang['click_here'] = 'Click Here!';
$lang['em_template'] = 'Email Template';
$lang['em_msg_unsubscribe_text'] = 'If you do not wish to receive such e-mail communication from %s in the future, %s';
$lang['em_unsubscribe_link'] = 'Unsubscribe Link';
$lang['msg_unsubscribe_success'] = '<h3>You have successfully unsubscribed from our subscribers list.</h3><br />Your e-mail address has been removed from our mailing list.<br /><br />Yours sincerely,<br />%s<br /><br />';
$lang['msg_unsubscribe_failure'] = '<h3>Your email address does not exist in our database!</h3><br />You might have already unsubscribed from our Subscribers List<br /><br />Yours sincerely,<br />%s<br /><br />';
$lang['label_difference_warning'] = 'The difference should not exceed %s';
$lang['label_id_range'] = 'ID Range';
$lang['btn_extra'] = 'Submit with Specific IDs';
$lang['label_limit'] = 'Limit';
$lang['help_limit'] = 'The number of records to be fetched in query. Above ID range will also be used. E.g. if you want to send email to 500 users where id between 5 to 505, enter 5 in the ID FROM field, 505 in the ID TO field and 500 in the LIMIT field. Useful, if you want to send email in chunks.';
$lang['help_range'] = 'The FROM field cannot be 0, set it to 1 to send emails using range. The TO field value must also be greater than 1. Range and Limit will be applied to all buttons except the Create/Submit one.';
$lang['label_specific_ids'] = 'Specific IDs';
$lang['help_specific_ids'] = 'Enter IDs in a comma separated format e.g. 1,3,5. The Range and the Limit fields will be ignored in this case.';
$lang['help_scheduled_on'] = 'Leave blank for no schedule';
$lang['label_schedule_limit'] = 'Schedule Limit';
$lang['help_schedule_limit'] = 'Enter subscribers limit to be scheduled for a single day. E.g. if you are sending message to 1,00,000 users and want to send 5,000 per day, enter 5000 in this field.';
$lang['label_schedule_interval'] = 'Schedule Interval';
$lang['help_schedule_interval'] = 'Interval between each schedule. Default is 1 day.';
$lang['note_schedule'] = 'Schedule On Date must be entered for this field.';
$lang['label_switch_from'] = 'Email Switch?';
$lang['help_switch_from'] = 'If checked, FROM address will be switched for sending emails else default email address will be used.';
$lang['label_switch_template'] = 'Template Switch?';
$lang['help_switch_template'] = 'If checked, the Email Content will be switched using the Group/Type field value.';
$lang['manage_senders'] = 'Manage Senders';
$lang['label_templates'] = 'Templates';
$lang['manage_templates'] = 'Manage Templates';
$lang['pre_templates'] = 'Predefined Templates';
$lang['singular_templates'] = 'Template';
$lang['placeholder_search_templates'] = 'Subject/Content';
$lang['manage_providers'] = 'Manage Providers';
$lang['label_providers'] = 'Providers';
$lang['singular_providers'] = 'Provider';
$lang['label_test_senders'] = 'Test Senders';
$lang['test_senders'] = 'Test Senders Result';
$lang['label_logs'] = 'Logs';
$lang['placeholder_url'] = 'Enter an URL';
$lang['placeholder_search_groups'] = 'Name';
$lang['placeholder_search_providers'] = 'Name/SMTP Host';
$lang['placeholder_search_subscribers'] = 'Group ID/Email';
$lang['placeholder_search_links'] = 'URL';
$lang['load_template'] = 'Load Template';
$lang['warning_template_load'] = 'Are you sure you want to completely overwrite the Email Subject and Email Content - there is no going back?';
$lang['specific_emails'] = 'Specific Emails';
$lang['emailer_specific_emails'] = 'Message to Specific Emails';
$lang['emailer_help_specific'] = 'Input emails in comma separated format';
$lang['emailer_sender_error'] = 'The Email Switch option is enabled but there are no Senders.';

// Reply Options
$lang['reply_options'] = 'Reply Options';
$lang['help_reply_options'] = 'Option to use different reply address and whenever receipent hit reply automatically hidden reply to address will appear in to section instead of original from address.';
$lang['reply_email'] = 'Reply Email';
$lang['reply_name'] = 'Reply Name';
$lang['msg_unsubscribe'] = 'If you would like to unsubscribe from eComsta emails, you can do this by clicking on the button below:';
$lang['btn_unsubscribe'] = 'Click Me to Unsubscribe';
$lang['singular_sent'] = 'Sent Item';
$lang['singular_messages'] = 'Message';

// Summary
$lang['emailer_total_emails'] = 'Total Emails';
$lang['emailer_total_sent'] = 'Sent';
$lang['emailer_total_pending'] = 'Pending';
$lang['emailer_total_opened'] = 'Opened';
$lang['emailer_total_clicked'] = 'Clicked';
$lang['emailer_history_summary'] = 'Last 5 Days Summary';
$lang['emailer_campaign']   = 'Campaign';

$lang['em_template_change_info'] = 'Note: some of the newly added templates may not work due to some hard-coded parameters.';
$lang['emailer_params_help'] = 'Specify CC, BCC, TO and PHONE NUMBER here. The TO and PHONE NUMBER are applicable for Admin only. Add them to send Admin Email and Message to a specific Email and Phone Number. E.g. to:info@goclixy;cc:clixygo@gmail.com;bcc:support@goclixy.com;phone_number:9999999999;queue_override:1';


// Manage Email Templates
$lang['manage_email_templates']    = 'Manage Templates';
$lang['create_email_templates']    = 'Add Template';
$lang['edit_email_templates']      = 'Edit Template';
$lang['email_templates']           = 'Email Templates';
$lang['singular_email_templates']  = 'Email Template';
$lang['placeholder_email_templates_search'] = 'Name';
$lang['emailer_short_description'] = 'Short Description';
$lang['placeholder_short_description']    = 'Preview Text (about 35 characters)';

// Manage Email Template Groups
$lang['manage_email_template_groups']    = 'Manage Template Groups';
$lang['create_email_template_groups']    = 'Add Template Group';
$lang['edit_email_template_groups']      = 'Edit Template Group';
$lang['email_template_groups']           = 'Email Template Groups';
$lang['singular_email_template_groups']  = 'Email Template Group';
$lang['placeholder_email_template_groups_search'] = 'Name';

// Manage Email Providers
$lang['manage_email_providers']    = 'Manage Providers';
$lang['create_email_providers']    = 'Add Provider';
$lang['edit_email_providers']      = 'Edit Provider';
$lang['email_providers']           = 'Email Providers';
$lang['singular_email_providers']  = 'Email Provider';
$lang['placeholder_email_providers_search'] = 'Name';

// Manage Email Sender History
$lang['manage_email_sender_history']    = 'Sender History';
$lang['email_sender_history']           = 'Email Sender History';
$lang['singular_email_sender_history']  = 'Email Sender History';
$lang['placeholder_email_sender_history_search'] = 'Sender ID/Datetime';
$lang['emailer_success']      = 'Success';
$lang['emailer_failure']      = 'Failure';