<?php
$nav_url = 'components/emailer';
$nav_links = array(
    array(
        'condition' => 'summary',
        'segment' => $this->uri->segment(4),
        'permission' => 'Emailer.Components.Summary',
        'url' => $nav_url . '/summary',
        'id' => 'emailer_summary',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-lg"></i>'
    ),
    array(
        'condition' => '',
        'segment' => $this->uri->segment(4),
        'permission' => 'Emailer.Components.Settings',
        'url' => $nav_url,
        'id' => 'emailer',
        'tooltip' => true,
        'title' => lang('bf_context_settings'),
        'label' => '<i class="fas fa-cog fa-lg"></i>'
    ),
    array(
        'condition' => 'template',
        'segment' => $this->uri->segment(4),
        'permission' => 'Email_Template.Components.View',
        'url' => $nav_url.'/template',
        'id' => 'template',
        'tooltip' => true,
        'title' => lang('emailer_email_template'),
        'label' => '<i class="fas fa-paint-brush fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Email_Templates.Components.View',
        'url' => $nav_url. '/manage/templates',
        'id' => 'email_templates',
        'tooltip' => true,
        'title' => lang('pre_templates'),
        'label' => '<i class="fas fa-puzzle-piece fa-lg"></i>'
    ),
    array(
        'condition' => 'queue',
        'segment' => $this->uri->segment(4),
        'permission' => 'Emailer.Queue.View',
        'url' => $nav_url.'/queue',
        'id' => 'queue',
        'tooltip' => true,
        'title' => lang('emailer_emailer_queue'),
        'label' => '<i class="fas fa-sitemap fa-lg"></i>'
    ),
    array(
        'condition' => 'send/subscriber_users',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Emailer.Subscribers.Send',
        'url' => $nav_url.'/send/subscriber_users',
        'id' => 'email_subscribers',
        'tooltip' => true,
        'title' => lang('em_subscribers'),
        'label' => '<i class="fas fa-newspaper fa-lg"></i>'
    ),
    array(
        'condition' => 'send/users',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Emailer.Users.Send',
        'url' => $nav_url.'/send/users',
        'id' => 'email_users',
        'tooltip' => true,
        'title' => lang('em_users'),
        'label' => '<i class="fas fa-users fa-lg"></i>'
    ),
    array(
        'condition' => 'send/listings',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Emailer.Listings.Send',
        'url' => $nav_url.'/send/listings',
        'id' => 'email_listings',
        'tooltip' => true,
        'title' => lang('em_listings'),
        'label' => '<i class="fas fa-th-list fa-lg"></i>'
    ),
    array(
        'condition' => 'send/profiles',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Emailer.Profiles.Send',
        'url' => $nav_url.'/send/profiles',
        'id' => 'email_profiles',
        'tooltip' => true,
        'title' => lang('em_profiles'),
        'label' => '<i class="fas fa-th-list fa-lg"></i>'
    ),
    array(
        'condition' => 'links',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_Links.Components.View',
        'url' => $nav_url.'/sbl/links',
        'id' => 'links',
        'tooltip' => true,
        'title' => lang('em_links'),
        'label' => '<i class="fas fa-link fa-lg"></i>'
    ),
    array(
        'condition' => 'senders',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_Senders.Components.View',
        'url' => $nav_url.'/sbl/senders',
        'id' => 'senders',
        'tooltip' => true,
        'title' => lang('label_senders'),
        'label' => '<i class="fas fa-share-square fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/providers',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Email_Providers.Components.View',
        'url' => $nav_url. '/manage/providers',
        'id' => 'email_providers',
        'tooltip' => true,
        'title' => lang('label_providers'),
        'label' => '<i class="fas fa-box fa-lg"></i>'
    ),
    array(
        'condition' => 'messages',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_Messages.Components.View',
        'url' => $nav_url.'/view/messages',
        'id' => 'messages',
        'tooltip' => true,
        'title' => lang('label_messages'),
        'label' => '<i class="fas fa-envelope-open fa-lg"></i>'
    ),
    array(
        'condition' => 'sent',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_Sent.Components.View',
        'url' => $nav_url.'/view/sent',
        'id' => 'history',
        'tooltip' => true,
        'title' => lang('label_sent'),
        'label' => '<i class="fas fa-location-arrow fa-lg"></i>'
    ),
    array(
        'condition' => 'history',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_History.Components.View',
        'url' => $nav_url.'/view/history',
        'id' => 'history',
        'tooltip' => true,
        'title' => lang('label_history'),
        'label' => '<i class="fas fa-history fa-lg"></i>'
    )
);
echo $this->load->view('common/_subnav', array('nav_links' => $nav_links));
?>