<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$id = isset($record->id) ? $record->id : '';
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
	<fieldset>			
	<?php
	$group_id = !empty($group_id) ? $group_id : (!empty($record->group_id) ? $record->group_id : 0);
	echo form_hidden('group_id', $group_id);
	$options = array();
	$templates = $this->db->select('id, subject')->get('module_email_templates')->result();
	if($templates):
		foreach($templates as $template):
			$options[$template->id] = $template->subject;
		endforeach;
	endif;
	echo gc_form_element('dropdown', array('name' => 'template_id', 'options' => $options), $record, lang('label_template'));
	echo gc_form_element('text', array('name' => 'from_name', 'extra' => array('maxlength' => 100)), $record, lang('label_from_name'). lang('bf_form_label_required'));
	echo gc_form_element('text', array('name' => 'from_email', 'placeholder' => lang('placeholder_email'), 'extra' => array('maxlength' => 100)), $record, lang('label_from_email'). lang('bf_form_label_required'));
	echo gc_form_element('text', array('name' => 'subject', 'placeholder' => lang('placeholder_subject')), $record, lang('label_subject') . lang('bf_form_label_required'), 'col-sm-6');
	$checkboxes = array(
		array(
			'name' => 'status',
			'value' => $record,
			'label' => lang('label_status')
		),
		array(
			'name' => 'is_default',
			'value' => $record,
			'label' => lang('label_is_default'),
			'tooltip' => lang('help_is_default')
		),
	);
	echo gc_form_element('checkbox', array('options' => $checkboxes), array(), '', 'col-sm-9');

	$action_data = array(
		'url' => SITE_AREA .'/components/emailer/group_templates'
	);
	if (!$id || !$this->auth->has_permission('Emailer.Components.Delete')):
		$action_data['delete'] = FALSE;
	endif;
	echo gc_form_element('actions', $action_data);
	?>
	</fieldset>
    <?php echo form_close(); ?>
</div>