<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 10;
$can_delete		= $this->auth->has_permission('Bonfire.Emailer.Manage');
$can_edit		= $this->auth->has_permission('Bonfire.Emailer.Manage');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_group_templates_search'));?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('group_id', lang('label_group'));?></th>
					<th><?php echo form_filter('from_name', lang('label_from_name'));?></th>
					<th><?php echo form_filter('from_email', lang('label_from_email'));?></th>
					<th><?php echo form_filter('subject', lang('label_subject'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on'));?></th>
					<th class="text-center"><?php echo form_filter('status', lang('label_status'));?></th>
					<th><?php echo lang('label_action'); ?></td>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id) ?></td>
					<td><?php e($record->group_name) ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/components/emailer/edit_group_template/' . $record->id, $record->from_name); ?></td>
				<?php else : ?>
					<td><?php e($record->from_name); ?></td>
				<?php endif; ?>
					<td><?php e($record->from_email) ?></td>
					<td><?php e($record->subject) ?></td>	
					<td><?php echo gc_date_format($record->created_on); ?></td>
					<td><?php echo gc_date_format($record->modified_on); ?></td>				
					<td class="text-center">					
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
					<td>
						<?php echo anchor(site_url(SITE_AREA . '/components/emailer/group_template_params/' . $record->id), '<i class="fab fa-wpforms fa-lg"></i>', 'data-toggle="tooltip" data-placement="bottom" title="' . lang('group_template_params') . '"'); ?>
						<?php echo anchor(site_url(SITE_AREA . '/components/emailer/group_template_editor/' . $record->id), '<i class="fas fa-edit fa-lg"></i>', 'data-toggle="tooltip" data-placement="bottom" title="' . lang('group_template_editor') . '"'); ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('label_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();?>
</div>