<?php
$nav_url = 'components/emailer';
$nav_links = array(
    array(
        'condition' => 'summary',
        'segment' => $this->uri->segment(4),
        'permission' => 'Emailer.Components.Summary',
        'url' => $nav_url . '/summary',
        'id' => 'emailer_summary',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('gc_menu_summary')
    ),
    array(
        'condition' => '',
        'segment' => $this->uri->segment(4),
        'permission' => 'Emailer.Components.Settings',
        'url' => $nav_url,
        'id' => 'emailer',
        'tooltip' => true,
        'title' => lang('bf_context_settings'),
        'label' => '<i class="fas fa-cog fa-fw mr-1"></i>' . lang('bf_context_settings')
    ),
    array(
        'condition' => 'template',
        'segment' => $this->uri->segment(4),
        'permission' => 'Email_Template.Components.View',
        'url' => $nav_url.'/template',
        'id' => 'template',
        'tooltip' => true,
        'title' => lang('emailer_email_template'),
        'label' => '<i class="fas fa-paint-brush fa-fw mr-1"></i>' . lang('emailer_email_template')
    ),
    array(
        'condition' => 'manage/templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Email_Templates.Components.View',
        'url' => $nav_url. '/manage/templates',
        'id' => 'email_templates',
        'tooltip' => true,
        'title' => lang('pre_templates'),
        'label' => '<i class="fas fa-puzzle-piece fa-fw mr-1"></i>' . lang('pre_templates')
    ),
    array(
        'condition' => 'queue',
        'segment' => $this->uri->segment(4),
        'permission' => 'Emailer.Queue.View',
        'url' => $nav_url.'/queue',
        'id' => 'queue',
        'tooltip' => true,
        'title' => lang('emailer_emailer_queue'),
        'label' => '<i class="fas fa-sitemap fa-fw mr-1"></i>' . lang('emailer_emailer_queue')
    ),
    array(
        'condition' => 'send/subscriber_users',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Emailer.Subscribers.Send',
        'url' => $nav_url.'/send/subscriber_users',
        'id' => 'create',
        'tooltip' => true,
        'title' => lang('em_subscribers'),
        'label' => '<i class="fas fa-newspaper fa-fw mr-1"></i>' . lang('em_subscribers')
    ),
    array(
        'condition' => 'send/users',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Emailer.Users.Send',
        'url' => $nav_url.'/send/users',
        'id' => 'email_users',
        'tooltip' => true,
        'title' => lang('em_users'),
        'label' => '<i class="fas fa-users fa-fw mr-1"></i>' . lang('em_users')
    ),
    array(
        'condition' => 'send/listings',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Emailer.Listings.Send',
        'url' => $nav_url.'/send/users',
        'id' => 'email_listings',
        'tooltip' => true,
        'title' => lang('em_listings'),
        'label' => '<i class="fas fa-th-list fa-fw mr-1"></i>' . lang('em_listings')
    ),
    array(
        'condition' => 'send/profiles',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Emailer.Profiles.Send',
        'url' => $nav_url.'/send/profiles',
        'id' => 'email_profiles',
        'tooltip' => true,
        'title' => lang('em_profiles'),
        'label' => '<i class="fas fa-th-list fa-fw mr-1"></i>' . lang('em_profiles')
    ),
    array(
        'condition' => 'links',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_Links.Components.View',
        'url' => $nav_url.'/sbl/links',
        'id' => 'links',
        'tooltip' => true,
        'title' => lang('em_links'),
        'label' => '<i class="fas fa-link fa-fw mr-1"></i>' . lang('em_links')
    ),
    array(
        'condition' => 'senders',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_Senders.Components.View',
        'url' => $nav_url.'/sbl/senders',
        'id' => 'senders',
        'tooltip' => true,
        'title' => lang('label_senders'),
        'label' => '<i class="fas fa-share-square fa-fw mr-1"></i>' . lang('label_senders')
    ),
    array(
        'condition' => 'manage/providers',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Email_Providers.Components.View',
        'url' => $nav_url. '/manage/providers',
        'id' => 'email_providers',
        'tooltip' => true,
        'title' => lang('label_providers'),
        'label' => '<i class="fas fa-box fa-fw mr-1"></i>' . lang('label_providers')
    ),
    array(
        'condition' => 'messages',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_Messages.Components.View',
        'url' => $nav_url.'/view/messages',
        'id' => 'messages',
        'tooltip' => true,
        'title' => lang('label_messages'),
        'label' => '<i class="fas fa-envelope-open fa-fw mr-1"></i>' . lang('label_messages')
    ),
    array(
        'condition' => 'sent',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_Sent.Components.View',
        'url' => $nav_url.'/view/sent',
        'id' => 'history',
        'tooltip' => true,
        'title' => lang('label_sent'),
        'label' => '<i class="fas fa-location-arrow fa-fw mr-1"></i>' . lang('label_sent')
    ),
    array(
        'condition' => 'history',
        'segment' => $this->uri->segment(5),
        'permission' => 'Email_History.Components.View',
        'url' => $nav_url.'/view/history',
        'id' => 'history',
        'tooltip' => true,
        'title' => lang('label_history'),
        'label' => '<i class="fas fa-history fa-fw mr-1"></i>' . lang('label_history')
    )
);
echo $this->load->view('common/_menus', array('menus' => $nav_links, 'menu_module' => 'emailer', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>