<style>
th.id { width: 2em; }
th.to { width: 10em; }
th.attempts { width: 6em; }
td.attempts { text-align: center !important; }
th.scheduled { width: 10em; }
th.sent { width: 3em; }
td.sent { text-align: center !important; }
th.preview { width: 6em; }
td.preview { text-align: center !important; }
</style>
<div class="admin-box mt-2">
    <div class="row">
        <div class="col-sm-3">
            <p><strong><?php echo lang('emailer_total_in_queue'); ?></strong> <?php echo $total_in_queue ? $total_in_queue : '0'; ?></p>
        </div>
        <div class="col-sm-2">
            <p><strong><?php echo lang('emailer_total_email_sent'); ?></strong> <?php echo $total_sent ? $total_sent : '0'; ?></p>
        </div>
        <div class="col-sm-7 text-right bottom1">
        	<div class="float-right">
            <?php echo form_open($this->uri->uri_string(), array('class' => 'form-inline')); ?>
                <input type="submit" name="force_process" class="btn btn-xs btn-primary mr-1" value="<?php e(lang('emailer_force_process')); ?>" />
                <input type="submit" name="process_all" class="btn btn-xs btn-inverse mr-1" value="<?php e(lang('emailer_process_scheduled')); ?>" />
                <input type="submit" name="insert_test" class="btn btn-xs btn-warning mr-1" value="<?php e(lang('emailer_insert_test')); ?>" />                
                <input type="submit" name="clear_sent" class="btn btn-xs btn-success mr-1" <?php echo empty($emails) ? 'disabled ' : ''?>value="<?php e(lang('emailer_clear_sent')); ?>" />
                <input type="submit" name="clear_pending" class="btn btn-xs btn-info mr-1" <?php echo empty($emails) ? 'disabled ' : ''?>value="<?php e(lang('emailer_clear_pending')); ?>" />
                <input type="submit" name="clear_queue" class="btn btn-xs btn-danger" <?php echo empty($emails) ? 'disabled ' : ''?>value="<?php e(lang('emailer_clear_queue')); ?>" />
            <?php echo form_close(); ?>
            </div>
        </div>
    </div>
<?php
$index_url = site_url(SITE_AREA . '/components/emailer/queue');
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('emailer_tab_all')),
    array('filter' => $filter_type, 'condition' => 'sent', 'url' => $index_url . '/sent/', 'title' => lang('emailer_tab_sent')),
    array('filter' => $filter_type, 'condition' => 'pending', 'url' => $index_url . '/pending/', 'title' => lang('emailer_tab_pending'))
	);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
?>

    <?php if (empty($emails) || ! is_array($emails)) : ?>
    <div class="alert alert-warning">
        <p><?php echo sprintf(lang('emailer_stat_no_queue'), ($filter_type == 'sent' ? lang('emailer_tab_sent') : ($filter_type == 'pending' ? lang('emailer_clear_pending') : ''))); ?></p>
    </div>
    <?php
    else :
        $numColumns = 9;
        echo form_open($this->uri->uri_string());
    ?>
	<div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th class="column-check"><input class="check-all" type="checkbox" /></th>
                    <th class="id"><?php echo lang('emailer_id'); ?></th>
                    <th class="to"><?php echo lang('emailer_to'); ?></th>
                    <th><?php echo lang('emailer_subject'); ?></th>
                    <th class="scheduled"><?php echo lang('emailer_to_be_sent'); ?></th>
                    <th class="attempts"># <?php echo lang('emailer_attempts'); ?></th>
                    <th class="sent"><?php echo lang('emailer_sent'); ?></th>
                    <th class="preview"><?php echo lang('bf_action_preview'); ?></th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <td colspan="<?php echo $numColumns; ?>">
                        <?php echo lang('bf_with_selected') . '&nbsp;'; ?>
                        <button type="submit" name="delete" id="delete-me" class="btn btn-danger" onclick="return confirm('<?php e(js_escape(lang('emailer_delete_confirm'))); ?>')">
                            <span class="icon-white icon-trash"></span> <?php echo lang('bf_action_delete'); ?>
                        </button>
                    </td>
                </tr>
            </tfoot>
            <tbody>
                <?php foreach ($emails as $email) :?>
                <tr>
                    <td class='column-check'><input type="checkbox" name="checked[]" value="<?php echo $email->id; ?>" /></td>
                    <td class='id'><?php echo $email->id; ?></td>
                    <td class='to'><?php e($email->to_email); ?></td>
                    <td><?php e($email->subject); ?></td>
                    <td><?php e($email->scheduled_on); ?></td>
                    <td class="attempts"><?php echo $email->attempts; ?></td>
                    <td class="sent"><?php echo $email->success ? lang('bf_yes') : lang('bf_no'); ?></td>
                    <td class="preview"><?php echo anchor(SITE_AREA . "/components/emailer/preview/{$email->id}", lang('bf_action_preview'), array('target'=>'_blank')); ?></td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
	</div>
        <?php
        echo form_close();
    endif;
        ?>
        <?php echo $this->pagination->create_links(); ?>
</div>
<?php if (isset($email_debug)) : ?>
<h3><?php echo lang('emailer_queue_debug_heading'); ?></h3>
<div class="notification attention">
    <p><?php echo lang('emailer_queue_debug_error'); ?></p>
</div>
<div class="box">
    <?php echo $email_debug; ?>
</div>
<?php endif;
