<?php
$blocks = array('total_emails' => 2, 'total_sent' => 2, 'total_pending' => 1, 'total_opened' => 2); // , 'total_clicked' => 2
$this->load->view('common/_summary_block_01', array('blocks' => $blocks, 'record' => $record, 'is_colorful' => false, 'module_prefix' => 'emailer', 'cols' => 3));
?>
<div class="row mt-2">
<?php if(!empty($records)):?>
<div class="col-sm-4">
<h3 class="font-weight-bold m-0"><?php echo lang('emailer_history_summary'); ?></h3>
<table class="table table-striped table-sm">
    <thead>
    	<tr>
    		<th><?php echo lang('label_date'); ?></th>
    		<th><?php echo lang('label_sent'); ?></th>
    		<th><?php echo lang('label_failure'); ?></th>
    	</tr>
    </thead>
    <tbody>
    	<?php foreach($records as $date => $value):?>
    	<tr>
    		<td><?php echo $date; ?></td>
    		<td><?php echo $value['sent']; ?></td>
    		<td><?php echo $value['failure']; ?></td>
    	</tr>
    	<?php endforeach; ?>
    </tbody>
</table>
</div>
<?php endif; ?>
<?php if(!empty($record->recently_opened)): ?>
<div class="col-sm-4">
<h3 class="font-weight-bold m-0"><?php echo lang('emailer_recently_opened'); ?></h3>
<table class="table table-striped table-sm">
    <thead>
    	<tr>
    		<th><?php echo lang('label_message'); ?></th>
    		<th><?php echo lang('date_time'); ?></th>
    	</tr>
    </thead>
    <tbody>
    <?php foreach($record->recently_opened as $recently_opened):?>
    <tr>
    	<td><?php echo $recently_opened->message; ?></td>
    	<td><span class="badge badge-success"><?php echo gc_date_format($recently_opened->created_on); ?></span></td>
    </tr>
    <?php endforeach;?>
    </tbody>
</table>
</div>
<?php endif;?>
<?php if(!empty($record->recently_clicked)): ?>
<div class="col-sm-4">
<h3 class="font-weight-bold m-0"><?php echo lang('emailer_recently_clicked'); ?></h3>
<table class="table table-striped table-sm">
    <thead>
    	<tr>
    		<th><?php echo lang('label_message'); ?></th>
    		<th><?php echo lang('date_time'); ?></th>
    	</tr>
    </thead>
    <tbody>
    <?php foreach($record->recently_opened as $recently_opened):?>
    <tr>
    	<td><?php echo $recently_opened->message; ?></td>
    	<td><span class="badge badge-success"><?php echo gc_date_format($recently_opened->created_on); ?></span></td>
    </tr>
    <?php endforeach;?>
    </tbody>
</table>
</div>
<?php endif;?>
</div>