<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
);
switch($type) {
    case 'sent':
        $nav_tabs[] = array('filter' => $filter_type, 'condition' => 'sent', 'url' => $index_url . 'sent/', 'title' => lang('label_sent'));
        $nav_tabs[] = array('filter' => $filter_type, 'condition' => 'not_sent', 'url' => $index_url . 'not_sent/', 'title' => lang('em_not_sent'));
        $nav_tabs[] = array('filter' => $filter_type, 'condition' => 'failure', 'url' => $index_url . 'failure/', 'title' => lang('label_failure'));
        break;
    case 'history':
        $nav_tabs[] = array('filter' => $filter_type, 'condition' => 'opened', 'url' => $index_url . 'opened/', 'title' => lang('label_opened'));
        $nav_tabs[] = array('filter' => $filter_type, 'condition' => 'clicked', 'url' => $index_url . 'clicked/', 'title' => lang('label_clicked'));
        break;
}
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));


$num_columns	= 12;
$can_delete	= $this->auth->has_permission('Bonfire.Emailer.Manage');
$can_edit		= $this->auth->has_permission('Bonfire.Emailer.Manage');
$has_records	= isset($records) && is_array($records) && count($records);
?>

<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<div class="d-flex mt-2">
		<?php if($type == 'sent' && $this->session->userdata('message_filtration')):?>
			<button type="submit" name="clear_filtration" class="btn btn-danger btn-xs"><?php echo lang('clear_filtration');?></button>
		<?php endif;?>
		<?php if($type == 'history' && $this->session->userdata('sent_filtration')):?>
			<button type="submit" name="clear_filtration" class="btn btn-danger btn-xs"><?php echo lang('clear_filtration');?></button>
		<?php endif;?>
		</div>
		<?php echo search_admin(lang('placeholder_' . $type . '_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<?php switch($type) { case 'messages':?>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('message', lang('label_message'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo form_filter('total', lang('label_total'));?></th>
					<th><?php echo form_filter('pending', lang('label_pending'));?></th>
					<th><?php echo form_filter('sent', lang('label_sent'));?></th>
					<th><?php echo form_filter('failure', lang('label_failure'));?></th>
					<th><?php echo form_filter('opened', lang('label_opened'));?></th>
					<th><?php echo form_filter('clicked', lang('label_clicked'));?></th>
					<th class="text-center"><?php echo lang('label_action');?></th>
					<?php break; case 'sent':?>
					<th><?php echo form_filter('row_id', lang('singular_subscribers'));?></th>
					<th><?php echo form_filter('message_id', lang('emailer_campaign'));?></th>
					<th><?php echo form_filter('failure_counts', lang('em_failure_counts'));?></th>
					<th><?php echo form_filter('sent_on', lang('sent_on'));?></th>
					<th><?php echo form_filter('last_ip', lang('ip_address'));?></th>
					<th><?php echo form_filter('opened', lang('label_opened'));?></th>
					<th><?php echo form_filter('clicked', lang('label_clicked'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
					<th class="text-center"><?php echo lang('label_action');?></th>
					<?php break; case 'history':?>
					<th><?php echo form_filter('sent_id', lang('label_sent_id'));?></th>
					<th><?php echo form_filter('message_id', lang('emailer_campaign'));?></th>
					<th><?php echo form_filter('type_id', lang('label_type'));?></th>
					<th><?php echo form_filter('link_id', lang('singular_links'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo form_filter('ip_address', lang('ip_address'));?></th>
					<?php break; }?>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php echo lang('bf_with_selected'); ?>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<?php switch($type) { case 'messages':?>
					<td>
					<h5 class="text-uppercase font-weight-bold"><?php e($record->name); ?></h5>
					<table class="table table-bordered table-sm">
						<tr>
    						<td><?php echo lang('label_from'); ?></td>
        					<td><?php echo $record->id_from == 0 ? lang('not_applicable') : $record->id_from;?></td>
    					</tr>
    					<tr>
    						<td><?php echo lang('label_to'); ?></td>
    						<td><?php echo $record->id_to == 1 ? lang('not_applicable') : $record->id_to; ?></td>
    					</tr>
    					<tr>
    						<td><?php echo lang('label_limit'); ?></td>
    						<td><?php echo $record->rows_limit == 0 ? lang('not_applicable') : $record->rows_limit; ?></td>
    					</tr>
    					<tr>
    						<td><?php echo lang('label_specific_ids'); ?></td>
    						<td><?php echo empty($record->specific_ids) ? lang('not_applicable') : $record->specific_ids; ?></td>
    					</tr>
    					<tr>
    						<td><?php echo lang('em_scheduled_on'); ?></td>
    						<td><?php echo empty($record->scheduled_on) ? lang('not_applicable') : $record->scheduled_on; ?></td>
    					</tr>
    					<tr>
    						<td><?php echo lang('label_limit'); ?></td>
    						<td><?php echo empty($record->schedule_limit) ? lang('not_applicable') : $record->schedule_limit; ?></td>
    					</tr>
    					<tr>
    						<td><?php echo lang('label_schedule_interval'); ?></td>
    						<td><?php echo empty($record->schedule_interval) ? lang('not_applicable') : $record->schedule_interval; ?></td>
    					</tr>
    					<tr>
    						<td><?php echo lang('switch_from'); ?></td>
    						<td><?php echo empty($record->switch_from) ? '<span class="badge badge-danger"><i class="fas fa-times"></i></span>' : '<span class="badge badge-success"><i class="fas fa-check"></i></span>'; ?></td>
    					</tr>
					</table>
					</td>
					<td>					
					<h5 class="font-weight-bold"><?php e($record->subject); ?></h5>
					<?php echo htmlspecialchars_decode(stripslashes(substr($record->message, 0, 5000))); ?></td>
					<td><?php e($record->created_on); ?></td>
					<td><?php e($record->total); ?></td>
					<td><?php e($record->pending); ?></td>
					<td><?php e($record->sent); ?></td>
					<td><?php e($record->failure); ?></td>
					<td><?php e($record->opened); ?></td>
					<td><?php e($record->clicked); ?></td>
					<td class="text-center">
						<button type="submit" name="message_filtration" value="<?php echo $record->id?>" class="btn btn-warning btn-xs"><?php echo lang('label_sent');?></button>
						<button type="submit" name="history_filtration" value="<?php echo $record->id?>" class="btn btn-info btn-xs"><?php echo lang('label_history');?></button>
						<button type="submit" name="mark_spam" value="<?php echo $record->id?>" class="btn btn-danger btn-sm btn-xs mt-1"><?php echo lang('mark_failure_spam');?></button>
					</td>
					<?php break; case 'sent':?>
					<td><?php echo $record->row_id . ' - ' . $record->email; ?></td>
					<td><?php echo $record->message_id; ?></td>
					<td><?php echo $record->failure_counts; ?></td>
					<td><?php echo $record->sent_on; ?></td>
					<td><?php echo $record->last_ip; ?></td>
					<td><?php echo $record->opened; ?></td>
					<td><?php echo $record->clicked; ?></td>
					<td class='status'>
					<?php if ($record->status == 1) : ?>
						<span class="badge badge-success"><?php echo lang('label_sent'); ?></span>
						<?php elseif ($record->status == 2) : ?>
						<span class="badge badge-danger"><?php echo lang('label_failure'); ?></span>
						<?php else:?>
						<span class="badge badge-warning"><?php echo lang('em_not_sent'); ?></span>
						<?php endif; ?>
					</td>					
					<td class="text-center"><button type="submit" name="sent_filtration" value="<?php echo $record->id?>" class="btn btn-info btn-xs"><?php echo lang('label_history');?></button></td>
					<?php break; case 'history':?>
					<td><?php e($record->sent_id); ?></td>
					<td><?php e($record->message_id); ?></td>
					<td class='status'>
					<?php if ($record->type_id == 1) : ?>
						<span class="badge badge-success"><?php echo lang('label_clicked'); ?></span>
						<?php else:?>
						<span class="badge badge-info"><?php echo lang('label_opened'); ?></span>
						<?php endif; ?>
					</td>
					<td>
					<?php if(empty($record->link_id)):?>
					<?php else:?>
					<?php echo $record->link_id . ' - ' . anchor($record->link, $record->link, 'target="_blank"'); ?>
					<?php endif;?>
					</td>
					<td><?php e($record->created_on); ?></td>
					<td><?php e($record->ip_address); ?></td>
					<?php break; }?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
<?php
echo form_close();    
echo $this->pagination->create_links();
?>
</div>