<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 10;
$can_delete	= $this->auth->has_permission('Erroneous.Reports.Delete');
$can_edit		= $this->auth->has_permission('Erroneous.Reports.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('listing_title', lang('label_listing'));?></th>
					<th><?php echo form_filter('name', lang('label_user'));?></th>
					<th><?php echo form_filter('type_id', lang('label_type'));?></th>
					<th><?php echo form_filter('email', lang('label_email'));?></th>
					<th><?php echo form_filter('created_on', lang('label_reported_on'));?></th>
					<th><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
					<td><?php e($record->listing_title); ?></td>
					<td><?php e($record->display_name) ?></td>
					<td>
					<?php switch($record->type_id) {
						case 1:?>
							<?php echo lang('erroneous_option_first');?>
							<?php break;
						case 2:?>
							<?php echo lang('erroneous_option_second');?>
							<?php break;
						case 3:?>
							<?php echo lang('erroneous_option_third');?>
							<?php break;
						case 4: ?>
							<?php echo lang('erroneous_option_fourth');?>
							<?php break ; }?>
					</td>
					<td><?php e($record->email) ?></td>
					<td><?php echo gc_date_format($record->created_on); ?></td>
					<td><?php echo anchor(SITE_AREA . '/reports/erroneous/view/' . $record->id, '<span class="badge badge-info">'.lang('label_view').'</span>'); ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();
	?>
</div>