<?php defined('BASEPATH') || exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
/**
 * Faqs controller
 */
class Faqs extends Front_Controller {    
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
        $this->lang->load('faqs');
        $this->load->library('gcrud');
        Assets::add_module_js('faqs', 'faqs.js');
    }
    
    /**
     * Display a list of faqs data.
     *
     * @return void
     */
    public function index() {
        $faq_groups = array();
        $faq_group_ids = array();
        $id_groups = array();
        $group_id = (int) $this->input->get('group');
        $id = (int) $this->input->get('id'); // question id - display this question on the top
        $sort_by = 'M.priority ASC';
        $toolbar_title = lang('label_faqs');
        if(!empty($id)) {
            // get group id from the question itself
            // NOTE: question and group cannot be different, question must be in that specific group only
            $faq_record = $this->gcrud->get_all_crud(0, 'status = 1 AND id = ' . $id, $sort_by, 1, 0, array('module' => 'faqs'));
            // $faq = $this->gc->get('faqs', array('where' => 'id = ' . $id, 'row' => 1));
            if($faq_record) {
                $faq = $faq_record[0];
                $faq_group_ids = explode(',', $faq->group_ids);
                $faq_group_ids = !empty($faq_group_ids[0]) ? array($faq_group_ids[0]) : 0;
                $group_id = 0;
            }
        }
        if(!empty($group_id)) {
            $group_tree = $this->gc->closure(array('where' => 'parent_id = ' . $group_id, 'parent' => 0, 'self' => true), 'faq_groups', 'faq_group_hierarchies');
        }
        $groups = $this->db->query("SELECT GROUP_CONCAT(DISTINCT(group_ids)) AS ids FROM " . $this->db->dbprefix . "faqs")->row();
        if($groups) {
            $id_groups = array();
            if(!empty($faq_group_ids)) {
                foreach($faq_group_ids as $faq_group_id) {
                    $id_groups[] = $faq_group_id;
                }
            } else {
                $group_has_faqs = $this->gc->get('faqs', array('where' => 'FIND_IN_SET(' . $group_id . ', group_ids)'));
                if(!empty($group_has_faqs)) {
                    $id_groups[] = $group_id;
                } else {
                    // display group name on the top
                    $group_info = $this->gc->get('faq_groups', array('where' => 'id = ' . $group_id, 'row' => 1));
                    if($group_info) {
                        $toolbar_title = $group_info->name;
                    }
                }
            }
            if(!empty($group_tree)) {
                foreach($group_tree as $tree_group) {
                    $id_groups[] = $tree_group['id'];
                }
            }
            $where_group_ids = (!empty($id_groups) ? implode(',', $id_groups) : $groups->ids);
            $faq_groups = !empty($where_group_ids) ? $this->db->where('id IN (' . (!empty($id_groups) ? implode(',', $id_groups) : $groups->ids) . ')')->get('faq_groups')->result() : array();
        }
        $faqs_where = 'status = 1';
        $group_where = array();
        if(!empty($id_groups)) {
            foreach($id_groups as $id_group) {
                $group_where[] = "FIND_IN_SET(" . $id_group . ", group_ids)";
            }
            $group_where = '(' . implode(' OR ', $group_where) . ')';
            $faqs_where .= ' AND ' . $group_where;
        }
        if(!empty($id)) {
            $faqs_where .= ' AND id != ' . $id;
        }
        // 'status = 1 AND deleted = 0' . (!empty($group_id) ? " AND FIND_IN_SET(" . $group_id . ", group_ids)" : '')
        $records = $this->gcrud->get_all_crud(0, $faqs_where, $sort_by, 5000, 0, array('module' => 'faqs'));
        if(!empty($faq_record)) {
            $records = array_merge($faq_record, $records);
        }
        /*if(empty($id_groups)) { // at least one group id must exist
            Template::redirect(site_url());
        }*/
        Template::set(array(
            'toolbar_title' => $toolbar_title,
            'groups' => $faq_groups,
            'group_counts' => count($id_groups),
            'records' => $records
        ));
        $this->gc->demo_custom_css_js('index');
        Template::render();
    }
}