<?php defined('BASEPATH') || exit('No direct script access allowed');

class Favorites_model extends BF_Model
{
    protected $table_name	= 'favorites';
	protected $key			= 'id';
	protected $date_format	= 'datetime';

	protected $log_user 	= false;
	protected $set_created	= true;
	protected $set_modified = false;
	protected $soft_deletes	= false;
	
	protected $created_field = "created_on";


	// Customize the operations of the model without recreating the insert,
    // update, etc. methods by adding the method names to act as callbacks here.
	protected $before_insert 	= array();
	protected $after_insert 	= array();
	protected $before_update 	= array();
	protected $after_update 	= array();
	protected $before_find 	    = array();
	protected $after_find 		= array();
	protected $before_delete 	= array();
	protected $after_delete 	= array();

	// For performance reasons, you may require your model to NOT return the id
	// of the last inserted row as it is a bit of a slow method. This is
    // primarily helpful when running big loops over data.
	protected $return_insert_id = true;

	// The default type for returned row data.
	protected $return_type = 'object';

	// Items that are always removed from data prior to inserts or updates.
	protected $protected_attributes = array();

	// You may need to move certain rules (like required) into the
	// $insert_validation_rules array and out of the standard validation array.
	// That way it is only required during inserts, not updates which may only
	// be updating a portion of the data.
	protected $validation_rules 		= array();
	protected $insert_validation_rules  = array();
	protected $skip_validation 			= false;

    /**
     * Constructor
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
    }
    
    /**
     * Allow user's to add module to favorites
     * jQuery CallBack
     */
    public function save_favorite($user_id, $mobile = false) {
        $row_id = (int)$this->input->post('row_id');
        $module = escape($this->input->post('module'));
        $isFavorite = (int) $this->input->post('isFavorite'); // not passed if $mobile is true
        $this->load->model('favorites/favorites_model');
        $module_id = gc_module_id($module);
        if($isFavorite == 0) {
            $data = array(
                'user_id' => $user_id,
                'row_id' => $row_id,
                'module_id' => $module_id
            );
            $count = $this->favorites_model->count_by($data);
            if($count <= 0) {
                $data['created_ip'] = $this->input->ip_address();
                $this->favorites_model->insert($data);
                $message = sprintf(lang('msg_item_success'), lang('label_favorite'));
                $result = 1;
            } else if($mobile) {
                $this->db->where(array('user_id' => $user_id, 'row_id' => $row_id, 'module_id' => $module_id))->delete('favorites');
                $result = 0;
                $message = sprintf(lang('msg_item_removed'), lang('label_favorite'));
            }
            return array('success' => true, 'result' => $result, 'type' => 'success', 'message' => $message);
        } else {
            $this->db->where(array('user_id' => $user_id, 'row_id' => $row_id, 'module_id' => $module_id))->delete('favorites');
            return array('success' => false, 'result' => 0, 'type' => 'success');
        }
    }
}