<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$nav_tabs = array();
$config_modules = gc_modules();
$config_modules[] = 'videos';
foreach($config_modules as $config_module):
$nav_tabs[] = array('filter' => $filter_type, 'condition' => $config_module, 'url' => $index_url . $config_module . '/', 'title' => gc_module_translation($config_module));
endforeach;
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
$num_columns 	= 5;
$can_delete		= $this->auth->has_permission('Favorites.Reports.Delete');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('U.display_name', lang('label_user'));?></th>
					<th><?php echo form_filter('title', lang('label_title'));?></th>
					<th><?php echo form_filter('created_ip', lang('label_ip_address'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>')" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php e($record->user_id . ' - ' . $record->user); ?></td>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link'); ?></td>
					<td><?php e($record->created_ip); ?></td>
					<td><?php e(gc_date_format($record->created_on, true)); ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>