<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Migration_Install_feedbacks extends Migration {
	/**
	 * The name of the database table
	 *
	 * @var String
	 */
	private $table_name = 'feedbacks';

	/**
	 * The table's fields
	 *
	 * @var Array
	 */
	private $fields = array(
		'id' => array(
			'type' => 'INT',
			'constraint' => 11,
			'auto_increment' => TRUE
		),
		'user_id' => array(
			'type' => 'BIGINT',
			'constraint' => 20,
			'default' => 0,
			'null' => FALSE
		),
		'name' => array(
			'type' => 'VARCHAR',
			'constraint' => 255,
			'null' => FALSE
		),
		'email' => array(
			'type' => 'VARCHAR',
			'constraint' => 255,
			'null' => TRUE
		),
		'phone_number' => array(
			'type' => 'VARCHAR',
			'constraint' => 20,
			'null' => TRUE
		),
		'subject' => array(
			'type' => 'VARCHAR',
			'constraint' => 255,
			'null' => TRUE
		),
		'message' => array(
			'type' => 'TEXT',
			'null' => TRUE
		),
	    'status' => array(
	        'type' => 'TINYINT',
	        'constraint' => 1,
	        'default' => 0,
	        'null' => FALSE
	    ),
	    'created_on' => array(
	        'type' => 'DATETIME',
	        'null' => TRUE
	    ),
		'created_ip' => array(
			'type' => 'VARCHAR',
			'constraint' => 50,
			'null' => TRUE
		),
	    'modified_on' => array(
	        'type' => 'DATETIME',
	        'null' => TRUE
	    ),
	    'modified_ip' => array(
	        'type' => 'VARCHAR',
	        'constraint' => 50,
	        'null' => TRUE
	    ),
	    'deleted' => array(
	        'type' => 'TINYINT',
	        'constraint' => 1,
	        'default' => 0,
	        'null' => FALSE
	    )
	);

	/**
	 * Install this migration
	 *
	 * @return void
	 */
	public function up() {
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->add_key('user_id', false);
		$this->dbforge->create_table($this->table_name);
	}

	/**
	 * Uninstall this migration
	 *
	 * @return void
	 */
	public function down() {
		$this->dbforge->drop_table($this->table_name);
	}
}