<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('us_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('us_inactive')),
    array('filter' => $filter_type, 'condition' => 'spammed', 'url' => $index_url . 'spammed/', 'title' => lang('tab_spammed')),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
$num_columns	= 10;
$can_delete	    = $this->auth->has_permission('Feedbacks.Reports.Delete');
$can_edit		= $this->auth->has_permission('Feedbacks.Reports.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('email', lang('label_email'));?></th>
					<th><?php echo form_filter('phone_number', lang('label_phone'));?></th>
					<th><?php echo form_filter('subject', lang('label_subject'));?></th>
					<th><?php echo form_filter('message', lang('label_message'));?></th>
					<th><?php echo form_filter('created_on', lang('label_posted_on'));?></th>
					<th width="180px;"><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge" ><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>
							<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="spam"><?php echo lang('bf_action_spam'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete" ><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>					
					<td><?php e($record->id) ?></td>
					<td><?php e($record->name) ?></td>
					<td><?php e($record->email) ?></td>
					<td><?php e($record->phone_number) ?></td>
					<td><?php e($record->subject) ?></td>
					<td><?php e(truncate_text($record->message, 250)); ?></td>
					<td><?php e($record->created_on) ?></td>
					<td class='status'>
					<?php if ($record->status == 1) : ?>
						<span class="badge badge-success"><?php echo lang('label_replied'); ?></span>
						<?php elseif ($record->status == 2) : ?>
						<span class="badge badge-secondary"><?php echo lang('status_spam'); ?></span>
						<?php else:?>
						<span class="badge badge-<?php echo $record->id;?> badge-danger"><?php echo lang('label_not_replied'); ?></span>
						<?php endif; ?>
						<br />
						<span class="display-block"><small><?php echo lang('label_change_status');?></small></span>
						<select class="query_status input-medium form-control" name="query_status_<?php e($record->id); ?>" id="query_status_<?php e($record->id); ?>">
							<option value="0"<?php echo ($record->status == 0) ? ' selected' : '';?>><?php echo lang('label_not_replied');?></option>
							<option value="1"<?php echo ($record->status == 1) ? ' selected' : '';?>><?php echo lang('label_replied');?></option>
							<option value="2"<?php echo ($record->status == 2) ? ' selected' : '';?>><?php echo lang('status_spam');?></option>		
						</select>
						<span class="display-block mb-2"></span>
						<button type="submit" class="btn btn-primary btn-xs" name="change_status" value="<?php echo $record->id;?>"><?php echo lang('save');?></button>
						<a onclick="$('#sendEmailForm').attr('data-id', <?php echo $record->id;?>);" href="#sendEmailModal" role="button" class="btn btn-info btn-xs" id="<?php echo $record->id;?>" data-toggle="modal"><i class="icon-envelope icon-white"></i> <?php echo lang('label_email');?></a>
						<a class="btn btn-success btn-xs" href="<?php echo site_url(SITE_AREA . '/reports/feedbacks/view/' . $record->id)?>"><?php echo lang('label_view');?></a>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php 
	echo form_hidden('status');
	echo form_hidden('request_uri', 'feedbacks');
	echo form_close();
	echo $this->pagination->create_links();
	echo $this->load->view('common/send_email', array('module' => 'feedbacks'));
	?>
</div>