<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Feeds controller
 */
class Feeds extends Front_Controller
{
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
               
        $this->load->helper('xml');
        $this->load->helper('text');
        $this->load->model('listings/listings_model');        
    }

    /**
     * Display a list of Feeds data.
     * e.g. URL:
     * Category: feeds?type=categories&id=2
     * Cities: feeds?type=cities&id=104537
     * Localities: feeds?type=localities&id=2
     * Tags: feeds?type=tags&id=2
     * Classifieds: feeds?md=4&search=true
     * @return void
     */
    public function index() {
        $type = isset($_GET['type']) ? $_GET['type'] : 'search';
        $id = isset($_GET['id']) ? $_GET['id'] : 0;
        $limit = $this->limit;
        $offset = 0;
        $user_id = 0;
        $module_id = 1;
        // check whether the passed value is a module
        if(!empty($_GET['md']) && gc_module_settings(gc_module_name(intval($_GET['md']))) == 1) {
            $module_id = intval($_GET['md']);
        }
        $module = gc_module_name($module_id);
        // allow user to perform search within a specific country except than the default one
        $country = $this->session->userdata('search_country');
        if(!empty($_GET['iso']) && strlen($_GET['iso']) == 2) {
            $country = $_GET['iso'];
        }
        $result = $this->listings_model->category_location_tag_search(true, $module, $type, $country, $id, $limit, $offset, $user_id);
        $listings = $result['records'];
    	header("Content-Type: application/rss+xml");
    	Template::set(array(
    	    'module' => $module,
    		'listings' => $listings,
    		'feed_name' => site_url(),
    		'encoding' => 'utf-8',
    		'feed_url' => site_url('/feeds'),
    		'page_description' => settings_item('site.meta_description'),
    		'page_language' => 'en-en',
    		'creator_email' => settings_item('site.system_email')   		
    	)); 
    	Template::render('rss');
    }
    
}