/*  ------------------------------------------------------------
	HIDE FIELDS FROM FIELD_TYPE FORM
	------------------------------------------------------------ */
var site_url = $('#site_url').val();
if($('#option_fields').length) {
	var option_fields = $.parseJSON($('#option_fields').val());
}
var inputTypes = [];
$( ".field-type" ).each(function(index) {
    $(this).on("change", function() {
    	var prefix = $(this).attr('prefix');
    	var selected_value = $(this).val();
    	$('.' + prefix + 'field_options').toggle(option_fields.hasOwnProperty(selected_value));
    });
});

/*  ------------------------------------------------------------
	GET ARRAY DIFFERENCE
	------------------------------------------------------------ */
function array_diff(array1, array2) {
    var difference = $.grep(array1, function(el) { return $.inArray(el,array2) < 0});
    var result = difference.concat($.grep(array2, function(el) { return $.inArray(el,array1) < 0}));
    return result;
}

/*  ------------------------------------------------------------
	OPTIONS FIELD
	------------------------------------------------------------ */
function fieldWrapper(prefix) {
	var max_fields      = 20; //maximum input boxes allowed
	var wrapper         = $("#" + prefix + "options_table"); //Fields wrapper
	var add_button      = $("#" + prefix + "add_option"); //Add button ID
	var x = 1; //initlal text box count
	$(add_button).click(function(e) { //on add input button click
		e.preventDefault();
		if(x < max_fields) { //max input box allowed
		   x++; //text box increment
		   $(wrapper).append(fieldOptions(prefix)); //add input box
		}
	});
	   
	$(wrapper).on("click","." + prefix + "remove_field", function(e){ //user click on remove text
	    e.preventDefault(); 
	    $(this).closest('tr').remove();x--;
	})
}

/*  ------------------------------------------------------------
	FIELD OPTIONS
	------------------------------------------------------------ */
function fieldOptions(prefix) {
	var fieldOptions = '<tr>';
	 var inputTypes = $.parseJSON($('#' + prefix + 'input_types').val());
	if(!$.isEmptyObject(inputTypes)) {
		$.each( inputTypes, function( key, field ) {
			// class is assigned to each field to show/hide fields on Field type change
			// prefix td class is assigned to scan each td row and store them in an array
			fieldOptions += '<td class="' + prefix + 'td' + field['type'] + field['name'] + '"><input type="' + field['type'] + '" name="' + prefix + 'field_options[' + field['name'] + '][]" value=""/></td>';
		});
	}
	
	fieldOptions += '<td><a href="#" class="' + prefix + 'remove_field"><span class="fa fa-minus"></span></a></td>';
	fieldOptions += '</tr>';
	return fieldOptions;
}

/*-----------------------------------------*/
/* Fontawesome Icon Picker
/*-----------------------------------------*/
if($('.icp-auto').length) {
	$('.icp-auto').iconpicker();
}

/*-----------------------------------------*/
/* Assign Fields
/*-----------------------------------------*/
if($('#fields_table').length) {
	$('#fields_table').DataTable();
}