<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
/**
 * Display fields in groups
 * Let the user submit a group before moving to the next group
 * 
 * @author GoClixy
 *
 */
class Group_fields {
    /**
     * Stores the CodeIgniter core object.
     *
     * @access public
     *
     * @var object
     */
    protected $CI;
    
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct($config = array()) {
        $this->CI =& get_instance();
        $this->CI->load->library('form_validation');
        $this->CI->load->model('fields/fields_model');
        $this->CI->load->model('roles/role_model');
    }
    
    /**
     * Group Wise Registration
     */
    public function group_form($role = 'frontend', $module = 'registrations', $record = array(), $extra = array()) {
        $mobile = $role == 'mobile' ? true : false;
        $user_id = $this->CI->auth->user_id();
        $group_wise_steps = true; // avoid multiple steps on desktop
        $group_id = isset($_GET['group_id']) ? (int) $_GET['group_id'] : 0;
        $id = 0;
        if(!empty($_GET['id'])) {
            $id = intval($this->CI->crypt->decode($this->CI->input->get('id')));
            if(empty($id)) {
                $id = (int) $this->CI->input->get('id');
            }
        }          
        if(!empty($_GET['clr'])) {
            $this->group_params($user_id, null, array('clear' => $module));
        }
        $this->CI->lang->load('listings/listings');
        /*if(empty($group_id)) {
         $this->group_params($user_id, null, array('clear' => $module));
         }*/
        $transaction_type = $id == 0 ? 'insert' : 'update';
        $rest_result = array('success' => false, 'message' => lang('error_no_record_found'));
        $field_groups = array();
        $cancel_url = null;
        $redirect_url = !empty($extra['redirect_url']) ? $extra['redirect_url'] : current_url();// gc_url_format('register');
        $toolbar_title = empty($extra['toolbar_title']) ? lang('bf_action_register') : $extra['toolbar_title'];
        
        // get data to display on the form
        $extra_fields = array();
        $form_data = $this->get_form_data($user_id, $module, $id, $role, $redirect_url);
        if(!$form_data['success']) {
            if($mobile) {
                return $form_data;
            } else {
                Template::redirect(site_url());
            }
        }
        $record = $form_data['record'];
        if(!empty($form_data['extra_fields'])) {
            $extra_fields = $form_data['extra_fields'];
        }
        
        // deal with packages module
        $package = array();
        if(in_array($module, gc_modules())) {
            $extra_fields['user_id'] = $user_id;
            $package_id = !empty($form_data['data']['package_id']) ? $form_data['data']['package_id'] : 0;
            $result = $this->package_info($role, $user_id, $id, $package_id, $record, $module);
            if(empty($result['success'])) {
                if($mobile) {
                    return $result;
                } else {
                    Template::redirect(site_url());
                }
            }
            $package = $result['package'];
            if(!empty($result['extra_fields'])) {
                $extra_fields = array_merge($extra_fields, $result['extra_fields']);
            }
        }
        
        // display group information on the form
        if($group_id > 0) {
            $group = $this->CI->db->where('id', $group_id)->get('groups')->row();
            if(!$group) {
                if($mobile) {
                    return $rest_result;
                } else {
                    Template::redirect($redirect_url);
                }
            }
        } else {
            $group = new stdClass();
            $group->id = 0;
            $group->name = 'main';
            $group->name_lang = 1;
            $group->mobile_icon = 'chevron-forward-circle-outline';
        }
        if(isset($group_wise_steps) && $group_wise_steps) {
            $field_results = $this->fields_by_groups($role == 'admin' ? 'admin_only' : 'frontend', $module, $package);
            if(!empty($_GET['last_group_id'])) {
                // edit a single group only
                $last_group_id = (int) $_GET['last_group_id'];
                if($last_group_id != $group_id) {
                    Template::redirect(site_url());
                }
            } else {
                $last_group_id = key(array_slice($field_results, -1, 1, true)); // last group
            }
            $first_group_id = array_key_first($field_results); // key(array_slice($field_results, -1, 1, true)); // first group
            $last_group_id = !empty($_GET['last_gorup_id']) ? (int) $_GET[$_GET['last_gorup_id']] : key(array_slice($field_results, -1, 1, true)); // last group
            if(!empty($field_results[$group_id])) {
                $form_fields = $field_results[$group_id]['fields'];
            } else {
                $group_id = array_key_first($field_results);
                $form_fields = $field_results[$group_id]['fields'];
            }
            if(empty($form_fields)) {
                if($mobile) {
                    return $rest_result;
                } else {
                    Template::redirect($redirect_url);
                }
            }
            // show/hide option specific fields
            $form_fields = $this->filter_option_fields($form_fields, $record);
            $toolbar_title = $field_results[$group_id]['name'];
            // do not allow user to directly jump to the final step
            if(!empty($_GET['group_id']) && !$record) {
                if($mobile) {
                    return $rest_result;
                } else {
                    // Template::redirect($redirect_url);
                }
            }
            $group_info = $this->CI->gc->get('groups', array('where' => 'id = ' . $group_id));
            $field_groups = array(
                $group_info
            );
            // Current/Previous/Next Group IDs
            $keys = array_keys($field_results);
            $next_group_id = $group_id != $last_group_id ? $keys[array_search($group_id, $keys) + 1] : $group_id;
            $prev_group_id = array_search($group_id, $keys);
            $previous_group_id = $prev_group_id != 0 ? $keys[$prev_group_id - 1] : 0;
            $cancel_url = $redirect_url . '?md=' . $this->CI->crypt->encode($module) . '&id=' . $id . '&group_id=' . $previous_group_id;
            // Save Information
            if(isset($_POST['save']) || isset($_POST['save_only'])) {
                foreach($_POST as $key => $value) {
                    $saved_data[$key] = $value;
                }
                $this->group_params($user_id, null, array($module => $saved_data));
                $_POST = $this->group_params($user_id, $module);
                if($group_id == $last_group_id) {
                    // in the last step validate all fields
                    $save_form_fields = $this->CI->fields_model->get_fields($module, $role == 'admin' ? 'admin_only' : 'frontend');
                    $validation_result = $this->CI->fields_model->fields_validation_rules($save_form_fields, $module, $role);
                } else {
                    $save_form_fields = $form_fields;
                    $validation_result = $this->CI->fields_model->fields_validation_rules($save_form_fields, $module, $role);
                }
                if($validation_result) {
                    if($group_id != $last_group_id) {
                        if($mobile) {
                            return $rest_result;
                        } else {
                            Template::redirect($redirect_url . '?md=' . $this->CI->crypt->encode($module) . '&id=' . $id . '&group_id=' . $next_group_id);
                        }
                    } else {
                        $save_form_fields = $this->filter_option_fields($save_form_fields, $_POST);
                        $data = $this->CI->fields_model->field_post_values($save_form_fields, 0, 0, $role);
                        
                        // extra fields like title, slug, package_id, city_id, state_id and country_iso to be saved
                        if(in_array($module, gc_modules())) {
                            $extra_fields['title'] = $this->generate_title($data);
                            $this->CI->load->library('slug');
                            $extra_fields['slug'] = $this->CI->slug->create_uri($extra_fields['title'], $id, array('table' => $module));
                            if(!empty($data['locality_id'])) {
                                $location = $this->CI->gc->get('localities', array('where' => 'id IN (' . $data['locality_id'] . ')'));
                                if($location) {
                                    $extra_fields['country_iso'] = $location->country_iso;
                                    $extra_fields['state_id'] = $location->state_id;
                                    $extra_fields['city_id'] = $location->city_id;
                                }
                            }
                            if($id == 0 && empty($data['user_id'])) {
                                $extra_fields['user_id'] = $user_id;
                            }
                        }
                        
                        // $data = array_merge($save_form_fields, $data);
                        $save_result = $this->save_data($form_fields, $module, $user_id, $role, $id, $transaction_type, $extra_fields, $data, false);
                        if($save_result) {
                            // clear group form data
                            $this->group_params($user_id, null, array('clear' => $module));
                            // perform other actions like otp validation, qrcode generation etc.
                            if(in_array($module, gc_modules())) {
                                if($id == 0) { // Insert Operation
                                    $id = $save_result;
                                }
                                $this->CI->listings_model->save_module_info($role, $id, $user_id, $transaction_type, $module, ($role != 'admin' ? $redirect_url : SITE_AREA . '/content/listings'));
                            }
                        }
                        // unset all data which is not in the form_fields value
                        /*if($insert_id = $this->CI->fields_model->save_module($form_fields, $module, $user_id, $role, $id, $transaction_type, $extra_fields)) {
                        
                        }*/
                    }
                }
            }
        }
        if($mobile) {
            return array('success' => true, 'record' => $record, 'fields' => $form_fields, 'extra' => array('id' => $group->id, 'icon' => $group->mobile_icon, 'name' => $group_name, 'toolbar_title' => lang('edit') . ' ' . lang('singular_' . $module)));
        } else {
            $this->CI->fields_model->load_js_methods($form_fields, $module, null);
            $action_buttons = array('label' => lang('save_next'), 'save_only' => 2);
            if($group_id == $last_group_id) {
                $action_buttons['label'] = lang('save_exit');
            }
            $view_data = array(
                'toolbar_title' => $toolbar_title,
                'cancel_url' => $cancel_url,
                'module' => $module,
                'record' => $record,
                'form_fields' => $form_fields,
                'field_groups' => $field_groups,
                'group_wise_steps' => $group_wise_steps,
                'group_form' => 1,
                'action_buttons' => $action_buttons
            );
            if($group_id == $first_group_id) {
                $view_data['disable_cancel_btn'] = true;
            }
            Template::set($view_data);
            Template::set_view('fields/form');
            if($role == 'member' || $role == 'frontend') {
                $this->CI->gc->demo_custom_css_js('member');
                Template::render('member');
            } else {
                Template::render();
            }
        }
    }
    
    /**
     * Group Saved Parameters in database to deal with Mobile APP API and web form
     * @param number $user_id
     * @param string $return
     * @param array $params
     * @param string $is_clear
     * @return array|mixed
     */
    private function group_params($user_id, $return = 'items', $params = array(), $is_clear = null) {
        $table = 'group_params';
        $user_id = empty($user_id) ? $this->CI->auth->user_id() : $user_id;
        if(empty($user_id)) {
            // checkout without login
            // generate a temporary id
            if(!$this->CI->session->userdata('tmp_user_id')) {
                $tmp_user_id = $this->_tmp_user_id();
                $this->CI->session->set_userdata('tmp_user_id', $tmp_user_id);
            }
            $user_id = $this->CI->session->userdata('tmp_user_id');
            if($is_clear) {
                // unset the temporary user id
                $this->CI->session->unset_userdata('tmp_user_id');
            }
        }
        if($is_clear) {
            $this->CI->db->where('user_id', $user_id)->delete($table);
        } else {
            $record = $this->CI->db->where('user_id', $user_id)->get($table)->row();
            if($return) {
                if(empty($record)) {
                    return array();
                } else {
                    $group_params = json_decode($record->params ?? '', true);
                    if($return == 'all') {
                        return $group_params;
                    } else {
                        if(!empty($group_params[$return])) {
                            return $group_params[$return];
                        } else {
                            return array();
                        }
                    }
                }
            } else if(!empty($user_id)) {
                $data_params = array();
                if($record) {
                    $group_params = (array) json_decode($record->params ?? '', true);
                    if(empty($group_params)) {
                        $data_params = $params;
                    } else {
                        foreach($group_params as $module => $group_param) {
                            foreach($params as $pmodule => $pvalues) {
                                if(!empty($pvalues) && is_array($pvalues)) {
                                    foreach($pvalues as $pkey => $pvalue) {
                                        $group_params[$pmodule][$pkey] = $pvalue;
                                    }
                                }
                            }
                        }
                        $data_params = $group_params;
                    }
                } else {
                    $data_params = $params;
                }
                // clear a specific key e.g. coupon from the order_checkouts table
                if(!empty($params['clear'])) {
                    if(isset($data_params[$params['clear']])) {
                        unset($data_params[$params['clear']]);
                    }
                }
                if($record) {
                    $this->CI->db->where('user_id', $user_id)->update($table, array('params' => json_encode($data_params)));
                } else {
                    $this->CI->db->insert($table, array('params' => json_encode($data_params), 'user_id' => $user_id));
                }
            }
        }
    }
    
    /**
     * Group Data Save Without Login - Generate a Temporary User ID
     */
    private function _tmp_user_id() {
        $tmp_id = time() . rand(10000,99999);
        // check existence in the users table
        $users_count = $this->CI->db->where('id', $tmp_id)->count_all_results('users');
        if($users_count > 1) {
            $this->_tmp_user_id();
        } else {
            return $tmp_id;
        }
    }
    
    /**
     * Get Package Info
     * @param string $role
     * @param number $user_id
     * @param number $id
     * @param number $package_id
     * @param object $record
     * @param boolean $mobile
     * @param boolean $frontend
     * @param string $module
     * @return boolean[]|string[]
     */
    private function package_info($role, $user_id, $id, $package_id, $record, $module = 'listings') {
        $mobile = $role == 'mobile' ? true : false;
        $redirect_url = null;
        $frontend = true;
        if($role == 'admin') {
            $frontend = false;
        }
        $extra_fields = array();
        $toolbar_title = null;
        if($role == 'admin') { // Admin Specific
            if ($id == 0) {
                $redirect_url = SITE_AREA . '/content/listings';
                $toolbar_title = lang('add') . ' ' . lang('singular_' . $module);
                // load categories tree using the first package id
                $package = $this->CI->db->where('deleted', 0)->get('packages')->row();
            } else {
                $redirect_url = SITE_AREA . '/content/listings/upsert?id=' . $id;
                $this->CI->load->model('packages/packages_model');
                $package = $this->CI->packages_model->find($record->package_id);
            }
            
            $cancel_url = site_url(SITE_AREA . '/content/listings');
            $this->CI->load->model('packages/packages_model');
            $packages = $this->CI->packages_model->select('id, title')->where('deleted', 0)->find_all();
            
            // Change Categories limit on Package Change
            if ($this->CI->input->post('package_id')) {
                $package = $this->CI->packages_model->select('form_fields, module_categories_limit')->where('deleted', 0)->find($this->CI->input->post('package_id'));
            }
            Template::set('packages', $packages);
        } else {
            $redirect_url = gc_url_format('members');
            $cancel_url = $redirect_url;
            $this->CI->load->model('members/members_model');
            $package = $this->CI->members_model->get_package_info($user_id, $package_id, $id, 'packages');
            // Display package information to the user while adding a new listing as it was before.
            if ($package) {
                $package_title = $package->package_title . ($package->expires_on == NULL || $package->expires_on == '0000-00-00' ? ' (' . lang('label_expires_on') . ': ' . lang('label_never') . ')' : ' (' . lang('label_valid_upto') . ': ' . gc_date_format($package->expires_on, false) . ')');
                $packages = json_decode(json_encode(array(
                    array(
                        'id' => $package_id,
                        'title' => $package_title
                    )
                )));
                Template::set('packages', $packages);
            }
        }
        if(!$mobile) {
            // Go Back/Cancel Button Click URL
            Template::set('cancel_url', $cancel_url);
        }
        if (empty($package)) { // count result if package exists
            if ($mobile) {
                return array(
                    'success' => false,
                    'order_type' => 'packages',
                    'url' => 'app.checkout'
                );
            } else {
                Template::redirect($role == 'admin' ? SITE_AREA . '/content/listings' : gc_url_format('members/packages'));
            }
        }
        
        // Limit Check - Member Area Only
        // Do PYG Check only in case of Insert
        if ($frontend && $id == 0) {
            // check user permissions
            $this->CI->load->library('crypt');
            $pyg_check = $this->CI->members_model->pyg_check($module, $user_id, $package_id, $package, 0, $module, $mobile);
            if ($mobile && ! $pyg_check['success']) {
                return $pyg_check;
            }
            
            // Get status field information
            // In case of Admin, it will be selected by the Admin
            $extra_fields['package_id'] = $package_id;
            $extra_fields['featured'] = gc_field_value($module, $package->module_featured);
            $extra_fields['status'] = gc_field_value($module, $package->module_status);
        }
        
        // calculate expires on
        if(empty($_POST['expires_on'])) {
            if(empty($package->expires_on)) {
                $this->CI->load->model('orders/orders_model');
                $extra_fields['expires_on'] = $this->orders_model->calculate_expires_on($package, 1, null);
            } else {
                $extra_fields['expires_on'] = $package->expires_on;
            }
        }
        $result = array('success' => true, 'extra_fields' => $extra_fields, 'package' => $package, 'redirect_url' => $redirect_url, 'toolbar_title' => $toolbar_title);
        return $result;
    }
    
    /**
     * Get the last ordered package ID
     * All new listings will be added using this Package ID
     *
     * @param string $user_id
     * @return multitype:boolean string
     */
    private function last_ordered_package_id($user_id, $mobile = FALSE) {
        $this->CI->load->model('members/members_model');
        $order_detail = $this->CI->members_model->get_order_details($user_id);
        // no need to display packages, if user subscribed only for one package
        if (! empty($order_detail)) {
            $package_id = $order_detail[0]['package_id'];
            return $package_id;
        } else {
            if ($mobile) {
                return 0;
            } else {
                Template::redirect(gc_url_format('members/packages'));
            }
        }
    }
    
    /**
     * Display Form Data
     * @param number $user_id
     * @param string $module
     * @param number $id
     * @param string $role
     * @param string $redirect_url
     * @return boolean[]|boolean[]|string[]
     */
    private function get_form_data($user_id, $module, $id, $role, $redirect_url) {
        $frontend = $role == 'frontend' ? true : false;
        $mobile = $role == 'mobile' ? true : false;
        $other_data = array();
        // Type Create/Edit
        if ($id == 0) {
            $record = (object) $this->group_params($user_id, $module);
            $toolbar_title = lang('header_add_business');
            if(empty($record)) {
                if ($frontend) {
                    // load information from the session variable
                    $record = (object) $this->CI->session->userdata('user_info');
                    $record->contact_person = $record->display_name;
                    if(gc_module_settings($module, 'locations') == 1 && !empty($record->city_id)) {
                        $this->CI->gc->location_google_places($record->city_id, true);
                    }
                }
            }
            if($role != 'admin') {
                $other_data['package_id'] = $this->last_ordered_package_id($user_id, $mobile);
            }
        } else {
            $where = array();
            $where[] = 'id = ' . $id;
            if ($frontend) {
                $where[] = 'deleted = 0';
            }
            // Get existing record and pass it to the View File
            $record = $this->CI->fields_model->find_row_and_meta($module, $id, implode(' AND ', $where));
            if (! $record) {
                if ($mobile) {
                    return array(
                        'success' => FALSE
                    );
                } else {
                    Template::set_message(lang('msg_permission_error'), 'error');
                    Template::redirect($redirect_url);
                }
            }
            // post updated values must also be overridden in case of update
            $group_data = (object) $this->group_params($user_id, $module);
            if(!empty($group_data)) {
                foreach($group_data as $gkey => $gvalue) {
                    switch($gkey) {
                        case 'save_only':
                        case 'save':
                        case 'module_row_id':
                        case 'module_name':
                            break;
                        default:
                            $record->{$gkey} = $gvalue;
                    }
                }
            }
            // Member Area - check permission
            if (($frontend && (int) $record->user_id != $user_id)) {
                if ($mobile) {
                    return array(
                        'success' => FALSE
                    );
                } else {
                    Template::set_message(lang('unauthorized_deleted'), 'error');
                    Template::redirect(gc_url_format('members'));
                }
            }
            if(in_array($module, gc_modules())) {
                // Get Applicable Categories using package_id
                $other_data['package_id'] = $record->package_id;
                
                // Get Active and Inactive tags from the Tags table
                // Keyword column only has active keywords
                $this->CI->load->model('tags/tags_model');
                if ($mobile) {
                    $record->keywords = $this->CI->tags_model->tags_comma_separated($module, $id);
                } else {
                    $record->keywords = $this->CI->tags_model->selectize_keywords($module, $id); // Selectize Keywords
                    
                    // Multi Langauge Fields - Get translations if exists
                    $record = $this->CI->translations->get_translations($module, $id, $record);
                }
                if(!$mobile && !empty($record->city_id)) {
                    // Set previous city session variable for tags location handling
                    $this->CI->session->set_userdata('previous_city', $record->city_id);
                }
            }
            
            /**
             * Edit Page - Set the default category variable (IMPORTANT)
             * Else page will show error on submission (click on save button twice on edit page)
             */
            if (! $mobile) {
                if(in_array($module, gc_modules())) {
                    $record->category = $this->CI->categories_model->get_breadcrumb($id);
                }
            } else { // Edit Listing - Mobile Specific
                $record = $this->mobile_edit($module, $id, $record);
            }
            // Set page title
            $toolbar_title = lang('bf_action_edit') . ' - ' . $record->title;
        }
        $result = array('success' => true, 'toolbar_title' => $toolbar_title, 'record' => $record, 'data' => $other_data);
        return $result;
    }
    
    
    /**
     * Generate Listing Title
     * @param array $data
     * @return string
     */
    private function generate_title($data) {
        $title_data = array();
        if(!empty($data['prop_type_id'])) {
            $this->CI->load->model('options/options_model');
            $options = $this->CI->options_model->options_tree(array('key' => 'ids'));
            if($data['prop_type_id'] == 4) { // commercial
                if(!empty($data['bedrooms'])) {
                    $title_data[] = $data['bedrooms'] . ' Hall';
                }
                if(!empty($data['squarefeet'])) {
                    $title_data[] = $data['squarefeet'] . ' Squarefeet';
                }
                if(!empty($data['floors'])) {
                    $title_data[] = $data['floors'] == 998 ? lang('floor_basement') : ($data['floors'] == 999 ? lang('floor_ground') : $this->ordinal($data['floors'])) . ' Floor';
                }
            } else {
                if(!empty($data['bedrooms'])) {
                    $title_data[] = $data['bedrooms'] . ' BHK';
                } else if(!empty($data['coverage_area'])) {
                    $title_data[] = $data['coverage_area'] . ' Squarefeet';
                }
            }
            if(!empty($options[$data['prop_type_id']])) {
                $prop_type = $options[$data['prop_type_id']];
                $title_data[] = !empty($prop_type['name_lang']) ? lang($prop_type['name']) : $prop_type['name'];
            }
            if(!empty($options[$data['prop_for_id']])) {
                $prop_for = $options[$data['prop_for_id']];
                $title_data[] = 'for ' . (!empty($prop_for['name_lang']) ? lang($prop_for['name']) : $prop_for['name']);
            }
            $city = '';
            $state = '';
            $localities = array();
            if(!empty($data['locality_id'])) {
                $locations = $this->CI->gc->get('localities', array('where' => 'id IN (' . $data['locality_id'] . ')', 'result' => 1));
                if($locations) {
                    foreach($locations as $location) {
                        $localities[] = $location->name;
                        $city = $location->city;
                        // $state = $location->state;
                    }
                    // $title_data[] = 'in ' . implode(', ', $localities) . ' | ' . $city . ', ' . $state;
                    $title_data[] = 'in ' . implode(', ', $localities) . ', ' . $city;
                }
            }
        }
        return implode(' ', $title_data);
    }
    
    /**
     * Display numbers with ordinal suffix in PHP
     * @param number $number
     * @return string
     */
    private function ordinal($number) {
        $ends = array('th','st','nd','rd','th','th','th','th','th','th');
        if ((($number % 100) >= 11) && (($number%100) <= 13))
            return $number. 'th';
            else
                return $number. $ends[$number % 10];
    }
    
    /**
     * Display option specific fields
     * E.g. do not display bedrooms/bathrooms in case of lands
     * E.g. option_filter:{"prop_type_id":"1,2,3","cust_type_id":"6,7"}
     * E.g. option_filter:{"prop_type_id":{"values":"1,2,3","override":{"max_options":1}},"cust_type_id":"6,7"}
     * E.g. override label
     * option_filter:{"cust_type_id":{"values":"6","override":{"label":"label_max_budget"}}}
     */
    public function filter_option_fields($form_fields, $record) {
        $record = (array) $record;
        foreach($form_fields as $key => $form_field) {
            if(!empty($form_field['params']['option_filter'])) { // && !empty($form_field['option_type']) && !empty($record[$form_field['option_type']]
                $option_filter = $form_field['params']['option_filter'];
                foreach($option_filter as $field => $value) {
                    if(!empty($record[$field])) {
                        $option_ids = !empty($value['values']) ? $value['values'] : $value;
                        $option_ids = array_map('trim', explode(',', $option_ids ?? ''));
                        if(!in_array($record[$field], $option_ids) && empty($value['override'])) {
                            unset($form_fields[$key]);
                        } else if(in_array($record[$field], $option_ids) && !empty($value['override'])) {
                            foreach($value['override'] as $okey => $ovalue) {
                                $form_fields[$key][$okey] = $ovalue;
                            }
                        }
                    }
                }
            }
            // the buyer can select 10 localities within a city
            if($form_field['name'] == 'locality_id' && !empty($record['cust_type_id']) && $record['cust_type_id'] == 6) {
                $form_fields[$key]['options'][0]['max_items'] = 10;
            }
        }
        return $form_fields;
    }
    
    /**
     * Display registration fields group wise in different screens
     * @param string $type
     * @return array
     */
    public function fields_by_groups($type = 'frontend', $module = 'registrations', $package = array()) {
        $this->CI->lang->load('groups/groups');
        $form_fields = $this->CI->fields_model->get_fields($module, $type, $package);
        
        // unset fields where type is set to none, this way we are hiding the non fields groups from the user
        if(!empty($form_fields)) {
            foreach($form_fields as $fkey => $fvalue) {
                if($fvalue['type'] == 'none') {
                    unset($form_fields[$fkey]);
                }
            }
        }
        
        // get group ids
        // array_unique(array_column($form_fields, 'group'))
        /**
         * NOTES: Fields having group_id 0 will be displayed firstly to the user
         */
        // sort fields by groups
        $field_groups = $this->CI->fields_model->field_groups($form_fields, array());
        $field_groups_all = array(
            array(
                'id' => 0,
                'name' => 'main',
                'name_lang' => 1,
                'icon' => 'fas fa-arrow-circle-right',
                'mobile_icon' => 'chevron-forward-circle-outline'
            )
        );
        if($field_groups) {
            foreach($field_groups as $field_group) {
                $field_groups_all[] = array(
                    'id' => $field_group->id,
                    'name' => $field_group->name,
                    'name_lang' => $field_group->name_lang,
                    'icon' => $field_group->icon,
                    'mobile_icon' => $field_group->mobile_icon
                );
            }
        }
        // Instead of having to use array_unique(), use the $index_key as a hack.
        $group_ids = array_column($form_fields, 'group', 'group');
        $field_groups = $field_groups_all;
        $group_wise_fields = array();
        $fields_by_group = array();
        if(!empty($form_fields)) {
            foreach($form_fields as $form_field) {
                $fields_by_group[$form_field['group']]['fields'][] = $form_field;
            }
        }
        if(!empty($field_groups)) {
            $i = 2; // step number
            foreach($field_groups as $field_group) {
                $field_group = (object) $field_group;
                if(!empty($fields_by_group[$field_group->id]['fields'])) {
                    $group_wise_fields[$field_group->id]['id'] = $field_group->id;
                    $group_wise_fields[$field_group->id]['name'] = $field_group->name_lang == 1 ? lang('group_' . $field_group->name) : $field_group->name;
                    $group_wise_fields[$field_group->id]['icon'] = $field_group->icon;
                    $group_wise_fields[$field_group->id]['mobile_icon'] = $field_group->mobile_icon;
                    $group_wise_fields[$field_group->id]['step'] = $i;
                    if(end($group_ids) == $field_group->id) { // Last step, display submit button with a different text
                        $group_wise_fields[$field_group->id]['last'] = 1;
                    } else {
                        $group_wise_fields[$field_group->id]['last'] = 0;
                    }
                    $group_wise_fields[$field_group->id]['fields'] = $fields_by_group[$field_group->id]['fields'];
                    $i++;
                }
            }
        }
        return $group_wise_fields;
    }
    
    /**
     * Save data into database table
     */
    private function save_data($form_fields, $module, $user_id, $role, $id, $type, $extra_fields, $data, $multi_language_field = false) {
        if(isset($data['captcha_code'])) {
            unset($data['captcha_code']);
        }
        if(isset($data['terms_conditions'])) {
            unset($data['terms_conditions']);
        }
        // check if the table has slug field
        $has_slug = false;
        foreach($form_fields as $info_field) {
            if($info_field['name'] == 'slug') {
                $has_slug = true;
                break;
            }
        }
        if($has_slug) {
            // Member Area - The slug field is not available to the user, so handle it manually
            if(empty($data['slug'])) {
                $slug_parent = '';
                if(!empty($data['title'])) {
                    $slug_parent = $data['title'];
                } else if(!empty($data['name'])) {
                    $slug_parent = $data['name'];
                } else if(!empty($data['subject'])) {
                    $slug_parent = $data['subject'];
                }
                // Hardcoded - Create slug from title field only
                // $data['slug'] = $this->CI->slug->create_slug(isset($data['name']) ? $data['name'] : $data['subject']);
                $data['slug'] = $this->CI->slug->create_uri($slug_parent, $id, array('table' => $module));
            } else if(!empty($data['slug'])) {
                $data['slug'] = $this->CI->slug->create_uri($data['slug'], $id, array('table' => $module));
            }
        }
        // Member Area - The slug field is not available to the user, so handle it manually
        /*if(isset($data['title']) && !isset($data['slug']) && $module != 'branches') {
         // Hardcoded - Create slug from title field only
         $this->CI->load->library('slug');
         $data['slug'] = $this->CI->slug->create_slug($data['title']);
         }*/
        if(isset($data['categories'])) {
            $_POST['categories'] = $data['categories']; // to save categories information
            unset($data['categories']);
        }
        if($module == 'listings') {
            // unset the notify_user field as this is only added in the form
            // to send notification email to a user on listing update
            unset($data['notify_user']);
        }
        
        // Videos Module Specific
        if($module == 'videos') {
            if($data['url']) {
                $data['youtube_id'] = get_video_id($data['url']); // Return video id
                if(empty($data['title'])) { //Retrieve title from youtube and save in database
                    $data['title'] 	= get_video_title($data['youtube_id']);
                }
            }
            if(empty($data['title'])) {
                $data['title'] = date('Y-m-d H:i:s');
            }
            if(!empty($data['title']) && empty($data['slug'])) {
                $data['slug'] 	= $this->CI->gc->slugify('videos', $data['title'], 0); // id is passed as zero to create slug only instead of unique string
            }
        }
        
        // Fields like user_id, package_id, module_id, row_id can be handled via Hidden Fields
        // but they will impose security risk as the external user can modify these values before submitting the form
        // therefore, such parameters are passed in the extra_fields array
        if(!empty($extra_fields) && is_array($extra_fields)) {
            $data = array_merge($data, $extra_fields);
        }
        
        // The USERS module specific
        if($module == 'users') {
            if(!empty($data['password'])) {
                $password = $this->CI->auth->hash_password($data['password']);
                if (empty($password) || empty($password['hash'])) {
                    return false;
                }
                $data['password_hash'] = $password['hash'];
                $data['password_iterations']	= $password['iterations'];
            }
            unset($data['password']);
            if(empty($data['username'])) {
                $data['username'] = $data['email'];
            }
            // Create Slug
            $this->CI->load->library('slug');
            if(!empty($data['slug'])) {
                $data['slug'] = $this->CI->slug->create_slug($data['slug']);
            } else {
                $data['slug'] = $this->CI->slug->create_slug(!empty($data['display_name']) ? $data['display_name'] : $data['username']);
            }
            if(empty($data['city_id']) || empty($data['state_id']) || empty($data['country_iso'])) {
                unset($data['city_id']);
                unset($data['state_id']);
                unset($data['state']);
                unset($data['country_iso']);
                unset($data['country']);
                unset($data['locality_id']);
            }
            if (isset($data['restore'])) {
                if($data['restore'] == 1) {
                    $data['deleted'] = 0;
                }
                unset($data['restore']);
            }
            if (isset($data['unban'])) {
                if($data['unban'] == 1) {
                    $data['banned'] = 0;
                }
                unset($data['unban']);
            }
            if (isset($data['activate']) && $data['activate']) {
                $data['active'] = 1;
                unset($data['activate']);
            } elseif (isset($data['deactivate']) && $data['deactivate']) {
                $data['active'] = 0;
                unset($data['deactivate']);
            }
            
            // Save Profile Image
            if($this->CI->input->post('uploaded_image')) {
                $data['profile_image'] = $this->CI->input->post('uploaded_image');
                $this->CI->load->model('images/images_model');
                $this->CI->images_model->move_resize($this->CI->input->post('uploaded_image'), 'assets/images/users');
                unset($_POST['uploaded_image']);
            }
        }
        
        // Product Attributes
        if($module == 'product_attributes' || $module == 'theme_layouts' && isset($data['value'])) {
            $data['value'] = json_encode($data['value']);
        }
        
        // Upload image later after save
        if($role == 'mobile') {
            if(!empty($data['image'])) {
                unset($data['image']);
            }
            if(!empty($data['profile_image'])) {
                unset($data['profile_image']);
            }
        }
        
        // Unset notify user dynamic field
        if(isset($data['notify_user'])) {
            unset($data['notify_user']);
        }
        
        if($type == 'insert') {
            unset($data['modified_on']);
            unset($data['modified_by']);
            unset($data['modified_ip']);
            if($module == 'listings' && empty($data['created_by'])) {
                $data['created_by'] = $this->CI->auth->user_id();
            }
            $this->CI->db->insert ($module, $data );
            $id = $this->CI->db->insert_id();
            if (is_numeric ( $id )) {
                $return = $id;
            } else {
                $return = FALSE;
            }
        } elseif ($type == 'update') {
            if($role != 'admin' && isset($data['listing_id'])) {
                // do not update listing_id on module row update
                unset($data['listing_id']);
            }
            if($module == 'listings' && empty($data['modified_by'])) {
                $data['modified_by'] = $this->CI->auth->user_id();
            }
            unset($data['created_on']);
            unset($data['created_by']);
            unset($data['created_ip']);
            $return = $this->CI->db->where('id', $id)->update($module, $data);
        }
        if($return) {
            // save translations
            if($multi_language_field) {
                $this->CI->translations->save_translations($module, $id, $return);
            }
            
            // save meta information
            $meta_data = $this->CI->fields_model->field_post_values($form_fields, $user_id, 1, $role);
            if($meta_data) {
                $this->CI->fields_model->save_meta_for($module, $id, $meta_data);
            }
            
            // save tags information
            if(isset($data['keywords'])) { // Do not use Empty, the user might have deleted all tags
                $this->CI->load->model('tags/tags_model');
                // $this->CI->tags_model->save_module_tags($data['keywords'], $id, $module); // Simple Text Area
                $this->CI->tags_model->selectize_tags($module, $id, $data['keywords']); // Selectize Selection
            }
            
            // save categories information
            if($this->CI->input->post('categories')) {
                $this->CI->load->model('categories/categories_model');
                $this->CI->categories_model->save_categories_relation($id, $module);
            }
            
            // save package_priority information for sorting
            if($this->CI->input->post('package_priority')) {
                $this->CI->load->model('packages/packages_model');
                $this->CI->packages_model->_tweak_package_priority($module, $id, false);
            }
            
            // save image
            if($module!= 'users' && $this->CI->input->post('uploaded_image')) {
                $this->CI->load->model('images/images_model');
                // only one image is active, set it as cover
                // save image only if the module is a site module
                if(gc_module_key('status', $module) == 1) {
                    $this->CI->images_model->save_image($module, $id, $this->CI->input->post('uploaded_image'), 1, 1);
                }
            }
            
            // save tweak location fields
            if(gc_module_settings($module, 'locations') == 1) {
                $this->CI->load->model('locations/cities_model');
                $this->CI->cities_model->_tweak_location_row($module, $id);
            }
        }
        return $return;
    }
}