<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							    # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				    # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									    # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
if(isset($info_message)): // display information on the top of the list?>
<div class="alert alert-block alert-<?php echo isset($info_message['type']) ? $info_message['type'] : 'info'; ?>"><?php echo $info_message['message']; ?></div>
<?php
endif;
$is_sortable = isset($sortable) ? true : false;
$send_email = false;
$send_sms = false;
if(isset($filter_status)): // display status_id filter
echo $this->load->view('common/_status_filter');
endif;
?>
<?php if(!empty($filter_letters)):?>
<div class="card bg-light shallow-well">
	<span class="filter-link-list">
		<?php echo $this->load->view('common/filter_link_list'); ?>
	</span>
</div>
<?php endif;?>
<?php 
if(!empty($form_fields)):
$this->load->view('fields/_form', array('form_fields' => $form_fields, 'record' => $form_record, 'disable_cancel_btn' => true));
endif;
?>
<?php 
if(!empty($filter_tabs)):
if(!empty($filter_dropdown)):?>
<div class="dropdown">
  <button class="btn btn-secondary dropdown-toggle" type="button" id="field_modules" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
    <?php 
    if($filter_type == 'all'):
        echo lang('tab_all');
    else:
        echo lang($filter_type);
    endif;?>
    <span class="caret"></span>
  </button>
  <ul class="dropdown-menu" aria-labelledby="field_modules">
    <li><?php echo anchor($index_url, lang('tab_all'), 'class="dropdown-item"'); ?></li>
	<?php foreach($filter_tabs as $filter_tab): ?>
	<li><?php echo anchor($index_url . $filter_tab . '/', lang('tab_' . $filter_tab), 'class="dropdown-item"'); ?></li>
	<?php endforeach;?>
  </ul>
</div>
<?php
else:
    $index_filter_tabs = array();
    $index_filter_tabs[] = array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all'));
    foreach($filter_tabs as $filter_tab):
    $index_filter_tabs[] = array('filter' => $filter_type, 'condition' => $filter_tab, 'url' => $index_url . $filter_tab . '/', 'title' => lang('tab_' . $filter_tab));
    endforeach;
    echo $this->load->view('common/_navtabs', array('nav_tabs' => $index_filter_tabs));
endif;
endif;
$num_columns	= count($fields) + count($actions) + 1;
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
    $num_columns++;
endif;
$link_page = ($role == 'admin' ? 'admin' : 'frontend');
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="row">
    	<div class="col-sm-4 mt-3">
        	<?php if(!empty($can_create) && !empty($create_url)):?>
        	<a href="<?php echo $create_url; ?>" class="btn btn-warning btn-sm float-left"><i class="fas fa-plus-circle fa-fw mr-1"></i><?php echo lang('create_' . $module); ?></a>
        	<?php endif;?>
        	<?php if($module == 'images'): ?>
        	<button class="btn btn-warning btn-sm float-left" name="generate_thumbnails" value="<?php echo $module; ?>" onclick="return confirm('<?php e(js_escape(lang('thumbnail_warning'))); ?>')" ><i class="fas fa-th-large fa-fw mr-1"></i><?php echo lang('gc_menu_generate_thumbnails'); ?></button>
        	<?php endif; ?>
        	<?php if(isset($extra_action)):?>
        	<?php echo $extra_action; ?>
        	<?php endif;?>
        	<?php if(!empty($total_sum)):?>
        	<span class="btn btn-success btn-sm ml-1" data-toggle="tooltip" data-title="<?php echo lang('label_total'); ?>"><i class="fas fa-calculator fa-fw mr-1"></i><?php echo $total_sum; ?></span>
        	<?php endif;?>
        </div>
    	<div class="col-sm-8">
			<?php echo search_admin(lang('placeholder_' . $module . '_search'), 'offset-sm-5 col-sm-7');?>
		</div>
	</div>
	<div class='table-responsive'>
		<table class='table table-striped<?php echo isset($table_css) ? $table_css : '';?>'>
			<thead>
				<tr>
					<?php if($is_sortable):?>
					<th><i class="fas fa-sort"></i></th>
					<?php endif; ?>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					<?php foreach($fields as $field):
        			if(isset($field[$role . '_index']) && $field[$role . '_index'] == 1):?>
						<th><?php echo form_filter($field['name'], (!empty($field['label_lang']) ? lang($field['label']) : $field['label'])); ?></th>
					<?php endif; ?>
					<?php endforeach;?>
					<?php if(!empty($actions) || isset($filter_status)):?>
						<th class="text-center"><?php echo lang('label_action'); ?></th>
					<?php endif; ?>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php
						echo lang('bf_with_selected');	
						if ($filter_type == 'deleted') :
						?>
						<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
						<?php else : ?>					
						<?php if(!empty($filter_status)):?>
						<?php foreach($filter_status as $status_filter):?>
						<button class="btn btn-action" type="submit" name="submit" value="status_id__<?php echo $status_filter['id']; ?>"><?php echo $status_filter['name']; ?></button>
						<?php endforeach;?>
						<?php endif;?>
						<?php if(!empty($footer_actions)):?>
						<?php foreach($footer_actions as $footer_action):?>
						<button class="btn btn-action" type="submit" name="submit" value="<?php echo $footer_action; ?>"><?php echo lang('gc_action_' . $footer_action); ?></button>
						<?php endforeach;?>
						<?php endif;?>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
						<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr id="<?php echo $record->id; ?>">
					<?php if($is_sortable):?>
					<td class="sorter"></td>
					<?php endif; ?>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif; 
        			foreach($fields as $field):
        			if(isset($field[$role . '_index']) && $field[$role . '_index'] == 1):?>
        			<td>
        			<?php
            			if(empty($field['index_action_' . $role])):
                			if(!empty($field['index_edit_' . $role]) && !empty($edit_url)):
                			$field_value = $record->{$field['name']};
                			if($field['name'] == 'name' && !empty($record->name_lang)):
                				$field_value = lang($record->{$field['name']});
                			endif;
                			echo anchor(sprintf($edit_url, (isset($encode_id) ? $this->crypt->encode($record->id) : $record->id)), '<i class="fas fa-edit"></i> ' .  $field_value);
                			else:
                			$field_value = $this->fields_model->fields_index($field, $record, $module, $role);
                			switch($field['name']) {
                			    case 'counts':
                			    case 'hits':
                			    case 'priority':
                			        echo empty($field_value) ? 0 : $field_value;
                			        break;
                			    default:
                			        echo !empty($field_value) ? $field_value : lang('not_applicable');
                			}
                			endif;
            			else:
            			?>
            			<?php $index_option = $field['index_action_' . $link_page]; // options, icon_primary, icon_secondary ?> 
            			<?php if(!empty($index_option['options'])):?>
            			<span class="display-block"><small><?php echo lang('label_change_status');?></small></span>
    					<select class="form-control" name="dropdown_field[<?php echo $field['name'] . '_' . $record->id; ?>]">
    						<?php foreach($index_option['options'] as $option):?>
    						<option value="<?php echo $option['value']; ?>" <?php echo ($record->{$field['name']} == $option['value']) ? 'selected' : '';?>><?php echo $option['label'];?></option>
    						<?php endforeach; ?>	
    					</select>
    					<?php if(!empty($index_option['notify_customer'])):?>
    					<div class="checkbox">
    						<label class="badge badge-notify">
    							<input type="checkbox" value="1" name="notify_customer_<?php echo $record->id; ?>" id="<?php echo $record->id; ?>" class="notify_customer"><?php echo lang('label_notify_customer');?>
    						</label>
    					</div>
    					<?php endif; ?>
    					<span class="display-block"></span>
    					<button type="submit" class="btn btn-primary btn-xs" name="change[<?php echo $field['name'] . '_' . $record->id; ?>]" value="<?php echo $record->id;?>"><?php echo lang('save');?></button>
					  	<?php elseif(!empty($index_option['extra'])):
					  	// gc_url - 1 - gc_url_format method
					  	// param - slug parameters to be passed
					  	// link - name of the module
					  	?>
					  	<a href="<?php echo !empty($index_option['extra']['gc_url']) ? gc_url_format($index_option['extra']['link'], $record->{$index_option['extra']['param']}) : $index_option['extra']['link'];?>"><?php echo $record->{$field['name']}?></a>
					  	<?php else: ?>
        				<button type="submit" name="update[<?php echo $field['name'] . '_' . $record->{$field['name']}; ?>]" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->{$field['name']} == 1 ? 'btn-success' : 'btn-warning';?>">
        					<i class="<?php echo $record->{$field['name']} == 1 ? (isset($index_option['icon_primary']) ? $index_option['icon_primary'] : 'fas fa-thumbs-up') : (isset($index_option['icon_secondary']) ? $index_option['icon_secondary'] : 'fas fa-thumbs-down'); ?>"></i>
        				</button>
        				<?php endif;?>
            			<?php endif; // actions with change ?>            			
            			</td> 
            		<?php endif; ?>
            		<?php endforeach; ?>
        			<?php if(!empty($actions) || isset($filter_status)): // Additional actions, redirects and buttons?>
        			<td class="text-center">
        				<?php        				
        				if(isset($filter_status) && !isset($view_params['disable_status_change'])): // status_id change filter
        				echo $this->load->view('common/_status_change', array('record' => $record, 'no_notification' => !empty($no_notification) ? 0 : 1));
        				endif;
        				?>
        				<?php foreach($actions as $action): // tooltip (tooltip title), type, name, label, class, link
        				$tooltip = '';
        				if(isset($action['tooltip'])):
        				$tooltip = ' data-toggle="tooltip" data-placement="bottom" data-original-title="' . $action['tooltip'] . '"';
        				endif;
        				// %s to be replaced with which field value
        				$url_field = isset($action['url_field']) ? $action['url_field'] : 'id';
        				switch($action['type']) {
        				    case 'button':?>
        				    <button type="submit" class="btn btn-xs <?php echo $action['class']; ?>" name="<?php echo $action['name']; ?>" value="<?php echo $record->id;?>"<?php echo $tooltip; ?>>
        				    	<?php echo $action['label']; ?>
        				    	<?php if(isset($action['badge'])):?>
            					<?php echo isset($record->{$action['badge']}) ? '<span class="badge badge-danger">' . $record->{$action['badge']} . '</span>': ''; ?>
            					<?php endif;?>
        				    </button>
        				    <?php
        				        break;
        				    case 'link': 
        				        $display_field = false;
        				        if(isset($action['condition'])):
        				            if(is_array($action['condition'])):   
        				                $display_field = true;
        				                foreach($action['condition'] as $action_condition):
        				                    if(property_exists($record, $action_condition['name']) && // isset($record->{$action_condition['name']}) && 
        				                    (empty($action_condition['match']) && $record->{$action_condition['name']} == $action_condition['value']) ||
        				                    (!empty($action_condition['match']) && $record->{$action_condition['name']} != $action_condition['value'])):
        				                    else:
        				                        $display_field = false; // all must match
        				                    endif;
        				                endforeach;
        				                $link_url = sprintf($action['link'], $record->id);
            				        elseif(isset($record->{$action['condition']})):
            				            if($action['condition'] == 'status' && $record->{$action['condition']} == 1):
            				                $link_url = sprintf($action['link'], $record->slug, $record->id);
            				                $display_field = true;
            				            elseif(
            				                !empty($action['condition_value']) && 
            				                (empty($action['condition_matches']) && $record->{$action['condition']} == $action['condition_value']) ||
            				                (!empty($action['condition_matches']) && $record->{$action['condition']} != $action['condition_value'])
            				                ):
            				                $display_field = true;
            				                $link_url = sprintf($action['link'], $record->id);
            				            elseif(empty($action['condition_value']) && !empty($record->{$action['condition']})):
                				            $link_url = sprintf($action['link'], $record->id);
                				            $display_field = true;
            				            endif;
            				        endif;
        				        else:
        				            $link_url = sprintf($action['link'], $record->{$url_field});        				            
        				            if(strpos($link_url, '{') !== false):
            				            if(!empty($record->city)):
            				                $record->city = $this->slug->create_slug($record->city);
            				            endif;
        				                $link_url = $this->parser->parse_string($link_url, (array) $record, true);
        				            endif;
        				            $display_field = true;
        				        endif;
        				        $on_click = '';
        				        // set modal_row_id in the database query select statement e.g. SU.subscriber_id AS module_row_id
        				        if(isset($link_url) && $link_url == '#sendEmailModal'): // Send Email
            				        if(!empty($record->email)):
            				            $send_email = true;
            				            $on_click = ' data-toggle="modal" onclick="$(\'#sendEmailForm\').attr(\'data-id\', ' . $record->id . ');"';
            				            $tooltip = '';
            				        else:
            				            $display_field = false;
            				        endif;
        				        endif;
        				        if(isset($link_url) && $link_url == '#smsModal'): // Send Email
        				            if(!empty($record->phone_number)):
        				                $send_sms = true;
        				                $on_click = ' data-toggle="modal" onclick="$(\'#sendSMSForm\').attr(\'data-id\', ' . $record->id . ');"';
        				                $tooltip = '';
        				            else:
        				                $display_field = false;
        				            endif;
        				        endif;
        				        if($display_field):
        				        ?>
        				    <a href="<?php echo $link_url; ?>" role="button"<?php echo $tooltip; ?> class="help-label <?php echo !empty($action['class']) ? $action['class'] : 'btn btn-xs btn-inverse'?>"<?php echo isset($action['target']) ? ' target="' . $action['target'] . '"' : '';?>
        				        <?php echo $on_click; ?>>
            					<?php echo $action['label']; ?>
            					<?php if(isset($action['badge'])):?>
            					<?php echo isset($record->{$action['badge']}) ? '<sup><span class="badge badge-danger">' . $record->{$action['badge']} . '</span></sup>': ''; ?>
            					<?php endif;?>
            				</a>
        				    <?php
        				        elseif(!empty($action['no_action_html'])):
        				            echo $action['no_action_html'];
        				        endif;
        				        break;
        				}
        				?>
        				<?php endforeach;?>					
        			</td>
        			<?php endif;?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>
<?php
// Send Bulk/Custom SMS
if(!empty($send_email)):
echo $this->load->view('common/send_email', array('module' => $module));
endif;
if(!empty($send_sms)):
echo $this->load->view('common/custom_sms', array('module' => $module));
endif;
?>