<?php
// e.g. $this->load->view('fields/_load_positions', array('position_id' => 3, 'module' => 'leads', 'toggle_module_id' => 2, 'records' => $records, 'skip_fields' => array('venue')));
$position_id = !empty($position_id) ? (int) $position_id : 0;
$module = !empty($module) ? $module : '';
$records = !empty($records) ? $records : array();
$toggle_module_id = !empty($toggle_module_id) ? (int) $toggle_module_id : 0;
$skip_fields = !empty($skip_fields) ? $skip_fields : array();
$tpl = !empty($tpl) ? $tpl : 'default';
$table_class = !empty($table_class) ? $table_class : 'table-bordered table-hover';
if(empty($module_data)):
$module_data = $this->fields_model->position_field_values($position_id, $module, $records, $toggle_module_id);
endif;
if(!empty($module_data['rows'][0])):
	switch($tpl):
		case 'index':
?>
<div class="table-responsive">
<table class="table <?php echo $table_class; ?> table-sm">
	<thead>
      <tr>
        <?php if ($can_delete) : ?>
          <th class="column-check"><input class="check-all" type="checkbox" /></th>
        <?php endif;?>
		<?php foreach($module_data['columns'] as $record): ?>
			<th><?php echo $record;?></th>
		<?php endforeach; ?>
	  </tr>
	</thead>
	<tbody>
	<?php foreach($module_data['rows'] as $row): ?>
	<tr>
	<?php if ($can_delete) : ?>
		<td class="column-check"><input type="checkbox" name="checked[]" value="<?php echo $row->id; ?>" /></td>
	<?php endif;?>
	<?php foreach($row as $field_name => $field_value): ?>
	<td><?php echo $field_value ;?></td>
	<?php endforeach; ?>
	</tr>
	<?php endforeach; ?>
	</tbody>
</table>
</div>
<?php break; case 'detail': ?>
<div class="table-responsive">
<table class="table <?php echo $table_class; ?> table-sm">
	<?php foreach($module_data['rows'][0] as $field_name => $field_value): ?>
	<?php 
    if(!empty($skip_fields) && in_array($field_name, $skip_fields)):
	else:?>
	<?php switch($field_name) {
		case 'application_documents' : ?>
			<tr>
				<td class="active " colspan="2" ><span class="h5"><?php echo $module_data['columns'][$field_name]?>;</span>
				</td>
			</tr>
			<tr>
				<td></td>
				<td><?php echo $field_value ;?></td>
			</tr>
		<?php break;
		case 'download_links' : 
		$file_links = json_decode($field_value ?? '', true);
		if(!empty($file_links)): ?>
			<tr>
				<td class="active " colspan="2" ><span class="h5"><?php echo $module_data['columns'][$field_name]?>;</span>
				</td>
			</tr>
			<?php foreach($file_links as $field_name => $field_value):
		?>
		<tr>
				<td><?php echo $field_name == 'download_links' ? lang('other_document') : lang('link_' . $field_name);?></td>
				<td><?php echo implode('<br />', $field_value); ?></td>
			</tr>
		<?php endforeach; ?>
		<?php endif; ?>
		<?php
		break; 
		default:?>		
		<tr>
			<td class="active"><?php echo $module_data['columns'][$field_name];?></td>
			<td><?php echo $field_value ;?></td>
		</tr>
		<?php } ?> 
	<?php endif; ?>
	<?php endforeach; ?>
</table>
<?php if(!empty($record->facilities)):?>
<?php $amenities = json_decode($module_data['rows'][0]->facilities ?? '', true);?>
<h4><?php echo lang('amenities');?></h4>
	<ul class="unstyled list-inline">
		<?php foreach($amenities as $amenity): ?>
			<li class="col-md-3 col-sm-3 col-12 list-inline-item">
				<label for="<?php echo $amenity['name'];?>"> 
					<img src="<?php echo $amenity['image']['original']; ?>" alt="<?php echo $amenity['name'];?>" /> 
					<?php echo $amenity['name']; ?>
				</label>
			</li>			
		<?php endforeach;?>		
	</ul>
<?php endif;?>
<?php if(!empty($record->distances)):?>
<?php $distances = (array)json_decode($record->distances ?? '');?>
<?php $isDistance = false;?>
<?php foreach($distances as $key => $value): if($value != 0): $isDistance = true; endif; endforeach;?>
<?php if($isDistance):?>
<h4><?php echo lang('label_distances');?></h4>
<div class="table-responsive">
<table class="table table-bordered">
<tbody>				
<?php foreach($distances as $key => $value): ?>	
	<?php if($value != 0):?>
	<tr>
		<td class="active"><?php echo lang('label_' . $key);?></td>
		<td><?php echo $value > 1000 ? round(((int) $value)/1000, 2) : $value;?> <?php echo $value > 1000 ? lang('label_kilometers') : lang('label_meters');?></td>
	</tr>
	<?php endif;?>
<?php endforeach;?>		
</tbody>
</table>
</div>
<?php endif;?>	
<?php endif?>
<?php if(!empty($record->description) && $field_value == 'description'):?>
	<h4><?php echo lang('label_description');?></h4>
<?php endif;?>
</div>
<?php break; case 'modal':
	$modal_id = !empty($modal_id) ? $modal_id : '';
	$record = $module_data['rows'][0]; ?>
	<a href="#viewFieldModal_<?php echo $module . $toggle_module_id . $modal_id;?>" data-toggle="modal" class="btn btn-warning btn-xs">
		<?php echo lang('label_view');?>
	</a>
	<div class="modal fade" id="viewFieldModal_<?php echo $module . $toggle_module_id . $modal_id;?>">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header btn-theme">
					<div class="modal-title"><?php echo lang('detail_description');?></div>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
					</button>
				</div><!-- end modal-header -->
				<div class="modal-body">
				<div class="table-responsive">
				<table class="table <?php echo $table_class; ?> table-sm">
					<?php foreach($module_data['rows'][0] as $field_name => $field_value): ?>
					<?php 
					if(!empty($skip_fields) && in_array($field_name, $skip_fields)):
					else:?>
					<tr>
						<td class="active"><?php echo $module_data['columns'][$field_name];?></td>
						<td><?php echo $field_value ;?></td>
					</tr>
					<?php endif; ?>
					<?php endforeach; ?>
				</table>
				</div>
				</div>
			</div>
		</div>
	</div>
<?php break; ?>
<?php endswitch; ?>
<?php endif; ?>