<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php if($module == 'bookings'):?>
<div class="alert alert-danger">
<?php echo lang('warning_booking_fields');?>
</div>
<?php endif;?>
<?php
echo form_validations();
$num_columns	= 12;
$can_edit		= $this->auth->has_permission('Fields.Developer.Edit');
$has_fields 	= isset($fields) && is_array($fields) && count($fields);
$records 		= !empty($records) ? (array) $records : array();
$modules 		= gc_modules();
$modules[]		= 'videos';
$module_ids = array();
$module_options = array();
foreach($modules as $gc_module):
    $module_options[gc_module_id($gc_module)] = lang($gc_module); 
    $module_ids[] = gc_module_id($gc_module);
endforeach;
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
	<fieldset>
	<?php if($module == 'bookings' || $module == 'categories' || $module == 'post_types'):?>
	<?php $assign_module_elements = array( 
	 	array('type' => 'selectize', 'name' => 'assign_module', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/categories'), 'module' => 'categories', 'selectize_value' => (isset($selectize_value) ? $selectize_value : ''), 'extra' => array('placeholder' => lang('placeholder_selectize'))),
		array('type' => 'submit', 'name' => 'save', 'extra' => array('class' => 'btn btn-primary', 'type' => 'submit'), 'label' => lang('gc_action_submit'))
	);
	// echo gc_form_element('text', array('element_container' => 'div.form-inline', 'options' => $assign_module_elements), array(), lang('label_category'), 'col-sm-9');

	?>
	
	<?php 
	$selectize_module = $module;
	if($module == 'bookings'):
		$selectize_module = 'booking_forms';
	endif;
	echo gc_form_element('selectize', array('name' => 'assign_module', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/' . $selectize_module), 'module' => $selectize_module, 'selectize_value' => (isset($selectize_value) ? $selectize_value : ''), 'extra' => array('placeholder' => lang('placeholder_selectize'))), '', lang('label_name'), 'col-sm-4'); ?>
	<?php
	$action_data = array();
	$action_data['name'] = 'change';
	$action_data['label'] = lang('gc_action_submit');
	$action_data['delete'] = FALSE;
	$action_data['url'] = $this->session->userdata($module . '_last_visited_page');
	$action_data['extra_actions'] = array(
	    anchor(site_url(SITE_AREA . '/developer/fields/create'), lang('create_field'))
	);
	echo gc_form_element('actions', $action_data);
	endif; ?>
	</fieldset>
	<?php // echo search_admin(lang('label_name'));?>
	<div class="table-responsive">
	<table class='table table-striped' id="fields_table">
		<thead>
			<tr>
				<?php if ($has_fields) : ?>
				<th class='column-check'><input class='check-all' type='checkbox' /></th>
				<?php endif;?>
				<th><?php echo lang('label_id');?></th>
				<th><?php echo lang('label_name');?></th>
				<th><?php echo lang('label_label');?></th>
				<?php if($module != 'bookings' && $module != 'post_types'): ?>
				<th><?php echo lang('applicable_modules');?></th>
				<?php endif; ?>
				<th><?php echo lang('label_params');?></th>
				<th><?php echo lang('label_status');?></th>
				<?php if($module == 'bookings'):?>
				<th><?php echo lang('label_action');?></th>
				<?php endif;?>
			</tr>
		</thead>
		<?php if ($has_fields) : ?>
		<tfoot>
			<?php if ($can_edit) : ?>
			<tr>
				<td></td>
				<td><?php echo lang('bf_with_selected'); ?></td>	
				<td><input type='submit' name='save' class='btn btn-primary' value="<?php echo lang('save'); ?>" /></td>
				<td></td>
				<td></td>
				<?php if($module != 'bookings' && $module != 'post_types'): ?>
				<td></td>
				<?php endif; ?>
				<td></td>
			</tr>
			<?php endif; ?>
		</tfoot>
		<?php endif; ?>
		<tbody>
				<?php
				if ($has_fields) :
					foreach ($fields as $field):
					$assigned = in_array($field->id, $records);
				?>
				<tr>
					<td class='column-check'><input type='checkbox' name='checked[]' value='<?php echo $field->id; ?>'<?php echo set_checkbox('checked[]', $field->id, $assigned ? TRUE : FALSE);?> /></td>
					<td><?php e($field->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/developer/fields/edit/' . $field->id, '<i class="fas fa-edit"></i> ' .  $field->name); ?></td>
				<?php else : ?>
					<td><?php e($field->name); ?></td>
				<?php endif; ?>	
					<td><?php echo ($field->label_lang == 1 ? lang($field->label) : $field->label);?></td>
					<?php if($module != 'bookings' && $module != 'post_types'): ?>
					<td>
					<?php $saved_module_ids = !empty($field->module_ids) ? explode(',', $field->module_ids) : $module_ids;?>
					<select name="<?php echo $field->id; ?>_module_ids[]" id="<?php echo $field->id; ?>_module_ids" multiple class="selectpicker">
                        <?php foreach($module_options as $key => $module_option):?>
                        <option value="<?php echo $key; ?>"<?php echo in_array($key, $saved_module_ids) ? ' selected' : ''; ?>><?php echo $module_option; ?></option>
                        <?php endforeach; ?>
                    </select>					
					<?php // echo gc_form_element('dropdown', array('name' => $field->id . '_module_ids[]', 'field_class' => 'selectpicker', 'multiple' => 1, 'options' => $module_options, 'field_only' => true, 'extra' => array('id' => $field->id . '_module_idss', '')), $field->module_ids); ?>
					</td>
					<?php endif; ?>					
					<td><?php echo gc_form_element('textarea', array('name' => $field->id . '_params', 'field_only' => true), !empty($rows[$field->id]->params) ? $rows[$field->id]->params : null); ?></td>
					<td><span class="badge <?php echo $assigned ? 'badge-success' : 'badge-warning'?>"><?php echo $assigned ? lang('label_assigned') : lang('label_unassigned');?></span></td>
					<?php if($module == 'bookings'):?>
					<td>
					<?php if($assigned):?>
        			<button type="submit" name="is_extra" value="<?php echo $field->field_module_id; ?>" class="btn btn-xs <?php echo $field->is_extra == 1 ? 'btn-success' : 'btn-warning';?>" data-toggle="tooltip" data-placement="bottom" title="<?php echo lang('is_extra');?>">
        				<i class="fas fa-<?php echo $field->is_extra == 1 ? 'check' : 'times'; ?>"></i>
        			</button>
        			<?php endif;?>
        			<?php if($assigned):?>
        			<button type="submit" name="status_change" value="<?php echo $field->field_module_id; ?>" class="btn btn-xs <?php echo $field->field_status == 1 ? 'btn-success' : 'btn-warning';?>" data-toggle="tooltip" data-placement="bottom" title="<?php echo lang('label_status');?>">
        				<i class="fas fa-<?php echo $field->field_status == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
        			</button>
        			<?php endif;?>
        			</td>
        			<?php endif;?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
</div>