<?php 
/**
 * @param string $module
 * @param array $field - Saved Data 
 */
$prefix = !empty($module) ? $module . '_' : ''; // To be added before each field
$field = isset($field) ? $field : array();
?>

<?php
$groups = array(0 => lang('group_none'));
if(!empty($field_groups)):
	foreach($field_groups as $field_group):
		$groups[$field_group->id] = ($field_group->name_lang == 1 ? lang('group_' . $field_group->name) : $field_group->name);
	endforeach;
endif;			
echo gc_form_element('dropdown', array('name' => 'field_group', 'name_prefix' => $prefix, 'help' => lang('help_field_group'), 'options' => $groups), $field, lang('field_group'), 'col-sm-3' );

$checkboxes = array('frontend', 'admin_only', 'frontend_index', 'admin_index', 'frontend_detail', 'field_package', 'display_package', 'multi_language', 'field_report', 'status'); // 'search', 'filter', 
echo gc_form_element('checkbox', array('name' => '', 'name_prefix' => $prefix, 'options' => $checkboxes, 'label_prefix' => 'label_'), $field);
echo gc_form_element('dropdown', array('name' => 'filter_search', 'name_prefix' => $prefix, 'help' => lang('help_filter_search'), 'options' => array(0 => lang('not_applicable'), 1 => lang('label_search'), 2 => lang('label_filter'))), $field, lang('label_filter_search'), 'col-sm-2' );

// set the arrays outside the loop
echo gc_form_element('dropdown', array('name' => 'type', 'field_class' => 'field-type', 'name_prefix' => $prefix, 'options' => $this->fields_model->field_options(), 'extra' => array('prefix' => $prefix)), $field, lang('label_type'), 'col-sm-3' );

$label_elements = array(
	gc_form_element('text', array('name' => 'label', 'field_only' => TRUE, 'name_prefix' => $prefix), $field, '', 'col-sm-6'),
	gc_form_element('checkbox', array('name' => 'label_lang', 'field_only' => TRUE, 'name_prefix' => $prefix), $field, lang('label_lang'))
);
echo gc_form_element('form_elements', array('name' => '', 'form_elements' => $label_elements), array(), lang('label_label') . lang('bf_form_label_required'));
echo gc_form_element('text', array('name' => 'field_extra', 'name_prefix' => $prefix, 'help' => lang('help_field_extra')), $field, lang('label_field_extra'));

?>

<div class="form-group form-row">
<label class="col-sm-3 col-form-label"><?php echo lang('form_rules')  . ' <a role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="' . lang('help_validation_rules') . '" class="help-label"><i class="fa fa-question"></i></a>'; ?></label>
<div class="col-sm-9" aria-labelledby="validation_label" role="group">
	<?php echo form_error('cont_validation_rules'); ?>
	<?php $selected_rules = isset($field->validation_rules) ? (array) json_decode($field->validation_rules) : array(); ?>
	<?php foreach ($validation_rules as $validation_rule) : ?>
		<div class="checkbox">
			<label class="inline" for="<?php echo $prefix; ?>validation_rules_<?php echo $validation_rule; ?>"> 
				<input name="<?php echo $prefix; ?>validation_rules[<?php echo $validation_rule; ?>]"
					type="checkbox" value="<?php echo $validation_rule; ?>" <?php echo set_checkbox($prefix . 'validation_rules', $validation_rule, (!empty($selected_rules) && in_array($validation_rule, $selected_rules)) ? TRUE : FALSE); ?>
					<?php echo set_checkbox($prefix . 'validation_rules', $validation_rule); ?> />
					<?php echo lang('form_' . $validation_rule); ?>
			</label>
		</div>
	<?php endforeach; ?>
	<?php $has_rule = $this->fields_model->check_radio_rule($selected_rules, $validation_radio_rules);?>
	<?php foreach ($validation_radio_rules as $validation_radio_rule) : ?>
	<?php $selected_rule = $this->fields_model->check_radio_rule($selected_rules, array(), $validation_radio_rule);?>
		<div class="radio"> 
		<label class="inline" for="<?php echo $prefix; ?>validation_radio_rule_<?php echo $validation_radio_rule?>"> <input
			name="<?php echo $prefix; ?>validation_radio_rule"
			type="radio" value="<?php echo $validation_radio_rule; ?>" <?php echo set_radio($prefix . 'validation_radio_rule', $validation_radio_rule, ($selected_rule || (!$has_rule && $validation_radio_rule == 'none')) ? TRUE : FALSE);?>>
			<?php echo lang('form_' . $validation_radio_rule); ?>
		</label>
		</div>
	<?php endforeach; ?>
	</div>
</div>

<?php
echo gc_form_element('text', array('name' => 'custom_rules', 'help' => lang('help_custom_rules'), 'name_prefix' => $prefix), $field, lang('label_custom_rules'), 'col-sm-6');
$field_type = isset($field->type) ? $field->type : '';
$control_class = $prefix . 'field_options';
$control_style = (isset($field_type) && (array_key_exists($field_type, $this->fields_model->field_options('options'))) ? '' : 'display: none;');
$options_elements = array(
		gc_form_element('textarea', array('name' => 'options', 'field_only' => TRUE, 'name_prefix' => $prefix . 'field_', 'extra' => array('rows' => 2)), $field),
		gc_form_element('checkbox', array('name' => 'options_lang', 'field_only' => TRUE, 'name_prefix' => $prefix), $field, lang('options_lang')),
		gc_form_element('checkbox', array('name' => 'options_detailed', 'field_only' => TRUE, 'name_prefix' => $prefix), $field, lang('options_detailed'))
);
echo gc_form_element('form_elements', array('name' => '', 'control_class' => $control_class, 'control_style' => $control_style, 'form_elements' => $options_elements), array(), lang('field_options'));

echo gc_form_element('text', array('name' => 'value', 'name_prefix' => $prefix), $field, lang('label_default_value'), 'col-sm-4');

$placeholder_elements = array(
		gc_form_element('text', array('name' => 'placeholder', 'field_only' => TRUE, 'name_prefix' => $prefix), $field, lang('label_placeholder'), 'col-sm-6'),
		gc_form_element('checkbox', array('name' => 'placeholder_lang', 'field_only' => TRUE, 'name_prefix' => $prefix), $field, lang('placeholder_lang'))
);
echo gc_form_element('form_elements', array('name' => '', 'form_elements' => $placeholder_elements), array(), lang('label_placeholder'));

$help_elements = array(
	gc_form_element('text', array('name' => 'tooltip', 'field_only' => TRUE, 'name_prefix' => $prefix), !empty($field->tooltip) ? $field->tooltip : '', lang('label_tooltip'), 'col-sm-6'),
	gc_form_element('checkbox', array('name' => 'tooltip_lang', 'field_only' => TRUE, 'name_prefix' => $prefix), $field, lang('tooltip_lang'))
);
echo gc_form_element('form_elements', array('name' => '', 'form_elements' => $help_elements), array(), lang('label_tooltip'));
echo gc_form_element('dropdown', array('name' => 'tooltip_position', 'name_prefix' => $prefix, 'options' => array('help-inline' => lang('help_inline'), 'help-block' => lang('help_block'), 'help-tooltip' => lang('help_tooltip'))), (isset($field->tooltip_position) ? $field->tooltip_position : ''), lang('tooltip_position'), 'col-sm-3');

$options = array();
for($i = 0; $i <=12 ; $i++) {
	$options[$i] = $i;
}
echo gc_form_element('dropdown', array('name' => 'label_width', 'help' => lang('help_label_width'), 'name_prefix' => $prefix, 'options' => $options), $field, lang('label_width'), 'col-sm-1');
echo gc_form_element('dropdown', array('name' => 'class', 'help' => lang('help_class'), 'name_prefix' => $prefix, 'options' => $options), $field, lang('label_class'), 'col-sm-1');
echo gc_form_element('text', array('name' => 'control_class', 'help' => lang('help_control_class'), 'name_prefix' => $prefix), !empty($field->control_class) ? $field->control_class : '', lang('label_control_class'), 'col-sm-4');
echo gc_form_element('text', array('name' => 'control_condition', 'help' => lang('help_control_condition'), 'name_prefix' => $prefix), !empty($field->control_condition) ? $field->control_condition : '', lang('control_condition'), 'col-sm-4');
echo gc_form_element('text', array('name' => 'element_container', 'help' => lang('help_element_container'), 'name_prefix' => $prefix), !empty($field->element_container) ? $field->element_container : '', lang('element_container'), 'col-sm-4');
echo gc_form_element('text', array('name' => 'field_container', 'help' => lang('help_field_container'), 'name_prefix' => $prefix), !empty($field->field_container) ? $field->field_container : '', lang('field_container'), 'col-sm-4');
echo gc_form_element('text', array('name' => 'field_class', 'help' => lang('help_field_class'), 'name_prefix' => $prefix), !empty($field->field_class) ? $field->field_class : '', lang('label_field_class'), 'col-sm-4');
echo gc_form_element('text', array('name' => 'priority', 'help' => lang('help_priority'), 'default_value' => 0, 'name_prefix' => $prefix), $field, lang('label_priority'), 'col-sm-2');
?>