<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="btn-group">
	<div class="dropdown">
	  <button class="btn btn-secondary dropdown-toggle mr-3" type="button" id="field_modules" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
	    <?php 
	    if($filter_type == 'all'):
	        echo lang('tab_all');
	    else:
	        echo lang($filter_type);
	    endif;?>
	    <span class="caret"></span>
	  </button>
	  <ul class="dropdown-menu" aria-labelledby="field_modules">
	    <li><?php echo anchor($index_url, lang('tab_all'), 'class="dropdown-item"'); ?></li>
		<?php
		$config_modules = $this->fields_model->config_modules();
		?>
		<?php foreach($config_modules as $config_module):?>
		<li><?php echo anchor($index_url . $config_module . '/', lang($config_module), 'class="dropdown-item"'); ?></li>
		<?php endforeach;?>
	  </ul>
	</div>
	<div class="dropdown">
	  <button class="btn btn-info dropdown-toggle" type="button" id="field_groups" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
	    <?php 
	    if($group_id == -1):
	        echo lang('tab_all');
	    elseif(isset($groups[$group_id])):
	        echo $groups[$group_id];
	    else:
	        echo lang('tab_all');
	    endif;?>
	    <span class="caret"></span>
	  </button>
	  <ul class="dropdown-menu" aria-labelledby="field_modules">
	    <li><?php echo anchor($index_url, lang('tab_all'), 'class="dropdown-item"'); ?></li>
		<?php foreach($groups as $field_group_id => $group):?>
		<li><?php echo anchor($index_url . $filter_type . '/' . $field_group_id, $group, 'class="dropdown-item"'); ?></li>
		<?php endforeach;?>
	  </ul>
	</div>
</div>
<div class="text-muted badge"><?php echo sprintf(lang('search_total_rows'), isset($total_rows) ? $total_rows : 0);?></div>
<?php
/*$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
);
$config_modules = gc_modules();
$config_modules[] = 'videos';
foreach($config_modules as $config_module):
$nav_tabs[] = array('filter' => $filter_type, 'condition' => $config_module, 'url' => $index_url . $config_module . '/', 'title' => gc_module_translation($config_module));
endforeach;
$nav_tabs[] = array('filter' => $filter_type, 'condition' => 'categories', 'url' => $index_url . 'categories', 'title' => lang('categories'));
$nav_tabs[] = array('filter' => $filter_type, 'condition' => 'business_queries', 'url' => $index_url . 'business_queries', 'title' => lang('business_queries'));
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
*/

$num_columns	= 15;
$can_delete	    = $this->auth->has_permission('Fields.Developer.Delete');
$can_edit		= $this->auth->has_permission('Fields.Developer.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('label_name'));?>
		<div class="table-responsive">
		<table class='table table-striped action-icons'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('type_id', lang('label_type'));?></th>
					<th><?php echo form_filter('type', lang('label_type'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('priority', lang('label_priority'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo '<i class="fa fa-copy" data-toggle="tooltip" data-placement="bottom" data-original-title="' . lang('btn_clone') . '" class="help-label"></i>';?></th>
					<th><?php echo form_filter('status', '<i class="fas fa-flag"></i>', lang('label_status'));?></th>
					<th><?php echo form_filter('admin_only', '<i class="fab fa-wpforms"></i>', lang('label_admin_only'));?></th>
					<th><?php echo form_filter('frontend', '<i class="fas fa-file-alt"></i>', lang('label_frontend'));?></th>
					<th><?php echo form_filter('admin_index', '<i class="fas fa-list-ul"></i>', lang('label_admin_index'));?></th>
					<th><?php echo form_filter('frontend_index', '<i class="fas fa-list-alt"></i>', lang('label_frontend_index'));?></th>
					<th><?php echo form_filter('field_package', '<i class="fas fa-cube"></i>', lang('label_field_package'));?></th>
					<th><?php echo form_filter('display_package', '<i class="fas fa-eye"></i>', lang('label_display_package'));?></th>
					<th><?php echo form_filter('filter_search', '<i class="fas fa-search"></i>', lang('label_search'));?></th>
					<th><?php echo form_filter('filter_search', '<i class="fas fa-filter"></i>', lang('label_filter'));?></th>					
						</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>')" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' name='checked[]' value='<?php echo $record->id; ?>'<?php echo $record->type_id == 0 ? ' disabled' : '';?> /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php 
					switch($record->type_id) {
						case 0:
							echo lang('label_core');
							break;
						case 1:
							echo lang('label_custom');
							break;
						case 2:
							echo lang('label_category');
							break;
						case 3:
						    echo lang('business_queries');
						    break;
					}
					?></td>
					<td><?php e($record->type); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/developer/fields/edit/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?></td>
				<?php else : ?>
					<td><?php e($record->name); ?></td>
				<?php endif; ?>					
					<td><?php e($record->priority); ?></td>					
					<td><?php e(gc_date_format($record->created_on, TRUE)); ?></td>
					<td><button type="submit" class="btn btn-secondary btn-xs" name="clone" value="<?php echo $record->id; ?>"><i class="fa fa-copy"></i></button></td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->status == 1 ? 'success' : 'warning';?> btn-xs" name="update_status" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->status == 1 ? 'fa fa-thumbs-up' : 'fa fa-thumbs-down';?>"></i>
					</button>
					</td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->admin_only == 1 ? 'success' : 'warning';?> btn-xs" name="admin_only" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->admin_only == 1 ? 'fas fa-check' : 'fa fa-times';?>"></i>
					</button>
					</td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->frontend == 1 ? 'success' : 'warning';?> btn-xs" name="frontend" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->frontend == 1 ? 'fas fa-check' : 'fa fa-times';?>"></i>
					</button>
					</td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->admin_index == 1 ? 'success' : 'warning';?> btn-xs" name="admin_index" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->admin_index == 1 ? 'fas fa-check' : 'fa fa-times';?>"></i>
					</button>
					</td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->frontend_index == 1 ? 'success' : 'warning';?> btn-xs" name="frontend_index" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->frontend_index == 1 ? 'fas fa-check' : 'fa fa-times';?>"></i>
					</button>
					</td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->field_package == 1 ? 'success' : 'warning';?> btn-xs" name="field_package" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->field_package == 1 ? 'fas fa-check' : 'fa fa-times';?>"></i>
					</button>
					</td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->display_package == 1 ? 'success' : 'warning';?> btn-xs" name="display_package" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->display_package == 1 ? 'fas fa-check' : 'fa fa-times';?>"></i>
					</button>
					</td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->filter_search == 1 ? 'success' : 'warning';?> btn-xs" name="search_only" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->filter_search == 1 ? 'fas fa-check' : 'fa fa-times';?>"></i>
					</button>
					</td>
					<td>
					<button type="submit" class="btn btn-<?php echo $record->filter_search == 2 ? 'success' : 'warning';?> btn-xs" name="filter" value="<?php echo $record->id; ?>">
						<i class="<?php echo $record->filter_search == 2 ? 'fas fa-check' : 'fa fa-times';?>"></i>
					</button>
					</td>		
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>