<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php
echo form_validations();
$num_columns	= 12;
$can_edit		= $this->auth->has_permission('Fields.Developer.Edit');
$has_fields 	= isset($fields) && is_array($fields) && count($fields);
$records 		= !empty($records) ? (array) $records : array();
$modules 		= gc_modules();
$modules[]		= 'videos';
$module_ids = array();
$module_options = array(
    '' => lang('placeholder_select')
);
foreach($modules as $gc_module):
    $module_options[gc_module_id($gc_module)] = lang($gc_module); 
    $module_ids[] = gc_module_id($gc_module);
endforeach;
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
	<fieldset>
	<?php 
	$config_module_options = array(
	    '' => lang('placeholder_select')
	);
	$config_modules = $this->fields_model->config_modules();
	foreach($config_modules as $config_module):
	$config_module_options[gc_module_id($config_module)] = lang($config_module);
	endforeach;
	echo gc_form_element('dropdown', array('name' => 'position_group_id', 'options' => $this->fields_model->dropdown_options('field_position_groups')), $position_group_id, lang('singular_field_position_groups'), 'col-sm-4');
	echo gc_form_element('dropdown', array('name' => 'module_id', 'options' => $config_module_options), $module_id, lang('label_module'), 'col-sm-4');
	echo gc_form_element('dropdown', array('name' => 'toggle_module_id', 'options' => $module_options), !empty($toggle_module_id) ? $toggle_module_id : '', lang('field_toggle_module'), 'col-sm-4');
	$action_data = array();
	$action_data['name'] = 'change';
	$action_data['label'] = lang('gc_action_submit');
	$action_data['delete'] = FALSE;
	$action_data['cancel'] = FALSE;
	// $action_data['url'] = $this->session->userdata('fields_last_visited_page');
	$action_data['extra_actions'] = array(
	    anchor(site_url(SITE_AREA . '/developer/fields/manage/position_groups'), '<i class="fab fa-wpforms fa-fw mr-1"></i>' . lang('field_position_groups'), 'class="btn btn-warning"'),
	    anchor(site_url(SITE_AREA . '/developer/fields/create'), lang('create_field'))
	);
	echo gc_form_element('actions', $action_data);
	?>
	</fieldset>
	<?php // echo search_admin(lang('label_name'));?>
	<div class="table-responsive">
	<table class='table table-striped' id="fields_table">
		<thead>
			<tr>
				<?php if ($has_fields) : ?>
				<th class='column-check'><input class='check-all' type='checkbox' /></th>
				<?php endif;?>
				<th><?php echo lang('label_id');?></th>
				<th><?php echo lang('label_name');?></th>
				<th><?php echo lang('label_label');?></th>
				<th><?php echo lang('label_priority');?></th>
				<th><?php echo lang('label_params');?></th>
				<th><?php echo lang('label_assigned');?></th>
			</tr>
		</thead>
		<?php if ($has_fields) : ?>
		<tfoot>
			<?php if ($can_edit) : ?>
			<tr>
				<td></td>
				<td><?php echo lang('bf_with_selected'); ?></td>	
				<td><input type='submit' name='save' class='btn btn-primary' value="<?php echo lang('save'); ?>" /></td>
				<td></td>
				<td></td>
				<td></td>
			</tr>
			<?php endif; ?>
		</tfoot>
		<?php endif; ?>
		<tbody>
				<?php
				if ($has_fields) :
					foreach ($fields as $field):
					$field = (object) $field;
					$assigned = array_key_exists($field->id, $records);
				?>
				<tr>
					<td class='column-check'><input type='checkbox' name='checked[]' value='<?php echo $field->id; ?>'<?php echo set_checkbox('checked[]', $field->id, $assigned ? TRUE : FALSE);?> /></td>
					<td><?php e($field->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/developer/fields/edit/' . $field->id, '<i class="fas fa-edit"></i> ' .  $field->name); ?></td>
				<?php else : ?>
					<td><?php e($field->name); ?></td>
				<?php endif; ?>	
					<td><?php echo $field->label;?></td>
					<td><?php $field_priority = !empty($records[$field->id]->priority) ? $records[$field->id]->priority : 0; echo '<span class="d-none">' . $field_priority . '</span>' . gc_form_element('text', array('name' => 'priority[' . $field->id . ']', 'field_only' => true), $field_priority);?></td>
					<td><?php $field_params = !empty($records[$field->id]->params) ? $records[$field->id]->params : ''; echo '<span class="d-none">' . $field_params . '</span>' . gc_form_element('textarea', array('name' => 'params[' . $field->id . ']', 'field_only' => true, 'extra' => array('rows' => 1)), $field_params);?></td>
					<td><span class="d-none"><?php echo $assigned; ?></span><i class="<?php echo $assigned ? 'fas fa-check bg-success text-white p-2' : 'fas fa-times bg-warning text-white p-2';?>"></i></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
</div>