<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php
$record = isset($record) ? $record : array();
$fields_form = array();
$join_fields = array();
foreach ($form_fields as $field):
    $display_field = '';
    $field_only = (isset($field['field_only']) ? $field['field_only'] : false);
    $field_container = (isset($field['field_container']) ? $field['field_container'] : null);
    $size = ($field['class'] == 0 ? 'col-sm-6' : 'col-sm-' . $field['class']);
    $label_width = !empty($field['label_width']) ? $field['label_width'] : 'col-sm-3'; // Checkout form has a different Label Width
    $field_class = isset($field['field_class']) ? $field['field_class'] : '';
    $field_id = (!empty($field['id']) ? $field['id'] : $field['name']);
    $field_name = $field['name'];
    $field_label = ($field['label_lang'] == 1 ? lang($field['label']) : $field['label']);
    $field_lang = (!empty($field['lang']) ? 1 : 0);
    $field_required = !empty($field['required']) ? TRUE : FALSE;
    $field_label = !empty($field['required']) ? $field_label . lang('bf_form_label_required') : $field_label;
    $field_placeholder = $field['placeholder'];
    $field_extra = !empty($field['extra']) ? $field['extra'] : array();
    $field_tooltip = $field['tooltip'];
    $tooltip_position = $field['tooltip_position'];
    // show/hide fields using jQuery
    $control_class = (!empty($field['control_class']) ? $field['control_class'] : '');
    $control_style = '';
    if(!empty($field['control_condition'])):
    	if($this->fields_model->check_control_condition((isset($record) ? $record : array()), $field['control_condition'], $field_name)):
    		$control_style = 'display: none;';
    	endif;
    endif;
    
    // DROPDOWN FIELD
    switch($field['type']) {
    	case 'dropdown':
    	$dropdown_options = array();
    	// any change in the below given code also ned to be updated in fields_model->field_dropdown_options method
    	if($field['options']):
    		foreach($field['options'] as $option):
    		  if(!empty($option['name'])):
    			// for counting dropdown list e.g. 1 to 10
    			// passed parameters name:1!~10!~+!~0;value:counter
    			if($option['value'] == 'counter'):
    				$counter = explode('!~', $option['name']);
    				for($x = $counter[0]; $x <= $counter[1]; $x++) {
    					$dropdown_options[$x] = isset($counter[3]) && $counter[3] == 1 ? $x . ' ' . lang($counter[2]) : (isset($counter[2]) ? $x . $counter[2] : $x);
    				}    				
    			elseif($option['value'] == 'database'):
    				// load options from the database
    				// passed parameters -> name:packages;value:database
    				$dropdown_field = !empty(${$option['name']}) ? ${$option['name']} : $this->fields_model->database_options($option);
    				if(!$field_required):
    			        $dropdown_options[0] = lang('placeholder_select');
    				endif;
    				if(!empty($dropdown_field)):
    				    foreach ( $dropdown_field as $dropdown ):
    				        $dropdown = (object) $dropdown;
    				        $dropdown_options[$dropdown->id] = property_exists($dropdown, 'title') ? $dropdown->title: $dropdown->name;//ucwords ( strtolower ( $dropdown->title ) );
    				    endforeach;
    				endif;
    			else:
    				$option_value = (isset($option['value']) ? $option['value'] : '');
    				$dropdown_options[$option_value] = ($field['options_lang'] == 1 ? lang($option['name']) : $option['name']);
    			endif;
    		 endif;
    		endforeach;
    	endif;
    	$field_extra['placeholder'] = $field_placeholder;    	
    	// selectpicker - select multiple items
    	if(isset($field['selectpicker'])) {
    	    // set the saved value
    	    $field_extra['data-value'] = isset($record->{$field_name}) ? $record->{$field_name} : '';
    	    if(isset($field['multiple'])) {
    	        $field_extra['multiple'] = true;
    	        $field_extra['id'] = $field_name;
    	        $field_name = $field_name . '[]';
    	    }
    	    $field_class = 'selectpicker';
    	}
    	//$dropdown_options = $this->fields_model->field_dropdown_options($field['options']);
    	$display_field = gc_form_element('dropdown', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'field_class' => $field_class, 'control_class' => $control_class, 'control_style' => $control_style, 'options' => $dropdown_options, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
     	break;
     	
    	// RADIO FIELD
    	case 'radio':
    	$radio_options = array();
    	if(!empty($field['options'])):
    	foreach($field['options'] as $option):
    		$option_name = !empty($option['name']) ? $option['name'] : $option;
    		$radio_default = (!empty($option['value']) ? $option['value'] : (!empty($field['value']) ? $field['value'] : $option_name));
    		$option_value = (!empty($option['value']) ? $option['value'] : $option_name);
    		$value_selected = ((isset($record->$field_name) && $record->$field_name == $option_value) || $radio_default == $option_name);
    		$radio_option = array(
    			'name' => $field_name,
    		    'label' => (!isset($field['options_lang']) || (isset($field['options_lang']) && $field['options_lang'] == 1)) ? lang($option_name) : $option_name,
    			'default_value' => $option_value,
    		    'label_extra' => isset($option['label_extra']) ? $option['label_extra'] : array(), // Booking Module Changes - Apply Color Schemes
    		    'extra' => isset($option['extra']) ? $option['extra'] : null,
    		    'value' => $value_selected
    		);		
    		$radio_options[] = $radio_option;
    	endforeach;
    	endif;
    	$display_field = gc_form_element('radio', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'options' => $radio_options), array(), $field_label);
    	break;
    	
    	// TEXT AREA FIELD
    	case 'textarea':
    	if(!empty($field_placeholder)):
    	   $field_extra['placeholder'] = $field_placeholder;
	   endif;
	   if(isset($field['rows'])):
	       $field_extra['rows'] = $field['rows'];
	   endif;
    	$textarea_data = array('name' => $field_name, 'lang' => $field_lang, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra);
    	if(!empty($field['editor'])):
		   if($this->auth->is_logged_in()):
				$textarea_data['field_class'] = 'editor editor-role-' . $this->auth->role_id();
		   else:
				$textarea_data['field_class'] = 'editor';
		   endif;
    	endif;    	
    	if(!empty($field['field_class'])):
    	   $textarea_data['field_class'] = $field['field_class'];
    	endif;
    	$textarea_data['field_only'] = $field_only;
    	$textarea_data['field_container'] = $field_container;
    	$display_field = gc_form_element('textarea', $textarea_data, (isset($record->$field_name) ? $record : (!empty($field['value']) ? $field['value'] : '')), $field_label, $size);
    	break;
    	
    	// INPUT ARRAY
    	case 'text':
    	case 'tel':
    	// The field has options, i.e. add multiple input fields to the form based on the options
    	if(!empty($field['options'])):
    	    $display_field = field_with_options($field_label, $field, $record, 'text', true);
    	else:
    		// single input field
    		if(!empty($field_placeholder)):
    		$field_extra['placeholder'] = $field_placeholder;
    		endif;
    		if($field['required']):
    			//$input_extra['required'] = TRUE;
    		endif;
    		$field_type = isset($field['datetimepicker']) ? 'datetimepicker' : $field['type'];
    		if(strpos($field['rules'], 'phone_check') !== false) {
    		    $field_type = 'tel';
    		}
    		$display_field = gc_form_element($field_type, array('name' => $field_name, 'field_only' => $field_only, 'field_class' => $field_class, 'field_container' => $field_container, 'lang' => $field_lang, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    	endif;
    	break;
		
		// LABEL FIELD
    	case 'label':
			$output = <<<EOL

<div class="form-group row">
	<label class="col-sm-3 col-form-label" for="{$field_name}">{$field_label}</label>
	<div class="col-sm-6">
		{$field_placeholder}
	</div>
</div>

EOL;
			$display_field = '<div class="alert alert-warning mt-2">' . $field_placeholder . '</div>';
			break;
    
    	// CHECKBOX FIELD
    	case 'checkbox':
    	// The field has options, i.e. add multiple checkbox fields to the form based on the options
    	if(!empty($field['options'])):    	
        	if(!empty($field['options'][0]['value']) && $field['options'][0]['value'] == 'database') {
        	    $option_params = $field['options'][0];
        	    $options_checkbox = array();
        	    $checkbox_options = !empty(${$option_params['name']}) ? ${$option_params['name']} : $this->fields_model->database_options($option_params);
        	    if($checkbox_options) {
        	        foreach($checkbox_options as $checkbox_option) {
        	            $options_checkbox[] = array(
        	                'id' => $checkbox_option->id,
        	                'name' => !empty($checkbox_option->name_lang) ? lang($checkbox_option->name) : $checkbox_option->name,
        	                'value' => $checkbox_option->id,
        	            );
        	        }
        	        $field['options'] = $options_checkbox;
        	    }
        	}
    	    $display_field = field_with_options($field_label, $field, $record, 'checkbox', true);
    	else:
    		$default_value = (!empty($field['value']) ? $field['value'] : 0);
    		$field_checked = (isset($field['checked']) && $field['checked'] ? TRUE : FALSE);
    		$display_field = gc_form_element('checkbox', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'no_label' => TRUE, 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'default_value' => $default_value, 'extra' => $field_extra), $record, $field_label, $size);
    	endif;
    	break;
    	
    	case 'fileuploader':
    	    if(!empty($field['is_multi'])) {
    	        $field_extra['is_multi'] = 1;
    	    }
    	    $display_field = gc_form_element('fileuploader', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    	    break;
    	    
    	case 'ticket_login':
    	    $field_url = gc_form_element('text', array('name' => $field_name . '[url]', 'field_only' => true, 'extra' => array('placeholder' => lang('label_url'))));
    	    $field_username = gc_form_element('text', array('name' => $field_name . '[username]', 'field_only' => true, 'extra' => array('placeholder' => lang('bf_username'))));
    	    $field_password = gc_form_element('text', array('name' => $field_name . '[password]', 'field_only' => true, 'extra' => array('placeholder' => lang('bf_password'))));
    	    $display_field = <<<EOL
<div class="form-group form-row">
	<label class="{$label_width} col-form-label" for="{$field_name}">{$field_label}</label>		
	<div class="col-sm-4">
		{$field_url}
	</div>
	<div class="col-sm-3">
		{$field_username}
	</div>
	<div class="col-sm-2">
		{$field_password}
	</div>
</div>
EOL;
    	    break;
    	    
    	    
    	case 'filemanager':
    	    if(!gc_demo_mode(array('no_message' => true, 'no_redirect' => true))) {
    	        $tooltip_position = '';
    	        $field_tooltip = '<span class="alert alert-danger">' . lang('site_demo_live') . '</span>';
    	    }
    	    $display_field = gc_form_element('filemanager', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    	    break;
			
    	// IMAGE FIELD
    	case 'image':
    	// Do not display the name of the image to frontend users for security reasons
    	$image_extra = array('help_image' => (isset($help_image) ? $help_image : ''));
    	if(isset($member_area) && $member_area) {
    		$image_extra['member_area'] = true;
    	}
    	if(isset($clear_image) && $clear_image) {
    	    $image_extra['clear_image'] = $clear_image;
    	}
    	// Set the Image Path, pass the image_path as a VIEW parameter using the Template::set();
    	if(isset($image_path)) {
    		$image_extra['image_path'] = $image_path;
    	}
    	$display_field = gc_form_element('image', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'extra' => $image_extra), $record, $field_label);
    	break;
    	
    	// FILE FIELD
    	case 'file':
    		// Do not display the name of the field to frontend users for security reasons
    		$file_extra = array('help_file' => (isset($help_file) ? $help_file : ''));
    		if(isset($member_area) && $member_area) {
    			$file_extra['member_area'] = true;
    		}
    		// Set the File Path, pass the file_path as a VIEW parameter using the Template::set();
    		if(isset($file_path)) {
    			$file_extra['file_path'] = $file_path;
    		}
    		$display_field = gc_form_element('file', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'extra' => $file_extra, 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position), $record, $field_label);
    		break;    	
    	
    	// LOAD MAP
        case 'map':
        case 'position':
            // include googleapis only if the module has no location
            // if a module has a city and the google places API is also enabled then the googleapi is already included
            $display_field = gc_form_element($field['type'], array('name' => $field_name, 'label_width' => $label_width), !empty($map['js']) ? $map : $record, $field_label, $size);
            break;
    
    	// CITY SELECTION
    	case 'city':
    	    $display_field = gc_form_element('form_city', array('hasLocality' => empty($field['no_locality']) ? true : false, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'size' => $size, 'city_only' => (!isset($map) ? TRUE : FALSE), 'required' => $field_required));
    	    break;    	
    	
    	case 'hidden':
    	    if(isset($field['fixed'])):
    	       $field_value = $field['value']; // the value remains the same, also on the edit page
    	    elseif(isset($field['logged_in_user_id'])):
    	       $field_value = $this->auth->user_id();
    	    else:
    	       $field_value = (isset($record->$field_name) ? $record->$field_name : $field['value']);
    	    endif;
    	    $display_field = form_hidden($field_name, $field_value);
    	    break;
    	
    	case 'submit':?>
    		<div class="form-group form-row">
    	    <div class="col-sm-6 offset-sm-3">
    	 		<?php echo gc_form_element('submit', array('name' => $field_name, 'field_only' => true, 'field_class' => 'btn btn-primary btn-sm', 'extra' => $field_extra), $record, $field_label);?>
    	 	</div>
    	 	</div>
    	 	<?php
            break;
    	
    	case 'selectize':
    	// Passing attributes
    	// @param string $load - To be searched in - This parameter is must for validation
    	// @param string $max_items - Maximum Number of items that can be selected
    	// Options Field: load:listings;max_items:10
    	$max_items = 1;
    	$default_url = site_url('ajax/selectizeSearch');
    	$load = 'users';
    	$load_url = $default_url . '/' . $load;
    	$field_placeholder = !empty($field_placeholder) ? $field_placeholder : lang('placeholder_selectize');
    	if(!empty($field['options'])):
    		$max_items = isset($field['options'][0]['max_items']) ? $field['options'][0]['max_items'] : 1;
    		$load = isset($field['options'][0]['load']) ? $field['options'][0]['load'] : $load;
    		$load_url = isset($field['options'][0]['load_url']) ? site_url($field['options'][0]['load_url']) : $default_url . '/' . $load;
    	endif;
    	$display_field = gc_form_element('selectize', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'module' => $load, 'field_options' => !empty($field['options'][0]) ? $field['options'][0] : array(), 'max_items' => $max_items, 'load_url' => $load_url, 'selectize_value' => (isset($selectize_value[$field_name]) ? $selectize_value[$field_name] : array()), 'help' => $field_tooltip, 'extra' => array('placeholder' => $field_placeholder)), $record, $field_label, $size);
    	break;
    	
    	case 'categories':
    	$categories_limit = $field['categories_limit'];
    	echo form_hidden('max_categories', set_value('max_categories', $categories_limit));
    	// echo form_hidden('categories', set_value('categories'));
    	echo form_hidden($field_name, set_value($field_name)); 
    	?>
    	<input type="hidden" name="l_site_url" id="l_site_url" value="<?php echo site_url();?>" />
    	<input type="hidden" name="categories_error" id="categories_error" value="<?php echo lang('msg_categories_limit');?>" />
    	<?php 
    	$form_elements = array(
    		'<a href="#" id="btnDeselectAll">' . lang('label_deselect_all') . '</a>' . PHP_EOL,
    		'<span id="categories_limit" name="categories_limit"></span>' . PHP_EOL,
    		'<div id="categories_tree" style="max-height: 250px; overflow-y: scroll; margin-left: 0px;"></div>'
    	);
    	$display_field = gc_form_element('form_elements', array('name' => '', 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'form_elements' => $form_elements, 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position), array(), $field_label, $size);
    	break;
    	
        case 'category': // for leads only
            echo $this->load->view('common/_categories_selection.php', array('control_class' => 'display-block', 'label_width' => $label_width, 'field_width' => $size, 'record' => $record));
            break;            
            
        case 'custom':
            // e.g. 'field_extra' => 'options:custom_fields'
            // OR name:key;type:text;label:Key|name:value;type:text;label:Value            
            $field_options = array(); // multiple fields on the same form
            if(!empty($field['options'])) {
                if(is_string($field['options']) && !empty(${$field['options']})) {
                    $field_options = ${$field['options']};
                } else {
                    $field_options =  $field['options'];
                }
            } else if(!empty($custom_fields)) {
                $field_options = $custom_fields;
            }
            $display_field = gc_form_element('custom', array('name' => $field_name, 'label_width' => $label_width, 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'fields' => !empty($field_options) ? $field_options : array(array('name' => 'id', 'type' => 'text', 'label' => lang('label_id'), 'readonly' => true), array('name' => 'value', 'type' => 'text', 'label' => lang('label_option')))), (isset($record->{$field_name}) ? json_decode($record->{$field_name}, true) : array()), $field_label, $size);
            break;
    	    
    	case 'colorpicker':
    	    $display_field = gc_form_element('colorpicker', array('name' => $field_name, 'label_width' => $label_width, 'default_value' => '#fff'), $record, $field_label, $size);
    	    break;
    	    
    	case 'iconpicker':
    	    $display_field = gc_form_element('iconpicker', array('name' => $field_name, 'label_width' => $label_width, 'default_value' => 'fas fa-archive', 'field_class' => 'icp icp-auto iconpicker-element iconpicker-input', 'extra' => array('data-placement' => "bottomRight")), $record, $field_label, $size);
    	    break;
    	    
    	    // CAPTCHA FIELD
    	case 'captcha':
    	    $display_field = gc_form_element('captcha_code', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    	    break;
    	    
    	    // GOOGLE CAPTCHA FIELD
    	case 'google_captcha':
    	    $display_field = gc_form_element('google_captcha', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    	    break;
    	    
    	case 'phone':
    	    $phone_input_elements = array(
    	    gc_form_element('dropdown', array('name' => 'phone_code', 'field_only' => TRUE, 'field_container' => 'div.col-3', 'options' => phone_codes()), phone_codes(visitor_info()), $field_label),
    	    gc_form_element('text', array('name' => $field_name, 'field_only' => TRUE, 'field_container' => 'div.col-9'), $record, $field_label)
    	    );
    	    $display_field = gc_form_element('form_elements', array('name' => '', 'element_container' => 'div.form-row', 'label_width' => $label_width, 'form_elements' => $phone_input_elements, 'field_only' => $field_only), array(), $field_label, $size);
    	    break;
    	    
    	case 'location':
    	    $display_field = field_location(array('name' => $field_name, 'size' => $size, 'label_width' => $label_width, 'required' => $field_required), $record);
    	    break;
    	    
    	    // TERMS & CONDITIONS
    	case 'terms_conditions':
    	    if(!empty($module) && $module == 'affiliate_users'):
    	    $field_extra['terms_page'] = gc_json_settings('affiliate.settings', 'terms_conditions');
    	    else:
    	    $field_extra['terms_page'] = isset($field['terms_page']) ? $field['terms_page'] : settings_item('fin.terms_and_conditions_page');
    	    endif;
    	    $display_field = gc_form_element('terms_conditions', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    	    break;
    	    
    	case 'commission_levels': // commission levels
    	    $commission_level = gc_json_settings('affiliate.settings', 'commission_level');
    	    if($commission_level == 1):
    	    $display_field = gc_form_element('dropdown', array('name' => $field_name, 'options' => $this->fields_model->dropdown_options('commission_levels', false), 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    	    else:
    	    // get default level
    	    $level = $this->db->where('is_default', 1)->get('commission_levels')->row();
    	    $level_id = $level ? $level->id : 0;
    	    $display_field = form_hidden($field_name, $level_id);
    	    endif;
    	    break;
    	    
    	    // PASSWORD FIELD
    	case 'password':
    	    // single input field
    	    if(!empty($field_placeholder)):
    	    $field_extra['placeholder'] = $field_placeholder;
    	    endif;
    	    if(isset($password_hints)): // user registration page
    	    $field_tooltip .= $password_hints;
    	    endif;
    	    $display_field = gc_form_element('password', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    	    break;
    	
    	case 'rating':
    	    $display_field = gc_form_element('rating', array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position), $record, $field_label, $size);
    	    break;
    	    
    	case 'ratings': // testimonials and reviews
    	    $ratings_field = array();
    	    if(isset($ratings)):
        	    $saved_ratings = isset($record->ratings) ? json_decode($record->ratings ?? '', true) : array();
            	    foreach($ratings as $key => $rating):
            	       $ratings_field[] = gc_form_element('rating', array('name' => $field_name . '[' . $rating->name .']', 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position), (isset($saved_ratings[$rating->name]) ? $saved_ratings[$rating->name] : ''), (!empty($rating->label_lang) ? lang($rating->label) : $rating->label), $size);
            	    endforeach;
        	    endif;
   	        $display_field = implode(PHP_EOL, $ratings_field);
    	    break;
    	    
    	case 'none':
    	    $display_field = null;
    	    break;
    	    
        default:            
            // single input field
            if(!empty($field_placeholder)):
            $field_extra['placeholder'] = $field_placeholder;
            endif;
            $display_field = gc_form_element($field['type'], array('name' => $field_name, 'field_only' => $field_only, 'field_container' => $field_container, 'label_width' => $label_width, 'control_class' => $control_class, 'control_style' => $control_style, 'default_value' => $field['value'], 'tooltip' => $field_tooltip, 'help_class' => $tooltip_position, 'extra' => $field_extra), $record, $field_label, $size);
    }
    
    // Align fields in the FORM
    if(!empty($display_field)):
        /**
         * Variables
         * join_innner - Wrap input field INNER HTML
         * join_outer - Wrap fields OUTER HTML
         * show_label - Display label with the field
         * field_after - Display text HTML
         * field_after_text - Text
         * join - Fields to be Joined
         * tpl - Template ID
         */
        if(!empty($field['field_container']) && !empty($field['join_inner'])):
            $display_field = emmet($field['field_container'], $display_field);
        endif;
        if(!empty($field['join_inner'])):
            if(isset($field['show_label'])): // display label with the field
                $field_label_width = !empty($field['label_width']) ? $label_width . ' ' : '';
                $join_label = '<label class="' . $field_label_width . 'col-form-label text-truncate" for="' . $field_name. '"><span class="font-weight-bold">' . $field_label . '</span>';
                if(!empty($field_tooltip)):
                    $join_label .= '<a role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="' . $field_tooltip . '" class="help-label"><i class="fas fa-question"></i></a>';
                endif;
                $join_label .= '</label>' . PHP_EOL;
                $display_field = $join_label . $display_field;
            endif;
            $display_field = emmet($field['join_inner'], $display_field);
        endif;
        // add text after field
        if(!empty($field['field_after'])):
        $display_field = $display_field . PHP_EOL . emmet($field['field_after'], isset($field['field_after_text']) ? $field['field_after_text'] : '') ;
        endif;
        if(!empty($field['join'])):
            // <label class="col-sm-3 col-form-label" for="hits">Hits<span class="required">*</span> <a role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="A Hit refers to the number of times this Listing is viewed on your site. Set 0 to reset Hits counter." class="help-label"><i class="fas fa-question"></i></a></label>
            // Add label using the placeholder field
            if(isset($field['tpl']) && $field['tpl'] == 1): // && !empty($field['placeholder'])
                $join_label = '<label class="' . $label_width . ' col-form-label" for="' . $field_name. '"><span class="font-weight-bold">' . $field_label . '</span>';
                if(!empty($field_tooltip)):
                    $join_label .= '<a role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="' . $field_tooltip . '" class="help-label"><i class="fas fa-question"></i></a>';
                endif;
                $join_label .= '</label>' . PHP_EOL;
                $display_field = $join_label . $display_field;
            endif;
            // field order can also be different, the user can also join fields from the lower priority field.
            // e.g. slug has priority 5, title has order 4. The user may also join the title field from the slug.
            $field_joins = explode(',', $field['join'] ?? ''); // there can be multiple fields
            foreach($field_joins as $field_join):
                // field already exists and has been processed
                if(array_key_exists($field_join, $fields_form)):
                    $display_field .= $fields_form[$field_join]['field']; // join the field
                    unset($fields_form[$field_join]); // unset the field to avoid duplication    
                endif;
                $join_fields[$field['id']][] = $field_join;
            endforeach;
        endif;
        $process_field = true;
        // priority field order
        if(!empty($join_fields)):
            foreach($join_fields as $parent_field => $join_field):
                if(in_array($field['id'], $join_field)):
                    $process_field = false;
                    $fields_form[$parent_field]['field'] .= $display_field;
                endif;
            endforeach;
        endif;
        if($process_field):
            if(!empty($field['booking'])):
                $fields_form[] = array( // booking packages issue fix - ID is the same for the split fields
                    'label_width' => $label_width,
                    'tooltip' => $field_tooltip,
                    'help_class' => $tooltip_position,
                    'label' => !isset($field['no_label']) ? $field_label : '',
                    'field' => $display_field,
                    'join_outer' => isset($field['join_outer']) ? $field['join_outer'] : array()
                );
            else:
                $fields_form[$field['id']] = array(
                    'label_width' => $label_width,
                    'tooltip' => $field_tooltip,
                    'help_class' => $tooltip_position,
                    'label' => !isset($field['no_label']) ? $field_label : '',
                    'field' => $display_field,
                    'join_outer' => isset($field['join_outer']) ? $field['join_outer'] : array()
                );
            endif;
       endif;
    endif;
endforeach;
foreach($fields_form as $field_form):
    if(!empty($field_form['join_outer'])):
        echo gc_form_element('form_elements', array('name' => '', 'label_width' => $field_form['label_width'], 'tooltip' => $field_form['tooltip'], 'help_class' => $field_form['help_class'], 'form_elements' => array(emmet($field_form['join_outer'], $field_form['field']))), null, $field_form['label']);
    else:
        echo $field_form['field'];
    endif;
endforeach;
?>