<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 12;
$can_delete	    = $this->auth->has_permission('Listings.Content.Delete');
$can_edit		= $this->auth->has_permission('Listings.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
$this->load->view('common/tabs');
?>
<div class="admin-box">
<?php
echo form_open($this->uri->uri_string());
if(isset($role) && $role == 'admin'): ?>
<div class="row top2 bottom2">
    <div class="col-md-4">
    	<?php $this->load->view('_filter_admin'); ?>
    </div>
    <div class="col-md-4">
    	<?php echo lang('label_results'); ?>: <span class="btn btn-primary"><?php echo $filtered_results;?></span>
    </div>
    <div class="col-md-4">
    	<?php echo search_admin(lang('placeholder_admin_module_search'), '', '');?>
    </div>
</div>
<?php 
echo $this->load->view('advanced_search');
elseif(isset($listing_id) && $listing_id == 0):
    echo search_admin(lang('placeholder_admin_module_search'));
endif;
?>
<div class="table-responsive">
<table class="table table-striped action-icons">
	<thead>
		<tr>
			<?php if ($can_delete && $has_records) : ?>
			<th class="column-check"><input class="check-all" type="checkbox" /></th>
			<?php endif;?>
			<th><?php echo form_filter('id', lang('label_id')); ?></th>
			<th><?php echo form_filter('title', lang('label_title'));?></th>
			<?php
			foreach($fields as $field):
			if($field['name'] != 'id' && $field['name'] != 'title' && $field['name'] != 'status'):			
			?>
			<th><?php echo form_filter($field['name'], $field['label']);?></th>
			<?php
			endif;
			endforeach;
			?>
			<th><?php echo form_filter('featured', lang('label_featured'));?></th>
			<th><?php echo form_filter('status', lang('label_status'));?></th>
			<th class="text-center"><?php echo lang('label_action');?></th>
		</tr>
	</thead>
	<?php if($has_records) : ?>
	<tfoot>					
		<tr>
			<td colspan="<?php echo $num_columns; ?>"><?php $this->load->view('common/tab_actions'); ?></td>
		</tr>
	</tfoot>
	<?php endif; ?>
	<tbody>
	<?php if($has_records): ?>
	<?php foreach($records as $record): ?>
		<tr>
			<?php if ($can_delete) : ?>
			<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
			<?php endif;?>
			<td><?php e($record->id); ?></td>
			<?php if ($can_edit) : ?>
				<td><?php echo anchor(SITE_AREA . '/content/listings/modify/'. $module .'/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->title); ?></td>
			<?php else : ?>
				<td><?php e($record->title); ?></td>
			<?php endif; ?>
			<?php foreach($fields as $field):
			if($field['name'] != 'id' && $field['name'] != 'title' && $field['name'] != 'status'):
			?>
			<td><?php echo $this->fields_model->fields_index($field, $record, $module);?></td>
			<?php
			endif;
			endforeach;
			?>
			<td>
				<button type="submit" name="featured_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->featured == 1 ? 'btn-success' : 'btn-warning';?>">
					<i class="fas fa-<?php echo $record->featured == 1 ? 'check' : 'times'; ?>"></i>
				</button>
			</td>
			<td>
				<?php if($record->status == 0 || $record->status == 1):?>
				<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
					<i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
				</button>
				<?php else:?>
				<span class="badge badge-danger"><?php echo lang('status_expired');?></span>
				<?php endif;?>
			</td>
			<td width="12%" class="text-center">				
				<?php if($record->status == 1 && $record->deleted == 0):?>
				<a href="<?php echo gc_url_format($module, $record->slug, $record->id); ?>" target="_blank" role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view'); ?>" class="help-label btn btn-xs btn-secondary">
					<i class="fas fa-eye"></i>
				</a>
				<?php endif;?>
				<?php if($module != 'videos'):?>
				<a href="<?php echo site_url(SITE_AREA . '/content/listings/cover/'. $record->id . '/' . $module); ?>" role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_cover_image'); ?>" class="help-label btn btn-xs btn-info">
					<i class="fas fa-image"></i>
				</a>
				<?php endif;?>
				<?php if($module != 'videos' && $module != 'images'):?>
				<?php if(gc_field_value($module, $record->module_images_limit) != 1):?>
				<a href="<?php echo site_url(SITE_AREA . '/content/listings/photos/'. $module . '/' . $record->id); ?>" role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('add_edit_photos'); ?>" class="help-label btn btn-xs btn-primary">
					<i class="fas fa-camera"></i> <?php echo $record->InactiveImages != 0 ? '<sup><span class="badge badge-danger">' . $record->InactiveImages . '</span></sup>': ''; ?>
				</a>
				<?php endif;?>
				<?php if(gc_field_value($module, $record->module_videos_limit) > 0):?>
				<a href="<?php echo site_url(SITE_AREA . '/content/listings/videos/'. $module . '/' . $record->id . '/' . $filter_type); ?>" role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('add_edit_videos'); ?>" class="help-label btn btn-xs btn-inverse">
					<i class="fas fa-video"></i> <?php echo $record->InactiveVideos != 0 ? '<sup><span class="badge badge-danger">' . $record->InactiveVideos . '</span></sup>': ''; ?>
				</a>
				<?php endif;?>
				<?php if(gc_field_value($module, $record->module_documents_limit) != 999):?>
				<a href="<?php echo site_url(SITE_AREA . '/content/listings/documents/'. $module . '/' . $record->id); ?>" role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('file_documents'); ?>" class="help-label btn btn-xs btn-danger">
					<i class="fas fa-file-pdf"></i>
				</a>
				<?php endif;?>
				<button type="submit" class="btn btn-warning btn-xs" name="clone" value="<?php echo $record->id;?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('btn_clone'); ?>"><i class="fas fa-copy"></i></button>
				<?php endif;?>
				<?php if($module == 'products' && settings_item('site.ecommerce') == 1):?>
					<button class="btn btn-xs btn-primary" name=variant_product_id value="<?php echo $record->id; ?>"><?php echo lang('add_edit_variants');?></button>
				<?php endif;?>
				<a class="btn btn-xs btn-info" href="<?php echo site_url(SITE_AREA . '/content/listings/category/' .  $record->id . '/' . $module); ?>" title="<?php echo lang('additional_info'); ?>"><?php echo lang('additional_info'); ?></a>
			</td>
		</tr>
	<?php endforeach;?>
	<?php else: ?>
		<tr><td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td></tr>
	<?php endif; ?>
	</tbody>
</table>
</div>
<?php echo form_close(); ?>
<?php echo $this->pagination->create_links();?>
</div>