<?php
// Layout is placed in a separate view file to avoid code duplication.
// This layout is also used in other Custom Fields layouts e.g. checkout, users, business queries etc. 
switch($layout) {
    case 'fieldset':?>
		<fieldset>
		<?php
		// first load fields having 0 as the group id
		echo $this->fields_model->elements_container($form_fields, array(), 0, $elements_container);
		?>
		</fieldset>
		<?php
		if(!empty($field_groups)):
			foreach($field_groups as $field_group):
			$control_class = '';
			if(!empty($field_group->control_class)):
				$control_class .= $field_group->control_class;
				$condition = $this->fields_model->check_control_condition((isset($record) ? $record : array()), $field_group->control_condition);
				if($condition):
					$control_class .= ' display-none';
				endif;
			endif;
		?>
		<fieldset<?php echo !empty($control_class) ? ' class="' . $control_class . '"' : '';?>>
		<legend>
		<?php if(isset($field_group->icon)):?>
		<i class="fa <?php echo $field_group->icon; ?>"></i> 
		<?php endif;?>
		<?php echo $field_group->name_lang == 1 ? lang('group_' . $field_group->name) : $field_group->name;?>
		<?php if($control_class == 'customer-shipping'): // NOTE: the class name is hardcoded here, do not change it in the groups module ?>
		<span class="form-check form-check-inline float-right">
			<?php echo form_checkbox('has_shipping_address', 1, set_checkbox('has_shipping_address', 1, (isset($_POST['has_shipping_address']) ? TRUE : FALSE)), 'class="form-check-input"');?>
        	<label class="form-check-label small"><?php echo lang('different_shipping'); ?></label>
        </span>
        <?php endif; ?>
		</legend>
		<?php echo $this->fields_model->elements_container($form_fields, $field_group, $field_group->id, $elements_container);?>
		</fieldset>
		<?php
		endforeach;
		endif;
		break;
	case 'tabs':
		$tab_contents = $this->fields_model->prepare_content($form_fields, $field_groups, $elements_container);
		echo $this->load->view('layouts/' . (empty($tab_layout) ? '_simple_tabs' : $tab_layout), array('tabs' => $tab_contents, 'id' => 0));
		break;
	default:
		$content = $this->load->view('fields', array('form_fields' => gc_form_fields($form_fields, 'group', 0)), TRUE);
		if(!empty($field_groups)):
		foreach($field_groups as $field_group):
		if(!empty($field_group->id)):
		$content .= $this->load->view('fields', array('form_fields' => gc_form_fields($form_fields, 'group', $field_group->id)), TRUE);
		endif;
		endforeach;
		endif;
		echo !empty($elements_container) ? emmet($elements_container, $content) : $content;		
}?>