<?php 
/**
 * https://bootsnipp.com/snippets/featured/form-wizard-using-tabs
 * @param array $tab_contents
 * @param integer $id - Disable others tabs if the $id field value is zero
 * // add disabled class in the nav-tabs li to disable navigation on form create
 * <?php echo $id == 0 ? ' disabled' : ''; ?>
 */
 ?>
<div class="tabbable">
	<div class="wizard">
    	<div class="wizard-inner">
        	<div class="connecting-line"></div>
        	<ul class="nav nav-tabs">
        		<?php foreach($tabs as $tab):?>
        		<li role="presentation" class="nav-item">
					<a href="<?php echo '#' . $tab['id']; ?>" data-toggle="tab" class="nav-link <?php echo $tab['class']; ?>">
						<span class="round-tab">
							<i class="fa <?php echo $tab['icon']; ?>"></i>
							<span class="tab-heading">
								<?php echo $tab['heading']; ?>
							</span>
						</span>
					</a>
				</li>
				<?php endforeach;?>
        	</ul>
        </div>
        <div class="tab-content">
        	<?php $i = 0;?>
        	<?php foreach($tabs as $tab):?>
        		<div class="tab-pane<?php echo strpos($tab['class'], 'active') !== false ? ' active' : ''; ?>" role="tabpanel" id="<?php echo $tab['id']; ?>">
        			<?php echo $tab['content']; ?>
        			<ul class="list-inline float-right d-none d-sm-inline-block">
        				<?php if($i > 0):?>
        				<li class="list-inline-item"><button type="button" class="btn btn-secondary prev-step"><?php echo lang('gc_action_previous'); ?></button></li>
        				<?php endif;?>
        				<?php if(end($tabs) != $tab):?>
                    	<li class="list-inline-item"><button type="button" class="btn btn-primary next-step"><?php echo lang('gc_action_next'); ?></button></li>
                    	<?php endif;?>
                    </ul>
        		</div>
        		<?php $i++; ?>
        	<?php endforeach;?>
        </div>
    </div>
</div>