<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 8;
$can_delete		= $this->auth->has_permission('Files.Content.Delete');
$can_edit		= $this->auth->has_permission('Files.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>

<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive'))
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_admin_files_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('row_id', lang('label_title'));?></th>
					<th><?php echo form_filter('module_id', lang('label_module'));?></th>
					<th><?php echo form_filter('title', lang('label_title'));?></th>
					<th><?php echo form_filter('file_extension', lang('label_type'));?></th>
					<th><?php echo form_filter('original_filename', lang('label_file'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('bf_with_selected');?>
						<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
						<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php 					
					$extend_url = '';
					if(gc_module_name($record->module_id) == 'variants'):
					$extend_url = '?sku=' . $record->row_id;
					endif;
					echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link', $extend_url); ?>
					</td>
					<td><?php e(gc_module_translation(gc_module_name($record->module_id))); ?></td>
					<td><?php e($record->title); ?></td>
					<td>
						<i class="<?php echo $this->gfile->file_icon($record->file_extension);?> fa-3x"></i>
					</td>
					<td><?php echo anchor(site_url('ajax/download?file=' . $this->crypt->encode($record->upload_token)), $record->original_filename, 'class="text-secondary"'); ?></td>
					<td>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
	<?php echo $this->pagination->create_links();?>
</div>