<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$nav_url = 'components/forums';
$nav_links = array(
    array(
        'condition' => '',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/threads',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Forum_threads.Components.View',
        'url' => $nav_url. '/manage/threads',
        'id' => 'manage_threads',
        'tooltip' => true,
        'title' => lang('manage_forum_threads'),
        'label' => '<i class="fas fa-folder fa-lg"></i>'
    ),
    array(
        'condition' => 'form/threads',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Forum_threads.Components.Create',
        'url' => $nav_url. '/form/threads',
        'id' => 'form_threads',
        'tooltip' => true,
        'title' => lang('create_forum_threads'),
        'label' => '<i class="fas fa-plus-circle fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/posts',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Forum_posts.Components.View',
        'url' => $nav_url. '/manage/posts',
        'id' => 'posts',
        'tooltip' => true,
        'title' => lang('manage_forum_posts'),
        'label' => '<i class="fas fa-paste fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/categories',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Forum_categories.Components.View',
        'url' => $nav_url. '/manage/categories',
        'id' => 'categories',
        'tooltip' => true,
        'title' => lang('manage_forum_categories'),
        'label' => '<i class="fas fa-list-alt fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/statuses',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Forum_statuses.Components.View',
        'url' => $nav_url. '/manage/statuses',
        'id' => 'statuses',
        'tooltip' => true,
        'title' => lang('manage_forum_statuses'),
        'label' => '<i class="fas fa-thumbs-up fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/reports',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Forum_reports.Components.View',
        'url' => $nav_url. '/manage/reports',
        'id' => 'reports',
        'tooltip' => true,
        'title' => lang('manage_forum_reports'),
        'label' => '<i class="fas fa-exclamation-triangle fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/email_templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Forum_email_templates.Components.View',
        'url' => $nav_url. '/manage/email_templates',
        'id' => 'email_templates',
        'tooltip' => true,
        'title' => lang('manage_forum_email_templates'),
        'label' => '<i class="fas fa-envelope fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/negative_keywords',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Forum_Negative_Keywords.Components.View',
        'url' => $nav_url. '/manage/negative_keywords',
        'id' => 'forum_negative_keywords',
        'tooltip' => true,
        'title' => lang('manage_forum_negative_keywords'),
        'label' => '<i class="fas fa-filter fa-lg"></i>'
    ),/*
    array(
        'condition' => 'to_thread',
        'permission' => 'Tickets.Components.Create',
        'url' => $nav_url . '/to_thread',
        'id' => 'to_thread',
        'tooltip' => true,
        'title' => lang('forum_to_thread'),
        'label' => '<i class="fas fa-ticket-alt fa-lg"></i>'
    ),*/
    array(
        'condition' => 'settings',
        'permission' => 'Forum_settings.Components.Edit',
        'url' => $nav_url . '/settings',
        'id' => 'settings',
        'tooltip' => true,
        'title' => lang('gc_menu_settings'),
        'label' => '<i class="fas fa-cog fa-lg"></i>'
    )
);
echo $this->load->view('common/_subnav', array('nav_links' => $nav_links));
?>