<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$permission_name = ucwords($module);
$url_form       = SITE_AREA . '/components/forums/form/';
$form_url       = $url_form . str_replace('forum_', '', $module);
$edit_url       = $form_url . '/edit/';
$create_url     = $form_url . '/create/';
$num_columns	= 10;
$can_delete	    = $this->auth->has_permission($permission_name . '.Components.Delete');
$can_edit		= $this->auth->has_permission($permission_name . '.Components.Edit');
$can_create		= $this->auth->has_permission($permission_name . '.Components.Create');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
$num_columns++;
endif;
?>
<?php switch($module) { 
    case 'forum_categories': 
    case 'forum_threads': 
    case 'forum_posts':
    case 'forum_reports':
        echo $this->load->view('forums/tpl/_filter');
        break;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="row">
    	<div class="col-sm-3 mt-3">
        	<?php if($can_create):?>
        	<a href="<?php echo site_url($create_url); ?>" class="btn btn-warning btn-sm"><i class="fas fa-plus-circle fa-fw mr-1"></i><?php echo lang('create_' . $module); ?></a>
        	<?php endif;?>
    	</div>
    	<div class="col-sm-9">
    		<?php echo search_admin(lang('placeholder_' . $module . '_search'));?>
    	</div>
	</div>
	<div class="table table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
				<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<?php switch($module) {
					    case 'forum_statuses':?>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('color', lang('label_color')); ?></th>
					<th><?php echo form_filter('priority', lang('label_priority')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<?php
					        break;
                        case 'forum_categories':
                    ?>
					<th><?php echo form_filter('user_id', lang('bf_user')); ?></th>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
					<?php
					        break;
                        case 'forum_threads':
                    ?>
					<th><?php echo form_filter('subject', lang('label_subject')); ?></th>
					<th><?php echo form_filter('user_id', lang('bf_user')); ?></th>
					<th><?php echo form_filter('category_id', lang('singular_forum_categories')); ?></th>
					<th><?php echo form_filter('hits', lang('label_hits')); ?></th>
					<th><?php echo form_filter('votes', lang('forum_votes')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
					<?php
					        break;
                        case 'forum_posts':
                    ?>
					<th><?php echo form_filter('user_id', lang('bf_user')); ?></th>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('hits', lang('label_hits')); ?></th>
					<th><?php echo form_filter('votes', lang('forum_votes')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
					<?php
					        break;
                        case 'forum_reports':
                    ?>
					<th><?php echo form_filter('user_id', lang('bf_user')); ?></th>
					<th><?php echo form_filter('row_id', lang('label_module')); ?></th>
					<th><?php echo form_filter('description', lang('forum_reason')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
					<?php
					        break;
                        case 'forum_email_templates':
                    ?>
                    <th><?php echo form_filter('name', lang('label_name')); ?></th>
                    <th><?php echo form_filter('subject', lang('label_subject')); ?></th>
					<?php
					        break;
                        case 'forum_negative_keywords':
                    ?>
                    <th><?php echo form_filter('name', lang('label_name')); ?></th>
                    <?php break; }?>
				</tr>
				</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>		
						<?php if ($filter_type == 'deleted'): ?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
						<?php else : ?>
						<?php if(!empty($filter_status)):?>
						<?php foreach($filter_status as $status_filter):?>
						<button class="btn btn-action" type="submit" name="submit" value="status_id__<?php echo $status_filter['id']; ?>"><?php echo $status_filter['name']; ?></button>
						<?php endforeach;?>
						<?php endif;?>
						<?php if ($can_delete) : ?>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>						
						<?php endif; ?>
						<?php endif; ?>
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
					<?php switch($module) {
					    case 'forum_statuses':?>
					<?php $status_name = $record->name_lang == 1 ? lang($record->name) : $record->name; ?>
					<?php if ($can_edit) : ?>
					<td><?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $status_name); ?></td>
					<?php else : ?>
					<td><?php echo $status_name; ?></td>
					<?php endif; ?>
					<td><?php echo $record->color; ?></td>
					<td><?php echo $record->priority; ?></td>
					<td>				
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
					<?php
					        break;
                        case 'forum_categories':
                    ?>
                    <td><?php echo $this->load->view('tpl/_user', array('record' => $record));?></td>
                    <?php if ($can_edit) : ?>
					<td><?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?></td>
					<?php else : ?>
					<td><?php echo $record->name; ?></td>
					<?php endif; ?>
					<td><span class="btn btn-sm" style="color: <?php echo $record->status_color; ?>"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span></td>
					<td><?php echo $this->load->view('tpl/_status', array('record' => $record));?></td>
					<?php
					        break;
                        case 'forum_threads':
                    ?>
                    <td>
                    <?php if ($can_edit) : ?>
					<?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->subject); ?>
					<?php else : ?>
					<?php echo $record->subject; ?>
					<?php endif; ?>
					<?php					
					if(!empty($record->ticket_id)):
					echo anchor(site_url(SITE_AREA . '/components/tickets/edit/' . $record->ticket_id), lang('forum_via_ticket'), 'class="badge badge-warning"');
					endif;		
					?>
					</td>
					<td><?php echo $this->load->view('tpl/_user', array('record' => $record));?></td>
					<td><?php echo anchor($url_form . '/categories/edit/' . $record->category_id, $record->category); ?></td>
					<td><?php echo $record->hits; ?></td>
					<td><?php echo $record->votes; ?></td>
					<td><span class="btn btn-sm" style="color: <?php echo $record->status_color; ?>"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span></td>
					<td><?php echo $this->load->view('tpl/_status', array('record' => $record));?>
					<?php			
					if($module == 'forum_threads' && $this->auth->has_permission('Tickets.Components.View')):
					echo anchor(site_url(SITE_AREA . '/components/forums/to_ticket/' . $record->id), '<i class="fas fa-ticket-alt fa-fw"></i> ' . lang('forum_to_ticket'), 'class="btn btn-secondary btn-xs"');
					endif;
					?>
					<button type="button" class="btn btn-danger btn-xs btn-votes" value="<?php echo $record->id; ?>">
                       <i class="fas fa-poll fa-fw mr-1"></i><?php echo lang('forum_votes'); ?>
                    </button>
					</td>
					<?php
					        break;
                        case 'forum_posts':
                    ?>
                    <?php if ($can_edit) : ?>
					<td><?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->subject); ?></td>
					<?php else : ?>
					<td><?php echo $record->subject; ?></td>
					<?php endif; ?>
					<td><?php echo $this->load->view('tpl/_user', array('record' => $record));?></td>
					<td><?php echo $record->hits; ?></td>
					<td><?php echo $record->votes; ?></td>
					<td><span class="btn btn-sm" style="color: <?php echo $record->status_color; ?>"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span></td>
					<td><?php echo $this->load->view('tpl/_status', array('record' => $record));?>					
					<button type="button" class="btn btn-danger btn-xs btn-votes" value="<?php echo $record->id; ?>">
                       <i class="fas fa-poll fa-fw mr-1"></i><?php echo lang('forum_votes'); ?>
                    </button>
					</td>
					<?php
					        break;
                        case 'forum_reports':
                    ?>
					<td><?php echo $this->load->view('tpl/_user', array('record' => $record));?></td>
					<td><?php 
					$row_info = explode('!~!', $record->row ?? '');
					if(!empty($row_info[0]) && !empty($row_info[1])):
					echo '<span class="font-weight-bold">' . ($record->module_id == 1 ? lang('singular_forum_threads') : lang('singular_forum_posts')) . '</span><i class="fas fa-th mr-1 ml-1"></i>' . ($record->status_id != 2 ? anchor(gc_url_format('forums/' . ($record->module_id == 1 ? 'thread' : 'post')) . '/' . $row_info[1], $record->row_id . ' - ' . $row_info[0]) : $row_info[0]);
					else:
					   echo $record->row_id;
					endif; ?>
					</td>
					<td><?php echo $record->description; ?></td>
					<td><span class="btn btn-sm" style="color: <?php echo $record->status_color; ?>"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span></td>
					<td>		
					<?php echo $this->load->view('tpl/_status', array('record' => $record));?>
                    <?php if ($can_edit) : ?>		
					<?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit btn btn-primary btn-sm"></i>'); ?>
					<?php endif; ?>
					</td>
					<?php
					        break;
                        case 'forum_email_templates':
                    ?>                    			
                    <?php if ($can_edit) : ?>
					<td><?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?></td>
					<?php else : ?>
					<td><?php e($record->name); ?></td>
					<?php endif; ?>
					<td><?php e($record->subject); ?></td>
					<?php
					        break;
                        case 'forum_negative_keywords':
                    ?>                    			
                    <?php if ($can_edit) : ?>
					<td><?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?></td>
					<?php else : ?>
					<td><?php e($record->name); ?></td>
					<?php endif; ?>
                    <?php break; }?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>
<?php if($module == 'forum_threads' || $module == 'forum_posts'): ?>
<div class="modal" id="votesModal">
  <div class="modal-dialog mw-100 w-75">
    <div class="modal-content">
      <div class="modal-header bg-danger text-white">
        <h5 class="modal-title"><?php echo lang('forum_votes'); ?></h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
          <div class="table-responsive">
            <table class="table table-striped table-bordered table-data">
                <thead>
                    <tr>
                    	<?php foreach($columns as $column):?>
                    	<th><?php echo $column; ?></th>
                    	<?php endforeach;?>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <?php foreach($columns as $column):?>
                    	<th><?php echo $column; ?></th>
                    	<?php endforeach;?>
                    </tr>
                </tfoot>
            </table>
          </div>
      </div>
    </div>
  </div>
</div>
<?php endif; ?>