<div class="container">
<h1><?php echo lang('forum_search'); ?></h1>
<hr />
<?php $record = (array) $this->session->userdata('forum_search'); ?>
<?php echo form_open(gc_url_format('forums/search'), 'method="GET"'); ?>
<div class="card mb-4">
	<div class="card-body bg-light">
		<h3><?php echo lang('forum_search_criteria'); ?></h3>
		<div class="card card-body">
			<div class="form-row">
    			<div class="col">
        			<div class="form-group">
        			<label for="keyword"><?php echo lang('forum_keyword'); ?></label>
        				<?php echo gc_form_element('text', array('name' => 'keyword', 'field_only' => true, 'extra' => array('placeholder' => lang('forum_keyword_placeholder'))), $record, lang('forum_keyword'), 'col-sm-4');?>
        			</div>
        		</div>
    			<div class="col">
        			<div class="form-group">
        			<label for="author"><?php echo lang('forum_author'); ?></label>
        				<?php echo gc_form_element('selectize', array('name' => 'user_id', 'field_only' => true, 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/users'), 'module' => 'users', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('forum_author'), 'col-sm-4');?>
        			</div>
        		</div>
        	</div>
			<?php echo lang('forum_help_keyword_author'); ?>
		</div>
		<h3 class="pt-2"><?php echo lang('forum_search_location'); ?></h3>
		<div class="card card-body">
			<div class="form-row">
    			<div class="col">
        			<div class="form-group">
        			<label for="categories"><?php echo lang('forum_categories'); ?></label>
        				<?php echo gc_form_element('selectize', array('name' => 'categories', 'field_only' => true, 'max_items' => 10, 'load_url' => site_url('ajax/selectizeSearch/forum_categories'), 'module' => 'forum_categories', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('forum_search_in'), 'col-sm-4');?>
        			</div>
        		</div>
    			<div class="col">
    				<?php $search_in_options = array('threads' => lang('forum_search_threads_only'), 'posts' => lang('forum_search_posts_only'));?>
        			<div class="form-group">
        			<label for="search_in"><?php echo lang('forum_search_in'); ?></label>
        				<?php echo gc_form_element('dropdown', array('name' => 'search_in', 'field_only' => true, 'options' => $search_in_options), $record, lang('forum_search_in'), 'col-sm-4');?>
        			</div>
        		</div>
        	</div>
			<?php echo lang('forum_help_search_location'); ?>
		</div>
		<h3 class="pt-2"><?php echo lang('forum_sort_results'); ?></h3>
		<div class="card card-body">
			<div class="form-row">
    			<div class="col">
    				<?php $sort_by_options = array('created_on' => lang('forum_posted_on'), 'username' => lang('forum_author'), 'subject' => lang('label_subject'), 'category_id' => lang('singular_forum_categories')); ?>
        			<div class="form-group">
        			<label for="sort_by"><?php echo lang('forum_sort_by'); ?></label>
        				<?php echo gc_form_element('dropdown', array('name' => 'sort_by', 'field_only' => true, 'options' => $sort_by_options), $record, lang('forum_sort_by'), 'col-sm-4');?>
        			</div>
        		</div>
    			<div class="col">
    				<?php $sort_order_options = array('DESC' => lang('forum_descending'), 'ASC' => lang('forum_ascending'));?>
        			<div class="form-group">
        			<label for="sort_order"><?php echo lang('forum_sort_order'); ?></label>
        				<?php echo gc_form_element('dropdown', array('name' => 'sort_order', 'field_only' => true, 'options' => $sort_order_options), $record, lang('forum_sort_order'), 'col-sm-4');?>
        			</div>
        		</div>
        		<?php if(isset($forum_show_results)): // uncomment to display this field?>
    			<div class="col">
        			<div class="form-group">
        			<?php $module_options = array('threads' => lang('forum_threads'), 'posts' => lang('forum_posts')); ?>
        			<label for="module"><?php echo lang('forum_show_results'); ?></label>
        				<?php echo gc_form_element('dropdown', array('name' => 'module', 'field_only' => true, 'options' => $module_options), $record, lang('forum_show_results'), 'col-sm-4');?>
        			</div>
        		</div>
        		<?php endif; ?>
        	</div>
			<?php echo lang('forum_help_sort_results'); ?>
		</div>
		<div class="text-right mt-4">
		<button type="submit" name="search" value="search" class="btn btn-theme-primary"><?php echo lang('gc_action_submit'); ?></button>
		</div>
	</div>
</div>
<?php echo form_close(); ?>
</div>