<?php $is_thread = isset($is_thread) ? true : false; // the request is from the thread page
$field_prefix = isset($record->thread_id) ? 'vt' : 'vp';
?>
<div class="card rounded-0 mt-2 forum-post" id="p<?php echo $record->id; ?>">
	<div class="card-header rounded-0 border-0 bg-light">
		<div class="float-left mt-1">
		<?php if(!$is_thread && !empty($record->category) && !empty($record->thread)):?>
		<?php echo anchor(gc_url_format('forums/category', $record->category_slug), $record->category, 'title="' . $record->category . '"'); ?><i class="fas fa-chevron-right ml-2 mr-2"></i><?php echo anchor(gc_url_format('forums/thread', $record->thread_slug), $record->thread, 'title="' . $record->thread . '"'); ?>
		<?php elseif(!$is_thread && !empty($record->thread)):?>
		<?php echo anchor(gc_url_format('forums/thread', $record->thread_slug), $record->thread, 'title="' . $record->thread . '"'); ?>
		<?php else: ?>
		<i class="fas fa-file mr-2"></i><?php echo gc_date_format($record->created_on); ?>
		<?php endif; ?>
		<?php if($this->auth->is_logged_in()):?>
		<div class="forum-vote d-inline" id="<?php echo $field_prefix . $record->id; ?>" data-thread="<?php echo isset($record->thread_id) ? $record->thread_id : $record->id; ?>" data-post="<?php echo isset($record->thread_id) ? $record->id : 0; ?>">
            <span class="forum-vote__minus" ><i class="fas fa-caret-down"></i></span>
            <input type="number" class="forum-vote__count" name="vote" value="<?php echo $record->votes; ?>">
            <span class="forum-vote__plus"><i class="fas fa-caret-up"></i></span>
        </div>
        <?php endif; ?>
        </div>
		<?php if(isset($record->thread)): // Not a thread?>
		<span class="sharing text-center float-right small" data-url="<?php echo gc_url_format('forums/post', $record->slug);?>" data-txt="<?php echo $record->subject; ?>"></span>
		<?php else: ?>
		<span class="sharing text-center float-right small" data-url="<?php echo current_url() ;?>" data-txt="<?php echo $record->subject; ?>"></span>
		<?php endif; ?>
	</div>
	<div class="card-body forum__content p-0">
    	<div class="row">
        	<div class="col-sm-3">
            	<div class="forum-post__content text-center p-2 bg-light">
            		<h3><?php echo $this->load->view('tpl/_profile', array('profile_user' => $record->profile_user)) . ($record->is_online ? '<i class="fas fa-circle text-success ml-2 user-online"></i>' : '<i class="fas fa-circle text-secondary ml-2 user-online"></i>'); ?></h3>
            		<p class="small"><?php echo $record->designation; ?></p>
            		<div class="img-crop-center thumb-100 mx-auto">
            			<img src="<?php echo gc_image_url($record->profile_image, true, true, 'users');?>" class="rounded-circle img-fluid" alt="<?php echo $record->display_name; ?>" />
            		</div>
            		<div class="mt-2 small">
            			<span class="font-weight-bold"><?php echo lang('forum_join_date'); ?>: </span><?php echo gc_date_format($record->created_on); ?>
            		</div>
            		<div class="mb-0 small"><span class="font-weight-bold"><?php echo lang('forum_posts'); ?>: </span><?php echo $record->forum_posts; ?></div>
            	</div>
        	</div>
        	<div class="col-sm-9">
        		<div class="d-flex align-items-start flex-column h-100">
            		<div class="mb-auto p-2">
                    	<h2>      	
                    	<?php echo $record->subject; ?></h2>
                    	<p><?php echo parse_bbcode($record->message); ?></p>
                    	<?php if(!empty($record->ticket_attachments)):?>
                    	<?php $files = json_decode($record->ticket_attachments ?? '');?>
                        <p class="font-weight-bold"><?php echo lang('forum_attachments'); ?></p>
                        <ul class="list-unstyled m-0">
                        <?php
                        foreach($files as $file):?>
                        <li>
                        	<?php echo $this->gfile->file_url($file->token, array('no_delete' => true, 'with_thumbnail' => true, 'template' => 2)); ?>
                        </li>
                        <?php endforeach; ?>
                        </ul>
                    	<?php endif; ?>
                    	<?php if(!empty($record->signature)):?>
                    	<hr class="mb-2 mt-2" />
                    	<div class="forum-post__signature help-block small mb-2">
                    		<?php echo $record->signature; ?>
                    	</div>
                		<?php endif; ?>
                	</div>
                	<div class="forum-post__footer bg-light mt-1 p-2 w-100">
            			<div class="float-left">
                    		<?php if(isset($record->thread)): // Not a thread?>
                    		<?php echo anchor(gc_url_format('forums/post', $record->slug), '<span class="font-weight-bold">' . lang('forum_direct_link') . '</span>', 'title="' . $record->subject . '"'); ?> | 
                    		<?php endif; ?>
                    		<i class="fas fa-eye mr-2"></i><?php echo lang('forum_viewed'); ?>: <?php echo $record->hits . ' ' . lang($record->hits <= 1 ? 'forum_time' : 'forum_times'); ?>                   		
                		</div>
                		<?php if($this->auth->is_logged_in()):?>
                		<div class="float-right">
                			<?php
                			$form_module = isset($record->thread_id) ? 'posts' : 'threads';
                			if($record->user_id == $this->auth->user_id()):
                			?>                			
                			<span class="btn btn-warning btn-xs"><i class="fas fa-thumbs-<?php echo $record->status_id == 2 ? 'up' : 'down'; ?> mr-1"></i><?php echo $record->status_lang == 1 ? lang($record->status) : $record->status;?></span>
                			<?php echo anchor(gc_url_format('forums/form') . '/' . $form_module. '/' . $record->id . '/0/edit', '<i class="fas fa-edit mr-1"></i>' . lang('edit_forum_' . $form_module), 'class="btn btn-primary btn-xs"'); ?>
                			<?php if($form_module == 'threads'):?>
                			<button type="submit" class="btn btn-danger btn-xs" name="delete-thread" value="<?php echo $record->id; ?>"><i class="fas fa-times mr-1"></i><?php echo lang('bf_action_delete'); ?></button>
                			<?php else:?>
                			<button type="submit" class="btn btn-danger btn-xs" name="delete" value="<?php echo $record->id; ?>"><i class="fas fa-times mr-1"></i><?php echo lang('bf_action_delete'); ?></button>
                			<?php endif; ?>
                			<?php endif; ?>
                			<a href="<?php echo gc_url_format('forums/form') . '/' . $form_module . '/' . $record->id . '/1/create'?>" title="<?php echo lang('forum_report') . ' ' . lang('singular_forum_' . $form_module) . ' - ' . $record->subject; ?>"><i class="fas fa-exclamation-triangle mr-2"></i><?php echo lang('forum_report'); ?></a>
                			<a class="ml-2" href="#postReply"><i class="fas fa-reply mr-2"></i><?php echo lang('forum_reply'); ?></a>
                		</div>
                		<?php endif;?>
                	</div>
            	</div>
        	</div>
    	</div>
	</div>
</div>