<div class="container mb-2">
<?php echo form_open($this->uri->uri_string()); ?>
<?php 
if($this->uri->segment(2) == gc_uri_string('search')):
    echo $this->load->view('tpl/_breadcrumb', array('module' => 'search'));
elseif(isset($_GET['popular'])):
    echo $this->load->view('tpl/_breadcrumb', array('module' => 'popular_' . $_GET['popular']));
elseif($module == 'threads' && empty($slug)):
    echo $this->load->view('tpl/_breadcrumb', array('module' => $module));
endif;
if(!empty($row) && $module != 'categories'):?>
<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="<?php echo gc_url_format('forums'); ?>" title="<?php echo lang('singular_forums'); ?>"><i class="fas fa-home mr-1"></i><?php echo lang('singular_forums'); ?></a></li>
    <li class="breadcrumb-item"><a href="<?php echo gc_url_format('forums/category', $row->category_slug); ?>" title="<?php echo $row->category; ?>"><?php echo $row->category; ?></a></li>
    <?php if(!empty($row->thread)):?>
    <li class="breadcrumb-item"><a href="<?php echo gc_url_format('forums/thread', $row->thread_slug); ?>" title="<?php echo $row->thread; ?>"><?php echo $row->thread; ?></a></li>
    <?php endif; ?>
    <li class="breadcrumb-item active" aria-current="page"><?php echo $row->subject; ?></li>
  </ol>
</nav>
<?php if($module == 'threads' && !empty($slug)):?>
<section class="bg-theme-primary p-0">
    <div class="container-fluid p-2">
    	<span class="font-weight-bold"><?php echo lang('singular_forum_threads'); ?>: </span><?php echo $row->subject; ?>
    </div>
</section>
<section class="bg-theme-secondary p-0">
    <div class="container-fluid p-2">
    	<div class="d-flex justify-content-between">
    		<div class="">
    			<span class="font-weight-bold"><?php echo lang('forum_started'); ?>: </span><?php echo gc_date_format($row->created_on); ?> <?php echo lang('forum_by'); ?> <strong><?php echo anchor(gc_url_format('forums/user') . '?id=' . $row->user_id, $row->display_name); ?></strong> | <?php echo $total_rows; ?> <?php echo lang($total_rows <= 1 ? 'singular_forum_posts' : 'forum_posts');?> | <?php echo lang('forum_viewed'); ?>: <?php echo $row->hits . ' ' . lang($row->hits <= 1 ? 'forum_time' : 'forum_times'); ?>
    		</div>
    		<?php if($this->auth->is_logged_in()):?>
    		<div class="text-right">
    			<a class="p-1" href="<?php echo gc_url_format('forums/form') . '/threads/' . $row->id . '/1/create'?>" title="<?php echo lang('forum_report') . ' ' . lang('singular_forum_threads') . ' - ' . $row->subject; ?>"><i class="fas fa-exclamation-triangle mr-2"></i><?php echo lang('forum_report'); ?></a>
    			<a class="ml-2 p-1" href="#postReply"><i class="fas fa-reply mr-2"></i><?php echo lang('forum_reply'); ?></a>
    		</div>
    		<?php endif; ?>
    	</div>
    </div>
</section>
<?php
if(!empty($row->tags)):
$tags = explode(',', $row->tags);
?>
<section class="p-0">
	<div class="container-fluid p-2">
		<?php echo lang('forum_tags'); ?>: 
		<?php foreach($tags as $tag):?>
		<span class="badge badge-pill badge-danger badge-theme-tertiary"><?php echo anchor(gc_url_format('forums/search') . '?tag=' . urlencode($tag), $tag); ?></span>
		<?php endforeach;?>
	</div>
</section>
<?php endif;?>
<?php endif; ?>
<?php endif; ?>
<?php
if($module == 'reports'):
if(empty($records)): ?>
<div class="card card-body">
	<?php echo $message_no_record_found; ?>
</div>
<?php else:
    echo $this->load->view('tpl/_reports', array('records' => $records));
endif;
endif;
if(($module == 'posts' || $module == 'threads') && !empty($row) ):
    echo $this->load->view('tpl/_card', array('record' => $row, 'module' => $module, 'prefix' => 'th'));
elseif($module == 'threads' && !empty($records) && empty($row)):
    echo $this->load->view('tpl/_results', array('records' => $records));
    echo $this->load->view('tpl/_summary');
elseif($module == 'posts' && !empty($records) && empty($row)):
    foreach($records as $record):
        echo $this->load->view('tpl/_card', array('record' => $record));
    endforeach;
elseif($module == 'categories'):
    if(!empty($slug)):
        echo $this->load->view('tpl/_category', array('record' => $row, 'records' => $records));
    else:
        echo $this->load->view('tpl/_categories', array('records' => $records));
        echo $this->load->view('tpl/_summary');
    endif;
endif;
if($module == 'threads' && !empty($records) && !empty($row)):
    foreach($records as $record):
        echo $this->load->view('tpl/_card', array('record' => $record, 'total_rows' => $total_rows, 'is_thread' => true));
    endforeach;
endif;
if(empty($row) && empty($records)): ?>
<div class="card card-body">
	<?php echo $message_no_record_found; ?>
</div>
<?php endif; ?>
<?php echo form_close(); ?>
<div class="mt-2">
    <div class="text-center">
    	<?php if(!empty($previous_record->id)):?>
    	<?php echo anchor(gc_url_format('forums/' . $page) . '/' . $previous_record->slug, '<i class="fas fa-chevron-left mr-1"></i>' . lang('forum_previous') . ' ' . lang('singular_forum_' . $module)); ?>
    	<?php endif;?>
    	<?php if(!empty($previous_record->id) && !empty($next_record->id)): ?> | <?php endif;?>
    	<?php if(!empty($next_record->id)):?>
    	<?php echo anchor(gc_url_format('forums/' . $page) . '/' . $next_record->slug, lang('forum_next') . ' ' . lang('singular_forum_' . $module) . '<i class="fas fa-chevron-right ml-1"></i>'); ?>
    	<?php endif;?>
    </div>
    <?php if(isset($pagination)):?>
    <div class="text-right">
    	<?php echo $pagination?>
    </div>
    <?php endif; ?>
    <?php if($this->auth->is_logged_in() && $module == 'threads' && !empty($slug)):?>
    <hr />
    <div id="postReply">
    <?php echo $this->load->view('tpl/_form'); ?>
    </div>
    <?php endif;?>
</div>
</div>