<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Migration_Install_groups extends Migration
{
	/**
	 * The name of the database table
	 *
	 * @var String
	 */
	private $table_name = 'groups';

	/**
	 * The table's fields
	 *
	 * @var Array
	 */
	private $fields = array(
		'id' => array(
			'type' => 'SMALLINT',
			'constraint' => 5,
			'auto_increment' => TRUE
		),
		'name' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => FALSE
		),
		'name_lang' => array(
			'type' => 'TINYINT',
			'constraint' => 1,
			'null' => FALSE,
			'default' => 0
		),
		'tooltip' => array(
			'type' => 'VARCHAR',
			'constraint' => 455,
			'null' => TRUE
		),
		'tooltip_lang' => array(
			'type' => 'TINYINT',
			'constraint' => 1,
			'null' => FALSE,
			'default' => 0
		),
		'tooltip_class' => array(
			'type' => 'CHAR',
			'constraint' => 50,
			'null' => TRUE
		),
		'icon' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => TRUE
		),
		'control_class' => array(
			'type' => 'VARCHAR',
			'constraint' => 150,
			'null' => TRUE
		),
		'control_condition' => array(
			'type' => 'VARCHAR',
			'constraint' => 150,
			'null' => TRUE
		),
		'priority' => array(
			'type' => 'SMALLINT',
			'constraint' => 5,
			'null' => FALSE,
			'default' => 0
		),
		'status' => array(
			'type' => 'TINYINT',
			'constraint' => 1,
			'null' => FALSE,
			'default' => 1
		),
		'created_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
		'modified_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP'
	);
	
	/**
	 * Install this migration
	 *
	 * @return void
	 */
	public function up() {
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->create_table($this->table_name);
	}

	//--------------------------------------------------------------------

	/**
	 * Uninstall this migration
	 *
	 * @return void
	 */
	public function down() {
		$this->dbforge->drop_table($this->table_name);
	}

	//--------------------------------------------------------------------

}