<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php

$num_columns	= 10;
$can_delete	= $this->auth->has_permission('Groups.Developer.Delete');
$can_edit		= $this->auth->has_permission('Groups.Developer.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('label_name'));?>
		<div class="table-responsive">
		<table class="table table-striped" id="flex_table_">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>					
					<th><?php echo form_filter('name_lang', lang('label_name_lang'));?></th>									
					<th><?php echo form_filter('icon', lang('label_icon'));?></th>
					<th><?php echo form_filter('priority', lang('label_order'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on'));?></th>					
					<th><?php echo form_filter('percent_value', lang('completion_percent') . ' <span class="badge badge-primary">' . $percents_total . '%</span>');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/developer/groups/edit/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?></td>
				<?php else : ?>
					<td><?php e($record->name); ?></td>
				<?php endif; ?>
					<td>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->name_lang == 1 ? 'btn-success' : 'btn-warning';?>">
						<i class="fas fa-<?php echo $record->name_lang == 1 ? 'check': 'times'; ?>"></i>
					</button>
					</td>
					<td><?php echo !empty($record->icon) ? '<i class="fa ' . $record->icon . '"></i>' : ''; ?></td>
					<td><?php echo $record->priority; ?></td>
					<td><?php e(gc_date_format($record->created_on, true)) ?></td>
					<td><?php e(gc_date_format($record->modified_on, true)) ?></td>		
					<td class="text-center">
					<?php
					$module_relations = explode(',', $record->module_relations ?? '');
					if(in_array(gc_module_id('percents'), $module_relations)): ?>
					<a href="<?php echo site_url(SITE_AREA . '/developer/groups/set_percent/' . $record->id); ?>" title="<?php echo lang('module_percent'); ?>" class="btn btn-primary btn-xs"><i class="fas fa-user-circle fa-fw"></i> <strong><?php echo $record->percent_value . '%'; ?></strong></a>
					<?php else: echo lang('not_applicable');?>
					<?php endif; ?>	
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('label_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();
	?>
</div>