<?php if(!empty($record)):?>
<div class="row mb-3">
	<div class="col-md-4 text-center img-crop-center mh-100">
		<div class="gc-avatar thumb-100">
			<img class="img-fluid" src="<?php echo gc_image_url($record['logo']); ?>" alt="<?php echo $record['title']; ?>">
		</div>
	</div>
	<div class="col-md-8 m-0 text-left">
		<h5 class="modal-title h5 font-weight-bold" id="percentageModalLabel"><?php echo $record['title']; ?></h5>
		<div class="progress mt-1">
			<div class="progress-bar bg-info" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo $percent_completion; ?>%;">
				<span class="sr-only"><?php echo $percent_completion; ?></span>
			</div>
			<span class="progress-type"><?php echo $percent_completion; ?>%</span>   
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<?php foreach($tree as $group):
		if($role == 'admin'):
    		switch($group['id']) {
    		    case 22:
    		        $group_url = site_url(SITE_AREA . '/content/profiles/photos/profiles/' . $record['id']);
    		        break;
    		    case 23:
    		        $group_url = site_url(SITE_AREA . '/content/profiles/horoscope/' . $record['id']);
    		        break;
    		    default:
    		        $group_url = site_url(SITE_AREA . '/content/profiles/group/' . $record['id'] . '/' . $group['id']);
    		}
    	else:
    		switch($group['id']) {
    		    case 22:
    		        $group_url = gc_url_format('members/photos');
    		        break;
    		    case 23:
    		        $group_url = gc_url_format('members/horoscope');
    		        break;
    		    default:
    		        $group_url = gc_url_format('members/edit_business') . '?id=' . $this->crypt->encode($record['id']) . '&group_id=' . $group['id'] . '&pg=1';
    		}
    	endif;		
		$group_remaining = $group['value'] - $group['completed'];
		?>		
		<h5 class="font-weight-bold"><?php echo $group['name'] . ' - ' . $group['value'];?>%
    		<?php if(!empty($group_remaining)):?>
    			<a href="<?php echo $group_url; ?>" title="<?php echo $group['name']; ?>" class="btn btn-xs btn-danger rounded-0"><i class="fas fa-edit fa-fw fa-fr"></i><?php echo lang('edit'); ?></a>
    		<?php endif;?>
    		<span class="d-flex small">(<?php echo lang('label_completed') . ': ' . $group['completed'] . '%, '. lang('label_remaining') .': ' . $group_remaining; ?>%)</span>
		</h5>			
		<div class="table-responsive-sm">
			<table class="table table-sm table-borderless">
				<tbody>					
        			<?php foreach($group['fields'] as $group_field):?>
        			<tr>
        				<td class="bg-white w-75 font-weight-bold text-muted"><?php echo $group_field['label'] . ' ('. $group_field['value'] . '%)'; ?></td>
        				<td class="bg-white"><i class="<?php echo !empty($group_field['completed']) ? 'fas fa-check': 'fas fa-times';?>"></i></td>
        			</tr>
        			<?php endforeach;?>
				</tbody>
			</table>
		</div>
		<?php endforeach;?>
		<hr>
	</div>
</div>
<?php endif; ?>