<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 12;
$can_delete	= $this->auth->has_permission('Languages.Settings.Delete');
$can_edit		= $this->auth->has_permission('Languages.Settings.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_languages_search'));?>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('code', lang('label_code')); ?></th>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('label', lang('label_label')); ?></th>
					<th><?php echo form_filter('alpha_2', lang('label_alpha')); ?></th>
					<th><?php echo form_filter('locale', lang('label_locale')); ?></th>
					<th><?php echo form_filter('date_format', lang('label_date_format')); ?></th>
					<th><?php echo form_filter('datetime_format', lang('label_datetime_format')); ?></th>
					<th><?php echo form_filter('is_rtl', lang('label_rtl')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php e($record->code); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/settings/languages/edit/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?></td>
				<?php else : ?>
					<td><?php e($record->name); ?></td>
				<?php endif; ?>
					<td><?php e($record->label); ?></td>
					<td><?php e($record->alpha_2); ?> <i class="famfamfam-flag-<?php e($record->alpha_2); ?>"></i></td>
					<td><?php e($record->locale); ?></td>
					<td><?php e($record->date_format); ?></td>
					<td><?php e($record->datetime_format); ?></td>
					<td><i class="fa fa-<?php echo $record->is_rtl == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i></td>
					<td>
						<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
    						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
    					</button>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();
    
    echo $this->pagination->create_links();
    ?>
</div>