var home_url = $('#site_url').val();
/*----------------------------------------------------*/
/*	OnType City Selection
/*----------------------------------------------------*/
var cacheArray = []; // Temporary store searched tags information

// Instantiate the Bloodhound suggestion engine
var tags = new Bloodhound({
    datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
    queryTokenizer: Bloodhound.tokenizers.whitespace,
    remote: {
        url: home_url + 'getTags?search=%QUERY',
	    wildcard: '%QUERY',
        filter: function(tags) {
			if(tags) {
				// Store result in an array for future
				tags.forEach(function (item) {
					if (cacheArray.indexOf(item) === -1) {
						cacheArray.push(item);
					}
				});
			}
			
			// Map the remote source JSON array to a JavaScript object array
            return $.map(tags, function (tag) {
                return {
                    name: tag.name
                };
            });
        }
    }
});

// Initialize the Bloodhound suggestion engine
tags.initialize();

// Instantiate the Typeahead UI
$('#tags').typeahead(null, {
    // Use 'value' as the displayKey because the filter function 
    // returns suggestions in a javascript object with a variable called 'value'
	name: 'tags',
    displayKey: 'name',
    source: tags.ttAdapter()
}).blur(function() {
	match = false;
	for (var i = cacheArray.length - 1; i >= 0; i--) {
        if($(this).val() == cacheArray[i].name) {			
			$('#tag_id').val(cacheArray[i].id);
			
			// show selected status			
			tagCheckedSign();
			
            match = true;
        }
    };
	if(!match){
		// Find the closet match and set it as the selected country
		if($(this).val() != '') {
			var regex = new RegExp($(this).val().toLowerCase());
			// find the user entered keyword in the array
			var found_names = $.grep(cacheArray, function(v) {
				return String(v.name.toLowerCase()).match(regex);
			});
			// match found set it as the selected country
			if(typeof found_names[0] != 'undefined') {
				
				// show selected status			
				tagCheckedSign();
				
				$('#tag_id').val(found_names[0].id);
				$(this).val(found_names[0].name);
				
			} else {
				tagInfoSign();
				
				// set tag_id field to blank
				$('#tag_id').val('');
				
				// set tag field to blank
				//$(this).val('');
			}
		} else {
			tagInfoSign();
			
			// set tag_id field to blank
			$('#tag_id').val('');
		}
	} 
}).on('typeahead:asyncrequest', function() {
	tagLoadingSpinner();
    //$('.tag-spinner').show(); // show spinner while loading
})
.on('typeahead:asynccancel typeahead:asyncreceive', function() {
	tagInfoSign();	
    //$('.tag-spinner').hide(); // hide spinner after loading
});

// Display loading spinner
function tagLoadingSpinner() {
	$(".tag-spinner").removeClass("btn-warning");
	$(".tag-spinner").removeClass("btn-success");
	$(".tag-spinner").addClass("btn-secondary");
	$(".tag-spinner i").removeClass("fa-check-circle");
	$(".tag-spinner i").removeClass("fa-info-circle");
	$(".tag-spinner i").addClass("fa-spinner");
}

// Display info sign if tag not selected
function tagInfoSign() {
	$(".tag-spinner").removeClass("btn-success");
	$(".tag-spinner").removeClass("btn-secondary");
	$(".tag-spinner").addClass("btn-warning");
	$(".tag-spinner i").removeClass("fa-spinner");
	$(".tag-spinner i").removeClass("fa-check-circle");
	$(".tag-spinner i").addClass("fa-info-circle");
}

// Display checked sign if user selected a valid tag
function tagCheckedSign() {
	$(".tag-spinner").removeClass("btn-warning");
	$(".tag-spinner").removeClass("btn-secondary");
	$(".tag-spinner").addClass("btn-success");
	$(".tag-spinner i").removeClass("fa-spinner");
	$(".tag-spinner i").removeClass("fa-info-circle");
	$(".tag-spinner i").addClass("fa-check-circle");
}