<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 12;
$can_delete	= $this->auth->has_permission('Leads.Financial.Delete');
$can_edit		= $this->auth->has_permission('Leads.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete):
    $num_columns++;
endif;
?>
<div class='admin-box'>	
    	<?php 
    	echo form_validations();
    	echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
    	$record = array();
    	echo gc_form_element('selectize', array('name' => 'assign_user_id', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/users'), 'help' => lang('help_user'), 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bf_user'));
    	echo gc_form_element('actions', array('name' => 'assign_lead', 'label' => lang('save'), 'cancel' => FALSE, 'delete' => FALSE));
    	?>
		<div class="row">
			<div class="col-md-8">
				<div class="mt-3 mb-3">
				<?php if(isset($extra_action)):?>
				<?php echo $extra_action; ?>
				<?php endif;?>
                <a href="<?php echo $redirect_url; ?>" title="<?php echo lang('gc_menu_leads'); ?>" class="btn btn-warning btn-sm"><i class="fas fa-arrow-left fa-fw mr-1"></i><?php echo lang('gc_menu_leads'); ?></a>
				</div>
			</div>
			<div class="col-md-4">
				<?php echo search_admin(lang('placeholder_lead_allotments_search'), 'col-md-12');?>
			</div>
		</div>
		<div class="table-responsive">
		<table class='table table-striped'> 
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('order_id', lang('bf_user'));?></th>
					<th><?php echo form_filter('user_email', lang('bf_user'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>					
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records && $can_delete) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" class="btn btn-danger btn-delete" id="delete-me" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>	
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class="chk-status" name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php echo $record->id; ?></td>
					<td><?php echo empty($record->order_id) ? lang('not_applicable') : anchor(site_url(SITE_AREA . '/financial/orders/view/' . $record->order_id . '/0/1'), $record->order_id); ?></td>
					<td><?php echo $record->user_id . ' - ' . $record->user_email; ?></td>
					<td><?php echo gc_date_format($record->created_on, true); ?></td>					
					<td class='status'>
					<?php if ($record->status == 1) : ?>
						<span class="badge badge-info"><?php echo lang('tab_active'); ?></span>
						<?php else:?>
						<span class="badge badge-<?php echo $record->id;?> badge-warning"><?php echo lang('tab_inactive'); ?></span>
						<?php endif; ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>