<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php
echo form_validations();
$num_columns	= 12;
$can_edit		= $this->auth->has_permission('Lead_Groups.Financial.Edit');
$has_fields 	= isset($fields) && is_array($fields) && count($fields);
$records 		= !empty($records) ? (array) $records : array();

?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
	<fieldset>
	<?php
    echo gc_form_element('selectize', array('name' => 'group_id', 'max_items' => 1, 'label_width' => 'col-sm-3', 'load_url' => site_url('ajax/selectizeSearch/lead_groups'), 'module' => 'lead_groups', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $group->id, lang('label_group'), 'col-sm-4');
	$action_data = array();
	$extra_action = array(anchor(site_url(SITE_AREA . '/developer/fields/create'), lang('field_add'), 'class="btn btn-secondary"'));
	$action_data['name'] = 'change';
	$action_data['label'] = lang('gc_action_submit');
	$action_data['delete'] = FALSE;
	$action_data['url'] = $cancel_url;
	$action_data['extra_actions'] = $extra_action;
	echo gc_form_element('actions', $action_data);
	?>
	</fieldset>
	<div class="table-responsive mt-2">
	<table class='table table-striped' id="fields_table">
		<thead>
			<tr>
				<?php if ($has_fields) : ?>
				<th class='column-check'><input class='check-all' type='checkbox' /></th>
				<?php endif;?>
				<th><?php echo lang('label_id');?></th>
				<th><?php echo lang('label_name');?></th>
				<th><?php echo lang('field_label');?></th>
				<th><?php echo lang('label_priority');?></th>
				<th><?php echo lang('field_required');?></th>
				<th><?php echo lang('field_assigned');?></th>
			</tr>
		</thead>
		<?php if ($has_fields) : ?>
		<tfoot>
			<?php if ($can_edit) : ?>
			<tr>
				<td></td>
				<td><?php echo lang('bf_with_selected'); ?></td>	
				<td><input type='submit' name='save' class='btn btn-primary' value="<?php echo lang('save'); ?>" /></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
			</tr>
			<?php endif; ?>
		</tfoot>
		<?php endif; ?>
		<tbody>
				<?php
				if ($has_fields) :
					foreach ($fields as $field):
					$field = (object) $field;
					$assigned = array_key_exists($field->id, $records);
					$record = $assigned ? $records[$field->id] : array();
				?>
				<tr>
					<td class='column-check'><input type='checkbox' name='checked[]' value='<?php echo $field->id; ?>'<?php echo set_checkbox('checked[]', $field->id, $assigned ? TRUE : FALSE);?> /></td>
					<td><?php e($field->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/developer/fields/edit/' . $field->id, '<i class="fas fa-edit"></i> ' .  $field->name); ?></td>
				<?php else : ?>
					<td><?php e($field->name); ?></td>
				<?php endif; ?>	
					<td><?php echo ($field->label_lang == 1 ? lang($field->label) : $field->label);?></td>
					<td><?php echo gc_form_element('text', array('name' => 'priority_' . $field->id, 'field_only' => true, 'default_value' => 0), (isset($record->priority) ? $record->priority : 0), lang('label_priority'));?></td>
					<td>
					<div class="material-switch">
                           <input id="required_<?php echo $field->id; ?>" name="required_<?php echo $field->id; ?>" type="checkbox" value="1" <?php echo set_checkbox('required_' . $field->id, 1, (!empty($record->is_required) ? true : false)); ?> />
                           <label for="required_<?php echo $field->id; ?>" class="badge-primary"></label>
                    </div>
					</td>
					<td><span class="badge <?php echo $assigned ? 'badge-success' : 'badge-warning'?>"><?php echo $assigned ? lang('field_assigned') : lang('field_unassigned');?></span></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
</div>