<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
echo form_validations();
$lead = isset($lead) ? $lead : array();
$can_delete = false;
?>
<div class='admin-box'>
<?php $forwarded_records = $this->db->select('GROUP_CONCAT(row_id) AS row_ids, SUM(counts) AS counts, modified_on')->where('lead_id', $lead->id)->group_by('modified_on')->order_by('id', 'ASC')->get('lead_emails')->result(); 
if($forwarded_records): ?>
<button type="button" class="btn btn-primary btn-sm float-right" data-toggle="modal" data-target="#forwardedInfo">
  <i class="fas fa-sync mr-1 fa-fw"></i><?php echo lang('lead_forwarded_info'); ?>
</button>
<div class="modal fade" id="forwardedInfo" tabindex="-1" role="dialog" aria-labelledby="forwardedInfoLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><?php echo lang('lead_forwarded_info'); ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="<?php echo lang('form_close'); ?>">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="table-responsive">
            <table class="table table-sm table-bordered">
                <thead>
                    <tr>
                        <th><?php echo lang('label_id'); ?></th>
                        <th><?php echo lang('label_datetime'); ?></th>
                    </tr>
                </thead>
                <tbody>
        <?php foreach($forwarded_records as $forwarded_record): ?>
                    <tr>
                        <td><?php echo $forwarded_record->row_ids; ?></td>
                        <td><?php echo $forwarded_record->modified_on; ?></td>
                    </tr>
        <?php endforeach; ?>
                </tbody>
            </table>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo lang('form_close'); ?></button>
      </div>
    </div>
  </div>
</div>
<?php endif; ?>
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
	<?php
	echo gc_form_element('selectize', array('name' => 'businesses', 'max_items' => 50, 'load_url' => site_url(SITE_AREA . '/financial/leads/search'), 'selectize_value' => (isset($selectize_value) ? $selectize_value : ''), 'help' => lang('help_listings'), 'extra' => array('placeholder' => lang('placeholder_selectize'))), '', lang('listings'));
	echo gc_form_element('text', array('name' => 'price', 'default_value' => 0, array('maxlength' => 5)), $lead, lang('label_price') . lang('bf_form_label_required'), 'col-sm-2');
	echo gc_form_element('checkbox', array('name' => 'queue_override', 'no_label' => TRUE, 'tooltip' => lang('help_queue_override'), 'help_class' => 'help-inline'), (!empty($_POST['queue_override']) && $_POST['queue_override'] == 1), lang('queue_override'));
	?>
	<?php if(!empty($listings)):?>
	<div class="table-responsive">
	<table class='table table-striped'>
	<thead>
		<tr>
			<th class='column-check'><input class='check-all' type='checkbox' /></th>
			<th><?php echo lang('label_id');?></th>
			<th><?php echo lang('label_title');?></th>
			<th><?php echo lang('label_matches');?></th>
		</tr>
	</thead>
    <?php if (!empty($listings) && $can_delete) : ?>
    <tfoot>
        <tr>
            <td colspan="<?php echo $num_columns; ?>">
                <?php echo lang('bf_with_selected'); ?>
                <input type="submit" name="delete" class="btn btn-danger btn-delete" id="delete-me" value="<?php echo lang('bf_action_delete'); ?>" />
            </td>
        </tr>
    </tfoot>
    <?php endif; ?>
	<tbody>
	<?php foreach($listings as $listing):?>
	<tr>
		<td class='column-check'><input type='checkbox' class="chk-status" name='checked[]' value='<?php echo $listing->id; ?>' <?php echo !empty($_POST['checked']) && in_array($listing->id, $_POST['checked']) ? 'checked="checked"' : set_checkbox('checked', $listing->id); ?> /></td>
		<td><?php echo $listing->id; ?></td>
		<td><?php echo $listing->title . ' (' . $listing->email . ', ' . lang('label_package') . '::' . $listing->package . ')'; ?> <?php echo !empty($listing->counts) ? '<span class="badge badge-warning">' . lang('label_forwarded') . ' - ' . $listing->counts . ' ' . lang('label_times') . '</span>': '' ;?></td>
		<td><?php echo $this->leads_model->type_having($listing->type); ?></td>
	</tr>
	<?php endforeach;?>	
	</tbody>
	</table>	
	</div>
	<?php endif; ?><br />
	<?php echo gc_form_element('actions', array('name' => 'forward', 'label' => lang('gc_action_forward'), 'cancel' => FALSE, 'delete' => FALSE));?>
<?php echo form_close(); ?>
</div>