<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
	array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'forwarded_on', 'url' => $index_url . 'forwarded_on/', 'title' => lang('label_forwarded')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive')),
    array('filter' => $filter_type, 'condition' => 'converted', 'url' => $index_url . 'converted/', 'title' => lang('label_converted')),
    array('filter' => $filter_type, 'condition' => 'spammed', 'url' => $index_url . 'spammed/', 'title' => lang('tab_spammed')),
	array('filter' => $filter_type, 'condition' => 'replied_on', 'url' => $index_url . 'replied_on/', 'title' => lang('admin_replied')),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
$num_columns	= 12;
$can_delete	= $this->auth->has_permission('Leads.Financial.Delete');
$can_edit		= $this->auth->has_permission('Leads.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
		<div class="row top2 bottom2">
    		<div class="col-md-4">		
            	<?php if(isset($extra_action)):?>
            	<?php echo $extra_action; ?>
            	<?php endif;?>
            	<button type="submit" name="download" value="pdf" data-toggle="tooltip" data-title="<?php echo lang('pdf'); ?>" class="btn btn-danger btn-sm"><i class="fas fa-file-pdf"></i></button>
            	<button type="submit" name="download" value="xls" data-toggle="tooltip" data-title="<?php echo lang('excel'); ?>" class="btn btn-success btn-sm"><i class="fas fa-file-excel"></i></button>
    			<?php // $this->load->view('_filter_admin'); ?>
    		</div>
    		<div class="col-md-4">
    			<?php echo lang('label_results'); ?>: <span class="btn btn-primary"><?php echo $filtered_results;?></span>
    		</div>
    		<div class="col-md-4">
    		<?php echo search_admin(lang('placeholder_admin_cn_search'), '', '');?>
    		</div>
		</div>
		<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('C.name', lang('label_category'));?></th>
					<th><?php echo form_filter('CT.name', lang('label_city'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('phone_number', lang('label_phone'));?></th>
					<th><?php echo form_filter('email', lang('label_email'));?></th>
					<th><?php echo form_filter('price', lang('label_price'));?></th>
					<th><?php echo form_filter('hits', lang('label_hits'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>					
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>
							<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="converted"><?php echo lang('gc_action_converted'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="spam"><?php echo lang('bf_action_spam'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="forward"><?php echo lang('gc_action_forward'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="force_forward"><?php echo lang('gc_action_force_forward'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class="chk-status" name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php e(!empty($record->category) ? $record->category : lang('not_applicable')); ?></td>
					<td><?php e(!empty($record->city) ? $record->city : lang('not_applicable') ); ?></td>
					<td>
					<?php if ($can_edit) : ?>
						<?php echo anchor(SITE_AREA . '/financial/leads/view/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?>
					<?php else : ?>
						<?php e($record->name); ?>
					<?php endif; ?>
					</td>
					<td><?php e($record->phone_number); ?></td>
					<td><?php e($record->email); ?></td>
					<td><?php e($record->price == 0 ? lang('label_free') : currency_format($record->price)); ?></td>
					<td><?php e($record->hits); ?></td>
					<td><?php e(gc_date_format($record->created_on, true)); ?></td>					
					<td class='status'>
					<?php if ($record->status == 1) : ?>
						<span class="badge badge-info"><?php echo lang('tab_active'); ?></span>
						<?php elseif ($record->status == 2) : ?>
						<span class="badge badge-success"><?php echo lang('label_converted'); ?></span>
						<?php elseif ($record->status == 3) : ?>
						<span class="badge badge-secondary"><?php echo lang('status_spam'); ?></span>
						<?php else:?>
						<span class="badge badge-<?php echo $record->id;?> badge-warning"><?php echo lang('tab_inactive'); ?></span>
						<?php endif; ?>
						<br />
						<?php echo lang('label_change_status');?><br />
						<select class="query_status input-medium form-control" name="query_status_<?php e($record->id); ?>" id="query_status_<?php e($record->id); ?>">
							<option value="0" <?php echo ($record->status == 0) ? 'selected' : '';?>><?php echo lang('tab_inactive');?></option>
							<option value="1" <?php echo ($record->status == 1) ? 'selected' : '';?>><?php echo lang('tab_active');?></option>
							<option value="2" <?php echo ($record->status == 2) ? 'selected' : '';?>><?php echo lang('label_converted');?></option>	
							<option value="3" <?php echo ($record->status == 3) ? 'selected' : '';?>><?php echo lang('status_spam');?></option>		
						</select>
						<span class="display-block top2"></span>
						<button type="submit" class="btn btn-primary btn-xs" name="change_status" value="<?php echo $record->id;?>"><?php echo lang('save');?></button>
						<span onclick="$('#query_id').val(<?php echo $record->id;?>);"><a href="#replyEmailModal" role="button" class="btn btn-info btn-xs" id="<?php echo $record->id;?>" data-toggle="modal"><i class="icon-envelope icon-white"></i> <?php echo lang('label_reply');?></a></span>
						<a class="btn btn-success btn-xs" href="<?php echo site_url(SITE_AREA . '/financial/leads/forward/' . $record->id)?>"><?php echo lang('gc_action_forward');?></a>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
	echo form_hidden('status');
	echo form_hidden('query_id');
	echo form_hidden('request_uri', 'leads');
	echo form_hidden('lang_replied', lang('label_replied'));
    echo form_close();    
    echo $this->pagination->create_links();
    echo $this->load->view('common/admin_reply');
    ?>
</div>