<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$nav_url = 'financial/leads';
$menus = array(
    array(
        'condition' => 'summary',
        'permission' => 'Leads.Financial.Summary',
        'url' => $nav_url. '/summary',
        'id' => 'summary',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('gc_menu_summary')
    ),
    array(
        'condition' => '',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('bf_action_list'),
        'label' => '<i class="fas fa-list fa-fw mr-1"></i>' . lang('bf_action_list')
    ),
    array(
        'condition' => 'create',
        'permission' => 'Leads.Financial.Created',
        'url' => $nav_url. '/create',
        'id' => 'create_new',
        'title' => lang('leads_create'),
        'label' => '<i class="fas fa-plus-circle fa-fw mr-1"></i>' . lang('leads_create')
    ),
    array(
        'condition' => 'manage/groups',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Lead_Groups.Financial.View',
        'url' => $nav_url. '/manage/groups',
        'id' => 'groups',
        'tooltip' => true,
        'title' => lang('manage_lead_groups'),
        'label' => '<i class="fas fa-object-group fa-fw mr-1"></i>' . lang('manage_lead_groups')
    ),
    array(
        'condition' => 'manage/statuses',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Lead_Statuses.Financial.View',
        'url' => $nav_url. '/manage/statuses',
        'id' => 'statuses',
        'tooltip' => true,
        'title' => lang('manage_lead_statuses'),
        'label' => '<i class="fas fa-thumbs-up fa-fw mr-1"></i>' . lang('manage_lead_statuses')
    ),
    array(
        'condition' => 'manage/email_templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Lead_Email_Templates.Financial.View',
        'url' => $nav_url. '/manage/email_templates',
        'id' => 'lead_email_templates',
        'tooltip' => true,
        'title' => lang('lead_email_templates'),
        'label' => '<i class="fas fa-envelope fa-fw mr-1"></i>' . lang('lead_email_templates')
    ),
    array(
        'condition' => 'export',
        'segment' => $this->uri->segment(4),
        'permission' => 'Leads.Financial.Export',
        'url' => $nav_url. '/export',
        'id' => 'export',
        'tooltip' => true,
        'title' => lang('label_export'),
        'label' => '<i class="fas fa-file-excel fa-fw mr-1"></i>' . lang('label_export')
    ),
    array(
        'condition' => 'settings',
        'url' => $nav_url. '/settings',
        'id' => 'settings',
        'tooltip' => true,
        'title' => lang('gc_menu_settings'),
        'label' => '<i class="fas fa-cog fa-fw mr-1"></i>' . lang('gc_menu_settings')
    )
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'leads', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>