<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
 
?>
<?php echo form_validations(); ?>
<div class='admin-box'>
    <?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
    	<fieldset>
    		<?php
    		$checkbox_options = array(
    			array('name' => 'matches[both]', 'label' => lang('both_category_location'), 'value' => (!empty($settings->matches->both) && $settings->matches->both == 1)),
				array('name' => 'matches[category]', 'label' => lang('category_only'), 'value' => (!empty($settings->matches->category) && $settings->matches->category == 1)),
				array('name' => 'matches[city]', 'label' => lang('city_only'), 'value' => (!empty($settings->matches->city) && $settings->matches->city == 1)),
    		);
			echo gc_form_element('checkbox', array('options' => $checkbox_options, 'help' => lang('help_matches')), array(), lang('label_matches') . lang('bf_form_label_required'));
			echo gc_form_element('text', array('name' => 'price', 'help' => lang('help_price'), 'tooltip' => settings_item('site.currency_symbol'), 'help_class' => 'help-inline', 'extra' => array('maxlength' => 5)), (!empty($settings->price) ? $settings->price : 0), lang('label_price') . lang('bf_form_label_required'), 'col-sm-4 form-inline');
			if(isset($module_specific_pricing)):
			// module specific pricing
			$gc_modules = gc_modules_only();
			$gc_modules[1] = 'listings';
			$price = (array) json_decode($settings->price, true);
			?>
			<div class="form-group form-row">
            	<label class="col-sm-2 col-form-label" for="price"><?php echo lang('label_price') . lang('bf_form_label_required'); ?> <a role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('help_price'); ?>" class="help-label"><i class="fas fa-question"></i></a></label>
            	<div class="col-sm-10">
        			<div class="table-responsive">
        			    <table class="table table-striped">
        			        <thead>
        			            <tr>
        			            <?php foreach($gc_modules as $gc_module): ?>
        			                <th><?php echo lang($gc_module); ?></th>
        			            <?php endforeach; ?>
        			            </tr>
        			        </thead>
        			        <tbody>
                			    <tr>
                			    <?php foreach($gc_modules as $gc_module): ?>
                			        <td><?php echo gc_form_element('text', array('name' => 'price[' . $gc_module . ']', 'extra' => array('maxlength' => 5), 'field_only' => true), (!empty($price[$gc_module]) ? $price[$gc_module] : 0), lang($gc_module) . ' ' . lang('label_price')); ?></td>
                		    	<?php endforeach; ?>
                			    </tr>
            			    </tbody>
        			    </table>
        			</div>
            	</div>
            </div>
			<?php
			endif;
			echo gc_form_element('text', array('name' => 'limit', 'help' => lang('help_limit'), 'extra' => array('maxlength' => 5)), (!empty($settings->limit) ? $settings->limit : 10), lang('label_limit'). lang('bf_form_label_required'), 'col-sm-2');			
			$auto_checkbox_options = array(
				// array('name' => 'auto_approve', 'label' => lang('auto_approve'), 'value' => (!empty($settings->auto_approve) && $settings->auto_approve == 1)),
				array('name' => 'auto_forward', 'label' => lang('auto_forward'), 'value' => (!empty($settings->auto_forward) && $settings->auto_forward == 1))
			);
			echo gc_form_element('checkbox', array('options' => $auto_checkbox_options));				
			?>
		</fieldset>
        <?php echo gc_form_element('actions', array('cancel' => FALSE, 'delete' => FALSE));?>
    <?php echo form_close(); ?>
</div>