<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
<head>
	<meta charset="utf-8"> <!-- utf-8 works for most cases -->
	<meta name="viewport" content="width=device-width"> <!-- Forcing initial-scale shouldn't be necessary -->
	<meta http-equiv="X-UA-Compatible" content="IE=edge"> <!-- Use the latest (edge) version of IE rendering engine -->
	<meta name="x-apple-disable-message-reformatting">	<!-- Disable auto-scale in iOS 10 Mail entirely -->
	<title></title> <!-- The title tag shows in email notifications, like Android 4.4. -->
	<style>

		/* What it does: Remove spaces around the email design added by some email clients. */
		/* Beware: It can remove the padding / margin and add a background color to the compose a reply window. */
		html,
		body {
			margin: 0 auto !important;
			padding: 0 !important;
			height: 100% !important;
			width: 100% !important;
		}

		/* What it does: Stops email clients resizing small text. */
		* {
			-ms-text-size-adjust: 100%;
			-webkit-text-size-adjust: 100%;
		}

		/* What it does: Centers email on Android 4.4 */
		div[style*="margin: 16px 0"] {
			margin:0 !important;
		}

		/* What it does: Stops Outlook from adding extra spacing to tables. */
		table,
		td {
			mso-table-lspace: 0pt !important;
			mso-table-rspace: 0pt !important;
		}

		/* What it does: Fixes webkit padding issue. Fix for Yahoo mail table alignment bug. Applies table-layout to the first 2 tables then removes for anything nested deeper. */
		table {
			border-spacing: 0 !important;
			border-collapse: collapse !important;
			table-layout: fixed !important;
			margin: 0 auto !important;
		}
		table table table {
			table-layout: auto;
		}

		/* What it does: Uses a better rendering method when resizing images in IE. */
		img {
			-ms-interpolation-mode:bicubic;
		}

		/* What it does: A work-around for email clients meddling in triggered links. */
		*[x-apple-data-detectors],	/* iOS */
		.x-gmail-data-detectors, 	/* Gmail */
		.x-gmail-data-detectors *,
		.aBn {
			border-bottom: 0 !important;
			cursor: default !important;
			color: inherit !important;
			text-decoration: none !important;
			font-size: inherit !important;
			font-family: inherit !important;
			font-weight: inherit !important;
			line-height: inherit !important;
		}

		/* What it does: Prevents Gmail from displaying an download button on large, non-linked images. */
		.a6S {
			 display: none !important;
			 opacity: 0.01 !important;
		}
		/* If the above doesn't work, add a .g-img class to any image in question. */
		img.g-img + div {
			 display:none !important;
			}

		/* What it does: Prevents underlining the button text in Windows 10 */
		.button-link {
			text-decoration: none !important;
		}
		
		/* Background Color */
		.bg-color {
			background-color: #23538a;
		}
		
		/* TD Background Color */
		.td-bg {
			background-color: #A7CFDF;
		}
		.td-bg h3 {
			color: #444;
		}

		/* What it does: Removes right gutter in Gmail iOS app: https://github.com/TedGoas/Cerberus/issues/89  */
		/* Create one of these media queries for each additional viewport size you'd like to fix */
		/* Thanks to Eric Lepetit (@ericlepetitsf) for help troubleshooting */
		@media only screen and (min-device-width: 375px) and (max-device-width: 413px) { /* iPhone 6 and 6+ */
			.email-container {
				min-width: 375px !important;
			}
		}

	</style>

	<!-- Progressive Enhancements -->
	<style>

		/* What it does: Hover styles for buttons */
		.button-td,
		.button-a {
			transition: all 100ms ease-in;
			background: #cf0404;
		}
		.button-a {		
			border: 15px solid #cf0404;
		}
		.button-td:hover,
		.button-a:hover {
			background: #23538a !important;
			border-color: #23538a !important;
		}

		/* Media Queries */
		@media screen and (max-width: 600px) {

			.email-container {
				width: 100% !important;
				margin: auto !important;
			}

			/* What it does: Forces elements to resize to the full width of their container. Useful for resizing images beyond their max-width. */
			.fluid {
				max-width: 100% !important;
				height: auto !important;
				margin-left: auto !important;
				margin-right: auto !important;
			}

			/* What it does: Forces table cells into full-width rows. */
			.stack-column,
			.stack-column-center {
				display: block !important;
				width: 100% !important;
				max-width: 100% !important;
				direction: ltr !important;
			}
			/* And center justify these ones. */
			.stack-column-center {
				text-align: center !important;
			}

			/* What it does: Generic utility class for centering. Useful for images, buttons, and nested tables. */
			.center-on-narrow {
				text-align: center !important;
				display: block !important;
				margin-left: auto !important;
				margin-right: auto !important;
				float: none !important;
			}
			table.center-on-narrow {
				display: inline-block !important;
			}

			/* What it does: Adjust typography on small screens to improve readability */
			.email-container p {
				font-size: 17px !important;
				line-height: 22px !important;
			}

		}

	</style>

	<!-- What it does: Makes background images in 72ppi Outlook render at correct size. -->
	<!--[if gte mso 9]>
	<xml>
		<o:OfficeDocumentSettings>
			<o:AllowPNG/>
			<o:PixelsPerInch>96</o:PixelsPerInch>
		</o:OfficeDocumentSettings>
	</xml>
	<![endif]-->

</head>
<body width="100%" style="margin: 0; mso-line-height-rule: exactly;" class="bg-color">
	<center style="width: 100%; text-align: left;" class="bg-color">
		<!-- Visually Hidden Preheader Text : BEGIN -->
		<div style="display:none;font-size:1px;line-height:1px;max-height:0px;max-width:0px;opacity:0;overflow:hidden;mso-hide:all;font-family: sans-serif;">
			{{header_text}}
		</div>
		<!-- Visually Hidden Preheader Text : END -->

		<!-- Email Header : BEGIN -->
		<table role="presentation" cellspacing="0" cellpadding="0" border="0" width="600" style="margin: auto;" class="email-container">
			<tr>
				<td style="padding: 20px 0;">
					<img src="{{site_logo}}" alt="{{site_url}}" border="0" style="height: auto; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;">
				</td>
				<td style="padding: 20px 0; height: auto; font-family: sans-serif; font-size: 16px; line-height: 20px; color: #fff;">
					{{site_title}}<br />
					{{site_email}}
				</td>
			</tr>
		</table>
		<!-- Email Header : END -->

		<!-- Email Body : BEGIN -->
		<table role="presentation" cellspacing="0" cellpadding="0" border="0" align="center" width="600" style="margin-bottom: 10px;" class="email-container">
			<!-- 1 Column Text + Button : BEGIN -->
			<tr>
				<td bgcolor="#ffffff" style="padding: 10px 0 20px 40px; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;">
					{{header_text}}
					<br><br>
					<img src="{{ico_time}}" alt="<?php echo lang('label_posted_on');?>" style="float: left;" /><span style="margin-left: 10px;">{{created_on}}</span>
					<span style="float: right; margin-right: 40px;">
					<img src="{{ico_marker}}" alt="<?php echo lang('label_city');?>" style="float: left;" /><span style="margin-left: 10px;">{{city}}</span>
					</span>
				</td>
			</tr>
			<tr>
				<td class="td-bg" style="padding: 5px 40px 5px 40px;">
					<h3 style="margin: 0; font-family: sans-serif; font-size: 20px; line-height: 27px; font-weight: normal;"><?php echo lang('label_description');?></h3>
				</td>
			</tr>
			<tr>
				<td bgcolor="#ffffff" style="padding: 0 40px 10px; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;">
					{{description}}
				</td>
			</tr>
			<?php if($status == 3 || ($status == 1 && $price == 0)): // Paid/Free Lead?>
			<tr>
				<td class="td-bg" style="padding: 5px 40px 5px 40px;">
					<h3 style="margin: 0; font-family: sans-serif; font-size: 20px; line-height: 27px; font-weight: normal;"><?php echo lang('tpl_buyer_details');?></h3>
				</td>
			</tr>
			<tr>
				<td bgcolor="#ffffff" style="padding-top: 15px;">
					<ul style="list-style: none; font-family: sans-serif; font-size: 16px; line-height: 30px; color: #555555;">
						<li><img src="{{ico_person}}" alt="<?php echo lang('label_name');?>" style="float: left;"/><span style="margin-left: 20px;">{{name}}</span></li>
						<li><img src="{{ico_phone}}" alt="<?php echo lang('label_phone_number');?>" style="float: left;"/><span style="margin-left: 20px;">{{phone_number}}</span></li>
						<li><img src="{{ico_email}}" alt="<?php echo lang('label_email');?>" style="float: left;"/><span style="margin-left: 20px;">{{email}}</span></li>
						<li><img src="{{ico_marker}}" alt="<?php echo lang('label_city');?>" style="float: left;"/><span style="margin-left: 20px;">{{city}}</span></li>
					</ul>
				</td>
			</tr>
			<?php endif; ?>
			
			<?php if($status == 1): ?>
			<tr>
				<td bgcolor="#ffffff" style="padding: 0 40px 20px; font-family: sans-serif; font-size: 15px; line-height: 20px; color: #555555;">
					<table role="presentation" cellspacing="0" cellpadding="0" border="0" align="center" style="margin: auto">
						<tr>
							<td style="border-radius: 3px; text-align: center;" class="button-td">
								<a href="<?php echo gc_url_format('members'); ?>" style="font-family: sans-serif; font-size: 13px; line-height: 1.1; text-align: center; text-decoration: none; display: block; border-radius: 3px; font-weight: bold;" class="button-a">
									&nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ffffff;"><?php echo lang('btn_reply_now');?></span>&nbsp;&nbsp;&nbsp;&nbsp;
								</a>
							</td>
						</tr>
					</table>
					<!-- Button : END -->
				</td>
			</tr>
			<?php endif; ?>
			<tr>
				<td aria-hidden="true" height="10" style="font-size: 0; line-height: 0;">
					&nbsp;
				</td>
			</tr>
		</table>
		<!-- Email Body : END -->
	</center>
</body>
</html>