<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<ul class="nav nav-pills">
	<li class="nav-item"><?php echo anchor($index_url . 'forwarded/', lang('label_forwarded'), 'class="nav-link' . ($filter_type == 'forwarded' ? ' active' : '') . '"'); ?></li>
	<li class="nav-item"><?php echo anchor($index_url . 'search/', lang('bf_action_search'), 'class="nav-link' . ($filter_type == 'search' ? ' active' : '') . '"'); ?></li>
</ul>
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<?php if($filter_type == 'search'):?>
<div class="card card-primary card-flip mt-2">
<div class="card-body">
<?php echo gc_form_element('selectize', array('name' => 'category_id', 'max_items' => 1, 'load_url' => site_url('/ajax/selectizeSearch/categories/'), 'selectize_value' => (isset($inputCategory) ? $inputCategory : ''), 'extra' => array('placeholder' => lang('placeholder_selectize'))), '', lang('label_category')); ?>
<?php echo gc_form_element('selectize', array('name' => 'city_id', 'max_items' => 1, 'load_url' => site_url('/ajax/selectizeSearch/cities/'), 'selectize_value' => (isset($inputCity) ? $inputCity : ''), 'extra' => array('placeholder' => lang('placeholder_selectize'))), '', lang('label_city')); ?>
<?php echo gc_form_element('datetimepicker', array('name' => 'date_from', 'extra' => array('placeholder' => lang('placeholder_date_from'))), $this->session->userdata('leads_view'), lang('label_date_from')); ?>
<?php echo gc_form_element('datetimepicker', array('name' => 'date_to', 'extra' => array('placeholder' => lang('placeholder_date_from'))), $this->session->userdata('leads_view'), lang('label_date_to')); ?>
<div class="form-group"> 
    <div class="offset-sm-3 col-sm-9">
      <button type="submit" name="submit" class="btn btn-secondary"><?php echo lang('bf_action_search');?></button>
    </div>
  </div>
</div>
</div>
<?php endif;?>
<?php if(!empty($records)):?>
<?php foreach($records as $record):?>
<div class="card card-default mt-3">
	<div class="card-header">
		<?php //vecho lang('singular_' . gc_module_name($record->module_id)); ?><?php // echo !empty($record->tag) ? ' - ' . strtoupper($record->tag) : ''; ?>
		<h4><?php echo empty($record->title) ? $record->category . ' (' . $record->city . ')' : $record->title; ?>
		<?php if($record->price > 0 && $record->status_id != 3):?>
			<button class="float-right btn btn-sm btn-danger" type="submit" name="checkout" value="<?php echo $record->id; ?>"><?php echo lang('view_buyer_details');?></button>
		<?php endif;?>
		</h4>
	</div>
	<div class="card-body">			
		<p><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_posted_on');?>"><i class="fas fa-calendar"></i><small> <?php echo gc_date_format($record->created_on, TRUE);?></small></span></p>
		<p><?php echo word_limiter($record->description, 2000);?></p>
	</div>
	<div class="card-footer">	
		<ul class="list-inline pb-0 mb-0">
			<?php if($record->assigned_to == $this->auth->user_id() || empty($record->price)):?>
			<?php // if(($record->status_id == 2 && $record->price == 0) || ($filter_type == 'forwarded' && $record->status_id == 3)):?>
			<li class="list-inline-item"><span> <i class="fas fa-user"></i> <small> <?php echo $record->name;?></small></span></li>
			<li class="list-inline-item">|</li>
			<li class="list-inline-item"><span> <i class="fas fa-envelope"></i> <small> <?php echo $record->email;?></small></span></li>
			<?php if(!empty($record->phone_number)):?>
			<li class="list-inline-item">|</li>
			<li class="list-inline-item"><span><i class="fas fa-phone-volume"></i><small> <?php echo !empty($record->phone_number) ? $record->phone_number : 'N/A' ;?></small></span></li>
			<?php endif;?>
			<li class="list-inline-item">|</li>
			<?php endif;?>
			<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_category');?>"><span> <i class="fas fa-cogs"></i> <small> <?php echo $record->category;?></small></span></li>
			<li class="list-inline-item">|</li>
			<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_city');?>"><span><i class="fas fa-map-marker-alt"></i><small> <?php echo $record->city;?></small></span></li>            
		</ul>
	</div>
</div>
<?php endforeach;?>
<?php else:?>
<div class="card card-default">
<div class="card-body">
<?php echo lang('error_no_record_found');?>
</div>
</div>
<?php endif;?>
<?php echo form_close();?>
            
<div class="row">
	<div class="col-sm-12 text-center">
		<?php echo $this->pagination->create_links(); ?>
	</div><!-- end of pagination column -->
</div><!-- end of pagination row -->