<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # eComsta - Online eCommerce Solution							   # ||
|| # Copyright (C) 2021 eComsta. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by eComsta.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.ecomsta.com | https://www.ecomsta.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 16;
$can_delete	= $this->auth->has_permission('Links.Developer.Delete');
$can_edit		= $this->auth->has_permission('Links.Developer.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_links_search'));?>
	<div class="table-responsive">
		<table class='table table-striped action-icons'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('label', lang('label_label')); ?></th>
					<th><?php echo form_filter('type_id', lang('label_type')); ?></th>
					<th><?php echo form_filter('group', lang('label_group')); ?></th>
					<th><?php echo form_filter('url', lang('label_url')); ?></th>
					<th><?php echo form_filter('icon', lang('label_icon')); ?></th>
					<th><?php echo form_filter('priority', lang('label_priority')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><i class="fas fa-heading" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_header'); ?>"></i></th>
					<th><i class="fas fa-copyright" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_footer'); ?>"></i></th>
					<th><i class="fas fa-user" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_member'); ?>"></i></th>
					<th><i class="fas fa-copy" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('btn_clone'); ?>"></i></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
					$links = array_map('trim', explode(',', $record->link_locations ?? ''));
					$link_header = 0;
					$link_footer = 0;
					$link_member = 0;
					foreach($links as $link):
						switch($link) {
							case 1:
								$link_header = 1;
								break;
							case 2:
								$link_footer = 1;
								break;
							case 3:
								$link_member = 1;
								break;
						}
					endforeach;
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' <?php echo $record->type_id == 0 ? 'disabled ' : '';?> /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<?php $label = ($record->label_lang == 1 ? lang($record->label) : $record->label) . ($record->parent_id != 0 ? ' <span class="badge">' . $record->parent_id . '</span>' : ''); ?>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/developer/links/edit/' . $record->id, '<i class="fas fa-edit"></i> ' .  $label); ?></td>
				<?php else : ?>
					<td><?php e($label); ?></td>
				<?php endif; ?>
					<td><?php e($record->type_id == 0 ? lang('label_core') : lang('label_custom')); ?></td>
					<td><?php e(!empty($record->group) ? ($record->group_lang == 1 ? lang('group_' . $record->group) : $record->group) : lang('label_none')); ?></td>
					<td><?php e($record->url); ?></td>
					<td><i class="<?php echo $record->icon; ?>"></i></td>
					<td><?php e($record->priority); ?></td>
					<td>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
					</button>					
					</td>					
					<td>
						<button type="submit" name="location_change" value="<?php echo $record->id . '-' . 1?>" class="btn btn-xs <?php echo $link_header == 1 ? 'btn-success' : 'btn-warning';?>">
							<i class="fas fa-<?php echo $link_header == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
						</button>
					</td>
					<td>
						<button type="submit" name="location_change" value="<?php echo $record->id . '-' . 2?>" class="btn btn-xs <?php echo $link_footer == 1 ? 'btn-success' : 'btn-warning';?>">
							<i class="fas fa-<?php echo $link_footer == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
						</button>
					</td>
					<td>
						<button type="submit" name="location_change" value="<?php echo $record->id . '-' . 3?>" class="btn btn-xs <?php echo $link_member == 1 ? 'btn-success' : 'btn-warning';?>">
							<i class="fas fa-<?php echo $link_member == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
						</button>
					</td>					
					<td><button type="submit" class="btn btn-warning btn-xs" name="clone" value="<?php echo $record->id;?>"><i class="fas fa-copy"></i></button></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();
    
    echo $this->pagination->create_links();
    ?>
</div>