<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
?>
		<fieldset>
			<?php 
			echo gc_form_element('text', array('name' => 'listing_id', 'extra' => array('placeholder' => lang('placeholder_listing_id'), 'maxlength' => 100)), (isset($listing_id) ? $listing_id : ''), lang('label_listing_id'), 'col-sm-4');
			echo gc_form_element('text', array('name' => 'page', 'extra' => array('placeholder' => lang('placeholder_page'), 'maxlength' => 100)), (isset($page) ? $page : ''), lang('label_page'), 'col-sm-4');
			echo gc_form_element('text', array('name' => 'keyword', 'extra' => array('placeholder' => lang('placeholder_keyword'), 'maxlength' => 100)), (isset($keyword) ? $keyword : ''), lang('label_keyword'), 'col-sm-4');
			echo gc_form_element('text', array('name' => 'date_from', 'extra' => array('placeholder' => lang('placeholder_from'))), (isset($from) ? $from : ''), lang('label_from'). lang('bf_form_label_required'), 'col-sm-4');
			echo gc_form_element('text', array('name' => 'date_to', 'extra' => array('placeholder' => lang('placeholder_to'))), (isset($to) ? $to : ''), lang('label_to'). lang('bf_form_label_required'), 'col-sm-4');
			echo gc_form_element('actions', array('name' => 'search', 'label' => lang('gc_action_submit'), 'cancel' => FALSE, 'delete' => FALSE));
			?>
		</fieldset>
<?php 
echo form_close(); 
?>
<?php
$num_columns	= 8;
$has_records	= isset($records) && is_array($records) && count($records);
?>
<?php if ($has_records) : ?>
<div class="table-responsive">
<table class="table table-striped">
	<thead>
		<tr>
			<th><?php echo lang('label_listing');?></th>
			<th><?php echo lang('label_page');?></th>
			<th><?php echo lang('label_keyword');?></th>
			<th><?php echo lang('listing_views_times');?></th>
			<th><?php echo lang('label_user');?></th>
			<th><?php echo lang('listing_views_created_on');?></th>
			<th><?php echo lang('listing_views_modified_on');?></th>
		</tr>
	</thead>
	<tbody>
		<?php
		if ($has_records) :
			foreach ($records as $record) :
		?>
		<tr>					
			<td><?php e($record->listing_id . ' - ' . $record->title) ?></td>
			<td><?php e($record->page) ?></td>
			<td><?php e($record->keyword) ?></td>
			<td><?php e($record->times) ?></td>
			<td><?php e(!empty($record->user_id) ? $record->user_id . ' - ' .$record->display_name : ''); ?></td>
			<td><?php e($record->created_on) ?></td>
			<td><?php e($record->modified_on) ?></td>
		</tr>
		<?php
			endforeach;
		else:
		?>
		<tr>
			<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>
</div>
<?php echo $this->pagination->create_links();?>
<?php endif;?>