<?php
$num_columns	= 10;
$can_delete	= $this->auth->has_permission('Listing_Views.Reports.Delete');
$can_edit		= $this->auth->has_permission('Listing_Views.Reports.Edit');
$has_records	= isset($records) && is_array($records) && count($records); 
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_basic_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>					
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('title', lang('label_listing'));?></th>
					<th><?php echo form_filter('page', lang('label_page'));?></th>
					<th><?php echo form_filter('keyword', lang('label_keyword'));?></th>
					<th><?php echo form_filter('times', lang('listing_views_times'));?></th>
					<th><?php echo form_filter('display_name', lang('label_user'));?></th>
					<th><?php echo form_filter('created_on', lang('listing_views_created_on'));?></th>
					<th><?php echo form_filter('modified_on', lang('listing_views_modified_on'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id) ?></td>			
					<td><?php e($record->listing_id . ' - ' . $record->title) ?></td>
					<td><?php e($record->page) ?></td>
					<td><?php e($record->keyword) ?></td>
					<td><?php e($record->times) ?></td>
					<td><?php e(!empty($record->user_id) ? $record->user_id . ' - ' .$record->display_name : ''); ?></td>
					<td><?php e($record->created_on) ?></td>
					<td><?php e($record->modified_on) ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); echo $this->pagination->create_links();?>
</div>