<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
class Business_hours_model extends BF_Model {

	protected $table_name	= "business_hours";
	protected $key			= "id";
	protected $soft_deletes	= false;
	protected $date_format	= "datetime";

	protected $log_user 	= FALSE;

	protected $set_created	= false;
	protected $set_modified = false;

	/*
		Customize the operations of the model without recreating the insert, update,
		etc methods by adding the method names to act as callbacks here.
	 */
	protected $before_insert 	= array();
	protected $after_insert 	= array();
	protected $before_update 	= array();
	protected $after_update 	= array();
	protected $before_find 		= array();
	protected $after_find 		= array();
	protected $before_delete 	= array();
	protected $after_delete 	= array();

	/*
		For performance reasons, you may require your model to NOT return the
		id of the last inserted row as it is a bit of a slow method. This is
		primarily helpful when running big loops over data.
	 */
	protected $return_insert_id 	= TRUE;

	// The default type of element data is returned as.
	protected $return_type 			= "object";

	// Items that are always removed from data arrays prior to
	// any inserts or updates.
	protected $protected_attributes = array();

	/*
		You may need to move certain rules (like required) into the
		$insert_validation_rules array and out of the standard validation array.
		That way it is only required during inserts, not updates which may only
		be updating a portion of the data.
	 */
	protected $validation_rules 		= array(
				
	);
	protected $insert_validation_rules 	= array();
	protected $skip_validation 			= TRUE;

	//--------------------------------------------------------------------
	
	/**
	 * Get Business Hours for a listing
	 * @param object $business_hours
	 * @return multitype:multitype:string boolean  multitype:boolean string
	 */
	public function get_business_hours($business_hours) {
		$listing_business_hours = array();
		$weekday = date("N", strtotime(date('D')));
		// OPEN DAYS
		foreach($business_hours as $business_hour) {
			switch($business_hour->day_of_week) {
				case 1:
					$listing_business_hours['1'] = array (
					'day_of_week' => lang('label_monday'),
					'time' => $business_hour->open_time . ' - ' . $business_hour->close_time,
					'weekday' => (1 == $weekday ? true : false)
					);
					break;
				case 2:
					$listing_business_hours['2'] = array (
					'day_of_week' => lang('label_tuesday'),
					'time' => $business_hour->open_time . ' - ' . $business_hour->close_time,
					'weekday' => (2 == $weekday ? true : false)
					);
					break;
				case 3:
					$listing_business_hours['3'] = array (
					'day_of_week' => lang('label_wednesday'),
					'time' => $business_hour->open_time . ' - ' . $business_hour->close_time,
					'weekday' => (3 == $weekday ? true : false)
					);
					break;
				case 4:
					$listing_business_hours['4'] = array (
					'day_of_week' => lang('label_thursday'),
					'time' => $business_hour->open_time . ' - ' . $business_hour->close_time,
					'weekday' => (4 == $weekday ? true : false)
					);
					break;
				case 5:
					$listing_business_hours['5'] = array (
					'day_of_week' => lang('label_friday'),
					'time' => $business_hour->open_time . ' - ' . $business_hour->close_time,
					'weekday' => (5 == $weekday ? true : false)
					);
					break;
				case 6:
					$listing_business_hours['6'] = array (
					'day_of_week' => lang('label_saturday'),
					'time' => $business_hour->open_time . ' - ' . $business_hour->close_time,
					'weekday' => (6 == $weekday ? true : false)
					);
					break;
				case 7:
					$listing_business_hours['7'] = array (
					'day_of_week' => lang('label_sunday'),
					'time' => $business_hour->open_time . ' - ' . $business_hour->close_time,
					'weekday' => (7 == $weekday ? true : false)
					);
					break;
			}
		}
		// CLOSED DAYS
		for($i = 1; $i <= 7; $i++) {
			if (!array_key_exists($i, $listing_business_hours)) {
				switch($i) {
					case 1:
						$listing_business_hours['1'] = array (
						'day_of_week' => lang('label_monday'),
						'time' => lang('label_closed'),
						'weekday' => (1 == $weekday ? true : false)
						);
						break;
					case 2:
						$listing_business_hours['2'] = array (
						'day_of_week' => lang('label_tuesday'),
						'time' => lang('label_closed'),
						'weekday' => (2 == $weekday ? true : false)
						);
						break;
					case 3:
						$listing_business_hours['3'] = array (
						'day_of_week' => lang('label_wednesday'),
						'time' => lang('label_closed'),
						'weekday' => (3 == $weekday ? true : false)
						);
						break;
					case 4:
						$listing_business_hours['4'] = array (
						'day_of_week' => lang('label_thursday'),
						'time' => lang('label_closed'),
						'weekday' => (4 == $weekday ? true : false)
						);
						break;
					case 5:
						$listing_business_hours['5'] = array (
						'day_of_week' => lang('label_friday'),
						'time' => lang('label_closed'),
						'weekday' => (5 == $weekday ? true : false)
						);
						break;
					case 6:
						$listing_business_hours['6'] = array (
						'day_of_week' => lang('label_saturday'),
						'time' => lang('label_closed'),
						'weekday' => (6 == $weekday ? true : false)
						);
						break;
					case 7:
						$listing_business_hours['7'] = array (
						'day_of_week' => lang('label_sunday'),
						'time' => lang('label_closed'),
						'weekday' => (7 == $weekday ? true : false)
						);
						break;
				}
			}
		}
		return $listing_business_hours;
	}
	
	/**
	 * Save business hours in database
	 * @param string $type
	 * @param number $id
	 * @return
	 */
	public function save_business_hours($type = 'insert', $id = 0, $is_mobile = false) {
	    $this->load->model ( 'business_hours_model' );
	    $listing_id = (int) $_POST ['listing_id'];
	    if($listing_id <= 0) {
	        return FALSE;
	    }
	    $data = array ();
	    for($day_of_week = 1; $day_of_week <= 7; $day_of_week++) {
	        $open_time = $_POST['open_time_' . $day_of_week];
	        $close_time = $_POST['close_time_' . $day_of_week];
	        if(!empty($open_time) && !empty($close_time)) {
	            $data[] = array(
	                'listing_id' => $listing_id,
	                'day_of_week' => $day_of_week,
	                'open_time' => date("H:i", strtotime($_POST ['open_time_' . $day_of_week])), // 24 hours format
	                'close_time' => date("H:i", strtotime($_POST ['close_time_' . $day_of_week])) // 24 hours format
	            );
	        } else if(!empty($open_time) || !empty($close_time)) {
	            // IF CHECKBOX IS SELECTED SET VALIDATION RULES FOR CORRESPONDING INPUT TEXT BOX
	            $this->form_validation->set_rules ( 'open_time_' . $day_of_week, 'lang:open_time', 'trim|required' );
	            $this->form_validation->set_rules ( 'close_time_' . $day_of_week, 'lang:close_time', 'trim|required' );
	            // Process the form
	            if ($this->form_validation->run () === FALSE) {
	                if($is_mobile) {
	                    return array(
	                        'success' => false,
	                        'message' => validation_errors()
	                    );
	                } else {
	                    return false;
	                }
	            }
	        }
	    }
	    if(!empty($data)) {
	        // delete existing business hours
	        $this->db->where('listing_id', $listing_id)->delete('business_hours');
	        $this->db->insert_batch('business_hours', $data);
	    } else {
	        // delete existing business hours
	        $this->db->where('listing_id', $listing_id)->delete('business_hours');
	    }
	    $business_hours = $this->db->where('listing_id', $listing_id)->get('business_hours')->result();
	    $business_hours_data = array();
	    if($business_hours) {
	        foreach($business_hours as $business_hour) {
	            $business_hours_data[] = array(
	                'day_of_week' => $business_hour->day_of_week,
	                'open_time' => $business_hour->open_time,
	                'close_time' => $business_hour->close_time,
	            );
	        }
	    }
	    $this->db->where('id', $listing_id)->update('listings', array('business_hours' => json_encode($business_hours_data)));
	    if($is_mobile) {
	        return array(
	            'success' => true,
	            'message' => sprintf(lang('msg_save_success'), lang('label_business_hours'))
	        );
	    } else {
	        return true;
	    }
	}
}
