<?php
$nav_url = 'content/listings';
$nav_links = array(
    array(
        'condition' => 'summary',
        'permission' => 'Listings.Content.Summary',
        'url' => $nav_url. '/summary',
        'id' => 'summary',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-lg"></i>'
    ),
    array(
        'condition' => '',
        'url' => $nav_url,
        'id' => 'list',
		'tooltip' => true,
		'title' => lang('manage_listings'),
		'label' => '<i class="fas fa-th-list fa-lg"></i>'
    )
);
if(!empty($cancel_url) && isset($module) && $module != 'listings' && $module != 'module_email_templates'):
// Allow Admin to Go Back to the Module Page from the View/Add/Edit Methods
$module_redirect_uri = ($module == 'videos' ? 'videos' : 'view');
$nav_links[] = array(
    'condition' => '',
    'active' => ($this->uri->segment(4) == $module || $this->uri->segment(5) == $module || $this->uri->segment(6) == $module),
    'url' => $cancel_url,
    'full_url' => true,
    'id' => 'listing_' . $module,
    'tooltip' => true,
    'title' => lang($module),
    'label' => '<i class="fas fa-' . gc_module_icon($module) . ' fa-lg"></i>'
);
endif;
$other_links = array(
    array(
		'condition' => 'create',
        'permission' => 'Listings.Content.Create',
        'url' => $nav_url. '/create',
        'id' => 'create_new',
		'tooltip' => true,
		'title' => lang('listings_create'),
		'label' => '<i class="fas fa-plus-circle fa-lg"></i>'
    ),
	array(
        'condition' => 'claims',
		'permission' => 'Links.Developer.Edit',
        'url' => $nav_url. '/claims',
        'id' => 'claims',
		'tooltip' => true,
		'title' => lang('label_claims'),
		'label' => '<i class="fas fa-user-circle fa-lg"></i> ' . (!empty($new_claims) ? '<sup><span class="badge badge-danger">' . $new_claims . '</span></sup>' : '')
    ),
	array(
        'condition' => 'generate_qrcode',
		'permission' => 'Listings.Content.Create',
        'url' => $nav_url. '/generate_qrcode',
        'id' => 'generate_qrcode',
		'tooltip' => true,
		'title' => lang('listings_generate_qrcode'),
		'label' => '<i class="fas fa-qrcode fa-lg"></i>'
    ),
	array(
        'condition' => 'update_categories',
		'permission' => 'Listings.Content.Create',
        'url' => $nav_url. '/update_categories',
        'id' => 'update_categories',
		'tooltip' => true,
		'title' => lang('update_categories'),
		'label' => '<i class="fas fa-th-list fa-lg"></i>'
    ),
	array(
        'condition' => 'link_validator',
		'permission' => 'Listings.Content.Edit',
        'url' => $nav_url. '/link_validator',
        'id' => 'link_validator',
		'tooltip' => true,
		'title' => lang('link_validator'),
		'label' => '<i class="fas fa-globe fa-lg"></i>'
    ),
	array(
        'condition' => 'slugify',
		'permission' => 'Listings.Content.Edit',
        'url' => $nav_url. '/slugify',
        'id' => 'slugify',
		'tooltip' => true,
		'title' => lang('gc_menu_update_slug'),
		'label' => '<i class="fas fa-pen-square fa-lg"></i>'
    ),
	array(
        'condition' => 'tweak_fields',
		'permission' => 'Listings.Content.Edit',
        'url' => $nav_url. '/tweak_fields',
        'id' => 'tweak_fields',
		'tooltip' => true,
		'title' => lang('gc_menu_tweak_fields'),
		'label' => '<i class="fas fa-rocket fa-lg"></i>'
	),
    array(
        'condition' => 'bulk_purge',
        'permission' => 'Listings.Content.Delete',
        'url' => $nav_url. '/bulk_purge',
        'id' => 'bulk_purge',
        'tooltip' => true,
        'title' => lang('bulk_purge'),
        'label' => '<i class="fas fa-trash fa-lg"></i>'
    ),
    array(
        'condition' => 'printed_version',
        'permission' => 'Listings.Content.View',
        'url' => $nav_url. '/printed_version',
        'id' => 'printed_version',
        'tooltip' => true,
        'title' => lang('gc_menu_printed_version'),
        'label' => '<i class="fas fa-file-pdf fa-lg"></i>'
    ),
    array(
        'condition' => 'bulk_users_generate',
        'permission' => 'Listings.Content.Edit',
        'url' => $nav_url. '/bulk_users_generate',
        'id' => 'bulk_users_generate',
        'tooltip' => true,
        'title' => lang('gc_menu_bulk_users_generate'),
        'label' => '<i class="fas fa-user-plus fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/email_templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Module_Email_Templates.Content.View',
        'url' => $nav_url. '/manage/email_templates',
        'id' => 'module_email_templates',
        'tooltip' => true,
        'title' => lang('gc_menu_email_templates'),
        'label' => '<i class="fas fa-envelope fa-lg"></i>'
    )
);
$nav_links = array_merge($nav_links, $other_links);
echo $this->load->view('common/_subnav', array('nav_links' => $nav_links));
?>