
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'approved', 'url' => $index_url . 'approved/', 'title' => lang('tab_approved')),
	array('filter' => $filter_type, 'condition' => 'rejected', 'url' => $index_url . 'rejected/', 'title' => lang('tab_rejected')),
    array('filter' => $filter_type, 'condition' => 'forged', 'url' => $index_url . 'forged/', 'title' => lang('tab_forged')),
    array('filter' => $filter_type, 'condition' => 'cancelled', 'url' => $index_url . 'cancelled/', 'title' => lang('tab_cancelled'))
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

$num_columns	= 24;
$can_delete	= $this->auth->has_permission('Orders.Financial.Delete');
$can_edit		= $this->auth->has_permission('Orders.Financial.Edit');
$has_records	= isset($claims) && is_array($claims) && count($claims); 

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo lang('label_id');?></th>
					<th><?php echo lang('label_order_id');?></th>
					<th><?php echo lang('label_listing');?></th>
					<th><?php echo lang('label_claimed_by');?></th>
					<th><?php echo lang('label_owned_by');?></th>
					<th><?php echo lang('label_reported_on');?></th>
					<th><?php echo lang('column_modified');?></th>
					<th><?php echo lang('label_ip_address');?></th>
					<th style="width: 100px;"><?php echo lang('label_status');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected');?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($claims as $claim) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $claim['id']; ?>" /></td>
					<?php endif;?>
					<td><?php e($claim['id']); ?></td>
					<td><?php echo anchor(SITE_AREA . '/financial/orders/view/' . $claim['order_id'] . '/0/1', $claim['order_id']); ?></td>
					<td>
						<a href="<?php echo site_url(SITE_AREA . '/content/listings/edit/' . $claim['listing_id']);?>" title="<?php echo $claim['listing_title']; ?>">
							<?php echo ($claim['listing_id'] . ' - ' . $claim['listing_title']) ?>
						</a>
					</td>
					<td>
						<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $claim['claimed_user']);?>" title="<?php echo $claim['claimed_by']; ?>">
							<?php echo ($claim['claimed_user'] . ' - ' . $claim['claimed_by']) ?>
						</a>
					</td>
					<td>
    					<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $claim['owned_user']);?>" title="<?php echo $claim['owned_by']; ?>">
    						<?php echo ($claim['owned_user'] . ' - ' . $claim['owned_by']) ?>
    					</a>
					</td>
					<td><?php e(gc_date_format($claim['reported_on'])) ?></td>
					<td><?php e(gc_date_format($claim['modified_on'])) ?></td>
					<td><?php e($claim['ip']) ?></td>
					<td width="15%"><?php 
					switch ($claim['status']) {
						case '0':
							echo '<span class="badge badge-warning">'.lang('action_active').'</span>';
							break;
						case '1':
							echo '<span class="badge badge-success">'.lang('tab_approved').'</span>';
							break;
						case '2':
							echo '<span class="badge badge-danger">'.lang('tab_rejected').'</span>';
							break;
						case '3':
							echo '<span class="badge badge-secondary">'.lang('tab_forged').'</span>';
							break;
						case '4':
							echo '<span class="badge badge-secondary">'.lang('tab_cancelled').'</span>';
							break;
					}
					?><br />
					<?php echo lang('label_change_status');?><br />
					<select class="input-medium form-control" name="status_<?php echo $claim['id'];?>">
						<option value="0" <?php echo ($claim['status'] == 0) ? 'selected' : '';?>><?php echo lang('tab_active');?></option>
						<option value="1" <?php echo ($claim['status'] == 1) ? 'selected' : '';?>><?php echo lang('tab_approved');?></option>
						<option value="2" <?php echo ($claim['status'] == 2) ? 'selected' : '';?>><?php echo lang('tab_rejected');?></option>
						<option value="3" <?php echo ($claim['status'] == 3) ? 'selected' : '';?>><?php echo lang('tab_forged');?></option>
						<option value="4" <?php echo ($claim['status'] == 4) ? 'selected' : '';?>><?php echo lang('tab_cancelled');?></option>
					</select>
					<label>
						<input type="checkbox" value="1" name="notify_customer_<?php echo $claim['id'];?>" class="notify_customer"><?php echo lang('label_notify_customer');?>
					</label>
						<button type="submit" class="btn btn-sm btn-primary" type="button" name="save" value="<?php echo $claim['id'];?>"><?php echo lang('save');?></button>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
</div>
<?php echo $this->pagination->create_links();?>