<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$modules = gc_modules('module', false);
$listings_key = array_keys($modules, 'listings');
unset($modules[$listings_key[0]]);
$modules[] = 'images';
$modules[] = 'business_hours';
?>
<div class="card bg-light shallow-well">
	<span class="filter-link-list">
		<?php echo $this->load->view('common/filter_link_list'); ?>
	</span>
</div>
<?php
$statuses = array('active', 'inactive', 'expired', 'spammed');
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('us_tab_all_listings')),
    array('filter' => $filter_type, 'condition' => 'claimed', 'url' => $index_url . 'claimed/', 'title' => lang('tab_claimed')),
    array('filter' => $filter_type, 'condition' => 'unclaimed', 'url' => $index_url . 'unclaimed/', 'title' => lang('tab_unclaimed')),
    array('filter' => $filter_type, 'condition' => 'featured', 'url' => $index_url . 'featured/', 'title' => lang('label_featured')),
    array(
        'type' => 'dropdown',
        'filter' => $filter_type,
        'condition' => $filter_type,
        'active' => (in_array($filter_type, $statuses) || $filter_type == NULL ? true : false),
        'url' => $index_url,
        'record_type' => 'statuses',
        'records' => $statuses,
        'title' => lang('label_status') . (in_array($filter_type, $statuses) ? ": " . lang('tab_' . $filter_type) : '')
    ),
    array(
        'type' => 'dropdown',
        'filter' => $filter_type,
        'condition' => $filter_type,
        'active' => (in_array($filter_type, $modules) || $filter_type == NULL ? true : false),
        'url' => $index_url,
        'record_type' => 'modules',
        'records' => $modules,
        'title' => lang('us_tab_having') . (!empty($filter_having) ? ": $filter_having" : '')
    ),/*
    array(
        'type' => 'dropdown',
        'filter' => $filter_type,
        'condition' => $filter_type,
        'active' => ($filter_type == 'role_id' ? true : false),
        'url' => $index_url,
        'record_type' => 'roles',
        'records' => $roles,
        'title' => lang('tab_roles') . (isset($filter_role) ? ": $filter_role" : '')
    ),*/
    array(
        'type' => 'dropdown',
        'filter' => $filter_type,
        'condition' => $filter_type,
        'active' => ($filter_type == 'package_id' ? true : false),
        'url' => $index_url,
        'record_type' => 'packages',
        'records' => $packages,
        'title' => lang('tab_packages') . (isset($filter_packages) ? ": $filter_packages" : '')
    ),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted')),
);

if($this->auth->role_id() == 1) {
    $nav_tabs[] = array(
        'type' => 'dropdown',
        'filter' => $filter_type,
        'condition' => $filter_type,
        'active' => ($filter_type == 'role_id' ? true : false),
        'url' => $index_url,
        'record_type' => 'roles',
        'records' => $roles,
        'title' => lang('tab_roles') . (isset($filter_role) ? ": $filter_role" : '')
    );
}
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

$num_columns	= 24;
$can_delete	= $this->auth->has_permission('Listings.Content.Delete');
$can_edit		= $this->auth->has_permission('Listings.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'id="listing_form"'); ?>
		<div class="row top2 bottom2">
		<div class="col-md-4">
			<?php // $this->load->view('_filter_admin'); ?>
			<?php if(isset($extra_action)):?>
        	<?php echo $extra_action; ?>
        	<?php endif;?>
        	<button type="submit" name="download" value="pdf" data-toggle="tooltip" data-title="<?php echo lang('pdf'); ?>" class="btn btn-danger btn-sm"><i class="fas fa-file-pdf"></i></button>
        	<button type="submit" name="download" value="xls" data-toggle="tooltip" data-title="<?php echo lang('excel'); ?>" class="btn btn-success btn-sm"><i class="fas fa-file-excel"></i></button>			
		</div>
		<div class="col-md-4">
			<?php echo lang('label_results'); ?>: <span class="btn btn-primary"><?php echo $filtered_results;?></span>
		</div>
		<div class="col-md-4">
		<?php echo search_admin(lang('placeholder_admin_search'), '', '');?>
		</div>
		</div>
		<div class="text-center"></div>
		<div class="table-responsive">
		<table class="table table-striped table-bordered action-icons" id="flex_table_">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('user_id', lang('label_user'));?></th>
					<th><?php echo form_filter('title', lang('label_business_title'));?></th>
					<th><?php echo lang('label_logo');?></th>			
					<th><?php echo form_filter('email', lang('label_email'));?></th>
					<th><?php echo form_filter('package_id', lang('label_package'));?></th>
					<th><?php echo form_filter('hits', lang('label_hits'));?></th>
					<th><?php echo form_filter('created_on', lang('column_created'));?></th>
					<th><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php
						echo lang('bf_with_selected');
	
						if ($filter_type == 'deleted') :
						?>
						<input type="submit" name="restore" class="btn btn-action" value="<?php echo lang('bf_action_restore'); ?>" />
						<input type="submit" name="purge" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_purge'); ?>" />
						<?php else : ?>
						<input type="submit" name="activate" class="btn btn-action" value="<?php echo lang('gc_action_activate'); ?>" />
						<input type="submit" name="deactivate" class="btn btn-action" value="<?php echo lang('gc_action_deactivate'); ?>" />
						<input type="submit" name="spam" class="btn btn-action" value="<?php echo lang('bf_action_spam'); ?>" />
						<a href="#replyEmailModal" role="button" class="btn btn-action" data-toggle="modal" onclick="$('#row_id').val(0);"><?php echo lang('send_email'); ?></a>
						<?php if($send_sms):?>
						<a href="#smsModal" role="button" class="btn btn-action" data-toggle="modal" onclick="$('#row_id').val(0);"><?php echo lang('send_sms'); ?></a>
						<?php endif;?>
						<input type="submit" name="delete" class="btn btn-danger btn-delete" id="delete-me" value="<?php echo lang('bf_action_delete'); ?>" />
						<?php endif;?>
						<?php echo $this->pagination->create_links(); ?>
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>			
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record['id']; ?>" /></td>
					<?php endif;?>
				<td><?php e($record['id']); ?></td>
				<td>
					<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $record['user_id']);?>" title="<?php echo $record['user']; ?>">
						<?php echo ($record['user_id'] . ' - ' . $record['user']); ?>
					</a>
				</td> 
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/content/listings/edit/' . $record['id'], '<i class="fas fa-edit"></i>' .  $record['title']); ?>
					<div class="hover-item small">
							<?php echo lang('ls_action'); ?> ::
							<a href="<?php echo site_url(SITE_AREA . '/content/listings/logo/' .  $record['id']); ?>" title="<?php echo lang('listings_action_logo'); ?>"><?php echo lang('listings_action_logo'); ?></a> |	
							<a href="<?php echo site_url(SITE_AREA . '/content/listings/cover/' .  $record['id']); ?>" title="<?php echo lang('label_cover_image'); ?>"><?php echo lang('label_cover_image'); ?></a> |						
							<a href="<?php echo site_url(SITE_AREA . '/content/listings/photos/listings/' . $record['id']); ?>" title="<?php echo lang('listings_action_photos'); ?>"><?php echo lang('listings_action_photos'); ?><?php if ($record['inactive_images'] != 0) { echo '<sup><span class="badge badge-danger">'.$record['inactive_images'].'</span></sup>'; }?></a> |
							<a href="<?php echo site_url(SITE_AREA . '/content/listings/documents/listings/' . $record['id']); ?>" title="<?php echo lang('file_documents');?>"><?php echo lang('file_documents');?></a> | 
							<?php 
							$config_modules = gc_modules_only();
							foreach($config_modules as $module_link):
							?>
							<a href="<?php echo site_url(SITE_AREA . '/content/listings/view/' . $module_link . '/' . $record['id']); ?>" title="<?php echo lang($module_link); ?>"><?php echo lang($module_link); ?><?php if ($record['inactive_'  . $module_link] != 0) { echo '<sup><span class="badge badge-danger">' . $record['inactive_' . $module_link].'</span></sup>'; }?></a> |
							<?php endforeach; ?>
							<a href="<?php echo site_url(SITE_AREA . '/content/listings/videos/listings/' . $record['id']); ?>" title="<?php echo lang('videos'); ?>"><?php echo lang('videos'); ?><?php if ($record['inactive_videos'] != 0) { echo '<sup><span class="badge badge-danger">' . $record['inactive_videos'].'</span></sup>'; }?></a> |
							<?php if(gc_module_key('status', 'branches') != 0):?>
							<a href="<?php echo site_url(SITE_AREA . '/content/branches/view/' . $record['id']); ?>" title="<?php echo lang('branches'); ?>"><?php echo lang('branches'); ?></a> | 
							<?php endif;?>
							<a href="<?php echo site_url(SITE_AREA . '/content/listings/business_hours/' . $record['id']); ?>" title="<?php echo lang('listings_action_working_hours'); ?>"><?php echo lang('listings_action_working_hours'); ?></a> |
							<a href="<?php echo site_url(SITE_AREA . '/content/listings/category/' .  $record['id']); ?>" title="<?php echo lang('additional_info'); ?>"><?php echo lang('additional_info'); ?></a>
					</div>
					<?php if(isset($display_extra)): // uncomment to display below information ?>
					<div class="table-responsive mt-2">
					<table class="table table-bordered table-sm">
					<tbody class="small">
    					<?php if(!empty($record['modified_on'])):?>
    					<tr>
    						<td><?php echo lang('modified_on');?></td>
    						<td><?php echo gc_date_format($record['modified_on'], true); ?></td>
    					</tr>
    					<?php endif;?>
    					<?php if(!empty($record['created_ip'])):?>
    					<tr>
    						<td><?php echo lang('created_ip');?></td>
    						<td><?php echo anchor(site_url(SITE_AREA . '/reports/visitors/view/' . $record['created_ip'] . '/1'), $record['created_ip']); ?></td>
    					</tr>
    					<?php endif;?>
    					<?php if(!empty($record['modified_ip'])):?>
    					<tr>
    						<td><?php echo lang('modified_ip');?></td>
    						<td><?php echo anchor(site_url(SITE_AREA . '/reports/visitors/view/' . $record['modified_ip'] . '/1'), $record['modified_ip']); ?></td>
    					</tr>
    					<?php endif;?>
					</tbody>
					</table>
					</div>
					<?php endif; ?>
				</td>
				<?php else : ?>
					<td><?php e($record['title']); ?></td>
				<?php endif; ?>
					<td>
						<a rel="gallery" href="<?php echo gc_image_url($record['logo_url'], false); ?>" class="gc-fancybox">
							<img src="<?php echo gc_image_url($record['logo_url']); ?>" alt="<?php echo $record['title'];?>" title="<?php echo $record['title'];?>" class="img-thumbnail d-block mx-auto"/>
						</a>				
					</td>					
					<td><?php echo $record['email'] ? mailto($record['email']) : ''; ?></td>
					<td>
    					<a href="<?php echo site_url(SITE_AREA . '/financial/packages/edit/' . $record['package_id']);?>" title="<?php echo $record['package']; ?>">
    						<?php echo ($record['package_id'] . ' - ' . $record['package']); ?>
    					</a>
					</td>
					<td><?php e($record['hits']) ?></td>
					<td><?php e(gc_date_format($record['created_on'], true)) ?></td>
					<td class='status'>
					<?php if ($record['status'] == 1) : ?>
					<span class="badge badge-success"><?php echo lang('us_active'); ?></span>
					<a href="<?php echo gc_url_format('listings', $record['slug'], $record['id'], $record['city']); ?>" title="<?php echo $record['title']?>" target="_blank"><span class="badge badge-info"><?php echo lang('label_view'); ?></span></a>
					<?php elseif ($record['status'] == 2) : ?>
					<span class="badge badge-danger"><?php echo lang('status_expired'); ?></span>
					<?php elseif ($record['status'] == 3) : ?>
					<span class="badge badge-secondary"><?php echo lang('status_spam'); ?></span>
					<?php else:?>
					<span class="badge badge-warning"><?php echo lang('us_inactive'); ?></span>
					<?php endif; ?>				
					<button type="submit" name="pdf" value="<?php echo $record['id']; ?>" data-toggle="tooltip" data-title="<?php echo lang('pdf'); ?>" class="btn btn-danger btn-xs"><i class="fas fa-file-pdf"></i></button>	
					<span class="display-block"><small><?php echo lang('label_change_status');?></small></span>
					<select class="listing_status input-medium form-control" name="listing_status_<?php e($record['id']); ?>" id="listing_status_<?php e($record['id']); ?>" listing_id="<?php e($record['id']); ?>">
						<option value="0" <?php echo ($record['status'] == 0) ? 'selected' : '';?>><?php echo lang('us_inactive');?></option>
						<option value="1" <?php echo ($record['status'] == 1) ? 'selected' : '';?>><?php echo lang('us_active');?></option>
						<option value="2" <?php echo ($record['status'] == 2) ? 'selected' : '';?>><?php echo lang('status_expired');?></option>
						<option value="3" <?php echo ($record['status'] == 3) ? 'selected' : '';?>><?php echo lang('status_spam');?></option>		
					</select>
					<div class="checkbox">
						<label class="badge badge-notify">
							<input type="checkbox" value="1" name="notify_customer_<?php e($record['id']); ?>" id="<?php e($record['id']); ?>" class="notify_customer"><?php echo lang('label_notify_customer');?>
						</label>
					</div>
					<span class="display-block"></span>
					<button type="submit" class="btn btn-primary btn-xs" name="change_status" value="<?php echo $record['id'];?>"><?php echo lang('save');?></button>
					<?php if(!empty($record['email'])):?>
					<a href="#replyEmailModal" role="button" class="btn btn-info btn-xs" id="<?php echo $record['id'];?>" data-toggle="modal" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('send_email'); ?>" onclick="$('#row_id').val(<?php echo $record['id'];?>);"><i class="fa fa-envelope"></i></a>
					<?php endif;?>
					<?php if(!empty($record['phone_number']) && $send_sms):?>
					<a href="#smsModal" role="button" class="btn btn-success btn-xs" id="<?php echo $record['id'];?>" data-toggle="modal" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('send_sms'); ?>" onclick="$('#row_id').val(<?php echo $record['id'];?>);"><i class="fa fa-mobile"></i></a>
					<?php endif;?>
					<button type="submit" class="btn btn-warning btn-xs" name="clone" value="<?php echo $record['id'];?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('btn_clone'); ?>"><i class="fa fa-copy"></i></button>
					<?php if($this->auth->has_permission('Listings.Content.Edit')):?>
					<?php echo progress_bar('listings', $record['id'], $record['percent_completion']);?>
					<?php endif; ?>
				</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo $this->load->view('advanced_search');?>
	<?php echo form_close(); 
	echo form_hidden('listing_id');
	// Send Bulk/Custom SMS
	echo form_hidden('module', isset($module) ? $module : 'listings');
	echo form_hidden('row_id');
	echo $this->load->view('common/admin_reply');	
	echo $this->load->view('common/custom_sms');	
	?>
</div>