<?php 
$nav_url = 'content/listings';
$menus = array(
    array(
        'condition' => 'summary',
        'permission' => 'Listings.Content.Summary',
        'url' => $nav_url. '/summary',
        'id' => 'summary',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('gc_menu_summary')
    ),
    array(
        'url' => 'content/listings',
        'title' => lang('gc_menu_all'),
        'label' => '<i class="fas fa-list-alt fa-fw"></i> ' . lang('gc_menu_manage_listings')    
    ),
    array(
        'permission' => 'Listings.Content.Create',
        'url' => 'content/listings/create',
        'title' => lang('listings_create'),
        'label' => '<i class="fas fa-plus-circle fa-fw"></i> ' . lang('listings_create')
    )
);
$config_modules = gc_modules_only();
foreach($config_modules as $config_module):
    $menus[] = array(
        'url' => 'content/listings/view/' . $config_module,
        'title' => lang('gc_menu_' . $config_module),
        'label' => '<i class="fas fa-' . gc_module_icon($config_module) . ' fa-fw"></i> ' . lang('gc_menu_' . $config_module)
    );
endforeach;
if(gc_module_key('status', 'branches') != 0):
    $menus[] = array(
        'url' => 'content/branches/view',
        'title' => lang('branches'),
        'label' => '<i class="fas fa-' . gc_module_icon('branches') . ' fa-fw"></i> ' . lang('branches')
    );
endif;
$menus[] = array(
    'url' => '',
    'divider' => true,
    'label' => 'divider'
);
$menus[] = array(
    'url' => 'content/listings/claims',
    'title' => lang('gc_menu_listing_claims'),
    'label' => '<i class="fas fa-user-circle fa-fw"></i> ' . lang('gc_menu_listing_claims') . (!empty($new_claims) ? '<sup><span class="badge badge-danger">' . $new_claims . '</span></sup>' : '')   
);
$menus[] = array(
    'permission' => 'Listings.Content.Create',
    'url' => 'content/listings/generate_qrcode',
    'title' => lang('gc_menu_generate_qrcode'),
    'label' => '<i class="fas fa-qrcode fa-fw"></i> ' . lang('gc_menu_generate_qrcode')
);
$menus[] = array(
    'permission' => 'Listings.Content.Create',
    'url' => 'content/listings/update_categories',
    'title' => lang('gc_menu_update_categories'),
    'label' => '<i class="fas fa-th-list fa-fw"></i> ' . lang('gc_menu_update_categories')
);
$menus[] = array(
    'permission' => 'Listings.Content.Edit',
    'url' => 'content/listings/link_validator',
    'title' => lang('gc_menu_link_validator'),
    'label' => '<i class="fas fa-globe fa-fw"></i> ' . lang('gc_menu_link_validator')
);
$menus[] = array(
    'permission' => 'Listings.Content.Edit',
    'url' => 'content/listings/slugify',
    'title' => lang('gc_menu_update_slug'),
    'label' => '<i class="fas fa-pen-square fa-fw"></i> ' . lang('gc_menu_update_slug')
);
$menus[] = array(
    'permission' => 'Listings.Content.Edit',
    'url' => 'content/listings/tweak_fields',
    'title' => lang('gc_menu_tweak_fields'),
    'label' => '<i class="fas fa-rocket fa-fw"></i> ' . lang('gc_menu_tweak_fields')
);
$menus[] = array(
    'permission' => 'Listings.Content.View',
    'url' => 'content/listings/printed_version',
    'title' => lang('gc_menu_printed_version'),
    'label' => '<i class="fas fa-file-pdf fa-fw"></i> ' . lang('gc_menu_printed_version')
);
$menus[] = array(
    'permission' => 'Listings.Content.Edit',
    'url' => 'content/listings/bulk_users_generate',
    'title' => lang('gc_menu_bulk_users_generate'),
    'label' => '<i class="fas fa-user-plus fa-fw"></i> ' . lang('gc_menu_bulk_users_generate')
);
$menus[] = array(
    'condition' => 'manage/email_templates',
    'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
    'permission' => 'Module_Email_Templates.Content.View',
    'url' => $nav_url. '/manage/email_templates',
    'id' => 'module_email_templates',
    'tooltip' => true,
    'title' => lang('gc_menu_email_templates'),
    'label' => '<i class="fas fa-envelope fa-fw"></i>' . lang('gc_menu_email_templates')
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'listings', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>