<html>
    <head>
        <style>            
            /** 
                Set the margins of the page to 0, so the footer and the header
                can be of the full height and width !
             **/
            @page {
                margin: 80px 25px;
            }
            body {
                font-family: Arial, sans-serif;
                font-size: 10px;
            }
            .header {
                position: fixed;
                top: -30px;
                left: 0px;
                right: 0px;
                height: 50px;
                font-weight: 700;
                color: #1d1d1d;
                line-height: 35px;
            }
            .footer {
                position: fixed; 
                bottom: -60px; 
                left: 0px; 
                right: 0px;
                height: 80px;
                background-color: #ffd400;
                color: #1d1d1d;
                text-align: center;
                line-height: 35px;
                text-transform: uppercase;
                font-size: 18px;
                font-weight: 700;
            }           
            .block {
                border: 1px solid #111111;
                width: 100%;
                margin-top: 5px;
            }
            .heading-title {
                font-size: 16px !important;
                font-weight: 700;
            }
            .img-logo {       
                background-size: contain !important;    
                height: 50px !important;
                width: 150px !important;
                background-position: center;
                background-repeat: no-repeat;
            }
            .img-cover {       
                background-size: cover;    
                height: 120px;
                width: 100%;
                background-position: center;
                background-repeat: no-repeat;
            }
            .site-url {
                text-transform: uppercase;
                font-weight: 500;
            }
            /* The box should have a fixed height */
            .img-box {
                height: 50px;
                width: 150px;
                max-height: 50px;
                max-width: 150px;
                text-align: center;
                vertical-align: middle;
            }            
            .img-box img {
                display: block;
                height: 100%;
                width: auto;
                margin-left: auto; /* Image Center Align */
                margin-right: auto;
            }
            /* The box should have a fixed height */
            .img-box-cover {
                height: 120px;
                width: 185px;
                max-height: 120px;
                max-width: 185px;
                text-align: center;
                vertical-align: middle;
            }            
            .img-box-cover img {
                display: block;
                height: 100%;
                width: 100%;
                margin-left: auto; /* Image Center Align */
                margin-right: auto;
            }
        </style>
    </head>
    <body>
        <!-- Define header and footer blocks before your content -->
        <header class="header">
            <?php echo $file_header; ?>
        </header>
        <footer class="footer">
        	<?php        	
        	$input = site_url();
        	
        	// in case scheme relative URI is passed, e.g., //www.google.com/
        	$input = trim($input, '/');
        	
        	// If scheme not included, prepend it
        	if (!preg_match('#^http(s)?://#', $input)) {
        	    $input = 'http://' . $input;
        	}
        	
        	$urlParts = parse_url($input);
        	
        	// remove www
        	$domain = preg_replace('/^www\./', '', $urlParts['host']);
        	?>
            <?php echo lang('printed_footer_text'); ?><br />
            <span class="site-url"><?php echo 'www.' . $domain; ?></span><span style="color: red; margin-left: 10px; font-weight: 700;"><?php echo lang('printed_footer_text_01'); ?></span>
        </footer>

        <!-- Wrap the content of your PDF inside a main tag -->
        <main>
            <?php foreach($records as $record): ?>
            <table class="block">
            	<tr>
            		<td style="width: 75% !important;">
            		<table>
            			<tr>
            				<td style="width: 25% !important;">
            					<div class="img-box">
            						<img src="<?php echo gc_image_url($record->logo); ?>" />
            					</div>
            				</td>
            				<td style="width: 75% !important; text-align: center; font-weight: 700;">
                				<div class="heading-title"><?php echo $record->title; ?></div>
                				<?php echo $record->address; ?><br />
                				<?php echo $record->phone_number; ?> <?php echo $record->email; ?> <br />	
                				<?php if(!empty($record->website)):?>
                				<?php echo $record->website; ?>
                				<?php endif;?>			
            				</td>
            			</tr>
            			<tr>
            				<td colspan="2"><?php echo truncate_text(strip_tags($record->description), 450); ?></td>
            			</tr>
            		</table>
            		</td>
            		<td style="width: 25% !important;">
                		<div class="img-cover" style="background-image: url('<?php echo gc_image_url($record->cover); ?>');"></div>
            		</td>
            	</tr>
            </table>
            <?php endforeach; ?>
        </main>
    </body>
</html>