<?php 
$this->load->view('fields/layout', array('layout' => 'none', 'form_fields' => $form_fields, 'field_groups' => $field_groups, 'elements_container' => null));
?>
<div id="contact_form_fields">
	<label class="col-form-label" for="message"><?php echo lang('label_message');?>*</label><small><span class="float-right" id="query_count_message"></span></small>
	<div class="form-group has-feedback">
		<textarea rows="5" cols="30" class="form-control input-sm"
			id="query_message" name="message" maxlength="1500" 
			placeholder="<?php echo lang('placeholder_message');?>" required
			data-error="<?php echo sprintf(lang('required'), lang('label_message'));?>"></textarea>
		<span class="help-block with-errors no-margin"></span>
	</div>
	<div class="row">
		<div class="col-sm-6 col-lg-6">
			<label class="col-form-label" for="name"><?php echo lang('label_name');?>*</label>
			<div class="form-group has-feedback">
				<input type="text" class="form-control input-sm" id="query_name" name="name" placeholder="<?php echo lang('placeholder_name');?>" required data-error="<?php echo sprintf(lang('required'), lang('label_name'));?>" value="<?php echo set_value('name', isset($user_info->name) ? $user_info->name : ''); ?>" />
				<span class="help-block with-errors no-margin"></span>
			</div>
		</div>
		<div class="col-sm-6 col-lg-6">
			<label class="col-form-label" for="phone"><?php echo lang('label_phone');?></label>
			<div class="form-group has-feedback">
				<input type="tel" class="form-control input-sm optional" id="query_phone" name="phone"
					value="<?php echo set_value('phone', isset($user_info->phone_number) ? $user_info->phone_number : ''); ?>"
					placeholder="<?php echo lang('placeholder_phone');?>" /> <span
					class="help-block with-errors no-margin"></span>
			</div>
		</div>
	</div>
	
	<?php
	$this->load->model('fields/fields_model');
	$meta_form_fields = $this->fields_model->get_fields($module, 'frontend');
	if(!empty($meta_form_fields)):?>
	<div class="row input-meta stacked-input">
	<div class="col-sm-12">
	<?php $this->load->view('common/_meta', array('layout' => 'none', 'meta_form_fields' => $meta_form_fields, 'elements_container' => null)); ?>
	</div>
	</div>
	<?php endif; ?>
	
	<div class="row">
		<div class="col-md-6 col-lg-6">
			<label class="col-form-label" for="email"><?php echo lang('label_email');?>*</label>
			<div class="form-group has-feedback">
				<input type="email" class="form-control input-sm" id="query_email" name="email" placeholder="<?php echo lang('placeholder_email');?>"
					value="<?php echo set_value('email', isset($user_info->email) ? $user_info->email : ''); ?>"
					data-error="<?php echo sprintf(lang('valid_email'), lang('label_email'));?>"
					required /> <span class="help-block with-errors no-margin"></span>
			</div>
		</div>
		<div class="col-md-6 col-lg-6">
			<div class="row">
				<div class="col-md-7 col-lg-7">
					<label class="col-form-label text-truncate" for="captcha_code"><?php echo lang('captcha_code');?>*</label>
					<div class="form-group has-feedback">
						<input type="text" class="form-control input-sm"
							name="captcha_code" id="query_captcha_code"
							placeholder="<?php echo lang('placeholder_captcha');?>" required
							data-error="<?php echo sprintf(lang('required'), lang('captcha_code'));?>" />
						<span class="help-block with-errors no-margin"></span>
					</div>
				</div>
				<div class="col-md-5 col-lg-5">
					<img class="img-fluid refresh-captcha mt-4 mb-2" id="captcha" src="<?php echo site_url("securimage"); ?>" alt="CAPTCHA Image" />					
					<a id="update" href="#" onclick="document.getElementById('captcha').src = '<?php echo site_url("securimage?"); ?>' + Math.random(); return false" data-toggle="tooltip" data-placement="bottom" title="<?php echo lang('captcha_refresh');?>">
						<i class="fas fa-sync"></i>
					</a>
				</div>
			</div>
		</div>
	</div>
</div>