<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
class Localities_model extends BF_Model {

	protected $table_name	= "localities";
	protected $key			= "id";
	protected $soft_deletes	= false;
	protected $date_format	= "datetime";

	protected $log_user 	= FALSE;

	protected $set_created	= false;
	protected $set_modified = false;

	/*
		Customize the operations of the model without recreating the insert, update,
		etc methods by adding the method names to act as callbacks here.
	 */
	protected $before_insert 	= array();
	protected $after_insert 	= array();
	protected $before_update 	= array();
	protected $after_update 	= array();
	protected $before_find 		= array();
	protected $after_find 		= array();
	protected $before_delete 	= array();
	protected $after_delete 	= array();

	/*
		For performance reasons, you may require your model to NOT return the
		id of the last inserted row as it is a bit of a slow method. This is
		primarily helpful when running big loops over data.
	 */
	protected $return_insert_id 	= TRUE;

	// The default type of element data is returned as.
	protected $return_type 			= "object";

	// Items that are always removed from data arrays prior to
	// any inserts or updates.
	protected $protected_attributes = array();

	/*
		You may need to move certain rules (like required) into the
		$insert_validation_rules array and out of the standard validation array.
		That way it is only required during inserts, not updates which may only
		be updating a portion of the data.
	 */
	protected $validation_rules 		= array(
		array(
			"field"		=> "name",
			"label"		=> "lang:label_name",
			"rules"		=> "required|max_length[40]"
		),
	);
	protected $insert_validation_rules 	= array();
	protected $skip_validation 			= FALSE;

	/**
	 * Localities Fields
	 *
	 * @return array
	 */
	public function fields() {
	    $fields = array(
	        array(
	            'type' => 'id',
	            'name' => 'id',
	            'frontend_index' => true,
	            'admin_index' => true
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'country_iso',
	            'label' => 'label_country_iso',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'state_id',
	            'label' => 'label_state',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'city_id',
	            'label' => 'label_city',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'name',
	            'label' => 'label_name',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim|max_length[40]',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'slug',
	            'label' => 'label_slug',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => false,
	            'admin_index' => false,
	            'rules' => 'trim|max_length[255]',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'image',
	            'label' => 'label_image',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim|max_length[255]',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'latitude',
	            'label' => 'label_latitude',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => false,
	            'admin_index' => false,
	            'rules' => 'trim|max_length[30]',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'longitude',
	            'label' => 'label_longitude',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => false,
	            'admin_index' => false,
	            'rules' => 'trim|max_length[30]',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'postcode',
	            'label' => 'label_postcode',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => false,
	            'admin_index' => false,
	            'rules' => 'trim|max_length[10]',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'counts',
	            'label' => 'label_counts',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'hits',
	            'label' => 'label_hits',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'checkbox',
	            'name' => 'active',
	            'label' => 'label_status',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        
	    );
	    return $fields;
	}
	
	/**
	 * Get all cities
	 * @return object
	 */
	public function get_cities(){
		$this->db->select('id, name');
		return $this->db->get($this->db->dbprefix . 'cities')->result();
	}
	
	/**
	 * Get localities with city code
	 * @param number $city_id
	 */
	public function get_localities_city($city_id = 0) {
		$this->db->select('localities.*, cities.abbrev');
		$this->db->join($this->db->dbprefix . 'cities','cities.id = localities.city_id', 'left');
		if($city_id != 0) {
			$this->db->where($this->db->dbprefix . 'cities.id', $city_id);
		}
		$this->db->order_by('cities.abbrev', 'asc');
		return $this->localities_model->find_all();
	}
	
	/**
	 * OnType locality selection 
	 * @param int $locality_id
	 */
	public function get_locality_info($locality_id) {
		if($locality_id != 0) {
			$sql = "SELECT L.id, L.name FROM " . $this->db->dbprefix ."localities L";
			$sql .= " WHERE L.id = " . $locality_id;
			return $this->db->query($sql)->row();
		} else {
			return false;
		}
	}
	
	/**
	 * Bulk Import - Get Locality information
	 * if the locality does not exist, create a new one
	 * @param int $city_id
	 * @param string $locality
	 * @return number
	 */
	public function get_locality($city_id, $locality) {
		$result = $this->localities_model->select('id')->find_by(array('city_id' => $city_id, 'name' => $locality));
		if($result) {
			return $result->id;
		} else {
			$locality_data = array(
					'city_id' => $city_id,
					'name' => $locality,
					'active' => 1
			);
			$this->db->insert('localities', $locality_data);
			$locality_id = $this->db->insert_id();
			if (is_numeric($locality_id)) {
				return $locality_id;
			} else {
				return 0;
			}
		}
	}
}
