<?php
$nav_url = 'settings/locations';
$url = $this->uri->segment(4);
	if($url == '') {
		$url = 'index';
	}
switch($url) {
    case 'manage':
    case 'form':
        $nav_links = array(
            array(
                'condition' => 'manage/countries',
                'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
                'permission' => 'Countries.Settings.View',
                'url' => $nav_url. '/manage/countries',
                'id' => 'manage_countries',
                'tooltip' => true,
                'title' => lang('manage_countries'),
                'label' => '<i class="fas fa-globe fa-lg"></i>'
            ),            
            array(
                'condition' => 'manage/states',
                'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
                'permission' => 'States.Settings.View',
                'url' => $nav_url. '/manage/states',
                'id' => 'manage_states',
                'tooltip' => true,
                'title' => lang('manage_states'),
                'label' => '<i class="fas fa-map fa-lg"></i>'
            ),
            array(
                'condition' => 'manage/cities',
                'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
                'permission' => 'Cities.Settings.View',
                'url' => $nav_url. '/manage/cities',
                'id' => 'manage_cities',
                'tooltip' => true,
                'title' => lang('manage_cities'),
                'label' => '<i class="fas fa-city fa-lg"></i>'
            ),
            array(
                'condition' => 'manage/localities',
                'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
                'permission' => 'Localities.Settings.View',
                'url' => $nav_url. '/manage/localities',
                'id' => 'manage_localities',
                'tooltip' => true,
                'title' => lang('manage_localities'),
                'label' => '<i class="fas fa-map-marker-alt fa-lg"></i>'
            )
        );
        break;
	case 'index': 
	case 'import':
	case 'display_counts':
	case 'counts':
	$nav_links = array(
		array(
			'condition' => '',
			'url' => $nav_url,
			'id' => 'list',
			'label' => lang('label_all_countries')
		),
		array(
			'condition' => 'create',
			'permission' => 'Locations.Settings.Create',
			'url' => $nav_url. '/add_country',
			'id' => 'create_new',
			'label' => lang('label_country_new')
		),
		array(
    		'condition' => 'import',
    		'permission' => 'Locations.Settings.Create',
    		'url' => $nav_url. '/import',
    		'id' => 'bulk_import',
    		'label' => lang('bulk_import')
		),
		array(
    		'condition' => 'counts',
    		'permission' => 'Locations.Settings.Edit',
    		'url' => $nav_url. '/counts',
    		'id' => 'update_counts',
    		'label' => lang('label_update_counts')
		)
	);
	break;
	case 'add_country':
		case 'edit_country': $nav_links = array(
		array(
			'condition' => '',
			'url' => $nav_url,
			'id' => 'list',
			'label' => lang('label_all_countries')
		)
	);
	break;
	case 'states':
	$nav_links = array(
		array(
			'condition' => '',
			'url' => $nav_url,
			'id' => 'list',
			'label' => lang('back_to_countries')
		),
		array(
			'url' => $nav_url. '/states/' .$this->session->userdata('country_iso') .'/',
			'id' => 'list',
			'label' => lang('label_all_states')
		)
	);
	break;
	case 'cities':
	$nav_links = array(
		array(
			'condition' => '',
			'url' => $nav_url,
			'id' => 'list',
			'label' => lang('back_to_countries')
		),
		array(
			'condition' => '',
			'url' => $nav_url. '/states/' .$this->session->userdata('country_iso') .'/',
			'id' => 'list',
			'label' => lang('back_to_states')
		),
		array(
			'url' => $nav_url. '/cities/' .$this->session->userdata('state_id') .'/',
			'id' => 'list',
			'label' => lang('label_all_cities')
		)
	);
	break;
	case 'localities':
	$nav_links = array(
		array(
			'condition' => '',
			'url' => $nav_url,
			'id' => 'list',
			'label' => lang('back_to_countries')
		),
		array(
			'condition' => '',
			'url' => $nav_url. '/states/' .$this->session->userdata('country_iso') .'/',
			'id' => 'list',
			'label' => lang('back_to_states')
		),
		array(
			'condition' => '',
			'url' => $nav_url. '/cities/' .$this->session->userdata('state_id') .'/',
			'id' => 'list',
			'label' => lang('label_all_cities')
		),
		array(
			'url' => $nav_url. '/localities/' .$this->session->userdata('city_id') .'/',
			'id' => 'list',
			'label' => lang('label_all_localities')
		)
	);
}
echo $this->load->view('common/_subnav', array('nav_links' => $nav_links));
?>