<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 10;
$can_delete	= $this->auth->has_permission('Locations.Settings.Delete');
$can_edit		= $this->auth->has_permission('Locations.Settings.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="card bg-light shallow-well">
	<span class="filter-link-list">
		<?php echo $this->load->view('common/filter_link_list'); ?>
	</span>
</div>
<?php 
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url . 'all/', 'title' => lang('gc_tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_country_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('iso', lang('label_iso'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('image', lang('label_image'));?></th>
					<th><?php echo form_filter('printable_name', lang('label_printable_name'));?></th>
					<th><?php echo form_filter('iso3', lang('label_iso_3'));?></th>
					<th><?php echo form_filter('numcode', lang('label_numcode'));?></th>
					<th><?php echo form_filter('counts', lang('label_counts'));?></th>
					<th><?php echo form_filter('hits', lang('label_hits'));?></th>
					<th><?php echo form_filter('active', lang('label_status'));?></th>
					<th class="text-center"><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns + 2; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="activate" class="btn btn-action" value="<?php echo lang('gc_action_activate'); ?>" />
						<input type="submit" name="deactivate" class="btn btn-action" value="<?php echo lang('gc_action_deactivate'); ?>" />
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>				
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->iso; ?>" /></td>
					<?php endif;?>
					
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/settings/locations/edit_country/' . $record->iso, $record->iso); ?></td>
				<?php else : ?>
					<td><?php e($record->iso); ?></td>
				<?php endif; ?>
					<td><?php e($record->name); ?></td>
					<td>
					<?php if(!empty($record->image)):?>
					<a rel="gallery" href="<?php echo gc_image_url($record->image, false, false, null, true);?>" class="gc-fancybox">
						<img class="img-home" src="<?php echo gc_image_url($record->image, false, false, null, true);?>">
					</a>
					<?php endif;?>
					</td>	
					<td><?php e($record->printable_name) ?></td>
					<td><?php e($record->iso3) ?></td>
					<td><?php e($record->numcode) ?></td>
					<td><?php e($record->counts) ?></td>
					<td><?php e($record->hits) ?></td>
					<td>
					<button type="submit" name="status_change" value="<?php echo $record->iso?>" class="btn btn-xs <?php echo $record->active == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->active == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
					<td class="text-center">					
					<?php echo anchor(SITE_AREA . '/settings/locations/display_counts/' . $record->id . '/countries', '<span class="badge badge-secondary">' . lang('label_counts') .'</span>')?>
					<?php echo anchor(SITE_AREA . '/settings/locations/states/' . $record->iso, '<span class="badge badge-info">'.lang('label_view'). ' ' .lang('states').'</span>')?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php echo form_close(); ?>
	<?php echo $this->pagination->create_links(); ?>
</div>