<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<style>
th.id { width: 3em; }
th.last-login { width: 11em; }
th.status { width: 10em; }
</style>
<div class="card bg-light shallow-well">
	<span class="filter-link-list">
		<?php
		// If there's a current filter, we need to replace the caption with a clear button
		if ($filter_type == 'first_letter') :
			echo anchor($index_url, lang('bf_clear'), array('class' => 'btn btn-sm btn-primary'));
			$lastchar = substr ( $this->uri->segment ( 6 ), - 1 );
		else :
			e(lang('filter_first_letter'));
		endif;
		
		$letters = range('A', 'Z');
		if (isset ( $lastchar )) :
			foreach ( $letters as $letter ) :
				if ($letter != $lastchar) :
					echo anchor ( $index_url . 'first_letter-' . $letter, $letter ) . PHP_EOL;
				else :
					echo "<span class=\"badge badge-info\">$lastchar</span> ";
				endif;
			endforeach;
		else :
			foreach ( $letters as $letter ) :
				echo anchor ( $index_url . 'first_letter-' . $letter, $letter ) . PHP_EOL;
			endforeach;
		endif;
		?>
	</span>
</div>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url . 'all/', 'title' => lang('gc_tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
echo form_validations();
$locality = isset($localities) ? (array) $localities : array();
$id = isset($locality['id']) ? $locality['id'] : '';
echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
$locality_elements = array(
		array('name' => 'name', 'extra' => array('maxlength' => 40, 'placeholder' => sprintf(lang('placeholder_location_name'), strtolower(lang('label_locality'))))),
		array('type' => 'submit', 'name' => 'save', 'label' => lang('save'), 'extra' => array('class' => 'btn btn-primary'))
);
echo gc_form_element('text', array('element_container' => 'div.form-inline', 'options' => $locality_elements), $locality);
echo form_close();
$num_columns	= 7;
$can_delete	= $this->auth->has_permission('Locations.Settings.Delete');
$can_edit		= $this->auth->has_permission('Locations.Settings.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_locality_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('abbrev', lang('label_city') .' '.lang('label_code'));?></th>
					<th><?php echo form_filter('counts', lang('label_counts'));?></th>
					<th><?php echo form_filter('hits', lang('label_hits'));?></th>
					<th class="text-center"><?php echo form_filter('active', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="activate" class="btn btn-action" value="<?php echo lang('gc_action_activate'); ?>" />
						<input type="submit" name="deactivate" class="btn btn-action" value="<?php echo lang('gc_action_deactivate'); ?>" />
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
				<?php if ($can_edit) : ?> 
						<?php if($this->uri->segment(5) && ($this->uri->segment(6)) && ($this->uri->segment(7))) :?>
					<td><?php echo anchor(SITE_AREA .'/settings/locations/localities/'.$this->uri->segment(5).'/'.$this->uri->segment(6).'/'. $this->uri->segment(7).'/'. $record->id, $record->name);?></td>
						<?php elseif($this->uri->segment(5) && ($this->uri->segment(6))) : ?>
					<td><?php echo anchor(SITE_AREA .'/settings/locations/localities/'.$this->uri->segment(5).'/'.$this->uri->segment(6).'/0/'. $record->id, $record->name);?></td>
						<?php else: ?>
					<td><?php echo anchor(SITE_AREA .'/settings/locations/localities/'.$this->uri->segment(5).'/all/0/'. $record->id, $record->name);?></td>
						<?php endif;?>
				<?php else : ?>
					<td><?php e($record->name); ?></td>					
				<?php endif; ?>
					<td><?php echo e($record->abbrev); ?></td>
					<td><?php e($record->counts) ?></td>
					<td><?php e($record->hits) ?></td>
					<td class="text-center">
					<?php echo anchor(SITE_AREA . '/settings/locations/display_counts/' . $record->id . '/localities', '<span class="btn btn-xs btn-secondary">' . lang('label_counts') .'</span>')?>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->active == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->active == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php echo form_close(); ?>
	<?php echo $this->pagination->create_links(); ?>
</div>