var l_site_url = $('#l_site_url').val();
var listing_id = $('#listing_id').val();
var categories_limit = $("#max_categories").val();
/*----------------------------------------------------*/
/*	Toggle Selected Nodes
/*----------------------------------------------------*/
$("#btnToggleSelect").click(function() {
	$("#categories_tree").fancytree("getRootNode").visit(function(node) {
		node.toggleSelected();
	});
	return false;
});
/*----------------------------------------------------*/
/*	Deselect All Selected Nodes
/*----------------------------------------------------*/
$("#btnDeselectAll").click(function() {
	$("#categories_tree").fancytree("getTree").visit(function(node) {
		node.setSelected(false);
	});
	return false;
});
/*----------------------------------------------------*/
/*	Category Tree
/*----------------------------------------------------*/
if($("#categories_tree").length) {
	$("#categories_tree").fancytree({
		  checkbox: true,
		  selectMode: 3,
		  source: { url: l_site_url + "members/getCategoriesTree", data: {listing: listing_id}, cache: false },
		  lazyLoad: function(event, data) {
		      data.result = {
		          url: l_site_url + "members/getCategoriesTree",
		          data: {mode: "children", parent: data.node.key, listing: listing_id},
		          cache: false
		      };
		  },
		  loadChildren: function(event, data) {
			  // Below given code is important or categories will not be retrieved on second postback 
			  // if there is any validation error
			  var selKeysPath = $.map(data.tree.getSelectedNodes(), function(node) {
				  return node.getKeyPath();
			  });
			  $("#listing_categories").val(selKeysPath);
			  $("#categories_limit").text('(' + data.tree.getSelectedNodes().length + '/' + categories_limit + ')');
		  },	 
		  select: function(event, data) {
			  // Load all child nodes if parent is selected
			  var node = data.node;
			  if (node.isSelected()) {
			        if (node.isUndefined()) {		        	
			            // Load all child nodes
			            node.load().done(function() {
			            	// After loading all child nodes, unselect parent
			            	data.tree.getNodeByKey(data.node.key).setSelected(false);
			            });
			        } else {
			            // Select all child nodes
			            node.visit(function(childNode) {
			                childNode.setSelected(true);
			            });
			        }
			    }
				// Get a list of all selected nodes, and convert to a key array:		  	
				var selKeys = $.map(data.tree.getSelectedNodes(), function(node) {
					return node.key;
				});
				// Take first category as default
		        var default_category = $("#listing_default_category").val();
		        if (selKeys.length == 1 && (default_category == "")) {
		        	$("#listing_default_category").val(data.node.getKeyPath());    
		        } else if(selKeys.length == 0) {
		        	$("#listing_default_category").val(''); 
		        }	        
		        if (selKeys.length >= (parseInt(categories_limit) + 1)) {
		        	data.tree.getNodeByKey(data.node.key).setSelected(false);
		        	alert($("#categories_error").val());
		        }
		        var selKeysPath = $.map(data.tree.getSelectedNodes(), function(node){
		            return node.getKeyPath();
		        });
		        $("#listing_categories").val(selKeysPath);    
		        $("#categories_limit").text('(' + data.tree.getSelectedNodes().length + '/' + categories_limit + ')');
		  },
		  dblclick: function(event, data) {
			  data.node.toggleSelected();
		  },
		  keydown: function(event, data) {
			  if( event.which === 32 ) {
				  data.node.toggleSelected();
				  return false;
			  }
		  }
	});
}