<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$affiliate_points = json_decode(settings_item('affiliate.points'));
?>
<div class="row">
<div class="col-sm-12">
    <div class="acard hovercard">     	    
	  <ul class="payout-box">
	  	<li>
	  		<div class="circle payout-request">
		        <div class="front">
		          <div class="title"></div>
		          <div class="price"><span class="end"><?php echo lang('last_payout_request');?></span></div>
		        </div>
		        <div class="back info">
		          	<div class="title"><?php echo !empty($payout->requested_on) && $payout->requested_on != '0000-00-00 00:00:00' ? gc_date_format($payout->requested_on, TRUE) : lang('label_never');?>
		        </div>
		        <div class="description"><i class="fa fa-calendar"></i></div>
		        </div>
		     </div>
	    </li>
	    <li>
	      <div class="circle">
	        <div class="front gross-desc">
	          <div class="title"><?php echo lang('gross_earning');?></div>
	          <div class="price"><span class="currency"><?php echo settings_item('site.currency_symbol');?></span><span class="total"><?php echo $payout->gross_earning;?></span></div>
	        </div>
	      </div>
	    </li>
	    <li>
	      <div class="circle">
	        <div class="front pending-payout">
			  <?php echo form_open($this->uri->uri_string()); ?>
	          <div class="title"><?php echo lang('pending_payout');?></div>
	          <div class="price"><span class="currency"><?php echo settings_item('site.currency_symbol');?></span><span class="total"><?php echo $payout->pending_payout;?></span></div>
	          <?php if($payout->pending_payout > 0):?>
	          <button class="btn btn-sm btn-danger" type="submit" name="request" value="<?php echo $payout->id;?>"><?php echo lang('get_paid'); ?></button>
			  <?php endif; ?>
			  <?php echo form_close();?>
			</div>
	      </div>		      
	    </li>
	  </ul>
	  <div>			
	  		<?php if(!empty($payout->created_on) && $payout->created_on != '0000-00-00 00:00:00'):?>
	     	<span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_active_since');?>"><i class="fa fa-calendar"></i><small> <?php echo gc_date_format($payout->created_on, TRUE);?></small></span> | 
	     	<?php endif;?>
	     	<span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_status');?>"><i class="fa fa-thumbs-up"></i></span>
      </div>
  	<div class="sharing text-center" data-url="<?php echo site_url('?ref=' . $payout->user_id);?>" data-txt="<?php echo sprintf(lang('help_affiliate_share'), settings_item('site.title')); ?>"></div>
	<h4 data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('affiliate_url');?>"><i class="fa fa-globe"></i> <a href="<?php echo site_url('?ref=' . $payout->user_id);?>" title="<?php echo lang('affiliate_url');?>" target="_blank"><?php echo site_url('?ref=' . $payout->user_id);?></a>
	<a role="button" href="#" class="copy-text" data-clipboard-text="<?php echo site_url('?ref=' . $payout->user_id);?>"><sup class="btn btn-xs btn-info"><?php echo lang('label_copy');?></sup></a>
	</h4>
    </div>
    <ul class="nav nav-tabs mt-2" role="tablist">
      <?php if(!empty($records)):?>
      <li class="nav-item">
        <a class="nav-link active" data-toggle="tab" href="#coupon-tab" role="tab" aria-controls="coupon-tab" aria-selected="true">
            <span class="fas fa-star fa-fr fa-fw" aria-hidden="true"></span>
            <span class="d-none d-sm-inline-block"><?php echo lang('label_coupons');?></span>
        </a>
      </li>
      <?php endif;?>
      <li class="nav-item">
        <a class="nav-link<?php echo empty($records) ? ' active' : '';?>" data-toggle="tab" href="#points-tab" role="tab" aria-controls="points-tab" aria-selected="false">
		   	<span class="fas fa-trophy fa-fr fa-fw" aria-hidden="true"></span>
            <span class="d-none d-sm-inline-block"><?php echo lang('gc_menu_points'); ?></span>
		</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-toggle="tab" href="#payout-tab" role="tab" aria-controls="payout-tab" aria-selected="false">
		   	<span class="fas fa-money-bill fa-fr fa-fw" aria-hidden="true"></span>
            <span class="d-none d-sm-inline-block"><?php echo lang('label_payouts');?></span>
		</a>
      </li>
    </ul>
    <div class="coupons-bg">
      <div class="tab-content">
        <?php if(!empty($records)):?>
        <div class="tab-pane show active" id="coupon-tab">        
        <div class="mt-3">
        	<label class="alert alert-info"><?php echo lang('help_affiliate_coupons');?></label>
			<div class="row">
				<?php foreach($records as $record):?>
		        <div class="col-sm-4">
		          <div class="dl">
		            <div class="brand">
		                <h2 data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_coupon_code');?>"><?php echo $record->coupon_code?></h2>
						<div class="coupon-valid-upto" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_valid_upto');?>"><i class="fas fa-clock"></i><?php echo $record->valid_upto; ?></div>
		                <span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('no_of_hits');?>"><i class="fa fa-eye"></i> <?php echo $record->hits;?> |</span> 
		                <span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_counts');?>"><i class="fa fa-bullseye"></i> <?php echo $record->counts;?> | </span>
		                <span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_status');?>"><i class="fa fa-thumbs-<?php echo $record->status == 1 ? 'up' : 'down';?>"></i></span>
		            </div>
		            <div class="discount alizarin">		            	
		                <?php echo $record->coupon_type == 'F' ? currency_format($record->coupon_value) : $record->coupon_value . '%';?>
		                <div class="type">
		                    <?php echo lang('label_off');?>
		                </div>
		            </div>
		            <div class="coupon midnight-blue">		                
		                <div><?php echo lang('label_commission');?> <?php echo $record->type == 'F' ? currency_format($record->commission) : $record->commission . '%';?></div>
	                    <div class="small"><?php echo lang('gross_earning');?> <?php echo currency_format($record->gross_earning);?></div>
	                    <div class="small" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('created_on');?>"><i class="fas fa-calendar-alt" style="margin-right: 10px;"></i><?php echo gc_date_format($record->created_on, true);?></div>
	                    <div class="small" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('modified_on');?>"><i class="fas fa-calendar" style="margin-right: 10px;"></i><?php echo gc_date_format($record->modified_on, true);?></div>
		            </div>
		          </div>
		        </div>
		        <?php endforeach;?>
		    </div>
		</div>
        </div>
		<?php endif; ?>
        <div class="tab-pane<?php echo empty($records) ? ' show active' : '';?>" id="points-tab">
          <div class="mt-3"> 
        		<label class="alert alert-info"><?php echo lang('help_affiliate_points');?></label>
          		<div class="table-responsive">
				<table class="table table-bordered">
          		<thead class="thead-light">
          			<tr>
          				<th><?php echo lang('label_module');?></th>
          				<th><?php echo lang('gc_menu_points');?></th>
          			</tr>
          		</thead>
          		<tbody>
          		<?php 
          		$has_affiliate_points = false;
          		if(!empty($affiliate_points->modules)):
          		foreach($affiliate_points->modules as $affiliate_module => $affiliate_points):
          		if(!empty($affiliate_points)):
          		$has_affiliate_points = true;
          		?>
          		<tr>
          			<td><?php echo lang($affiliate_module);?></td>
          			<td><?php echo $affiliate_points . ' ' . ($affiliate_points == 1 ? lang('label_point') : lang('gc_menu_points')); ?></td>
          		</tr>
          		<?php
          		endif;
          		endforeach;
          		endif;
          		if(!$has_affiliate_points):
          		echo '<tr><td colspan="2">' . lang('error_no_record_found') . '</td></tr>';
          		endif;
          		?>
          		</tbody>
          		</table>
				</div>
          </div>
        </div>
        <div class="tab-pane" id="payout-tab">
          <div class="mt-3"> 		
				<div class="table-responsive">
          		<table<?php echo !empty($payouts) ? ' id="payouts" ' : '';?> class="table table-striped table-bordered" cellspacing="0" width="100%">
			        <thead>
			            <tr>
			                <th><?php echo lang('requested_on');?></th>
			                <th><?php echo lang('paid_on');?></th>
			                <th><?php echo lang('payment_method');?></th>
			                <th><?php echo lang('transaction_id');?></th>
			                <th><?php echo lang('comments');?></th>
			                <th><?php echo lang('label_status');?></th>
			            </tr>
			        </thead>
			        <tbody>
			        	<?php if(!empty($payouts)):?>
			        	<?php foreach($payouts as $payout):?>
			            <tr>
			                <td><?php echo gc_date_format($payout->requested_on, true);?></td>
			                <td><?php echo empty($payout->paid_on) || $payout->paid_on == '0000-00-00 00:00:00' ? '-' : gc_date_format($payout->paid_on, true);?></td>
			                <td><?php echo !empty($payout->payment_method) ? $payout->payment_method : '-';?></td>
			                <td><?php echo !empty($payout->transaction_id) ? $payout->transaction_id : '-';?></td>
			                <td><?php echo !empty($payout->comments) ? $payout->comments : '-';?></td>
			                <td><?php echo $payout->status == 1 ? '<span class="badge badge-success">' . lang('label_paid') .'</span>' : '<span class="badge badge-warning">' . lang('label_processing') .'</span>';?></td>
			            </tr> 
			            <?php endforeach; ?>
						<?php else: ?>
						<tr>
							<td colspan="6"><?php echo lang('error_no_record_found'); ?></td>
						</tr>
						<?php endif; ?>          
			        </tbody>
			    </table>
				</div>
          	</div>
        </div>
      </div>
    </div>
</div>
</div>