<?php if(!isset($tabular_view)):?>
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<?php if(!empty($records)):?>
<?php foreach($records as $record):?>
<div class="card card-default mb-2">
	<div class="card-header">
		<h4><?php echo empty($record->title) ? $record->category . ' (' . $record->city . ')' : $record->title; ?>
		<a href="#viewRequirement_<?php echo $record->id;?>" data-toggle="modal" class="float-right btn btn-sm btn-danger"><?php echo lang('label_view');?></a></h4>		
		<div class="modal fade" id="viewRequirement_<?php echo $record->id;?>">
            <div class="modal-dialog">
            	<div class="modal-content">
            		<div class="modal-header btn-theme">
            			<div class="modal-title"><?php echo lang('detail_description');?></div>
            			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
            			  <span aria-hidden="true">&times;</span>
            			</button>
            		</div><!-- end modal-header -->
            	<div class="modal-body">
            		<p><small class="text-muted"><?php echo $record->description;?></small></p>
            	</div><!-- end modal-content -->
            </div><!-- end modal-dialog -->
           	</div>
        </div> 
	</div>
	<div class="card-body">			
		<p><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_posted_on');?>"><i class="fas fa-calendar"></i><small> <?php echo gc_date_format($record->created_on, TRUE);?></small></span></p>
		<p><?php echo word_limiter($record->description, 2000);?></p>
	</div>
	<div class="card-footer">	
		<ul class="list-inline pb-0 mb-0">
			<li class="list-inline-item">
			<?php if($record->status_id == 2): ?>
			<button class="btn btn-danger btn-md" type="submit" value="<?php echo $record->id; ?>" name="update_status" onclick="return confirm('<?php echo js_escape(lang('lead_disable_alert')); ?>');">
				<i class="fas fa-<?php echo $record->status_id == 2 ? 'thumbs-up' : 'thumbs-down';?>"></i> <small> <?php echo lang('lead_disable_btn');?></small></span>
			</button>
			<?php else: ?>
			<span> <i class="fas fa-<?php echo $record->status_id == 2 ? 'thumbs-up' : 'thumbs-down';?>"></i> <small> <?php echo lang($record->status);?></small></span></li>
			<?php endif; ?>
			<li class="list-inline-item">|</li>
			<li class="list-inline-item"><span> <i class="fas fa-user"></i> <small> <?php echo $record->name;?></small></span></li>
			<li class="list-inline-item">|</li>
			<li class="list-inline-item"><span> <i class="fas fa-envelope"></i> <small> <?php echo $record->email;?></small></span></li>
			<?php if(!empty($record->phone_number)):?>
			<li class="list-inline-item">|</li>
			<li class="list-inline-item"><span><i class="fas fa-phone-volume"></i><small> <?php echo !empty($record->phone_number) ? $record->phone_number : 'N/A' ;?></small></span></li>
			<?php endif;?>
			<li class="list-inline-item">|</li>
			<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_category');?>"><span> <i class="fas fa-cogs"></i> <small> <?php echo $record->category;?></small></span></li>
			<li class="list-inline-item">|</li>
			<li class="list-inline-item" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_city');?>"><span><i class="fas fa-map-marker-alt"></i><small> <?php echo $record->city;?></small></span></li>            
		</ul>
	</div>
</div>
<?php endforeach;?>
<?php else:?>
<div class="card card-default">
<div class="card-body">
<?php echo lang('error_no_record_found');?>
</div>
</div>
<?php endif;?>
<?php echo form_close();?>
            
<div class="row">
	<div class="col-sm-12 text-center">
		<?php echo $this->pagination->create_links(); ?>
	</div><!-- end of pagination column -->
</div><!-- end of pagination row -->
<?php else: ?>
<div class="table-responsive">
<table<?php echo !empty($records) ? ' id="myRequirements" ' : '';?> class="table table-striped table-bordered">
    <thead>
        <tr>
            <th><?php echo lang('label_name');?></th>
            <th><?php echo lang('label_phone');?></th>
            <th><?php echo lang('label_email');?></th>
            <th><?php echo lang('label_category');?></th>
            <th><?php echo lang('label_city');?></th>
			<th><?php echo lang('label_hits');?></th>
			<th><?php echo lang('created_on');?></th>
            <th><?php echo lang('label_status');?></th>
        </tr>
    </thead>
    <tbody>
    	<?php if(!empty($records)):?>
    	<?php foreach($records as $record):?>
        <tr>        	
			<td><?php e($record->name); ?></td>
			<td><?php e($record->phone_number); ?></td>
			<td><?php e($record->email); ?></td>
			<td><?php e(!empty($record->category) ? $record->category : lang('not_applicable')); ?></td>
			<td><?php e(!empty($record->city) ? $record->city : lang('not_applicable') ); ?></td>
			<td><?php e($record->hits); ?></td>
            <td><?php echo gc_date_format($record->created_on, true);?></td>
            <td class='status'>
				<?php if ($record->status == 1) : ?>
				<span class="badge badge-info"><?php echo lang('tab_active'); ?></span>
				<?php elseif ($record->status == 2) : ?>
				<span class="badge badge-success"><?php echo lang('label_converted'); ?></span>
				<?php elseif ($record->status == 3) : ?>
				<span class="badge badge-secondary"><?php echo lang('status_spam'); ?></span>
				<?php else:?>
				<span class="badge badge-<?php echo $record->id;?> badge-warning"><?php echo lang('tab_inactive'); ?></span>
				<?php endif; ?>
				<a href="#viewRequirement_<?php echo $record->id;?>" data-toggle="modal" class="btn btn-success btn-xs"><?php echo lang('label_view');?></a>
				<div class="modal fade" id="viewRequirement_<?php echo $record->id;?>">
                    <div class="modal-dialog">
                    	<div class="modal-content">
                    		<div class="modal-header btn-theme">
                    			<div class="modal-title"><?php echo lang('detail_description');?></div>
                    			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    			  <span aria-hidden="true">&times;</span>
                    			</button>
                    		</div><!-- end modal-header -->
                    	<div class="modal-body">
                    		<p><small class="text-muted"><?php echo $record->description;?></small></p>
                    	</div><!-- end modal-content -->
                    </div><!-- end modal-dialog -->
                   	</div>
                </div> 
			</td>
        </tr>
        <?php endforeach; ?>
		<?php else: ?>
		<tr>
			<td colspan="8"><?php echo lang('error_no_record_found'); ?></td>
		</tr>
		<?php endif; ?>          
    </tbody>
</table>
</div>
<?php endif;?>