<?php $validation_errors = validation_errors();
if ($validation_errors) :
?>
<div class="alert alert-danger alert-danger fade show col-sm-12">
	<a class="close" data-dismiss="alert">&times;</a>
	<h4 class="alert-heading"><?php echo lang('validations_error');?></h4>
			<?php echo $validation_errors; ?>
</div>
<?php 
endif;
?>
<?php echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING'], 'class="form-horizontal"'); ?>
<div class="row">
	<div class="col-md-8">
			<fieldset>
				<!-- Form Name -->
				<legend><?php echo lang('label_billing_information');?></legend>
				<!-- Text input-->
				<div class="card card-default">
  				<div class="card-body">				
  				<div class="alert alert-info fade show top1 bottom1"><?php echo lang('msg_mandatory_fields_all')?></div>
				<div class="form-group">
					<label class="col-sm-2 col-form-label" for="full_name"><?php echo lang('label_name');?></label>
					<div class="col-sm-10">
						<input type="text" name="full_name" id="full_name"
							placeholder="<?php echo lang('label_full_name');?>" value="<?php echo set_value('full_name', !empty($user->display_name) ? $user->display_name : ''); ?>"
							class="form-control">
					</div>
				</div>
				<div class="form-group">
					 <label class="col-sm-2 col-form-label" for="phone_number"><?php echo lang('label_user_phone');?></label>
					<div class="col-sm-10">
						<input type="text" name="phone_number" id="phone_number"
							placeholder="<?php echo lang('placeholder_phone_number');?>"
							value="<?php echo set_value('phone_number', isset($user->phone_number) ? $user->phone_number : ''); ?>"
							class="form-control">
					</div>
				</div>
				
				<div class="form-group <?php echo form_error('address') ? 'error' : ''; ?>">
					<label class="col-sm-2 col-form-label" for="postcode"><?php echo lang('label_address');?></label>
					<div class="col-sm-10">
						<?php echo gc_form_element('textarea', array( 'name' => 'address', 'field_only' => true, array('placeholder' => lang('placeholder_address'))), (isset($user->address) ? $user->address : '')); ?>
					</div>
				</div>
				
				<div class="form-group <?php echo form_error('postcode') ? 'error' : ''; ?>">
				<label class="col-sm-2 col-form-label" for="postcode"><?php echo lang('label_postcode');?></label>
					<div class="col-sm-10">
						<input id='postcode' class='form-control' type='text'
							name='postcode' maxlength="10"
							placeholder="<?php echo lang('placeholder_postcode');?>"
							value="<?php echo set_value('postcode', isset($user->postcode) ? $user->postcode : ''); ?>" />
					</div>
				</div>
				
				<div class="form-group <?php echo form_error('city') ? 'error' : ''; ?>">
				<?php echo form_label(lang('label_city'), 'city', array('class' => 'col-sm-2 col-form-label') ); ?>
				<div class="col-sm-10">					
					<div class="input-group">
						<input class="form-control search-typeahead" name="city" id="cities" autocomplete="off" type="text" placeholder="<?php echo lang('help_city');?>" value="<?php echo set_value('city', isset($selected_city) ? $selected_city : ''); ?>">
						<span class="input-group-btn search-input-group-btn">
							<button class="city-spinner btn <?php echo isset($selected_city) ?  'btn-success' : 'btn-warning'; ?>"><i class="fa <?php echo isset($selected_city) ? 'fa-check-circle' : 'fa-info-circle'; ?>"></i></button>
						</span>
					</div>
					<span class='help-block'><?php echo form_error('city'); ?></span>
				</div>
				</div>			
				<?php echo form_hidden ( 'city_id', isset($city_id) ? $city_id : '');?>								
				</div>
				</div>
			</fieldset>
	</div>
	<!-- /.col-lg-12 -->
	<div class="col-md-4">
		<fieldset>
			<legend><?php echo lang('label_payment_methods');?></legend>
			<div class="card card-default">
  			<div class="card-body">
	<?php foreach($payment_gateways as $payment_gateway):?>
	<div class="radio">
				<label for='<?php echo strtolower($payment_gateway->name);?>'> <input
					id='<?php echo strtolower($payment_gateway->name);?>'
					name='payment_gateways' type='radio' class=''
					value='<?php echo strtolower($payment_gateway->name);?>'
					<?php echo set_radio('payment_gateways', strtolower($payment_gateway->name), (isset($_POST['payment_gateways']) && $_POST['payment_gateways'] == strtolower($payment_gateway->name)) || strtolower($payment_gateway->name) == $order_info->payment_method ? TRUE : FALSE); ?> />
		<?php echo $payment_gateway->display_name;?>
	</label>
			</div>				
	<?php endforeach;?>
	<span class='help-inline'><?php echo form_error('type'); ?></span>
	</div>
	</div>
		</fieldset>
	</div>
</div>
<!-- /.row -->

<fieldset>
	<legend><?php echo lang('label_review_order');?></legend>
	<div class="card card-default">
  	<div class="card-body">
   	<?php echo form_hidden('package_price', set_value('package_price', $order_info->price));?>
   	<?php echo form_hidden('order_tax', set_value('order_tax', $order_info->order_tax));?>
   	<?php echo form_hidden('order_discount', set_value('order_discount', $order_info->order_discount));?>
   	<?php echo form_hidden('order_subtotal', set_value('order_subtotal', $order_info->order_subtotal));?>
   	<?php echo form_hidden('order_total', set_value('order_total', $order_info->order_total));?>
   	<?php echo form_hidden('order_total_with_tax', set_value('order_total_with_tax', $order_info->order_total));?>
	<table class="table table-bordered table-striped">
		<thead>
			<tr>
				<th><?php echo lang('invoice_item');?></th>
				<th style="width: 150px;"><?php echo lang('invoice_total');?></th>
			</tr>
		</thead>
		<tbody>

			<tr>
				<td><span class="package-title"><strong><?php echo $order_info->package_title;?></strong></span>
					<br /> <span class="package-description">
				<?php				
				$description = str_replace ( '<li class="package-list-item">', '', $order_info->package_description );
				$description = str_replace ( '<ul class="package-list">', '', $description );
				$description = str_replace ( '</ul">', '', $description );
				echo str_replace ( '</li>', '<br />', $description );
				?>
				</span></td>
				<td class="cart-subtotal"><?php echo currency_format($order_info->price);?></td>
			</tr>
		</tbody>
	</table>
	<div class="row">
		<div class="col-sm-4 col-md-4">
			<?php echo gc_form_element('textarea', array( 'name' => 'comments', 'field_only' => true, array('placeholder' => lang('label_comments')))); ?>
		</div>
		<div class="col-sm-8 col-md-8">
		<div class="table-responsive">
			<table class="table table-bordered">
				<tr>
					<td><?php echo lang('invoice_subtotal');?></td>
					<td style="width: 150px;"><?php echo currency_format(append_zero($order_info->order_subtotal));?></td>
				</tr>
				<?php if($order_info->order_discount != 0):?>
				<tr class="discount_row">
					<td><?php echo lang('label_discount');?><span class='help-inline discount-type'><?php echo $order_info->value == $order_info->order_discount ? $order_info->coupon_code .'-'. $order_info->value :  $order_info->coupon_code .'-'. $order_info->value .'%';?></span><span class="fa fa-minus-circle float-right"></span></td>
					<td style="width: 150px;"><?php echo settings_item('site.currency_symbol');?><span
						id="discounted_amount"><?php echo append_zero($order_info->order_discount);?></span></td>
				</tr>
				<?php endif;?>
				<?php if($order_info->order_tax != 0):?>
				<tr class="tax_row">
					<td><?php echo lang('label_taxrate');?><span class='help-inline'><?php echo ' (' .$order_info->tax_percent .'%)'; ?></span><span class="fa fa-plus-circle float-right"></span></td>
					<td style="width: 150px;"><?php echo settings_item('site.currency_symbol');?><span
						id="tax_rate"><?php echo append_zero($order_info->order_tax);?></span></td>
				</tr>
				<?php endif;?>
				<tr>
					<td><?php echo lang('invoice_total');?></td>
					<td style="width: 150px;"><?php echo currency_format('<span id="final_price">'. append_zero($order_info->order_total) .'</span>');?></td>
				</tr>
			</table>
		</div>
	<?php if(settings_item('fin.terms_and_conditions') == 1):?>
	<div class="row">
				<div class="col-sm-12">
					<div class="checkbox float-right">
						<label> <input type="checkbox" name="chk_terms" id="chk_terms" value='1' <?php echo set_checkbox('chk_terms', 1); ?>> 
						<?php echo sprintf(lang('label_conditions_checkbox'), '<a data-toggle="modal" data-target="#TermsModal" style="cursor: pointer;">'.lang('label_terms_conditions').'</a>');?>
    </label>
					</div>
					<div id="TermsModal" class="modal fade" tabindex="-1" role="dialog"
						aria-labelledby="TermsAndConditions" aria-hidden="true">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h4 class="modal-title" id="TermsAndConditions"><?php echo $page->title;?></h4>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									  <span aria-hidden="true">&times;</span>
									</button>
								</div>
								<div class="modal-body">
				<?php echo $page->body;?>
	      </div>
								<div class="modal-footer">
									<button type="button" class="btn btn-secondary"
										data-dismiss="modal"><?php echo lang('form_closego');?></button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
  <?php endif;?>	
  <div class="row top2">
				<div class="col-sm-12">
					<!-- Button -->
					<div class="float-right">
						<input type="submit" id="save" name="save" class="btn btn-primary"
							value="<?php echo lang('btn_proceed_to_checkout');?>" />
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
	</div>
</fieldset>
<?php echo form_close();?>