<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo $this->load->view('common/_module_nav_member', array('counts' => $counts, 'index_url' => $index_url, 'module' => $module));?>
<?php echo form_open($this->uri->uri_string()); ?>
<?php if(!empty($records)):?>
<?php foreach($records as $record):?>
<div class="card card-default">
	<div class="row">
		<div class="col-md-12" style="margin: 10px;">
			<h4><a href="#viewQuery_<?php echo $record->id;?>" data-toggle="modal"><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'title');?></a></h4>
			<?php if(!empty($record->listing_title)):?>
				<h5><strong><?php echo $record->listing_title;?></strong></h5>
			<?php endif;?>
			<p><i class="fa fa-calendar"></i><small> <?php echo sprintf(lang('label_posted_by_on'), $record->name,  gc_date_format($record->posted_on, TRUE));?></small></p>
			<p><?php echo strip_tags(word_limiter($record->message, 30));?></p>
			<ul class="list-inline">
				<li class="list-inline-item"><span> <i class="fa fa-user"></i> <small> <?php echo $record->name;?></small></span></li>
				<li class="list-inline-item">|</li>
				<span><i class="fa fa-envelope"></i><small> <?php echo $record->email;?></small></span>
				<li class="list-inline-item">|</li>
				<span><i class="fas fa-phone-volume"></i><small> <?php echo !empty($record->phone) ? $record->phone : 'N/A' ;?></small></span>	
				<li class="list-inline-item">|</li>
				<a href="#replyEmailModal" role="button" class="query" id="<?php echo $record->id;?>" data-toggle="modal" rel="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_reply');?>" onclick="$('#query_id').val(<?php echo $record->id;?>);"><i class="fa fa-envelope"></i></a>
				<li class="list-inline-item">|</li>
				<span><?php echo $record->replied == 1 ? '<span class="badge badge-success"><i class="fa fa-check"></i> '.lang('label_replied') : '<span class="badge badge-danger"><i class="far fa-clock"></i> '.lang('label_not_replied') ;?></span></span>	            
			</ul>
		</div>
	</div>
	<?php if($record->replies > 0): ?>
	<div class="card-footer">
		<div class="card card-primary">		
			<div class="card-header parent-heading-<?php echo $record->id;?>">
				<h4 class="card-title cat-loc-title"><?php echo lang('view_replies'); ?>
				<div class="float-right">
					<a data-toggle="collapse" class="view-replies" id="<?php echo $record->id;?>" onclick="CollapseIconChange(this)" href="#collapse-<?php echo $record->id;?>"><i class="fa fa-chevron-down"></i></a>
				</div>
				</h4>
			</div>
		</div>
	</div>
	<?php endif; ?>
</div>
<div class="modal fade" id="viewQuery_<?php echo $record->id;?>">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'title');?></h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">&times;</span>
				</button>
			</div><!-- end modal-header -->
		<div class="modal-body">
			<p><small class="text-muted"><?php echo $record->message;?></small></p>
		</div><!-- end modal-content -->
	</div><!-- end modal-dialog -->
</div>
</div> 
<?php endforeach;?>
<?php else:?>
<div class="card card-default">
<div class="card-body">
<?php echo lang('error_no_record_found');?>
</div>
</div>
<?php endif;?>
<input type="hidden" id="trash" name="checked[]">
<?php echo form_hidden ( 'query_id' );?>
<?php echo form_hidden ( 'save_query', true );?>
<?php echo form_close();?>
<?php echo $this->load->view('common/member_query_reply'); ?>
            
<div class="row">
	<div class="col-sm-12 text-center">
		<?php echo $this->pagination->create_links(); ?>
	</div><!-- end of pagination column -->
</div><!-- end of pagination row -->