<?php
/*=======================================================================*\
 || ###################################################################### ||
 || # GoClixy - Business Directory Script							    # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				    # ||
 || # ----------------------------------------------------------------   # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license    # ||
 || # confers  no  title  or ownership in the Script and is not a sale   # ||
 || # of any rights to the Software. This file may not be redistributed  # ||
 || # in whole or significant part.									    # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------    # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html 	    # ||
 || ###################################################################### ||
 \*=======================================================================*/
?>
<?php
$result = $this->layouts->widget_packages((isset($packages) ? $packages : array()), (isset($type_id) ? $type_id : 0), 'package-list', 'package-list-item');
if($result):
?>
<div class="row">
<?php $i = 1;?>
<?php foreach ($result as $package) :?>
<?php $color = '';
	  $btn = ''; 
switch ($package->price) {
	case 0:
		$color = 'grey';
		$btn = 'btn-primary';
		break;
	case $package->price <= 10:
		$color = 'blue';
		$btn = 'btn-info';
		break;
	case in_array($package->price, range(11,30)):
		$color = 'green';
		$btn = 'btn-success';
		break;
	default:
		$color = 'red';	
		$btn = 'btn-danger';
}
?>
		<div class="col-md-4 col-lg-4">
			<!-- PRICE ITEM -->
			<div class="card price card-<?php echo $color;?>">
				<div class="card-header  text-center">
					<h3><?php echo ucwords(strtoupper($package->title));?></h3><?php echo !empty($package->expires_on) && $package->expires_on != '0000-00-00' ? '<small>'.lang('label_valid_upto').': '. $package->expires_on . '</small>' :''; ?>
				</div>
				<div class="card-body text-center">
					<p class="lead" style="font-size: 30px">
						<strong><?php echo ($package->price == 0) ? lang('label_free') : currency_format($package->price);?> <?php echo ($package->duration == 0) ? '/ ' . lang('label_lifetime') : '/ ' . $package->duration;?></strong>
					</p>
				</div>
				<?php echo $package->description;?>
				<div class="card-footer">
					<?php if(!isset($url)):?>
					<a class="btn btn-lg btn-block <?php echo $btn;?>" href="<?php echo gc_url_format('members/checkout') . '?id=' . $this->crypt->encode($package->id);?>"><?php echo lang('btn_buy_now');?></a>
					<?php else:?>
					<a class="btn btn-lg btn-block <?php echo $btn;?> btn-package" href="<?php echo site_url('members/' . $url) .'?id=' . $this->crypt->encode($package->id);?>" <?php echo (isset($listing_package_price) && ($listing_package_price > $package->price)) ? 'onclick="return confirm(\'' .js_escape(lang('msg_listing_downgrade')) .'\'); "' : '';?>><?php echo $btn_text;?></a>	
					<?php
					if(!empty($package->expires_on)):
						$today_date=new DateTime(date("Y-m-d"));
						$expires_on = new DateTime($package->expires_on);
						$diff = $expires_on->diff($today_date)->format("%a"); // calculate date difference in days
						if($diff < $package->days_before_next_invoice ): ?>
							<a class="btn btn-lg btn-block <?php echo $btn;?> btn-package" href="<?php echo gc_url_format('members/renew') . '?id=' . $this->crypt->encode($package->id) .'&order_id=' . $this->crypt->encode($package->order_id, true);?>"><?php echo lang('listings_action_renew_package');?></a>
						<?php endif?>
					<a class="btn btn-lg btn-block <?php echo $btn;?> btn-package" href="<?php echo gc_url_format('members/upgrade') . '?id=' . $this->crypt->encode($package->id) .'&order_id=' . $this->crypt->encode($package->order_id, true);?>"><?php echo lang('listings_action_upgrade_package');?></a>
					<?php endif;?>
					<?php endif;?>
				</div>
			</div><!-- /PRICE ITEM -->
		</div>
		<?php if($i%3 == 0) {?>
		</div>
		<div class="row">
		<?php } $i++;?>
<?php endforeach;?>
	</div><!-- end of row -->
<?php endif;?>