<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$permission_name = ucwords($module);
$url_form       = SITE_AREA . '/components/messages/form/';
$form_url       = $url_form . str_replace('message_', '', $module);
$edit_url       = $form_url . '/edit/';
$create_url     = $form_url . '/create/';
$num_columns	= 10;
$can_delete	    = $this->auth->has_permission($permission_name . '.Components.Delete');
$can_edit		= $this->auth->has_permission($permission_name . '.Components.Edit');
$can_create		= $this->auth->has_permission($permission_name . '.Components.Create');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
$num_columns++;
endif;
?>
<?php switch($module) { 
    // case 'manual_topics':
    case 'message_queue':
        
        $nav_tabs = array(
        array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
        array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('label_sent')),
        array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('label_pending'))
        );
        echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
        break;
    case 'message_subscribers':
       // echo $this->load->view('manuals/tpl/_filter');
        echo $this->load->view('manuals/tpl/_filter');
        break;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="row">
    	<div class="col-sm-7 mt-3">
        	<?php if($can_create && $module != 'message_sent'):?>
        	<a href="<?php echo site_url($create_url); ?>" class="btn btn-warning btn-sm"><i class="fas fa-plus-circle fa-fw mr-1"></i><?php echo lang('create_' . $module); ?></a>
        	<?php endif;?>
        	<?php if($module == 'message_queue'):?>
        	<button type="submit" name="process_selected" class="btn btn-primary btn-sm"><?php echo lang('process_selected'); ?></button>
        	<button type="submit" name="process_queue" class="btn btn-secondary btn-sm"><?php echo lang('emailer_force_process'); ?></button>
        	<button type="submit" name="clear_queue" class="btn btn-danger btn-sm" onclick="return confirm('<?php e(js_escape(lang('purge_del_confirm'))) ?>');"><?php echo lang('emailer_clear_queue'); ?></button>
        	<button type="submit" name="clear_sent" class="btn btn-success btn-sm" onclick="return confirm('<?php e(js_escape(lang('purge_del_confirm'))) ?>');"><?php echo lang('emailer_clear_sent'); ?></button>
        	<button type="submit" name="clear_pending" class="btn btn-warning btn-sm" onclick="return confirm('<?php e(js_escape(lang('purge_del_confirm'))) ?>');"><?php echo lang('emailer_clear_pending'); ?></button>
        	<span class="btn btn-info btn-sm"><?php echo lang('label_total') . ': ' . $total_rows; ?></span>
        	<?php endif;?>
    	</div>
    	<div class="col-sm-5">
    		<?php echo search_admin(lang('placeholder_' . $module . '_search'), 'col-sm-12');?>
    	</div>
	</div>
		<table class='table table-striped'>
			<thead>
				<tr>
				<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<?php switch($module) {
					    case 'message_queue':?>
					<th><?php echo form_filter('template_id', lang('singular_message_templates')); ?></th>
					<th><?php echo form_filter('subscriber_id', lang('singular_subscribers')); ?></th>
					<th><?php echo form_filter('phone_number', lang('label_phone_number')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo form_filter('created_on', lang('added_on')); ?></th>
					<th><?php echo form_filter('sent_on', lang('sent_on')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
					<?php
					        break;
                        case 'message_sent':
                    ?>
					<th><?php echo form_filter('template_id', lang('singular_message_templates')); ?></th>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('message_to', lang('message_to')); ?></th>
					<th><?php echo form_filter('created_on', lang('added_on')); ?></th>
					<th><?php echo lang('label_action'); ?></th>
					<?php
					        break;
                        case 'message_templates':
                    ?>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('message', lang('label_message')); ?></th>
					<th><?php echo form_filter('created_on', lang('created_on')); ?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on')); ?></th>
					<?php break; }?>
				</tr>
				</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>		
						<?php if ($filter_type == 'deleted'): ?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
						<?php else : ?>
						<?php if(!empty($filter_status)):?>
						<?php foreach($filter_status as $status_filter):?>
						<button class="btn btn-action" type="submit" name="submit" value="status_id__<?php echo $status_filter['id']; ?>"><?php echo $status_filter['name']; ?></button>
						<?php endforeach;?>
						<?php endif;?>
						<?php if ($can_delete) : ?>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>						
						<?php endif; ?>
						<?php endif; ?>
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
					<?php switch($module) {
					    case 'message_queue':?>
					<td><?php 
					if(!empty($record->template_id)):
					echo anchor($url_form . '/templates/edit/' . $record->template_id, $record->template_id . ' - ' . $record->template); 
					else:
					echo lang('not_applicable');
					endif;
					?></td>
					<td><?php 
					if(!empty($record->row_id)):
					echo anchor(site_url(SITE_AREA . '/components/subscribers/form/users/edit/' . $record->row_id), $record->row_id . (!empty($record->subscriber) ? ' - ' . $record->subscriber : ''));
					else:
					echo lang('not_applicable');
					endif;
					?></td>
					<td><?php echo $record->phone_number; ?></td>
					<td><span class="badge <?php echo $record->status == 0 ? 'badge-primary' : 'badge-success'; ?>"><?php echo $record->status == 0 ? lang('label_pending') : lang('label_sent'); ?></span></td>
                    <td><?php echo !empty($record->created_on) ? gc_date_format($record->created_on) : lang('not_applicable'); ?></td>
                    <td><?php echo !empty($record->sent_on) ? gc_date_format($record->sent_on) : lang('not_applicable'); ?></td>
					<td>
						<button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#modal_<?php echo $record->id; ?>">
                          	<i class="fas fa-eye mr-1"></i><?php echo lang('label_view'); ?>
                        </button>
						<div class="modal" id="modal_<?php echo $record->id; ?>">
                        	<div class="modal-dialog">
                            	<div class="modal-content">
                              		<div class="modal-body">
                              			<?php echo $record->message; ?>
                              		</div>
                              	<div class="modal-footer">
                                	<button type="button" class="btn btn-danger" data-dismiss="modal"><?php echo lang('form_close'); ?></button>
                              	</div>                        
                            	</div>
                          	</div>
                        </div>
                        <button type="submit" class="btn btn-info btn-xs" name="send_sms" value="<?php echo $record->id; ?>">
                          	<i class="fas fa-share mr-1"></i><?php echo $record->status == 1 ? lang('resend') : lang('send'); ?>
                        </button>
					</td>
					<?php
					        break;
                        case 'message_sent':
                    ?>
					<td><?php 
					if(!empty($record->template_id)):
					echo anchor($url_form . '/templates/edit/' . $record->template_id, $record->template_id . ' - ' . $record->template); 
					else:
					echo lang('not_applicable');
					endif;
					?>
					</td>
					<td><?php echo $record->name; ?></td>
					<td><?php echo $record->message_to; ?></td>
                    <td><?php echo !empty($record->created_on) ? gc_date_format($record->created_on) : lang('not_applicable'); ?></td>					
					<td>
					<?php if ($can_edit) : ?>
					<?php echo anchor(site_url(SITE_AREA . '/components/messages/send/' . gc_module_name($record->module_id) . '/') . $record->id, '<i class="fas fa-share"></i>', 'class="btn btn-primary btn-xs" data-toggle="tooltip" data-title="' . lang('resend') . '"'); ?>
					<?php endif; ?>
					</td>
					<?php
					        break;
                        case 'message_templates':
                    ?>
					<td>
					<?php if ($can_edit) : ?>
					<?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?>
					<?php else : ?>
					<?php echo $record->name; ?>
					<?php endif; ?>
					</td>
                    <td style="width: 50%;"><?php echo $record->message; ?></td>
                    <td><?php echo gc_date_format($record->created_on); ?></td>
                    <td><?php echo gc_date_format($record->modified_on); ?></td>
                    <?php break; }?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>