<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$nav_url = 'components/messages';
$menus = array(
    array(
        'condition' => '',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('manage_messages'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('manage_messages')
    ),
    array(
        'condition' => 'manage/sent',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Message_Sent.Components.View',
        'url' => $nav_url. '/manage/sent',
        'id' => 'manage_sent',
        'tooltip' => true,
        'title' => lang('manage_message_sent'),
        'label' => '<i class="fas fa-share-square fa-fw mr-1"></i>' . lang('message_sent')
    ),
    array(
        'condition' => 'send/subscriber_users',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Messages.Subscribers.Send',
        'url' => $nav_url. '/send/subscriber_users',
        'id' => 'subscribers_send',
        'tooltip' => true,
        'title' => lang('message_subscribers'),
        'label' => '<i class="fas fa-newspaper fa-fw mr-1"></i>' . lang('message_subscribers')
    ),
    array(
        'condition' => 'send/users',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Messages.Users.Send',
        'url' => $nav_url.'/send/users',
        'id' => 'message_users',
        'tooltip' => true,
        'title' => lang('message_users'),
        'label' => '<i class="fas fa-users fa-fw mr-1"></i>' . lang('message_users')
    ),
    array(
        'condition' => 'send/listings',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Messages.Listings.Send',
        'url' => $nav_url.'/send/listings',
        'id' => 'message_listings',
        'tooltip' => true,
        'title' => lang('message_listings'),
        'label' => '<i class="fas fa-th-list fa-fw mr-1"></i>' . lang('message_listings')
    ),
    array(
        'condition' => 'send/profiles',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Messages.Profiles.Send',
        'url' => $nav_url.'/send/profiles',
        'id' => 'message_profiles',
        'tooltip' => true,
        'title' => lang('message_profiles'),
        'label' => '<i class="fas fa-th-list fa-fw mr-1"></i>' . lang('message_profiles')
    ),
    array(
        'condition' => 'manage/templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Message_Templates.Components.View',
        'url' => $nav_url. '/manage/templates',
        'id' => 'manage_templates',
        'tooltip' => true,
        'title' => lang('manage_message_templates'),
        'label' => '<i class="fas fa-paint-brush fa-fw mr-1"></i>' . lang('message_templates')
    )
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'messages', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>