<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Migration_Install_migrate extends Migration
{
	/**
	 * The name of the database table
	 *
	 * @var String
	 */
	private $table_name = 'migrations';

	/**
	 * The table's fields
	 *
	 * @var Array
	 */
	private $fields = array(
		'id' => array(
			'type' => 'INT',
			'constraint' => 11,
			'auto_increment' => TRUE
		),
		'type' => array(
			'type' => 'VARCHAR',
			'constraint' => 20,
			'null' => FALSE
		),
		'file' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => TRUE
		),
		'fields_separator' => array(
			'type' => 'CHAR',
			'constraint' => 20,
			'default' => ',',
			'null' => FALSE
		),
		'lines_separator' => array(
			'type' => 'CHAR',
			'constraint' => 20,
			'default' => '\n',
			'null' => FALSE
		),
		'enclosed_by' => array(
			'type' => 'CHAR',
			'constraint' => 20,
			'null' => TRUE
		),
		'start_id' => array(
			'type' => 'INT',
			'constraint' => 11,
			'default' => 0,
			'null' => TRUE
		),
		'end_id' => array(
			'type' => 'INT',
			'constraint' => 11,
			'default' => 0,
			'null' => TRUE
		),
		'status' => array(
			'type' => 'TINYINT',
			'constraint' => 1,
			'default' => 0,
			'null' => FALSE
		),
		'operation_type' => array(
			'type' => 'CHAR',
			'constraint' => 10,
			'null' => FALSE
		),
		'performed_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
	);

	/**
	 * Install this migration
	 *
	 * @return void
	 */
	public function up()
	{
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->create_table($this->table_name);
	}

	//--------------------------------------------------------------------

	/**
	 * Uninstall this migration
	 *
	 * @return void
	 */
	public function down()
	{
		if ($this->db->table_exists($this->table_name)) {
			$this->dbforge->drop_table($this->table_name);
		}
	}

	//--------------------------------------------------------------------

}