<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 9;
$can_delete	= $this->auth->has_permission('Migrate.Settings.Delete');
$can_edit		= $this->auth->has_permission('Migrate.Settings.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('type', lang('label_data_exported'));?></th>
					<th><?php echo form_filter('file', lang('label_file') . ' ' .lang('label_name'));?></th>
					<th><?php echo form_filter('fields_separator', lang('label_fields_separator'));?></th>
					<th><?php echo form_filter('lines_separator', lang('label_lines_separator'));?></th>
					<th><?php echo form_filter('start_id', lang('label_start_id'));?></th>
					<th><?php echo form_filter('end_id', lang('label_end_id'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
					<th><?php echo form_filter('performed_on', lang('label_performed_on'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns + 1; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					
					<td><?php e(ucfirst($record->type)); ?></td>
					<td><?php echo anchor(base_url() . 'uploads/exports/' . $record->file, $record->file); ?></td>
					<td><?php e($record->fields_separator); ?></td>
					<td><?php e($record->lines_separator); ?></td>
					<td><?php e($record->start_id); ?></td>
					<td><?php e($record->end_id); ?></td>
					<td><?php echo $record->status == 0 ? '<span class="badge badge-warning">' . lang('migrate_failure') . '</span>' : '<span class="badge badge-success">' . lang('migrate_success') . '</span>'; ?></td>
					<td><?php e($record->performed_on) ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close();
	echo $this->pagination->create_links();
	?>
</div>