<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$migrate = isset($migrate) ? (array) $migrate : array();
$id = isset($migrate['id']) ? $migrate['id'] : '';

?>
<div class="text-right">
<a class="btn btn-sm btn-success" href="<?php echo site_url('uploads/format.xlsx');?>" title="<?php echo lang('sample_file');?>"><i class="fa fa-download"></i> <?php echo lang('sample_file');?></a>
</div>
<div class="admin-box">
	<?php echo form_open_multipart($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
		<?php
			$options = array();
			$options[''] = lang('option_import_type');
			$config_modules = gc_modules();
			$config_modules[] = 'videos';
			foreach($config_modules as $config_module) {
				$options[$config_module] = lang($config_module);
			}
			$options['categories'] = lang('categories');
			$options['categories_relation'] = lang('categories_relation');
			$options['subscriber_users'] = lang('label_subscribers');
			$options['states'] = lang('states');
			$options['cities'] = lang('cities');
			$options['localities'] = lang('label_localities');
			$options['users'] = lang('users');
			echo gc_form_element('dropdown', array('name' => 'type', 'options' => $options), $migrate, lang('label_import'). lang('bf_form_label_required'));

			$options = array(
				'' => lang('option_file_type'),
				'csv'	=> lang('label_csv'),
				'Excel5' => lang('label_excel_97_2003'),
				'Excel2007' => lang('label_excel_2007')
			);
			echo gc_form_element('dropdown', array('name' => 'file_type', 'options' => $options), $migrate, lang('label_file_type'). lang('bf_form_label_required'));
			
			$control_style = !empty($_POST['file_type']) && $_POST['file_type'] == 'csv' ? : 'display: none;';
			echo gc_form_element('text', array('name' => 'fields_separator', 'control_class' => 'csv-fields', 'control_style' => $control_style, 'help' => lang('placeholder_fields_separator'), 'default_value' => ',', 'extra' => array('maxlength' => 100)), $migrate, lang('label_fields_separator'). lang('bf_form_label_required'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'lines_separator', 'control_class' => 'csv-fields', 'control_style' => $control_style, 'help' => lang('placeholder_lines_separator'), 'default_value' => '\n', 'extra' => array('maxlength' => 100)), $migrate, lang('label_lines_separator'). lang('bf_form_label_required'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'enclosed_by', 'control_class' => 'csv-fields', 'control_style' => $control_style, 'tooltip' => lang('placeholder_enclosed_by'), 'extra' => array('maxlength' => 100)), $migrate, lang('label_enclosed_by'), 'col-sm-4');
			echo gc_form_element('checkbox', array('name' => 'use_id_for_update', 'control_class' => 'csv-fields', 'control_style' => $control_style, 'no_label' => TRUE), (isset($_POST['use_id_for_update']) && $_POST['use_id_for_update'] == 1), lang('id_update_warning'), 'col-sm-9');
			
			$radio_options = array(
					array('name' => 'insert_or_update', 'default_value' => 1, 'value' => (!isset($_POST['insert_or_update']) || (isset($_POST['insert_or_update']) && $_POST['insert_or_update'] == 1 ? TRUE : FALSE)), 'label' => lang('label_insert_only')),
					array('name' => 'insert_or_update', 'default_value' => 0, 'value' => (isset($_POST['insert_or_update']) && $_POST['insert_or_update'] == 0), 'label' => lang('label_insert_update')),
			);
			echo gc_form_element('radio', array('options' => $radio_options), array(), lang('label_db_transaction'));
				
			?>
			<div class="form-group form-row <?php echo form_error('file') ? 'error' : ''; ?>">
				<?php echo form_label(lang('label_import') .' '.lang('label_file'). lang('bf_form_label_required'), 'migrate_file', array('class' => 'col-sm-3 col-form-label') ); ?>
				<div class="col-sm-6">
					<input id='migrate_file' type='file' name='migrate_file' />
					<span class='help-inline'><?php echo form_error('file'); ?></span>
					<?php if(!empty($_POST['uploaded_file'])): ?>
						<input type="text" name="uploaded_file" id="uploaded_file"  class="readonly-field" readonly="readonly" value="<?php echo !empty($_POST['uploaded_file']) ? $_POST['uploaded_file'] : '';?>" />
					<?php else: ?>
						<input type="hidden" name="uploaded_file" id="uploaded_file" />
					<?php endif;?>
					<br />
					<?php echo lang('label_or_file_name');?>
					<input id='online_file_path' type='text' name='online_file_path' class='form-control' maxlength="100" value="<?php echo set_value('online_file_path', isset($migrate['file']) ? $migrate['file'] : ''); ?>" />
					<p class="help-inline"><small><?php echo sprintf(lang('help_file_path'), FCPATH ."uploads/imports");// lang('placeholder_fields_separator');?></small></p>
					<span class='help-inline'><?php echo form_error('label_fields_separator'); ?></span>
				</div>
			</div>
			<?php
			$action_data = array(
					'url' => SITE_AREA . '/settings/migrate/all_imports'
			);
			$action_data['delete'] = FALSE;
			echo gc_form_element('actions', $action_data);
			?>
	</fieldset>
    <?php echo form_close(); ?>
</div>