<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'android', 'url' => $index_url . 'android/', 'title' => lang('android')),
    array('filter' => $filter_type, 'condition' => 'ios', 'url' => $index_url . 'ios/', 'title' => lang('ios')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive')),
    array('filter' => $filter_type, 'condition' => 'epush', 'url' => $index_url . 'epush/', 'title' => lang('enabled_push')),
    array('filter' => $filter_type, 'condition' => 'dpush', 'url' => $index_url . 'dpush/', 'title' => lang('disabled_push')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
$num_columns	= 12;
$can_delete	= $this->auth->has_permission('Mobiles.Components.Delete');
$can_edit		= $this->auth->has_permission('Mobiles.Components.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>

<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<div class="row">
			<div class="col-sm-12">
				<?php echo search_admin(lang('placeholder_mobile_device_search'));?>
			</div>
		</div>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('platform', lang('label_platform'));?></th>
					<th><?php echo form_filter('uuid', lang('label_device_id'));?></th>	
					<th><?php echo form_filter('model', lang('label_model'));?></th>	
					<th><?php echo form_filter('token', lang('label_token'));?></th>									
					<th><?php echo form_filter('push', lang('label_push'));?></th>									
					<th><?php echo form_filter('language', lang('bf_language'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
					<th><?php echo lang('label_action')?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge" ><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>
							<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="epush"><?php echo lang('enable_push'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="dpush"><?php echo lang('disable_push'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete" ><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>					
					<td><?php e($record->id) ?></td>					
					<td><?php e($record->platform); ?></td>
					<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/components/mobiles/view/' . $record->id, '<i class="fas fa-edit"></i> ' . $record->uuid); ?></td>
					<?php else : ?>
					<td><?php e($record->uuid); ?></td>
					<?php endif; ?>
					<td><?php echo !empty($record->model) ? $record->model : ''; ?></td>
					<td class="wrap-token"><?php e($record->token) ?></td>
					<td>
					<button type="submit" name="push_status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->push == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->push == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
					<td><?php e(ucfirst($record->language)); ?></td>
					<td><?php e(gc_date_format($record->created_on)) ?></td>
					<td>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>					
					<td><button type="submit" class="btn btn-primary btn-xs" name="push" value="<?php echo $record->id;?>"><i class="fas fa-edit"></i> <?php echo lang('label_message');?></button></td>
				</tr>
				<?php
					endforeach;
				else: 
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('label_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();?>
</div>