<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/

$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'android', 'url' => $index_url . 'android/', 'title' => lang('android')),
    array('filter' => $filter_type, 'condition' => 'ios', 'url' => $index_url . 'ios/', 'title' => lang('ios')),
	array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive')),
    array('filter' => $filter_type, 'condition' => 'disabled', 'url' => $index_url . 'disabled/', 'title' => lang('label_disabled'))
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

$num_columns	= 10;
$can_delete	= $this->auth->has_permission('Mobiles.Components.Delete');
$can_edit		= $this->auth->has_permission('Mobiles.Components.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_notifications_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('platform', lang('label_platform'));?></th>
					<th><?php echo form_filter('uuid', lang('label_device_id'));?></th>
					<th><?php echo form_filter('title', lang('label_title'));?></th>									
					<th><?php echo form_filter('message', lang('label_message'));?></th>
					<th><?php echo form_filter('type', lang('label_type'));?></th>
					<th><?php echo form_filter('date_sent', lang('label_date_sent'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge" ><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>
							<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="disabled"><?php echo lang('label_disabled'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete" ><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<?php if ($can_edit) : ?>					
					<td><?php echo anchor(SITE_AREA . '/components/mobiles/notification/' . $record->id, '<i class="fa fa-eye"></i> ' . $record->id); ?></td>
					<?php else : ?>
					<td><?php e($record->id); ?></td>
					<?php endif; ?>					
					<td><?php e($record->platform); ?></td>
					<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/components/mobiles/view/' . $record->device_id, '<i class="fas fa-edit"></i> ' . $record->uuid); ?></td>
					<?php else : ?>
					<td><?php e($record->uuid); ?></td>
					<?php endif; ?>
					<td><?php echo !empty($record->title) ? $record->title : ''; ?></td>
					<td><?php e($record->message) ?></td>
					<td><?php e($record->type) ?></td>
					<td><?php e(gc_date_format($record->date_sent, true)) ?></td>
					<td><?php switch($record->status) {
						case 0:
							echo '<span class="badge badge-warning text-center">' . lang('to_be_sent') . '<br /> ' . (empty($record->scheduled_on) || $record->scheduled_on == '0000-00-00 00:00:00' ? '' : $record->scheduled_on ). '</span>';
							break;
						case 1:
							echo '<span class="badge badge-success">' . lang('sent') . '</span>';
							break;
						case 2:
							echo '<span class="badge badge-danger">' . lang('label_disabled') . '</span>';
							break;
					}?>
					</td>					
				</tr>
				<?php
					endforeach;
				else: 
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('label_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();?>
</div>