<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$nav_url = 'components/mobiles';
$menus = array(
    array(
        'condition' => '',
        'url' => $nav_url,
        'permission' => 'Mobiles.Components.Devices',
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('view_mobile_devices'),
        'label' => '<i class="fas fa-mobile fa-fw mr-1"></i>' . lang('view_mobile_devices')
    ),
    array(
        'condition' => 'broadcast',
        'permission' => 'Mobiles.Components.Edit',
        'id' => 'broadcast_notification',
        'url' => $nav_url . '/broadcast',
        'tooltip' => true,
        'title' => lang('broadcast_notification'),
        'label' => '<i class="fas fa-microphone fa-fw mr-1"></i>' . lang('broadcast_notification')
    ),
    array(
        'condition' => 'logs',
        'url' => $nav_url. '/logs',
        'permission' => 'Mobiles.Components.Logs',
        'id' => 'logs',
        'tooltip' => true,
        'title' => lang('notification_logs'),
        'label' => '<i class="fas fa-history fa-fw mr-1"></i>' . lang('notification_logs')
    ),
    array(
        'condition' => 'manage/sliders',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'url' => $nav_url. '/manage/sliders',
        'permission' => 'Mobile_Sliders.Components.View',
        'id' => 'slider',
        'tooltip' => true,
        'title' => lang('mobile_sliders'),
        'label' => '<i class="fas fa-images fa-fw mr-1"></i>' . lang('mobile_sliders')
    ),
    array(
        'condition' => 'manage/components',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Mobile_Components.Components.View',
        'url' => $nav_url. '/manage/components',
        'id' => 'mobile_components',
        'tooltip' => true,
        'title' => lang('mobile_components'),
        'label' => '<i class="fas fa-palette fa-fw mr-1"></i>' . lang('mobile_components')
    ),  
    array(
        'condition' => 'manage/links',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Mobile_Links.Components.View',
        'url' => $nav_url. '/manage/links',
        'id' => 'mobile_links',
        'tooltip' => true,
        'title' => lang('mobile_links'),
        'label' => '<i class="fas fa-link fa-fw mr-1"></i>' . lang('mobile_links')
    ),
    array(
        'condition' => 'manage/popups',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Mobile_Popups.Components.View',
        'url' => $nav_url. '/manage/popups',
        'id' => 'mobile_popups',
        'tooltip' => true,
        'title' => lang('mobile_popups'),
        'label' => '<i class="fas fa-anchor fa-fw mr-1"></i>' . lang('mobile_popups')
    ),
    array(
        'condition' => 'manage/icons',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Mobile_Icons.Components.View',
        'url' => $nav_url. '/manage/icons',
        'id' => 'mobile_icons',
        'tooltip' => true,
        'title' => lang('mobile_icons'),
        'label' => '<i class="fas fa-icons fa-fw mr-1"></i>' . lang('mobile_icons')
    ),
    array(
        'condition' => 'settings',
        'id' => 'mobile_settings',
        'permission' => 'Mobiles.Components.View',
        'url' => $nav_url . '/settings',
        'title' => lang('mobile_settings'),
        'label' => '<i class="fas fa-cog fa-fw mr-1"></i>' . lang('mobile_settings')
    )
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'mobiles', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>