<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
echo form_validations();
$notification = isset($notification) ? (array) $notification : array();
$id = isset($notification['id']) ? $notification['id'] : '';
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
		<?php
		echo gc_form_element('checkbox', array('name' => 'broadcast', 'no_label' => TRUE), $notification, lang('broadcast'));
		echo gc_form_element('link', array('url' => SITE_AREA . '/components/mobiles/view/' . $notification['device_id'], 'title' => '<i class="fas fa-edit"></i> ' . $notification['uuid']), array(), lang('label_device_id'));
		
		$notification_status = '';
		switch($notification['status']) {
			case 0:
				$notification_status = '<span class="badge badge-warning">' . lang('to_be_sent') . '</span>';
				break;
			case 1:
				$notification_status = '<span class="badge badge-success">' . lang('sent') . '</span>';
				break;
			case 2:
				$notification_status = '<span class="badge badge-danger">' . lang('label_disabled') . '</span>';
				break;
		}
		echo gc_form_element('form_elements', array('form_elements' => array($notification_status)), array(), lang('label_status'));
		echo gc_form_element('text', array('name' => 'platform', 'extra' => array('readonly' => TRUE, 'maxlength' => 100)), $notification, lang('label_platform'), 'col-sm-4');
		echo gc_form_element('text', array('name' => 'title', 'extra' => array('readonly' => TRUE, 'maxlength' => 255)), $notification, lang('label_title'));
		echo gc_form_element('text', array('name' => 'message', 'extra' => array('readonly' => TRUE, 'maxlength' => 255)), $notification, lang('label_message'));
		
		$type = array(
				'General' => lang('general'),
				'Promotional' => lang('promotional'),
				'Sales' => lang('sales'),
				'Informational' => lang('informational'),
		);
		echo gc_form_element('dropdown', array('name' => 'type', 'options' => $type, 'extra' => array('readonly' => TRUE)), $notification, lang('message_type'));
		echo gc_form_element('textarea', array('name' => 'response', 'extra' => array('readonly' => TRUE)), $notification, lang('label_response'));
		echo gc_form_element('text', array('name' => 'scheduled_on', 'extra' => array('readonly' => TRUE)), $notification, lang('scheduled_on'));
		echo gc_form_element('text', array('name' => 'date_sent', 'extra' => array('readonly' => TRUE)), $notification, lang('label_date_sent'));
		echo gc_form_element('text', array('name' => 'created_on', 'extra' => array('readonly' => TRUE)), $notification, lang('created_on'));
		echo gc_form_element('text', array('name' => 'modified_on', 'extra' => array('readonly' => TRUE)), $notification, lang('modified_on'));
		echo gc_form_element('text', array('name' => 'ip_address', 'extra' => array('readonly' => TRUE)), $notification, lang('label_ip_address'));
		?>
		<div class="form-actions">
			<?php echo anchor(SITE_AREA .'/components/mobiles', lang('cancel'), 'class="btn btn-warning"'); ?>				
			<?php if ($this->auth->has_permission('Mobiles.Components.Delete')) : ?>
			<?php echo lang('bf_or'); ?>
			<button type="submit" name="delete" class="btn btn-danger" id="delete-me" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>'); ">
				<span class="icon-trash icon-white"></span>&nbsp;<?php echo lang('delete_record'); ?>
			</button>
			<?php endif; ?>
		</div>
		</fieldset>
    <?php echo form_close(); ?>
</div>