<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 19;
$can_delete	= $this->auth->has_permission('Banners.Settings.Delete');
$can_edit		= $this->auth->has_permission('Banners.Settings.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<p class="text-right">
<a href="<?php echo site_url(SITE_AREA .'/components/mobiles/add_banner'); ?>" class="btn btn-sm btn-primary"><?php echo lang('add_banner');?></a>
</p>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('title', lang('label_title'));?></th>
					<th><?php echo form_filter('image', lang('label_image'));?></th>
					<th><?php echo form_filter('start_date', lang('label_start_date'));?></th>
					<th><?php echo form_filter('end_date', lang('label_end_date'));?></th>
					<th><?php echo form_filter('clicks', lang('label_clicks'));?></th>
					<th><?php echo form_filter('priority', lang('label_order'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('bf_with_selected');?>
						<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('gc_action_activate'); ?></button>
						<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('gc_action_deactivate'); ?></button>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/components/mobiles/edit_banner/' . $record->id, '<i class="fas fa-edit"></i>' .  $record->title); ?></td>
				<?php else : ?>
					<td><?php e($record->title); ?></td>
				<?php endif; ?>
					<td>
					<?php if(!empty($record->image)):?>
					<a rel="gallery" href="<?php echo base_url("assets/images/" .$record->image);?>" class="gc-fancybox">
						<img src="<?php echo base_url("assets/images/" .$record->image);?>">
					</a>
					<?php endif;?>
					</td>
					<td><?php e($record->start_date) ?></td>
					<td><?php e($record->end_date) ?></td>
					<td><?php e($record->clicks) ?></td>
					<td><?php e($record->priority) ?></td>
					<td>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();
	?>
</div>