<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
/**
 * news controller
 */
class Content extends Admin_Controller {
	protected $permissionView   = 'News.Content.View';
	/**
	 * Constructor
	 *
	 * @return void
	 */
	public function __construct() {
		parent::__construct();

		$this->auth->restrict($this->permissionView);
		$this->load->model('news_model', null, true);
		$this->lang->load('news');
		Template::set_block('sub_nav', 'content/_sub_nav');
	}
	
	/**
	 * Manage News
	 * @param string $filter
	 * @param number $offset
	 */
	public function index($filter = 'all', $offset = 0) {
	    $this->manage('news', $filter = 'all', $offset = 0);
	}
	
	/**
	 * Manage News
	 * @param string $module
	 * @param string $filter
	 * @param number $offset
	 */
	public function manage($module = 'news', $filter = 'all', $offset = 0) {
	    $extra = array(
	        'model' => 'news',
	        'context' => 'content',
	        'fields' => null
	    );
	    $extra['actions'] = array( // Extra buttons
	        array('type' => 'link', 'link' => site_url(SITE_AREA . '/content/news/form/' . $module . '/edit/%s'), 'label' => '<i class="fas fa-edit fa-fw mr-1"></i>' . lang('edit'), 'class' => 'btn btn-xs btn-primary'),
	    );
	    $this->gc->module_view($module, $filter, $offset, 'admin', $extra);
	}
	
	/**
	 * Add/Edit News Data
	 *
	 * @param string $module
	 * @param string $action
	 *
	 * @return void
	 */
	public function form($module = 'news', $action = 'create') {
	    clear_cache('news');
	    Assets::add_js(array(
	        'tinymce/tinymce.min.js',
	    ));
	    $params = array(
	        'model' => 'news',
	        'context' => 'content',
	        'redirect_url' => site_url(SITE_AREA . '/content/news/manage/' . $module)
	    );
	    $params['extra_fields'] = array('multi_language' => 1);
	    $this->gcrud->form($module, $action, 'admin', $params);
	}
}