<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
class News extends Front_Controller {

	public function __construct() {
		parent::__construct();

		$this->load->library('form_validation');
		$this->load->model('news_model', null, true);
		$this->load->library('parser');
		$this->lang->load('news');
		//Assets::add_module_js('news', 'news.js');
	}
	
	/**
	 * Displays a list of all news.
	 *
	 * @return void
	 */
	public function index($offset = 0) {
	    $module = 'news';
	    $this->news_model->limit($this->limit, $offset);
	    $records = $this->news_model->find_all();
	    $records = $this->layouts->widget_modules_view($module, $records, array());
	    $total_rows = $this->news_model->count_all();
	    // Pagination
	    $this->load->library('pagination');	    
	    $pager['base_url']     = site_url("news/index/");
	    $pager['total_rows']   = $total_rows;
	    $pager['per_page']     = $this->limit;
	    $pager['uri_segment']  = 3;	    
	    $this->pagination->initialize($pager);
	    $pagination = $this->pagination->create_links();
	    
	    Template::set(array(
	        'module' => $module,
	        'searchKeyword' => '',
	        'pagination' => $pagination,
	        'records' => $records	        
	    ));
	    Template::set('toolbar_title', lang('manage_news'));
	    $layout = $this->gc->load_assets('modules/blogs/view');
	    Template::set_view($layout['view']);
	    Template::render($layout['layout']);
	}

	/**
	 * Display news information to the user
	 * @param string $slug
	 */
	public function detail($slug = NULL) {	
		if($slug == NULL)	{
			redirect(site_url());
		} else {
			$news = $this->news_model->select('id, title, slug, image, description AS body, keywords, meta_title, meta_keywords, meta_description')->find_by('slug', $slug);
			if(!$news) {
				redirect(site_url());
			}
			// get translations if exists
			$news = $this->translations->get_translations('news', $news->id, $news, 1);			
			// slug_redirect('news', $news); // must pass ID with slug for multi language redirect
			$description = $news->body;
			$page_title = $news->meta_title;
			$last_space = strrpos( substr( $description, 0, 200 ), ' ' );
			$page_description = strip_tags(substr( $description, 0, $last_space ) . '...');
			$page_keywords = $news->keywords;
			Template::set(array(
				'title' => $news->title,
				'page_detail'=> $news,
			    'page_title' => $news->meta_title,
			    'meta_keywords' => $news->meta_keywords,
				'meta_description' => $news->meta_description
			));
			
			// update module hits
			$this->gc->updateHits($news->id, 'news');
				
			// add/update recently viewed status
			$this->gc->add_recently_viewed($news->id, 'news');
			$layout = $this->gc->load_assets('pages');
			Template::set_view($layout['view']);
			Template::render($layout['layout']);
		}
	}
}