<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 10;
$can_delete	= $this->auth->has_permission('News.Content.Delete');
$can_edit		= $this->auth->has_permission('News.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_news_search'));?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('title', lang('label_headline'));?></th>
					<th width="35%"><?php echo form_filter('description', lang('label_story'));?></th>
					<th><?php echo form_filter('hits', lang('label_hits'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on'));?></th>
					<th class="text-center"><?php echo form_filter('status', lang('label_status'));?></th>					
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id) ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/content/news/edit/' . $record->id, $record->title); ?>
					<?php if(!empty($record->image)):?>
					<a rel="gallery" href="<?php echo gc_image_url($record->image, false, false, array('relative' => true));?>" class="gc-fancybox">
						<img class="img-home" src="<?php echo gc_image_url($record->image, false, false, array('relative' => true));?>">
					</a>
					<?php endif;?>
					</td>
				<?php else : ?>
					<td><?php e($record->title); ?>
					<?php if(!empty($record->image)):?>
					<img class="img-home" src="<?php echo gc_image_url($record->image, false, false, array('relative' => true));?>">
					<?php endif;?>
					</td>
				<?php endif; ?>
					<td><?php echo htmlspecialchars_decode(stripslashes(substr($record->description, 0, 200))). '...'; ?></td>
					<td><?php e($record->hits) ?></td>
					<td><?php e(gc_date_format($record->created_on)) ?></td>
					<td><?php e(gc_date_format($record->modified_on)) ?></td>
					<td class="text-center">					
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>					
					<?php if($record->status == 1):?>
					<?php echo anchor(gc_url_format('news', $record->slug), lang('label_view'), 'class="btn btn-xs btn-info"'); ?>
					<?php endif;?>
					</td>
					
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('label_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();?>
</div>