<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
class Orders extends Front_Controller {
	public function __construct() {
		parent::__construct();
		$this->load->library('form_validation');
	}
	
	// Modify this method to allow user to checkout without registration
	public function checkout() {
		$this->load->library('crypt');
		$package_id = intval($this->crypt->decode($this->input->get('id')));
		$user_id = (int) $this->auth->user_id();
		$this->load->model('orders/orders_model');
		$result = $this->orders_model->free_paid_checkout($package_id, 'packages', $user_id);
		if(!empty($result['url']) && empty($result['free_checkout'])) {
		    $this->orders_model->checkout($user_id);
		} else {
		    Template::redirect(gc_url_format('members'));
		}
	}
	
	/**
	 * Order Cancellations - Products only
	 * @param integer $item_id
	 */
	public function cancellation($item_id) {
	    $this->load->model('orders/cancellations_model');
	    $this->cancellations_model->form('order_items', $item_id, 0, 'member');
	    Template::set('cancel_url', gc_url_format('members/orders'));
	    $this->gc->demo_custom_css_js('member');
	    Template::render('member');
	}
	
	/**
	 * Thank you page for Google conversion tracking
	 */
	public function thankyou() {
	    $this->lang->load('payment_gateways/payment_gateways');
	    // $this->session->set_flashdata('thankyou', array('order_id' => 'OD3423423423', 'email_id' => 'parveensaini@gmail.com'));
	    $data = $this->session->flashdata('thankyou');
	    if(empty($data['order_id']) && empty($data['email_id'])) {
	        redirect(site_url());
	    }
	    Template::set(array(
	        'toolbar_title' => lang('label_order') . ' #' .  $data['order_id'],
	        'order_id' => $data['order_id'],
	        'email_id' => $data['email_id']
	    ));
	    $this->gc->demo_custom_css_js('member');
	    Template::render('member');
	}
	
	/**
	 * Transaction Cancelled
	 */
	public function cancelled() {
	    $this->lang->load('payment_gateways/payment_gateways');
	    // $this->session->set_flashdata('thankyou', array('order_id' => 'OD3423423423', 'email_id' => 'parveensaini@gmail.com'));
	    $data = $this->session->flashdata('thankyou');
	    if(empty($data['order_id']) && empty($data['email_id'])) {
	        redirect(site_url());
	    }
	    Template::set(array(
	        'toolbar_title' => lang('label_order_id') . ' #' .  $data['order_id'],
	        'order_id' => $data['order_id'],
	        'email_id' => $data['email_id']
	    ));
	    $this->gc->demo_custom_css_js('member');
	    Template::render('member');
	}
	
	/**
	 * Allow user to download invoice
	 */
	public function download() {
	    if(!empty($_GET['order_id'])) {	        
	        $order_id = escape($_GET['order_id']);
	        $this->orders_model->email_print($order_id, 'pdf', array('path' => FCPATH . 'assets/files/invoices', 'attach_invoice' => true));
	    }
	}
	
	/**
	 * Display Cart Page if one page checkout is disabled
	 */	
	public function cart() {
	    Assets::add_js('checkout.js');
	    $user_id = $this->auth->user_id();
	    $cart = $this->orders_model->checkout_params($user_id, 'all');
	    $this->session->set_userdata('checkout_cart_visited', 1); // to redirect user to the cart item page first before checkout
	    Template::set(array(
	        'toolbar_title' => lang('label_cart'),
            'cart' => !empty($cart['items']) ? $cart['items'] : array(),
	        'checkout_coupon' => !empty($cart['coupon']) ? $cart['coupon'] : ''
        ));
	    $layout = $this->gc->load_assets('members/cart');
	    Template::set_view($layout['view']);
	    Template::render($layout['layout']);
	}
}
?>