<div class="card card-body">
   <div class="row">
      <div class="col-sm-6">
         <dl class="row my-0">
            <dt class="col"><?php echo lang('label_order_id');?></dt>
            <dd class="col"><?php echo anchor($role == 'admin' ? site_url(SITE_AREA . '/financial/orders/view/' . $order->id) : gc_url_format('members/view') . '/' . $order->order_id, $order->order_id);?></dd>
         </dl>
         <dl class="row my-0">
            <dt class="col"><?php echo lang('label_date');?></dt>
            <dd class="col"><?php echo gc_date_format($order->created_on, true);?></dd>
         </dl>
         <dl class="row my-0">
            <dt class="col"><?php echo lang('label_order_total');?></dt>
            <dd class="col"><?php echo currency_format($order->order_total, $order->currency_code);?></dd>
         </dl>
      </div>
      <div class="col-sm-6">
         <h4><?php echo lang('label_address');?></h4>
         <p><?php echo $order->customer_name;?>
         	<span class="d-block"><?php echo $order->address; ?></span>
            <?php if(!empty($location)):?>
            <span class="d-block"><?php echo $location->city;?> - <?php echo $order->postcode; ?>, <?php echo $location->state;?></span>
            <?php endif;?>
         </p>
      </div>
   </div>
</div>
<?php
if(!empty($items)):
foreach($items as $item):
?>
<div class="card card-body">
  <div class="row">
  	<?php 
  	$item_info = json_decode($item->item ?? '');
  	$item_url = site_url();
  	if(!empty($item_info->slug)):
  	$item_url = gc_url_format('products', $item_info->slug, $item_info->id) . (!empty($item_info->variant_id) ? '?sku=' . $item_info->variant_id : '');
  	endif;
  	?>
  	<div class="col-sm-4">
  		<a href="<?php echo $item_url; ?>" title="<?php echo $item_info->name; ?>" target="_blank">
  			<img src="<?php echo gc_image_url($item_info->cover);?>" class="img-thumbnail" alt="<?php echo $item_info->name;?>" />
  		</a>
  		<div class="text-center">
  			<span style="color: <?php echo $item->status_color; ?>"><?php echo !empty($item->status_lang) ? lang($item->status) : $item->status;?></span>
  		</div>
  		<?php echo form_open($this->uri->uri_string()); ?>
   	  		<?php if($item->status_id == 2 && $this->orders_model->has_refund_policy($order->created_on, $item->refund_duration, 1)):?>
   	  		<button class="btn btn-danger btn-xs" name="cancel_item" value="<?php echo $item->id; ?>" type="submit">
   	  			<?php echo lang('bf_action_cancel');?>
   	  		</button>
   	  		<?php endif;?>
		<?php echo form_close(); ?>
  	</div>
  	<div class="col-sm-8">
  		<h5 class="text-uppercase h6">
   	  		<a href="<?php echo $item_url; ?>" title="<?php echo $item_info->name; ?>" target="_blank" class="text-decoration-none">
   	  			<?php echo $item_info->name; ?>
   	  		</a>
  		</h5>
  		<?php echo !empty($item_info->attributes) ? implode('|', (array) $item_info->attributes) : ''; ?>
  	</div>
  </div>
</div>
<?php endforeach; ?>
<?php endif;?>
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<fieldset>			
<?php 
$options = array();
echo gc_form_element('dropdown', array('name' => 'reason_id', 'options' => $reasons), $record, lang('label_reason'). lang('bf_form_label_required'));
echo gc_form_element('textarea', array('name' => 'comments'), $record, lang('label_comments'));
$action_data = array(
	'url' => $redirect_url
);
$action_data['delete'] = FALSE;
echo gc_form_element('actions', $action_data);
?>
</fieldset>
<?php echo form_close(); ?>