<?php
$nav_url = 'financial/orders';
$nav_links = array(
    array(
        'condition' => 'summary',
        'permission' => 'Orders.Financial.Summary',
        'url' => $nav_url. '/summary',
        'id' => 'summary',
		'tooltip' => true,
		'title' => lang('gc_menu_summary'),
		'label' => '<i class="fas fa-home fa-lg"></i>'
    ),
    array(
        'condition' => '',
        'permission' => 'Orders.Financial.View',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('title_all_orders'),
        'label' => '<i class="fas fa-list fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/invoices',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Invoices.Financial.View',
        'url' => $nav_url. '/manage/invoices',
        'id' => 'order_invoices',
        'tooltip' => true,
        'title' => lang('order_invoices'),
        'label' => '<i class="fas fa-file-invoice fa-lg"></i>'
    ),
    array(
		'condition' => 'create',
		'permission' => 'Orders.Financial.Create',
        'url' => $nav_url. '/create',
        'id' => 'create_new',
		'tooltip' => true,
		'title' => lang('title_create_order'),
		'label' => '<i class="fas fa-plus-circle fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/items',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Items.Financial.View',
        'url' => $nav_url. '/manage/items',
        'id' => 'ordered_items',
        'tooltip' => true,
        'title' => lang('manage_ordered_items'),
        'label' => '<i class="fas fa-luggage-cart fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/cancellations',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Cancellations.Financial.View',
        'url' => $nav_url. '/manage/cancellations',
        'id' => 'order_cancellations',
        'tooltip' => true,
        'title' => lang('order_cancellations'),
        'label' => '<i class="fas fa-user-times fa-lg"></i>'
    ),
    array(
        'condition' => 'track',
        'segment' => $this->uri->segment(4),
        'permission' => 'Orders.Financial.Track',
        'url' => $nav_url. '/track',
        'id' => 'order_tracking',
        'tooltip' => true,
        'title' => lang('order_tracking'),
        'label' => '<i class="fas fa-truck fa-lg"></i>'
    ),
    array(
        'condition' => 'assign_package',
        'url' => $nav_url. '/assign_package',
        'id' => 'assign_package',
        'tooltip' => true,
        'title' => lang('assign_package'),
        'label' => '<i class="fas fa-user-circle fa-lg"></i>'
    ),
    array(
		'condition' => 'reports',
        'url' => $nav_url. '/reports',
        'id' => 'reports',
		'tooltip' => true,
		'title' => lang('advanced_search'),
		'label' => '<i class="fas fa-search fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/email_templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Email_Templates.Financial.View',
        'url' => $nav_url. '/manage/email_templates',
        'id' => 'order_email_templates',
        'tooltip' => true,
        'title' => lang('order_email_templates'),
        'label' => '<i class="fas fa-envelope fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/statuses',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Statuses.Financial.View',
        'url' => $nav_url. '/manage/statuses',
        'id' => 'statuses',
        'tooltip' => true,
        'title' => lang('manage_order_statuses'),
        'label' => '<i class="fas fa-thumbs-up fa-lg"></i>'
    ),
    array(
        'condition' => 'settings',
        'permission' => 'Order_Settings.Financial.Manage',
        'url' => $nav_url . '/settings',
        'id' => 'order_settings',
        'tooltip' => true,
        'title' => lang('gc_menu_settings'),
        'label' => '<i class="fas fa-cog fa-lg"></i>'
    )
);
echo $this->load->view('common/_subnav', array('nav_links' => $nav_links));
?>