<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$num_columns	= 9;
$can_delete	    = $this->auth->has_permission('Order_Cancellations.Financial.Delete');
$can_edit		= $this->auth->has_permission('Order_Cancellations.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('cancellation_search'));?>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('order_id', lang('label_order_id')); ?></th>
					<th><?php echo form_filter('user_id', lang('label_user')); ?></th>
					<th><?php echo form_filter('module_id', lang('label_module')); ?></th>
					<th><?php echo form_filter('row_id', lang('label_title')); ?></th>
					<th><?php echo form_filter('reason', lang('label_reason')); ?></th>
					<th><?php echo form_filter('comments', lang('label_comments')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th><?php echo form_filter('created_on', lang('created_on')); ?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on')); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/financial/orders/edit_cancellation/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->order_id); ?></td>
				<?php else : ?>
					<td><?php e($record->order_id); ?></td>
				<?php endif; ?>
					<td><?php e($record->user_id); ?></td>
					<td><?php e($record->module_id); ?></td>
					<td><?php e($record->row_id); ?></td>
					<td><?php e($record->reason); ?></td>
					<td><?php e($record->comments); ?></td>
					<td><?php e($record->status); ?></td>
					<td><?php e(gc_date_format($record->created_on, TRUE)); ?></td>
					<td><?php e(gc_date_format($record->modified_on, TRUE)); ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>