<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all'))
	
);
$statuses = array('active', 'confirmed', 'pending', 'failed', 'cancelled', 'upgraded', 'renewed', 'claimed', 'expired', 'refunded', 'spammed');
$nav_tabs[] = array(
    'type' => 'dropdown',
    'filter' => $filter_type,
    'condition' => $filter_type,
    'active' => (in_array($filter_type, $statuses) || $filter_type == NULL ? true : false),
    'url' => $index_url,
    'record_type' => 'statuses',
    'records' => $statuses,
    'title' => lang('label_status') . (in_array($filter_type, $statuses) ? ": " . lang('tab_' . $filter_type) : '')
);
$nav_tabs[] = array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted'));
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
?>

<?php

$num_columns	= 24;
$can_delete	= $this->auth->has_permission('Orders.Financial.Delete');
$can_edit		= $this->auth->has_permission('Orders.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
    	<div class="row mt-2">
    		<div class="col-md-4 mt-2">
    			<?php echo lang('label_results'); ?>: <span class="btn btn-primary"><?php echo $total_rows;?></span>
    		</div>
    		<div class="col-md-8">
    			<?php echo search_admin(lang('placeholder_order_search'), 'offset-sm-5 col-sm-6');?>
    		</div>
    	</div>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('order_id', lang('label_order_id'));?></th>
					<th><?php echo form_filter('order_type', lang('label_order_type'));?></th>
					<th><?php echo form_filter('invoice_id', lang('label_invoice_no'));?></th>
					<th><?php echo form_filter('created_on', lang('label_date'));?></th>					
					<th><?php echo form_filter('expires_on', lang('label_expires_on'));?></th>
					<th><?php echo form_filter('user_email', lang('label_customer'));?></th>
					<th><?php echo form_filter('order_total', lang('label_amount'));?></th>
					<th><?php echo form_filter('payment_method', lang('label_payment_method'));?></th>
					<th style="width: 150px;"><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
						</td>
					</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record['id']; ?>" /></td>
					<?php endif;?>
					<td><?php e($record['id']); ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/financial/orders/view_order/' . $record['order_id'], '<i class="fas fa-edit"></i>' .  $record['order_id']); ?></td>
				<?php else : ?>
					<td><?php e($record['order_id']); ?></td>
				<?php endif; ?>
					<td><?php e($this->orders_model->order_type_info($record['order_type'], TRUE)); ?></td>
					<td>
						<a href="<?php echo site_url(SITE_AREA . '/financial/orders/edit_invoice/' . $record['invoice_id']);?>" title="<?php e($record['invoice_prefix'] . $record['invoice_id']); ?>">
							<?php e($record['invoice_prefix'] . $record['invoice_id']); ?>
						</a>
					</td>
					<td><?php e(gc_date_format($record['created_on'], true)) ?></td>
					<td><?php echo !empty($record['expires_on']) && $record['expires_on'] != '0000-00-00' ? gc_date_format($record['expires_on'], false) : lang('label_never'); ?></td>
					<td>
						<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $record['user_id']);?>" title="<?php echo $record['display_name']; ?>">
							<?php echo ($record['display_name'] .'<br /><small>' . $record['user_id'] . ' - ' . $record['user_email'] .'</small>') ?>
						</a>
					</td>
					<td><?php echo currency_format($record['order_total']); // echo currency_format($record['order_total']); ?></td>
					<td><?php e($record['payment_method']) ?></td>
					<td><?php echo gc_order_status($record['status'], true);?><br />
					<?php echo lang('label_change_status');?><br />
					<select class="input-medium form-control" name="status_<?php e($record['id']); ?>">
						<option value="0" <?php echo ($record['status'] == 0) ? 'selected' : '';?>><?php echo lang('tab_active');?></option>
						<option value="1" <?php echo ($record['status'] == 1) ? 'selected' : '';?>><?php echo lang('tab_confirmed');?></option>
						<option value="2" <?php echo ($record['status'] == 2) ? 'selected' : '';?>><?php echo lang('tab_pending');?></option>
						<option value="3" <?php echo ($record['status'] == 3) ? 'selected' : '';?>><?php echo lang('tab_failed');?></option>
						<option value="4" <?php echo ($record['status'] == 4) ? 'selected' : '';?>><?php echo lang('tab_cancelled');?></option>						
						<option value="5" <?php echo ($record['status'] == 5) ? 'selected' : '';?>><?php echo lang('tab_upgraded');?></option>
						<option value="6" <?php echo ($record['status'] == 6) ? 'selected' : '';?>><?php echo lang('tab_renewed');?></option>
						<option value="7" <?php echo ($record['status'] == 7) ? 'selected' : '';?>><?php echo lang('tab_claimed');?></option>
						<option value="8" <?php echo ($record['status'] == 8) ? 'selected' : '';?>><?php echo lang('tab_expired');?></option>
						<option value="9" <?php echo ($record['status'] == 9) ? 'selected' : '';?>><?php echo lang('tab_refunded');?></option>	
						<option value="10" <?php echo ($record['status'] == 10) ? 'selected' : '';?>><?php echo lang('tab_spammed');?></option>						
					</select>
					<?php switch($record['order_type']) {
						case 1:
						case 3:
						case 4:
							// Nothing to Update
							break;
						default:?>
						<div class="checkbox">				
						<label>
							<input type="checkbox" value="1" name="reverse_row_<?php e($record['id']); ?>" id="<?php e($record['id']); ?>" class="reverse_row"><?php echo lang('label_reverse_row')  . ' <a role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="' . lang('help_reverse_row') . '" class="help-label"><i class="fas fa-question"></i></a>';?>
						</label>
						</div>
					<?php }?>
						<div class="checkbox">
						<label>
							<input type="checkbox" value="1" name="notify_customer_<?php e($record['id']); ?>" id="<?php e($record['id']); ?>" class="notify_customer"><?php echo lang('label_notify_customer');?>
						</label>
						</div>
						<button type="submit" class="btn btn-xs btn-primary" name="save" value="<?php e($record['id']); ?>"><i class="fas fa-save fa-fr"></i><?php echo lang('save')?></button>
						<button class="btn btn-xs btn-warning" type="submit" name="print" value="<?php echo $record['order_id'];?>"><i class="fas fa-file-pdf fa-fr"></i><?php echo lang('print_info');?></button>
						<button class="btn btn-xs btn-success" type="submit" name="generate_invoice" value="<?php echo $record['order_id'];?>"><i class="fas fa-file-invoice fa-fr"></i><?php echo lang(empty($record['invoice_id']) ? 'generate_invoice' : 'regenerate_invoice');?></button>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
	<?php echo $this->pagination->create_links();?>
</div>