<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$invoice = isset($invoice) ? (array) $invoice : array();
$id = isset($invoice['id']) ? $invoice['id'] : '';

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
			<?php
			$invoice_input = array(
				array('name' => 'prefix', 'value' => (isset($invoice['prefix']) ? $invoice['prefix'] : settings_item('fin.invoice_prefix')), 'extra' => array('readonly' => true, 'class' => 'form-control field-width')),
				array('name' => 'id', 'name_prefix' => 'invoice_', 'value' => (isset($invoice['id']) ? $invoice['id'] : $invoice_id), 'extra' => array('readonly' => true)),
			);
			echo gc_form_element('text', array('control_class' => 'form-inline', 'options' => $invoice_input), array(), lang('label_invoice_no'));
			echo gc_form_element('text', array('name' => 'order_id', 'extra' => array('readonly' => true)), $invoice, lang('label_order_id'), 'col-sm-2');
				
			$user_options = array(
				'' => lang('label_select_user')
			);
			echo gc_form_element('selectize', array('name' => 'user_id', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/users'), 'extra' => array('placeholder' => lang('placeholder_selectize'))), $invoice, lang('label_user'). lang('bf_form_label_required'));
			echo gc_form_element('text', array('name' => 'due_date'), $invoice, lang('label_due_date'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'date_paid'), $invoice, lang('label_date_paid'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'next_invoice_date'), $invoice, lang('label_next_invoice_date'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'first_reminder'), $invoice, lang('label_first_reminder'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'second_reminder'), $invoice, lang('label_second_reminder'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'third_reminder'), $invoice, lang('label_third_reminder'), 'col-sm-2');
			$options = array(
				//''		=> lang('label_select'),
				'0'		=> lang('pending'),
				'1'		=> lang('paid'),
				'2'		=> lang('cancelled')
			);
			echo gc_form_element('dropdown', array('name' => 'status', 'options' => $options), $invoice, lang('label_status'), 'col-sm-2');
			if($id):
			echo gc_form_element('text', array('name' => 'created_on', 'extra' => array('readonly' => true)), $invoice, lang('created_on'), 'col-sm-2');
			echo gc_form_element('text', array('name' => 'modified_on', 'extra' => array('readonly' => true)), $invoice, lang('modified_on'), 'col-sm-2');
			endif;
			$action_data = array(
				'url' => SITE_AREA .'/financial/orders/invoices'
			);
			if (!$id || !$this->auth->has_permission('Order_Invoices.Financial.Delete')):
			$action_data['delete'] = FALSE;
			endif;
			echo gc_form_element('actions', $action_data);
			?>
		</fieldset>
    <?php echo form_close(); ?>
</div>