<?php
/*=======================================================================*\
 || ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all_invoices')),
    array('filter' => $filter_type, 'condition' => 'pending', 'url' => $index_url . 'pending/', 'title' => lang('tab_pending')),
    array('filter' => $filter_type, 'condition' => 'paid', 'url' => $index_url . 'paid/', 'title' => lang('paid_orders')),
	array('filter' => $filter_type, 'condition' => 'cancelled', 'url' => $index_url . 'cancelled/', 'title' => lang('tab_cancelled')),
    array('filter' => $filter_type, 'condition' => 'expired', 'url' => $index_url . 'expired/', 'title' => lang('tab_expired')),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted'))
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

$num_columns	= 12;
$can_delete		= $this->auth->has_permission('Order_Invoices.Financial.Delete');
$can_edit		= $this->auth->has_permission('Order_Invoices.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<?php echo search_admin(lang('placeholder_invoice_search'));?>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_invoice_no'));?></th>
					<th><?php echo form_filter('order_id', lang('label_order_id'));?></th>
					<th><?php echo form_filter('due_date', lang('label_due_date'));?></th>
					<th><?php echo form_filter('date_paid', lang('label_date_paid'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo lang('label_action'); ?></th>						
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/financial/orders/edit_invoice/' . $record->id, '<i class="fas fa-edit"></i>' .  $record->prefix .$record->id); ?></td>
				<?php else : ?>
					<td><?php e($record->prefix); ?></td>
				<?php endif; ?>
					<td><?php echo anchor(SITE_AREA . '/financial/orders/view_order/' . $record->order_id, $record->order_id); ?></td>					
					<td><?php echo !empty($record->due_date) ? gc_date_format($record->due_date, true) : $record->due_date; ?></td>
					<td><?php echo empty($record->date_paid) ? lang('label_never') : gc_date_format($record->date_paid, true); ?></td>
					<td>
					<?php switch ($record->status) { 
							case 0: 
								echo '<span class="badge badge-warning">' . lang('pending') . '</span>'; 
								break;
							case 1:
								echo '<span class="badge badge-success">' . lang('paid') . '</span>';
								break;
							case 2:
								echo '<span class="badge badge-secondary">' . lang('cancelled') . '</span>';
								break;
							case 3:
								echo '<span class="badge badge-danger">' . lang('tab_expired') . '</span>';
								break;
						} ?>
					</td>
					<td><?php e(gc_date_format($record->created_on)) ?></td>					
					<td>					
						<button class="btn btn-primary btn-xs" type="submit" name="email" value="<?php echo $record->order_id;?>"><i class="fas fa-envelope fa-fr"></i><?php echo lang('label_email');?></button>
						<button class="btn btn-warning btn-xs" type="submit" name="print" value="<?php echo $record->order_id;?>"><i class="fas fa-file-pdf fa-fr"></i><?php echo lang('print_info');?></button>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();
	?>
</div>