<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$nav_url = 'financial/orders';
$menus = array(
    array(
        'condition' => 'summary',
        'permission' => 'Orders.Financial.Summary',
        'url' => $nav_url. '/summary',
        'id' => 'summary',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('gc_menu_summary')
    ),
    array(
        'condition' => '',
        'permission' => 'Orders.Financial.View',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('title_all_orders'),
        'label' => '<i class="fas fa-list fa-fw mr-1"></i>' . lang('title_all_orders')
    ),
    array(
        'condition' => 'create',
        'permission' => 'Orders.Financial.Create',
        'url' => $nav_url. '/create',
        'id' => 'create_new',
        'tooltip' => true,
        'title' => lang('title_create_order'),
        'label' => '<i class="fas fa-plus-circle fa-fw mr-1"></i>' . lang('title_create_order')
    ),
    array(
        'condition' => 'manage/invoices',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Invoices.Financial.View',
        'url' => $nav_url. '/manage/invoices',
        'id' => 'order_invoices',
        'tooltip' => true,
        'title' => lang('manage_order_invoices'),
        'label' => '<i class="fas fa-file-invoice fa-fw mr-1"></i>' . lang('order_invoices')
    ),
    array(
        'condition' => 'manage/items',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Items.Financial.View',
        'url' => $nav_url. '/manage/items',
        'id' => 'order_items',
        'tooltip' => true,
        'title' => lang('manage_order_items'),
        'label' => '<i class="fas fa-luggage-cart fa-fw mr-1"></i>' . lang('order_items')
    ),
    array(
        'condition' => 'manage/cancellations',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Cancellations.Financial.View',
        'url' => $nav_url. '/manage/cancellations',
        'id' => 'order_cancellations',
        'tooltip' => true,
        'title' => lang('manage_order_cancellations'),
        'label' => '<i class="fas fa-user-times fa-fw mr-1"></i>' . lang('order_cancellations')
    ),
    array(
        'condition' => 'track',
        'segment' => $this->uri->segment(4),
        'permission' => 'Orders.Financial.Track',
        'url' => $nav_url. '/track',
        'id' => 'order_tracking',
        'tooltip' => true,
        'title' => lang('order_tracking'),
        'label' => '<i class="fas fa-truck fa-fw mr-1"></i>' . lang('order_tracking')
    ),
    array(
        'condition' => 'reports',
        'url' => $nav_url. '/reports',
        'id' => 'reports',
        'tooltip' => true,
        'title' => lang('advanced_search'),
        'label' => '<i class="fas fa-search fa-fw mr-1"></i>' . lang('advanced_search')
    ),
    array(
        'condition' => 'manage/email_templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Email_Templates.Financial.View',
        'url' => $nav_url. '/manage/email_templates',
        'id' => 'order_email_templates',
        'tooltip' => true,
        'title' => lang('order_email_templates'),
        'label' => '<i class="fas fa-envelope fa-fw mr-1"></i>' . lang('order_email_templates')
    ),
    array(
        'condition' => 'manage/statuses',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Order_Statuses.Financial.View',
        'url' => $nav_url. '/manage/statuses',
        'id' => 'statuses',
        'tooltip' => true,
        'title' => lang('manage_order_statuses'),
        'label' => '<i class="fas fa-thumbs-up fa-fw mr-1"></i>'. lang('order_statuses')
    ),
    array(
        'condition' => 'settings',
        'permission' => 'Order_Settings.Financial.Manage',
        'url' => $nav_url . '/settings',
        'id' => 'order_settings',
        'tooltip' => true,
        'title' => lang('gc_menu_settings'),
        'label' => '<i class="fas fa-cog fa-fw mr-1"></i>' . lang('gc_menu_settings')
    )
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'orders', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>