<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php
$record = array();
echo form_validations();
echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
			<?php
			$field_options = array(
				array('type' => 'dropdown', 'name' => 'status', 'options' => $this->fields_model->dropdown_options('order_statuses'), 'extra' => array('class' => 'form-control')),
				array('type' => 'text', 'name' => 'date_from', 'extra' => array('placeholder' => lang('label_from'))),
				array('type' => 'text', 'name' => 'date_to', 'extra' => array('placeholder' => lang('label_to'))),
			);
			echo gc_form_element('text', array('element_container' => 'div.form-inline', 'label_width' => 'col-sm-3', 'options' => $field_options), array(), lang('order_status_duration'), 'col-sm-9');
			if($this->auth->role_id() == 1):
			    echo gc_form_element('selectize', array('name' => 'user_id', 'label_width' => 'col-sm-3', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/users'), 'extra' => array('placeholder' => lang('placeholder_selectize'))), array(), lang('bf_user'), 'col-sm-3');
			endif;
			echo field_location(array('size' => 'col-sm-3', 'label_width' => 'col-sm-3'), $record);
			?>
			<div class="form-row card card-body bg-light">
				<div class="col-sm-6 offset-sm-3">
    				<button type="submit" name="submit" value="summary" class="btn btn-info btn-sm"><i class="fas fa-list-alt fa-fw mr-1"></i><?php echo lang('summary'); ?></button>
    				<button type="submit" name="submit" value="view" class="btn btn-primary btn-sm"><i class="fas fa-eye fa-fw mr-1"></i><?php echo lang('label_view'); ?></button>
    				<button type="submit" name="submit" value="pdf" class="btn btn-warning btn-sm"><i class="fas fa-file-pdf fa-fw mr-1"></i><?php echo lang('print_info'); ?></button>
    				<button type="submit" name="submit" value="excel" class="btn btn-success btn-sm"><i class="fas fa-file-excel fa-fw mr-1"></i><?php echo lang('excel'); ?></button>
    			</div>
			</div>
		</fieldset>
<?php 
echo form_close(); 
?>
<?php
$num_columns	= 4;
$has_records	= isset($records) && is_array($records) && count($records);
?>
<?php if ($action == 'summary' && $has_records) : ?>
<div class="table-responsive">
<table class="table table-striped">
	<thead>
		<tr>
			<th><?php echo lang("label_location");?></th>
			<th><?php echo lang("label_total_users");?></th>
			<th><?php echo lang("gross_total_sales");?></th>
			<th><?php echo lang("gross_discounts");?></th>
			<th><?php echo lang("gross_taxes");?></th>					
			<th><?php echo lang("gross_subtotal");?></th>
			<th><?php echo lang("gross_amount");?></th>					
		</tr>
	</thead>
	<tbody>
		<?php
		if ($has_records) :
			foreach ($records as $record) :
		?>
		<tr>
			<td><?php e($record->Location);?></td>
			<td><?php echo $record->TotalUsers; ?></td>	
			<td><?php echo $record->TotalSales; ?></td>
			<td><?php echo currency_format($record->TotalDiscount); ?></td>	
			<td><?php echo currency_format($record->TotalTax); ?></td>					
			<td><?php echo currency_format($record->SubTotal); ?></td>	
			<td><?php echo currency_format($record->GrossAmount); ?></td>					
		</tr>
		<?php
			endforeach;
		else:
		?>
		<tr>
			<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>		
</div>
<?php echo $this->pagination->create_links();?>
<?php endif;?>

<?php if($action == 'view' && !empty($records)):?>
<div class="row bottom2">
	<div class="col-sm-12">
		<div class="float-right">
			<span class="btn"><strong><?php echo lang('label_order_total'); ?>:</strong></span>
			<span class="btn btn-danger"><?php echo currency_format($amount_total, null, true);?></span>
		</div>
	</div>
</div>
<div class="table-responsive">
<table class="orders-report table table-striped table-bordered">
<thead>
	<tr>
		<?php 
		if(!empty($field_names)):
			foreach($field_names as $field_name):
				echo '<th>' . $field_name . '</th>';
			endforeach;
		endif;
		?>
	</tr>
</thead>
<tbody>
<?php 
foreach($records as $row):
	echo '<tr>';
		foreach($row as $data):
			echo '<td>' . nl2br($data) . '</td>';
		endforeach;
	echo '</tr>';
endforeach;
?>
</tbody>
</table>
</div>
<?php endif;?>