<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
echo form_validations();
$id = isset ($order['id'] ) ? $order['id'] : '';
?>
<div class="admin-box">	
		<fieldset>
		<div>
			<!-- General layout  -->
			<div class="row">
				<div class="col-sm-4">
					<table class="table table-condensed table-bordered table-sm">
						<tr>
							<td class="order-info-td"><strong><?php echo lang('label_order_id');?></strong></td>
							<td><?php echo $order['order_id'];?></td>
						</tr>
						<tr>
							<td><strong><?php echo lang('label_amount');?></strong></td>
							<td><?php echo currency_format($order['order_total'], array('currency' => $order_currency));?></td>
						</tr>						
						<?php if(!empty($order['invoice_id'])):?>
							<tr>
								<td><strong><?php echo lang('label_invoice_id');?></strong></td>
								<td><?php echo $order['invoice_no'];?></td>
							</tr>
						<?php endif;?>						
						<tr>
							<td><strong><?php echo lang('label_payment_method');?></strong></td>
							<td>
							<?php
							if(!empty($order['payment_method_name'])):
							     echo $order['payment_method_name'];
							elseif(!empty($order['payment_method'])):
							    echo lang('label_' . strtolower($order['payment_method']));
							else:
								if($order['order_total'] == 0):
								   echo lang('label_none');
							    else:
							       echo lang('not_applicable');
								endif;
							endif;
							?></td>
						</tr>
						<?php if(!empty($order['transaction_id'])):?>
							<tr>
								<td><strong><?php echo lang('label_transaction_id');?></strong></td>
								<td><?php echo $order['transaction_id'];?></td>
							</tr>
						<?php endif;?>
						<?php if(!empty($order['payer_id'])):?>
							<tr>
								<td><strong><?php echo lang('label_payer_id');?></strong></td>
								<td><?php echo $order['payer_id'];?></td>
							</tr>
						<?php endif;?>
						<?php if(!empty($order['payment_details']) && $order['payment_details'] != '[]'):?>
							<tr>
								<td><strong><?php echo lang('label_payment_logs');?></strong></td>
								<td><a href="#paymentInfo" class="label btn btn-success btn-sm" data-toggle="modal" role="button"><?php echo lang('label_view');?></a></td>
							</tr>
						<?php endif;?>
						<tr>
							<td><strong><?php echo lang('label_date');?></strong></td>
							<td><?php echo gc_date_format($order['created_on']);?></td>
						</tr>
						<tr>
							<td><strong><?php echo lang('label_status');?></strong></td>
							<td><span style="color: <?php echo $order['status_color']; ?>"><?php echo !empty($order['status_lang']) ? lang($order['status']) : $order['status']; ?></span></td>
						</tr>
					</table>
					<div class="card card-info mt-4">
						<div class="card-body">
						<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
							<div class="form-group">
							<div class="col-sm-12">
    							<?php if($order['order_total'] > 0):?>
    							<strong><?php echo lang('label_payment_method');?></strong> 
    							<?php echo gc_form_element('dropdown', array('name' => 'payment_method', 'field_only' => true, 'options' => $payment_gateways), $order['payment_method'], lang('label_payment_method'), 'col-sm-8');?> 							
    							<strong><?php echo lang('label_transaction_id');?></strong> 
    							<?php echo gc_form_element('text', array('name' => 'transaction_id', 'field_only' => true), $order['transaction_id'], lang('label_transaction_id'), 'col-sm-8');?>
    							<?php endif; ?>
								<strong><?php echo lang('label_status');?></strong>
								<?php
								echo gc_form_element('dropdown', array('name' => 'new_status_id', 'options' => $this->fields_model->dropdown_options('order_statuses'), 'field_only' => TRUE), $order['status_id'], lang('label_status'), 'col-sm-2');
								echo gc_form_element('checkbox', array('name' => 'notify_customer', 'field_only' => TRUE), array(), lang('label_notify_customer'));
								echo gc_form_element('checkbox', array('name' => 'reminder_notifications', 'field_only' => TRUE), $order['reminder_notifications'], lang('label_reminder_notifications'));
								echo gc_form_element('checkbox', array('name' => 'reverse_row', 'tooltip' => lang('help_reverse_row'), 'field_only' => TRUE), array(), lang('label_reverse_row'));
								?>
								<strong class="d-block"><?php echo lang('label_order_notes');?></strong>
								<?php echo gc_form_element('textarea', array( 'name' => 'order_notes', 'field_only' => TRUE), $order['notes']); ?>								
								</div>
							</div>
							<div class="mt-2 text-right">
								<input type="submit" class="btn btn-sm btn-info" type="button" name="save" value="<?php echo lang('save');?>">
								<input type="submit" class="btn btn-sm btn-warning" type="button" name="print" value="<?php echo lang('pdf');?>">
								<?php if(empty($order['wallets_refund']) || $order['wallets_refund'] == '0000-00-00 00:00:00' && !empty($order['wallets'])):?>
								<input type="submit" class="btn btn-sm btn-danger" type="button" name="refund_wallet" value="<?php echo lang('refund_wallet');?>" onclick="return confirm('<?php e(js_escape(lang('warning_refund_wallet'))); ?>')">
								<?php endif;?>
							</div>							
							<?php echo form_close(); ?>
						</div>
					</div>
				</div>
				<div class="col-sm-8">
					<div class="row">
					<div class="col-sm-4">
					<h4 class="text-uppercase"><small><?php echo lang('label_customer_information');?></small></h4>
					<strong><?php echo $order['customer_name'];?></strong>
					<a href="#customerInfo" class="badge badge-info" data-toggle="modal"><?php echo lang('bf_action_edit');?></a> <br />
					<?php if(!empty($record->address)): ?>
					<?php echo $record->address; ?><br />
					<?php endif; ?>
					<?php if(!empty($record->city)):?>
					<?php echo $record->city . ' ' . $record->postcode; ?><br />
					<?php endif; ?>
					<?php if(!empty($record->phone_number)): ?>
					<i class="fas fa-phone-volume"></i> <?php echo $record->phone_number; ?><br />
					<?php endif; ?>
					<i class="fas fa-envelope"></i> <?php echo $order['user_email'];?><br />
					<?php if(!empty($record->shipping_name)):?>
					<div class="mt-2 mb-2">
					<h4 class="text-uppercase h5"><i class="fas fa-truck fa-fw mr-1"></i><?php echo lang('group_shipping') . ' ' . lang('label_address'); ?></h4>
					<?php echo $record->shipping_name; ?><br />
					<?php echo $record->shipping_address; ?><br />
					<?php echo $record->shipping_city . ' - ' . $record->shipping_postcode; ?><br />
					<?php echo $record->shipping_state . ' ' . $record->shipping_country; ?><br />
					<i class="fas fa-phone-volume"></i> <?php echo $record->shipping_phone_number; ?><br />
					<?php if(!empty($record->shipping_email)):?>
					<i class="fas fa-envelope"></i> <?php echo $record->shipping_email;?><br />
					<?php endif; ?>
					</div>
					<?php endif; ?>					
					<?php
					if(!empty($form_fields)):
					   foreach($form_fields as $form_field):
					   switch($form_field['name']) {
					       case 'name':
					       case 'address': // fields displayed earlier
					       case 'location':
					       case 'city':
					       case 'postcode':
					       case 'phone_number':
					       case 'shipping_name':
					       case 'shipping_address': // fields displayed earlier
					       case 'shipping_city':
					       case 'shipping_state':
					       case 'shipping_country':
					       case 'shipping_postcode':
					       case 'shipping_phone_number':
					       case 'shipping_email':
					       case 'shipping_city_id':
					           break;
					       default:
					           if(isset($record->{$form_field['name']})):
    					           $label = !empty($form_field['label_lang']) ? lang($form_field['label']) : $form_field['label'];
    					           echo '<strong>' . $label . '</strong>: ' . $record->{$form_field['name']} . '<br />';
    					       endif;
					   }
    				   endforeach;
					endif;
					?>
					
					<?php if(!empty($order['comments'])):?>
					<div class="row">
					<div class="col-sm-12">
					<h4 class="text-uppercase"><small><?php echo lang('label_customer_comments');?></small></h4>
					<?php echo $order['comments'];?></div>
					</div>
					<?php endif;?>		
					</div><!-- end of contact information -->
					<div class="col-sm-8">
					<h4 class="text-uppercase"><small><?php echo lang('label_order_history');?></small></h4>
					<div class="table-wrapper-scroll-y custom-scrollbar">
					<table class="table table-striped table-condensed table-bordered">
						<thead>
							<tr>
								<th><?php echo lang('label_date');?></th>
								<th><?php echo lang('label_comment');?></th>
								<th><?php echo lang('label_status');?></th>
							</tr>
						</thead>
						<?php
						foreach ( $order_histories as $order_history ) :
						if(!empty($order_history['comment'])):
							?>
						<tr>
							<td><?php echo gc_date_format($order_history['created_on']);?></td>
							<td><?php echo $order_history['comment'];?></td>
							<td><?php echo $order_history['new_status'];?></td>
						</tr>
						<?php 
						endif;
						endforeach;?>
					</table>
					</div>
					<?php if(!empty($order['coupon_code'])):?>
					<div class="table-responsive">
						<table class="table table-striped table-condensed table-bordered table-sm">
							<tr>
								<th><?php echo lang('label_coupon') . ' ' . lang('label_code'); ?></th>
								<td><?php echo $order['coupon_code']; ?></td>
							</tr>
							<tr>
								<th><?php echo lang('label_discount'); ?></th>
								<td><?php echo currency_format($order['coupon_discount']); ?></td>
							</tr>
							<?php if(!empty($invitation_user)):?>
							<tr>
								<th><?php echo lang('label_invitation') . ' ' . lang('label_commission'); ?></th>
								<td>
								<?php echo currency_format($order['invitation_commission']); ?>
								<div class="small"><?php echo $invitation_user->id . ' - ' . $invitation_user->display_name . ' (' . $invitation_user->email . ')'; ?></div>
								</td>
							</tr>
							<?php endif; ?>
							<?php if(!empty($affiliate_user)):?>
							<tr>
								<th><?php echo lang('label_affiliate') . ' ' . lang('label_commission'); ?></th>
								<td><?php echo currency_format($order['affiliate_commission']); ?>
								<div class="small"><?php echo $affiliate_user->id . ' - ' . $affiliate_user->display_name . ' (' . $affiliate_user->email . ')'; ?></div>
								</td>
							</tr>
							<?php endif; ?>
						</table>
					</div>
					<?php endif;?>
					</div>					
					</div>
					<div class="row">
					<div class="col-sm-12">
					<h4 class="text-uppercase"><small><?php echo lang('invoice_order_summary');?></small></h4>
				
					<?php 
					// display item status with each item
					$statuses = array();
					$order_statuses = $this->gcache->get('order_statuses', array('result' => 1));
					if($order_statuses):
					    foreach($order_statuses as $order_status):
					        $statuses[$order_status->id] = $order_status;
					    endforeach;
					endif;

                   	$cart_data = array(
                   	    'items' => $order_items,
                   	    'currency' => $order_currency,
                   	    'coupon_value' => $order['coupon_value'],
                   	    'role' => 'admin',
                   	    'statuses' => $statuses
                   	    // 'shipment_status' => $this->ordered_items_model->shipment_status()
                   	);
                   	echo cart_layout($cart_data); // Cart Table
                   	echo cart_summary($cart_data); // Cart Summary             	
               	    ?>
				</div>				
				</div>
				</div>
				
			</div>
		</div>		
	</fieldset>
</div>    
    <!-- Modal -->
    <div id="customerInfo" class="modal fade" role="dialog" aria-labelledby="customerInfoLabel" aria-hidden="true">
    <div class="modal-dialog">	
    <div class="modal-content">
      <div class="modal-header">
        <h3 id="customerInfoLabel" class="modal-title"><?php echo lang('label_billing_information');?></h3>
      </div>
      <div class="modal-body">
      <?php 
        echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
		$layout = 'fieldset';
		echo $this->load->view('fields/layout', array('layout' => $layout, 'form_fields' => $form_fields, 'field_groups' => $field_groups, 'elements_container' => ''));
		?>
		<hr />
		<div class="text-right">
            <input type="submit" class="btn btn-primary" type="button" name="save_customer_info" value="<?php echo lang('save');?>" />
    		<button class="btn btn-secondary" data-dismiss="modal" aria-hidden="true"><?php echo lang('form_close');?></button>
        </div>
        <?php echo form_close(); ?>
      </div>
    </div>
    </div>
    </div>
    <?php if(!empty($order['payment_details'])): ?>
    <!-- Modal -->
	<div id="paymentInfo" class="modal fade" role="dialog">
	  <div class="modal-dialog">	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <h4 id="paymentInfoLabel" class="modal-title"><?php echo lang('label_payment_logs');?></h4>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
	      </div>
	      <div class="modal-body">
	      	<div class="table-responsive">
	        <table class="table table-bordered table-striped table-sm">      						
			<?php if($order['wallets'] != 0):?>
			<tr><td><?php echo lang('label_wallet');?></td><td><?php echo currency_format($order['wallets'], $order['currency_symbol'], true, true, $order['currency_code'], $order['currency_value']);?></td></tr>
			<?php endif;?>	
	      	<?php $payment_details = json_decode($order['payment_details'] ?? '');?>
	      	<?php if(!empty($payment_details)):?>  	
			<?php foreach ($payment_details as $pkey => $pvalue):?>
			<tr>
				<td><strong><?php echo $pkey;?></strong></td>
				<td><?php echo $pvalue;?></td>
			</tr>	
			<?php endforeach;?>
			<?php endif;?>	
			</table>
			</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" data-dismiss="modal">x</button>
	      </div>
	    </div>	
	  </div>
	</div>
    <?php endif; ?>