<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
echo form_validations();
if (isset ( $orders )):
	$orders = ( array ) $orders;
endif;
$id = isset ( $orders ['id'] ) ? $orders ['id'] : '';
?>
<div class="admin-box">	
		<fieldset>
		<div>
			<!-- General layout  -->
			<div class="row">
				<div class="col-sm-4">
					<div class="card card-success order-general-information">
						<div class="card-body">
							<table class="table table-condensed table-bordered">
								<tr>
									<td class="order-info-td"><strong><?php echo lang('label_order_id');?></strong></td>
									<td><?php echo $order['order_id'];?></td>
								</tr>
								<tr>
									<td><strong><?php echo lang('label_amount');?></strong></td>
									<td><?php echo currency_format($order['order_total']);?></td>
								</tr>
								<?php if(!empty($order['payment_method'])):?>
								<tr>
									<td><strong><?php echo lang('label_payment_method');?></strong></td>
									<td><?php echo $order['payment_method'];?></td>
								</tr>
								<?php endif;?>
								<?php if(!empty($order['transaction_id'])):?>
									<tr>
										<td><strong><?php echo lang('label_transaction_id');?></strong></td>
										<td><?php echo $order['transaction_id'];?></td>
									</tr>
								<?php endif;?>
								<?php if(!empty($order['payer_id'])):?>
									<tr>
										<td><strong><?php echo lang('label_payer_id');?></strong></td>
										<td><?php echo $order['payer_id'];?></td>
									</tr>
								<?php endif;?>
								<?php if(!empty($order['payment_details'])):?>
									<tr>
										<td><strong><?php echo lang('label_payment_logs');?></strong></td>
										<td><a href="#paymentInfo" class="label btn btn-success btn-sm" data-toggle="modal" role="button"><?php echo lang('label_view');?></a></td>
									</tr>
								<?php endif;?>
								<tr>
									<td><strong><?php echo lang('label_date');?></strong></td>
									<td><?php echo gc_date_format($order['created_on']);?></td>
								</tr>
								<tr>
									<td><strong><?php echo lang('label_status');?></strong></td>
									<td><?php echo gc_order_status($order['status'], true);?></td>
								</tr>
							</table>							
						</div>
					</div>

					<div class="card card-info">
						<div class="card-body">
						<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
							<?php if($order['order_type'] == 1): ?>
							<div class="form-group">
							<?php // echo form_label(lang('label_description'), 'listing_description', array('class' => 'col-sm-3 col-form-label') ); ?>
							 
								<div class="col-sm-12">
								<span style="text-align:left;"><strong><?php echo lang('label_package');?></strong></span>								
									<select name="package_id" id="package_id" class="form-control">
									 <?php foreach($packages as $package):?>
									 	<option value="<?php echo $package->id;?>" <?php if((isset($_POST['package_id'])&& ($_POST['package_id'] == $package->id)) || ($package->id == $order['package_id'])) {echo "selected";};?>><?php echo $package->title;?></option>
									 <?php endforeach;?>						
									</select><br />
									<?php
									echo gc_form_element('checkbox', array('name' => 'modify_expires_on', 'field_only' => TRUE), array(), lang('label_update_expires_on'));
									echo gc_form_element('checkbox', array('name' => 'update_existing_listings', 'field_only' => TRUE), array(), lang('label_update_existing_listings'));
									?>
								</div>
							</div>
							<?php endif;?>
							<div class="form-group">
							<div class="col-sm-12">
							<strong><?php echo lang('label_status');?></strong>  
								<select class="input-medium form-control" name="order_status">
									<option value="0"
										<?php echo ($order['status'] == 0) ? 'selected' : '';?>><?php echo lang('tab_active');?></option>
									<option value="1"
										<?php echo ($order['status'] == 1) ? 'selected' : '';?>><?php echo lang('tab_confirmed');?></option>
									<option value="2"
										<?php echo ($order['status'] == 2) ? 'selected' : '';?>><?php echo lang('tab_pending');?></option>
									<option value="3"
										<?php echo ($order['status'] == 3) ? 'selected' : '';?>><?php echo lang('tab_failed');?></option>
									<option value="4"
										<?php echo ($order['status'] == 4) ? 'selected' : '';?>><?php echo lang('tab_cancelled');?></option>
									<option value="5"
										<?php echo ($order['status'] == 5) ? 'selected' : '';?>><?php echo lang('tab_upgraded');?></option>
									<option value="6"
										<?php echo ($order['status'] == 6) ? 'selected' : '';?>><?php echo lang('tab_renewed');?></option>
									<option value="7"
										<?php echo ($order['status'] == 7) ? 'selected' : '';?>><?php echo lang('tab_claimed');?></option>
									<option value="8"
										<?php echo ($order['status'] == 8) ? 'selected' : '';?>><?php echo lang('tab_expired');?></option>
									<option value="9"
										<?php echo ($order['status'] == 9) ? 'selected' : '';?>><?php echo lang('tab_refunded');?></option>
									<option value="10"
										<?php echo ($order['status'] == 10) ? 'selected' : '';?>><?php echo lang('tab_spammed');?></option>
								</select> 
								<?php echo gc_form_element('checkbox', array('name' => 'notify_customer', 'field_only' => TRUE), array(), lang('label_notify_customer')); ?>
								<?php switch($order['order_type']) {
									case 1:
									case 3:
									case 4:
										// Nothing to Update
										break;
									default:
										echo gc_form_element('checkbox', array('name' => 'reverse_row', 'tooltip' => lang('help_reverse_row'), 'field_only' => TRUE), array(), lang('label_reverse_row'));
								}
								?>
								<input type="hidden" value="<?php echo $order['order_id'];?>" name="order_id"> 
								<input type="hidden" value="<?php echo $order['status'];?>" name="old_order_status"> 
								<strong><?php echo lang('label_order_notes');?></strong>
								<?php echo gc_form_element('textarea', array( 'name' => 'order_notes', 'field_only' => TRUE), $order['notes']); ?>								
								</div>
							</div>
							<div class="float-right top2">
								<input type="submit" class="btn btn-sm btn-info" type="button" name="save" value="<?php echo lang('save');?>">
								<input type="submit" class="btn btn-sm btn-warning" type="button" name="print" value="<?php echo lang('pdf');?>">
								<?php if(empty($order['wallets_refund']) || $order['wallets_refund'] == '0000-00-00 00:00:00' && !empty($order['wallets'])):?>
								<input type="submit" class="btn btn-sm btn-danger" type="button" name="refund_wallet" value="<?php echo lang('refund_wallet');?>" onclick="return confirm('<?php e(js_escape(lang('warning_refund_wallet'))); ?>')">
								<?php endif;?>
							</div>							
							<?php echo form_close(); ?>
						</div>
					</div>
				</div>
				<div class="col-sm-8">
					<div class="row">
					<div class="col-sm-4">
					<h4 style="text-transform: uppercase;"><small><?php echo lang('label_customer_information');?></small></h4>
					<strong><?php echo $order['name'];?></strong>
					<a href="#customerInfo" class="badge badge-info" data-toggle="modal"><?php echo lang('bf_action_edit');?></a> <br />
					<?php if(!empty($order['address'])): ?>
					<?php echo $order['address']; ?><br />
					<?php endif; ?>
					<?php if(!empty($city) || !empty($order['postcode'])): ?>
					<?php echo $city . ' ' .$order['postcode'];?><br />
					<?php endif; ?>
					<?php if(!empty($order['phone_number'])): ?>
					<i class="fas fa-phone-volume"></i> <?php echo $order['phone_number'];?><br />
					<?php endif; ?>
					<i class="fas fa-envelope"></i> <?php echo $order['user_email'];?><br />
					
					<?php
					if(!empty($meta_fields)):
					   foreach($meta_fields as $meta_key => $meta_value):
					   if(!empty($meta_value)):
					       echo '<strong>' . $meta_key . '</strong>: ' . $meta_value;
					   endif;
    				   endforeach;
					endif;
					?>
					
					<?php if(!empty($order['comments'])):?>
					<div class="row">
					<div class="col-sm-12">
					<h4 style="text-transform: uppercase;"><small><?php echo lang('label_customer_comments');?></small></h4>
					<?php echo $order['comments'];?></div>
					</div>
					<?php endif;?>					
					<?php if(isset($affiliate_user)): ?>
					<h4 style="text-transform: uppercase;"><small><?php echo lang('label_affiliate');?></small></h4>
					<?php echo $affiliate_user;?><br />
					<?php echo sprintf(lang('label_affiliate_commission'), currency_format($order['affiliate_commission']), gc_module_translation(gc_module_name($order['commission_module'])));?>
					<?php endif; ?>
					</div><!-- end of contact information -->
					<div class="col-sm-8">
					<h4 style="text-transform: uppercase;"><small><?php echo lang('label_order_history');?></small></h4>
					<table class="table table-striped table-condensed table-bordered">
						<thead>
							<tr>
								<th><?php echo lang('label_date');?></th>
								<th><?php echo lang('label_comment');?></th>
								<th><?php echo lang('label_status');?></th>
							</tr>
						</thead>
						<?php
						foreach ( $order_histories->result () as $order_history ) :
							?>
						<tr>
							<td><?php echo gc_date_format($order_history->created_on);?></td>
							<td><?php echo $order_history->comments;?></td>
							<td><?php echo gc_order_status($order_history->order_status, true);?></td>
						</tr>
						<?php endforeach;?>
					</table>
					</div>					
					</div>
					<div class="row">
					<div class="col-sm-12">
					<h4 style="text-transform: uppercase;"><small><?php echo lang('invoice_order_summary');?></small></h4>
				
					<?php 
                   	$cart_data = array(
                   	    'items' => json_decode($order['item'] ?? ''),
                   	    'amount' => $order['order_subtotal'],
                   	    'currency_symbol' => $order['currency_symbol'],
                   	    'currency_code' => $order['currency_code'],
                   	    'currency_value' => $order['currency_value'],
                   	    'item_price' => $order['item_price'],
                   	    'qty' => $order['qty'],
                   	    'total' => $order['order_total'],
                   	    'subtotal' => $order['order_subtotal'],
                   	    'discount' => $order['order_discount'],
                   	    'tax' => $order['order_tax'],
                   	    'tax_percent' => $order['tax_percent'],
                   	    'pyg_module' => isset($pyg_module) ? $pyg_module : '',
                   	    'order_type' => $order['order_type'],
                   	    'shipments' => isset($shipments) ? $shipments : array(),
                   	    'ordered_items' => isset($ordered_items) ? $ordered_items : array(),
                   	    'shipment_status' => $this->ordered_items_model->shipment_status()
                   	);
                   	echo cart_layout($cart_data); // Cart Table
                   	echo cart_summary($cart_data); // Cart Summary             	
               	    ?>
				</div>				
				</div>
				</div>
				
			</div>
		</div>		
	</fieldset>
</div>    
    <!-- Modal -->
    <div id="customerInfo" class="modal fade" role="dialog" aria-labelledby="customerInfoLabel" aria-hidden="true">
    <div class="modal-dialog">	
    <div class="modal-content">
      <div class="modal-header">
        <h3 id="customerInfoLabel" class="modal-title"><?php echo lang('label_billing_information');?></h3>
      </div>
      <div class="modal-body">
		<?php 
		echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
		echo gc_form_element('text', array('name' => 'name', 'name_prefix' => 'full_', 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 255, 'placeholder' => lang('label_full_name'))), $order, lang('label_name'), 'col-sm-9');
		echo gc_form_element('text', array('name' => 'phone_number', 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 150, 'placeholder' => lang('label_phone_number'))), $order, lang('label_user_phone'), 'col-sm-9');
		echo gc_form_element('textarea', array('name' => 'address', 'label_width' => 'col-sm-3'), $order, lang('label_address'), 'col-sm-9');
		echo gc_form_element('form_city', array('hasLocality' => false, 'city_only' => true));
		echo gc_form_element('text', array('name' => 'postcode', 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 150, 'placeholder' => lang('label_postcode'))), $order, lang('label_postcode'), 'col-sm-9');
		$this->load->view('common/_meta', array('meta_layout' => 'none', 'role' => 'admin'));
		?>
		<div class="float-right mt-3">
            <input type="submit" class="btn btn-primary" type="button" name="save_customer_info" value="<?php echo lang('save');?>" />
    		<button class="btn btn-secondary" data-dismiss="modal" aria-hidden="true"><?php echo lang('form_close');?></button>
        </div>
        <?php echo form_close(); ?>
      </div>
    </div>
    </div>
    </div>
    <?php if(!empty($order['payment_details'])): ?>
    <!-- Modal -->
	<div id="paymentInfo" class="modal fade" role="dialog">
	  <div class="modal-dialog">	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <h4 id="paymentInfoLabel" class="modal-title"><?php echo lang('label_payment_logs');?></h4>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
	      </div>
	      <div class="modal-body">
	      	<div class="table-responsive">
	        <table class="table table-bordered table-striped table-sm">      						
			<?php if($order['wallets'] != 0):?>
			<tr><td><?php echo lang('label_wallet');?></td><td><?php echo currency_format($order['wallets']);?></td></tr>
			<?php endif;?>	
	      	<?php $payment_details = unserialize($order['payment_details']);?>
	      	<?php if(!empty($payment_details)):?>  	
			<?php foreach ($payment_details as $pkey => $pvalue):?>
			<tr>
				<td><strong><?php echo $pkey;?></strong></td>
				<td><?php echo $pvalue;?></td>
			</tr>	
			<?php endforeach;?>
			<?php endif;?>	
			</table>
			</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" data-dismiss="modal">x</button>
	      </div>
	    </div>	
	  </div>
	</div>
    <?php endif; ?>