<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$num_columns	= 15;
$can_delete	    = false;
$can_edit		= false;
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
    $num_columns++;
endif;
?>
<?php if(!empty($is_seller)):?>
<div class="alert alert-info">
<?php echo lang('alert_shipping');?>
</div>
<?php endif; ?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_ordered_items_search'));?>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('row_id', lang('label_item')); ?></th>
					<th><?php echo form_filter('order_id', lang('label_order_id')); ?></th>
					<?php if($role == 'admin'):?>
					<th><?php echo form_filter('seller_id', lang('label_seller')); ?></th>
					<?php endif;?>
					<th><?php echo form_filter('price', lang('label_price')); ?></th>
					<th><?php echo form_filter('qty', '<i class="fas fa-clipboard-list"></i>', lang('label_qty')); ?></th>
					<?php if($role == 'admin' && isset($filter)): // remove the isset($filter) to allow user to filter records ?>
					<th><?php echo form_filter('total', '<i class="fas fa-shopping-cart"></i>', lang('label_total')); ?></th>
					<th><?php echo form_filter('subtotal', '<i class="fas fa-money-bill-alt"></i>', lang('label_subtotal')); ?></th>
					<th><?php echo form_filter('tax', '<i class="fas fa-gavel"></i>', lang('label_tax')); ?></th>
					<th><?php echo form_filter('discount', '<i class="fas fa-tags"></i>', lang('label_discount')); ?></th>
					<th><?php echo form_filter('commission', '<i class="fas fa-calculator"></i>', lang('label_commission')); ?></th>
					<th><?php echo lang('gc_menu_payouts'); ?></th>
					<?php endif; ?>
					<th><?php echo form_filter('shipment_status', lang('label_shipment')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>					
					
					<td><?php e($record->id); ?></td>
					<td style="max-width: 300px;">
						<?php echo cart_item($record->item, null, gc_module_name($record->module_id));?>
						<?php if(!empty($is_seller) && $record->status_id == 2): ?>
						<div class="card mt-2">
						<?php $customer_info = array(
							$record->customer_name,
							$record->customer_address . '<br />' . $record->customer_city . ' - ' . $record->customer_postcode . '<br />' . $record->customer_state . ', ' . $record->customer_country,
							'<strong>' . lang('label_phone_number') . ':</strong> ' . $record->customer_phone_number,
						); ?>
						<div class="card-header"><?php echo lang('label_shipment') . ' ' . lang('label_address'); ?></div>
						<div class="card-body pt-1 pb-1 small text-muted">
							<?php echo implode('<br />', $customer_info); ?>
						</div>
						</div>
						<?php endif; ?>				
					</td>
					<td style="min-width: 200px;">
					<?php 					
					if($role == 'admin'):
					echo anchor(SITE_AREA . '/financial/orders/view_order/' . $record->order_id, $record->order_id) . '<br><small>' . $record->created_on . '</small>';
					else:
					echo $record->order_id . '<br><small>' . $record->created_on . '</small>';
					endif;
				    //echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/view_order/' . $record->order_id : gc_url_format('members/view_invoice') . '?order_id=' . $record->order_id), $record->order_id) . '<br><small>' . $record->created_on . '</small>'; ?>
					<?php // if($role != 'admin'): ?>
					<table class="table table-bordered table-sm mt-1 small">
						<tbody>
    						<tr><td><?php echo lang('label_total'); ?></td><td><?php e(currency_format($record->total)); ?></td></tr>
    						<tr><td><?php echo lang('label_subtotal'); ?></td><td><?php e(currency_format($record->subtotal)); ?></td></tr>
    						<tr><td><?php echo lang('label_tax'); ?></td><td><?php e(currency_format($record->tax)); ?></td></tr>
    						<tr><td><?php echo lang('label_discount'); ?></td><td><?php e(currency_format($record->discount)); ?></td></tr>
    						<?php if(!empty($is_seller)): ?>
							<tr><td><?php echo lang('label_commission'); ?></td><td><?php echo $record->commission_type == 'P' ? $record->commission . '%' : currency_format($record->commission); ?></td></tr>	
    						<tr><td><?php echo lang('gc_menu_payouts'); ?></td><td><?php echo !empty($record->payout) ? currency_format($record->payout) : currency_format(($record->subtotal + $record->tax) - ($record->discount + $record->commission)); ?></td></tr>				
							<?php endif; ?>
						</tbody>
					</table>					
					<?php //endif;?>                 
					</td>
					<?php if($role == 'admin'):?>
					<td>
					<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $record->seller_id);?>" title="<?php echo $record->display_name; ?>">
						<?php echo ($record->display_name .'<br /><small>' . $record->seller_id . ' - ' . $record->user_email .'</small>') ?>
					</a>
					</td>
					<?php endif; ?>
					<td><?php echo !empty($record->offer_price) ? currency_format($record->offer_price) . ' <span class="line-through">' . currency_format($record->price) . '</span>' : currency_format($record->price); ?></td>
					<td><?php e($record->qty); ?></td>
					<?php if($role == 'admin' && isset($filter)): // remove the isset($filter) to allow user to filter records, added because of too much data. ?>
						<td><?php e(currency_format($record->total)); ?></td>
    					<td><?php e(currency_format($record->subtotal)); ?></td>
    					<td><?php e(currency_format($record->tax)); ?></td>
    					<td><?php e(currency_format($record->discount)); ?></td>
    					<td><?php echo $record->commission_type == 'P' ? $record->commission . '%' : currency_format($record->commission); ?></td>
    					<td><?php echo !empty($record->payout) ? currency_format($record->payout) : currency_format(($record->subtotal + $record->tax) - ($record->discount + $record->commission)); ?></td>
					<?php endif;?>
					<td>
						<span class="badge badge-info"><?php echo $record->shipment_status == 0 ? lang('label_not_processed') : $this->ordered_items_model->shipment_status($record->shipment_status); ?></span>
						<br />
						<?php if($role == 'admin' || (!empty($is_seller) && $record->status_id == 2)):?>
						<?php echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/shipments/' . $record->id : gc_url_format('members/shipments') . '/' . $record->id), lang('edit'), 'class="btn btn-warning btn-xs"'); ?>
						<?php endif; ?>
						<?php if(($role == 'admin' || empty($is_seller)) && $record->module_id == 2 && $record->status_id == 2):?>
						<?php echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/track/' . $record->id : gc_url_format('members/track') . '?item_id=' . $record->id), '<i class="fas fa-map-marker fa-fw mr-1"></i>' . lang('label_track'), 'class="btn btn-primary btn-xs"'); ?>
						<?php endif; ?>						
					</td>
    				<td>
    				<?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?>
    				<?php if($record->status_id == 2 && $this->orders_model->has_refund_policy($record->created_on, $record->refund_duration, 1)):?>
    				<?php echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/shipments/' . $record->id : gc_url_format('members/cancellation') . '/' . $record->id), lang('gc_action_cancel'), 'class="btn btn-danger btn-xs"'); ?>
    				<?php endif; ?>
    				</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>