<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$permission_name = ucwords($module);
$form_url       = SITE_AREA . '/financial/orders/form/' . str_replace('order_', '', $module);
$edit_url       = $form_url . '/edit/';
$create_url     = $form_url . '/create/';
$user_url       = SITE_AREA . '/settings/users/edit/';
$num_columns	= 10;
$can_delete	    = $this->auth->has_permission($permission_name . '.Financial.Delete');
$can_edit		= $this->auth->has_permission($permission_name . '.Financial.Edit');
$can_create		= $this->auth->has_permission($permission_name . '.Financial.Create');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
$num_columns++;
endif;
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php 
	if($module == 'order_items' && isset($filter_status)): // display status_id filter
		echo $this->load->view('common/_status_filter');
	endif;
	?>
	<div class="row">		
    	<div class="col-sm-3 mt-3">
        	<?php if($module == 'product_variants' && $this->session->userdata('variant_product_id') && $role == 'admin'): ?>
        	<button class="btn btn-sm btn-primary ml-2" name="view_all"><i class="fas fa-eye mr-1"></i><?php echo lang('view_all');?></button>
        	<?php endif; ?>    
        	<?php if($can_create && $module != 'product_variants' || $module == 'product_variants' && $this->session->userdata('variant_product_id')):?>
        	<a href="<?php echo site_url($create_url . ($module == 'product_variants' && $this->session->userdata('variant_product_id') ? $this->session->userdata('variant_product_id') : '')); ?>" class="btn btn-warning btn-sm float-left"><i class="fas fa-plus-circle fa-fw mr-1"></i><?php echo lang('create_' . $module); ?></a>
        	<?php endif;?>  
        	<?php if(isset($extra_action)):?>
        	<?php echo $extra_action; ?>
        	<?php endif;?>  
		</div>
		<div class="col-sm-9">
			<?php echo search_admin(lang('placeholder_' . $module . '_search'));?>
		</div>
	</div>
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<?php switch($module) {
                        case 'order_items':
                    ?>                    
					<th><?php echo form_filter('row_id', lang('label_item')); ?></th>
					<th><?php echo form_filter('order_id', lang('label_order_id')); ?></th>
					<?php if($role == 'admin'):?>
					<th><?php echo form_filter('user_id', lang('bf_user')); ?></th>
					<th><?php echo form_filter('seller_id', lang('label_seller')); ?></th>
					<?php endif;?>
					<th><?php echo form_filter('price', lang('label_price')); ?></th>
					<th><?php echo form_filter('qty', '<i class="fas fa-clipboard-list"></i>', lang('label_qty')); ?></th>
					<?php if($role == 'admin' && isset($filter)): // remove the isset($filter) to allow user to filter records ?>
					<th><?php echo form_filter('total', '<i class="fas fa-shopping-cart"></i>', lang('label_total')); ?></th>
					<th><?php echo form_filter('subtotal', '<i class="fas fa-money-bill-alt"></i>', lang('label_subtotal')); ?></th>
					<th><?php echo form_filter('tax', '<i class="fas fa-gavel"></i>', lang('label_tax')); ?></th>
					<th><?php echo form_filter('discount', '<i class="fas fa-tags"></i>', lang('label_discount')); ?></th>
					<th><?php echo form_filter('commission', '<i class="fas fa-calculator"></i>', lang('label_commission')); ?></th>
					<th><?php echo lang('gc_menu_payouts'); ?></th>
					<?php endif; ?>
					<th><?php echo form_filter('shipment_status', lang('label_shipment')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>		
					<?php if($role == 'admin' && $this->auth->has_permission('Order_Items.Financial.Edit')):?>	
					<th><?php echo lang('label_action'); ?></th>	
					<?php endif; ?>	
					<?php
					        break;
                        case 'order_cancellations':
                            $type = 1;
                    ?>     
					<th><?php echo form_filter('order_id', lang('label_order_id')); ?></th>
					<?php if(isset($type) && $type == 1):?>
					<th><?php echo form_filter('user_id', lang('label_buyer')); ?></th>
					<?php endif; ?>
					<th><?php echo lang('label_item'); //form_filter('module_id', lang('label_module')); ?></th>
					<th><?php echo form_filter('reason_id', lang('label_reason')); ?></th>
					<th><?php echo form_filter('comments', lang('label_comments')); ?></th>
					<th><?php echo form_filter('created_on', lang('label_date')); ?></th>
    				<?php break; }?>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) :?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" id="delete-me" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
					<?php switch($module) {
                        case 'order_items':
                    ?>					
					<td style="max-width: 300px;"><?php echo cart_item($record->item); ?></td>
					<td style="min-width: 200px;">
					<?php 					
					if($role == 'admin'):
					echo anchor(SITE_AREA . '/financial/orders/view/' . $record->order_id . '/0/1', $record->order_id) . '<br><small>' . $record->created_on . '</small>';
					else:
					echo $record->order_id . '<br><small>' . $record->created_on . '</small>';
					endif;
				    //echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/view/' . $record->order_id : gc_url_format('members/view_invoice') . '?order_id=' . $record->order_id), $record->order_id) . '<br><small>' . $record->created_on . '</small>'; ?>
					<?php // if($role != 'admin'): ?>
					<table class="table table-bordered table-sm mt-1">
						<tbody>
    						<tr><td><?php echo lang('label_total'); ?></td><td><?php e(currency_format($record->total, null, true)); ?></td></tr>
    						<tr><td><?php echo lang('label_subtotal'); ?></td><td><?php e(currency_format($record->subtotal, null, true)); ?></td></tr>
    						<tr><td><?php echo lang('label_tax'); ?></td><td><?php e(currency_format($record->tax, null, true)); ?></td></tr>
    						<tr><td><?php echo lang('label_discount'); ?></td><td><?php e(currency_format($record->discount, null, true)); ?></td></tr>
    						<?php if(!empty($record->commission)):?>
    						<tr><td><?php echo lang('label_commission'); ?></td><td><?php echo $record->commission_type == 'F' ? currency_format($record->commission) : $record->commission . '%'; ?></td></tr>	
    						<?php endif; ?>
    						<tr><td><?php echo lang('gc_menu_payouts'); ?></td><td><?php e(currency_format(($record->subtotal + $record->tax) - ($record->discount + $record->commission), null, true)); ?></td></tr>		
    						<?php if(!empty($record->payout_id)):?>
    						<tr><td><?php echo lang('payout_id'); ?></td><td><?php echo $record->payout_id; ?></td></tr>
						    <?php endif; ?>		
						</tbody>
					</table>					
					<?php //endif;?>                 
					</td>
					<?php if($role == 'admin'):?>
					<td><?php echo ($record->customer_name .'<br /><small>' . $record->user_id . ' - ' . $record->customer_email .'</small>') ?></td>
					<td>
					<a href="<?php echo site_url($user_url . $record->seller_id);?>" title="<?php echo $record->display_name; ?>">
						<?php echo ($record->display_name .'<br /><small>' . $record->seller_id . ' - ' . $record->user_email .'</small>') ?>
					</a>
					</td>
					<?php endif; ?>
					<td><?php echo !empty($record->offer_price) ? currency_format($record->offer_price) . ' <span class="line-through">' . currency_format($record->price) . '</span>' : currency_format($record->price); ?></td>
					<td><?php e($record->qty); ?></td>
					<?php if($role == 'admin' && isset($filter)): // remove the isset($filter) to allow user to filter records, added because of too much data. ?>
						<td><?php e(currency_format($record->total)); ?></td>
    					<td><?php e(currency_format($record->subtotal)); ?></td>
    					<td><?php e(currency_format($record->tax)); ?></td>
    					<td><?php e(currency_format($record->discount)); ?></td>
    					<td><?php e(currency_format($record->commission)); ?></td>
    					<td><?php e(currency_format(($record->subtotal + $record->tax) - ($record->discount + $record->commission), null, true)); ?></td>
					<?php endif;?>
					<td>
						<?php if($record->module_id == 2):?>
						<span class="badge badge-info"><?php echo $record->shipment_status == 0 ? lang('label_not_processed') : $this->ordered_items_model->shipment_status($record->shipment_status); ?></span>					
						<br />
						<?php echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/shipments/' . $record->id : gc_url_format('members/shipments') . '/' . $record->id), '<i class="fas fa-ship fa-fw mr-1"></i>' . lang('edit'), 'class="btn btn-warning btn-xs"'); ?>
						<?php else: ?>
						<?php echo lang('not_applicable'); ?>
						<?php endif; ?>
						<?php if($role == 'admin' && $record->module_id == 2):?>
						<?php echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/track' . '?item_id=' . $record->id : gc_url_format('members/track') . '?item_id=' . $record->id), '<i class="fas fa-map-marker fa-fw mr-1"></i>' . lang('label_track'), 'class="btn btn-primary btn-xs"'); ?>
						<?php if(($record->status_id == 2 || $record->status_id == 1) && $record->status_id != 5): ?>
						<?php echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/cancel/' . $record->id : gc_url_format('members/cancel') . '/' . $record->id), '<i class="fas fa-user-times fa-fw mr-1"></i>' . lang('gc_action_cancel'), 'class="btn btn-danger btn-xs"'); ?>
						<?php endif; ?>
						<?php endif; ?>
						<?php if(!empty($record->wallets) && empty($record->wallets_refund) && ($record->status_id == 2 || $record->status_id == 4)): // specific item wallet refund ?>
						<button type="submit" class="btn btn-xs btn-danger mt-1" name="refund_wallet" value="<?php echo $record->id; ?>" onclick="return confirm('<?php e(js_escape(lang('warning_refund_wallet'))); ?>')"><i class="fas fa-undo fa-fw mr-1"></i><?php echo lang('refund_wallet');?></button>
						<?php endif; ?>
					</td>
    				<td><span style="color: <?php echo $record->status_color; ?>"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span></td>	    				
					<?php if($role == 'admin' && $this->auth->has_permission('Order_Items.Financial.Edit')):?>	
    				<td><?php echo anchor(SITE_AREA . '/financial/orders/form/items/edit/' . $record->id, '<i class="fas fa-edit fa-fw mr-1"></i>' . lang('edit'), 'class="btn btn-primary btn-xs"'); ?></td>
    				<?php endif; ?>
    				<?php
					        break;
                        case 'order_cancellations':
                    ?>     
                    
    				<td><?php echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/view/' . $record->order_id . '/0/1' : gc_url_format('members/view_invoice') . '?order_id=' . $record->order_id), $record->order_id) . '<br><small>' . $record->created_on . '</small>'; ?></td>
				<?php if($type == 1): ?>
					<td>
						<?php if ($can_edit) : ?>
    					<a href="<?php echo site_url($user_url . $record->buyer_id);?>" title="<?php echo $record->display_name; ?>">
    						<?php echo ($record->display_name .'<br /><small>' . $record->buyer_id . ' - ' . $record->user_email .'</small>') ?>
    					</a>
    					<?php else: ?>
    					<a href="<?php echo site_url($user_url . $record->buyer_id);?>" title="<?php echo $record->display_name; ?>" target="_blank">
    						<?php echo ($record->display_name .'<br /><small>' . $record->buyer_id . ' - ' . $record->user_email .'</small>') ?>
    					</a>
    					<?php endif; ?>
						<?php $cancelled_by = $record->user_id == $record->seller_id ? lang('label_seller') : lang('label_buyer'); ?>
						<div class="btn btn-danger btn-xs">
							<?php echo sprintf(lang('cancelled_by'), $cancelled_by); ?>
						</div>
					</td>
				<?php endif;?>
					<td>
						<hr class="mt-2 mb-1" />							
						<div class="row">
							<div class="col-12 small">
								<?php echo ($record->seller_name .'<br /><small>' . $record->seller_id . ' - ' . $record->seller_email .'</small>') ?>
							</div>
						</div>
					</td>
					<td><?php echo !empty($record->reason_lang) ? lang($record->reason) : $record->reason_lang; ?></td>
					<td><?php e($record->comments); ?></td>
					<td><?php echo gc_date_format($record->created_on);?></td>
					<?php break; }?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>