<?php
echo form_validations();
echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
echo gc_form_element('dropdown', array('name' => 'status', 'options' => $this->ordered_items_model->shipment_status()), array(), lang('label_status'), 'col-sm-6');
echo gc_form_element('textarea', array('name' => 'description', 'extra' => array('placeholder' => lang('placeholder_description'))), array(), lang('label_description'), 'col-sm-9');
echo gc_form_element('actions', array('url' => $cancel_url, 'delete' => false));
echo form_close();
$num_columns	= 9;
$can_delete	    = $role == 'admin' ? $this->auth->has_permission('Orders.Financial.Delete') : true;
$can_edit		= $role == 'admin' ? $this->auth->has_permission('Orders.Financial.Edit') : true;
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
					<th><?php echo form_filter('description', lang('label_description'));?></th>
					<th><?php echo form_filter('created_on', lang('label_date'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($this->ordered_items_model->shipment_status($record->status)); ?></td>			
					<td><?php echo strip_tags(word_limiter($record->description, 150));?></td>
					<td><?php echo gc_date_format($record->created_on, true); ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
</div>