<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<div class="card card-body bg-light">
	<div class="row">
    	<div class="col-sm-8">
    		<?php echo gc_form_element('text', array('name' => 'order_item_id', 'label_width' => 'col-sm-4', 'control_class' => 'border-0 p-1'), !empty($_GET['item_id']) ? $_GET['item_id'] : (isset($_GET['order_id']) ? $_GET['order_id'] : ''), lang('track_order_item_id'), 'col-sm-8');?>
    	</div>
    	<div class="col-sm-4">
    		<button type="submit" name="submit" class="btn btn-primary"><?php echo lang('gc_action_submit'); ?></button>
    		<?php if($role != 'admin' && $this->session->userdata('order_items_last_visited_page')):?>
    		<a href="<?php echo $this->session->userdata('order_items_last_visited_page'); ?>" title="<?php echo lang('gc_action_cancel'); ?>" class="btn btn-warning"><?php echo lang('gc_action_cancel'); ?></a>
    		<?php endif; ?>
    	</div>
	</div>
</div>
<?php echo form_close(); ?>
<?php if(isset($order)):?>
<div class="card card-body">
   <div class="row">
      <div class="col-sm-6">
         <dl class="row my-0">
            <dt class="col"><?php echo lang('label_order_id');?></dt>
            <dd class="col"><?php echo anchor($redirect_url, $order->order_id, 'target="_blank"');?></dd>
         </dl>
         <dl class="row my-0">
            <dt class="col"><?php echo lang('label_date');?></dt>
            <dd class="col"><?php echo gc_date_format($order->created_on, true);?></dd>
         </dl>
         <dl class="row my-0">
            <dt class="col"><?php echo lang('label_order_total');?></dt>
            <dd class="col"><?php echo currency_format($order->order_total, $order->currency_code);?></dd>
         </dl>
      </div>
      <div class="col-sm-6">
         <h4><?php echo lang('label_address');?></h4>
         <p><?php echo $order->customer_name;?>
         	<span class="d-block"><?php echo $order->address; ?></span>
            <?php if(!empty($location)):?>
            <span class="d-block"><?php echo $location->city;?> - <?php echo $order->postcode; ?>, <?php echo $location->state;?></span>
            <?php endif;?>
         </p>
      </div>
   </div>
</div>
<?php
if(!empty($items)):
foreach($items as $item):
?>
<div class="card card-body">
<div class="row">
   <div class="col-sm-4">
   	  <div class="row">
   	  	<?php 
   	  	$item_info = json_decode($item->item ?? '');
   	  	$item_url = site_url();
   	  	if(!empty($item_info->slug)):
   	  	$item_url = gc_url_format('products', $item_info->slug, $item_info->id) . (!empty($item_info->variant_id) ? '?sku=' . $item_info->variant_id : '');
   	  	endif;
   	  	?>
   	  	<div class="col-sm-4">
   	  		<a href="<?php echo $item_url; ?>" title="<?php echo $item_info->name; ?>" target="_blank">
   	  			<img src="<?php echo gc_image_url($item_info->cover);?>" class="img-thumbnail" alt="<?php echo $item_info->name;?>" />
   	  		</a>
   	  		<div class="text-center">
   	  			<span style="color: <?php echo $item->status_color; ?>"><?php echo !empty($item->status_lang) ? lang($item->status) : $item->status;?></span>
   	  		</div>
   	  		<?php echo form_open($this->uri->uri_string()); ?>
       	  		<?php if($item->status_id == 2 && $this->orders_model->has_refund_policy($order->created_on, $item->refund_duration, 1)):?>
       	  		<button class="btn btn-danger btn-xs" name="cancel_item" value="<?php echo $item->id; ?>" type="submit">
       	  			<?php echo lang('bf_action_cancel');?>
       	  		</button>
       	  		<?php endif;?>
			<?php echo form_close(); ?>
   	  	</div>
   	  	<div class="col-sm-8">
   	  		<h5 class="text-uppercase h6">
       	  		<a href="<?php echo $item_url; ?>" title="<?php echo $item_info->name; ?>" target="_blank" class="text-decoration-none">
       	  			<?php echo $item_info->name; ?>
       	  		</a>
   	  		</h5>
   	  		<?php echo !empty($item_info->attributes) ? implode('|', (array) $item_info->attributes) : ''; ?>
   	  	</div>
   	  </div>      
   </div>
   <div class="col-sm-8">
      <?php
         $shipment_status = $this->ordered_items_model->shipment_status();
         $width = 100 / count($shipment_status);
         ?>
      <div class="progress">
         <?php 
            foreach($shipment_status as $key => $value):
            $tooltip = '';
            if(!empty($shipments)):
                $shipment_exists = false;
                foreach($shipments as $shipment):
                    $tooltip_text = '';
                    $tooltip = '';
                    if($shipment->order_item_id == $item->id):
                        if($shipment->status == $key):
                            $class = 'bg-success';
                            $tooltip_text = '<em>' . gc_date_format($shipment->created_on) . '</em> <br>' . $shipment->description;
                            $tooltip = ' data-toggle="tooltip" data-placement="bottom" data-html="true" title="' . $tooltip_text . '"';
                            $shipment_exists = true;
                        endif;
                    endif;                
                endforeach;
                if(!$shipment_exists):
                $class = 'bg-secondary';
                endif;
            else:
                $class = 'bg-secondary';
            endif;
            ?>
         <div class="progress-bar <?php echo $class; ?>" style="width: <?php echo $width; ?>%"<?php echo $tooltip;?>>
            <?php echo $value;?>
         </div>
         <?php endforeach; ?>
      </div>
   </div>
</div>
</div>
<?php endforeach;?>
<?php endif;?>
<?php endif;?>