<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$num_columns	= 8;
if($role == 'admin'):
    $can_delete	    = $this->auth->has_permission('Order_Cancellations.Financial.Delete');
    $can_edit		= $this->auth->has_permission('Order_Cancellations.Financial.Edit');
else:
    $can_delete     = false;
    $can_edit       = false;
endif;
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
    $num_columns++;
endif;
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('cancellation_search'));?>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<th><?php echo form_filter('order_id', lang('label_order_id')); ?></th>
					<?php if($type == 1):?>
					<th><?php echo form_filter('user_id', lang('label_user')); ?></th>
					<?php endif; ?>
					<th><?php echo form_filter('module_id', lang('label_module')); ?></th>
					<th><?php echo form_filter('reason', lang('label_reason')); ?></th>
					<th><?php echo form_filter('comments', lang('label_comments')); ?></th>
					<th><?php echo form_filter('created_on', lang('label_date')); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>")" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php echo anchor(($role == 'admin' ? SITE_AREA . '/financial/orders/view_order/' . $record->order_id : gc_url_format('members/view_invoice') . '?order_id=' . $record->order_id), $record->order_id) . '<br><small>' . $record->created_on . '</small>'; ?></td>
				<?php if($type == 1): ?>
					<td>
						<?php if ($can_edit) : ?>
    					<a href="<?php echo site_url(SITE_AREA . '/settings/users/edit/' . $record->user_id);?>" title="<?php echo $record->display_name; ?>">
    						<?php echo ($record->display_name .'<br /><small>' . $record->user_id . ' - ' . $record->user_email .'</small>') ?>
    					</a>
    					<?php else: ?>
    					<a href="<?php echo gc_url_format('users', $record->user_slug, $record->user_id, $record->user_city);?>" title="<?php echo $record->display_name; ?>" target="_blank">
    						<?php echo ($record->display_name .'<br /><small>' . $record->user_id . ' - ' . $record->user_email .'</small>') ?>
    					</a>
    					<?php endif; ?>
					</td>
				<?php endif;?>
					<td><?php 
					if(!empty($record->redirect_url)):
    					if($record->module_id == 29):
    					   echo booking_details(array('id' => $record->id, 'data' => $record->redirect_url));
    					else:
    					   echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link');
    					endif;
					endif;
					?>
					</td>
					<td><?php e(lang('reason_0' . $record->reason)); ?></td>
					<td><?php e($record->comments); ?></td>
					<td><?php echo gc_date_format($record->created_on, true);?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>