<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 22;
$can_delete	= $this->auth->has_permission('Packages.Financial.Delete');
$can_edit		= $this->auth->has_permission('Packages.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('title', lang('label_title'));?></th>
					<th><?php echo form_filter('duration', lang('label_validity'));?></th>
					<th><?php echo form_filter('price', lang('label_price'));?></th>
					<th><?php echo form_filter('display_order', lang('label_order'));?></th>
					<th><?php echo form_filter('is_default', lang('label_default'));?></th>
					<th><?php echo form_filter('priority', lang('label_priority'));?></th>
					<th><?php echo form_filter('highlight', lang('label_highlight'));?></th>
					<th><?php echo form_filter('active', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>"/>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php echo $record->id; ?></td>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/financial/packages/edit/' . $record->id, '<i class="fas fa-edit"></i> ' .  $record->title); ?></td>
				<?php else : ?>
					<td><?php e($record->title); ?></td>
				<?php endif; ?>
					<td><?php echo $record->duration == 0 ? lang('label_lifetime') : $record->duration . ' '.lang('label_days'); ?></td>
					<td><?php echo $record->price == 0 ? lang('label_free') : $record->price; ?></td>
					<td><?php e($record->display_order); ?></td>
					<td>
						<button type="submit" name="set_default" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->is_default == 1 ? 'btn-success' : 'btn-warning';?>">
							<i class="fa fa-<?php echo $record->is_default == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
						</button>
					</td>
					<td><?php e($record->priority); ?></td>
					<td>
						<button type="submit" name="highlight" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->highlight == 1 ? 'btn-success' : 'btn-warning';?>">
							<i class="fa fa-<?php echo $record->highlight == 1 ? 'star' : 'star'; ?>"></i>
						</button>
					</td>
					<td>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->active == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->active == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>	
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();
	?>
</div>