<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$record = isset($record) ? $record : array(); 
$id = isset($record->id) ? $record->id : '';
$params = isset($record->params) ? json_decode($record->params) : array();
$type = isset($_POST['stuff_type']) ? $_POST['stuff_type'] : (isset($record->stuff_type) ? $record->stuff_type : 'screenshot');
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
		<?php		
		$type_options = array(
		    'screenshot' => lang('tab_stuff_type__screenshot'),
		    'video' => lang('tab_stuff_type__video'),
		    'feature' => lang('tab_stuff_type__feature'),
		    // 'faq' => lang('tab_stuff_type__faq')
		);
		echo gc_form_element('dropdown', array('name' => 'group_id', 'label_width' => 'col-sm-3', 'options' => $this->fields_model->dropdown_options('page_groups', false)), $record, lang('singular_groups') . lang('bf_form_label_required'), 'col-sm-4');
		echo gc_form_element('dropdown', array('name' => 'stuff_type', 'label_width' => 'col-sm-3', 'options' => $type_options), $record, lang('label_type') . lang('bf_form_label_required'), 'col-sm-4');
		
		// Screenshot
		echo gc_form_element('text', array('name' => 'screenshot_title', 'control_class' => 'page-stuff page-screenshot', 'control_style' => ($type != 'screenshot' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_title'), 'extra' => array('id' => 'params_screenshot_title')), $params, lang('label_title'));
		echo gc_form_element('textarea', array('name' => 'screenshot_description', 'control_class' => 'page-stuff page-screenshot', 'control_style' => ($type != 'screenshot' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_description')), $params, lang('label_description'), 'col-sm-6');
		echo gc_form_element('filemanager', array('name' => 'screenshot_image', 'control_class' => 'page-stuff page-screenshot', 'control_style' => ($type != 'screenshot' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'field_id' => 'params_screenshot_image', 'extra' => array('placeholder' => lang('placeholder_image'))), $params, lang('label_image'));
		echo gc_form_element('text', array('name' => 'screenshot_url', 'control_class' => 'page-stuff page-screenshot', 'control_style' => ($type != 'screenshot' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'extra' => array('id' => 'params_screenshot_url', 'placeholder' => lang('placeholder_image_url'))), $params, lang('label_image_url'));
		
		// YouTube Video
		echo gc_form_element('text', array('name' => 'video_title', 'control_class' => 'page-stuff page-video', 'control_style' => ($type != 'video' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_title'), 'extra' => array('id' => 'params_video_title')), $params, lang('label_title'));
		echo gc_form_element('textarea', array('name' => 'video_description', 'control_class' => 'page-stuff page-video', 'control_style' => ($type != 'video' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_description')), $params, lang('label_description'), 'col-sm-6');
		echo gc_form_element('text', array('name' => 'video_url', 'control_class' => 'page-stuff page-video', 'control_style' => ($type != 'video' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'extra' => array('id' => 'params_video_url', 'placeholder' => lang('page_placeholder_video_url'))), $params, lang('page_video_url') . lang('bf_form_label_required'));
		
		// Features
		echo gc_form_element('text', array('name' => 'feature_title', 'control_class' => 'page-stuff page-feature', 'control_style' => ($type != 'text' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_title'), 'extra' => array('id' => 'params_feature_title')), $params, lang('label_title') . lang('bf_form_label_required'));
		echo gc_form_element('textarea', array('name' => 'feature_description', 'control_class' => 'page-stuff page-feature', 'control_style' => ($type != 'text' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_description')), $params, lang('label_description') . lang('bf_form_label_required'), 'col-sm-6');
		
		// FAQs - Added Separately, may be 1000 of FAQs, few of them may be support related
		/*echo gc_form_element('text', array('name' => 'faq_title', 'control_class' => 'page-stuff page-faq', 'control_style' => ($type != 'text' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_question'), 'extra' => array('id' => 'params_faq_title')), $params, lang('label_question') . lang('bf_form_label_required'));
		echo gc_form_element('textarea', array('name' => 'faq_description', 'control_class' => 'page-stuff page-faq', 'control_style' => ($type != 'text' ? 'display: none;': ''), 'label_width' => 'col-sm-3', 'placeholder' => lang('placeholder_answer')), $params, lang('label_answer') . lang('bf_form_label_required'), 'col-sm-6');
		*/
		echo gc_form_element('text', array('name' => 'priority', 'label_width' => 'col-sm-3', 'default_value' => 0), $record, lang('label_priority') . lang('bf_form_label_required'), 'col-sm-2');
		echo gc_form_element('checkbox', array('name' => 'status', 'label_width' => 'col-sm-3', 'no_label' => TRUE), $record, lang('label_status'));
		
		$action_data = array(
			'url' => SITE_AREA .'/content/pages/manage/stuff'
		);
		if (!$id || !$this->auth->has_permission('Page_Stuff.Content.Delete')):
			$action_data['delete'] = FALSE;
		endif;
		echo gc_form_element('actions', $action_data);
		?>
		</fieldset>
    <?php echo form_close(); ?>
</div>