<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
class Payment_gateways_model extends BF_Model {
    
    public $table_name	= "payment_gateways";
    protected $key			= "id";
    protected $soft_deletes	= false;
    protected $date_format	= "datetime";
    
    protected $log_user 	= FALSE;
    
    protected $set_created	= false;
    protected $set_modified = false;
    
    /*
     Customize the operations of the model without recreating the insert, update,
     etc methods by adding the method names to act as callbacks here.
     */
    protected $before_insert 	= array();
    protected $after_insert 	= array();
    protected $before_update 	= array();
    protected $after_update 	= array();
    protected $before_find 		= array();
    protected $after_find 		= array();
    protected $before_delete 	= array();
    protected $after_delete 	= array();
    
    /*
     For performance reasons, you may require your model to NOT return the
     id of the last inserted row as it is a bit of a slow method. This is
     primarily helpful when running big loops over data.
     */
    protected $return_insert_id 	= TRUE;
    
    // The default type of element data is returned as.
    protected $return_type 			= "object";
    
    // Items that are always removed from data arrays prior to
    // any inserts or updates.
    protected $protected_attributes = array();
    
    protected $insert_validation_rules 	= array();
    protected $skip_validation 			= TRUE;
    
    /**
     * Payment Gateways Fields
     *
     * @return array
     */
    public function fields() {
        $fields = array(
            array(
                'type' => 'id',
                'name' => 'id',
                'frontend_index' => true,
                'admin_index' => false
            ),
            array(
                'type' => 'text',
                'name' => 'display_name',
                'label' => 'label_name',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim|max_length[100]',
                'edit' => 1,
                'field_extra' => 'index_edit_admin:1;index_edit_frontend:1'
            ),
            array(
                'type' => 'text',
                'name' => 'display_name',
                'label' => 'label_display_name',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim|max_length[100]',
            ),
            array(
                'type' => 'filemanager',
                'name' => 'image',
                'label' => 'label_image',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim|max_length[100]',
            ),
            array(
                'type' => 'text',
                'name' => 'settings',
                'label' => 'label_settings',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => false,
                'admin_index' => false,
                'rules' => 'trim',
            ),
            array(
                'type' => 'text',
                'name' => 'priority',
                'label' => 'label_order',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
            ),
            array(
                'type' => 'checkbox',
                'name' => 'is_default',
                'label' => 'label_default',
                'frontend' => false,
                'admin_only' => false,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
            ),
            array(
                'type' => 'checkbox',
                'name' => 'status',
                'label' => 'label_status',
                'frontend' => true,
                'admin_only' => true,
                'frontend_index' => true,
                'admin_index' => true,
                'rules' => 'trim',
            )
        );
        return $fields;
    }	
    
	/**
	 * Retreive User Information from order_customers Table for EBS Payment Gateway
	 * @param string $order_id
	 * @return array|boolean
	 */
	public function get_user_info($order_id) {
		$sql = "SELECT OC.name, OC.address, C.name AS city, S.name AS state, CT.name AS country, OC.postcode, OC.phone_code, OC.phone_number, OC.email FROM " . $this->db->dbprefix . "order_customers OC";
		$sql .= " LEFT JOIN " . $this->db->dbprefix . "cities C ON C.id = OC.city_id";
		$sql .= " LEFT JOIN " . $this->db->dbprefix . "states S ON S.id = C.state_id";
		$sql .= " LEFT JOIN " . $this->db->dbprefix . "countries CT ON CT.iso = S.country_iso";
		$sql .= " WHERE OC.order_id = '$order_id'";
		$result = $this->db->query ( $sql )->row_array();
		if($result) {
			return $result;
		} else {
			return false;
		}
	}
	
	/**
	 * ADDED IN MODEL TO HANDLE WALLET TRANSACTIONS
	 * Update transaction table after successful payment
	 * @param boolean $plugin_response - Mobile APP - Cordova Plugin Response
	 */
	public function transaction_confirmed($order_info, $transaction_id = null, $payer_id = null, $payment_details = array(), $plugin_response = false) {
	    $message = lang('transaction_successful');
	    $this->load->model('orders/orders_model');
	    $user_id = $order_info->user_id;
	    $order_id = $order_info->order_id;
	    $order_status = (int) gc_json_settings('order.settings', 'order_status');
	    
	    // get order status from the packages table only if the order is placed for one item and that is package
	    $order_items = $this->db->where('order_id', $order_id)->get('order_items')->result_array();
	    if(count($order_items) == 1 && $order_items[0]['module_id'] == gc_module_id('packages')) {
	        $package = $this->db->where('id', $order_items[0]['row_id'])->get('packages')->row();
	        if($package) {
	            $order_status = $package->order_status;
	        }
	    }
	    $data = array(
	        'transaction_id' => "$transaction_id",
	        'payer_id' => "$payer_id",
	        'payment_details' => json_encode($payment_details),
	        'payment_status' => 1,
	        'status_id' => $order_status,
	        'date_paid' => date('Y-m-d'),
	        'modified_on' => date('Y-m-d'),
	        'modified_ip' => $this->input->ip_address(),
	        'modified_by' => $this->auth->user_id()
	    );
	    
	    /**
	     * get order_status from package table and update order status
	     * payment_status will be changed on transaction confirmed from 0 to 1.
	     * 1 means payment is received. This variable will be used to deal with order deletion.
	     * Do not delete an order where the payment has received but the status is active because of some other reasons.
	     */
	    $this->db->where(array('order_id' => "$order_id"))->update('orders', $data);
	    
	    // update order items status to confirmed - November 2, 2019
	    $this->db->where(array('order_id' => "$order_id"))->update('order_items', array('status_id' => $order_status));
	    
	    // update ordered items and affiliate commission
	    $this->orders_model->update_status($order_info->id, $order_id, $order_info, $order_status, true, true);
	    
	    // $this->db->where('id', $user_id)->get('')
	    
	    if($order_info->mobile_checkout) {
	        $this->unset_session($user_id);
	        if($plugin_response) {
	            return array('success' => true, 'order_id' => $order_info->id);
	        } else {
	            redirect('https://mobile.close?order_id=' . $order_info->id);
	        }
	    } else {
	        // Admin checkout
	        if($this->session->userdata('checkout_redirect')) {
	            $checkout_redirect = $this->session->userdata('checkout_redirect');
	        } else {
	            $thankyou = array(
	                'order_id' => $order_id,
	                'email_id' => $order_info->user_email
	            );
	            $this->session->set_flashdata('thankyou', $thankyou);
	            $checkout_redirect = site_url('orders/thankyou');
	        }
	        $this->unset_session($user_id);
	        Template::set_message ( $message, 'success' );
	        redirect($checkout_redirect);
	    }
	}
	
	/**
	 * Update transaction table after payment cancelled
	 * @param array $order_info
	 * @param string $transaction_id
	 * @param number $payer_id
	 * @param array $payment_details
	 * @param boolean $plugin_response - Mobile APP - Cordova Plugin Response
	 */
	public function transaction_cancelled($order_info, $transaction_id = null, $payer_id = null, $payment_details = array(), $plugin_response = false) {
	    $order_id = $order_info->order_id;
	    $this->db->where(array('order_id' => $order_id));
	    $transaction_data = array (
	        'modified_on' => date('Y-m-d h:m:s'),
	        'modified_ip' => $this->input->ip_address(),
	        'status_id' => 4
	    );
	    if($transaction_id != null) {
	        $transaction_data['transaction_id'] = $transaction_id;
	    }
	    if($payer_id != null) {
	        $transaction_data['payer_id'] = $payer_id;
	    }
	    if(!empty($payment_details)) {
	        $transaction_data['payment_details'] = serialize($payment_details);
	    }
	    
	    $this->db->update('orders', $transaction_data);
	    
	    // email to the user
	    //$this->orders_model->email_print($order_id, 'email');
	    
	    if($order_info->mobile_checkout == 1) {
	        $result = $this->_redirect($order_info, false, null, $plugin_response);
	        if($plugin_response) {
	            return $result;
	        }
	    } else {
	        if($this->session->userdata('checkout_redirect')) {
	            $checkout_redirect = $this->session->userdata('checkout_redirect');
	        } else {
	            // $checkout_redirect = gc_url_format('members/orders');
	            $thankyou = array(
	                'order_id' => $order_id,
	                'email_id' => $order_info->user_email
	            );
	            $this->session->set_flashdata('thankyou', $thankyou);
	            $checkout_redirect = site_url('orders/cancelled');
	        }
	        $this->unset_session();
	        Template::set_message ( lang('transaction_cancelled'), 'danger' );
	        redirect($checkout_redirect);
	    }
	}
	
	/**
	 * Mobile App redirect
	 * @param boolean $exception - true - exception happened
	 * @param string $error_message - display passed error message to the user
	 */
	public function _redirect($order_info, $exception = false, $error_message = null, $plugin_response = null) {
	    if(!empty($order_info)) {
	        $this->unset_session($order_info->user_id);
	    }
	    if($exception) {
	        $message = !empty($error_message) ? $error_message : lang('msg_payment_processing_error');
	    }
	    if(!empty($order_info) && $order_info->mobile_checkout) {
	        if($plugin_response) {
	            return array('success' => true, 'order_id' => $order_info->id);
	        } else {
	            redirect('https://mobile.close?order_id=' . $order_info->id);
	        }	        
	    } else {
	        $redirect_url = gc_url_format('members');
	        Template::set_message($message, 'danger');
	        Template::redirect($redirect_url);
	    }
	}
	
	/**
	 * Unset all session variables
	 */
	public function unset_session($user_id = 0) {
		$this->load->model('orders/orders_model');
		$this->orders_model->checkout_params($user_id, false, array(), true);
		$this->session->unset_userdata('checkout_redirect'); // Admin Checkout Redirect
	}
	
	/**
	 * Mobile APP - PayTM Hash Functions
	 * @param string $order_id
	 * @param string $type - purchase_orders/orders
	 */
	public function paytm_generate_checksumhash_($order_id, $type = 'orders') {
	    $gateway_settings = $this->payment_gateways_model->select('settings')->find_by('name', 'Paytm');
	    if(!$gateway_settings) {
	        return array('success' => false);
	    }
	    $gateway_settings = unserialize($gateway_settings->settings);
	    if($type == 'purchase_orders') {
	        $this->load->model('purchases/purchases_model');
	        // $order_id is numeric in case of purchase orders
	        $order = $this->purchases_model->get_purchase_order($order_id);
	        if(!$order) {
	            return array('success' => false);
	        }
	        $order_id = $order->po_id;
	        $customer_id = $order->user_id;
	        $txn_amount = $order->amount;
	    } else if($type == 'deliveries') {
	        $this->load->model('deliveries/deliveries_model');
	        // $order_id is numeric in case of deliveries orders
	        $order = $this->deliveries_model->get_delivery($order_id);
	        if(!$order) {
	            return array('success' => false);
	        }
	        $order_id = $order->tracking_id;
	        $customer_id = $order->user_id;
	        $txn_amount = $order->order_total;
	    } else {
    	    // get order detail
    	    $order = $this->db->where('order_id', $order_id)->get('orders')->row();
    	    if(!$order) {
    	        return array('success' => false);
    	    }
    	    $customer_id = $order->user_id;
    	    $txn_amount = $order->order_total;
	    }
	    /* import checksum generation utility */
	    require_once(APPPATH . "third_party/PaytmChecksum.php");
	    
	    $host_url = !empty($gateway_settings['testmode']) ? "https://securegw-stage.paytm.in/" : "https://securegw.paytm.in/";
	    /* initialize an array */	    
	    $paytmParams = array(
	        "MID" => $gateway_settings['mid'],    // PayTM Credentials
	        "ORDER_ID" => $order_id,              // Should be unique for every order.
	        "TXN_AMOUNT" => $txn_amount,                  // Transaction Amount should be a String
	        "CHANNEL_ID" => "WAP",                // PayTM Credentials
	        "CUST_ID" => $customer_id,
	        "INDUSTRY_TYPE_ID" => $gateway_settings['industry_type_id'],       // PayTM Credentials
	        "WEBSITE" => $gateway_settings['website'], //"APPSTAGING",
	        "CALLBACK_URL" => $host_url . "theia/paytmCallback?ORDER_ID=" . $order_id// "https://securegw-stage.paytm.in/theia/paytmCallback?ORDER_ID=" . $order_id
	    );	    
	    /**
	     * Generate checksum by parameters we have
	     * Find your Merchant Key in your Paytm Dashboard at https://dashboard.paytm.com/next/apikeys
	     */
	    // CHECKSUMHASH has to be created without ENVIRONMENT property. ENVIRONMENT Property is used by the plugin to determine which Transaction Endpoint to hit, and is removed before sending Request to PayTM.
	    $paytmChecksum = PaytmChecksum::generateSignature($paytmParams, $gateway_settings['merchant_key']);
		$paytmParams["CHECKSUMHASH"] = $paytmChecksum;
		// $paytmParams["VERIFY_SIGN"] = PaytmChecksum::verifySignature($paytmParams, $gateway_settings['merchant_key'], $paytmChecksum);
	    $paytmParams["ENVIRONMENT"] = !empty($gateway_settings['testmode']) ? "staging" : "production"; //"staging"; // Change to production for real time payments
	    return array('success' => true, 'params' => $paytmParams);
	}
	
	/**
	 * PayTM generate checksumhash
	 * @param string $order_id
	 * @param string $type
	 * @return boolean[]
	 */
	public function paytm_generate_checksumhash($order_id, $type = 'orders') {
	    /*
	     * import checksum generation utility
	     * You can get this utility from https://developer.paytm.com/docs/checksum/
	     */	    
	    $gateway_settings = $this->payment_gateways_model->select('settings')->find_by('name', 'Paytm');
	    if(!$gateway_settings) {
	        return array('success' => false);
	    }
	    $gateway_settings = unserialize($gateway_settings->settings);
	    if($type == 'purchase_orders') {
	        $this->load->model('purchases/purchases_model');
	        // $order_id is numeric in case of purchase orders
	        $order = $this->purchases_model->get_purchase_order($order_id);
	        if(!$order) {
	            return array('success' => false);
	        }
	        $order_id = $order->po_id;
	        $customer_id = $order->user_id;
	        $txn_amount = $order->amount;
	    } else if($type == 'deliveries') {
	        $this->load->model('deliveries/deliveries_model');
	        // $order_id is numeric in case of deliveries orders
	        $order = $this->deliveries_model->get_delivery($order_id);
	        if(!$order) {
	            return array('success' => false);
	        }
	        $order_id = $order->tracking_id;
	        $customer_id = $order->user_id;
	        $txn_amount = $order->order_total;
	    } else {
	        // get order detail
	        $order = $this->db->where('order_id', $order_id)->get('orders')->row();
	        if(!$order) {
	            return array('success' => false);
	        }
	        $customer_id = $order->user_id;
	        $txn_amount = $order->order_total;
	    }
	    /* import checksum generation utility */
	    require_once(APPPATH . "third_party/PaytmChecksum.php");
	    $order_id = $order_id . rand(1,99);
	    $paytmParams = array();
	    $host_url = !empty($gateway_settings['testmode']) ? "https://securegw-stage.paytm.in/" : "https://securegw.paytm.in/";
	    $mid = $gateway_settings['mid'];
	    $paytmParams["body"] = array(
	        "requestType"   => "Payment",
	        "mid"           => $gateway_settings['mid'],
	        "websiteName"   => $gateway_settings['website'],
	        "orderId"       => $order_id,
	        "callbackUrl" => $host_url . "theia/paytmCallback?ORDER_ID=" . $order_id,
	        // "callbackUrl"   => "https://merchant.com/callback",
	        "txnAmount"     => array(
	            "value"     => $txn_amount,
	            "currency"  => "INR",
	        ),
	        "userInfo"      => array(
	            "custId"    => $customer_id,
	        ),
	    );
	    /*
	     * Generate checksum by parameters we have in body
	     * Find your Merchant Key in your Paytm Dashboard at https://dashboard.paytm.com/next/apikeys
	     */
	    $checksum = PaytmChecksum::generateSignature(json_encode($paytmParams["body"], JSON_UNESCAPED_SLASHES), $gateway_settings['merchant_key']);
	    
	    $paytmParams["head"] = array(
	        "signature"	=> $checksum
	    );
	    
	    $post_data = json_encode($paytmParams, JSON_UNESCAPED_SLASHES);
	    
	    /* for Staging */
	    if(!empty($gateway_settings['testmode'])) {
	       $url = "https://securegw-stage.paytm.in/theia/api/v1/initiateTransaction?mid=" . $gateway_settings['mid'] . "&orderId=" . $order_id;
	    } else {
	       $url = "https://securegw.paytm.in/theia/api/v1/initiateTransaction?mid=" . $mid . "&orderId=" . $order_id;
	    }
	    
	    /* for Production */
	    // $url = "https://securegw.paytm.in/theia/api/v1/initiateTransaction?mid=YOUR_MID_HERE&orderId=ORDERID_98765";
	    
	    $ch = curl_init($url);
	    curl_setopt($ch, CURLOPT_POST, 1);
	    curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
	    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	    curl_setopt($ch, CURLOPT_HTTPHEADER, array("Content-Type: application/json"));
	    $response = curl_exec($ch);
	    /**
	     * {"head":{"responseTimestamp":"1600674526779","version":"v1","signature":"jUlnxciQAMm1KD/ghIYBCZOCVLIFCCc22mg/9i4KFV7UoDPKZQ5moKYr+QxAWTcm9CQ3MO0v5avTWh7Wq27ZHXQzu0zpcXL2gyKlHYL119w="},"body":{"resultInfo":{"resultStatus":"S","resultCode":"0000","resultMsg":"Success"},"txnToken":"61d40d3ea48440c6b1c2eaada7103f331600674526186","isPromoCodeValid":false,"authenticated":false}}
	     */
	    $response = !empty($response) ? json_decode($response, true) : array();
	    $paytmParams["body"]['txnToken'] = $response['body']['txnToken'];
	    $paytmParams['success'] = true;
	    $paytmParams['params'] = $paytmParams;
	    return $paytmParams;
	}
	
	/**
	 * Paytm Validate Checksum
	 */
	public function paytm_validate_checksum() {
	    /* import checksum generation utility */
	    require_once(APPPATH . "third_party/PaytmChecksum.php");
	    
	    $paytmParams = $_POST;
	    
	    $paytmChecksum = $_POST['paytmChecksum'];
	    unset($paytmParams['paytmChecksum']);
	    
	    /**
	     * Verify checksum
	     * Find your Merchant Key in your Paytm Dashboard at https://dashboard.paytm.com/next/apikeys
	     */
	    $gateway_settings = $this->payment_gateways_model->select('settings')->find_by('name', 'Paytm');
	    if(!$gateway_settings) {
	        return array('success' => false);
	    }
	    $gateway_settings = unserialize($gateway_settings->settings);
	    $isVerifySignature = PaytmChecksum::verifySignature($paytmParams, $gateway_settings['merchant_key'], $paytmChecksum);
	    if($isVerifySignature) {
	        return array('success' => true);
	    } else {
	        return array('success' => false);
	    }
	}
	
	/**
	 * Generate Cashfree Checksum
	 * @param string $order_id
	 * @param string $type
	 * @return boolean[]
	 */
	public function cashfree_checksum($order_id, $type = 'orders') {
	    $testmode = true;
	    if($type == 'purchase_orders') {
	        $this->load->model('purchases/purchases_model');
	        // $order_id is numeric in case of purchase orders
	        $order = $this->purchases_model->get_purchase_order($order_id);
	        if(!$order) {
	            return array('success' => false);
	        }
	        $order_id = $order->po_id;
	        $customer_id = $order->user_id;
	        $txn_amount = $order->amount;
	    } else if($type == 'deliveries') {
	        $this->load->model('deliveries/deliveries_model');
	        // $order_id is numeric in case of deliveries orders
	        $order = $this->deliveries_model->get_delivery($order_id);
	        if(!$order) {
	            return array('success' => false);
	        }
	        $order_id = $order->tracking_id;
	        $customer_id = $order->user_id;
	        $txn_amount = $order->order_total;
	    } else {
	        // get order detail
	        $order = $this->db->where('order_id', $order_id)->get('orders')->row();
	        if(!$order) {
	            return array('success' => false);
	        }
	        $customer_id = $order->user_id;
	        $txn_amount = $order->order_total;
	    }
	    $params = array(
	        'orderId' => $order_id,
	        'orderAmount' => $txn_amount,
	        'orderCurrency' => 'INR'
	    );
	    /* for Staging */
	    $url = $testmode ? 'https://test.cashfree.com/api/v2/cftoken/order' : 'https://api.cashfree.com/api/v2/cftoken/order';
	    $post_data = json_encode($params, JSON_UNESCAPED_SLASHES);
	    
	    /* for Production */
	    // $url = "https://securegw.paytm.in/theia/api/v1/initiateTransaction?mid=YOUR_MID_HERE&orderId=ORDERID_98765";
	    $client_id = '275432e3853bd165afbf5272';
	    $client_secret = '2279c0ffb9550ad0f9e0652741c8d06a49409517';
	    $headers = array(
	        "Content-Type: application/json",
	        "x-client-id: $client_id",
	        "x-client-secret: $client_secret"
	    );
	    $ch = curl_init($url);
	    curl_setopt($ch, CURLOPT_POST, 1);
	    curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
	    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
	    $response = curl_exec($ch);
	    $response = !empty($response) ? json_decode($response, true) : array();
	    $response['orderId'] = $order_id;
	    $response['orderAmount'] = $txn_amount;
	    $response['status'] = true;
	    return $response;
	}
	
	/**
	 * Return Payment Gateways for Checkout
	 * @return NULL[][]
	 */
	public function get_payment_gateways() {
	    $payment_options = array();
	    $default_gateway = 0;
	    $payment_gateways = $this->payment_gateways_model->select('id, name, display_name, is_default')->find_all_by(array('status' => 1));
	    foreach($payment_gateways as $payment_gateway) {
	        $payment_options[] = array(
	            'value' => $payment_gateway->id,
	            'name' => $payment_gateway->display_name,
	        );
	        if($payment_gateway->is_default == 1) {
	            $default_gateway = $payment_gateway->id;
	        }
	    }
	    return array('payment_methods' => $payment_options, 'default' => $default_gateway);
	}
	
	/**
	 * Get Payment Method
	 * @param number $id
	 * @return mixed[]
	 */
	public function get_payment_method($id) {
	    $row = $this->db->where('id', $id)->get('payment_gateways')->row();
	    $settings = unserialize($row->settings);
	    if($settings) {
	        if($id > 52) {
	            $data = array();
	            foreach($settings as $setting) {
	                $data[$setting['key']] = $setting['value'];
	            }
	            return $data;
	        } else {
	            return $settings;
	        }
	    }
	    return null;
	}
}