<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
echo form_validations();
$record = isset($record) ? (array) $record : array();
$id = isset($record['id']) ? $record['id'] : '';
$settings = isset($settings) ? $settings : array();
$help_image = sprintf(lang('site_image_help'), $file_upload_settings['file_size'], $file_upload_settings['max_width'], $file_upload_settings['max_height']);
?>
<div class="admin-box">
	<?php echo form_open_multipart($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
		<?php
		echo form_hidden('previous_image', !empty($record['image']) ? $record['image'] : '');
		echo gc_form_element('text', array('name' => 'display_name', 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 100)), $record, lang('label_display_name'). lang('bf_form_label_required'), 'col-sm-4');
		echo gc_form_element('text', array('name' => 'description', 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 450)), $record, lang('label_description'), 'col-sm-6');
		echo gc_form_element('text', array('name' => 'priority', 'label_width' => 'col-sm-3', 'default_value' => 0, 'extra' => array('maxlength' => 4)), $record, lang('label_order'), 'col-sm-2');
		echo gc_form_element('filemanager', array('name' => 'image', 'label_width' => 'col-sm-3', 'extra' => array('help_image' => $help_image, 'image_path' => base_url('assets/images/payment-gateways'))), $record, lang('label_image'));		
		$checkbox_options = array();
		if(!empty($fields)):
		  foreach($fields as $field):
    		    switch($field) {
    		        case 'payment_instructions':
    		            echo gc_form_element('textarea', array('name' => $field, 'label_width' => 'col-sm-3', 'field_class' => 'editor'), $settings, lang('label_' . $field) . lang('bf_form_label_required'));
    		            break;
    		        case 'testmode':
    		            $checkbox_options[] = array('name' => 'testmode', 'label' => lang('label_sandbox_mode'), 'value' => $settings);
    		            break;
    		        case 'mailCustomer':
    		            $checkbox_options[] = array('name' => $field, 'label' => lang('label_' . $field), 'value' => $settings);
    		            break;
    		        case 'settings':
    		            $custom_fields = array(
        		            array('name' => 'key', 'type' => 'text', 'label' => lang('label_key')),
        		            array('name' => 'value', 'type' => 'text', 'label' => lang('label_value')),
    		            );
    		            echo gc_form_element('custom', array('name' => 'settings', 'fields' => $custom_fields), $settings, lang('label_' . $field). lang('bf_form_label_required'), 'col-sm-9');
    		            break;
    		        default:
    		            echo gc_form_element('text', array('name' => $field, 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 255)), $settings, lang('label_' . $field). lang('bf_form_label_required'), 'col-sm-6');   		            
    		    }
    		endforeach;
		endif;
		$checkbox_options[] = array('name' => 'status', 'label' => lang('label_status'), 'value' => $record);
		echo gc_form_element('checkbox', array('label_width' => 'col-sm-3', 'options' => $checkbox_options));
		$action_data = array(
			'url' => SITE_AREA . '/settings/payment_gateways',
		    'save_only' => true
		);
		$action_data['delete'] = FALSE;
		echo gc_form_element('actions', $action_data);
		?>
	</fieldset>
    <?php echo form_close(); ?>
</div>