<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php 
echo form_validations();
$payout = isset($payout) ? $payout : array();
$id = isset($payout->id) ? $payout->id : '';
?>
<div class='admin-box'>
    <?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
        <fieldset>
        	<?php
        	echo gc_form_element('text', array('name' => 'user', 'extra' => array('readonly' => TRUE)), $payout, lang('bf_user'));
        	echo gc_form_element('text', array('name' => 'module_id', 'extra' => array('readonly' => TRUE)), (isset($payout->module_id) ? gc_module_translation(gc_module_name($payout->module_id)) : ''), lang('label_module'));
        	echo gc_form_element('text', array('name' => 'requested_on', 'extra' => array('readonly' => TRUE, 'required' => TRUE)), $payout, lang('requested_on'), 'col-sm-2');
        	echo gc_form_element('text', array('name' => 'paid_on', 'extra' => array('required' => TRUE)), $payout, lang('paid_on') . lang('bf_form_label_required'), 'col-sm-2');
        	echo gc_form_element('text', array('name' => 'payment_method', 'extra' => array('required' => TRUE)), $payout, lang('payment_method') . lang('bf_form_label_required'), 'col-sm-4');
        	echo gc_form_element('text', array('name' => 'transaction_id', 'extra' => array('required' => TRUE)), $payout, lang('transaction_id') . lang('bf_form_label_required'), 'col-sm-4');
        	echo gc_form_element('textarea', array('name' => 'comments'), $payout, lang('label_comments'));
        	echo gc_form_element('textarea', array('name' => 'notes'), $payout, lang('label_notes'));
        	// do not allow user to change the paid to request, this will create database ambiguity
        	// once the status is set to paid, it cannot be reversed.
        	if($payout->status == 1):
        	   $status_options = array(1 => lang('label_paid'));
        	else:
        	   $status_options = array(0 => lang('label_request'), 1 => lang('label_paid'));
        	endif;
        	echo gc_form_element('dropdown', array('name' => 'status', 'options' => $status_options, 'help' => lang('help_payout_status')), $payout, lang('label_status'), 'col-sm-2');
        	$control_style = (isset($payout) && $payout->status != 1) || (isset($_POST['notify_user']) && $_POST['notify_user'] != 1) ? 'display: none;' : '';
        	echo gc_form_element('checkbox', array('name' => 'notify_user', 'control_class' => 'notify_user', 'control_style' => $control_style, 'no_label' => TRUE), (isset($_POST['notify_user']) && $_POST['notify_user'] == 1), lang('notify_user'));
        	$action_data = array(
        		'url' => SITE_AREA .'/financial/payouts'
        	);
			$action_data['delete'] = FALSE;
        	echo gc_form_element('actions', $action_data);
        	?>
        </fieldset>
    <?php echo form_close(); ?>
</div>