<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 10;
$can_delete	    = $this->auth->has_permission('Payouts.Financial.Delete');
$can_edit		= $this->auth->has_permission('Payouts.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<?php echo form_validations(); ?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string() . (!empty($_SERVER['QUERY_STRING']) ? '?' . $_SERVER['QUERY_STRING'] : '')); ?>
	<div class="alert alert-info"><?php echo lang('minimum_payout'); ?>: <?php echo empty($minimum_payout) ? lang('label_none') : currency_format($minimum_payout); ?></div>
	<div class="d-flex mb-4">
    	<div class="mx-auto">
        	<div class="form-row">
        		<div class="col-3">
        		<?php echo gc_form_element('selectize', array('name' => 'user_id', 'field_only' => true, 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/users'), 'module' => 'users', 'extra' => array('placeholder' => lang('bf_user'))), isset($payout_filter['user_id']) ? $payout_filter['user_id'] : 0, lang('bf_user'), 'col-sm-8'); ?>
        		</div>
        		<?php if(GC_PRODUCT_ID != 2):?>
        		<div class="col-3">
                <?php 
                $commission_modules = array(
                    '' => lang('placeholder_select')
                );
				if($payout_module == 'commissions'):
                foreach($this->commissions_model->applicable_modules as $commission_module):
                $commission_modules[gc_module_id($commission_module)] = lang($commission_module);
                endforeach;
				else:
					foreach($this->payouts_model->applicable_modules as $commission_module):
					$commission_modules[gc_module_id($commission_module)] = lang($commission_module);
					endforeach;
				endif;
                echo gc_form_element('dropdown', array('name' => 'module_id', 'field_only' => true, 'options' => $commission_modules, 'extra' => array('placeholder' => lang('placeholder_select'))), isset($payout_filter['module_id']) ? $payout_filter['module_id'] : 0, lang('label_module'), 'col-sm-8');
                ?>
				</div>
				<?php endif; ?>
            	<div class="<?php echo GC_PRODUCT_ID != 2 ? 'col-2' : 'col-3'; ?>"><?php echo gc_form_element('text', array('type' => 'text', 'name' => 'date_from', 'extra' => array('placeholder' => lang('label_from')), 'field_only' => true), $payout_filter['from']);?></div>
            	<div class="<?php echo GC_PRODUCT_ID != 2 ? 'col-2' : 'col-3'; ?>"><?php echo gc_form_element('text', array('type' => 'text', 'name' => 'date_to', 'extra' => array('placeholder' => lang('label_to')), 'field_only' => true), $payout_filter['to']);?></div>
            	<div class="col-2"><button type="submit" class="btn btn-primary" name="update"><?php echo lang('bf_action_update'); ?></button></div>
            </div>
        </div>
    </div>
	<?php // echo search_admin(lang('placeholder_payouts_search'));?>
	<div class="table-responsive">	
		<table class="table table-striped">
			<thead>
				<tr>
					<th><?php echo form_filter('user_id', lang('bf_user'));?></th>
					<th><?php echo lang('label_total');?></th>
					<th><?php echo form_filter('amount', lang('label_amount'));?></th>
					<th><?php echo lang('requested_on');?></th>
					<th><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
					$affiliate_url = $payout_module == 'order_items' ? site_url(SITE_AREA . '/settings/users/edit/' . $record->user_id) : site_url(SITE_AREA . '/financial/affiliates/detail/' . $record->user_id);
				?>
				<tr>
					<td><?php echo anchor($affiliate_url, $record->user_id . ' - ' . $record->display_name . ' <br /><small>' . $record->user_email . '</small>', 'target="_blank"'); ?></td>
					<td><?php echo $record->payout_total; ?></td>
					<td><?php echo currency_format($record->payout_amount); ?></td>
					<td><?php
					if(!empty($record->requested_on)):
						echo '<span class="text-success d-block">' . $record->request_number . '</span>' . $record->requested_on;
					else:
						echo lang('label_never');
					endif; 
					?>
					</td>
					<td><?php echo anchor(site_url(SITE_AREA . '/financial/payouts/pay?id=' . $record->user_id . '&md=' . $payout_module), '<span class="btn btn-sm btn-primary">'. lang('proceed_to_payment') .'</span>'); ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close();
	echo $this->pagination->create_links();?>
</div>