<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$nav_url = 'financial/payouts';
$menus = array(
    array(
        'condition' => '',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('gc_menu_summary')
    ),
    array(
        'condition' => 'info/commissions',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Commissions.Financial.Edit',
        'url' => $nav_url. '/info/commissions',
        'id' => 'payout_commissions',
        'tooltip' => true,
        'title' => lang('payout_pay_commissions'),
        'label' => '<i class="fas fa-hand-holding-usd fa-fw mr-1"></i>' . lang('payout_pay_commissions')
    ),
    array(
        'condition' => 'info/order_items',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Payouts.Financial.View',
        'url' => $nav_url. '/info/order_items?md=order_items',
        'id' => 'payout_order_items',
        'tooltip' => true,
        'title' => lang('payout_orders'),
        'label' => '<i class="fas fa-shopping-cart fa-fw mr-1"></i>' . lang('payout_orders')
    ),
    array(
        'condition' => 'manage/payouts',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Payouts.Financial.View',
        'url' => $nav_url. '/manage/payouts',
        'id' => 'manage_payouts',
        'tooltip' => true,
        'title' => lang('payout_history'),
        'label' => '<i class="fas fa-history fa-fw mr-1"></i>' . lang('gc_menu_history')
    ),
    array(
        'condition' => 'manage/requests',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Payout_Requests.Financial.View',
        'url' => $nav_url. '/manage/requests',
        'id' => 'manage_payout_requests',
        'tooltip' => true,
        'title' => lang('payout_requests'),
        'label' => '<i class="fas fa-hand-holding mr-1"></i>' . lang('payout_requests')
    ),
    array(
        'condition' => 'manage/email_templates',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Payout_Email_Templates.Financial.View',
        'url' => $nav_url. '/manage/email_templates',
        'id' => 'payout_email_templates',
        'tooltip' => true,
        'title' => lang('payout_email_templates'),
        'label' => '<i class="fas fa-envelope fa-fw mr-1"></i>' . lang('payout_email_templates')
    ),
    array(
        'condition' => 'settings',
        'permission' => 'Payouts.Financial.View',
        'url' => $nav_url. '/settings',
        'id' => 'settings',
        'tooltip' => true,
        'title' => lang('set_minimum_payout'),
        'label' => '<i class="fas fa-cog fa-fw mr-1"></i>' . lang('set_minimum_payout')
    )
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'payouts', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>