<div class="alert alert-info">
	<?php echo sprintf(lang('payout_between'), gc_date_format($payout_filter['from'], false), gc_date_format($payout_filter['to'], false)); ?>
	<a href="<?php echo site_url(SITE_AREA . '/financial/payouts/info/' . $payout_module . ($this->input->get('md') ? '?md=' . $this->input->get('md') : '')); ?>" class="ml-2 btn btn-warning btn-sm" title="<?php echo lang('bf_action_change'); ?>"><?php echo lang('bf_action_change'); ?></a>
</div>
<h4 class="font-weight-bold"><?php echo lang($payout_module == 'commissions' ? 'gc_menu_commissions' : 'order_items') . ' - ' . lang('gc_menu_summary'); ?></h4>
<hr />
<?php echo form_open($this->uri->uri_string() . (!empty($_SERVER['QUERY_STRING']) ? '?' . $_SERVER['QUERY_STRING'] : ''), 'class="form-horizontal"'); ?>
<div class="table-responsive">
  	 <table class="table table-striped table-bordered table-data">
        <thead>
            <tr>
            	<?php foreach($columns as $column):?>
            	<th><?php echo $column; ?></th>
            	<?php endforeach;?>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <?php foreach($columns as $column):?>
            	<th><?php echo $column; ?></th>
            	<?php endforeach;?>
            </tr>
        </tfoot>
    </table>
</div>
<hr />
<div class="form-row">
    <div class="col-md-6">
    	<h4 class="font-weight-bold"><?php echo lang($payout_module == 'commissions' ? 'singular_affiliates' : 'bf_user'); ?></h4>
		<hr />
        <div class="table-responsive">
        	<table class="table table-striped table-sm">
        		<tbody>
        		<?php foreach($record as $key => $value):        		
        		$label = lang('label_' . $key);
        		switch($key) {
        		    case 'user_id':
        		    case 'name':
        		    case 'phone_number':
        		    case 'address':
        		    case 'user_email':        		        
        		    case 'join_date':
        		    case 'last_login':
        		    case 'status':
        		    case 'payment_method':
        		    case 'payment_info':
        		        switch($key) {
        		            case 'user_id':
								if($payout_module == 'commissions') {
									$label = lang('affiliate_id');
									$value = anchor(site_url(SITE_AREA . '/financial/affiliates/detail/' . $value), '<i class="fas fa-eye fa-fw mr-1"></i>' . $value, 'target="_blank"');
								} else {
									$label = lang('bf_user');
									$value = $value; // anchor(site_url(SITE_AREA . '/financial/payouts/detail/' . $value), '<i class="fas fa-eye fa-fw mr-1"></i>' . $value, 'target="_blank"');
								}
								break;
        		            case 'user_email':
        		                $label = lang('label_email');
        		                break;
        		            case 'payment_method':
        		                $value = empty($value) ? lang('not_specified') : lang($value);
        		                $value = '<span class="btn btn-success btn-sm">' . $value . '</span>';
        		                break;
        		            case 'payment_info':
        		                $label = lang('payment_info');
        		                $value = '<span class="btn btn-danger btn-sm">' . $value . '</span>';
        		                break;
        		            case 'address':
        		                $label = lang('label_address');
        		                $value = $record->address . ', ' . $record->city . ', ' . $record->state . ' - ' . $record->postcode . ', ' . $record->country;
        		                break;
        		            case 'status':
        		                $value = '<span style="color: ' . $record->status_color . ';">' . (!empty($record->status_lang) ? lang($record->status) : $record->status) . '</span>';
        		                break;
        		            case 'last_login':
        		                $label = lang('us_last_login');
        		                $value = gc_date_format($value);
        		                break;
        		            case 'join_date':
        		                $label = lang('joined_on');
        		                $value = gc_date_format($value);
        		                break;
        		        }
        		    ?>
        		<tr>
        			<th width="25%"><?php echo $label; ?></th>
        			<td><?php echo $value; ?></td>
        		</tr>
        		<?php
        		        break;
        		}
        		?>
        		<?php endforeach;?>    			
        		<tr>
        			<th width="25%"><?php echo lang('payment_amount'); ?></th>
        			<td><span class="badge badge-danger"><?php echo currency_format($record->payout_amount);?></span></td>
        		</tr>
        		</tbody>
        	</table>
        </div>        
    </div>
    <div class="col-md-6">   
        <?php if(!empty($record->payout_amount) && $record->payout_amount > $minimum_payout):?>
            <fieldset class="card card-body">
			<span class="payout-amount d-none"><?php echo decimal_convert($record->payout_amount); // for jquery calculations only ?></span>
				<?php
				$payout = array();
				echo gc_form_element('text', array('name' => 'payout_amount', 'label_width' => 'col-sm-4', 'extra' => array('required' => TRUE)), decimal_convert($record->payout_amount), lang('payout_amount') . lang('bf_form_label_required'), 'col-sm-8');
				if($payout_module == 'commissions'):?>
                	<div class="form-row">
                	    <div class="col-md-4"></div>
                	    <div class="col-md-8">
							<button type="button" class="btn btn-info btn-xs mt-2 btn-payout-tax" data-without="<?php echo lang('payout_amount_without_tax'); ?>" data-with="<?php echo lang('payout_amount_with_tax'); ?>" value="1"><?php echo lang('payout_amount_with_tax'); ?></button>
                	        <span class="amount-with-tax btn btn-warning btn-xs mt-2" style="display: none;"></span>
                	    </div>
                	</div>
                <?php endif;
				echo gc_form_element('text', array('name' => 'paid_on', 'label_width' => 'col-sm-4', 'extra' => array('required' => TRUE)), date('Y-m-d H:i:s'), lang('paid_on') . lang('bf_form_label_required'), 'col-sm-8');
				echo gc_form_element('text', array('name' => 'payment_method', 'label_width' => 'col-sm-4', 'extra' => array('placeholder' => lang('placeholder_payment_method'))), $payout, lang('payment_method'), 'col-sm-8');
				echo gc_form_element('text', array('name' => 'transaction_id', 'label_width' => 'col-sm-4', 'extra' => array('placeholder' => lang('placeholder_transaction_id'))), $payout, lang('transaction_id'), 'col-sm-8');
				echo gc_form_element('textarea', array('name' => 'comments', 'label_width' => 'col-sm-4', 'help' => lang('help_payout_comments'), 'extra' => array('rows' => 2, 'placeholder' => lang('placeholder_comments'))), $payout, lang('label_comments'), 'col-sm-8');
				echo gc_form_element('textarea', array('name' => 'notes', 'label_width' => 'col-sm-4', 'help' => lang('help_payout_notes'), 'extra' => array('rows' => 2, 'placeholder' => lang('placeholder_notes'))), $payout, lang('label_notes'), 'col-sm-8');
				// do not allow user to change the paid to request, this will create database ambiguity
				// once the status is set to paid, it cannot be reversed.
				echo gc_form_element('checkbox', array('name' => 'wallet_transfer', 'label_width' => 'col-sm-4', 'control_class' => 'wallet_transfer', 'no_label' => TRUE), (isset($_POST['wallet_transfer']) && $_POST['wallet_transfer'] == 1), lang('wallet_transfer'));
				echo gc_form_element('checkbox', array('name' => 'notify_user', 'label_width' => 'col-sm-4', 'control_class' => 'notify_user', 'no_label' => TRUE), (isset($_POST['notify_user']) && $_POST['notify_user'] == 1), lang('notify_user'));
				?>
				<div class="alert alert-danger">
					<?php echo lang('help_payout_form'); ?>
				</div>
				<?php
				$action_data = array(
					'url' => SITE_AREA .'/financial/payouts'
				);
				$action_data['delete'] = FALSE;
				echo gc_form_element('actions', $action_data);
				?>
			</fieldset>
         <?php elseif(!empty($record->commission_amount)): ?>
         <div class="row h-100 justify-content-center align-items-center">
         <div class="alert alert-danger">
         	<?php echo sprintf(lang('minimum_payout_processing_error'), currency_format($minimum_payout), currency_Format($minimum_payout - $record->commission_amount));?>
         </div>
         </div>
        <?php endif;?> 	
    </div>
</div>
<?php echo form_close(); ?>