<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/

$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'active', 'url' => $index_url . 'active/', 'title' => lang('tab_active')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('tab_inactive')),
    array('filter' => $filter_type, 'condition' => 'affiliates', 'url' => $index_url . 'affiliates/', 'title' => lang('gc_menu_affiliates')),
    array('filter' => $filter_type, 'condition' => 'products', 'url' => $index_url . 'products/', 'title' => lang('products')),
    array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('tab_deleted')),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

$num_columns	= 10;
$can_delete		= $this->auth->has_permission('Payouts.Financial.Delete');
$can_edit		= $this->auth->has_permission('Payouts.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_payout_user_search'));?>
	<div class="table-responsive">	
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('display_name', lang('bf_user'));?></th>
					<th><?php echo form_filter('type', lang('label_type'));?></th>
					<th><?php echo form_filter('gross_earning', lang('gross_earning'));?></th>
					<th><?php echo form_filter('pending_payout', lang('pending_payout'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on'));?></th>
					<th><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
							<?php
							echo lang('bf_with_selected');
		
							if ($filter_type == 'deleted') :
							?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
							<?php else : ?>																				
							<button class="btn btn-action" type="submit" name="submit" value="activate"><?php echo lang('bf_action_activate'); ?></button>
							<button class="btn btn-action" type="submit" name="submit" value="deactivate"><?php echo lang('bf_action_deactivate'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
							<?php endif;?>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id) ?></td>
					<td><?php echo anchor(site_url(SITE_AREA . '/settings/users/edit/' . $record->user_id), $record->user); ?></td>
					<td><?php e(gc_module_translation(gc_module_name($record->module_id))); ?></td>	
					<td><?php echo currency_format($record->gross_earning); ?></td>
					<td><?php e(currency_format($record->pending_payout)); ?></td>
					<td class='status'>
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
					<td><?php e($record->created_on); ?></td>
					<td><?php e($record->modified_on); ?></td>
					<td>
					<button class="btn btn-xs btn-primary" type="submit" name="request" value="<?php echo $record->id;?>"><?php echo lang('request_payout'); ?></button>
					<?php if($record->pending_payout > 0 && $record->status == 1):?>
					<button type="submit" name="wallet_transfer" value="<?php echo $record->id?>" class="btn btn-xs btn-warning">
						<?php echo lang('wallet_transfer');?>
					</button>
					<?php endif; ?>
					<span onclick="$('#query_id').val(<?php echo $record->id;?>);"><a href="#replyEmailModal" role="button" class="btn btn-info btn-xs" id="<?php echo $record->id;?>" data-toggle="modal"><i class="icon-envelope icon-white"></i> <?php echo lang('label_email');?></a></span>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
<?php 
echo form_hidden('status');
echo form_hidden('query_id');
echo form_hidden('request_uri', 'payout_users');
echo form_hidden('lang_replied', lang('label_replied'));
echo form_close();
echo $this->pagination->create_links();
echo $this->load->view('common/admin_reply');
?>
</div>