<?php echo form_open($this->uri->uri_string()); ?>
<div class="table-responsive">
<table class="table table-bordered">
    <thead class="text-muted thead-light">
    	<tr>
    		<th><?php echo lang('label_module');?></th>
            <th><?php echo lang('minimum_payout');?></th>
    		<th><?php echo lang('gross_earning');?></th>
    		<th><?php echo lang('pending_payout');?></th>
    		<th><?php echo lang('requested_on');?></th>
    		<th><?php echo lang('label_action');?></th>
    	</tr>
    </thead>
    <tbody>
	<?php if(!empty($records)):?>
	<?php foreach($records as $record):?>
    <tr>
    	<td><?php echo gc_module_translation(gc_module_name($record->module_id)); ?></td>
        <td><?php 
	    $min_field_name = 'minimum_payout';
        if($record->module_id == 2):
            $min_field_name = 'ecom_min_payout';
        elseif($record->module_id == 29):
            $min_field_name = 'bookings_min_payout';
        endif;
        $min_payout = gc_json_settings('payout.settings', $min_field_name);
        echo currency_format($min_payout);
        ?></td>
    	<td><?php echo currency_format($record->gross_earning);?></td>
    	<td><?php echo currency_format($record->pending_payout);?></td>
        <td><?php 
        if(!empty($record->request_number)):
            echo '<span class="text-success">'. $record->request_number . '</span><br />';
        endif;
        echo !empty($record->requested_on) ? gc_date_format($record->requested_on, true) : null;?></td>
        <td>
        	<?php if($record->pending_payout > 0 && $record->pending_payout >= $min_payout):?>
          	<button class="btn btn-xs btn-danger" type="submit" name="request" value="<?php echo $record->module_id;?>"><?php echo lang('get_paid'); ?></button>
        	<?php else: ?>
        	<?php echo lang('not_applicable'); ?>
        	<?php endif; ?>
        </td>
    </tr>
    <?php endforeach;?>
	<?php else: ?>
	<tr>
		<td colspan="6"><?php echo lang('error_no_record_found'); ?></td>
	</tr>
	<?php endif; ?>
    </tbody>
</table>
</div>
<?php echo form_close();?>
<?php if(!empty($columns)):?>
<h1 class="text-center"><?php echo lang('payouts_history');?></h1>
<?php echo form_open($this->uri->uri_string()); ?>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-data">
        <thead>
            <tr>
                <?php foreach($columns as $column):?>
                <th><?php echo $column; ?></th>
                <?php endforeach;?>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <?php foreach($columns as $column):?>
                <th><?php echo $column; ?></th>
                <?php endforeach;?>
            </tr>
        </tfoot>
    </table>
</div>
<?php echo form_close(); ?>
<?php endif; ?>