<?php

$num_columns	= 9;
$can_delete	= $this->auth->has_permission('Ratings.Content.Delete');
$can_edit		= $this->auth->has_permission('Ratings.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete) {
    $num_columns++;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					<th><?php echo form_filter('user_id', lang('label_user'));?></th>
					<th><?php echo form_filter('rated_on', lang('rated_on'));?></th>
					<th><?php echo form_filter('ip_address', lang('label_ip_address'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete && isset($delete)) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>')" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>				
					<td><?php e($record->user_id == 0 ? '' : $record->user_id . ' - ' . $record->display_name . ' (' . $record->email . ')'); ?></td>					
					<td><?php e($record->rated_on); ?></td>
					<td><?php e($record->ip_address); ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();
    
    echo $this->pagination->create_links();
    ?>
</div>