<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
echo form_validations();
$num_columns	= 10;
$can_delete		= $this->auth->has_permission('Listings.Content.Delete');
$can_edit		= $this->auth->has_permission('Listings.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<style>
th.id { width: 3em; }
th.last-login { width: 11em; }
th.status { width: 10em; }
</style>
<?php 
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all'))
);
$config_modules = gc_modules();
$config_modules[] = 'videos';
foreach($config_modules as $config_module):
$nav_tabs[] = array('filter' => $filter_type, 'condition' => $config_module, 'url' => $index_url . $config_module, 'title' => lang($config_module));
endforeach;
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_ratings_search'));?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('row_id', lang('label_title'));?></th>
					<?php if($filter_type == 'all'):?>
					<th><?php echo form_filter('module_id', lang('label_module'));?></th>
					<?php endif;?>
					<th><?php echo form_filter('average_rating', lang('average_rating'));?></th>
					<th><?php echo form_filter('total_ratings', lang('total_ratings'));?></th>
					<th><?php echo form_filter('total_users', lang('total_users'));?></th>
					<th><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<button name="submit" value="save" class="btn btn-success" type="submit"><?php echo lang('bf_action_save'); ?></button>
						<button name="submit" value="delete" class="btn btn-danger" type="submit"><?php echo lang('bf_action_delete'); ?></button>						
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link'); ?></td>
					<?php if($filter_type == 'all'): $module_name = gc_module_name($record->module_id);?>
					<td><?php echo !empty($module_name) ? gc_module_translation($module_name) : $module_name; ?></td>
					<?php endif;?>
					<td><input type='text' class="form-control field-width" name='average_rating_<?php echo $record->id; ?>' placeholder="<?php echo lang('average_rating');?>" value="<?php echo set_value('average_rating', isset($record->average_rating) ? $record->average_rating : ''); ?>" /></td>					
					<td><input type='text' class="form-control field-width" name='total_ratings_<?php echo $record->id; ?>' placeholder="<?php echo lang('total_ratings');?>" value="<?php echo set_value('total_ratings', isset($record->total_ratings) ? $record->total_ratings : ''); ?>" /></td>				
					<td><input type='text' class="form-control field-width" name='total_users_<?php echo $record->id; ?>' placeholder="<?php echo lang('total_users');?>" value="<?php echo set_value('total_users', isset($record->total_users) ? $record->total_users : ''); ?>" /></td>			
					<td><button type="submit" name="save" class="btn btn-success btn-sm" value="<?php echo $record->id; ?>"><?php echo lang('save');?></button> 
					<?php if($record->rating_users > 0): ?>
					<?php echo anchor(site_url(SITE_AREA . '/content/ratings/history/' . $record->id), '<i class="fas fa-history"></i>', 'class="btn btn-sm btn-primary" data-toggle="tooltip" data-placement="bottom" title="' . lang('label_history') . '"'); ?></td>
					<?php endif; ?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
	<?php echo $this->pagination->create_links();?>
</div>