<?php
echo form_validations();
$role = isset($role) ? $role : array();
?>
<div class="admin-box">
    <?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
        <fieldset>
            <legend><?php echo lang('role_details'); ?></legend>
            <input type='hidden' name='role_id' value="<?php echo set_value('role_id', isset($role->role_id) ? $role->role_id : ''); ?>" />
            <?php 
            echo gc_form_element('text', array('name' => 'role_name', 'tooltip' => (isset($role_create_help) ? $role_create_help : ''), 'extra' => array('maxlength' => 60)), $role, lang('role_name'). lang('bf_form_label_required'), 'col-sm-3');
            echo gc_form_element('textarea', array('name' => 'description', 'tooltip' => lang('role_max_desc_length'), 'extra' => array('maxlength' => 255)), $role, lang('bf_description'));
            echo gc_form_element('text', array('name' => 'login_destination', 'tooltip' => lang('role_destination_note'), 'extra' => array('maxlength' => 255)), $role, lang('role_login_destination'), 'col-sm-3');
            $context_options = array();
            if(!empty($contexts) && is_array($contexts)):
            foreach($contexts as $context):
            $context_options[$context] = ucfirst($context);
            endforeach;
            endif;
            echo gc_form_element('dropdown', array('name' => 'default_context', 'help' => lang('role_default_context_note'), 'options' => $context_options), $role, lang('role_default_context'), 'col-sm-3');
            echo gc_form_element('checkbox', array('name' => 'default', 'tooltip' => lang('role_default_note'), 'no_label' => TRUE), $role, lang('role_default_role'));
            $radio_options = array(
            	array('name' => 'can_delete', 'default_value' => 1, 'extra' => array('id' => 'can_delete_yes'), 'value' => (isset($role->can_delete) && $role->can_delete == 1 ? TRUE : FALSE), 'label' => lang('bf_yes')),
            	array('name' => 'can_delete', 'default_value' => 0, 'extra' => array('id' => 'can_delete_no'), 'value' => (isset($role->can_delete) && $role->can_delete == 0 ? TRUE : FALSE), 'label' => lang('bf_no')),
            );
            echo gc_form_element('radio', array('tooltip' => lang('role_can_delete_note'), 'options' => $radio_options), array(), lang('role_can_delete_role'));
            ?>
        </fieldset>
        <!-- Permissions -->
        <?php if (has_permission('Bonfire.Permissions.Manage')) : ?>
        <fieldset>
            <legend><?php echo lang('role_permissions'); ?></legend>
            <p class="intro"><?php echo lang('role_permissions_check_note'); ?></p>
            <?php echo Modules::run('roles/settings/matrix'); ?>
        </fieldset>
        <?php endif; ?>
        <fieldset class="form-actions">
            <input type="submit" name="save" class="btn btn-primary" value="<?php echo lang('role_save_role'); ?>" />
            <?php
            echo lang('bf_or') . ' ' . anchor(SITE_AREA . '/settings/roles', lang('bf_action_cancel'));
            if (isset($role->can_delete) && $role->can_delete == 1 && has_permission('Bonfire.Roles.Delete')):
            ?>
            <button type="submit" name="delete" class="btn btn-danger" onclick="return confirm('<?php e(js_escape(lang('role_delete_confirm') . ' ' . lang('role_delete_note'))); ?>')"><i class="fas fa-trash fa-lg"></i>&nbsp;<?php echo lang('role_delete_role'); ?></button>
            <?php endif;?>
        </fieldset>
    <?php echo form_close(); ?>
</div>