<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 10;
$can_delete	= $this->auth->has_permission('Search_Queries.Reports.Delete');
$can_edit		= $this->auth->has_permission('Search_Queries.Reports.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_basic_search'));?>
	<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('keyword', lang('sq_keyword'));?></th>
					<th><?php echo form_filter('location', lang('sq_location'));?></th>
					<th><?php echo form_filter('times', lang('sq_times'));?></th>
					<th><?php echo form_filter('created_on', lang('sq_created_on'));?></th>
					<th><?php echo form_filter('created_ip', lang('created_ip'));?></th>
					<th><?php echo form_filter('modified_on', lang('sq_modified_on'));?></th>
					<th><?php echo form_filter('modified_ip', lang('modified_ip'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
					<td><?php e($record->keyword); ?></td>
					<td><?php e($record->location) ?></td>
					<td><?php e($record->times) ?></td>
					<td><?php e($record->created_on) ?></td>
					<td><?php e($record->created_ip) ?></td>
					<td><?php e($record->modified_on) ?></td>
					<td><?php e($record->modified_ip) ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('label_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
	<?php echo $this->pagination->create_links(); ?>
</div>