<?php if(isset($data->id) && isset($data->title)):
if($data->score < 50):
$speed_color = 'danger';
elseif($data->score >= 50 && $data->score <= 89):
$speed_color = 'warning';
else:
$speed_color = 'success';
endif;
?>
<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#pagespeedModal">
  	<?php echo lang('seo_pagespeed'); ?><span class="badge badge-pill badge-warning ml-2"><?php echo $data->score; ?></span>
</button>
<div class="modal" id="pagespeedModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title text-truncate"><?php echo lang('seo_pagespeed'); ?> - <?php echo $data->id; ?></h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
<div class="text-center">
	<?php echo lang('seo_score'); ?>: <button class="btn btn-<?php echo $speed_color; ?> btn-lg"><span class="h2"><?php echo $data->score; ?></span></button>
	<h2 class="m-0 p-0"><?php echo anchor($data->id, $data->id, 'target="_blank"'); ?></h2>
	<p class="m-0"><?php echo $data->title; ?></p>
</div>
<?php 
$result = $data->formattedResults->ruleResults;
$i = 1;
?>
<div id="accordion">
	<?php foreach($result as $row):?>
      <div class="card">
        <div class="card-header p-0" id="heading<?php echo $i; ?>">
          <h5 class="mb-0 text-truncate">
            <button type="button" class="btn btn-link btn-sm" data-toggle="collapse" data-target="#collapse<?php echo $i; ?>" aria-expanded="true" aria-controls="collapse<?php echo $i; ?>">
              	<h6 class="text-secondary text-uppercase font-weight-bold"><?php echo $row->localizedRuleName; ?></h6>
            </button>
          </h5>
        </div>    
        <div id="collapse<?php echo $i; ?>" class="collapse<?php $i == 1 ? ' show' : ''; ?>" aria-labelledby="heading<?php echo $i; ?>" data-parent="#accordion">
          	<div class="card-body">
            	<?php
            	foreach($row->urlBlocks as $urlBlock):
            	if(isset($urlBlock->header->format) && strpos($urlBlock->header->format, '$') === false):
            	       echo '<p>' . $urlBlock->header->format . '</p>';
            	   endif;
            	   if(isset($urlBlock->header->args)):            	   
            	       foreach($urlBlock->header->args as $arg):
                	   switch($arg->type) {
                	       case 'HYPERLINK':
                	           echo anchor($arg->value, $arg->value, 'target="_blank"');
                	           break;
                	   }
                	   endforeach;
            	   endif;
            	   if(isset($urlBlock->urls)):
            	   foreach ($urlBlock->urls as $url) {
            	       $advice = $this->seo_model->replace_placeholders($url->result->format, $url->result->args);
            	       echo '<br />' . $advice;
            	   }
            	   endif;
            	endforeach;
            	?>
            </div>
        </div>
      </div>
 	<?php $i++; endforeach; ?>
</div>
</div>
    <div class="modal-footer">
    	<button type="button" class="btn btn-danger" data-dismiss="modal"><?php echo lang('form_close'); ?></button>
    </div>
    </div>
  </div>
</div>
<?php endif; ?>