<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$id = isset($record->id) ? $record->id : '';
$link_url = site_url($record->uri_string);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="row">
	<div class="col-md-6">
	<fieldset>
	<div class="form-group form-row">
    	<label class="col-sm-3 col-form-label" for="url"><?php echo lang('label_url'); ?></label>
    	<div class="col-sm-9">
    		<div class="mt-2">
    			<?php echo anchor($link_url, $link_url, 'target="_blank"'); ?>
    		</div>
    	</div>
    </div>
	<?php
	echo gc_form_element('text', array('name' => 'uri_string', 'label_width' => 'col-sm-3'), $record, lang('seo_uri_string'), 'col-sm-9'); //  . lang('bf_form_label_required')
	$changefreqs = array(
	    'none' => lang('label_none'),
	    'always' => lang('seo_always'),
	    'hourly' => lang('seo_hourly'),
	    'daily' => lang('seo_daily'),
	    'weekly' => lang('seo_weekly'),
	    'monthly' => lang('seo_monthly'),
	    'yearly' => lang('seo_yearly'),
	    'never' => lang('seo_never'),
	);
	$priorities = array(
	    '0' => 0,
	    '0.1' => 0.1,
	    '0.2' => 0.2,
	    '0.3' => 0.3,
	    '0.4' => 0.4,
	    '0.5' => 0.5,
	    '0.6' => 0.6,
	    '0.7' => 0.7,
	    '0.8' => 0.8,
	    '0.9' => 0.9,
	    '1' => 1,
	);
	echo gc_form_element('text', array('name' => 'title', 'label_width' => 'col-sm-3'), $record, lang('label_title'), 'col-sm-9');
    echo gc_form_element('textarea', array('name' => 'description', 'label_width' => 'col-sm-3'), $record, lang('label_description'), 'col-sm-9');
    echo gc_form_element('textarea', array('name' => 'keywords', 'label_width' => 'col-sm-3'), $record, lang('label_keywords'), 'col-sm-9');
    echo gc_form_element('dropdown', array('name' => 'sitemap_freq', 'options' => $changefreqs, 'label_width' => 'col-sm-3'), $record, lang('seo_sitemap_freq'), 'col-sm-6');
    echo gc_form_element('dropdown', array('name' => 'sitemap_priority', 'options' => $priorities, 'label_width' => 'col-sm-3'), $record, lang('seo_sitemap_priority'), 'col-sm-6');
    echo gc_form_element('checkbox', array('name' => 'status', 'no_label' => TRUE, 'label_width' => 'col-sm-3'), $record, lang('label_status'));
    ?>
	</fieldset>
	</div>
	<div class="col-md-6">		
    	<div class="card card-body p-2 mb-4">
    		<p class="h5 m-0 text-truncate" data-toggle="tooltip" data-title="Hello"><?php echo anchor($link_url, $record->title); ?></p>
    		<p class="text-success m-0"><?php echo $link_url; ?></p>
    		<p class="m-0"><?php echo $record->description; ?></p>
    	</div>
		<?php
		$params = json_decode($record->params ?? '', true);
		$recommended_limits = $this->seo_model->recommended_limits;
		$attributes = array(
		    'title' => strlen($record->title),
		    'description' => strlen($record->description),
		    'keywords' => strlen($record->keywords),
		    'headings' => $params['headings'],
		    'images' => $params['images'],
		    'internal' => $params['internal'],
		    'external' => $params['external'],
		);
		?>
		<div class="table-responsive">
		<table class="table table-bordered table-md">
			<thead class="bg-dark text-white">
    			<tr>
    				<th><?php echo lang('seo_attribute'); ?></th>
    				<th><?php echo lang('seo_counts'); ?></th>
    				<th><?php echo lang('seo_recommended_limit'); ?></th>
    			</tr>
			</thead>
			<tbody>
				<?php foreach($attributes as $key => $value):?>
				<tr>
					<td><?php echo lang('seo_' . $key); ?><i class="fas fa-question-circle fa-fw ml-1" data-toggle="tooltip" data-title="<?php echo lang('seo_info_' . $key); ?>"></i></td>
					<td><span class="badge badge-pill badge-<?php echo !empty($recommended_limits[$key]) && $recommended_limits[$key] > $value ? 'success' : 'warning'; ?>"><?php echo $value; ?></span></td>
					<td><span class="badge badge-pill badge-info"><?php echo empty($recommended_limits[$key]) ? lang('seo_no_limit') : $recommended_limits[$key]; ?></span></td>
				</tr>					
				<?php endforeach;?>
			</tbody>
		</table>
		</div>		
        <?php 
    	if(!empty($record->pagespeed)):
    	  $this->load->view('_tpl_pagespeed', array('data' => json_decode($record->pagespeed)));
    	endif;
    	?>
		<?php if(!empty($params['images_without_alt'])):?>
		<div class="alert alert-danger p-2">
			<?php echo sprintf(lang('seo_images_without_alt'), $params['images_without_alt_count']); ?>
			<?php echo implode('<br />', $params['images_without_alt']); ?>
		</div>
		<?php endif; ?>
	</div>
	</div>
	<?php 
	$action_data = array(
	    'url' => SITE_AREA .'/components/seo/manage/links'
	);
	if (!$id || !$this->auth->has_permission('SEO_Links.Components.Delete')):
	$action_data['delete'] = FALSE;
	endif;
	$action_data['extra_actions'] = array(
	    '<button class="btn btn-info" name="refresh" value="' . $id . '"><i class="fas fa-sync fa-fw mr-1"></i>' . lang('seo_recrawl') . '</button>',
	    '<button class="btn btn-success" name="pagespeed" value="' . $id . '"><i class="fas fa-sync fa-fw mr-1"></i>' . lang('seo_pagespeed') . '</button>'
	);
	$action_data['size'] = 'col-sm-9 offset-sm-3';
	echo gc_form_element('actions', $action_data);
	?>
    <?php echo form_close(); ?>	
</div>