<?php $blocks = array('missing_title', 'missing_description', 'missing_keywords');?>
<div class="row">	
	<div class="col-sm-3">
		<div class="card card-body <?php echo !empty($record->total_links) ? 'bg-success' : 'bg-danger'; ?> text-white">
			<div>
			<i class="fa-2x fas <?php echo !empty($record->total_links) ? 'fa-check-circle' : 'fa-exclamation-triangle'; ?>"></i>
			<span class="h2 ml-2"><?php echo $record->total_links; ?></span>
			</div>
			<p class="h4 m-0"><?php echo lang('seo_total_links'); ?></p>
		</div>
	</div>
	<?php foreach($blocks as $block):?>
	<div class="col-sm-3">
		<div class="card card-body <?php echo empty($record->{$block}) ? 'bg-success' : 'bg-danger'; ?> text-white">
			<div>
			<i class="fa-2x fas <?php echo empty($record->{$block}) ? 'fa-check-circle' : 'fa-exclamation-triangle'; ?>"></i>
			<span class="h2 ml-2"><?php echo $record->{$block}; ?></span>
			</div>
			<p class="h4 m-0"><?php echo lang('seo_' . $block); ?></p>
		</div>
	</div>
	<?php endforeach;?>
</div>
<div class="row pt-2">
<?php if(!empty($record->stats)):?>
<div class="col-sm-4">
<h3 class="font-weight-bold m-0"><?php echo lang('seo_stats'); ?> - <span class="small"><?php echo anchor($domain, $domain, 'target="_blank"'); ?></span></h3>
<div class="table-responsive">
<table class="table table-striped table-sm">
<?php 
$unset_fields = array('image_filename', 'domain', 'image_url', 'meta_title', 'meta_description', 'meta_keywords', 'page_rank', 'cpr_score');
$whois_fields = array('root_ip', 'registrar', 'registered_on', 'expires_on', 'updated_on', 'name_servers', 'name', 'organization', 'street', 'city', 'state', 'postal_code', 'country', 'phone', 'fax', 'email');
$color_class = array('primary', 'success', 'danger', 'warning', 'secondary', 'info', 'red', 'green', 'blue');
$i = 0; 
foreach($record->stats as $key => $value):
if(!in_array($key, $whois_fields) && !in_array($key, $unset_fields) && strpos($value, '>') === false):
if(!isset($color_class[$i])):
$i = 0;
endif;
?>
<tr class="h6">
	<th><?php echo lang('seo_' . $key); ?></th>
	<td><span class="badge badge-pill badge-<?php echo $color_class[$i]; ?>"><?php 
	if($key == 'name_servers'):
	   echo implode('<br>', explode(', ', $value ?? ''));
	else:
	echo $value;
	endif;
	?></span>
	</td>
</tr>
<?php 
$i++;
endif;
endforeach; ?>
</table>
</div>
</div>
<?php endif;?>
<?php if(!empty($record->last_modified_urls)):?>
<div class="col-sm-4">
<h3 class="font-weight-bold m-0"><?php echo lang('seo_last_modified_urls'); ?></h3>
<div class="table-responsive">
<table class="table table-striped table-sm">
<?php foreach($record->last_modified_urls as $row):?>
<tr class="small">
	<th><?php echo anchor(site_url($row->uri_string), $row->uri_string . '<i class="fas fa-external-link-alt fa-fw ml-1"></i>', 'target="_blank"');?></th>
	<td><span class="badge badge-success"><?php echo gc_date_format($row->modified_on); ?></span></td>
</tr>
<?php endforeach;?>
</table>
</div>
</div>
<?php endif;?>
<?php if(!empty($record->top_visited_urls)):?>
<div class="col-sm-4">
<h3 class="font-weight-bold m-0"><?php echo lang('seo_top_visited_urls'); ?></h3>
<div class="table-responsive">
<table class="table table-striped table-sm">
<?php foreach($record->top_visited_urls as $top_visited_url):?>
<tr class="small">
	<th><?php echo anchor(site_url($top_visited_url->uri_string), $top_visited_url->uri_string . '<i class="fas fa-external-link-alt fa-fw ml-1"></i>', 'target="_blank"');?></th>
	<td><span class="badge badge-pill badge-info"><?php echo $top_visited_url->hits; ?></span></td>
</tr>
<?php endforeach;?>
</table>
</div>
</div>
<?php endif;?>
</div>