<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$permission_name = ucwords($module);
$url_form       = SITE_AREA . '/components/seo/form/';
$form_url       = $url_form . str_replace('seo_', '', $module);
$edit_url       = $form_url . '/edit/';
$create_url     = $form_url . '/create/';
$num_columns	= 10;
$can_delete	    = $this->auth->has_permission($permission_name . '.Components.Delete');
$can_edit		= $this->auth->has_permission($permission_name . '.Components.Edit');
$can_create		= $this->auth->has_permission($permission_name . '.Components.Create');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
$num_columns++;
endif;
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="row">
    	<div class="col-sm-4 mt-3">
        	<?php if($can_create && $role == 'admin'):?>
        	<a href="<?php echo site_url($create_url); ?>" class="btn btn-warning btn-sm"><i class="fas fa-plus-circle fa-fw mr-1"></i><?php echo lang('create_' . $module); ?></a>
        	<?php endif;?>
    	</div>
    	<div class="col-sm-8">
    		<?php echo search_admin(lang('placeholder_' . $module . '_search'));?>
    	</div>
	</div>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
				<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<?php switch($module) {
					    case 'notes_user':?>					    
					<th><?php echo form_filter('title', lang('label_title')); ?></th>
					<th><?php echo form_filter('description', lang('label_description')); ?></th>
					<th><?php echo form_filter('created_on', lang('created_on')); ?></th>
					<th><?php echo form_filter('modified_on', lang('modified_on')); ?></th>
					<?php break; }?>
				</tr>
				</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>		
						<?php if ($filter_type == 'deleted'): ?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
						<?php else : ?>
						<?php if ($can_delete) : ?>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>						
						<?php endif; ?>
						<?php endif; ?>
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
					<?php switch($module) {
					    case 'notes_user':
					        ?>
					<td>
					<?php if ($can_edit) : ?>
					<?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->title); ?>
					<?php else : ?>
					<?php echo $record->title; ?>
					<?php endif; ?>
					</td>
					<td class="w-50"><?php echo truncate_text($record->description, 150, true); ?></td>
					<td><?php echo gc_date_format($record->created_on); ?></td>
					<td><?php echo gc_date_format($record->modified_on); ?></td>
                    <?php break; }?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>