<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$nav_url = 'components/seo';
$menus = array(
    array(
        'condition' => '',
        'permission' => 'SEO.Components.Summary',
        'url' => $nav_url,
        'id' => 'list',
        'tooltip' => true,
        'title' => lang('gc_menu_summary'),
        'label' => '<i class="fas fa-home fa-fw mr-1"></i>' . lang('gc_menu_summary')
    ),
    array(
        'condition' => 'manage/links',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'SEO_Links.Components.View',
        'url' => $nav_url. '/manage/links',
        'id' => 'manage_links',
        'tooltip' => true,
        'title' => lang('manage_seo_links'),
        'label' => '<i class="fas fa-link fa-fw mr-1"></i>' . lang('seo_links')
    ),
    array(
        'condition' => 'crawler',
        'permission' => 'Seo.Components.Create',
        'url' => $nav_url . '/crawler',
        'id' => 'seo_crawler',
        'tooltip' => true,
        'title' => lang('seo_crawler'),
        'label' => '<i class="fas fa-robot fa-fw mr-1"></i>' . lang('seo_crawler')
    ),
    array(
        'condition' => 'manage/error_links',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'SEO_Error_Links.Components.View',
        'url' => $nav_url. '/manage/error_links',
        'id' => 'manage_error_links',
        'tooltip' => true,
        'title' => lang('manage_seo_error_links'),
        'label' => '<i class="fas fa-exclamation-triangle fa-fw mr-1"></i>' . lang('seo_error_links')
    ),
    array(
        'condition' => 'manage/error_link_referrers',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'SEO_Error_Link_Referrers.Components.View',
        'url' => $nav_url. '/manage/error_link_referrers',
        'id' => 'manage_error_link_referrers',
        'tooltip' => true,
        'title' => lang('manage_seo_error_link_referrers'),
        'label' => '<i class="fas fa-user-times fa-fw mr-1"></i>' . lang('seo_error_link_referrers')
    ),
    array(
        'condition' => 'manage/analysis',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'SEO_Analysis.Components.View',
        'url' => $nav_url. '/manage/analysis',
        'id' => 'manage_analysis',
        'tooltip' => true,
        'title' => lang('manage_seo_analysis'),
        'label' => '<i class="fas fa-diagnoses fa-fw mr-1"></i>' . lang('manage_seo_analysis')
    ),
    array(
        'condition' => 'robots',
        'permission' => 'Seo.Components.Edit',
        'url' => $nav_url . '/robots',
        'id' => 'seo_robots',
        'tooltip' => true,
        'title' => lang('seo_robots'),
        'label' => '<i class="fas fa-file fa-fw mr-1"></i>' . lang('seo_robots')
    ),
    array(
        'condition' => 'sitemap',
        'permission' => 'Seo.Components.Edit',
        'url' => $nav_url . '/sitemap',
        'id' => 'seo_sitemap',
        'tooltip' => true,
        'title' => lang('seo_generate_sitemap'),
        'label' => '<i class="fas fa-sync fa-fw mr-1"></i>' . lang('seo_generate_sitemap')
    ),
    array(
        'condition' => 'settings',
        'permission' => 'Seo_Settings.Components.Manage',
        'url' => $nav_url . '/settings',
        'id' => 'settings',
        'tooltip' => true,
        'title' => lang('gc_menu_settings'),
        'label' => '<i class="fas fa-cog fa-fw mr-1"></i>' . lang('gc_menu_settings')
    )
);
echo $this->load->view('common/_menus', array('menus' => $menus, 'menu_module' => 'seo', 'menu_module_url' => '', 'menu_modules_extras' => array()));
?>