<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php echo form_validations(); ?>
<div class='admin-box'>
<?php echo form_open_multipart($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<fieldset>
<?php
$heading = isset($settings->h1) ? (array) $settings->h1 : array(
    'logo' => 0,
    'use_page_meta' => 0,
    'title' => '',
    'keywords' => ''
);
$setting_checkboxes = array(
    array(
        'name' => 'display_site_title',
        'value' => $settings,
        'label' => lang('seo_display_site_title')
    ),
    array(
        'name' => 'h1_logo',
        'value' => $heading['logo'],
        'label' => lang('seo_h1_logo')
    ),
    array(
        'name' => 'h1_use_page_meta',
        'value' => $heading['use_page_meta'],
        'label' => lang('seo_h1_use_page_meta')
    )
);
echo gc_form_element('checkbox', array('name' => 'setting_checkboxes', 'label_width' => 'col-sm-3', 'options' => $setting_checkboxes), array(), '', 'col-sm-9');
echo gc_form_element('text', array('name' => 'h1_title', 'label_width' => 'col-sm-3'), $heading['title'], lang('seo_h1_title'), 'col-sm-6');
echo gc_form_element('text', array('name' => 'h1_keywords', 'label_width' => 'col-sm-3'), $heading['keywords'], lang('seo_h1_keywords'), 'col-sm-6');
?>
</fieldset>
<fieldset>					
    <legend><?php echo lang('seo_global_meta') ?></legend>
    <div class="alert alert-info"><?php echo lang('seo_help_global_meta'); ?></div>
    <hr />
<?php
$site = isset($settings->site) ? $settings->site : array();
echo gc_form_element('text', array('name' => 'meta_title', 'label_width' => 'col-sm-3'), $site, lang('label_meta_title'), 'col-sm-6');
echo gc_form_element('textarea', array('name' => 'meta_description', 'label_width' => 'col-sm-3', 'extra' => array('rows' => 2)), $site, lang('label_meta_description'), 'col-sm-6');
echo gc_form_element('text', array('name' => 'meta_keywords', 'label_width' => 'col-sm-3'), $site, lang('label_meta_keywords'), 'col-sm-6');
?>
</fieldset>
<fieldset>					
    <legend><?php echo lang('seo_analytics') ?></legend>
    <hr />
    <?php 
    $analytics = isset($settings->analytics) ? (array) $settings->analytics : array();
    echo gc_form_element('checkbox', array('name' => 'status', 'label_width' => 'col-sm-3', 'no_label' => TRUE), $analytics, lang('label_status'));
    echo gc_form_element('text', array('name' => 'client_id', 'label_width' => 'col-sm-3'), $analytics, lang('seo_client_id'));
    echo gc_form_element('text', array('name' => 'service_account', 'label_width' => 'col-sm-3'), $analytics, lang('seo_service_account'));
    echo gc_form_element('file', array('name' => 'key_file', 'label_width' => 'col-sm-3', 'tooltip' => isset($analytics['key_file']) ? $analytics['key_file'] : ''), $analytics, lang('seo_key_file'), 'col-sm-9');				
    echo gc_form_element('text', array('name' => 'application_name', 'label_width' => 'col-sm-3'), $analytics, lang('seo_application_name'), 'col-sm-3');
    echo gc_form_element('text', array('name' => 'profile_id', 'label_width' => 'col-sm-3'), $analytics, lang('seo_profile_id'), 'col-sm-2');
    echo gc_form_element('text', array('name' => 'rows_limit', 'default_value' => 0, 'label_width' => 'col-sm-3'), $analytics, lang('seo_rows_limit'), 'col-sm-2');
    ?>
</fieldset>
<?php
$action_data['cancel'] = FALSE;
$action_data['delete'] = FALSE;
echo gc_form_element('actions', $action_data);
echo form_close(); ?>
</div>