<?php if($pdf):?>
<style>
    .img-crop-center .img-fluid {
        width: 100px;
        height: 80px;
        margin-top: 15px;
    }
    .table {
        width: 100%;
        max-width: 100%;
        margin-bottom: 1rem;
        background-color: transparent;
    }
    .text-center {
        text-align: center !important;
    }
    .text-left {
        text-align: left !important;
    }
    .table-striped tbody tr:nth-of-type(odd) {
        background-color: rgba(0,0,0,.05);
    }
    .table-striped tbody tr:nth-child(odd) td, .table-striped tbody tr:nth-child(odd) th {
        background-color: #f5f5f5;
    }
    .table-sm td, .table-sm th {
        padding: .3rem;
    }
    .h1, h1 {
        font-size: 2.5rem;
    }
    .font-weight-bold {
        font-weight: 700!important;
    }
    .m-0 {
        margin: 0!important;
    }
    .pb-2, .py-2 {
        padding-bottom: .5rem!important;
    }
</style>
<?php endif;?>
<?php 
if(!empty($stats)):
$unset_fields = array('image_filename', 'domain', 'image_url', 'meta_title', 'meta_description', 'meta_keywords', 'page_rank', 'cpr_score');
$whois_fields = array('root_ip', 'registrar', 'registered_on', 'expires_on', 'updated_on', 'name_servers', 'name', 'organization', 'street', 'city', 'state', 'postal_code', 'country', 'phone', 'fax', 'email');
$color_class = array('primary', 'success', 'danger', 'warning', 'secondary', 'info', 'red', 'green', 'blue');
?>
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<div class="text-center">
    <a class="img-crop-center gc-fancybox text-center" href="<?php echo base_url() . $stats['image_url']; ?>" >
    	<img src="<?php echo base_url() . $stats['image_url']; ?>" class="img-fluid thumb-80" />
    </a>
    <h3><?php echo anchor('//' . $stats['domain'], $stats['domain'], 'target="_blank"'); ?>
    <?php if(!$pdf):?>
    <button class="btn btn-sm btn-primary ml-2" type="submit" name="refresh" data-toggle="tooltip" data-title="<?php echo lang('seo_refresh'); ?>"><i class="fas fa-sync"></i></button>
    <button class="btn btn-sm btn-danger ml-2" type="submit" name="stats_pdf" data-toggle="tooltip" data-title="<?php echo lang('pdf'); ?>"><i class="fas fa-file-pdf"></i></button>
    <?php endif; ?>
    </h3>
    <p class="h1 font-weight-bold m-0"><?php echo lang('seo_page_rank') . ': <span class="text-success">' . $stats['page_rank'] . '</span>'; ?></p>
    <p class="h1 font-weight-bold m-0"><?php echo lang('seo_cpr_score') . ': <span class="text-warning">' . $stats['cpr_score'] . '</span>'; ?></p>
    <p class="m-0"><?php echo '<span class="font-weight-bold">' . lang('seo_meta_title') . '</span>: <span>' . $stats['meta_title'] . '</span>'; ?></p>
    <?php if(!empty($stats['meta_description'])):?>
    <p class="m-0"><?php echo '<span class="font-weight-bold">' . lang('seo_meta_description') . '</span>: <span>' . $stats['meta_description'] . '</span>'; ?></p>
    <?php endif; ?>
    <?php if(!empty($stats['meta_keywords'])):?>
    <p class="m-0 pb-2"><?php echo '<span class="font-weight-bold">' . lang('seo_meta_keywords') . '</span>: <span>' . $stats['meta_keywords'] . '</span>'; ?></p>
    <?php endif; ?>
    <div class="row">
    <div class="col-sm-6">
    <table class="table table-striped table-sm mx-auto text-left">
    <?php foreach($stats as $key => $value):
    if(in_array($key, $whois_fields) && !in_array($key, $unset_fields) && strpos($value, '>') === false):
    ?>
    <tr class="h4">
    	<th width="40%"><?php echo lang('seo_' . $key); ?></th>
    	<td><?php 
    	if($key == 'name_servers'):
    	   echo implode('<br>', explode(', ', $value ?? ''));
    	else:
    	echo $value;
    	endif;
    	?></td>
    </tr>
    <?php 
    endif;
    endforeach; ?>
    </table>
    </div>
    <div class="col-sm-6">
    <table class="table table-striped table-sm mx-auto text-left">
    <?php $i = 0; foreach($stats as $key => $value):
    if(!in_array($key, $whois_fields) && !in_array($key, $unset_fields) && strpos($value, '>') === false):   
    if(!isset($color_class[$i])):
        $i = 0;
    endif;
    ?>
    <tr class="h4">
    	<th width="40%"><?php echo lang('seo_' . $key); ?></th>
    	<td><span class="badge badge-pill badge-<?php echo $color_class[$i]; ?>"><?php 
    	if($key == 'name_servers'):
    	   echo implode('<br>', explode(', ', $value ?? ''));
    	else:
    	echo $value;
    	endif;
    	?></span>
    	</td>
    </tr>
    <?php 
    $i++;
    endif;
    endforeach; ?>
    </table>
    </div>
    </div>
</div>
<?php echo form_close(); ?>
<?php endif; ?>
