<?php
$show_extended_settings = ! empty($extended_settings);
$show_general_settings = ! empty ( $general_settings );

echo form_validations();
?>
<div class="admin-box">

	<?php echo form_open_multipart($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<div class="tabbable">
		<ul class="nav nav-tabs">
			<li class="nav-item"><a href="#main-settings" data-toggle="tab" class="nav-link active"><?php echo lang('set_tab_settings') ?></a>
			</li>
			<?php if ($show_general_settings) : ?>
				<li class="nav-item"><a href="#general" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_general') ?></a></li>
			<?php endif;?>
			<li class="nav-item"><a href="#advanced" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_advanced') ?></a></li>
			<li class="nav-item"><a href="#listing" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_listing') ?></a></li>			
			<li class="nav-item"><a href="#financial" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_financial') ?></a></li>
			<li class="nav-item"><a href="#analytics" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_analytics') ?></a></li>
			<li class="nav-item"><a href="#seo" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_seo') ?></a></li>
			<li class="nav-item"><a href="#security" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_security') ?></a>
			</li>				
			<?php if (has_permission('Site.Developer.View')) : ?>
				<li class="nav-item"><a href="#developer" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_developer') ?></a>
			</li>
			<?php endif;
				if ($show_extended_settings) :
			?>
				<li class="nav-item"><a href="#extended" data-toggle="tab" class="nav-link"><?php echo lang('set_tab_extended') ?></a>
			</li>
			<?php endif; ?>			
			</ul>
		<div class="tab-content">
			<!-- Start of Main Settings Tab Pane -->
			<div class="tab-pane active" id="main-settings">
				<fieldset>
					<legend><?php echo lang('bf_site_information') ?></legend>
					<?php
					echo gc_form_element('text', array('name' => 'title', 'value_prefix' => 'site.', 'lang' => 1, 'extra' => array('maxlength' => 255)), $settings, lang('bf_site_name') . lang('bf_form_label_required'));
					echo gc_form_element('filemanager', array('name' => 'site_logo', 'help' => lang('help_site_logo')), $settings['site.logo'], lang('site_logo') . lang('bf_form_label_required'), 'col-sm-4');
					echo gc_form_element('filemanager', array('name' => 'site_logo_contrast', 'help' => lang('help_site_logo_contrast')), $settings['site.logo_contrast'], lang('site_logo_contrast') . lang('bf_form_label_required'), 'col-sm-5');
					echo gc_form_element('filemanager', array('name' => 'site_logo_pdf', 'help' => lang('help_site_logo_pdf')), $settings['site.logo_pdf'], lang('site_logo_pdf') . lang('bf_form_label_required'), 'col-sm-5');
					// echo gc_form_element('image', array('name' => 'site_logo', 'extra' => array('help_image' => sprintf(lang('site_logo_help'), $file_upload_settings['file_size'], $file_upload_settings['resize_width'], $file_upload_settings['resize_height']), 'image_path' => base_url("assets/images"))), (isset($settings['site.logo']) ? $settings['site.logo'] : ''), lang('site_logo'));
					echo gc_form_element('email', array('name' => 'system_email', 'help' => lang('bf_site_email_help'), 'extra' => array('maxlength' => "255")), (isset($settings['site.system_email']) ? $settings['site.system_email'] : ''), lang('bf_site_email'). lang('bf_form_label_required'), 'col-sm-4');
					echo gc_form_element('dropdown', array('name' => 'status', 'options' => array(1 => lang('bf_online'), 0 => lang('bf_offline'))), $settings['site.status'], lang('bf_site_status'), 'col-sm-2');
					echo gc_form_element('text', array('name' => 'list_limit', 'help' => lang('bf_top_number_help'), 'extra' => array('maxlength' => 5)), $settings['site.list_limit'], lang('bf_top_number'), 'col-sm-2');
					echo gc_form_element('text', array('name' => 'front_list_limit', 'help' => lang('help_front_site_limit'), 'extra' => array('maxlength' => 5)), $settings['site.front_list_limit'], lang('front_site_limit'), 'col-sm-2');

					$language_options = array();
					$selected_options = array();
					if ($languages):
					foreach ($languages as $language):
						$language_options[$language] = ucfirst($language);
						if(in_array($language, $selected_languages)):
							$selected_options[] = $language; 
						endif;
					endforeach;
					endif;
					
					// Change the values in this array to populate your dropdown as required
					$currency_options = array();
					if(!empty($currencies)) {
					    foreach($currencies as $currency){
					        $currency_options[$currency->symbol .'|'.ucwords($currency->code)] = ucwords($currency->code);
					    }
					}
					echo gc_form_element('dropdown', array('name' => 'currency', 'options' => $currency_options), (isset($settings['site.currency_symbol']) ? $settings['site.currency_symbol'].'|'.$settings['site.currency_code'] : ''), lang('default_currency'), 'col-sm-2');
					echo gc_form_element('checkbox', array('name' => 'site_currency_restrict', 'no_label' => TRUE, 'tooltip' => lang('help_currency_restrict')), $settings['site.currency_restrict'], lang('site_currency_restrict'));
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('bf_language');?></legend>
					<?php
					$language_checkoxes = array(
					    array('name' => 'multi_language', 'tooltip' => lang('help_multi_language'), 'label' => lang('multi_language'), 'value' => $settings['site.multi_language'])
					);
					echo gc_form_element('checkbox', array('name' => '', 'options' => $language_checkoxes));
					echo gc_form_element('dropdown', array('name' => 'default_language', 'options' => $language_options), $settings['site.default_language'], lang('site_default_language'), 'col-sm-2');
					echo gc_form_element('multiselect', array('name' => 'languages[]', 'help' => lang('bf_language_help'), 'options' => $language_options, 'selected' => $selected_options, 'extra' => array('multiple' => 'multiple')), array(),lang('bf_language'), 'col-sm-3');					
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('legend_others');?></legend>
					<?php
					// Change the values in this array to populate your dropdown as required
					$geoip_options = array (
					    0 => lang('label_disabled'),
						1 => 'MaxMind - http://www.maxmind.com',
						2 => 'Google API',
						3 => 'ExtremeIPLookup - https://extreme-ip-lookup.com'
					);
					echo gc_form_element('dropdown', array('name' => 'geoip', 'options' => $geoip_options), (isset($settings['site.geoip']) ? $settings['site.geoip'] : 0), lang('label_geoip'), 'col-sm-4');
					echo gc_form_element('text', array('name' => 'google_api_key', 'tooltip' => lang('help_google_api_key'), 'extra' => array('maxlength' => 255)), $settings['site.google_api_key'], lang('google_api_key'));					
					if($settings['lst.google_business'] == 1):
					echo gc_form_element('text', array('name' => 'google_server_api_key', 'tooltip' => lang('help_google_server_api_key'), 'extra' => array('maxlength' => 255)), $settings['site.google_server_api_key'], lang('google_server_api_key'));
					endif;
					$date_format_elements = array(
						gc_form_element('text', array('name' => 'date_format', 'field_only' => TRUE), $settings['site.date_format']),
						gc_form_element('dropdown', array('name' => 'time_format', 'field_only' => TRUE, 'field_class' => 'col-sm-3', 'options' => array('H:i:s' => 'H:i:s (17:45:12)', 'g:i A' => 'g:i A (5:45 PM)', 'G:ia' => 'G:ia (05:45pm)', 'g:ia' => 'g:ia (5:45pm)')), $settings['site.time_format'])
					);
					echo gc_form_element('form_elements', array('name' => '', 'element_container' => 'div.form-inline', 'tooltip' => lang('help_date_format'), 'form_elements' => $date_format_elements), array(), lang('date_time_format'));
					?>
					<?php
					$ecommerce_checkboxes = array(
					    array('name' => 'site_ecommerce', 'value' => $settings['site.ecommerce'], 'label' => lang('site_ecommerce')),
					    // array('name' => 'sms_notify_stock', 'value' => $settings['ecom.sms_notify_stock'], 'label' => lang('sms_notify_stock')),
					    // array('name' => 'email_notify_seller', 'value' => $settings['ecom.email_notify_seller'], 'label' => lang('email_notify_seller')),
						// array('name' => 'sms_notify_seller', 'value' => $settings['ecom.sms_notify_seller'], 'label' => lang('sms_notify_seller'))
					);
					// echo gc_form_element('checkbox', array('options' => $ecommerce_checkboxes), array(), lang('gc_menu_ecommerce'), 'col-sm-9');
					echo gc_form_element('checkbox', array('name' => 'site_ecommerce', 'no_label' => TRUE), $settings['site.ecommerce'], lang('site_ecommerce'));
					?>
				</fieldset>
			</div>
			
			<!-- Start of Analytics Settings Tab Pane -->
			<div class="tab-pane" id="analytics">
				<fieldset>					
				<legend><?php echo lang('heading_analytics') ?></legend>
				<?php 
				echo gc_form_element('checkbox', array('name' => 'allow_analytics', 'no_label' => TRUE), $settings['seo.allow_analytics'], lang('allow_analytics'));
				echo gc_form_element('file', array('name' => 'analytics_key_file', 'extra' => array('file_path' => APPPATH . 'third_party/Google'), 'tooltip' => $settings['seo.analytics_key_file']), null, lang('analytics_key_file'));
				echo gc_form_element('text', array('name' => 'analytics_property_id'), $settings['seo.analytics_property_id'], lang('analytics_property_id'), 'col-sm-2');
				echo gc_form_element('text', array('name' => 'analytics_rows_limit'), $settings['seo.analytics_rows_limit'], lang('analytics_rows_limit'), 'col-sm-2');
				?>
				</fieldset>				
			</div>
			
			<!-- Start of SEO Settings Tab Pane -->
			<div class="tab-pane" id="seo">
				<fieldset>
					<legend><?php echo lang('label_common_tag')?> <span class="alert alert-info" style="color: #3a87ad; font-size: 12px;">{site_title} = <?php echo lang('label_website') . ' ' . lang('label_title');?></span></legend>
					<?php
					$seo_checkboxes = array(
						array('name' => 'enable_site_title', 'value' => $settings['seo.site_title'], 'label' => lang('enable_site_title')),
						array('name' => 'use_h1', 'value' => $settings['seo.use_h1'], 'label' => lang('use_h1'), 'tooltip' => sprintf(lang('help_use_h1'), lang('legend_site_meta'), lang('meta_title'), lang('meta_keywords'))
					));
					echo gc_form_element('checkbox', array('options' => $seo_checkboxes), array(), '', 'col-sm-9');
					echo gc_form_element('text', array('name' => 'site_title_format'), $settings['seo.site_title_format'], lang('site_title_format'));				
					?>
				</fieldset>				
				<fieldset>
					<legend><?php echo lang('legend_site_meta'); ?></legend>
					<?php
					echo gc_form_element('text', array('name' => 'meta_title', 'lang' => 1, 'value_prefix' => 'site.'), $settings, lang('meta_title'));				
					echo gc_form_element('text', array('name' => 'meta_description', 'lang' => 1, 'value_prefix' => 'site.'), $settings, lang('meta_description'));
					echo gc_form_element('text', array('name' => 'meta_keywords', 'lang' => 1, 'value_prefix' => 'site.'), $settings, lang('meta_keywords'));						
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('legend_listing_meta'); ?> <span class="alert alert-info" style="color: #3a87ad; font-size: 12px;">{listing_title} = <?php echo lang('label_listing') . ' ' . lang('label_title');?> | {listing_city} = <?php echo lang('label_listing') . ' ' . lang('label_city');?> | {listing_state} = <?php echo lang('label_listing') . ' ' . lang('label_state');?> | {listing_country} = <?php echo lang('label_listing') . ' ' . lang('label_country');?></span></legend>
					<?php
					echo gc_form_element('text', array('name' => 'listing_meta_title', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_title'));				
					echo gc_form_element('text', array('name' => 'listing_meta_description', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_description'));
					echo gc_form_element('text', array('name' => 'listing_meta_keywords', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_keywords'));						
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('legend_category_meta'); ?> <span class="alert alert-info" style="color: #3a87ad; font-size: 12px;">{category_name} = <?php echo lang('label_category') . ' ' . lang('label_name');?></span></legend>
					<?php
					echo gc_form_element('text', array('name' => 'category_meta_title', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_title'));				
					echo gc_form_element('text', array('name' => 'category_meta_description', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_description'));
					echo gc_form_element('text', array('name' => 'category_meta_keywords', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_keywords'));						
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('legend_location_meta'); ?> <span class="alert alert-info" style="color: #3a87ad; font-size: 12px;">{location_name} = <?php echo lang('label_location') . ' ' . lang('label_name');?></span></legend>
					<?php
					echo gc_form_element('text', array('name' => 'location_meta_title', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_title'));				
					echo gc_form_element('text', array('name' => 'location_meta_description', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_description'));
					echo gc_form_element('text', array('name' => 'location_meta_keywords', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_keywords'));						
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('legend_search_meta'); ?> <span class="alert alert-info" style="color: #3a87ad; font-size: 12px;">{search_string} = <?php echo lang('label_search_string');?> | {search_city} = <?php echo lang('label_search_city'); ?></span></legend>
					<?php
					echo gc_form_element('text', array('name' => 'search_meta_title', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_title'));				
					echo gc_form_element('text', array('name' => 'search_meta_description', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_description'));
					echo gc_form_element('text', array('name' => 'search_meta_keywords', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_keywords'));						
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('legend_page_meta'); ?> <span class="alert alert-info" style="color: #3a87ad; font-size: 12px;">{page_title} = <?php echo lang('label_page_title');?></span></legend>
					<?php
					echo gc_form_element('text', array('name' => 'page_meta_title', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_title'));				
					echo gc_form_element('text', array('name' => 'page_meta_description', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_description'));
					echo gc_form_element('text', array('name' => 'page_meta_keywords', 'lang' => 1, 'value_prefix' => 'seo.'), $settings, lang('meta_keywords'));						
					?>
				</fieldset>
			</div>			

			<!-- Start of Security Settings Tab Pane -->
			<div class="tab-pane" id="security">				
				<fieldset>
					<legend><?php echo lang('legend_content_protection') ?></legend>
					<?php
					echo gc_form_element('text', array('name' => 'whitelist', 'tooltip' => lang('help_whitelist'), 'extra' => array('maxlength' => 255)), $settings['site.whitelist'], lang('whitelist'));
					$protection_options = array(
						array('name' => 'content_protector', 'value' => $settings['auth.content_protector'], 'tooltip' => lang('help_content_protector')),
						array('name' => 'restrict_visitors', 'value' => $settings['auth.restrict_visitors'], 'tooltip' => lang('help_restrict_visitors')),
					    array('name' => 'google_recaptcha', 'value' => $settings['auth.google_recaptcha'], 'tooltip' => lang('help_google_recaptcha')),
					    array('name' => 'package_views_limit', 'value' => $settings['site.package_views_limit'], 'tooltip' => lang('help_package_views_limit'))
					);
					echo gc_form_element('checkbox', array('name' => '', 'label_prefix' => 'label_', 'options' => $protection_options), array(), '', 'col-sm-9');
					echo gc_form_element('text', array('name' => 'per_day_limit', 'tooltip' => lang('help_per_day_limit'), 'extra' => array('maxlength' => 10)), $settings['auth.per_day_limit'], lang('per_day_limit'));
					echo gc_form_element('text', array('name' => 'recaptcha_site_key'), $settings['auth.recaptcha_site_key'], lang('recaptcha_site_key'));
					echo gc_form_element('text', array('name' => 'recaptcha_secret_key', 'tooltip' => lang('help_google_recaptcha_keys')), $settings['auth.recaptcha_secret_key'], lang('recaptcha_secret_key'));
					?>
				</fieldset>				
				<fieldset>
				<legend><?php echo lang('legend_user_security') ?></legend>
					<?php
					$security_options = array(
						array('name' => 'allow_register', 'value' => $settings['auth.allow_register'], 'label' => lang('bf_allow_register')),
						array('name' => 'new_user_notify_admin', 'value' => $settings['auth.notify_admin'], 'label' => lang('new_user_notify_admin')),
						array('name' => 'otp_login', 'value' => $settings['auth.otp_login'], 'label' => lang('otp_login'))
					);
					echo gc_form_element('checkbox', array('name' => '', 'options' => $security_options));
					echo gc_form_element('dropdown', array('name' => 'user_activation_method', 'options' => array(0 => lang('bf_activate_none'), 1 => lang('bf_activate_email'), 2 => lang('bf_activate_admin'), 3 => lang('bf_activate_otp'))), $settings['auth.user_activation_method'], lang('bf_activate_method'), 'col-sm-2');
					$otp_extra = array('maxlength' => 10);
					$otp_control_class = 'otp-fields';
					if((isset($_POST['user_activation_method']) && $_POST['user_activation_method'] == 3) || $settings['auth.user_activation_method'] == 3 || (isset($_POST['otp_login']) && $_POST['otp_login'] == 1) || $settings['auth.otp_login'] == 1):
					else:
					$otp_control_class .= ' display-none';
					endif;
					echo gc_form_element('text', array('name' => 'otp_timeout', 'control_class' => $otp_control_class, 'extra' => $otp_extra, 'tooltip' => lang('help_otp_timeout')), $settings['auth.otp_timeout'], lang('otp_timeout'), 'col-sm-4');
					echo gc_form_element('text', array('name' => 'max_otp_attempts', 'control_class' => $otp_control_class, 'extra' => $otp_extra, 'tooltip' => lang('help_max_otp_attempts')), $settings['auth.max_otp_attempts'], lang('max_otp_attempts'), 'col-sm-4');
					echo gc_form_element('dropdown', array('name' => 'login_type', 'options' => array('email' => lang('bf_login_type_email'), 'username' => lang('bf_login_type_username'), 'both' => lang('bf_login_type_both'))), $settings['auth.login_type'], lang('bf_login_type'), 'col-sm-2');
					$display_across_options = array(
						array(
							'name' => 'use_usernames',
							'label' => lang('bf_username'),
							'value' => $settings['auth.use_usernames'] == 1 ? TRUE : FALSE,
							'default_value' => 1
						),
						array(
							'name' => 'use_usernames',
							'label' => lang('bf_email'),
							'value' => $settings['auth.use_usernames'] == 0 ? TRUE : FALSE,
							'default_value' => 0
						)
					);
					echo gc_form_element('radio', array('name' => 'use_usernames', 'options' => $display_across_options), array(), lang('bf_use_usernames'));

					$form_elements = array(
						gc_form_element('checkbox', array('name' => 'allow_name_change', 'field_only' => TRUE), $settings['auth.allow_name_change'], lang('set_allow_name_change_note'), 'col-sm-9'),
						'<div class="form-inline name-change-settings' . (!$settings['auth.allow_name_change'] ? ' display-none' : '') . '">',
						gc_form_element('text', array('name' => 'name_change_frequency', 'field_only' => TRUE, 'extra' => array('style' => 'width: 4em;')), $settings['auth.name_change_frequency']) . lang('set_name_change_frequency'),
						gc_form_element('text', array('name' => 'name_change_limit', 'field_only' => TRUE, 'extra' => array('style' => 'width: 4em;')), $settings['auth.name_change_limit']) . lang('set_days'),
						'</div>'					
					);
					echo gc_form_element('text', array('name' => 'form_elements', 'form_elements' => $form_elements), array(), lang('bf_display_name'));

					echo gc_form_element('checkbox', array('name' => 'allow_remember', 'no_label' => TRUE), $settings['auth.allow_remember'], lang('bf_allow_remember'), 'col-sm-9');
					$remember_control_class = '';
					if(!$settings['auth.allow_remember']) {
						$remember_control_class = 'remember-length display-none';
					}
					echo gc_form_element('dropdown', array('name' => 'remember_length', 'control_class' => $remember_control_class, 'options' => array('604800' => '1 ' . lang('bf_week'), '1209600' => '2 ' . lang('bf_weeks'), '1814400' => '3 ' . lang('bf_weeks'), '2592000' => '30 ' . lang('bf_days'))), $settings['auth.remember_length'], lang('bf_remember_time'), 'col-sm-2');
					echo gc_form_element('text', array('name' => 'password_min_length', 'tooltip' => lang('bf_password_length_help')), $settings['auth.password_min_length'], lang('bf_password_strength'), 'col-sm-2');
					$password_options = array(
						array('name' => 'password_force_numbers', 'label' => lang('bf_password_force_numbers'), 'value' => $settings['auth.password_force_numbers']),
						array('name' => 'password_force_symbols', 'label' => lang('bf_password_force_symbols'), 'value' => $settings['auth.password_force_symbols']),
						array('name' => 'password_force_mixed_case', 'label' => lang('bf_password_force_mixed_case'), 'value' => $settings['auth.password_force_mixed_case']),
						array('name' => 'password_show_labels', 'label' => lang('bf_password_show_labels'), 'value' => $settings['auth.password_show_labels']),
					);
					echo gc_form_element('checkbox', array('name' => '', 'options' => $password_options), array(), lang('set_option_password'), 'col-sm-9');
					echo gc_form_element('dropdown', array('name' => 'password_iterations', 'options' => array(2 => 2, 4 => 4, 8 => 8, 16 => 16, 31 => 31), 'tooltip' => lang('bf_password_iterations_note')), $settings['password_iterations'], lang('set_password_iterations'), 'col-sm-4');
					echo gc_form_element('link', array('name' => '', 'url' => site_url(SITE_AREA .'/settings/users/force_password_reset_all'), 'field_class' => 'btn btn-danger', 'title' => lang('set_reset'), 'tooltip' => lang('set_reset_note'), 'extra' => array('onclick' => lang('set_password_reset_confirm'))), array(), lang('set_force_reset'));
					?>
				</fieldset>
			</div>
			<?php if (has_permission('Site.Developer.View')) : ?>
			<!-- Start of Developer Settings Tab Pane -->
			<div class="tab-pane" id="developer">
				<fieldset>
					<legend><?php echo lang('set_option_developer'); ?></legend>
					<?php
					echo gc_form_element('text', array('name' => 'download_id', 'tooltip' => lang('help_download_id'), 'extra' => array('placeholder' => lang('placeholder_download_id'))), $settings['site.download_id'], lang('download_id'));
					echo gc_form_element('text', array('name' => 'hourly_emails_limit', 'tooltip' => lang('help_hourly_emails_limit'), 'extra' => array('placeholder' => lang('placeholder_hourly_emails_limit'))), $settings['site.hourly_emails_limit'], lang('hourly_emails_limit'));
					$developer_checkboxes = array(
						array('name' => 'show_profiler', 'label' => lang('bf_show_profiler'), 'value' => $settings['site.show_profiler']),
						array('name' => 'show_front_profiler', 'label' => lang('bf_show_front_profiler'), 'value' => $settings['site.show_front_profiler']),
						array('name' => 'enable_cache', 'label' => lang('bf_enable_cache'), 'value' => $settings['site.enable_cache']),
						array('name' => 'full_text_search', 'label' => lang('full_text_search'), 'value' => $settings['site.full_text_search'])
					);
					echo gc_form_element('checkbox', array('name' => '', 'options' => $developer_checkboxes));
					?>
				</fieldset>
			</div>
			<!-- End of Developer Tab Options Pane -->
			<?php endif;
				if ($show_extended_settings) :
			?>
			<!-- Start of Extended Settings Tab Pane -->
			<div class='tab-pane' id='extended'>
				<fieldset>
					<legend><?php echo lang('set_option_extended'); ?></legend>
					<?php echo $this->load->view('config_fields', array('config_fields' => $extended_settings));?>
					</fieldset>
			</div>
			<?php endif;
			if ($show_general_settings) :
				?>
				<!-- Start of Extended Settings Tab Pane -->
			<div class='tab-pane' id='general'>
				<fieldset>
					<legend><?php echo lang('set_option_general'); ?></legend>
					<?php echo $this->load->view('config_fields', array('config_fields' => $general_settings));?>
				</fieldset>
			</div>
			<?php endif; ?>
			<!-- Start of Advanced Settings Tab Pane -->
			<div class="tab-pane" id="advanced">
				<fieldset>
					<legend><?php echo lang('header_settings') ?></legend>
					<?php
					$header_block_checkoxes = array(
							// array('name' => 'display_top_menu', 'label' => lang('display_top_menu'), 'value' => $settings['site.display_top_menu']),
							array('name' => 'display_email', 'label' => lang('display_email'), 'value' => $settings['site.display_email'])
					);
					echo gc_form_element('checkbox', array('name' => '', 'options' => $header_block_checkoxes));
					echo gc_form_element('text', array('name' => 'site_address'), $settings['site.address'], lang('label_address'), 'col-sm-4');
					echo gc_form_element('text', array('name' => 'phone_number'), $settings['site.phone_number'], lang('site_call_us'), 'col-sm-4');
					echo gc_form_element('text', array('name' => 'map_location', 'help' => lang('help_map_location')), $settings['site.map_location'], lang('map_location'), 'col-sm-4');
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('search_settings') ?></legend>
					<?php 
					// echo gc_form_element('dropdown', array('name' => 'search_blocks', 'options' => array(1 => lang('search_blocks_default'), 2 => lang('search_blocks_category'), 3 => lang('search_blocks_what_where'), 4 => lang('search_only'))), $settings['adv.search_blocks'], lang('search_blocks'), 'col-sm-4');
					// echo gc_form_element('dropdown', array('name' => 'search_location', 'options' => array(1 => lang('search_location_all'), 2 => lang('search_location_city_locality'), 3 => lang('search_location_state_city_locality'))), $settings['adv.search_location'], lang('search_location'), 'col-sm-4');
					
					$countries_option = array('' => lang('placeholder_country'));
					if(!empty($countries)):
						foreach($countries as $country):
							$countries_option[$country->iso] = ucwords(strtolower($country->name)); 
						endforeach;
					endif;
					echo gc_form_element('dropdown', array('name' => 'country_iso', 'options' => $countries_option), (isset($selected_country) ? $selected_country : array()), lang('label_select_country'). lang('bf_form_label_required'), 'col-sm-4');
					
					$states_option = array('' => lang('placeholder_state'));
					if(!empty($states)):
						foreach($states as $state):
							$states_option[$state->id] = $state->name;
						endforeach;
					endif;
					echo gc_form_element('dropdown', array('name' => 'state_id', 'options' => $states_option), (isset($selected_state) ? $selected_state : array()), lang('label_select_state'). lang('bf_form_label_required'), 'col-sm-4');
					
					$cities_option = array('' => lang('placeholder_city'));
					if(!empty($cities)):
						foreach($cities as $city):
							$cities_option[$city->id] = $city->name;
						endforeach;
					endif;
					echo gc_form_element('dropdown', array('name' => 'city_id', 'options' => $cities_option), (isset($selected_city) ? $selected_city : array()), lang('label_select_city'). lang('bf_form_label_required'), 'col-sm-4');
					?>
				</fieldset>
				<?php if(isset($field_search_block)): // fake variable - uncomment to display below fields?>
				<fieldset>				
					<legend><?php echo lang('search_fields') ?> - <span class="small"><?php echo lang('help_search_fields'); ?></span></legend>
					<?php 
					$search_fields = json_decode($settings['adv.search_fields'], true);
					foreach(gc_modules() as $gc_module):
					$search_options = array('keyword' => lang('label_keyword'), 'category' => lang('label_category'));
					if (gc_module_settings($gc_module, 'locations') == 1):
    					$search_options['city_typeahead'] = lang('city_typeahead');
    					$search_options['city_dropdown'] = lang('city_dropdown');
    					$search_options['locality_typeahead'] = lang('locality_typeahead');
    					$search_options['locality_dropdown'] = lang('locality_dropdown');
					endif;
					// echo gc_form_element('selectize', array('name' => 'search_fields[' . $gc_module . ']', 'max_items' => 3, 'load_url' => site_url('ajax/selectizeSearch/search_' . $gc_module), 'extra' => array('id' => 'search_fields_' . $gc_module, 'placeholder' => lang('placeholder_selectize'))), isset($search_fields[$gc_module]) ? $search_fields[$gc_module] : '', lang($gc_module));
					echo gc_form_element('dropdown', array('name' => 'search_fields[' . $gc_module . '][]', 'options' => $search_options, 'field_class' => 'selectize-fields', 'extra' => array('multiple' => 'multiple', 'data-selectize-value' => addslashes(json_encode(isset($search_fields[$gc_module]) ? $search_fields[$gc_module] : array())))), isset($search_fields[$gc_module]) ? $search_fields[$gc_module] : array(), lang($gc_module). lang('bf_form_label_required'), 'col-sm-4');
					endforeach;
					echo form_hidden('search_field_options',
					    json_encode(array(
					        array('key' => 'keyword', 'value' => lang('label_keyword')),
					        array('key' => 'category', 'value' => lang('label_category'))
					    )));
					?>
				</fieldset>
				<?php endif; ?>
			</div>
			<!-- Start of Advanced Settings Tab Pane -->
			<div class="tab-pane" id="listing">
				<fieldset>
					<legend><?php echo lang('listing_general_settings') ?></legend>
					<?php
					$listing_checkboxes = array(
						array('name' => 'top_advertisement', 'label' => lang('top_advertisement'), 'value' => $settings['lst.top_advertisement']),
						array('name' => 'click_to_call', 'label' => lang('click_to_call'), 'value' => $settings['lst.click_to_call']),
					    array('name' => 'allow_sms', 'label' => lang('allow_sms'), 'value' => $settings['lst.allow_sms']),
					    array('name' => 'sms_notify_owner', 'label' => lang('sms_notify_owner'), 'value' => $settings['lst.sms_notify_owner']),
						array('name' => 'allow_email', 'label' => lang('allow_email'), 'value' => $settings['lst.allow_email']),
						array('name' => 'allow_print', 'label' => lang('allow_print'), 'value' => $settings['lst.allow_print']),
					    array('name' => 'allow_review', 'label' => lang('allow_review'), 'value' => $settings['lst.allow_review']),
					    array('name' => 'review_images', 'label' => lang('review_images'), 'value' => $settings['lst.review_images']),
					    array('name' => 'auto_approve_review', 'label' => lang('auto_approve_review'), 'value' => $settings['lst.auto_approve_review']),
						array('name' => 'loggedin_review_only', 'label' => lang('loggedin_review_only'), 'value' => $settings['lst.loggedin_review_only']),
					    array('name' => 'loggedin_rating_only', 'label' => lang('loggedin_rating_only'), 'value' => $settings['lst.loggedin_rating_only']),
					    array('name' => 'auto_approve_tag', 'label' => lang('auto_approve_tag'), 'value' => $settings['lst.auto_approve_tag']),
					    array('name' => 'new_listing_notify_admin', 'label' => lang('new_listing_notify_admin'), 'value' => $settings['lst.notify_admin']),
					    array('name' => 'business_hours_format', 'label' => lang('business_hours_format'), 'value' => $settings['lst.business_hours_format']),
					    array('name' => 'business_query', 'label' => lang('label_business_query'), 'value' => $settings['lst.business_query']),
					    array('name' => 'business_query_status', 'label' => lang('business_query_status'), 'value' => $settings['lst.business_query_status']),
					    array('name' => 'query_email_notification', 'label' => lang('query_email_notification'), 'value' => $settings['lst.query_email_notification']),
					    array('name' => 'query_sms_notification', 'label' => lang('query_sms_notification'), 'value' => $settings['lst.query_sms_notification']),
					    array('name' => 'slug_url', 'label' => lang('slug_url'), 'value' => $settings['lst.slug_url']),
					    array('name' => 'city_url', 'label' => lang('city_url'), 'value' => $settings['lst.city_url']),
					    array('name' => 'category_listings_count', 'label' => lang('category_listings_count'), 'value' => $settings['lst.category_listings_count']),
					    array('name' => 'hide_counts_zero_categories', 'label' => lang('hide_counts_zero_categories'), 'value' => $settings['lst.hide_counts_zero_categories']),
					    array('name' => 'hide_counts_zero_locations', 'label' => lang('hide_counts_zero_locations'), 'value' => $settings['lst.hide_counts_zero_locations']),
						array('name' => 'view_map', 'label' => lang('view_map'), 'value' => $settings['lst.view_map']),	
					    array('name' => 'allow_country_selection', 'label' => lang('allow_country_selection'), 'value' => $settings['lst.allow_country_selection']),
					    array('name' => 'map_leaflet', 'tooltip' => lang('help_map_leaflet'), 'label' => lang('map_leaflet'), 'value' => $settings['lst.map_leaflet']),	
					    array('name' => 'google_places_api', 'tooltip' => lang('help_google_places_api'), 'label' => lang('google_places_api'), 'value' => $settings['lst.google_places_api']),
					    array('name' => 'google_business', 'tooltip' => lang('help_google_business'), 'label' => lang('google_business'), 'value' => $settings['lst.google_business']),
						array('name' => 'country_filter', 'tooltip' => lang('help_country_filter'), 'label' => lang('country_filter'), 'value' => $settings['lst.country_filter']),
						array('name' => 'category_city_filter', 'tooltip' => lang('help_category_city_filter'), 'label' => lang('category_city_filter'), 'value' => $settings['lst.category_city_filter'])
					);
					echo gc_form_element('checkbox', array('name' => '', 'options' => $listing_checkboxes), array(), '', 'col-sm-9');
					$map_positions = array(
						array('name' => 'latitude', 'value' => $settings['lst.latitude'], 'extra' => array('placeholder' => lang('label_latitude'), 'class' => 'form-control', 'style' => 'width: 15em;')),
						array('name' => 'longitude', 'value' => $settings['lst.longitude'], 'extra' => array('placeholder' => lang('label_longitude'), 'class' => 'form-control', 'style' => 'width: 15em;')),
					);
					echo gc_form_element('text', array('name' => '', 'options' => $map_positions, 'element_container' => 'div.form-inline'), array(), lang('default_map_positions'));
					$pages_options = array();
					if(!empty($pages)):
					foreach($pages as $page):
					$pages_options[$page->slug] = $page->title;
					endforeach;
					endif;
					echo gc_form_element('dropdown', array('name' => 'advertisement_page', 'options' => $pages_options), $settings['lst.advertisement_page'], lang('advertisement_page'));
					echo gc_form_element('text', array('name' => 'home_featured_listings', 'default_value' => 0), $settings['lst.home_featured_listings'], lang('home_featured_listings'));
					$featured_counts = array();
					for($i = 0; $i <= 10; $i++ ) {
						$featured_counts[$i] = $i; 
					}
					echo gc_form_element('dropdown', array('name' => 'top_featured_count', 'options' => $featured_counts), $settings['lst.top_featured_count'], lang('top_featured_count'), 'col-sm-2');
					echo gc_form_element('dropdown', array('name' => 'right_featured_count', 'options' => $featured_counts), $settings['lst.right_featured_count'], lang('right_featured_count'), 'col-sm-2');
					?>
				</fieldset>
				<fieldset>
					<legend><?php echo lang('listing_member_settings') ?></legend>
					<?php
					echo gc_form_element('text', array('name' => 'logo_file_size', 'default_value' => 0), $settings['lst.logo_file_size'], lang('logo_file_size'), 'col-sm-2');
					$logo_pixels = array(
							array('name' => 'logo_width', 'value' => $settings['lst.logo_width']),
							array('name' => 'logo_height', 'value' => $settings['lst.logo_height'], 'field_append' => 'span.field-info{X}'),
					);
					echo gc_form_element('text', array('name' => '', 'element_container' => 'div.form-inline', 'field_class' => 'field-width', 'options' => $logo_pixels), array(), lang('logo_pixels'));
					echo gc_form_element('text', array('name' => 'cover_file_size', 'default_value' => 0), $settings['lst.cover_file_size'], lang('cover_file_size'), 'col-sm-2');
					$cover_pixels = array(
							array('name' => 'cover_width', 'value' => $settings['lst.cover_width']),
							array('name' => 'cover_height', 'value' => $settings['lst.cover_height'], 'field_append' => 'span.field-info{X}'),
					);
					echo gc_form_element('text', array('name' => '', 'element_container' => 'div.form-inline', 'field_class' => 'field-width', 'options' => $cover_pixels), array(), lang('cover_pixels'));
					echo gc_form_element('text', array('name' => 'image_file_size', 'default_value' => 0), $settings['lst.image_file_size'], lang('image_file_size'), 'col-sm-2');
					$image_pixels = array(
							array('name' => 'image_width', 'value' => $settings['lst.image_width']),
							array('name' => 'image_height', 'value' => $settings['lst.image_height'], 'field_append' => 'span.field-info{X}'),
					);
					echo gc_form_element('text', array('name' => '', 'element_container' => 'div.form-inline', 'field_class' => 'field-width', 'options' => $image_pixels), array(), lang('image_pixels'));
					$thumbnail_pixels = array(
							array('name' => 'thumbnail_width', 'value' => $settings['lst.thumbnail_width']),
							array('name' => 'thumbnail_height', 'value' => $settings['lst.thumbnail_height'], 'field_append' => 'span.field-info{X}'),
					);
					echo gc_form_element('text', array('name' => '', 'element_container' => 'div.form-inline', 'field_class' => 'field-width', 'options' => $thumbnail_pixels), array(), lang('thumbnail_pixels'));					
					?>
				</fieldset>
			</div>
			<div class="tab-pane" id="financial">
				<fieldset>
					<legend><?php echo lang('listing_general_settings') ?></legend>
					<?php
					$financial_options = array(
					    array('name' => 'user_packages_only', 'value' => $settings['fin.user_packages_only']),
						array('name' => 'allow_coupons', 'value' => $settings['fin.allow_coupons']),
						array('name' => 'enable_tax', 'value' => $settings['fin.enable_tax']),
						array('name' => 'terms_and_conditions', 'value' => $settings['fin.terms_and_conditions'])
					);
					echo gc_form_element('checkbox', array('name' => '', 'options' => $financial_options, 'label_prefix' => ''));
					echo gc_form_element('dropdown', array('name' => 'tax_settings', 'options' => array('inclusive' => lang('tax_inclusive'), 'exclusive' => lang('tax_exclusive'))), $settings['fin.tax_settings'], lang('tax_settings'), 'col-sm-2');
					echo gc_form_element('text', array('name' => 'invoice_prefix', 'extra' => array('maxlength' => 20)), $settings['fin.invoice_prefix'], lang('invoice_prefix'), 'col-sm-2');
					echo gc_form_element('text', array('name' => 'order_prefix', 'extra' => array('maxlength' => 20)), $settings['fin.order_prefix'], lang('order_prefix'), 'col-sm-2');						
					$term_options = array();
					if($pages):
					foreach($pages as $page):
					$term_options[$page->slug] = $page->title;
					endforeach;
					endif;
					echo gc_form_element('dropdown', array('name' => 'terms_and_conditions_page', 'options' => $term_options), $settings['fin.terms_and_conditions_page'], lang('terms_and_conditions_page'), 'col-sm-4');						
					?>				
				</fieldset>
			</div>
		</div>
	</div>

    <div class="form-row card card-body bg-light">
        <div class="col-sm-6 offset-sm-3">
        	<input type="submit" name="save" class="btn btn-primary" value="<?php echo lang('bf_action_save') . ' ' . lang('bf_context_settings'); ?>" />
    	</div>
    </div>
	<input type="hidden" name="placeholder_state" id="placeholder_state" value="<?php echo lang('placeholder_state');?>" />
	<input type="hidden" name="placeholder_city" id="placeholder_city" value="<?php echo lang('placeholder_city');?>" />
	
	<?php echo form_close(); ?>
</div>
<!-- /admin-box -->