<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Migration_Install_sms_gateways extends Migration
{
	/**
	 * The name of the database table
	 *
	 * @var String
	 */
	private $table_name = 'sms_gateways';

	/**
	 * The table's fields
	 *
	 * @var Array
	 */
	private $fields = array(
		'id' => array(
			'type' => 'INT',
			'constraint' => 11,
			'auto_increment' => TRUE,
		),
		'name' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => FALSE,
		),
		'display_name' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => FALSE,
		),
		'logo' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => FALSE,
		),
		'website' => array(
			'type' => 'VARCHAR',
			'constraint' => 100,
			'null' => TRUE,
		),
		'settings' => array(
			'type' => 'TEXT',
			'null' => FALSE,
		),
		'active' => array(
			'type' => 'TINYINT',
			'constraint' => 1,
			'null' => FALSE,
		),
	);
	/**
	 * @var array Data to insert into the Settings table
	 */
	private $data = array(
			array(
					'id' => 1,
					'name' => 'Nexmo',
					'display_name' => 'Nexmo ',
					'logo' => 'nexmo.png',
					'website' => 'https://www.nexmo.com/',
					'settings' => 'a:3:{s:12:"api_username";s:7:"testing";s:12:"api_password";s:7:"testing";s:6:"sender";s:7:"testing";}',
					'active' => 0,
			),
			array(
					'id' => 2,
					'name' => 'SMSGlobal',
					'display_name' => 'SMS Global',
					'logo' => 'smsglobal.png',
					'website' => 'https://www.smsglobal.com/',
					'settings' => 'a:3:{s:12:"api_username";s:7:"GoClixy";s:12:"api_password";s:7:"GoClixy";s:10:"api_mobile";s:10:"9234567890";}',
					'active' => 0,
			),
			array(
					'id' => 3,
					'name' => 'LKInfotech',
					'display_name' => 'LK Infotech ',
					'logo' => 'lkinfotech.png',
					'website' => 'http://trans.lkinfotech.in',
					'settings' => 'a:5:{s:12:"api_username";s:6:"lkdemo";s:12:"api_password";s:7:"demo123";s:6:"sender";s:6:"lkdemo";s:8:"priority";s:4:"ndnd";s:7:"smstype";s:6:"normal";}',
					'active' => 0,
			),
			array(
					'id' => 4,
					'name' => 'Global',
					'display_name' => 'Global Gateway',
					'logo' => '',
					'website' => 'https://www.goclixy.com',
					'settings' => 'a:2:{s:3:"url";s:42:"http://trans.lkinfotech.in/api/sendmsg.php";s:7:"options";s:190:"a:7:{s:4:"user";s:6:"lkdemo";s:4:"pass";s:7:"demo123";s:6:"sender";s:6:"lkdemo";s:5:"phone";s:9:"{{phone}}";s:4:"text";s:11:"{{message}}";s:8:"priority";s:4:"ndnd";s:5:"stype";s:6:"normal";}";}',
					'active' => 1,
			),
		);

	/**
	 * Install this migration
	 *
	 * @return void
	 */
	public function up()
	{
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->create_table($this->table_name);
		// INSERT SMS GATEWAYS
	    foreach ($this->data as $sms_gateway) {
			$this->db->insert($this->table_name, $sms_gateway);
		}
	}

	//--------------------------------------------------------------------

	/**
	 * Uninstall this migration
	 *
	 * @return void
	 */
	public function down()
	{
		$this->dbforge->drop_table($this->table_name);
	}

	//--------------------------------------------------------------------

}