<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
class Sms_gateways_model extends BF_Model {

	protected $table_name	= "sms_gateways";
	protected $key			= "id";
	protected $soft_deletes	= false;
	protected $date_format	= "datetime";

	protected $log_user 	= FALSE;

	protected $set_created	= false;
	protected $set_modified = false;

	/*
		Customize the operations of the model without recreating the insert, update,
		etc methods by adding the method names to act as callbacks here.
	 */
	protected $before_insert 	= array();
	protected $after_insert 	= array();
	protected $before_update 	= array();
	protected $after_update 	= array();
	protected $before_find 		= array();
	protected $after_find 		= array();
	protected $before_delete 	= array();
	protected $after_delete 	= array();

	/*
		For performance reasons, you may require your model to NOT return the
		id of the last inserted row as it is a bit of a slow method. This is
		primarily helpful when running big loops over data.
	 */
	protected $return_insert_id 	= TRUE;

	// The default type of element data is returned as.
	protected $return_type 			= "object";

	// Items that are always removed from data arrays prior to
	// any inserts or updates.
	protected $protected_attributes = array();

	/*
		You may need to move certain rules (like required) into the
		$insert_validation_rules array and out of the standard validation array.
		That way it is only required during inserts, not updates which may only
		be updating a portion of the data.
	 */
	protected $validation_rules 		= array();
	protected $insert_validation_rules 	= array();
	protected $skip_validation 			= TRUE;
	
	public $validation_rules_nexmo	= array(
			array(
					"field"		=> "display_name",
					"label"		=> "lang:label_display_name",
					"rules"		=> "required|max_length[100]|alpha_title|sanitize"
			),
			array(
					"field"		=> "api_key",
					"label"		=> "lang:label_key",
					"rules"		=> "required"
			),
			array(
					"field"		=> "api_secret",
					"label"		=> "lang:label_secret",
					"rules"		=> "required"
			),
			array(
					"field"		=> "from",
					"label"		=> "lang:label_sender",
					"rules"		=> "required"
			),
	);

	public $validation_rules_smsglobal	= array(
			array(
					"field"		=> "display_name",
					"label"		=> "lang:label_display_name",
					"rules"		=> "required|max_length[100]|alpha_title|sanitize"
			),
			array(
					"field"		=> "api_username",
					"label"		=> "lang:label_api_username",
					"rules"		=> "required|alpha_extra|sanitize"
			),
			array(
					"field"		=> "api_password",
					"label"		=> "lang:label_api_password",
					"rules"		=> "required|alpha_extra|sanitize"
			),
			array(
					"field"		=> "api_mobile",
					"label"		=> "lang:label_api_mobile",
					"rules"		=> "required|sanitize"
			),
	);
	
	public $validation_rules_lkinfotech	= array(
			array(
					"field"		=> "display_name",
					"label"		=> "lang:label_display_name",
					"rules"		=> "required|max_length[100]|alpha_title|sanitize"
			),
			array(
					"field"		=> "api_username",
					"label"		=> "lang:label_api_username",
					"rules"		=> "required|alpha_extra|sanitize"
			),
			array(
					"field"		=> "api_password",
					"label"		=> "lang:label_api_password",
					"rules"		=> "required|alpha_extra|sanitize"
			),
			array(
					"field"		=> "sender",
					"label"		=> "lang:label_sender",
					"rules"		=> "required|sanitize"
			),
			array(
					"field"		=> "priority",
					"label"		=> "lang:label_priority",
					"rules"		=> "required|sanitize"
			),
			array(
					"field"		=> "smstype",
					"label"		=> "lang:label_api_smstype",
					"rules"		=> "required|sanitize"
			)
	);
	
	public $validation_rules_global	= array(
			array(
					"field"		=> "display_name",
					"label"		=> "lang:label_display_name",
					"rules"		=> "required|max_length[100]|alpha_title|sanitize"
			),
			array(
					"field"		=> "url",
					"label"		=> "lang:gateway_url",
					"rules"		=> "trim|required|valid_url"
			),
			array(
					"field"		=> "field_options[name][]",
					"label"		=> "lang:field_options",
					"rules"		=> "trim"
			),
			array(
					"field"		=> "field_options[value][]",
					"label"		=> "lang:field_options",
					"rules"		=> "trim"
			),
			array(
					"field"		=> "active",
					"label"		=> "lang:label_status",
					"rules"		=> "trim"
			)
	);
	
	/**
	 * Test SMS Gateways
	 */
	public $validation_rules_test	= array(
		array(
			"field"		=> "mobile_number",
			"label"		=> "lang:label_mobile_number",
			"rules"		=> "trim|required|phone_check"
		)
	);
	//--------------------------------------------------------------------

}
