<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 5;
$can_delete	= $this->auth->has_permission('SMS_Gateways.Settings.Delete');
$can_edit		= $this->auth->has_permission('SMS_Gateways.Settings.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

?>
<?php echo form_open($this->uri->uri_string()); ?>
<div class="table-responsive">
	<table class="table table-striped">
		<thead>
			<tr>
				<th><?php echo form_filter('display_name', lang('label_display_name'));?></th>
				<th><?php echo form_filter('logo', lang('label_company_logo'));?></th>
				<th><?php echo form_filter('website', lang('label_website'));?></th>
				<th><?php echo form_filter('active', lang('label_status'));?></th>
			</tr>
		</thead>
		<?php if ($has_records) : ?>
		<tfoot>
		</tfoot>
		<?php endif; ?>
		<tbody>
			<?php
			if ($has_records) :
				foreach ($records as $record) :
			?>
			<tr>
			<?php if ($can_edit) : ?>
				<td>
				<?php
					switch($record->name) {
						case 'Nexmo': 
							echo anchor(SITE_AREA . '/settings/sms_gateways/nexmo/' . $record->id, $record->display_name); 
							break;
						case 'SMSGlobal':
							echo anchor(SITE_AREA . '/settings/sms_gateways/smsglobal/' . $record->id, $record->display_name);
							break;
						case 'LKInfotech':
							echo anchor(SITE_AREA . '/settings/sms_gateways/lkinfotech/' . $record->id, $record->display_name);
							break;
						case 'Global':
							echo anchor(SITE_AREA . '/settings/sms_gateways/global_gateway/' . $record->id, $record->display_name);
							break;
						case 'Twilio':
						    echo anchor(SITE_AREA . '/settings/sms_gateways/edit/' . $record->id, $record->display_name);
						    break;
					}
				?></td>
			<?php else : ?>
				<td><?php e($record->display_name); ?></td>
			<?php endif; ?>
				<td><?php if(!empty($record->logo)) {?>
					<img src="<?php echo gc_image_url($record->logo, false, false, 'sms-gateways'); ?>" alt="<?php echo $record->display_name; ?>" title="<?php echo $record->display_name;?>" />
				<?php } else {?>
					<img src="<?php echo gc_site_image('no-image'); ?>" alt="<?php echo $record->display_name;?>" title="<?php echo $record->display_name;?>" />
				<?php }?></td>
				<td><?php echo anchor($record->website, $record->website ); ?></td>
				<td>
				<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->active == 1 ? 'btn-success' : 'btn-warning';?>">
					<?php echo $record->active == 1 ? lang('us_active') : lang('us_inactive'); ?>
				</button>
				</td>
			</tr>
			<?php
				endforeach;
			else:
			?>
			<tr>
				<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
			</tr>
			<?php endif; ?>
		</tbody>
	</table>
</div>
<?php echo form_close(); 
echo $this->pagination->create_links();
?>