<?php defined('BASEPATH') || exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
/**
 * Subscribers controller
 */
class Subscribers extends Front_Controller {
    protected $permissionCreate = 'Subscribers.Subscribers.Create';
    protected $permissionDelete = 'Subscribers.Subscribers.Delete';
    protected $permissionEdit   = 'Subscribers.Subscribers.Edit';
    protected $permissionView   = 'Subscribers.Subscribers.View';
    
    protected $context			 = 'subscribers';
    
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
        
        $this->load->model('subscribers/subscribers_model');
        $this->lang->load('subscribers');
        
        
        
        Assets::add_module_js('subscribers', 'subscribers.js');
    }
    
    /**
     * Display a list of subscribers data.
     *
     * @return void
     */
    public function index($offset = 0) {
       $this->gcrud->index('subscribers', $offset, 'public', array('context' => $this->context));
    }
}