<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$permission_name = ucwords($module);
$url_form       = SITE_AREA . '/components/subscribers/form/';
$form_url       = $url_form . str_replace('subscriber_', '', $module);
$edit_url       = $form_url . '/edit/';
$create_url     = $form_url . '/create/';
$num_columns	= 10;
$can_delete	    = $this->auth->has_permission($permission_name . '.Components.Delete');
$can_edit		= $this->auth->has_permission($permission_name . '.Components.Edit');
$can_create		= $this->auth->has_permission($permission_name . '.Components.Create');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
$num_columns++;
endif;
?>
<?php switch($module) { 
    case 'subscriber_users':
        echo $this->load->view('common/_status_filter');
        break;
}
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="row">
    	<div class="col-sm-5 mt-3">
        	<?php if($can_create):?>
        	<a href="<?php echo site_url($create_url); ?>" class="btn btn-warning btn-sm"><i class="fas fa-plus-circle fa-fw mr-1"></i><?php echo lang('create_' . $module); ?></a>
        	<?php endif;?>
        	<?php 
        	if($module == 'subscriber_users' && $this->session->userdata('filter_group_id')):
        	$group_id = $this->session->userdata('filter_group_id');
        	$group_fields = $this->subscribers_model->group_fields($group_id);
        	$group_info = $this->subscribers_model->_get('subscriber_groups', $group_id, null);
        	?>
        	<span class="btn btn-info btn-sm"><i class="fas <?php echo $group_info->icon; ?> mr-1"></i><?php echo $group_info->name; ?> (<?php echo $total_rows; ?>)</span>
        	<button name="clear_group_filter" type="submit" class="btn btn-danger btn-sm"><i class="fas fa-times-circle mr-1"></i><?php echo lang('bf_clear'); ?></button>
        	<?php endif; ?>
    	</div>
    	<div class="col-sm-7">
    		<?php echo search_admin(lang('placeholder_' . $module . '_search'), 'col-sm-8');?>
    	</div>
	</div>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
				<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id')); ?></th>
					<?php switch($module) {
					    case 'subscriber_users':?>					    
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<?php if(empty($group_fields)):?>
					<th><?php echo form_filter('email', lang('label_email')); ?></th>
					<th><?php echo form_filter('phone_number', lang('label_phone_number')); ?></th>
					<?php 
					else:
					foreach($group_fields as $group_field):
					if($group_field['name'] != 'name'):
					?>
					<th><?php echo form_filter($group_field['name'], !empty($group_field['label_lang']) ? lang($group_field['label']) : $group_field['label']); ?></th>
					<?php endif; ?>
					<?php endforeach; ?>
					<?php endif;?>
					<th><?php echo form_filter('status_id', lang('label_status')); ?></th>
					<th class="text-center"><?php echo lang('label_action'); ?></th>
					<?php
					        break;
                        case 'subscriber_followups':
                    ?>
					<th><?php echo form_filter('subscriber_id', lang('singular_subscriber_users')); ?></th>
					<th><?php echo form_filter('remarks', lang('subscriber_remarks')); ?></th>
					<th><?php echo form_filter('next_follow_up', lang('subscriber_next_follow_up')); ?></th>
					<th><?php echo form_filter('created_on', lang('created_on')); ?></th>
					<?php
					        break;
                        case 'subscriber_groups':
                    ?>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('priority', lang('label_priority')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th class="text-center"><?php echo lang('label_action'); ?></th>
					<?php
					        break;
                        case 'subscriber_statuses':
                    ?>					
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('color', lang('label_color')); ?></th>
					<th><?php echo form_filter('priority', lang('label_priority')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<?php
					        break;
                        case 'subscriber_templates':
                    ?>					
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<th><?php echo form_filter('group_id', lang('subscriber_groups')); ?></th>
					<th><?php echo form_filter('status', lang('label_status')); ?></th>
					<th class="text-center"><?php echo lang('label_action'); ?></th>
					<?php break; }?>
				</tr>
				</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>		
						<?php if ($filter_type == 'deleted'): ?>
							<button class="btn btn-action" type="submit" name="submit" value="restore"><?php echo lang('bf_action_restore'); ?></button>
							<button class="btn btn-danger btn-delete" type="submit" name="submit" value="purge"><?php echo lang('bf_action_purge'); ?></button>
						<?php else : ?>
						<?php if(!empty($filter_status)):?>
						<?php foreach($filter_status as $status_filter):?>
						<button class="btn btn-action" type="submit" name="submit" value="status_id__<?php echo $status_filter['id']; ?>"><?php echo $status_filter['name']; ?></button>
						<?php endforeach;?>
						<?php endif;?>
						<?php if ($can_delete) : ?>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>						
						<?php endif; ?>
						<?php endif; ?>
					</td>
				</tr>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					
					<td><?php e($record->id); ?></td>
					<?php switch($module) {
					    case 'subscriber_users':
					        // merge meta information
					        $record = $this->subscribers_model->merge_meta($record);
					        ?>
					<td>
					<?php if ($can_edit) : ?>
					<?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?>
					<?php else : ?>
					<?php echo $record->name; ?>
					<?php endif; ?>
					</td>
					<?php if(!empty($group_fields)): // display group specific fields only ?>
					<?php foreach($group_fields as $group_field):
					if($group_field['name'] != 'name'):
					?>
					<td><?php echo isset($record->{$group_field['name']}) ? $record->{$group_field['name']} : lang('not_specified'); ?></td>
					<?php endif; ?>
					<?php endforeach;?>
					<?php else: ?>
					<td><?php echo $record->email; ?></td>
					<td><?php echo $record->phone_number; ?></td>
					<?php endif; ?>
					<td><span class="btn btn-sm" style="color: <?php echo $record->status_color; ?>"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span></td>					
					<td><?php echo $this->load->view('common/_status_change', array('record' => $record));?></td>
					<?php
					        break;
                        case 'subscriber_followups':
                    ?>
                    <td><?php echo anchor($url_form . 'users/edit/' . $record->subscriber_id, $record->subscriber); ?></td>
                    <td>
                    <?php if ($can_edit) : ?>
					<?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->remarks); ?>
					<?php else : ?>
					<?php echo $record->remarks; ?>
					<?php endif; ?>
					</td>
                    <td><?php echo gc_date_format($record->next_follow_up); ?></td>
                    <td><?php echo gc_date_format($record->created_on); ?></td>
					<?php
					        break;
                        case 'subscriber_groups':
                    ?>
                    <?php $status_name = $record->name_lang == 1 ? lang($record->name) : $record->name; ?>
					<td>
					<?php if ($can_edit) : ?>
					<?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $status_name); ?>
					<?php else : ?>
					<?php echo $status_name; ?>
					<?php endif; ?>
					<i class="<?php echo $record->icon; ?>"></i>
					</td>
					<td><?php echo $record->priority; ?></td>
					<td>				
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
					<td class="text-center">
					<?php echo anchor(site_url(SITE_AREA . '/components/subscribers/assign/' . $record->id), '<i class="fas fa-arrow-alt-circle-right mr-1"></i>' . lang('subscriber_field_assign'), 'class="btn btn-primary btn-xs"'); ?>
					<button type="submit" name="filter_group_id" value="<?php echo $record->id; ?>" class="btn btn-info btn-xs" data-toggle="tooltip" title="<?php echo lang('subscriber_users'); ?>"><i class="fas fa-users"></i><?php echo '<span class="badge badge-pill badge-light ml-1">' . $record->counts . '</span>'; ?></button>
					<?php if(!empty($record->query_counts)):?>
					<button type="submit" name="query_group_id" value="<?php echo $record->id; ?>" class="btn btn-warning btn-xs" data-toggle="tooltip" title="<?php echo lang('subscriber_queries'); ?>"><i class="fas fa-user-edit"></i><?php echo '<span class="badge badge-pill badge-light ml-1">' . $record->query_counts . '</span>'; ?></button>					
					<?php endif; ?>
					<?php if($this->auth->has_permission('Subscribers.Components.Export')):?>
					<button type="submit" name="export_excel" value="<?php echo $record->id; ?>" class="btn btn-success btn-xs" data-toggle="tooltip" title="<?php echo lang('label_export') . ' ' . lang('excel'); ?>"><i class="fas fa-file-excel"></i></button>
					<button type="submit" name="export_pdf" value="<?php echo $record->id; ?>" class="btn btn-danger btn-xs" data-toggle="tooltip" title="<?php echo lang('label_export') . ' ' . lang('pdf'); ?>"><i class="fas fa-file-pdf"></i></button>
					<?php endif; ?>
					</td>
					<?php
					        break;
                        case 'subscriber_statuses':
                    ?>
					<?php $status_name = $record->name_lang == 1 ? lang($record->name) : $record->name; ?>
					<?php if ($can_edit) : ?>
					<td><?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $status_name); ?></td>
					<?php else : ?>
					<td><?php echo $status_name; ?></td>
					<?php endif; ?>
					<td><?php echo $record->color; ?></td>
					<td><?php echo $record->priority; ?></td>
					<td>				
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
					<?php
					        break;
                        case 'subscriber_templates':
                    ?>                    			
                    <?php if ($can_edit) : ?>
					<td><?php echo anchor($edit_url . $record->id, '<i class="fas fa-edit"></i> ' .  $record->name); ?></td>
					<?php else : ?>
					<td><?php e($record->name); ?></td>
					<?php endif; ?>
					<td><?php e($record->group_name); ?></td>
					<td>				
					<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
						<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive'); ?>
					</button>
					</td>
					<td class="text-center"><a class="template-preview btn btn-info btn-xs" href="javascript:void(0)" data-href="<?php echo site_url(SITE_AREA . '/components/subscribers/preview/' . $record->id); ?>"><i class="fas fa-eye fa-fw mr-1"></i><?php echo lang('bf_action_preview'); ?></a></td>
                    <?php break; }?>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('label_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>