<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							    # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				    # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									    # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
?>
<?php
echo form_validations();
$message_to = isset($_POST['message_to']) ? $_POST['message_to'] : 'groups';
$options_message_to = $module != 'subscriber_users' ? array('' => lang('placeholder_select')) : array('groups' => lang('label_group'));
if($type != 'email'):
$options_message_to['numbers'] =  lang('specific_numbers');
endif;
$options_message_to['ids'] = lang('specific_ids');
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<fieldset class="form-horizontal">
	<?php
	echo gc_form_element('text', array('name' => 'name', 'label_width' => 'col-sm-3'), $record, lang('label_name'). lang('bf_form_label_required'), 'col-sm-6');
	echo gc_form_element('dropdown', array('name' => 'template_id', 'label_width' => 'col-sm-3', 'options' => $this->fields_model->dropdown_options($type == 'email' ? 'email_templates' : 'message_templates')), $record, lang('load_template'), 'col-sm-6');
	echo gc_form_element('dropdown', array('name' => 'message_to', 'label_width' => 'col-sm-3', 'options' => $options_message_to), $record, lang('message_to'), 'col-sm-4');
	$input_options = array(
	    array('name' => 'id_from', 'value' => (isset($_POST['id_from']) ? $_POST['id_from'] : 0)),
	    array('name' => 'id_to', 'value' => (isset($_POST['id_to']) ? $_POST['id_to'] : 1), 'field_append' => 'span.field-info.m-2{' . lang('label_to') . '}'),
	);
	echo gc_form_element('text', array('label_width' => 'col-sm-3', 'control_class' => 'field-ids', 'control_style' => ($message_to == 'groups' || $message_to == 'numbers' ? 'display: none;' : ''), 'tooltip' => sprintf(lang('label_difference_warning'), 10000), 'help' => lang('help_range'), 'help_class' => 'help-inline', 'field_class' => 'field-width', 'options' => $input_options, 'element_container' => 'div.form-row'), $record, lang('label_id_range'), 'col-sm-9');
	if($type != 'email'):
	echo gc_form_element('textarea', array('name' => 'specific_numbers', 'control_class' => 'field-numbers', 'control_style' => ($message_to == 'groups' || $message_to == 'ids' ? 'display: none;' : ''), 'label_width' => 'col-sm-3', 'help' => lang('message_help_specific'), 'placeholder' => lang('message_help_specific')), $record, lang('message_specific_numbers'), 'col-sm-6');
	endif;
	if($module != 'users'):
	echo gc_form_element('dropdown', array('name' => 'group_id', 'control_class' => 'field-groups', 'control_style' => ($message_to == 'numbers' || $message_to == 'ids' ? 'display: none;' : ''), 'label_width' => 'col-sm-3', 'options' => $this->fields_model->dropdown_options('subscriber_groups')), $record, lang('singular_subscriber_groups'), 'col-sm-3');
	endif;
	echo gc_form_element('dropdown', array('name' => 'status_id', 'control_class' => 'field-groups field-ids', 'control_style' => ($message_to == 'numbers' || $message_to == 'ids' ? 'display: none;' : ''), 'label_width' => 'col-sm-3', 'options' => $module == 'users' ? array(0 => lang('us_inactive'), 1 => lang('us_active')) : $this->fields_model->dropdown_options('subscriber_statuses')), $record, lang('label_status'), 'col-sm-3');
	echo gc_form_element('text', array('name' => 'limit', 'control_class' => 'field-groups', 'control_style' => ($message_to == 'numbers' || $message_to == 'ids' ? 'display: none;' : ''), 'label_width' => 'col-sm-3', 'default_value' => 20000, 'extra' => array('maxlength' => 5)), $record, lang('label_limit'). lang('bf_form_label_required'), 'col-sm-2');
	echo gc_form_element('text', array('name' => 'offset', 'control_class' => 'field-groups', 'control_style' => ($message_to == 'numbers' || $message_to == 'ids' ? 'display: none;' : ''), 'label_width' => 'col-sm-3', 'default_value' => 0, 'extra' => array('maxlength' => 5)), $record, lang('label_offset'). lang('bf_form_label_required'), 'col-sm-2');
	if($type == 'message'):
	   echo gc_form_element('dropdown', array('name' => 'phone_code', 'control_class' => 'field-groups field-ids', 'control_style' => ($message_to == 'numbers' || $message_to == 'ids' ? 'display: none;' : ''), 'label_width' => 'col-sm-3', 'default_value' => 0, 'options' => phone_codes(null, true), 'help' => lang('help_phone_code')), $record, lang('phone_code'), 'col-sm-2');
	else:
	   echo gc_form_element('text', array('name' => 'subject', 'label_width' => 'col-sm-3', 'help' => (isset($subject_variables) ? $subject_variables : ''), 'extra' => array('maxlength' => 255)), $record, lang('emailer_email_subject'). lang('bf_form_label_required'));
	endif;
	echo gc_form_element('textarea', array('name' => 'message', 'label_width' => 'col-sm-3', 'control_class' => 'form-help-tooltip', 'field_class' => ($type == 'email' ? 'editor-filemanager' : ''), 'help' => (isset($message_variables) ? $message_variables : '')), $record, lang('label_message') . lang('bf_form_label_required'), 'col-sm-9');
	if($type == 'email'):
	    $reply_options = array(
	        array('name' => 'headers[reply_email]', 'value' => (isset($_POST['reply_email']) ? $_POST['reply_email'] : lang('subscriber_reply_email')), 'extra' => array('placeholder' => lang('reply_email'), 'class' => 'form-control col-sm-3', 'id' => 'reply_email')),
	        array('name' => 'headers[reply_name]', 'id' => 'reply_name', 'value' => (isset($_POST['reply_name']) ? $_POST['reply_name'] : lang('subscriber_reply_name')), 'extra' => array('placeholder' => lang('reply_name'), 'class' => 'form-control col-sm-4', 'id' => 'reply_name')),
	    );
	    echo gc_form_element('text', array('help' => lang('help_reply_options'), 'label_width' => 'col-sm-3', 'field_class' => 'field-width', 'control_class' => 'form-inline', 'options' => $reply_options), array(), lang('reply_options'), 'col-sm-9 form-row');
	endif;
	echo gc_form_element('text', array('name' => 'scheduled_on', 'label_width' => 'col-sm-3', 'help' => lang('help_scheduled_on')), $record, lang('em_scheduled_on'), 'col-sm-3');
	echo gc_form_element('text', array('name' => 'schedule_limit', 'label_width' => 'col-sm-3', 'value' => 0, 'tooltip' => lang('note_schedule'), 'help' => lang('help_schedule_limit')), $record, lang('label_schedule_limit'), 'col-sm-3');
	echo gc_form_element('text', array('name' => 'schedule_interval', 'label_width' => 'col-sm-3', 'value' => 0, 'tooltip' => lang('note_schedule'), 'help' => lang('help_schedule_interval')), $record, lang('label_schedule_interval'), 'col-sm-3');
	echo gc_form_element('dropdown', array('name' => 'priority', 'label_width' => 'col-sm-3', 'value' => 1, 'options' => array(1 => lang('priority_low'), 2 => lang('priority_medium'), 3 => lang('priority_high'))), $record, lang('priority'), 'col-sm-2');
	if($type == 'email'):
	$basic_checkboxes = array(
	    array(
	        'name' => 'switch_from',
	        'label' => lang('label_switch_from'),
	        'tooltip' => lang('help_switch_from')
	    ),
	    array(
	        'name' => 'switch_template',
	        'label' => lang('label_switch_template'),
	        'tooltip' => lang('help_switch_template')
	    )
	);
	echo gc_form_element('checkbox', array('name' => 'basic_checkboxes', 'label_width' => 'col-sm-3', 'options' => $basic_checkboxes), array(), '', 'col-sm-9');
	endif;
	echo gc_form_element('actions', array('delete' => false, 'cancel' => false, 'label' => lang('gc_action_submit')));
	?>
	</fieldset>	
	<?php if(isset($columns)): ?>
    <div class="table-responsive mt-2">
        <table class="table table-striped table-bordered table-data">
            <thead>
                <tr>
                	<?php foreach($columns as $column):?>
                	<?php if($column == 'check'): ?>                	
                    <th class="column-check"><input class="check-all" type="checkbox" /></th>
                	<?php else: ?>
                	<th><?php echo $column; ?></th>
                	<?php endif; ?>
                	<?php endforeach;?>
                </tr>
            </thead>
            <tfoot>
                <tr>
                	<?php foreach($columns as $column):?>
                	<?php if($column == 'check'): ?>                	
                    <th class="column-check"><input class="check-all" type="checkbox" /></th>
                	<?php else: ?>
                	<th><?php echo $column; ?></th>
                	<?php endif; ?>
                	<?php endforeach;?>
                </tr>
            </tfoot>
        </table>
    </div>                     
    <fieldset class="form-actions">
        <?php echo lang('bf_with_selected') . '&nbsp;'; ?>
        <button type="submit" id="btn_create" name="save" value="send" class="btn btn-action"><?php echo lang('send'); ?></button>
        <?php echo ' ' . lang('bf_or') . ' ' . anchor(SITE_AREA . '/components/emailer/queue', lang('bf_action_cancel'), 'class="btn btn-warning"'); ?>
    </fieldset>
    <?php else: ?>
	<div class="row">
	<div class="col-sm-12">
    <?php echo search_admin(lang('em_placeholder_usersearch'));?>
    </div>
    </div>
        <?php if (!empty($records)) :
            $hasChecked = ! empty($checked) && is_array($checked);
            $numColumnsUsers = 7;
        ?>
		<div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th class="column-check"><input class="check-all" type="checkbox" /></th>
                    <th class="id_column"><?php echo form_filter('id', lang('bf_id'));?></th>
                    <th><?php echo form_filter('name', lang('label_name'));?></th>
                    <th><?php echo form_filter('email', lang('label_email'));?></th>
                    <th><?php echo form_filter('phone_number', lang('label_phone_number'));?></th>
                    <th class="status_column"><?php echo form_filter('active', lang('us_status'));?></th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <td colspan="<?php echo $numColumnsUsers; ?>">                    
                        <fieldset class="form-actions">
                            <?php echo lang('bf_with_selected') . '&nbsp;'; ?>
                            <button type="submit" id="btn_create" name="save" value="send" class="btn btn-action"><?php echo lang('send'); ?></button>
                            <?php echo ' ' . lang('bf_or') . ' ' . anchor(SITE_AREA . '/components/emailer/queue', lang('bf_action_cancel'), 'class="btn btn-warning"'); ?>
                        </fieldset>
                    </td>
                </tr>
            </tfoot>
            <tbody>
                <?php foreach ($records as $record) : ?>
                <tr>
                    <td class='column-check'>
                        <input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>"<?php echo $hasChecked && in_array($record->id, $checked) ? ' checked="checked"' : ''; ?> />
                    </td>
                    <td><?php echo $record->id; ?></td>
                    <td>
                        <a href='<?php echo site_url(SITE_AREA . "/components/subscribers/form/users/edit/{$record->id}"); ?>'><?php echo $record->name; ?></a>
                    </td>
                    <td><?php echo $record->email; ?></td>
                    <td><?php echo $record->phone_number; ?></td>
                    <td><span class="btn btn-sm" style="color: <?php echo $record->status_color; ?>"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span></td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
		</div>
        <?php else: ?> 
        <div class="card card-body alert alert-danger"><?php echo lang('emailer_no_users_found'); ?></div>
        <?php endif; ?>
    <?php echo form_close(); ?>
    <?php echo $this->pagination->create_links(); ?>    
    <?php endif; ?>
    <input type="hidden" id="warning_template_load" value="<?php echo lang('message_warning_template_load')?>" />
</div>