<?php
/**
 * Common form for Newsletter, Demo and other tasks
 * Will be called from the layouts library
 * echo $this->layouts->widget_subscriber(3, array('field_only' => true));
 * Use CSS to format the layout e.g. rounded btn, next line btn extra
 * @param number $form_id - ID of the form: a single page can have same group form, so pass form_id field with widget
 */
$subscibers_form_id = !empty($form_id) ? (int) $form_id : 0;
$field_prefix = $group_id . '_' . $subscibers_form_id . '___';
$record = !empty($record) ? (array) $record : array();
$layout = !empty($layout) ? $layout : 'field_only'; // form layout
$tpl = !empty($tpl) ? $tpl : '';
if(!empty($record)): // avoid user to fill the same information again and again
$record[$field_prefix . 'name'] = $record['name'];
$record[$field_prefix . 'email'] = $record['email'];
$record[$field_prefix . 'phone_number'] = $record['phone_number'];
$record[$field_prefix . 'address'] = $record['address'];
$record[$field_prefix . 'postcode'] = $record['postcode'];
endif;
// product enquiry form
// pass module_id as 1 and row_id as the id of the product
// in case of modal form, replace the row_id value using jQuery
if(!empty($module_id) && !empty($row_id)) {
    $record[$field_prefix . 'module_id'] = $module_id;
    $record[$field_prefix . 'row_id'] = $row_id;
}
$record = (object) $record;
echo form_open($this->uri->uri_string(), 'class="subscribers-form form-horizontal" id="subscribersForm' . $group_id . $subscibers_form_id . '" data-group="'. $group_id .'"');
?>
<div class="loader" style="display: none;">
	<img src="<?php echo gc_site_image('ajax-loader'); ?>" />
</div>
<div class="message-block"></div>
<?php
// display fields without field-group
foreach($subscriber_fields as $field_key => $subscriber_field):
// Note: ___ is the separator, do not use it any field name
$subscriber_fields[$field_key]['name'] = $field_prefix . $subscriber_field['name']; // a page can have multiple forms, i.e. the group_id field is appended with the field name
if($layout == 'field_only' || $tpl == 'input_group'):
    $subscriber_fields[$field_key]['field_only'] = true;
elseif($layout == 'stacked'):
    $subscriber_fields[$field_key]['label_width'] = 'form-label';
    $subscriber_fields[$field_key]['class'] = 12;
endif;
$subscriber_fields[$field_key]['group_id'] = 0; // to avoid group_id ambiguity
endforeach;
$content = $this->load->view('fields/fields', array('form_fields' => gc_form_fields($subscriber_fields, 'group', 0), 'record' => $record), TRUE);
if(!empty($subscriber_groups)):
foreach($subscriber_groups as $subscriber_group):
$content .= $this->load->view('fields/fields', array('form_fields' => gc_form_fields($subscriber_fields, 'group', $subscriber_group->id), 'record' => $record), TRUE);
endforeach;
endif;
$content = isset($fields_container) ? emmet($fields_container, $content) : $content;
// hidden fields to be sent
$content .= form_hidden($field_prefix . 'group_id', $group_id);

// simple button
if(!isset($no_submit)):
    $btn_icon = isset($icon) ? '<i class="' . $icon . '"></i>' : '';
    $btn_label = isset($btn_label) ? $btn_label : lang('gc_action_submit');
    $btn = '<button type="submit" name="submit" class="btn btn-primary gc-btn-ajax' . (isset($btn_class) ? ' ' . $btn_class : ''). '">' . $btn_label . $btn_icon . '</button>';
    $btn = isset($btn_container) ? emmet($btn_container, $btn) : $btn;
endif;
if(isset($tpl)):
    switch($tpl) {
        case 'input_group': ?>
<div class="input-group mb-3">
  <?php echo $content; ?>
  <div class="input-group-append">
    <?php echo $btn; ?>
  </div>
</div>
        <?php
            break;
        default:
            echo $content;
            echo $btn;
    }
else:
    echo $content;
    echo $btn;
endif;
?>
<?php echo form_close(); ?>