<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
if (! defined ( 'BASEPATH' ))
	exit ( 'No direct script access allowed' );
class Summary_model extends BF_Model {
	/**
	 * Get summary or total number of counts of all modules
	 * @return object counts
	 */
	public function get_dashboard() {
		$sql = " SELECT count(id) as TotalListings,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "listings WHERE deleted = 1) as DeletedListings,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "listings WHERE deleted = 0 AND status = 3) as SpammedListings,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "listings WHERE deleted = 0 AND status = 0) as InactiveListings,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "listings WHERE featured = 1 AND deleted = 0) as FeaturedListings,";
		$sql .= " (SELECT COUNT(DISTINCT listing_id) FROM " . $this->db->dbprefix . "business_hours) as ListingsWithBusinessHours,";
		$sql .= " (SELECT COUNT(DISTINCT listing_id) FROM " . $this->db->dbprefix . "branches) as ListingsWithBranchOffices,";
		
		$config_modules = gc_modules_only();
		foreach($config_modules as $config_module) {
			$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . $config_module . " WHERE deleted = 0) as total_" . $config_module . ",";
			$sql .= " (SELECT COUNT(DISTINCT listing_id) FROM " . $this->db->dbprefix . $config_module . " WHERE status = 1 AND deleted = 0) as listings_with_" . $config_module . ",";
			$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . $config_module . " WHERE status = 0 AND deleted = 0) as inactive_" . $config_module . ",";
		}
				
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "images) as TotalImages,";
		$sql .= " (SELECT COUNT(DISTINCT row_id) FROM " . $this->db->dbprefix . "images) as ListingsWithImages,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "images WHERE status = 0) as InactiveImages,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "videos WHERE deleted = 0) as TotalVideos,";
		$sql .= " (SELECT COUNT(DISTINCT row_id) FROM " . $this->db->dbprefix . "videos WHERE status = 1 AND deleted = 0 AND module_id = " . gc_module_id('listings') . ") as ListingsWithVideos,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "videos WHERE status = 0 AND deleted = 0) as InactiveVideos,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "comments WHERE deleted = 0) as TotalComments,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "comments WHERE status = 0 AND deleted = 0) as InactiveComments,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "comments WHERE status = 1 AND deleted = 0) as ActiveComments,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "comments WHERE status = 2 AND deleted = 0) as FlaggedComments,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "comments WHERE status = 3 AND deleted = 0) as SpammedComments,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "comments WHERE status = 4 AND deleted = 0) as RejectedComments,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "tags) as TotalTags,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "tags WHERE active = 1) as ActiveTags,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "tags WHERE active = 0) as InactiveTags,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "users WHERE deleted = 0) as TotalUsers,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "users WHERE deleted = 0 AND active = 0) as InactiveUsers,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "users WHERE banned = 1 AND deleted = 0) as BannedUsers,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "orders WHERE deleted = 0) as TotalOrders,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "orders WHERE status_id = 1 AND deleted = 0) as PendingOrders,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "orders WHERE status_id = 2 AND deleted = 0) as PaidOrders,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "orders WHERE status_id = 3 AND deleted = 0) as FailedOrders,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "orders WHERE status_id = 4 AND deleted = 0) as CancelledOrders,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "orders WHERE status_id = 5 AND deleted = 0) as RefundedOrders,";
		$sql .= " (SELECT COUNT(*) FROM " . $this->db->dbprefix . "categories) as TotalCategories,";
		$sql .= " ((SELECT COUNT(*) FROM " . $this->db->dbprefix . "countries) + (SELECT COUNT(*) FROM " . $this->db->dbprefix . "states) + (SELECT COUNT(*) FROM " . $this->db->dbprefix . "cities) + (SELECT COUNT(*) FROM " . $this->db->dbprefix . "localities)) as TotalLocations,";
		$sql .= " (SELECT COUNT(*) AS `numrows` FROM (`" . $this->db->dbprefix . "email_queue`) WHERE `date_sent` IS NOT NULL) as EmailsInQueue";
		$sql .= " FROM " . $this->db->dbprefix . "listings";
		// $sql .= " WHERE deleted = 0";		
		if(!$this->session->userdata('dashboard_count')) {		    
		    $query = $this->db->query ( $sql );
		    $result = $query->row ();
		    $this->session->set_userdata('dashboard_count', $result);
		} else {
		    $result = $this->session->userdata('dashboard_count');
		}
		return $result;
	}

	/**
	 * Today's Sales
	 * @return object
	 */
	public function today_sales() {
		$sql = "SELECT SUM(O.order_total) AS total_sales FROM " . $this->db->dbprefix . "orders O";
		$sql .= " WHERE YEAR(O.created_on) = YEAR(NOW()) AND MONTH(O.created_on) = MONTH(NOW()) AND DAY(O.created_on) = DAY(NOW())";
		$sql .= " AND O.status_id = 2 AND O.deleted = 0";
		$query = $this->db->query ( $sql );
		foreach($query->row () as $result) {
			return $result;
		}
	}
	
	/**
	 * Total sales yesterday
	 * @return object
	 */
	public function yesterday_sales() {
		$sql = "SELECT SUM(O.order_total) AS total_sales FROM " . $this->db->dbprefix . "orders O";
		$sql .= " WHERE O.created_on <= NOW() AND O.created_on >= DATE_ADD(Now(),interval - 1 day)";
		$sql .= " AND O.status_id = 2 AND O.deleted = 0";
		$query = $this->db->query ( $sql );
		foreach($query->row () as $result) {
			return $result;
		}
	}
	
	/**
	 * Total sales this month
	 * @return object
	 */
	public function this_month_sales() {
		$sql = "SELECT SUM(O.order_total) AS total_sales FROM " . $this->db->dbprefix . "orders O";
		$sql .= " WHERE MONTH(O.created_on) = MONTH(CURDATE()) AND YEAR(O.created_on)  =  YEAR(CURDATE())";
		$sql .= " AND O.status_id = 2 AND O.deleted = 0";
		$query = $this->db->query ( $sql );
		foreach($query->row () as $result) {
			return $result;
		}
	}
	
	/**
	 * Total sales this month
	 * @return object
	 */
	public function this_month_sales_graph() {
		$sql = "SELECT DATE(O.created_on) AS date, SUM(O.order_total) AS total_sales FROM " . $this->db->dbprefix . "orders O";
		$sql .= " WHERE MONTH(O.created_on) = MONTH(CURDATE()) AND YEAR(O.created_on)  =  YEAR(CURDATE())";
		$sql .= " AND O.status_id = 2 AND O.deleted = 0";
		$sql .= " GROUP BY date";
		$query = $this->db->query ( $sql );
		$result = $query->result_array ();
		return $result;
	}
	
	/**
	 * All Time Sales
	 * @return object
	 */
	public function all_time_sales() {
		$sql = "SELECT SUM(O.order_total) AS total_sales FROM " . $this->db->dbprefix . "orders O";
		$sql .= " WHERE O.status_id = 2 AND O.deleted = 0";
		$query = $this->db->query ( $sql );
		foreach($query->row () as $result) {
			return $result;
		}
	}
}