<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns = 2;
$can_delete = $this->auth->has_permission ( 'Summary.Dashboard.Delete' );
$can_edit = $this->auth->has_permission ( 'Summary.Dashboard.Edit' );
$has_records = isset ( $records ) && is_array ( $records ) && count ( $records );
echo $this->load->view('common/_messages');
?>
<?php if(isset($update)):?>
<div class="alert alert-danger text-center">
	<?php echo sprintf(lang('version_help'), $update['software'], '<span class="badge badge-danger">' . $update['version'] .'</span>')?>
	<a class="btn btn-danger btn-xs" href="<?php echo $update['link']; ?>" target="<?php echo isset($update['target']) ? $update['target'] : '_blank'; ?>"><?php echo lang('btn_update_now');?></a><br />
	<?php if(!empty($update['helpurl'])):?>
		<span class="small"><?php echo sprintf(lang('msg_update_help'), '<a href=" '. $update['helpurl'] .'" target="_blank">'. lang('how_to_upgrade') .'</a>');?>.</span>
	<?php endif;?>	
</div>
<?php endif;?>
<div class="summary">
<div class="row">
		<div class="col-sm-3">
			<div class="sales-today">
				<span class="dashboard-price"><?php echo !empty($today_sales) ? currency_format($today_sales) : currency_format('0.00'); ?></span>
				<h5><span class="sales-color"><?php echo lang('label_today_sales');?></span></h5>
			</div>
		</div>

		<div class="col-sm-3">
			<div class="sales-yesterday">
				<span class="dashboard-price"><?php echo !empty($yesterday_sales) ? currency_format($yesterday_sales) : currency_format('0.00'); ?></span>
				<h5><span class="sales-color"><?php echo lang('label_yesterday_sales');?></span></h5>
			</div>
		</div>
		
		<div class="col-sm-3">
			<div class="sales-this-month">
				<span class="dashboard-price"><?php echo !empty($this_month_sales) ? currency_format($this_month_sales) : currency_format('0.00'); ?></span>
				<h5><span class="sales-color"><?php echo lang('label_this_month_sales');?></span></h5>
			</div>
		</div>

		<div class="col-sm-3">
			<div class="sales-all-time">
				<span class="dashboard-price"><?php echo !empty($all_time_sales) ? currency_format($all_time_sales) : currency_format('0.00'); ?></span>
				<h5><span class="sales-color"><?php echo lang('label_all_time_sales');?></span></h5>
			</div>
		</div>
	</div><!-- end of row -->	
	<div class="row">
		<div class="col-sm-6">
			<div style="max-width:100%">
			<?php if(isset($allow_analytics) && $allow_analytics == 1) { ?>
				<div id="visitors-div"></div>
				<?php 
					echo $lava->render('LineChart', 'Visitors', 'visitors-div');
				} else {?>
				<div class="alert alert-block alert-danger">
					<a class="close" data-dismiss="alert">&times;</a>
					<?php echo lang('msg_analytics'); ?>
				</div>
				<?php } ?>		
			</div>
		</div>
		<div class="col-sm-6">
			<div id="sales-div"></div>
			<?php echo $lava->render('LineChart', 'Sales', 'sales-div');?>			
	    </div>
    </div><!-- end of row -->
    <div class="row">
    	<div class="col-sm-4 summary-url">
    		<div class="table-responsive">
    			<h4>
    				<i class="fas fa-fw fa-list-alt mr-1"></i><?php echo anchor(site_url(SITE_AREA . '/content/listings'), lang('listings')); ?><sup><span
    							class="badge badge-info"><?php e($summary->TotalListings); ?></span></sup></h4>
    			<table class="table table-striped table-bordered">
    				<tbody>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/inactive'), lang('inactive_listings')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-warning"><?php e($summary->InactiveListings); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/featured'), lang('featured') . ' ' . lang('listings')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-success"><?php e($summary->FeaturedListings); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/deleted'), lang('listings_deleted')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge btn-danger"><?php e($summary->DeletedListings); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/spammed'), lang('listings_spammed')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-active"><?php e($summary->SpammedListings); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/branches'), lang('listings_with_branch_offices')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span class="badge badge-success"><?php e($summary->ListingsWithBranchOffices); ?></span></td>
    					</tr>	
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/business_hours'), lang('listings_with_business_hours')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span class="badge badge-success"><?php e($summary->ListingsWithBusinessHours); ?></span></td>
    					</tr>					
    				</tbody>
    			</table>
    		</div>
    		<div class="table-responsive">
    			<h4><i class="fas fa-fw fa-list-alt mr-1"></i><?php echo anchor(site_url(SITE_AREA . '/financial/packages'), lang('package_wise_listings')); ?>
    			<sup><span class="badge btn-info"><?php e($total_packages); ?></span></sup>
    			</h4>
    			<table class="table table-striped table-bordered">
    				<tbody>
    				<?php foreach($package_wise as $package_listing):?>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/package_id-' . $package_listing['id']), $package_listing['title']); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge btn-info"><?php e($package_listing['count']); ?></span></td>
    					</tr>
    					<?php endforeach;?>
    				</tbody>
    			</table>			
    		</div>		
    		<div class="table-responsive">
    			<table class="table table-striped table-bordered">
    				<tbody>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/categories'), lang('categories')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-info"><?php e($summary->TotalCategories); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/settings/locations'), lang('locations')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-info"><?php e($summary->TotalLocations); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/components/emailer/queue'), lang('emails_in_queue')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-active"><?php e($summary->EmailsInQueue); ?></span></td>
    					</tr>
    				</tbody>
    			</table>
    		</div>
    		
    		<div class="table-responsive">
    			<h4>
    				<i class="fas fa-fw fa-tag mr-1"></i><?php echo anchor(site_url(SITE_AREA . '/content/tags'), lang('keywords')); ?>
    				<sup><span class="badge badge-info"><?php e($summary->TotalTags); ?></span></sup>
    				</h4>
    			<table class="table table-striped table-bordered">
    				<tbody>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/tags/index/active/'), lang('active_keywords')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-success"><?php e($summary->ActiveTags); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/tags/index/inactive/'), lang('inactive_keywords')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-warning"><?php e($summary->InactiveTags); ?></span></td>
    					</tr>
    				</tbody>
    			</table>
    		</div>
    		
    		<div class="table-responsive">
    			<h4>
    				<i class="fas fa-fw fa-image mr-1"></i><?php echo anchor(site_url(SITE_AREA . '/content/images'), lang('images')); ?><sup><span class="badge badge-info"><?php e($summary->TotalImages); ?></span></sup></h4>
    			<table class="table table-striped table-bordered">
    				<tbody>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/images'), lang('listings_with_photos')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-success"><?php e($summary->ListingsWithImages); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/images/index/all/inactive/'), lang('inactive_images')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-warning"><?php e($summary->InactiveImages); ?></span></td>
    					</tr>
    				</tbody>
    			</table>
    		</div>
    			
    	</div>
    	<div class="col-sm-4 summary-url">
    		<div class="table-responsive">
    			<h4>
    				<i class="fas fa-dollar-sign"></i> <?php echo anchor(site_url(SITE_AREA . '/financial/orders'), lang('financial') .' '. lang('label_orders')); ?>
    				<sup><span class="badge badge-info"><?php e($summary->TotalOrders); ?></span></sup>
    				</h4>
    			<table class="table table-striped table-bordered">
    				<tbody>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/financial/orders/manage/orders/status_id--1'), lang('status_pending')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-warning"><?php e($summary->PendingOrders); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/financial/orders/manage/orders/status_id--2'), lang('status_paid')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-success"><?php e($summary->PaidOrders); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/financial/orders/manage/orders/status_id--3'), lang('status_failed')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-danger"><?php e($summary->FailedOrders); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/financial/orders/manage/orders/status_id--4'), lang('status_cancelled')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-secondary"><?php e($summary->CancelledOrders); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/financial/orders/manage/orders/status_id--5'), lang('status_refunded')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-secondary"><?php e($summary->RefundedOrders); ?></span></td>
    					</tr>
    				</tbody>
    			</table>
    		</div>
    		<div class="table-responsive">
    			<h4>
    				<i class="fas fa-fw fa-user mr-1"></i><?php echo anchor(site_url(SITE_AREA . '/settings/users'), lang('total_users')); ?><sup><span class="badge badge-info"><?php e($summary->TotalUsers); ?></span></sup></h4>
    			<table class="table table-striped table-bordered">
    				<tbody>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/settings/users/index/inactive'), lang('inactive_users')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-warning"><?php e($summary->InactiveUsers); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/settings/users/index/banned'), lang('banned_users')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-danger"><?php e($summary->BannedUsers); ?></span></td>
    					</tr>
    				</tbody>
    			</table>
    		</div>
    		<div class="table-responsive">
    			<h4>
    				<i class="fas fa-fw fa-comment mr-1"></i><?php echo anchor(site_url(SITE_AREA . '/content/comments'), lang('comments')); ?><sup><span class="badge badge-info"><?php e($summary->TotalComments); ?></span></sup></h4>
    			<table class="table table-striped table-bordered">
    				<tbody>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/comments/index/all/inactive'), lang('pending_comments')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-warning"><?php e($summary->InactiveComments); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/comments/index/all/active'), lang('active_comments')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-success"><?php e($summary->ActiveComments); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/comments/index/all/flagged'), lang('flagged_comments')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-info"><?php e($summary->FlaggedComments); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/comments/index/all/spammed'), lang('spammed_comments')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-secondary"><?php e($summary->SpammedComments); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/comments/index/all/rejected'), lang('rejected_comments')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-danger"><?php e($summary->RejectedComments); ?></span></td>
    					</tr>
    				</tbody>
    			</table>
    		</div>
    			
    		<div class="table-responsive">
    			<h4>
    				<i class="fas fa-fw fa-film mr-1"></i><?php echo anchor(site_url(SITE_AREA . '/content/videos'), lang('videos')); ?><sup><span class="badge badge-info"><?php e($summary->TotalVideos); ?></span></sup></h4>
    			<table class="table table-striped table-bordered">
    				<tbody>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/videos'), lang('listings_with_videos')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-success"><?php e($summary->ListingsWithVideos); ?></span></td>
    					</tr>
    					<tr>
    						<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/videos/index/all/0/inactive'), lang('inactive_videos')); ?></strong></td>
    						<td style="text-align: right; width: 30%"><span
    							class="badge badge-warning"><?php e($summary->InactiveVideos); ?></span></td>
    					</tr>
    				</tbody>
    			</table>
    		</div>
    			
    	</div>
    
    	<div class="col-sm-4 summary-url">
    		<?php $config_modules = gc_modules_only();?>
    		<?php foreach($config_modules as $config_module):?>
    		<?php $total_fields = 'total_'  . $config_module;?>
    		<?php $listings_with_fields = 'listings_with_'  . $config_module;?>
    		<?php $inactive_fields = 'inactive_'  . $config_module;?>
    			<div class="table-responsive">
    				<h4><i class="fas fa-fw fa-<?php echo gc_module_icon($config_module); ?> mr-1"></i><?php echo anchor(site_url(SITE_AREA . '/content/listings/view/' . $config_module), lang($config_module)); ?>
    				<sup><span class="badge badge-info"><?php e($summary->$total_fields); ?></span></sup></h4>
    				<table class="table table-striped table-bordered">
    					<tbody>
    						<tr>
    							<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/index/' . $config_module), lang('listings_having') . ' ' . lang($config_module)); ?></strong></td>
    							<td style="text-align: right; width: 30%"><span
    								class="badge badge-success"><?php e($summary->$listings_with_fields); ?></span></td>
    						</tr>
    						<tr>
    							<td><strong><?php echo anchor(site_url(SITE_AREA . '/content/listings/view/' . $config_module . '/0/inactive'), lang('us_inactive') . ' ' . lang($config_module)); ?></strong></td>
    							<td style="text-align: right; width: 30%"><span
    								class="badge badge-warning"><?php e($summary->$inactive_fields); ?></span></td>
    						</tr>
    					</tbody>
    				</table>
    			</div>
    		<?php endforeach;?>		
    	</div>
	</div>
</div>