<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
class Tax_rates_model extends BF_Model {

	public $table_name	    = "tax_rates";
	protected $table_slabs  = "tax_slabs";
	protected $key			= "id";
	protected $soft_deletes	= false;
	protected $date_format	= "datetime";

	protected $log_user 	= FALSE;

	protected $set_created	= false;
	protected $set_modified = false;

	/*
		Customize the operations of the model without recreating the insert, update,
		etc methods by adding the method names to act as callbacks here.
	 */
	protected $before_insert 	= array();
	protected $after_insert 	= array();
	protected $before_update 	= array();
	protected $after_update 	= array();
	protected $before_find 		= array();
	protected $after_find 		= array();
	protected $before_delete 	= array();
	protected $after_delete 	= array();

	/*
		For performance reasons, you may require your model to NOT return the
		id of the last inserted row as it is a bit of a slow method. This is
		primarily helpful when running big loops over data.
	 */
	protected $return_insert_id 	= TRUE;

	// The default type of element data is returned as.
	protected $return_type 			= "object";

	// Items that are always removed from data arrays prior to
	// any inserts or updates.
	protected $protected_attributes = array();

	/*
		You may need to move certain rules (like required) into the
		$insert_validation_rules array and out of the standard validation array.
		That way it is only required during inserts, not updates which may only
		be updating a portion of the data.
	 */
	protected $validation_rules 		= array(
		array(
			"field"		=> "name",
			"label"		=> "lang:label_name",
			"rules"		=> "required|alpha_extra|max_length[100]"
		),
		array(
			"field"		=> "country_iso",
			"label"		=> "lang:label_country",
			"rules"		=> "trim"
		),
		array(
			"field"		=> "state_id",
			"label"		=> "lang:label_state",
			"rules"		=> "trim"
		),
		array(
			"field"		=> "tax_percent",
			"label"		=> "lang:label_taxrate",
			"rules"		=> "required|is_decimal|decimal_extra"
		)
	);
	protected $insert_validation_rules 	= array();
	protected $skip_validation 			= FALSE;

	//--------------------------------------------------------------------
	
	/**
	 * Tax Rates Fields
	 *
	 * @return array
	 */
	public function fields() {
	    $fields = array(
	        array(
	            'type' => 'id',
	            'name' => 'id',
	            'frontend_index' => true,
	            'admin_index' => true
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'name',
	            'label' => 'label_name',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim|max_length[100]',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'country_iso',
	            'label' => 'label_country',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'state_id',
	            'label' => 'label_state',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'tax_percent',
	            'label' => 'label_tax_percent',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),/*
	        array(
	            'type' => 'checkbox',
	            'name' => 'custom_payments',
	            'label' => 'custom_payments',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => false,
	            'admin_index' => false,
	            'rules' => 'trim',
	        ),*/
	        array(
	            'type' => 'checkbox',
	            'name' => 'tax_inclusive',
	            'label' => 'label_tax_inclusive',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'checkbox',
	            'name' => 'is_default',
	            'label' => 'label_default',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'checkbox',
	            'name' => 'status',
	            'label' => 'label_status',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'rules' => 'trim',
	        ),
	        
	    );
	    return $fields;
	}
	
	/**
	 * Tax Slabs Fields
	 *
	 * @return array
	 */
	public function slabs() {
	    $fields = array(
	        array(
	            'type' => 'id',
	            'name' => 'id',
	            'frontend_index' => true,
	            'admin_index' => true
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'name',
	            'label' => 'label_name',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'edit' => 1,
	            'field_extra' => 'index_edit_admin:1;index_edit_frontend:1',
	            'rules' => 'trim|required|max_length[100]',
	        ),
	        array(
	            'type' => 'text',
	            'name' => 'value',
	            'label' => 'label_value',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => true,
	            'admin_index' => true,
	            'value' => 0,
	            'rules' => 'trim|required|is_decimal',
	            'class' => 2
	        ),
	        array(
	            'type' => 'none',
	            'name' => 'created_on',
	            'label' => 'created_on',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => false,
	            'admin_index' => false,
	            'rules' => 'trim',
	        ),
	        array(
	            'type' => 'none',
	            'name' => 'modified_on',
	            'label' => 'modified_on',
	            'frontend' => true,
	            'admin_only' => true,
	            'frontend_index' => false,
	            'admin_index' => false,
	            'rules' => 'trim',
	        ),
	        
	    );
	    return $fields;
	}
	
	/**
	 * Get Tax Rates for Checkout Page
	 * @return boolean
	 */
	public function get_tax_rates() {
		$this->db->where('country_iso', settings_item('adv.default_country'));
		$this->db->or_where('country_iso', '');
		$this->db->limit(1);
		$query = $this->db->get($this->db->dbprefix . 'tax_rates');
		if($query) {
			foreach ($query->result() as $row) {
				return $row;
			} 
		} else {
			return false;
		}
	}
	
	/**
	 * Find tax rates for index page
	 * @return object
	 */
	public function find_tax_rates() {
		$this->db->select($this->db->dbprefix . 'tax_rates.*, S.name as state');
		$this->db->join($this->db->dbprefix . 'states S','S.id = ' . $this->db->dbprefix . 'tax_rates.state_id', 'LEFT');
		return $this->tax_rates_model->find_all();
	}
	
	/**
	 * Get Tax Slab
	 * @param number $id
	 * @return object
	 */
	public function get_tax_slab($id) {
	    return $this->db->where('id', $id)->get($this->table_slabs)->row();
	}
	
	/**
	 * Get Default/Country Specific Tax Rate
	 * @param string $value
	 * @param string $field
	 * @return object
	 */
	public function get_tax_rate($value, $field = 'country_iso') {
	    return $this->db->where(array($field => $value, 'status' => 1))->get('tax_rates')->row();
	}
}
