<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php
echo form_validations();
$tax_rate = (isset($tax_rates) ? (array) $tax_rates : array());
$id = isset($tax_rate['id']) ? $tax_rate['id'] : '';
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
			<?php
			echo gc_form_element('text', array('name' => 'name', 'label_width' => 'col-sm-3', 'extra' => array('maxlength' => 100, 'placeholder' => lang('placeholder_name'))), $tax_rate, lang('label_name'). lang('bf_form_label_required'));
			$options = array(
					NULL => lang('label_all_countries'),
			);			
			if($countries):
				foreach($countries as $country):
					$options[$country->iso] = ucwords(strtolower($country->name));
				endforeach;
			endif;
			$field_extra = array('onChange' => "selectState(this.options[this.selectedIndex].value)");
			echo gc_form_element('dropdown', array('name' => 'country_iso', 'label_width' => 'col-sm-3', 'options' => $options, 'extra' => $field_extra), $tax_rate, lang('label_country'), 'col-sm-3');
			$state_options = array(
				'0' => lang('label_all_states'),
			);
			if(!empty($states)):
				foreach($states as $state):
					$state_options[$state->id] = ucwords(strtolower($state->name));
				endforeach;
			endif;			
			echo gc_form_element('dropdown', array('name' => 'state_id', 'label_width' => 'col-sm-3', 'options' => $state_options), $tax_rate, lang('label_state'), 'col-sm-3');
			echo gc_form_element('text', array('name' => 'tax_percent', 'label_width' => 'col-sm-3', 'default_value' => 0, 'extra' => array('maxlength' => 100)), $tax_rate, lang('label_taxrate') .' (%)'. lang('bf_form_label_required'), 'col-sm-2');
			$applicable_modules = !empty($tax_rate['applicable_modules']) ? json_decode($tax_rate['applicable_modules'], true) : array();
			$modules_taxes = array();
			$modules_applicable = array('ads', 'leads', 'packages', 'pyg', 'claims', 'commission_levels'); // , 'bookings' has its own tax rate
			foreach($modules_applicable as $module_applicable) {
			    $modules_taxes[] = array(
			        'name' => 'applicable_modules[' . $module_applicable . ']',
			        'value' => !empty($applicable_modules[$module_applicable]) ? $applicable_modules[$module_applicable] : 0,
			        'label' => lang($module_applicable)
			    );
			}
			echo gc_form_element('checkbox', array('name' => 'applicable_modules', 'label_width' => 'col-sm-3', 'options' => $modules_taxes), array(), lang('applicable_modules'), 'col-sm-9');
			$basic_checkboxes = array(
			    array(
			        'name' => 'tax_inclusive',
			        'value' => !empty($tax_rate['tax_inclusive']) ? $tax_rate['tax_inclusive'] : 0,
			        'label' => lang('label_tax_inclusive')
			    ),
			    array(
			        'name' => 'is_default',
			        'value' => $tax_rate,
			        'label' => lang('label_default')
			    ),
			    array(
			        'name' => 'status',
			        'value' => $tax_rate,
			        'label' => lang('label_status')
			    )
			);
			echo gc_form_element('checkbox', array('name' => 'basic_checkboxes', 'label_width' => 'col-sm-3', 'options' => $basic_checkboxes), array(), '', 'col-sm-9');
			
			$action_data = array(
				'url' => SITE_AREA .'/financial/tax_rates'
			);
			if (!$id || !$this->auth->has_permission('Tax_Rates.Financial.Delete')):
			$action_data['delete'] = FALSE;
			endif;
			echo gc_form_element('actions', $action_data);
			?>
		</fieldset>
		<input type="hidden" name="all_states" id="all_states" value="<?php echo lang('label_all_states');?>" />
    <?php echo form_close(); ?>
</div>