<?php defined('BASEPATH') || exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
/**
 * Content controller
 */
class Content extends Admin_Controller
{
    protected $permissionCreate = 'Testimonials.Content.Create';
    protected $permissionDelete = 'Testimonials.Content.Delete';
    protected $permissionEdit   = 'Testimonials.Content.Edit';
    protected $permissionView   = 'Testimonials.Content.View';
    
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
        
        $this->auth->restrict($this->permissionView);
        $this->load->model('testimonials_model', null, true);
        $this->lang->load('testimonials');
        Template::set_block('sub_nav', 'content/_sub_nav');
    }
    
    /**
     * Manage Testimonials
     * @param string $filter
     * @param number $offset
     */
    public function index($filter = 'all', $offset = 0) {
        $this->manage('testimonials', $filter = 'all', $offset = 0);
    }
    
    /**
     * Manage Testimonials
     * @param string $module
     * @param string $filter
     * @param number $offset
     */
    public function manage($module = 'testimonials', $filter = 'all', $offset = 0) {
        $extra = array(
            'model' => 'testimonials',
            'context' => 'content',
            'fields' => null
        );
        $extra['actions'] = array( // Extra buttons
            array('type' => 'link', 'link' => site_url(SITE_AREA . '/content/testimonials/form/' . $module . '/edit/%s'), 'label' => '<i class="fas fa-edit fa-fw mr-1"></i>' . lang('edit'), 'class' => 'btn btn-xs btn-primary'),
        );
        $this->gc->module_view($module, $filter, $offset, 'admin', $extra);
    }
    
    /**
     * Add/Edit Testimonials Data
     *
     * @param string $module
     * @param string $action
     *
     * @return void
     */
    public function form($module = 'testimonials', $action = 'create') {
        Assets::add_js(array(
            'tinymce/tinymce.min.js',
        ));
        $params = array(
            'model' => 'testimonials',
            'context' => 'content',
            'redirect_url' => site_url(SITE_AREA . '/content/testimonials/manage/' . $module)
        );
        $this->gcrud->form($module, $action, 'admin', $params);
    }
}