<?php defined('BASEPATH') || exit('No direct script access allowed');

class Migration_Install_testimonials extends Migration
{
	/**
	 * @var string The name of the database table
	 */
	private $table_name = 'testimonials';

	/**
	 * @var array The table's fields
	 */
	private $fields = array(
		'id' => array(
			'type'       => 'INT',
			'constraint' => 11,
			'auto_increment' => true,
		),
        'user_id' => array(
            'type'       => 'BIGINT',
            'constraint' => 20,
            'null'       => false,
        ),
        'description' => array(
            'type'       => 'TEXT',
            'null'       => false,
        ),
        'priority' => array(
            'type'       => 'INT',
            'constraint' => 11,
        	'default'	 => 0,
            'null'       => false
        ),
        'status' => array(
            'type'       => 'TINYINT',
            'constraint' => 1,
        	'default'	 => 1,
            'null'       => false
        ),
		'created_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
        'created_by' => array(
            'type'       => 'BIGINT',
            'constraint' => 20,
            'null'       => false,
        ),
		'modified_on DATETIME NULL DEFAULT CURRENT_TIMESTAMP',
        'modified_by' => array(
            'type'       => 'BIGINT',
            'constraint' => 20,
            'null'       => true,
        ),
	);

	/**
	 * Install this version
	 *
	 * @return void
	 */
	public function up()
	{
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->create_table($this->table_name);
	}

	/**
	 * Uninstall this version
	 *
	 * @return void
	 */
	public function down()
	{
		$this->dbforge->drop_table($this->table_name);
	}
}