// Display Tooltip Index Page
$('[data-toggle="tooltip"]').tooltip();
/* https://farbelous.github.io/bootstrap-colorpicker/ */
if($('.gc-color-picker').length) {
	$('.gc-color-picker').colorpicker({});
}
/*  ------------------------------------------------------------
	SHOW/HIDE FIELDS BASED ON THE TYPE OF FILE
------------------------------------------------------------ */
$('#type_id').change(function () {
	//var chkStatus = $('#type_id').is(":checked");
	var type_id = $(this).val();
	if(type_id == 0 || type_id == 2) {
		if(type_id == 0) {
			$('.view-field').show();
			$('.layout-field').show();
		} else {
			$('.view-field').hide();
			$('.layout-field').show();
		}
		$('.widget-field').hide();
	} else if(type_id == 1) {
		 $('.view-field').hide();
		 $('.layout-field').hide();
		 $('.widget-field').show();
	}
});

/*  ------------------------------------------------------------
	HIDE FIELDS FROM THEME_CONTENT TYPES FORM
------------------------------------------------------------ */
$('.content-field').hide();
var contentType = $('#content_type').val();
$('.content-' + contentType).show();
$('#content_type').change(function () {
	var selected_value = $(this).val();
	$('.content-field').hide();
	$('.content-' + selected_value).show();
});

/*  ------------------------------------------------------------
	ADD/EDIT SCSS VARIABLES
------------------------------------------------------------ */
var max_fields      = 40; //maximum input boxes allowed
var wrapper         = $("#options_table"); //Fields wrapper
var add_button      = $("#add_option"); //Add button ID

var x = 1; //initlal text box count
$(add_button).click(function(e){ //on add input button click
e.preventDefault();
var fields = '<tr>';
fields += '<td><select name="field_options[type][]" class="type-select form-control"><option value="text">Text</option><option value="textarea">Textarea</option><option value="color">Color</option><option value="select">Select</option><option value="font">Font</option></select></td>';
fields += '<td><input type="text" name="field_options[name][]" class="form-control" value="" /></td>';
fields += '<td><input type="text" name="field_options[title][]" class="form-control" value="" /></td>';
fields += '<td><textarea name="field_options[description][]" class="form-control" value="" /></textarea></td>';
fields += '<td><input style="display: none; margin-bottom: 10px;" type="text" name="field_options[options][]" value="" class="field-options form-control" placeholder="Options e.g. 1,2,3" />';
fields += '<input type="text" name="field_options[value][]" class="field-value form-control" value="" /></td>';
fields += '<td><a href="#" class="remove_field"><span class="fas fa-minus"></span></a></td>';
fields += '</tr>';
if(x < max_fields){ //max input box allowed
    x++; //text box increment
    $(wrapper).append(fields); //add input box    
    show_hide_options();    
    }
});

$(wrapper).on("click",".remove_field", function(e) { //user click on remove text
	e.preventDefault(); 
	$(this).closest('tr').remove();x--;
})

show_hide_options();
function show_hide_options() {
	// Show/Hide options field only if the field type is Select
    // call below code inside the if loop else it will not work 
    $( ".type-select" ).each(function(index) {
        $(this).on("change", function() {
        	if($(this).val() == 'select') {
        		$('.field-options').eq(index).show();
        		$('.field-value').eq(index).removeClass("gc-color-picker");
        		$('.field-value').eq(index).colorpicker('destroy');
        		//$(this).parent().append('<br /><br /><input type="text" name="field_options[options][]" value="" placeholder="Options e.g. 1,2" class="span2" />');
        	} else {
        		$('.field-options').eq(index).hide();
        		if($(this).val() == 'color') { // Add color picker on a dynamic input field
            		$('.field-value').eq(index).addClass("gc-color-picker");
            		$('.field-value').eq(index).colorpicker();
            	} else {
            		$('.field-value').eq(index).removeClass("gc-color-picker");
            		$('.field-value').eq(index).colorpicker('destroy');
            	}
        	}
        });
    });
}

/*  ------------------------------------------------------------
	ADD/EDIT WIDGET SPECIFIC PARAMETERS VARIABLES
------------------------------------------------------------ */
var paramWrapper  = $("#params_table"); //Fields wrapper
var addParam      = $("#add_param"); //Add button ID

var y = 1; //initlal text box count
$(addParam).click(function(e){ //on add input button click
	e.preventDefault();
	var paramFields = '<tr>';
	paramFields += '<td><input type="text" name="field_options[name][]" class="form-control" value="" /></td>';
	paramFields += '<td><input type="text" name="field_options[value][]" class="form-control" value="" /></td>';
	paramFields += '<td><textarea name="field_options[description][]" class="form-control" value="" /></textarea></td>';
	paramFields += '<td><input type="text" name="field_options[lang][]" class="form-control param-lang" value="0" /></td>';
	paramFields += '<td><a href="#" class="remove_field"><span class="fas fa-minus"></span></a></td>';
	paramFields += '</tr>';
	if(x < max_fields){ //max input box allowed
	x++; //text box increment
		$(paramWrapper).append(paramFields); //add input box    
	}
});

$(paramWrapper).on("click",".remove_field", function(e) { //user click on remove text
	e.preventDefault(); 
	$(this).closest('tr').remove();x--;
})

/*  ------------------------------------------------------------
	ADD/EDIT CSS/JS DEPENDENCIES
------------------------------------------------------------ */
function append_fields(type) {
	var fieldWrapper  = $("#table_" + type); //Fields wrapper
	var btnField      = $("#add_" + type); //Add button ID

	var x = 1; //initlal text box count
	$(btnField).click(function(e) { //on add input button click
		e.preventDefault();
		if(x < max_fields) { //max input box allowed
		    x++; //text box increment
		    var inputFields = '<tr>';
		    inputFields += '<td><select id="' + type + x + '" name="'+ type +'[type][]" class="type-'+ type +' form-control"><option value="internal">Internal</option><option value="external">External</option></select></td>';
		    inputFields += '<td><div id="internal-' + type + x + '" class="input-group"><input id="' + type + '_file_' + x + '" type="text" name="'+ type +'[file][]" value="" class="form-control" /><span class="input-group-btn"><a id="' + type + '-' + x + '" class="btn btn-info btn-filemanager text-white" type="button">Browse...</a></span></div><input id="external-' + type + x + '" style="display: none;" type="text" name="'+ type +'[url][]" value="" class="form-control" /></td>';
		    inputFields += '<td><a href="#" class="remove_field"><span class="fas fa-minus"></span></a></td>';
		    inputFields += '</tr>';
		    $(fieldWrapper).append(inputFields); //add input box
		    open_filemanager();
		    show_hide_css_js(type);    
	    }
	});

	$(fieldWrapper).on("click",".remove_field", function(e) { //user click on remove text
		e.preventDefault(); 
		$(this).closest('tr').remove();x--;
	})
}

// show hide input fields based on the file type
function show_hide_css_js(type) {
    //$( '.type-' + type).each(function(index) {
        $('.type-' + type).on('change', function() {
        	var id = $(this).attr('id');
        	if($(this).val() == 'external') {
        		$('#external-' + id).show();
        		$('#internal-' + id).hide();
        	} else {
        		$('#external-' + id).hide();
        		$('#internal-' + id).show();
        	}
        });
  // });
}

function open_filemanager12() {
    //$( ".btn-filemanager" ).each(function(index) {
        $('.btn-filemanager').on("click", function() {
        	var typeID = $(this).attr('id').split('-');
        	var type = typeID[0];
        	var id = typeID[1];
        	var url = $('#'+ type +'_filemanager_url').val() + '&field_id=' + type + '_file_' + id;
        	$(this).attr('href', url);
        });
    //});
}

// Passing a dynamic parameter to FancyBox
// https://stackoverflow.com/questions/12074798/passing-a-dynamic-href-into-fancybox-iframe
function open_filemanager() {
	 $('.btn-filemanager').on("click", function() {
		 var typeID = $(this).attr('id').split('-');
		 var type = typeID[0];
		 var id = typeID[1];
		 var href = $('#'+ type +'_filemanager_url').val() + '&field_id=' + type + '_file_' + id;
		 $.fancybox.open({
			 src: href,
			 type: 'iframe',
			 opts: {}
		 })
	 });
}

append_fields('css');
append_fields('js');
open_filemanager();
show_hide_css_js('css');
show_hide_css_js('js');

/*  ------------------------------------------------------------
	ADD/EDIT SETTINGS JSON VARIABLES
------------------------------------------------------------ */
var settingWrapper  = $("#settings_json"); // Fields wrapper
var addField      	= $("#add_field"); // Add button ID

var z = 1; //initlal text box count
$(addField).click(function(e) { //on add input button click
	e.preventDefault();
	var jsonFields = '<tr>';
	jsonFields += '<td><select name="field_options[type][]" class="json-select form-control"><option value="google">Google</option><option value="local">Local</option></select></td>';
	jsonFields += '<td><input type="text" name="field_options[name][]" value="" class="form-control" /></td>';
	jsonFields += '<td><a href="#" class="remove_field"><span class="fas fa-minus"></span></a></td>';
	jsonFields += '</tr>';
	if(z < max_fields) { //max input box allowed
		z++; //text box increment
		$(settingWrapper).append(jsonFields); //add input box    
	}
});

$(settingWrapper).on("click",".remove_field", function(e) { //user click on remove text
	e.preventDefault(); 
	$(this).closest('tr').remove();x--;
})

/*  ------------------------------------------------------------
	OVERRIDE SCSS VARIABLES VALUES - SET_SCSS METHOD
	------------------------------------------------------------ */
var site_url = $('#site_url').val();
var csrf_token = $.cookie('ci_csrf_token');

$(".restore_widget_scss").each(function(index) {
    $(this).on("click", function() {
    	overrideValues($(this).val(), 0);
    });
});

$(".restore_global_scss").each(function(index) {
    $(this).on("click", function() {
    	overrideValues($(this).val(), 1);
    });
});

$(".restore_scheme_scss").each(function(index) {
    $(this).on("click", function() {
    	overrideValues($(this).val(), 2);
    });
});

// Reset field values based on the user selected action
function overrideValues(id, global) {
	$.post( site_url + "/developer/themes/ajax_override_scss", {'ci_csrf_token': csrf_token, 'theme_id': id, 'global': global}, function( data ) {
		data = JSON.parse(data);
		if(data.length > 0) {
			$.each(data, function(key, variable) {
				var field = $('#widget\\['+ id +'\\]\\[' + variable.name + '\\]');
				//field.val(variable.value);
				// Set a new value for the color picker (also updates everything). Triggers 'changeColor' event.
				field.colorpicker('setValue', variable.value);
				// if the field has a gc-color-picker class then reset the background and the color value
				/*if (field.hasClass('gc-color-picker')) {				
					field.focus();
				}*/
			});
		}
	});
}

/*  ------------------------------------------------------------
	CODE EDITOR - https://github.com/cdolivet/EditArea
	------------------------------------------------------------ */
if($('#php_contents').length) {
	//initialisation
	editAreaLoader.init({
		id: "php_contents"	// id of the textarea to transform		
		,start_highlight: true	// if start with highlight
		,allow_resize: "both"
		,allow_toggle: false
		,word_wrap: false
		,language: "en"
		,syntax: "php"	
	});
	
	//initialisation
	editAreaLoader.init({
		id: "scss_contents"	// id of the textarea to transform		
		,start_highlight: true	// if start with highlight
		,allow_resize: "both"
		,allow_toggle: false
		,word_wrap: false
		,language: "en"
		,syntax: "css"	
	});
	
	//initialisation
	editAreaLoader.init({
		id: "js_contents"	// id of the textarea to transform		
		,start_highlight: true	// if start with highlight
		,allow_resize: "both"
		,allow_toggle: false
		,word_wrap: false
		,language: "en"
		,syntax: "js"	
	});
}

/*  ------------------------------------------------------------
	ALLOW USER TO SELECT VIEWS
	------------------------------------------------------------ */
if($('#applicable_views').length > 0) {
	$('#applicable_views').selectize({
		persist : false,
		maxItems : null,
		plugins: ['remove_button'], // display remove button
		valueField : 'id',
		labelField : 'name',
		searchField : [ 'id', 'name' ],
		options: $.parseJSON($('#gc_views').val()),
		render: {
			item : function(item, escape) {
				return '<div>'
						+ (item.name ? '<span class="name">'
								+ escape(item.name) + '</span>' : '')
						+ '</div>';
			},
			option : function(item, escape) {
				var label = item.name || item.id;
				var caption = item.name ? item.id : null;
				return '<div>'
						+ '<span class="label">'
						+ escape(label)
						+ '</span>'
						+ '</div>';
			}
		},
		onInitialize: function() { // preload data on validation error/edit coupon page
			if(this.$input.attr('data-selectize-value') != '') {
				var existingOptions = JSON.parse(this.$input.attr('data-selectize-value'));
				var self = this;
				if(Object.prototype.toString.call( existingOptions ) === "[object Array]") {
					existingOptions.forEach( function (existingOption) {
						self.addOption(existingOption);
						self.addItem(existingOption[self.settings.valueField]);
					});
				}
				else if (typeof existingOptions === 'object') {
					self.addOption(existingOptions);
					self.addItem(existingOptions[self.settings.valueField]);
				}
			}
		}
	});
}
/*----------------------------------------------------*/
/*	Typography Classes Names
/*----------------------------------------------------*/
if($('#input-classes').length) {
	$('#input-classes').selectize({
	    delimiter: ',',
	    persist: false,
	    maxItems: 10,
	    plugins: ['remove_button'], // display remove button
	    disabledField: true,
	    create: function(input) {
	        return {
	            value: input,
	            text: input
	        }
	    },
	    render: {
	        option: function (item, escape) {
	            return '<div>' + escape(item.text) + '</div>';
	        }
	    },
	});
}