<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Online Software Solutions							   # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$segment = $this->uri->segment(5);
$nav_url = 'developer/themes';
$nav_links = array(
    array(
        'condition' => '', 
        'url' => $nav_url,
        'id' => 'list_themes',
        'tooltip' => true,
        'title' => lang('bf_action_list'),
        'label' => '<i class="fas fa-home fa-lg"></i>'
    ),
	array(
		'permission' => 'Themes.Developer.Create',
        'condition' => 'add',
        'url' => $nav_url.'/add',
        'id' => 'themes_create',
        'tooltip' => true,
        'title' => lang('add'),
        'label' => '<i class="fas fa-plus-circle fa-lg"></i>'
    ),
	array(
		'segment' => $segment,
        'condition' => 'global',
        'url' => $nav_url.'/scss_variables/global',
        'id' => 'themes_global', 
        'tooltip' => true,
        'title' => lang('label_global_variables'),
        'label' => '<i class="fas fa-globe fa-lg"></i>'
    ),
	array(
		'segment' => $segment,
        'condition' => 'schemes',
        'url' => $nav_url.'/settings/schemes',
        'id' => 'themes_schemes',
        'tooltip' => true,
        'title' => lang('schemes_plural'),
        'label' => '<i class="fas fa-palette fa-lg"></i>'
    ),
	array(
		'segment' => $segment,
        'condition' => 'themes',
        'url' => $nav_url.'/settings/themes',
        'id' => 'themes_templates',
        'tooltip' => true,
        'title' => lang('themes_plural'),
        'label' => '<i class="fas fa-flag fa-lg"></i>'
	),
    array(
        'segment' => $segment,
        'condition' => 'typography',
        'url' => $nav_url.'/settings/typography',
        'id' => 'themes_typography',
        'tooltip' => true,
        'title' => lang('typography_plural'),
        'label' => '<i class="fas fa-pen-alt fa-lg"></i>'
    ),
	array(
		'segment' => $segment,
        'condition' => 'fonts',
        'url' => $nav_url.'/settings_json/fonts',
        'id' => 'themes_fonts',
        'tooltip' => true,
        'title' => lang('label_fonts'),
        'label' => '<i class="fas fa-font fa-lg"></i>'
    ),
	array(
        'condition' => 'static_files',
        'url' => $nav_url.'/static_files',
        'id' => 'themes_static_files',
        'tooltip' => true,
        'title' => lang('static_files'),
        'label' => '<i class="fa fal fa-copy fa-lg"></i>'
	),
    array(
        'condition' => 'manage/blocks',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Theme_Blocks.Developer.View',
        'url' => $nav_url. '/manage/blocks',
        'id' => 'manage_blocks',
        'tooltip' => true,
        'title' => lang('theme_blocks'),
        'label' => '<i class="far fa-newspaper fa-lg"></i>'
    ),
    array(
        'condition' => 'manage/folders',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Theme_Folders.Developer.View',
        'url' => $nav_url. '/manage/folders',
        'id' => 'manage_folders',
        'tooltip' => true,
        'title' => lang('theme_folders'),
        'label' => '<i class="fas fa-folder fa-lg"></i>'
    ),/*
    array(
        'condition' => 'manage/options',
        'segment' => $this->uri->segment(4) . '/' . $this->uri->segment(5),
        'permission' => 'Theme_Options.Developer.View',
        'url' => $nav_url. '/manage/options',
        'id' => 'manage_options',
        'tooltip' => true,
        'title' => lang('theme_options'),
        'label' => '<i class="fas fa-filter fa-lg"></i>'
    ),
    array(
        'condition' => 'theme_settings',
        'permission' => 'Themes.Developer.Edit',
        'url' => $nav_url . '/theme_settings',
        'id' => 'theme_settings',
        'tooltip' => true,
        'title' => lang('gc_menu_settings'),
        'label' => '<i class="fas fa-cog fa-lg"></i>'
    ),*/
	array(
        'condition' => 'import',
        'url' => $nav_url.'/import',
        'id' => 'themes_import',
        'tooltip' => true,
        'title' => lang('label_import'),
        'label' => '<i class="fas fa-file-excel fa-lg"></i>'
    ),
);
echo $this->load->view('common/_subnav', array('nav_links' => $nav_links));
?>
