<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/

$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('tab_all')),
    array('filter' => $filter_type, 'condition' => 'views', 'url' => $index_url . 'views/', 'title' => lang('label_views')),
    array('filter' => $filter_type, 'condition' => 'widgets', 'url' => $index_url . 'widgets/', 'title' => lang('label_widgets')),
	array('filter' => $filter_type, 'condition' => 'layouts', 'url' => $index_url . 'layouts/', 'title' => lang('label_layouts')),
 );
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));
?>

<?php
$num_columns	= 10;
$can_delete		= $this->auth->has_permission('Themes.Developer.Delete');
$can_edit		= $this->auth->has_permission('Themes.Developer.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
		<div class="row" style="overflow: visible;">		
        	<div class="col-sm-4 mt-3">
        		<div class="d-flex">
        		<?php if(!empty($filter_options)): ?>
                <div class="dropdown show">
                  <a class="btn btn-secondary dropdown-toggle" href="#" role="button" id="dropdownFolder" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <?php echo $folder_filter; ?> 
                  </a><span class="text-muted badge"><?php echo sprintf(lang('search_total_rows'), isset($total_rows) ? $total_rows : 0);?></span>
                
                  <div class="dropdown-menu" aria-labelledby="dropdownFolder" style="height: 300px; overflow: scroll;">
                        <a class="dropdown-item" href="<?php echo $index_url . $filter_type; ?>"><?php echo lang('tab_all'); ?></a>
                  		<?php foreach($filter_options as $fkey => $fvalue):?>
                        	<a class="dropdown-item" href="<?php echo $index_url . $filter_type . '/' . str_replace('/', '-', $fkey); ?>"><?php echo $fvalue; ?></a>
                    	<?php endforeach; ?>
                  </div>
                </div>
                <?php else: ?>
				<div class="text-muted badge"><?php echo sprintf(lang('search_total_rows'), isset($total_rows) ? $total_rows : 0);?></div>
                <?php endif; ?>
                </div>
        	</div>
    		<div class="col-sm-8">
				<?php echo search_admin(lang('placeholder_themes_search'));?>
    		</div>
		</div>
		<div class="table-responsive">
		<table class="table table-striped action-icons">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('name', lang('label_name'));?></th>
					<th><?php echo form_filter('type_id', lang('label_type'));?></th>
					<th><?php echo form_filter('view', lang('label_views'));?></th>
					<th><?php echo form_filter('image_url', lang('label_preview'));?></th>
					<?php if($filter_type == 'all' || $filter_type == 'views' || $filter_type == 'layouts'):?>
					<th><?php echo form_filter('theme', lang('themes_singular'));?></th>
					<th><?php echo form_filter('is_default', '<i class="fas fa-star"></i>', lang('label_default'));?></th>
					<th><?php echo form_filter('is_theme_default', '<i class="fas fa-check-square"></i>', lang('label_theme_default'));?></th>
					<?php endif;?>
					<th class="text-center" width="15%"><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<button class="btn btn-danger btn-delete" type="submit" name="submit" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record):
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php e($record->name); ?></td>
					<td><span class="badge badge-info">
					<?php 
					switch($record->type_id) {
						case 1:
							$type = lang('label_widget');
							break;
						case 2:
							$type = lang('label_layout');
							break;
						default:
							$type = lang('label_view');
					}
					echo $type;
					?>
					</span></td>
					<td>
					<?php
					if($record->is_widget_all == 1):
						echo '<span class="badge badge-info">' . lang('all_views') . '</span>';
					else:
						$view_array = explode(',', $record->views ?? '');
						$views = array();
						if(!empty($view_array)):
					?>
					<ul class="list-unstyled">		
					<?php 
						foreach($view_array as $view):
								echo '<li><span class="badge badge-info"><i class="fas fa-check"></i> ' . ucwords(str_replace('_', ' ', $view)) . '</span></li>';
							endforeach;
						endif;
					endif;
					?>
					</ul>
					</td>
					<td>
					<?php if(!empty($record->image_url)):?>
						<a rel="gallery" href="<?php echo gc_image_url($record->image_url, false, false, null, true); ?>" class="gc-fancybox"><img src="<?php echo gc_image_url($record->image_url, false, false, null, true); ?>" alt="<?php echo $record->name;?>" class="img-fluid thumb-100" /></a>
					<?php endif;?>
					</td>
					<?php if($filter_type == 'all' || $filter_type == 'views' || $filter_type == 'layouts'):?>
					<?php if($record->type_id != 1):?>
					<td><?php echo join('<br />', array_map('ucfirst', explode(',', $record->theme ?? ''))); ?></td>
					<td><button type="submit" name="default" class="btn btn-sm <?php echo $record->is_default == 1 ? 'btn-warning' : 'btn-secondary';?>" value="<?php echo $record->id; ?>" data-toggle='tooltip' data-placement='bottom' data-original-title='<?php echo lang('set_default');?>'><i class="fa <?php echo $record->is_default == 0 ? 'fa-star' : 'fa-star';?>"></i></button></td>
					<td><button type="submit" name="is_theme_default" class="btn btn-sm<?php echo $record->is_theme_default == 1 ? ' btn-success btn-theme-default' : '';?>" value="<?php echo $record->id; ?>" data-toggle='tooltip' data-placement='bottom' data-original-title='<?php echo lang('is_theme_default');?>'><i class="fas <?php echo $record->is_theme_default == 0 ? 'fa-circle' : 'fa-check';?>"></i></button></td>
					<?php else:?>					
					<td><?php echo lang('not_applicable'); ?></td>					
					<td><?php echo lang('not_applicable'); ?></td>					
					<td><?php echo lang('not_applicable'); ?></td>
					<?php endif;?>
					<?php endif;?>
					<td class="text-center">
					<?php echo anchor(SITE_AREA . '/developer/themes/edit/' . $record->id, '<span class="btn btn-sm btn-primary mb-1"><i class="fas fa-pencil-alt"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('bf_action_edit'))); ?>
					<?php if($record->type_id == 0 || $record->type_id == 2):?>
					<?php echo anchor(SITE_AREA . '/developer/themes/layout_design/' . $record->id, '<span class="btn btn-sm btn-secondary mb-1"><i class="fas fa-cubes"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('layout_design'))); ?>
					<?php endif; ?>
					<?php echo anchor(SITE_AREA . '/developer/themes/editor/' . $record->id, '<span class="btn btn-sm btn-danger mb-1"><i class="fas fa-code"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('code_editor'))); ?>
					<?php echo anchor(SITE_AREA . '/developer/themes/export/' . $record->id, '<span class="btn btn-sm btn-warning btn-export mb-1"><i class="fas fa-file-excel"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('label_export'))); ?>
					<span class="d-block mt-2">
					<?php echo anchor(SITE_AREA . '/developer/themes/scss_variables/' . $record->id, '<span class="btn btn-sm btn-success mb-1"><i class="fas fa-plus-circle"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('define_scss_variables'))); ?>
					<?php echo anchor(SITE_AREA . '/developer/themes/set_scss/' . $record->id, '<span class="btn btn-sm btn-info mb-1"><i class="fas fa-edit"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('default_scss_values'))); ?>
					<button type="submit" name="fill_scss" class="btn btn-sm btn-inverse mb-1" value="<?php echo $record->id; ?>" data-toggle='tooltip' data-placement='bottom' data-original-title='<?php echo lang('auto_fill_scss');?>'><i class="fas fa-rocket"></i></button>
					<a class="gc-fancybox btn btn-sm btn-info mb-1" href="#code-<?php echo $record->id; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('shortcode'); ?>"><i class="fas fa-file-code"></i></a>
					<span style="display: none;">
						<span id="code-<?php echo $record->id; ?>" class="card card-body">
						<small><?php echo $this->themes_model->widget_url($record->file_url, $record->params, ($record->type_id == 1 ? $record->id : 0));?></small>
						</span>
					</span>
					<button type="submit" class="btn btn-warning btn-sm mb-1" name="clone" value="<?php echo $record->id;?>" data-toggle='tooltip' data-placement='bottom' data-original-title='<?php echo lang('label_copy');?>'><i class="fas fa-copy"></i></button>
					</span>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); 
	echo $this->pagination->create_links();
	?>
</div>