<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
echo form_validations();
$record = $layout;
?>
<div class="admin-box">
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<div class="row">
	<div class="col-md-6">
	<fieldset>			
	<?php
	$cancel_url = previousUrl();
	if($design_page == 'demos' || $design_page == 'random'):
	   $cancel_url = site_url(SITE_AREA . '/developer/themes/manage/demos');
	   $record = isset($record) ? $record : array();
	   echo gc_form_element('text', array('name' => 'name'), $record, lang('label_name'));
	endif;
	// $layout_widgets = isset($record->layout_widgets) ? json_decode($record->layout_widgets, true) : array();
	echo gc_form_element('custom', array('name' => 'layout_widgets', 'label_width' => 'col-sm-3', 'field_only' => true, 'help' => lang('help_theme_options'), 'fields' => $custom_fields), $layout_widgets, lang('label_widgets'), 'col-sm-9');
	?>
	</fieldset>
    </div>
    <div class="col-md-6">    
		<h4><?php echo lang('label_php');?></h4>
		<?php echo gc_form_element('textarea', array( 'name' => 'php_contents', 'field_only' => TRUE, 'extra' => array('id' => 'php_contents', 'rows' => '16', 'cols' => '150')), (!empty($contents['php']) ? $contents['php'] : '')); ?>
		<span class='help-inline'><?php echo form_error('contents'); ?></span>
		<h4><?php echo lang('label_scss');?></h4>
		<?php echo gc_form_element('textarea', array( 'name' => 'scss_contents', 'field_only' => TRUE, 'extra' => array('id' => 'scss_contents', 'rows' => '6', 'cols' => '150')), (!empty($contents['scss']) ? $contents['scss'] : '')); ?>
		<h4><?php echo lang('label_js');?></h4>
		<?php echo gc_form_element('textarea', array( 'name' => 'js_contents', 'field_only' => TRUE, 'extra' => array('id' => 'js_contents', 'rows' => '6', 'cols' => '150')), (!empty($contents['js']) ? $contents['js'] : '')); ?>
		<?php // add css/js dependencies to the widget instead of views/layouts ?>
    	<?php // echo $this->load->view('css_js_fields', array('type' => 'css', 'assets' => !empty($css_files) ? $css_files : '')); ?>
    	<?php // echo $this->load->view('css_js_fields', array('type' => 'js', 'assets' =>  !empty($js_files) ? $js_files : '')); ?>
    </div>
</div>
<?php if(!empty($preview_url)):?>
<div class="live-preview mt-2">
<div class="embed-responsive embed-responsive-16by9" style="max-height: 250px;">
  <iframe class="embed-responsive-item" src="<?php echo $preview_url; ?>" allowfullscreen></iframe>
</div>
</div>
<?php endif; ?>
<?php 
$action_data = array(
    'url' =>  $cancel_url,
    'delete' => false,
    'size' => 'col-sm-9 offset-sm-2'
);
/*if(!empty($preview_url)):
 $action_data['extra_actions'][] = anchor($preview_url, '<i class="fas fa-eye fa-fw mr-1"></i>' . lang('label_preview'), 'target="_blank" class="btn btn-success"');
 endif;*/
$action_data['extra_actions'][] = '<button type="submit" name="regenerate" class="btn btn-danger"><i class="fas fa-rocket fa-fw mr-1"></i>' . lang('theme_regenerate') . '</button>';
$action_data['extra_actions'][] = '<button type="button" name="reload" class="btn btn-success" id="reloadPreview"><i class="fas fa-sync fa-fw mr-1"></i>' . lang('theme_preview_reload') . '</button>';
$action_data['extra_actions'][] = '<a data-fancybox data-type="iframe" data-src="' . $preview_url . '" href="javascript:;" class="btn btn-secondary"><i class="fas fa-search fa-fw mr-1"></i>' . lang('bf_action_preview') . '</a>';
$action_data['extra_actions'][] = '<button type="submit" name="preview" class="btn btn-info"><i class="fas fa-eye fa-fw mr-1"></i>' . lang('theme_preview_redirect') . '</button>';
echo gc_form_element('actions', $action_data);
?>
<?php echo form_close(); ?>
</div>
<?php echo form_hidden('row_id', $layout->id); ?>
<?php echo form_hidden('module', 'themes'); ?>
<div class="modal" id="widgetFields">
<div class="modal-dialog mw-100 w-50">
<div class="modal-content">
<?php echo form_open('', 'class="form-horizontal" id="widgetForm"', false); ?>
      <div class="modal-header">
        <h4 class="modal-title widget-title"></h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
      		<div class="widget-cover"></div>
			<div class="loader" style="display: none;">
				<img src="<?php echo gc_site_image('ajax-loader'); ?>" />
			</div>
			<div class="message-block"></div>
			<div class="widget-fields"></div>
      </div>
      <div class="modal-footer">
      	<button type="submit" class="btn btn-primary widget-submit gc-btn-ajax" style="display: none;"><?php echo lang('gc_action_submit'); ?></button>
        <button type="button" class="btn btn-danger" data-dismiss="modal"><?php echo lang('form_close'); ?></button>
      </div>
      <?php echo form_close(); ?>
    </div>
  </div>
</div>