<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
echo form_validations();
$row = isset($record) ? (array) $record : array();
?>
<?php
$num_columns	= 5;
$can_delete		= $this->auth->has_permission('Themes.Developer.Delete');
$can_edit		= $this->auth->has_permission('Themes.Developer.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
			<div class="alert alert-block alert-info"><?php echo lang('help_name')?></div>
			<?php
			$element_container = '';
			$name_elements = array(gc_form_element('text', array('name' => 'name', 'field_only' => TRUE, 'extra' => array('maxlength' => 100, 'placeholder' => lang('placeholder_name'))), $row, lang('label_name'). lang('bf_form_label_required')));
			if($type == 'schemes' || $type == 'typography'):
				$element_container = 'div.input-group';
				$name_elements[] = gc_form_element('submit', array('name' => 'save', 'field_class' => 'btn btn-primary', 'field_container' => 'span.input-group-btn', 'field_only' => TRUE), array(), lang('save'));
			endif;
			echo gc_form_element('form_elements', array('form_elements' => $name_elements, 'element_container' => $element_container), array(), lang('label_name'). lang('bf_form_label_required'));
			if($type == 'typography'):
			     $typography = isset($row['value']) ? json_decode($row['value']) : ''; 
			     echo gc_form_element('selectize', array('name' => 'classes', 'max_items' => 15, 'create' => true,'extra' => array('placeholder' => lang('placeholder_selectize'), 'id' => 'input-classes')), $typography, lang('label_classes'));
			     // echo gc_form_element('text', array('name' => 'classes', 'extra' => array('maxlength' => 255, 'placeholder' => lang('placeholder_classes'))), $typography, lang('label_classes') . lang('bf_form_label_required'));
			     echo gc_form_element('textarea', array('name' => 'description', 'extra' => array()), $typography, lang('label_description') . lang('bf_form_label_required'));
			endif;
			if($type == 'themes'):
				$theme = isset($row['value']) ? json_decode($row['value']) : '';
				echo gc_form_element('filemanager', array(), $theme, lang('label_image'));
				$logo_pixels = array(
					array('name' => 'logo_width', 'value' => $theme, 'extra' => array('placeholder' => lang('logo_width'))),
					array('name' => 'logo_height', 'value' => $theme, 'extra' => array('placeholder' => lang('logo_height')), 'field_append' => 'span.field-info{X}'),
				);
				echo gc_form_element('text', array('name' => '', 'element_container' => 'div.form-inline', 'field_class' => 'field-width', 'options' => $logo_pixels), array(), lang('logo_pixels'));
				
				// theme specific header and footer
				$folder_options = array();
				$file_folders = array('navbars' => 9, 'footers' => 10);
				foreach($file_folders as $file_folder => $theme_block_id):
    				$option_records = $this->db->select('file_name AS id, name')->where('FIND_IN_SET(' . $theme_block_id . ', theme_block_id)')->get('themes')->result();
    				$option_folders = array(
    				    0 => lang('placeholder_select')
    				);
    				if($option_records):
        				foreach($option_records as $option_record):
        				    $option_folders[$option_record->id] = $option_record->name;
        				endforeach;
				    endif;
				    $folder_options[$file_folder] = $option_folders;
				endforeach;
				echo gc_form_element('dropdown', array('name' => 'navbar', 'label_width' => 'col-sm-3', 'options' => $folder_options['navbars']), (isset($theme->navbar) ? $theme->navbar : ''), lang('theme_navbar'), 'col-sm-3');
				echo gc_form_element('dropdown', array('name' => 'footer', 'label_width' => 'col-sm-3', 'options' => $folder_options['footers']), (isset($theme->footer) ? $theme->footer : ''), lang('theme_footer'), 'col-sm-3');
				
				// Custom options
				$fields = array(
				    array(
				        'name' => 'name',
				        'type' => 'text',
				        'label' => lang('label_name')
				    ),
				    array(
				        'name' => 'value',
				        'type' => 'text',
				        'label' => lang('label_value')
				    )
				);
				echo gc_form_element('custom', array('name' => 'options', 'fields' => $fields, 'unique' => true), (!empty($theme->options) ? json_decode($theme->options, true) : array()), lang('label_options'), 'col-sm-9');
				echo gc_form_element('actions', array('cancel' => FALSE, 'delete' => FALSE));
			endif;
			?>
		</fieldset>
		<?php if($type == 'typography'):?>
		<div class="alert alert-info"><?php echo lang('help_typography'); ?></div>
		<?php endif; ?>
		<div class="table-responsive">
		<table class="table table-striped action-icons">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('name', lang('label_name')); ?></th>
					<?php if($type == 'typography'):?>
					<th><?php echo lang('label_classes');?></th>
					<th><?php echo lang('label_description');?></th>
					<?php endif;?>
					<?php if($type == 'themes'):?>
					<th><?php echo lang('label_image');?></th>
					<?php endif;?>
					<th class="text-center"><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<button class="btn btn-danger btn-delete" type="submit" name="delete" value="delete"><?php echo lang('bf_action_delete'); ?></button>
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record['name']; ?>" /></td>
					<?php endif;?>
					<?php $name = ucwords(str_replace('_', ' ', $record['name'])); ?>
					<?php if($can_edit):?>
					<td><?php echo anchor(SITE_AREA . '/developer/themes/settings/'. $type .'/' . ($this->uri->segment(6) ? $this->uri->segment(6) : 0) .'/' . $record['name'], '<i class="fas fa-edit"></i> ' .  $name); ?></td>
					<?php else:?>
					<td><?php e($name); ?></td>	
					<?php endif;?>
					<?php if($type == 'typography'):
					   $saved_values = json_decode($record['value'] ?? '', true);
					?>
					<td><?php 
					if(isset($saved_values['classes'])):
					$classes = explode(',', $saved_values['classes']);
					foreach($classes as $class):?>
					<span class="badge badge-pills badge-primary"><?php echo $class;?></span>
					<?php
					endforeach;
					else:
					echo lang('not_specified');
					endif;?>
					</td>
					<td width="50%;"><?php echo isset($saved_values['description']) ? $saved_values['description'] : '' ;?></td>
					<?php endif;?>
					<?php if($type == 'themes'):?>
					<td>
					<?php $theme = json_decode($record['value'] ?? '');?>
					<?php if(!empty($theme->image_url)):?>
						<a rel="gallery" href="<?php echo gc_image_url($theme->image_url, false, false, null, true); ?>" class="gc-fancybox"><img src="<?php echo gc_image_url($theme->image_url, false, false, null, true); ?>" alt="<?php echo $record['name'];?>" class="img-fluid thumb-100" /></a>
					<?php endif;?>
					</td>
					<?php endif;?>
					<td class="text-center">
						<?php if($type == 'typography'):?>
						<button type="submit" class="btn btn-warning btn-sm" name="clone" value="<?php echo $record['name'];?>" data-toggle='tooltip' data-placement='bottom' data-original-title='<?php echo lang('label_copy');?>'><i class="fas fa-copy"></i></button>
						<?php else: ?>
						<?php if($type == 'schemes'):?>
						<button type="submit" class="btn btn-warning btn-sm" name="clone" value="<?php echo $record['name'];?>" data-toggle='tooltip' data-placement='bottom' data-original-title='<?php echo lang('label_copy');?>'><i class="fas fa-copy"></i></button>
						<?php echo anchor(SITE_AREA . '/developer/themes/settings_scss/' . $record['name'], '<span class="btn btn-sm btn-primary"><i class="fas fa-edit"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('bf_action_edit'))); ?>
						<?php endif;?>
						<?php $default = isset($record['is_default']) ? $record['is_default'] : 0; ?>
						<button type="submit" name="process_theme" class="btn btn-sm<?php echo $default == 1 ? ' btn-warning' : '';?>" value="<?php echo $record['name']; ?>" data-toggle='tooltip' data-placement='bottom' data-original-title='<?php echo $type == 'themes' ? lang('apply_theme') : lang('apply_scheme');?>'><i class="fa <?php echo $default == 0 ? 'fa-star' : 'fa-star'; ?>"></i></button>	
						<?php echo anchor(SITE_AREA . '/developer/themes/export/' . $record['name'] . '/' . $type . ($type == 'schemes' ? '/1' : ''), '<span class="btn btn-sm btn-warning btn-export"><i class="fas fa-file-excel"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('label_export'))); ?>		
						<?php endif; ?>		
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close();?>
	<?php echo $this->pagination->create_links(); ?>
</div>