<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo form_validations(); ?>
<div class="admin-box">
<!-- Modal -->
<div id="fontHelp" class="modal fade" role="dialog" aria-labelledby="fontHelpLabel" aria-hidden="true">
 	<div class="modal-dialog">
  		<div class="modal-content">
  			<div class="modal-header">
    			<h4 class="modal-title">How to Add a Local Font to a View/Widget</h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true"><i class="fas fa-times"></i></span>
				</button>
  			</div>
  			<div class="modal-body">
  				<small>Copy and paste the code below in the <strong>fonts.scss</strong> file. Replace FONT-NAME with the name as specified under <strong>Add Option</strong>.</small>
    			<br />
    			<code>
    				@font-face {<br />
	  				font-family: "FONT-NAME";<br />
	  				src: url('../fonts/FONT-NAME.ttf');<br />
					}
    			</code>
  			</div>
		</div>
  	</div>
</div>

<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<fieldset>
	<div class="form-group form-row">
	<label class="col-sm-2 col-form-label"><?php echo lang('settings_json_fonts'); ?></label>
	<div class="col-sm-10" aria-labelledby="field_options" role="group">
	<table id="settings_json" class="table table-striped table-hover">
		<tbody id="tablevalues">
			<tr>
				<td colspan="6"><button id="add_field" class="btn btn-primary"><?php echo lang('label_add_option');?></button><span class="help-inline ml-2"><?php echo lang('help_settings_fonts');?><a href="https://fonts.google.com/" target="_blank" title="Google Fonts">https://fonts.google.com</a> <a href="#fontHelp" role="button" class="btn btn-sm btn-info" data-toggle="modal">How to Add a Local Font?</a></span></td>
			</tr>
			<tr>
				<td><?php echo lang('label_type');?></td>
				<td><?php echo lang('label_name');?></td>			
				<td><?php echo lang('label_action');?></td>
			</tr>
			<?php if(!empty($options)): foreach($options as $option): $option = (array)$option;?>
			<tr>
				<td>
				<select name="field_options[type][]" class="json-select form-control">
					<option value="google"<?php echo $option['type'] == 'google' ? ' selected' : '';?>><?php echo lang('label_google');?></option>
					<option value="local"<?php echo $option['type'] == 'local' ? ' selected' : '';?>><?php echo lang('label_local');?></option>
				</select>
				</td>
				<td><input type="text" name="field_options[name][]" class="form-control" value="<?php echo set_value('field_options[name][]', $option['name']); ?>"></td>		
				<td><a href="javascript;" class="remove_field"><span class="fas fa-minus"></span></a></td>
			</tr>
			<?php endforeach; endif;?>
		</tbody>
	</table>
	</div>
	</div>
<?php
$action_data = array(
	'url' => SITE_AREA . '/developer/themes'
);
$action_data['delete'] = FALSE;
echo gc_form_element('actions', $action_data);
?>
</fieldset>
<?php echo form_close(); ?>
</div>