<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 8;
$can_delete		= $this->auth->has_permission('Themes.Developer.Delete');
$can_edit		= $this->auth->has_permission('Themes.Developer.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped action-icons">
			<thead>
				<tr>
					<th><?php echo lang('label_name');?></th>
					<th><?php echo lang('label_extension');?></th>
					<th><?php echo lang('label_url');?></th>
					<th class="text-center"><?php echo lang('label_action');?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<td><?php e($record['name']); ?></td>
					<td><?php e($record['extension']); ?></td>
					<td><?php e($record['url']); ?></td>					
					<td class="text-center">
						<?php echo anchor(SITE_AREA . '/developer/themes/static_file/' . $record['name'], '<span class="btn btn-sm btn-primary"><i class="fas fa-pencil-alt"></i></span>', array('data-toggle' => 'tooltip', 'data-placement' => 'bottom', 'data-original-title' => lang('bf_action_edit'))); ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close();?>
</div>