<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Online Software Solutions							   # ||
|| # Copyright (C) 2021 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<div class="alert alert-block alert-danger">
	<a class="close" data-dismiss="alert">&times;</a>
	<h4 class="alert-heading"><?php echo lang('msg_single_click_translate');?></h4>
</div>
<div class="alert alert-block alert-info">
	<a class="close" data-dismiss="alert">&times;</a>
	<?php echo lang('help_easy_translate');?>
</div>
<?php
echo form_validations();
$num_columns	= 19;
$has_records	= isset($records) && is_array($records) && count($records);
?>

<div class="admin-box">
	<?php echo form_open($this->uri->uri_string(), 'class="form-inline"'); ?>	
		<div class="card card-default card-body bg-light">
		<div class="form-row">
		<div class="col">			
            <label for='transLang' class="mt-1"><?php e(lang('translate_current_lang')); ?></label>
		</div>
		<div class="col">
            <select name="transLang" id="transLang" class="custom-select">
                <?php foreach ($codes as $key => $value) : ?>
                <option value="<?php e($key); ?>"<?php echo isset($_POST['transLang']) && $_POST['transLang'] == $key ? ' selected="selected"' : ''; ?>><?php e(ucfirst($key)); ?></option>
                <?php endforeach; ?>
            </select>
        </div>
        <div class="col">
        	<input type="submit" name="save" class="btn btn-sm btn-primary mt-1" value="<?php e(lang('translate_translate')); ?>" />
        </div>
		</div>
		</div>
		<div class="table-responsive">
		<table class="table table-striped">
			<thead>
				<tr>
					<?php if ($has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo lang('label_title');?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($record) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record; ?>" /></td>
					<?php endif;?>
					<td><?php e($record); ?></td>
				</tr>
				<?php endforeach;
				else:
				?>
				<tr><td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td></tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php echo form_close();?>
</div>