<?php echo form_open(current_url(), 'class="form-inline"'); ?>
<div class="card card-default card-body bg-light">
        <div class="form-row">
        	<div class="col">
            	<label for='trans_lang' class="mt-1"><?php e(lang('translate_current_lang')); ?></label>
            </div>
            <div class="col ml-3">
                <select name="trans_lang" id="trans_lang" class="custom-select">
                    <?php foreach ($languages as $lang) : ?>
                    <option value="<?php e($lang); ?>"<?php echo isset($trans_lang) && $trans_lang == $lang ? ' selected="selected"' : ''; ?>><?php e(ucfirst($lang)); ?></option>
                    <?php endforeach; ?>
                    <option value="other"><?php e(lang('translate_other')); ?></option>
                </select>
            </div>
            <div class="col" id='new_lang_field' style='display: none;'>
                 <input type="text" name="new_lang" id="new_lang" value="<?php echo set_value('new_lang'); ?>" class="form-control w-100" placeholder="<?php e(lang('translate_new_lang')); ?>" />
            </div>
            <div class="col">
           		<input type="submit" name="select_lang" class="btn btn-primary" value="<?php e(lang('translate_select')); ?>" />
    		</div>
		</div>
</div>
<?php echo form_close(); ?>
<!-- Core -->
<h3><?php echo lang('translate_core'); ?> <span class="subhead"><?php echo count($lang_files) . ' ' . lang('bf_files'); ?></span></h3>
    <?php
    $linkUrl = site_url(SITE_AREA . "/developer/translate/edit/{$trans_lang}");
    $cnt = 1;
    $brk = 3;?>
    <div class="row">
    <?php foreach ($lang_files as $file):?>
    <div class="col-sm-4">
       <a href='<?php echo "{$linkUrl}/{$file}"; ?>'><?php e($file); ?></a>
    </div>
    <?php if($cnt%3 == 0 && ($file != end($lang_files))):?>
    </div>
    <div class="row">
    <?php
    endif;
    $cnt++;
    endforeach;
    ?>
	</div>
<!-- Modules -->
    <h3 class="top2"><?php echo lang('translate_modules').((! empty($modules) && is_array($modules))?' <span class="subhead">'.count($modules).' '.lang('bf_files').'</span>':''); ?></h3>
    <?php
    if (! empty($modules) && is_array($modules)) :
        $linkUrl = site_url(SITE_AREA . "/developer/translate/edit/{$trans_lang}");
        $cnt = 1;
        $brk = 3;
    ?>
    <div class="row">
    <?php foreach ($modules as $file):?>
        <div class="col-sm-4">
        	<a href="<?php echo "{$linkUrl}/{$file}"; ?>"><?php e($file); ?></a>
        </div>
    <?php if($cnt%3 == 0 && ($file != end($modules))):?>
    </div>
    <div class="row">
    <?php 
    endif;
    ++$cnt;
    endforeach;?>
    </div>
    <?php else : ?>
    <div class="alert alert-info">
        <a class="close" data-dismiss="alert">&times;</a>
        <?php echo lang('translate_no_modules'); ?>
    </div>
    <?php endif; ?>