var site_url = $('#site_url').val();
if($("#mobile_number").length) {
	var telInput = $("#mobile_number"), errorMsg = $("#error-msg"), validMsg = $("#valid-msg");
	var defaultCountry = $('#site_url').attr("defCount"); // get
	// initialise plugin
	telInput.intlTelInput({
			initialCountry : defaultCountry,
			autoFormat: false, // Remove Extra Space from Phone Number Field
			utilsScript : site_url + "assets/js/utils.js"
	});
	$(".intl-tel-input.inside").css('width', '100%');
	
	// on blur: validate
	telInput.blur(function() {
		if ($.trim(telInput.val())) {
			if (telInput.intlTelInput("isValidNumber")) {
				validMsg.removeClass("hide");
			} else {
			telInput.addClass("error");
			errorMsg.removeClass("hide");
			validMsg.addClass("hide");
		}
	}
	});
	
	// on keydown: reset
	telInput.keydown(function() {
		telInput.removeClass("error");
		errorMsg.addClass("hide");
		validMsg.addClass("hide");
	});
}

/*----------------------------------------------------*/
/* Login Form - Retaining Selected Form on Page Refresh
/*---------------------------------------------------- */
// load form on click event and set cookie with a custom
// value
$('a#reset_password_box').click(function() {
	$('#loginbox').hide();
	$('#signupbox').hide();
	$('#passwordresetbox').show();
	// $('#passwordresetalert').clear(); //clear all errors
						// of previous forms
	$.cookie('formbox', 'reset', { path: '/' });
	return false;
});

$('a#signup_box').click(function() {
	$('#passwordresetbox').hide();
	$('#loginbox').hide();
	$('#signupbox').show();
	// $('#signupalert').clear();
	$.cookie('formbox', 'signup', { path: '/' });
	return false;
});

$('a#signin_box').click(function() {
	$('#passwordresetbox').hide();
	$('#loginbox').show();
	$('#signupbox').hide();
	$.cookie('formbox', 'login', { path: '/' });
	return false;
});

// on page load retrieve the cookie and show formbox based
// on cookie value
$(function() {
	if ($.cookie('formbox') == 'reset') {
		$('#loginbox').hide();
		$('#passwordresetbox').show();
		$('#signupbox').hide();
	} else if ($.cookie('formbox') == 'signup') {
		$('#passwordresetbox').hide();
		$('#loginbox').hide();
		$('#signupbox').show();
	} else {
		$('#loginbox').show();
		$('#signupbox').hide();
		$('#passwordresetbox').hide();
	}
});

/*----------------------------------------------------*/
/* Common function for users selection
/*---------------------------------------------------- */
if($('#applicable_users').length) {
	$('#applicable_users').selectize({
		persist : false,
		maxItems : null,
		plugins: ['remove_button'], // display remove button
		valueField : 'id',
		labelField : 'email',
		searchField : [ 'id', 'email' ],
		options: $.parseJSON($('#users').val()),
		render: {
			item : function(item, escape) {
				return '<div>'
						+ (item.email ? '<span class="email">'
								+ escape(item.email) + '</span>' : '')
						+ '</div>';
			},
			option : function(item, escape) {
				var label = item.email || item.id;
				var caption = item.email ? item.id : null;
				return '<div>'
						+ '<span class="label">'
						+ escape(label)
						+ '</span>'
						+ '</div>';
			}
		},
		onInitialize: function() { // preload data on validation error/edit coupon page
			var existingOptions = JSON.parse(this.$input.attr('data-selectize-value'));
			var self = this;
			if(Object.prototype.toString.call( existingOptions ) === "[object Array]") {
				existingOptions.forEach( function (existingOption) {
					self.addOption(existingOption);
					self.addItem(existingOption[self.settings.valueField]);
				});
			}
			else if (typeof existingOptions === 'object') {
				self.addOption(existingOptions);
				self.addItem(existingOptions[self.settings.valueField]);
			}
		}
	});
}
/*----------------------------------------------------*/
/*	Tiny MCE Editor
/*----------------------------------------------------*/
if($('#description').length) {
	tinymce.init({
		theme: "modern",
	    plugins: [
	        "advlist autolink lists link image charmap print preview hr anchor pagebreak",
	        "searchreplace wordcount visualblocks visualchars code fullscreen",
	        "insertdatetime media nonbreaking save table contextmenu directionality",
	        "emoticons template paste textcolor colorpicker textpattern"
	    ],
	    toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
	    toolbar2: "print preview media | forecolor backcolor emoticons",
	    image_advtab: true,
		mode: "exact",
		entity_encoding : "raw",
		language: $('#site_url').attr('lang'),
		paste_as_text: true,
		elements: "description"
	 });
}