<?php /* /bonfire/modules/users/views/user_fields.php */

$currentMethod = $this->router->fetch_method();

$errorClass     = empty($errorClass) ? ' error' : $errorClass;
$controlClass   = empty($controlClass) ? 'form-control' : $controlClass;
$registerClass  = $currentMethod == 'register' ? ' required' : '';
$editSettings   = $currentMethod == 'edit';

$defaultLanguage = isset($user->language) ? $user->language : strtolower(settings_item('language'));
$defaultTimezone = isset($current_user) ? $current_user->timezone : strtoupper(settings_item('site.default_user_timezone'));

?>
<fieldset>
<legend><span class="fa fa-camera"></span> <?php echo lang('label_profile_image'); ?></legend>
<div class="card card-default">
  <div class="card-body">
<div class="form-group<?php echo iif(form_error('profile_image'), $errorClass); ?>">
	<label class="col-md-3 col-form-label required" for="profile_image"><?php echo lang('label_profile_image'); ?></label>
	<div class="col-md-6">
		<div class="input-group">
			<input id='profile_image' type='file' name='profile_image'
				maxlength="100" class="form-control" />
			<span class='help-block'><?php echo form_error('profile_image'); ?></span> 							
		</div>
		<p class="help-block"><?php echo !empty($image_help) ? $image_help : '';?></p>
		<?php if(!empty($_POST['uploaded_image']) || (isset($users_info) && !empty($users_info->profile_image))): ?>
			<input type="input" name="uploaded_image" id="uploaded_image" class="readonly-field display-none" readonly="readonly" value="<?php echo !empty($_POST['uploaded_image']) ? $_POST['uploaded_image'] : (!empty($users_info->profile_image) ? $users_info->profile_image : '');?>" />
		<?php else: ?>
			<input type="hidden" name="uploaded_image" id="uploaded_image" />
		<?php endif;?>
	</div>
	<div class="col-sm-3">
		<?php if(!empty($users_info->profile_image) && (filter_var($users_info->profile_image, FILTER_VALIDATE_URL))):?>
			<img src="<?php echo $users_info->profile_image;?>" class="img-fluid" alt="<?php echo $users_info->display_name;?>" title="<?php echo $user->display_name;?>" />
		<?php elseif(!empty($users_info->profile_image)): ?>
			<img src="<?php echo gc_image_url($users_info->profile_image, false, true, 'users'); ?>" class="img-fluid" alt="<?php echo $users_info->display_name;?>" title="<?php echo $user->display_name;?>" />		
		<?php else: ?>
			<img src="<?php echo gc_site_image('no-image'); ?>" class="img-fluid" alt="<?php echo $user->display_name;?>" title="<?php echo $user->display_name;?>" />
		<?php endif;?>
	</div>
</div>
</div>
</div>
</fieldset>
<fieldset>
<legend><span class="fa fa-user"></span> <?php echo lang('legend_personal_information'); ?></legend>
<div class="card card-default">
  <div class="card-body">
<div class="form-group<?php echo iif(form_error('email'), $errorClass); ?>">
	<label class="col-md-3 col-form-label required" for="email"><?php echo lang('bf_email'); ?></label>
	<div class="col-md-9">
		<input class="<?php echo $controlClass; ?>" type="text" id="email"
			name="email" placeholder="Email"
			value="<?php echo set_value('email', isset($user) ? $user->email : ''); ?>" />
		<span class="help-block"><?php echo form_error('email'); ?></span>
	</div>
</div>
<div
	class="form-group<?php echo iif(form_error('display_name'), $errorClass); ?>">
	<label class="col-md-3 col-form-label" for="display_name"><?php echo lang('bf_display_name'); ?></label>
	<div class="col-md-9">
		<input class="<?php echo $controlClass; ?>" type="text"
			id="display_name" name="display_name"
			value="<?php echo set_value('display_name', isset($user) ? $user->display_name : ''); ?>"
			placeholder="Display Name" /> <span class="help-block"><?php echo form_error('display_name'); ?></span>
	</div>
</div>
<?php if (settings_item('auth.login_type') !== 'email' OR settings_item('auth.use_usernames')) : ?>
<div
	class="form-group<?php echo iif(form_error('username'), $errorClass); ?>">
	<label class="col-md-3 col-form-label required" for="username"><?php echo lang('bf_username'); ?></label>
	<div class="col-md-9">
		<input class="<?php echo $controlClass; ?>" type="text" id="username"
			name="username"
			value="<?php echo set_value('username', isset($user) ? $user->username : ''); ?>" />
		<span class="help-block"><?php echo form_error('username'); ?></span>
	</div>
</div>
<?php endif; ?>
<div class="form-group has-feedback">
	<label class="col-md-3 col-form-label" for="phone_number"><?php echo lang('label_phone'); ?></label>
	<div class="col-md-9">
		<input type="tel" class="form-control" id="phone_number"
			name="phone_number"
			placeholder="<?php echo lang('placeholder_phone');?>"
			value="<?php echo set_value('phone_number', isset($user) ? $user->phone_number : ''); ?>" />
		<span class="help-block"><?php echo form_error('phone_number'); ?></span>
	</div>
</div>
<div
	class="form-group<?php echo iif(form_error('password'), $errorClass); ?>">
	<label class="col-md-3 col-form-label<?php echo $registerClass; ?>"
		for="password"><?php echo lang('bf_password'); ?></label>
	<div class="col-md-9">
		<input class="<?php echo $controlClass; ?>" type="password"
			id="password" name="password" value="" /> <span class="help-block"><?php echo form_error('password'); ?></span>
		<p class="help-block"><?php if (isset($password_hints) ) { echo $password_hints; } ?></p>
	</div>
</div>
<div
	class="form-group<?php echo iif(form_error('pass_confirm'), $errorClass); ?>">
	<label class="col-md-3 col-form-label<?php echo $registerClass; ?>"
		for="pass_confirm"><?php echo lang('bf_password_confirm'); ?></label>
	<div class="col-md-9">
		<input class="<?php echo $controlClass; ?>" type="password"
			id="pass_confirm" name="pass_confirm" value="" /> <span
			class="help-block"><?php echo form_error('pass_confirm'); ?></span>
	</div>
</div>
</div>
</div>
</fieldset>

<fieldset>
<legend><span class="fa fa-globe color-inherit"></span> <?php echo lang('label_address'); ?></legend>
<div class="card card-default">
  <div class="card-body">  
		<div class="form-group <?php echo form_error('address') ? 'error' : ''; ?>">
			<label class="col-sm-3 col-form-label" for="postcode"><?php echo lang('label_address');?></label>
			<div class="col-sm-9">
				<?php echo gc_form_element('textarea', array( 'name' => 'address', 'field_only' => true, 'extra' => array('id' => 'address', 'placeholder' => lang('placeholder_address'))), (isset($user->address) ? $user->address : '')); ?>
			</div>
		</div>
		
		<div class="form-group <?php echo form_error('postcode') ? 'error' : ''; ?>">
		<label class="col-sm-3 col-form-label" for="postcode"><?php echo lang('label_postcode');?></label>
			<div class="col-sm-9">
				<input id='postcode' class='form-control' type='text'
					name='postcode' maxlength="10"
					placeholder="<?php echo lang('placeholder_postcode');?>"
					value="<?php echo set_value('postcode', isset($user->postcode) ? $user->postcode : ''); ?>" />
			</div>
		</div>
		
		<?php echo gc_form_element('form_city', array('city_only' => true)); ?>
	</div>
</div>
</fieldset>

<fieldset>
<legend><span class="fa fa-briefcase"></span> <?php echo lang('label_additional_info'); ?></legend>
<div class="card card-default">
  <div class="card-body">
<?php if(!empty($meta_fields)) :?>
<?php $this->load->view('common/meta_frontend');?>
<?php endif; ?>
<?php if ($editSettings) : ?>
<div
	class="form-group<?php echo iif(form_error('force_password_reset'), $errorClass); ?>">
	<div class="col-md-9">
		<label class="checkbox" for="force_password_reset"> <input
			type="checkbox" id="force_password_reset" name="force_password_reset"
			value="1"
			<?php echo set_checkbox('force_password_reset', empty($user->force_password_reset)); ?> />
            <?php echo lang('us_force_password_reset'); ?>
        </label>
	</div>
</div>
<?php endif;

if (isset($languages) && is_array($languages) && count($languages)) :
    if(count($languages) == 1):
?>
<input type="hidden" id="language" name="language"
	value="<?php echo $languages[0]; ?>" />
<?php
    else :
?>
<div
	class="form-group<?php echo iif(form_error('language'), $errorClass); ?>">
	<label class="col-md-3 col-form-label required" for="language"><?php echo lang('bf_language'); ?></label>
	<div class="col-md-9">
		<select name="language" id="language"
			class="chzn-select <?php echo $controlClass; ?>">
            <?php foreach ($languages as $language) : ?>
            <option value="<?php e($language); ?>"
				<?php echo set_select('language', $language, $defaultLanguage == $language ? true : false); ?>>
                <?php e(ucfirst($language)); ?>
            </option>
            <?php endforeach; ?>
        </select> <span class="help-block"><?php echo form_error('language'); ?></span>
	</div>
</div>
<?php
    endif;
endif;
?>
<div
	class="form-group<?php echo iif(form_error('timezone'), $errorClass); ?>">
	<label class="col-md-3 col-form-label required" for="timezones"><?php echo lang('bf_timezone'); ?></label>
	<div class="col-md-9">
        <?php echo timezone_menu(set_value('timezones', isset($user) ? $user->timezone : $defaultTimezone), $controlClass); ?>
        <span class="help-block"><?php echo form_error('timezones'); ?></span>
	</div>
</div>
</div>
</div>
</fieldset>