<?php
$validation_errors = validation_errors();
$errorClass = ' error';
$controlClass = 'span6';
$fieldData = array(
    'errorClass' => $errorClass,
    'controlClass' => $controlClass,
);
?>
<style>
    p.already-registered {
        text-align: center;
    }
</style>
<section id="register">
    <h1 class="page-header"><?php echo lang('us_sign_up'); ?></h1>
    <?php if ($validation_errors) : ?>
        <div class="alert alert-danger">
            <?php echo $validation_errors; ?>
        </div>
    <?php endif; ?>

    <?php if (isset($hybrid_auth_providers)): ?>
        <div class="box">
            <h4><?php e(lang('us_sign_up_with_alternative')) ?></h4>
            <?php foreach ($hybrid_auth_providers as $provider => $hy_values): ?>
                <?php
                if ($hy_values['enabled'] == TRUE)
                {
                    echo anchor(site_url('users/hybrid_login') . '/' . $provider, $provider, 'class="link_label"');
                }
                ?>
            <?php endforeach; ?>
        </div>
        <br>
    <?php endif; ?>

    <div class="alert alert-info">
        <h4 class="alert-heading"><?php echo lang('bf_required_note'); ?></h4>
        <?php
        if (isset($password_hints))
        {
            echo $password_hints;
        }
        ?>
    </div>
    <div class="row">
        <div class="span12">
            <?php echo form_open(gc_url_format('register'), array('class' => "form-horizontal", 'autocomplete' => 'off')); ?>
            <?php Template::block('user_fields', 'user_fields', $fieldData); ?>
            <?php
            // Allow modules to render custom fields
            Events::trigger('render_user_form');
            ?>
            <!-- Start of User Meta -->
<?php //$this->load->view('common/meta_frontend', array('frontend_only' => true)); ?>
            <!-- End of User Meta -->
            <div class="form-group">
                <div class="col-sm-6">
                    <input class="btn btn-primary" type="submit" name="register" id="submit" value="<?php echo lang('us_register'); ?>"  />
                </div>
            </div>
                <?php echo form_close(); ?>
            <p class='already-registered'>
			<?php echo lang('us_already_registered'); ?>
			<?php echo anchor(gc_url_format('login'), lang('bf_action_login')); ?>
            </p>
        </div>
    </div>
</section>