
<div class="card bg-light shallow-well">
	<span class="filter-link-list">
		<?php echo $this->load->view('common/filter_link_list'); ?>
	</span>
</div>
<?php
$nav_tabs = array(
    array('filter' => $filter_type, 'condition' => 'all', 'url' => $index_url, 'title' => lang('us_tab_all')),
    array('filter' => $filter_type, 'condition' => 'inactive', 'url' => $index_url . 'inactive/', 'title' => lang('us_tab_inactive')),
    array('filter' => $filter_type, 'condition' => 'banned', 'url' => $index_url . 'banned/', 'title' => lang('us_tab_banned')),
	array('filter' => $filter_type, 'condition' => 'deleted', 'url' => $index_url . 'deleted/', 'title' => lang('us_tab_deleted')),
	array(
        'type' => 'dropdown',
        'filter' => $filter_type,
        'condition' => $filter_type,
        'active' => ($filter_type == 'role_id' ? true : false),
        'url' => $index_url,
        'record_type' => 'roles',
        'records' => $roles,
        'title' => lang('us_tab_roles') . (isset($filter_role) ? ": $filter_role" : '')
    ),
);
echo $this->load->view('common/_navtabs', array('nav_tabs' => $nav_tabs));

$num_columns = 9;
$has_users = isset($users) && is_array($users) && count($users);

echo form_open();
?>
	<div class="row top2 bottom2">
		<div class="col-md-4">
			<?php // $this->load->view('_filter_admin'); ?>
			<?php if(isset($extra_action)):?>
        	<?php echo $extra_action; ?>
        	<?php endif;?>
        	<button type="submit" name="download" value="pdf" data-toggle="tooltip" data-title="<?php echo lang('pdf'); ?>" class="btn btn-danger btn-sm"><i class="fas fa-file-pdf"></i></button>
        	<button type="submit" name="download" value="xls" data-toggle="tooltip" data-title="<?php echo lang('excel'); ?>" class="btn btn-success btn-sm"><i class="fas fa-file-excel"></i></button>			
		</div>
		<div class="col-md-4">
			<?php echo lang('label_results'); ?>: <span class="btn btn-primary"><?php echo $filtered_results;?></span>
		</div>
		<div class="col-md-4">
		<?php echo search_admin(lang('em_placeholder_usersearch'), '', '');?>
		</div>
		</div>
	<div class="table-responsive">
	<table class="table table-striped action-icons">
		<thead>
			<tr>
				<th class="column-check"><input class="check-all" type="checkbox" /></th>
				<th class='id'><?php echo form_filter('id', lang('bf_id'));?></th>
				<th><?php echo form_filter('username', lang('bf_username'));?></th>
				<th><?php echo form_filter('display_name', lang('bf_display_name'));?></th>
				<th><?php echo form_filter('email', lang('bf_email'));?></th>
				<th><?php echo form_filter('role_id', lang('us_role'));?></th>
				<th class='last-login'><?php echo form_filter('last_login', lang('us_last_login'));?></th>
				<th><?php echo form_filter('hauth_provider', lang('us_social'));?></th>
				<th class='status text-center'><?php echo form_filter('active', lang('us_status'));?></th>
			</tr>
		</thead>
		<?php if ($has_users) : ?>
		<tfoot>
			<tr>
				<td colspan="<?php echo $num_columns; ?>">
					<?php echo lang('bf_with_selected'); ?>						
					<?php if ($filter_type == 'deleted') : ?>
					<input type="submit" name="restore" class="btn btn-action" value="<?php echo lang('bf_action_restore'); ?>" />
					<input type="submit" name="purge" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_purge'); ?>" />
					<input type="submit" name="purge_all" class="btn btn-danger btn-delete" value="<?php echo lang('gc_action_purge_all'); ?>" />
					<span class="help-inline"><small><?php echo lang('help_purge_all');?></small></span>
					<?php else : ?>
					<input type="submit" name="activate" class="btn btn-action" value="<?php echo lang('gc_action_activate'); ?>" />
					<input type="submit" name="deactivate" class="btn btn-action" value="<?php echo lang('gc_action_deactivate'); ?>" />
					<a href="#replyEmailModal" role="button" class="btn btn-action" data-toggle="modal" onclick="$('#row_id').val(0);"><?php echo lang('send_email'); ?></a>
					<?php if($send_sms):?>
					<a href="#smsModal" role="button" class="btn btn-action" data-toggle="modal" onclick="$('#row_id').val(0);"><?php echo lang('send_sms'); ?></a>
					<?php endif;?>
					<input type="submit" name="ban" class="btn btn-action" value="<?php echo lang('bf_action_ban'); ?>" />
					<input type="submit" name="delete" class="btn btn-danger btn-delete" id="delete-me" value="<?php echo lang('bf_action_delete'); ?>" />					
					<?php endif;?>
					<?php if($filter_type == 'inactive'): ?>
					<input type="submit" name="resend_activation" class="btn btn-action" value="<?php echo lang('bf_activate_resend'); ?>" />
					<?php endif; ?>					
				</td>
			</tr>
		</tfoot>
		<?php endif; ?>
		<tbody>
			<?php
			if ($has_users) :
				foreach ($users as $user) :
			?>
			<tr>
				<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $user->id; ?>" /></td>
				<td class='id'><?php echo $user->id; ?></td>
				<td><?php
					echo anchor(site_url(SITE_AREA . '/settings/users/edit/' . $user->id), '<i class="fas fa-edit"></i>' . $user->username);

					if ($user->banned) :
					?>
					<span class="badge badge-warning">Banned</span>
					<?php endif; ?>
				</td>
				<td><?php echo $user->display_name; ?></td>
				<td><?php echo $user->email ? '<i class="icon-envelope"></i> ' . mailto($user->email) : ''; ?></td>
				<td><?php echo $roles[$user->role_id]->role_name; ?></td>
				<td class='last-login'><?php echo !empty($user->last_login) && $user->last_login != '0000-00-00 00:00:00' ? date('M j, y g:i A', strtotime($user->last_login)) : '---'; ?></td>
				<td>								
				<?php if(!empty($user->hauth_provider)):?>
				<span class="btn btn-<?php echo strtolower($user->hauth_provider); ?>">
					<i class="fab fa-<?php echo strtolower($user->hauth_provider); ?>"></i>
				</span>
				<?php else: ?>
				<?php echo lang('not_applicable');?>
				<?php endif;?>
				</td>
				<td class='status text-center'>
					<button type="submit" name="status_change" value="<?php echo $user->id?>" class="btn btn-xs <?php echo $user->active == 1 ? 'btn-success' : 'btn-warning';?>" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo $user->active == 1 ? lang('us_active') : lang('us_inactive'); ?>">
						<i class="fa fa-<?php echo $user->active == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
					</button>
					<?php if(!empty($user->email)):?>
					<a href="#replyEmailModal" role="button" class="btn btn-info btn-xs" id="<?php echo $user->id;?>" data-toggle="modal" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('send_email'); ?>" onclick="$('#row_id').val(<?php echo $user->id;?>);"><i class="fas fa-envelope"></i></a>
					<?php endif;?>
					<?php if(!empty($user->phone_number) && $send_sms):?>
					<a href="#smsModal" role="button" class="btn btn-success btn-xs" id="<?php echo $user->id;?>" data-toggle="modal" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('send_sms'); ?>" onclick="$('#row_id').val(<?php echo $user->id;?>);"><i class="fas fa-mobile"></i></a>
					<?php endif;?>
					<?php if(!empty($user->slug) && $user->active == 1):?>
					<a href="<?php echo gc_url_format('users', $user->slug, $user->id);?>" class="btn btn-info btn-xs" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view'); ?>" target="_blank"><i class="fas fa-eye"></i></a>
					<?php endif;?>
					<?php if($user->role_id == 1):?>
						<a href="<?php echo site_url(SITE_AREA . '/settings/users/tfa/' . $user->id);?>" class="btn btn-warning btn-xs" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_tfa'); ?>"><i class="fas fa-lock"></i></a>
					<?php endif;?>
				</td>
			</tr>
			<?php
				endforeach;
			else :
			?>
			<tr>
				<td colspan="<?php echo $num_columns; ?>"><?php echo lang('us_no_users'); ?></td>
			</tr>
			<?php endif; ?>
		</tbody>
	</table>
	</div>
<?php
echo form_close();
echo $this->pagination->create_links();
// Send Bulk/Custom SMS
echo form_hidden('module', isset($module) ? $module : 'users');
echo form_hidden('row_id');
echo $this->load->view('common/admin_reply');
echo $this->load->view('common/custom_sms');
?>