<?php /* /bonfire/modules/users/views/user_fields.php */

$currentMethod = $this->router->fetch_method();

$errorClass     = empty($errorClass) ? ' error' : $errorClass;
$controlClass   = empty($controlClass) ? 'span4' : $controlClass;
$registerClass  = $currentMethod == 'register' ? ' required' : '';
$editSettings   = $currentMethod == 'edit';

$defaultLanguage = isset($user->language) ? $user->language : strtolower(settings_item('language'));
$defaultTimezone = isset($current_user) ? $current_user->timezone : strtoupper(settings_item('site.default_user_timezone'));
$user = isset($user) ? $user : array();

echo gc_form_element('text', array('name' => 'email', 'extra' => array('maxlength' => 254)), $user, lang('bf_email'). lang('bf_form_label_required'), 'col-sm-4');
echo gc_form_element('text', array('name' => 'display_name', 'extra' => array('maxlength' => 255)), $user, lang('bf_display_name'), 'col-sm-4');
//if(settings_item('auth.login_type') !== 'email' OR settings_item('auth.use_usernames')) :
echo gc_form_element('text', array('name' => 'username', 'extra' => array('maxlength' => 120)), $user, lang('bf_username'). (isset($usernameRequired) ? lang('bf_form_label_required') : ''), 'col-sm-4');
//endif;
echo gc_form_element('text', array('name' => 'slug', 'placeholder' => lang('placeholder_slug'), 'extra' => array('maxlength' => 255)), $user, lang('label_slug'));
echo gc_form_element('tel', array('name' => 'phone_number', 'extra' => array('maxlength' => 20)), $user, lang('label_phone'), 'col-sm-4');
echo gc_form_element('password', array('name' => 'password', 'tooltip' => (isset($password_hints) ? $password_hints : '')), $user, lang('bf_password') . (isset($request_uri) ? lang('bf_form_label_required') : ''), 'col-sm-4');
echo gc_form_element('password', array('name' => 'pass_confirm', 'tooltip' => (isset($password_hints) ? $password_hints : '')), $user, lang('bf_password_confirm') . (isset($request_uri) ? lang('bf_form_label_required') : ''), 'col-sm-4');
if($editSettings):
echo gc_form_element('checkbox', array('name' => 'force_password_reset', 'no_label' => TRUE), $user, lang('us_force_password_reset'));
endif;
if (isset($languages) && is_array($languages) && count($languages)) :
  	if(count($languages) == 1):
    	echo form_hidden('language', $languages[0]);
	else:
		$language_options = array();
		foreach ($languages as $language):
			$language_options[$language] = ucfirst($language);
		endforeach;
		echo gc_form_element('dropdown', array('name' => 'language', 'options' => $language_options, 'field_class' => 'chzn-select'), $defaultLanguage, lang('bf_language'), 'col-sm-4');
	endif;
endif;
echo gc_form_element('form_elements' , array('form_elements' => array(timezone_menu(set_value('timezones', (isset($user->timezone) ? $user->timezone : $defaultTimezone)), 'form-control'))), array(), lang('bf_timezone'), 'col-sm-4');
?>