<div class="alert alert-block alert-info"><?php echo lang('msg_mandatory_fields')?></div>
<?php echo form_validations();
$user = isset($user) ? $user : array();
if (isset($user->banned) && $user->banned) :
?>
<div class="alert alert-warning">
	<h4 class="alert-heading"><?php echo lang('us_banned_admin_note'); ?></h4>
</div>
<?php
endif;
if (isset($password_hints) ) :
?>
<div class="alert alert-info">
    <a data-dismiss="alert" class="close">&times;</a>
    <?php echo $password_hints; ?>
</div>
<?php
endif;

echo form_open_multipart($this->uri->uri_string(), 'class="form-horizontal" autocomplete="off"');
?>
<div class="admin-box">
	<div class="tabbable">
		<ul class="nav nav-tabs">
			<li class="active"><a href="#basic-info" data-toggle="tab"><?php echo lang('label_basic_info') ?></a></li>
			<li><a href="#additional" data-toggle="tab"><?php echo lang('additional_information') ?></a></li>
		</ul>
		<div class="tab-content" style="padding-bottom: 9px; border-bottom: 1px solid #ddd;">
			<div class="tab-pane active" id="basic-info">
				<fieldset>
					<legend><?php echo lang('us_account_details') ?></legend>
			        <?php Template::block('user_fields', 'settings/user_fields'); ?>
				</fieldset>
				<?php
			    if (has_permission('Bonfire.Roles.Manage')
			        && ( ! isset($user) || (isset($user->role_name) && has_permission('Permissions.' . $user->role_name . '.Manage')))
			       ) :
			    ?>
    
			    <fieldset>
			        <legend><?php echo lang('us_role'); ?></legend>
			        <?php
			        $default_role = '';
			        $role_options = array();
			        if (isset($roles) && is_array($roles) && count($roles)) :
				        foreach ($roles as $role) :
					        if (has_permission('Permissions.' . ucfirst($role->role_name) . '.Manage')) :
						        // check if it should be the default
						        if ((isset($user->role_id) && $user->role_id == $role->role_id) || ( ! isset($user) && $role->default == 1)) {
						        	$default_role = $role->role_id;
						        }
					        endif;
					        $role_options[$role->role_id] = ucfirst($role->role_name);
				        endforeach;
			        endif;
			        echo gc_form_element('dropdown', array('name' => 'role_id', 'options' => $role_options), $default_role, lang('us_role'), 'col-sm-4');
			        ?>
			    </fieldset>
			    <?php
			    endif;
			
			    // Allow modules to render custom fields
			    Events::trigger('render_user_form');
			    ?>
			    <?php
			    if (isset($user->role_name) && has_permission('Permissions.' . ucfirst($user->role_name) . '.Manage')
			        && $user->id != $this->auth->user_id() && ($user->banned == 1 || $user->deleted == 1)
			       ) :
			    ?>
			    <fieldset>
			        <legend><?php echo lang('us_account_status'); ?></legend>
			        <?php
			        $field = 'activate';
			        if ($user->active) {
			            $field = 'de' . $field;
			        }
			        ?>
			        <?php
			        $checkbox_options = array(
			        	array('name' => $field, 'label' => lang('us_' . $field . '_note'))
			        );
					if($user->deleted):
					$checkbox_options[] = array('name' => 'restore', 'label' => lang('us_restore_note'));
					elseif ($user->banned) :
					$checkbox_options[] = array('name' => 'unban', 'label' => lang('us_unban_note'));
					endif;
					echo gc_form_element('checkbox', array('options' => $checkbox_options));			       
			        ?>
			    </fieldset>
			    <?php endif; ?>
    		</div>
    	<div class="tab-pane" id="additional">
		<?php  echo gc_form_element('image', array('name' => 'profile_image', 'extra' => array('help_image' => $image_help, 'image_path' => base_url("assets/images/users"))), $user, lang('label_profile_image')); ?>
	 	<fieldset>		
	        <legend><?php echo lang('label_address') . ' ' .lang('label_optional'); ?></legend>		
	    	<?php
	     	echo gc_form_element('textarea', array('name' => 'address'), $user, lang('label_address'));
	    	echo gc_form_element('form_city', array('hasLocality' => false, 'city_only' => true, 'required' => false));
	    	echo gc_form_element('text', array('name' => 'postcode', 'extra' => array('maxlength' => 30, 'placeholder' => lang('placeholder_postcode'))), $user, lang('label_postcode'));  	 
	    	?>
    	</fieldset>    	
	    <!-- Start of User Meta -->
	   	<?php if(!empty($meta_fields)) :?>
	   	<fieldset>		
	        <legend><?php echo lang('extra_information'); ?></legend>
				<?php $this->load->view('fields/fields', array('form_fields' => $meta_fields));?>
			</fieldset>
		<?php endif;?>
	    <!-- End of User Meta -->
    </div>
    </div>
 </div>
 <?php 
 $action_data = array(
 	'url' => SITE_AREA .'/settings/users'
 );
 $action_data['label'] = lang('bf_action_save') . ' ' . lang('bf_user');
 $action_data['delete'] = FALSE;
 echo gc_form_element('actions', $action_data);
 ?> 
 </div>
<?php echo form_close(); ?>