<?php 
if(empty($record)):
    $heading = lang('us_temporary_login');
    $action = lang('bf_action_login');
else:
    $heading = lang('us_change_password');
    $action = lang('bf_action_save');
endif;
?>
<div class="container-fluid bg-secondary">
    <div class="container pt-4 pb-4">
    	<div class="d-flex justify-content-center h-100">
    		<div class="card rounded-0 border-0" style="width: 400px;">
    			<div class="card-header bg-warning rounded-0">
    				<h2><?php echo $heading; ?></h2>
    			</div>
    			<div class="card-body bg-light">
    				<?php echo form_validations(); ?>
    				<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
    					<?php if(empty($record)):?>
    					<div class="input-group form-group">
    						<div class="input-group-prepend">
    							<span class="input-group-text"><i class="fas fa-user"></i></span>
    						</div>
    						<input type="text" name="email" class="form-control" placeholder="<?php echo lang('label_email'); ?>">						
    					</div>
    					<div class="input-group form-group">
    						<div class="input-group-prepend">
    							<span class="input-group-text"><i class="fas fa-key"></i></span>
    						</div>
    						<input type="password" name="password" class="form-control" placeholder="<?php echo lang('bf_password'); ?>">
    					</div>
    					<?php else: ?>
    					<div class="input-group form-group">
    						<div class="input-group-prepend">
    							<span class="input-group-text"><i class="fas fa-user"></i></span>
    						</div>
    						<input type="text" name="email" class="form-control" value="<?php echo $record->email; ?>" disabled />						
    					</div>
    					<div class="input-group form-group">
    						<div class="input-group-prepend">
    							<span class="input-group-text"><i class="fas fa-lock"></i></span>
    						</div>
    						<input type="password" name="password" class="form-control" placeholder="<?php echo lang('bf_password'); ?>">						
    					</div>
    					<div class="input-group form-group">
    						<div class="input-group-prepend">
    							<span class="input-group-text"><i class="fas fa-key"></i></span>
    						</div>
    						<input type="password" name="pass_confirm" class="form-control" placeholder="<?php echo lang('bf_password_confirm'); ?>">
    					</div>
    					<?php endif; ?>
    					<div class="form-group">
    						<input type="submit" name="save" value="<?php echo $action; ?>" class="btn float-right btn-dark">
    					</div>
    				<?php echo form_close(); ?>
    			</div>
    			<?php if(empty($record)):?>
    			<div class="card-footer bg-warning rounded-0">
    				<div class="d-flex justify-content-center links">
    					<?php echo lang('label_already_have_account'); ?><a href="<?php echo gc_url_format('login'); ?>" class="btn btn-secondary btn-xs ml-2"><?php echo lang('bf_action_login'); ?></a>
    				</div>
    			</div>
    			<?php endif;?>
    		</div>
    	</div>
    </div>
</div>