<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$css = $page == 0 ? 'admin-box' : 'container-fluid bg-light pt-4 pb-4';
?>
<div class="<?php echo $css; ?>">
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
		<fieldset>
		<?php if($page == 1):?>
			<div class="col-sm-6 mx-auto card card-body">
			<?php echo Template::message(); ?>
			<?php if($retry_counter == 0):?>
				<div class="alert alert-danger"><?php echo sprintf(lang('tfa_account_blocked'), convert_date_time($record->tfa_retry_on, true, false)); ?></div>
			<?php else: ?>
			<div class="text-center mt-2 mb-2">
				<div class="badge badge-info"><?php echo sprintf(lang('tfa_retry_limit'), $retry_counter); ?></div>
			</div>
			<?php
			echo form_validations();
			echo gc_form_element('text', array('name' => 'tfa_code', 'extra' => array('maxlength' => 10)), array(), lang('tfa_code'). lang('bf_form_label_required'), 'col-sm-10');
			$action_data = array('delete' => FALSE);
			$action_data['name'] = 'validate';
			$action_data['label'] = lang('tfa_validate');
			$action_data['cancel'] = false;
			echo gc_form_element('actions', $action_data);?>
			<?php endif;?>
			</div>
		<?php
		else:
		echo form_validations();?>
		<div class="alert alert-info"><?php echo lang('tfa_help'); ?></div>
		<?php if(!empty($record->tfa_qrcode)):?>
		<div class="form-group form-row">
			<label class="col-sm-3 col-form-label my-auto" for="tfa_issuer"><?php echo lang('tfa_qrcode'); ?> </label>
			<div class="col-sm-8">
				<img class="img-fluid" src="<?php echo $record->tfa_qrcode; ?>"/>
				<div class="help-block small">
					<?php echo lang('tfa_setup'); ?>
				</div>
			</div>
		</div>
		<?php
		endif;
		echo gc_form_element('text', array('name' => 'tfa_issuer', 'placeholder' => lang('placeholder_tfa_issuer')), $record, lang('tfa_issuer'));		
		echo gc_form_element('text', array('name' => 'tfa_account', 'placeholder' => lang('placeholder_tfa_account')), $record, lang('tfa_account'));
		$checkbox_options = array(
			array('name' => 'tfa_status', 'label' => lang('label_status')),
		);
		echo gc_form_element('checkbox', array('options' => $checkbox_options), $record);
		$action_data = array();
		$action_data['delete'] = FALSE;
		$action_data['save_only'] = TRUE;
		$action_data['url'] = $redirect_url;
		echo gc_form_element('actions', $action_data);
		endif;
		?>
		</fieldset>
    <?php echo form_close(); ?>
</div>