<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
/**
 * Videos controller
 */
class Videos extends Front_Controller
{

	//--------------------------------------------------------------------

	private $redirect_url = '/members';
	
	/**
	 * Constructor
	 *
	 * @return void
	 */
	public function __construct() {
		parent::__construct();
		
		if(gc_module_settings('videos') == 0) {
			Template::redirect(site_url());
		}

		$this->load->library('form_validation');
		$this->load->model('videos_model', null, true);
		$this->load->library('gc');
		$this->load->model('listings/listings_model');
		$this->load->model('members/members_model');
		$this->load->library('crypt');
		$this->load->library('users/auth');
		$this->lang->load('videos');
		Assets::add_js(array('tinymce/tinymce.min.js'));
		Assets::add_module_js('videos', 'videos.js');	
		Assets::add_js('bootstrap.youtubepopup.min.js');
	}
	
	/**
	 * Display and Search Videos
	 * @param number $offset
	 */
	public function index($offset = 0) {
		$this->gc->category_location_tag_search(false, 'videos', 'search', $this->session->userdata('search_country'), NULL, $this->limit);
	}
	
	/**
	 * Allow visitors to browse videos by category
	 * @param string $slug - Category Slug
	 * @param number $offset
	 */
	public function category($slug, $offset = 0) {
		$this->gc->category_location_tag_search(false, 'videos', 'categories', $this->session->userdata('search_country'), $slug, $this->limit);
	}

	/**
	 * Display module description to the visitor
	 * @param string $slug
	 */
	public function detail($slug = NULL) {
		if($slug == NULL) {
			show_404();
		}
		//$this->gc->module_detail('videos', $slug);
	}
	//--------------------------------------------------------------------
}