<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
echo form_validations();
if (isset($videos)) {
	$videos = (array) $videos;
}
$id = isset($videos['id']) ? $videos['id'] : '';

?>
<?php
$num_columns	= 8;
$can_delete		= $this->auth->has_permission('Listings.Content.Delete');
$can_edit		= $this->auth->has_permission('Listings.Content.Edit');
$has_records	= isset($records) && is_array($records) && count($records);
?>
<?php //if($row_id == 0):?>
<?php $this->load->view('common/tabs'); ?>
<?php //endif; ?>
<div class="admin-box">
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="table-responsive">
		<table class="table table-striped action-icons">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<?php if($row_id == 0):?>
					<th><?php echo form_filter('row_id', lang('label_title'));?></th>
					<th><?php echo form_filter('module_id', lang('label_module'));?></th>
					<?php endif;?>					
					<th><?php echo form_filter('title', lang('singular_videos') . ' ' . lang('label_title'));?></th>
					<th><?php echo form_filter('url', lang('singular_videos'));?></th>
					<th><?php echo form_filter('featured', lang('label_featured'));?></th>
					<th><?php echo form_filter('status', lang('label_status'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete && $row_id != 0) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger btn-delete" value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php else: ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php $this->load->view('common/tab_actions'); ?></td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<?php if($row_id == 0):?>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link'); ?></td>
					<td><?php echo gc_module_translation(gc_module_name($record->module_id));?></td>
					<?php endif;?>
				<?php if ($can_edit) : ?>
					<td><?php echo anchor(SITE_AREA . '/content/videos/edit/' . $record->id, '<i class="fas fa-edit"></i>' .  $record->title); ?></td>
				<?php else : ?>
					<td><?php e($record->title); ?></td>
				<?php endif; ?>
					<td>
						<a class="gc-fancybox" href="<?php echo $record->url;?>" title="<?php echo $record->title;?>">
							<img class="img-responsve" src="https://img.youtube.com/vi/<?php echo $record->youtube_id;?>/1.jpg" alt="<?php echo $record->title;?>" />
						</a>
					</td>
					<td>
						<button type="submit" name="featured_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->featured == 1 ? 'btn-success' : 'btn-warning';?>">
							<i class="fa fa-<?php echo $record->featured == 1 ? 'check' : 'times'; ?>"></i>
						</button>
					</td>
					<td>
						<?php if($record->status == 0 || $record->status == 1):?>
						<button type="submit" name="status_change" value="<?php echo $record->id?>" class="btn btn-xs <?php echo $record->status == 1 ? 'btn-success' : 'btn-warning';?>">
							<i class="fa fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i>
						</button>
						<?php else:?>
						<span class="badge badge-danger"><?php echo lang('status_expired');?></span>
						<?php endif;?>
						<?php if($record->status == 1 && $record->deleted == 0):?>
						<a href="<?php echo gc_url_format('videos', $record->slug, $record->id); ?>" target="_blank" role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view'); ?>" class="help-label btn btn-xs btn-secondary">
							<i class="fa fa-eye"></i>
						</a>
						<?php endif;?>
					</td>				
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php echo form_close(); ?>
	<?php echo $this->pagination->create_links();?>
</div>