/*-----------------------------------------------*/
/* Display Google MAP instead of Address
 *-----------------------------------------------*/
if($("address").length > 0) {
	$("address").each(function(){                        
	    var embed ="<div class=\"embed-responsive embed-responsive-16by9\"><iframe class=\"embed-responsive-item\" frameborder='0' scrolling='no'  marginheight='0' marginwidth='0'   src='https://maps.google.com/maps?&amp;q="+ encodeURIComponent( $(this).text() ) +"&amp;output=embed'></iframe></div>";
	    $(this).html(embed);                            
	});
}

/*----------------------------------------------------*/
/*	Display OpenStreet Map in Module FORMs
/*----------------------------------------------------*/
if ($('#mapLeafletForm').length) {
	// the map container size changed and updates the map if 
	// so call it after you've changed the map size dynamically
	/* $('#mapLeafletForm').on('shown.bs.collapse', function (e) {
	    map.invalidateSize(true);
	})*/
	
	// MAP TAB ISSUE
	// find the ID of the TAB having Leaflet Canvas
	var mapTabID = $("#mapLeafletForm").closest("div.tab-pane").prop("id");
	$('a[href="#' + mapTabID + '"]').on('shown.bs.tab', function(e) {
		map.invalidateSize(true);
	});
	
    // use below if you want to specify the path for leaflet's images
    //L.Icon.Default.imagePath = '@Url.Content("~/Content/img/leaflet")';

	//position we will use later
	var lat = $('#mapLeafletForm').attr('data-latitude');
	var lon = $('#mapLeafletForm').attr('data-longitude');
    var curLocation = [lat, lon];
    // use below if you have a model
    // var curLocation = [@Model.Location.Latitude, @Model.Location.Longitude];

    if (curLocation[0] == '' || curLocation[1] == '') {
    	// get current location of the user
    	var map = L.map('mapLeafletForm').locate({setView: true, maxZoom: 16});
    } else {    
    	// display saved location
    	var map = L.map('mapLeafletForm').setView(curLocation, 10);
    }    

    L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
        attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
    }).addTo(map);

    map.attributionControl.setPrefix(false);

    var marker = new L.marker(curLocation, {
        draggable: 'true'
    });

    marker.on('dragend', function(event) {
        var position = marker.getLatLng();
        marker.setLatLng(position, {
            draggable: 'true'
        }).bindPopup(position).update();
        $("#latitude").val(position.lat);
        $("#longitude").val(position.lng).keyup();
    });

    $("#latitude, #longitude").change(function() {
        var position = [parseInt($("#latitude").val()), parseInt($("#longitude").val())];
        marker.setLatLng(position, {
            draggable: 'true'
        }).bindPopup(position).update();
        map.panTo(position);
    });

    map.addLayer(marker);
}