<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Migration_Install_locales extends Migration
{
	/**
	 * The name of the database table
	 *
	 * @var String
	 */
	private $table_name = 'locales';

	/**
	 * The table's fields
	 *
	 * @var Array
	 */
	private $fields = array(
		'id' => array(
			'type' => 'SMALLINT',
			'constraint' => 5,
			'auto_increment' => TRUE,
		),
		'code' => array(
			'type' => 'CHAR',
			'constraint' => 3,
			'null' => FALSE,
		),
		'name' => array(
			'type' => 'VARCHAR',
			'constraint' => 40,
			'null' => FALSE,
		),
		'country' => array(
			'type' => 'VARCHAR',
			'constraint' => 80,
			'null' => TRUE,
		),
		'country_iso' => array(
			'type' => 'CHAR',
			'constraint' => 2,
			'null' => FALSE,
		),
		'region' => array(
			'type' => 'VARCHAR',
			'constraint' => 50,
			'null' => TRUE,
		),
		'region_abbrev' => array(
			'type' => 'CHAR',
			'constraint' => 4,
			'null' => TRUE,
		)	
	);

	/**
	 * Install this migration
	 *
	 * @return void
	 */
	public function up()
	{
		$this->dbforge->add_field($this->fields);
		$this->dbforge->add_key('id', true);
		$this->dbforge->add_key('country_iso', false);
		$this->dbforge->create_table($this->table_name);
	}

	//--------------------------------------------------------------------

	/**
	 * Uninstall this migration
	 *
	 * @return void
	 */
	public function down()
	{
		$this->dbforge->drop_table($this->table_name);
	}

	//--------------------------------------------------------------------

}