<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 13;
$can_delete	= $this->auth->has_permission('Visitors.Reports.Delete');
$has_records	= isset($records) && is_array($records) && count($records);
if ($can_delete):
    $num_columns++;
endif;
?>
<div class='alert alert-block alert-info fade show'><a class='close' data-dismiss='alert'>&times;</a><?php echo lang('help_maxmind');?></div>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<div class="row pb-2">
		<div class="col-md-8">
			<?php echo lang('label_results'); ?>: <span class="btn btn-primary"><?php echo $filtered_results;?></span>
		</div>
		<div class="col-md-4">
		<?php echo search_admin(lang('placeholder_visitors_search'), '', '');?>
		</div>
	</div>
	<div class="table-responsive">
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('ip', lang('ip_address'));?></th>
					<th><?php echo form_filter('city', lang('label_city'));?></th>
					<th><?php echo form_filter('region', lang('label_state'));?></th>
					<th><?php echo form_filter('country', lang('label_country'));?></th>
					<th><?php echo form_filter('created_on', lang('created_on'));?></th>
					<th><?php echo form_filter('last_visit', lang('label_last_visit'));?></th>
					<th><?php echo form_filter('visits', lang('label_visits'));?></th>
					<th><?php echo form_filter('counter', lang('label_counter'));?></th>
					<th><?php echo lang('label_action'); ?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger btn-delete' value="<?php echo lang('bf_action_delete'); ?>" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' class='chk-status' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php e($record->ip); ?></td>
					<td><?php e($record->city); ?></td>
					<td><?php e($record->region . (!empty($record->region_abbrev) ? ' (' . $record->region_abbrev .')' : '')); ?></td>
					<td><?php e($record->country . (!empty($record->country_abbrev) ? ' (' . $record->country_abbrev .')' : '')); ?></td>
					<td><?php e($record->created_on); ?></td>
					<td><?php e($record->last_visit); ?></td>
					<td><?php e($record->visits); ?></td>
					<td><?php e($record->counter); ?></td>
					<td>
					<?php if(!empty($record->result)):?>
					<a href="#visitorInfo_<?php echo $record->id;?>" role="button" class="btn btn-success btn-xs" id="<?php echo $record->id;?>" data-toggle="modal"><i class="icon-map-marker icon-white"></i></a>
					<?php endif;?>
					<a class="btn btn-info btn-xs" href="<?php echo site_url(SITE_AREA . '/reports/visitors/view/' . $record->id)?>"><?php echo lang('label_view');?></a></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>	
	</div>
	<?php echo form_close(); ?>
	<div class="pagination pagination-right">
	<?php echo $this->pagination->create_links(); ?>
	</div>
    <?php
		if ($has_records) :
		foreach ($records as $record) :
	?>
    <?php if(!empty($record->result)): 
    $result = unserialize($record->result);
    $location = array();
    $location['address'] = $result['formatted_address'];
    foreach ($result['address_components'] as $component) {
    	switch ($component['types']) {
    		case in_array('street_number', $component['types']):
    			$location['street_number'] = $component['long_name'];
    			break;
    		case in_array('route', $component['types']):
    			$location['street'] = $component['long_name'];
    			break;
    		case in_array('sublocality', $component['types']):
    			$location['sublocality'] = $component['long_name'];
    			break;
    		case in_array('locality', $component['types']):
    			$location['locality'] = $component['long_name'];
    			break;
    		case in_array('administrative_area_level_2', $component['types']):
    			$location['city'] = $component['long_name'];
    			break;
    		case in_array('administrative_area_level_1', $component['types']):
    			$location['region'] = $component['long_name'] . ' ('. $component['short_name'] .')';
    			break;
    		case in_array('postal_code', $component['types']):
    			$location['postal_code'] = $component['long_name'];
    			break;
    		case in_array('country', $component['types']):
    			$location['country'] = $component['long_name'] . ' ('. $component['short_name'] .')';
    			break;
    	}
    }
    $location['latitude'] = $result['geometry']['location']['lat'];
    $location['longitude'] = $result['geometry']['location']['lng'];
    $visitor_info = serialize($location);
    
    ?>
	<!-- Visitor Info Modal -->
	<div id="visitorInfo_<?php echo $record->id;?>" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="visitorInfo<?php echo $record->id;?>" aria-hidden="true">
	<div class="modal-header">
	    <h3 class="sales-color"><?php echo lang('label_visitor_info');?></h3>
		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
	 </div>
	 <div class="modal-body">
	   	<table class="table table-bordered table-striped">      	
		<?php foreach (unserialize($visitor_info) as $pkey => $pvalue):?>
		<tr>
			<td><strong><?php echo strtoupper(str_replace('_', ' ', $pkey));?></strong></td>
			<td><?php echo $pvalue;?></td>
		</tr>	
		<?php endforeach;?>	
		</table>
	</div>
	</div>	
	 <?php endif; ?>
	 <?php endforeach;?>		
     <?php endif;?>
</div>