<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
echo form_validations();
$record = isset($record) ? $record : array();
$id = isset($record->id) ? $record->id : '';
?>
<div class='admin-box'>
    <?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
        <fieldset>
            <legend class="legend-padding-top h4"><?php echo lang('general_information');?></legend>
            <?php
            echo gc_form_element('text', array('name' => 'ip', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('ip_address'), 'col-sm-4');
            echo gc_form_element('text', array('name' => 'created_on', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('created_on'), 'col-sm-4');
            echo gc_form_element('text', array('name' => 'last_visit', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('label_last_visit'), 'col-sm-4');
            echo gc_form_element('text', array('name' => 'visits', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('label_visits'), 'col-sm-4');
            echo gc_form_element('text', array('name' => 'counter', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('label_counter'), 'col-sm-4');
            echo gc_form_element('text', array('name' => 'location', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), (isset($location) ? $location  : ''), lang('search_location'), 'col-sm-4');
            echo gc_form_element('text', array('name' => 'language', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), (isset($record->language) ? ucwords($record->language)  : ''), lang('bf_language'), 'col-sm-4');
            ?>
			</fieldset>
			
			<fieldset>
			<?php if(!empty($record->country) || !empty($record->country_abbrev)):
			$geoip_options = array (
			    0 => lang('label_disabled'),
			    1 => 'MaxMind - http://www.maxmind.com',
			    2 => 'Google API',
			    3 => 'ExtremeIPLookup - https://extreme-ip-lookup.com'
			);
			?>
			<legend class="legend-padding-top"><?php echo lang('api_information') . ': <strong>' . $geoip_options[$record->geo_source] . '</strong>';?></legend>
			<?php endif;?>
			<?php 
			if(!empty($record->address)):
			echo gc_form_element('text', array('name' => 'address', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('label_address'), 'col-sm-4');	
			endif;
			if(!empty($record->city)):
			echo gc_form_element('text', array('name' => 'city', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('label_city'), 'col-sm-4');				
			endif;
			if(!empty($record->region) || !empty($record->region_abbrev)):
			echo gc_form_element('text', array('name' => 'region', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), (isset($record->region) ? $record->region  . (!empty($record->region_abbrev) ? ' (' . $record->region_abbrev .')' : '') : ''), lang('label_state'), 'col-sm-4');	
			endif;
			if(!empty($record->country) || !empty($record->country_abbrev)):
			echo gc_form_element('text', array('name' => 'country', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), (isset($record->country) ? $record->country  . (!empty($record->country_abbrev) ? ' (' . $record->country_abbrev .')' : '') : ''), lang('label_country'), 'col-sm-4');
			endif;
			if(!empty($record->locale_code)):
			echo gc_form_element('text', array('name' => 'locale_code', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), (isset($record->locale_code) ? $record->locale . ' - ' . $record->locale_code : ''), lang('label_locale'), 'col-sm-4');
			endif;
			if(!empty($record->postal_code)):
			echo gc_form_element('text', array('name' => 'postal_code', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('label_postal_code'), 'col-sm-4');
			endif;
			if(!empty($record->latitude)):
			echo gc_form_element('text', array('name' => 'latitude', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('label_latitude'), 'col-sm-4');
			endif;
			if(!empty($record->longitude)):
			echo gc_form_element('text', array('name' => 'longitude', 'label_width' => 'col-sm-3', 'extra' => array('readonly' => TRUE)), $record, lang('label_longitude'), 'col-sm-4');	
			endif;
			if(!empty($record->latitude) && !empty($record->longitude)):
				if(settings_item('lst.map_leaflet') == 1):
				$map_params = ' data-latitude="' . $record->latitude . '" data-longitude="' . $record->longitude . '"';
				echo gc_form_element('map', array('label_width' => 'col-sm-3'), $map_params, lang('label_location'), 'col-sm-9');
				else:?>
				<address><?php echo $record->latitude . ',' . $record->longitude; ?></address>
				<?php
				endif;
			endif;
			?>                     
        </fieldset>
        <div class="form-row card card-body bg-light">
        	<div class="col-sm-6 offset-sm-3">
             <?php echo anchor(SITE_AREA . '/reports/visitors', lang('cancel'), 'class="btn btn-warning"'); ?>
            
            <?php if ($this->auth->has_permission('Visitors.Reports.Delete')) : ?>
                <?php echo lang('bf_or'); ?>
                <button type='submit' name='delete' formnovalidate class='btn btn-danger' id='delete-me' onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>');">
                    <span class='icon-trash icon-white'></span>&nbsp;<?php echo lang('bf_action_delete'); ?>
                </button>
            <?php endif; ?>
            </div>
        </div>
    <?php echo form_close(); ?>
</div>