<?php
/*=======================================================================*\
|| ###################################################################### ||
|| # GoClixy - Business Directory Script							    # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				    # ||
|| # ----------------------------------------------------------------   # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license    # ||
|| # confers  no  title  or ownership in the Script and is not a sale   # ||
|| # of any rights to the Software. This file may not be redistributed  # ||
|| # in whole or significant part.									    # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------    # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html 	    # ||
|| ###################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 7;
$has_records = isset($records) && is_array($records) && count($records);
?>
<?php
$validation_errors = validation_errors();
if ($validation_errors) :
?>
<div class="alert alert-block alert-danger">
	<a class="close" data-dismiss="alert">&times;</a>
	<h4 class="alert-heading"><?php echo lang('validations_error');?></h4>
	<?php echo $validation_errors; ?>
</div>
<?php endif;?>
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<div class="row">
<div class="offset-sm-3 col-sm-6">
<div class="card card-default top1">
<div class="card-body">
<div class="input-group">
	<div class="input-group-prepend">
		<span class="input-group-text">
			<?php echo settings_item('site.currency_symbol');?>
		</span>
	</div>
	<input type="text" name="amount" class="form-control" placeholder="<?php echo lang('label_amount');?>" value="<?php echo set_value('amount')?>">
  <span class="input-group-btn">
  		<button class="btn btn-secondary" type="submit" name="add" type="button"><?php echo lang('ls_action');?></button>
  </span>
</div>
</div>
</div>
</div>
</div>
<h3><?php echo lang('wallet_history');?></h3>
<hr>
<table class='table table-striped table-bordered'>
    <thead>
        <tr>
            <th><?php echo lang('label_id');?></th>
            <th><?php echo lang('opening_balance');?></th>
            <th><?php echo lang('label_debit');?></th>
            <th><?php echo lang('label_credit');?></th>
            <th><?php echo lang('closing_balance');?></th>
            <th><?php echo lang('transaction_type');?></th>
            <th><?php echo lang('label_ip_address');?></th>
            <th><?php echo lang('label_datetime');?></th>
        </tr>
    </thead>
    <tbody>
        <?php if ($has_records) : ?>
		<?php foreach ($records as $record) : ?>
        <tr>
        	<td><?php e($record->id); ?></td>          
			<td><?php e($record->opening_balance); ?></td>
			<td><?php echo $record->debit == 0 ? '<i class="fas fa-times"></i>' : $record->debit; ?></td>
			<td><?php echo $record->credit == 0 ? '<i class="fas fa-times"></i>' : $record->credit; ?></td>
			<td><?php e($record->closing_balance); ?></td>
			<td><?php e($this->wallets_points_model->transaction($record->type_id)); ?></td>
			<td><?php e($record->ip_address); ?></td>					
			<td><?php e($record->created_on); ?></td>
        </tr>
        <?php endforeach; ?>
        <?php else:?>
        <tr><td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td></tr>
        <?php endif?>
    </tbody>
</table>
<?php echo form_close();?>
<?php echo $this->pagination->create_links(); ?>