<?php
/**
 * Parameters
 * @param array $labels - Chart Labels
 * @param array $data - Chart Data
 * @param string $type - Chart Type
 * @param string $label - Label on the Chart Top
 * @param boolean $with_dates - Display From and To selection dates
 * @var Ambiguous $labels_json
 * Note: For extra parameters, please use session variables
 */
$labels_json = json_encode($labels);
$data_json = json_encode($data);
$chart_type = isset($type) ? $type : 'bar';
$table = isset($table) ? $table : 'commissions';
$label = isset($label) ? $label : ''; // Chart Label
$total_rows = isset($total) ? $label . ': ' . $total : 0;
// Ajax POST URL
$graph_url = site_url('ajax/update/' . $table);
$ci_csrf_token = $this->security->get_csrf_hash(); // CSRF Token
if(isset($with_dates) && $with_dates):
?>
$('#date_from').datetimepicker({
    format: 'YYYY-MM-DD', 
    widgetPositioning: {
        horizontal: 'right',
        vertical: 'bottom'
    }
});
$('#date_to').datetimepicker({
    format: 'YYYY-MM-DD', 
    widgetPositioning: {
        horizontal: 'right',
        vertical: 'bottom'
    }
});
// Update chart on button click
// Display chart between two dates 
$('#updateChart').click(function() {
    var dateFrom = $('#date_from').val();
    var dateTo = $('#date_to').val();
    if(dateFrom == '' || dateTo == '' || dateFrom > dateTo) {
        alert('<?php echo lang('gc_invalid_dates'); ?>');
    } else {
        $.post( '<?php echo $graph_url; ?>', {'ci_csrf_token': '<?php echo $ci_csrf_token; ?>', 'from': dateFrom, 'to': dateTo}, function( data ) {
            if(data.success == 1) { 
                <?php echo $field_id; ?>.data.labels = data.labels;
                <?php echo $field_id; ?>.data.datasets[0].data = data.data;
                <?php echo $field_id; ?>.options.title.text = '<?php echo $label; ?>: ' + data.total;
                <?php echo $field_id; ?>.update(); 
            }
        });
    }
});
<?php endif; ?>

// Draw Chart
var <?php echo $field_id; ?>ctx = document.getElementById('<?php echo $field_id; ?>').getContext('2d');
var <?php echo $field_id; ?> = new Chart(<?php echo $field_id; ?>ctx, {
    type: '<?php echo $chart_type; ?>',
    data: {
        labels: <?php echo $labels_json; ?>,
        datasets: [{
            label: '<?php echo $label; ?>',
            data: <?php echo $data_json; ?>,
            backgroundColor: [
                'rgba(255, 99, 132, 0.2)',
                'rgba(54, 162, 235, 0.2)',
                'rgba(255, 206, 86, 0.2)',
                'rgba(75, 192, 192, 0.2)',
                'rgba(153, 102, 255, 0.2)',
                'rgba(255, 159, 64, 0.2)'
            ],
            borderColor: [
                'rgba(255, 99, 132, 1)',
                'rgba(54, 162, 235, 1)',
                'rgba(255, 206, 86, 1)',
                'rgba(75, 192, 192, 1)',
                'rgba(153, 102, 255, 1)',
                'rgba(255, 159, 64, 1)'
            ],
            borderWidth: 1
        }]
    },
    options: {
		responsive: true,
        legend: {
          display: false,
        },
		title: {
			display: true,
			text: '<?php echo $total_rows; ?>'
		},
		tooltips: {
			mode: 'index',
			intersect: false,
		},
		hover: {
			mode: 'nearest',
			intersect: false
		},
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        }
    }
});