<button type="button" class="btn btn-primary btn-sm ml-1" data-toggle="modal" data-target="#filterModal">
  	<i class="fas fa-filter fa-fw mr-1"></i><?php echo lang('bf_action_filter'); ?>
</button>
<?php if($this->session->userdata($module . '_rows_filter')):?>
<button type="submit" class="btn btn-danger btn-sm" name="clear_filter" value="clear_filter" data-toggle="tooltip" data-title="<?php echo lang('clear_filter'); ?>">
  	<i class="fas fa-times fa-fw"></i>
</button>
<?php endif;?>
<?php if(!empty($has_export)):?>
<button type="submit" name="download" value="pdf" data-toggle="tooltip" data-title="<?php echo lang('pdf'); ?>" class="btn btn-danger btn-sm"><i class="fas fa-file-pdf"></i></button>
<button type="submit" name="download" value="xls" data-toggle="tooltip" data-title="<?php echo lang('excel'); ?>" class="btn btn-success btn-sm"><i class="fas fa-file-excel"></i></button>
<?php endif; ?>
<div class="modal" id="filterModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header bg-primary text-white pt-2 pb-2">
        <h4 class="modal-title"><?php echo lang('bf_action_filter'); ?></h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <?php
        $record = (array) $this->session->userdata($module . '_rows_filter');
        foreach($filter_fields as $filter_field):
        switch($filter_field) {
            case 'module_id':
                $commission_modules = array(
                    '' => lang('placeholder_select')
                );
                $applicable_modules_filter = array();
                switch($module) {
                    case 'commissions':
                        $applicable_modules_filter = $this->commissions_model->applicable_modules;
                        break;
                    case 'payouts':
                        $applicable_modules_filter = $this->payouts_model->applicable_modules;
                        $applicable_modules_filter[] = 'commissions';
                        break;
                    default:
                        $applicable_modules_filter = gc_modules();
                }
                foreach($applicable_modules_filter as $commission_module):
                    $commission_modules[gc_module_id($commission_module)] = lang($commission_module);
                endforeach;
                echo gc_form_element('dropdown', array('name' => 'module_id', 'options' => $commission_modules, 'extra' => array('placeholder' => lang('placeholder_select'))), $record, lang('label_module'), 'col-sm-8');
                break;
            case 'user_id':
                echo gc_form_element('selectize', array('name' => $filter_field, 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/users'), 'module' => 'users', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bf_user'), 'col-sm-8');
                break;
            case 'sales_executive_id':
                echo gc_form_element('selectize', array('name' => $filter_field, 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/sales_users'), 'module' => 'sales_users', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('us_sales_user'), 'col-sm-8');
                break;
            case 'business_user_id':
                echo gc_form_element('selectize', array('name' => $filter_field, 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/business_users'), 'module' => 'business_users', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('bf_user'), 'col-sm-8');
                break;
            case 'seller_id':
                echo gc_form_element('selectize', array('name' => $filter_field, 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/business_users'), 'module' => 'business_users', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('us_seller'), 'col-sm-8');
                break;
            case 'row_id':
            case 'product_id':
                echo gc_form_element('selectize', array('name' => $filter_field, 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/products'), 'module' => 'products', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('singular_products'), 'col-sm-8');
                break;
            case 'subscriber_id': // followups
                echo gc_form_element('selectize', array('name' => $filter_field, 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/subscriber_users'), 'module' => 'subscriber_users', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('singular_subscriber_users'), 'col-sm-8');
                break;
            case 'date_from':
                echo gc_form_element('text', array('type' => 'text', 'name' => 'date_from', 'extra' => array('placeholder' => lang('label_from'))), $record, lang('label_from'), 'col-sm-8');
                break;
            case 'date_to':
                echo gc_form_element('text', array('type' => 'text', 'name' => 'date_to', 'extra' => array('placeholder' => lang('label_to'))), $record, lang('label_to'), 'col-sm-8');
                break;
            case 'brand_ids':
                echo gc_form_element('selectize', array('name' => 'brand_ids', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/product_brands'), 'module' => 'product_brands', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('singular_product_brands'), 'col-sm-8');
                break;
            case 'brand_id':
                echo gc_form_element('selectize', array('name' => 'brand_id', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/product_brands'), 'module' => 'product_brands', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('singular_product_brands'), 'col-sm-8');
                break;
            case 'product_ids':
                echo gc_form_element('selectize', array('name' => 'product_ids', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/products'), 'module' => 'products', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('singular_products'), 'col-sm-8');
                break;
            case 'category_id':
                echo gc_form_element('selectize', array('name' => 'category_id', 'max_items' => 1, 'module' => 'categories', 'load_url' => site_url('ajax/selectizeSearch/categories'), 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('label_category'), 'col-sm-8');
                break;
            case 'tag_id':
                echo gc_form_element('selectize', array('name' => 'tag_id', 'max_items' => 1, 'module' => 'tags', 'load_url' => site_url('ajax/selectizeSearch/tags'), 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('label_tag'), 'col-sm-8');
                break;
            case 'city_id':
                echo gc_form_element('selectize', array('name' => 'city_id', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/cities'), 'module' => 'cities', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('label_city'), 'col-sm-8');
                break;
            case 'listing_id':
                echo gc_form_element('selectize', array('name' => 'listing_id', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/listings'), 'module' => 'listings', 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('label_listing'), 'col-sm-8');
                break;
            case 'group_ids':
                switch($module) {
                    case 'leads':
                        $group_module = 'lead_groups';
                        break;
                    case 'mobile_links':
                        $group_module = 'mobile_link_groups';  
                        break;       
                    default:                        
                        if(strpos($module, 'product_') !== false):
                            $group_module = 'product_content_groups';
                        elseif(strpos($module, 'subscriber_') !== false):
                            $group_module = 'subscriber_groups';
                        elseif(strpos($module, 'training_') !== false):
                            $group_module = 'training_groups';
                        elseif(strpos($module, 'email_') !== false):
                            $group_module = 'email_template_groups';
                        else:
                            $group_module = 'groups';
                        endif;
                }
                echo gc_form_element('selectize', array('name' => 'group_ids', 'max_items' => 1, 'load_url' => site_url('ajax/selectizeSearch/' . $group_module), 'module' => $group_module, 'extra' => array('placeholder' => lang('placeholder_selectize'))), $record, lang('singular_groups'), 'col-sm-8');
                break;
            case 'location':
                echo field_location(array('name' => 'location', 'is_array' => false, 'size' => 'col-sm-8', 'label_width' => 'col-sm-3', 'required' => false), $record);
                break;
            case 'package_id':
                echo gc_form_element('dropdown', array('name' => 'package_id', 'options' => $this->fields_model->dropdown_options('packages', true, 'title', 'id', 'deleted = 0'), 'extra' => array('placeholder' => lang('placeholder_select'))), $record, lang('label_package'), 'col-sm-8');
                break;
            case 'menu_id':
                echo gc_form_element('dropdown', array('name' => 'menu_id', 'options' => $this->fields_model->dropdown_options('link_menus'), 'extra' => array('placeholder' => lang('placeholder_select'))), $record, lang('singular_link_menus'), 'col-sm-8');
                break;
            case 'is_affiliate':
                $commission_filter_options = array(
                    '' => lang('gc_tab_all'),
                    2 => lang('us_admin'),
                    1 => lang('affiliate_only')
                );
                echo gc_form_element('dropdown', array('name' => 'is_affiliate', 'options' => $commission_filter_options, 'label_width' => 'col-md-3'), $record, lang('gc_menu_commissions'), 'col-sm-8');
                break;                
            case 'type_id':
                if($module == 'posts'):
                    echo gc_form_element('dropdown', array('name' => 'menu_id', 'options' => $this->fields_model->dropdown_options('post_types'), 'extra' => array('placeholder' => lang('placeholder_select'))), $record, lang('singular_post_types'), 'col-sm-8');
                endif;
                break;
        }
        endforeach;
        ?>
      </div>
      <div class="modal-footer">
      	<button type="submit" class="btn btn-primary" name="filter" value="filter"><?php echo lang('gc_action_submit'); ?></button>
        <button type="button" class="btn btn-danger" data-dismiss="modal"><?php echo lang('form_close'); ?></button>
      </div>
    </div>
  </div>
</div>