<?php
/**
 * Admin Panel Nav Tabs
 * filter = Filter Type
 * condition = Filter Condition
 * url = Index URL
 * title = Link Title
 */
?>
<ul class="nav nav-tabs">
	<?php 
	if(!empty($nav_tabs)):
	foreach($nav_tabs as $nav_tab):
	if(isset($nav_tab['type'])):?>
	<li class="nav-item dropdown<?php echo isset($nav_tab['active']) && $nav_tab['active'] ? ' active' : ''; ?>">
      	<a class="nav-link text-muted dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><?php echo $nav_tab['title']; ?></a>
		<div class="dropdown-menu">
			<?php
			foreach($nav_tab['records'] as $key => $record):
			$url = $nav_tab['url'];
			switch($nav_tab['record_type']) {
			    case 'modules':
			        $url = anchor($nav_tab['url'] . $record . '/', lang($record), 'class="dropdown-item"');
			        break;
			    case 'statuses':
			        $url = anchor($nav_tab['url'] . $record . '/', lang('tab_' . $record), 'class="dropdown-item' . ($nav_tab['filter'] == $record ? ' active' : '') . '"');
			        break;
			    case 'roles':
			        $url = anchor($nav_tab['url'] . 'role_id-' . $record->role_id, $record->role_name . (!empty($record->counts) ? ' <span class="badge badge-danger">' . $record->counts . '</span>' : ''), 'class="dropdown-item"');
			        break;
			    case 'packages':
			        $url = anchor($nav_tab['url'] . 'package_id-' . $record->id, $record->title, 'class="dropdown-item"');
			        break;
			    case 'status_id':
			    case 'priority_id':
			    case 'department_id':
			    case 'product_id':
			        $url = anchor($nav_tab['url'] . $nav_tab['record_type'] . '--' . $key . '/', ((isset($nav_tab['label_prefix']) ? $nav_tab['label_prefix'] : '') . $record['name'] . ' <span class="badge badge-danger">' . $record['counts'] . '</span>'), 'class="dropdown-item"');
			        break;
			    default:
			        $url = anchor($nav_tab['url'] . $record . '/', lang((isset($nav_tab['label_prefix']) ? $nav_tab['label_prefix'] : '') . $record), 'class="dropdown-item"');
			        break;
			}			 
			?>
            <?php echo $url; ?>
			<?php endforeach; ?>
		</div>
	</li>
	<?php
	else:
	$nav_tab_active = $nav_tab['filter'] == $nav_tab['condition'] ? ' active' : '';
	?>
	<li class="nav-item"><?php echo anchor($nav_tab['url'], $nav_tab['title'], 'class="nav-link text-muted' . $nav_tab_active . '"'); ?></li>
	<?php
	endif;
	endforeach;
	endif;
	?>
</ul>