<?php 
$header = '';
$bootstrap_css = '';
$bootstrap_js = '';
if(isset($extra['load_bootstrap'])):
    $bootstrap_css = '<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">' . PHP_EOL;
    $bootstrap_css .= '<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">';
    $bootstrap_js .= '<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.bundle.min.js" integrity="sha384-pjaaA8dDz/5BgdFUPX6M/9SUZv4d12SUPF0axWc+VRZkx5xU3daN+lYb49+Ax+Tl" crossorigin="anonymous"></script>';
endif;
$css = array();
if(!empty($extra['css'])):
    $folder_css = 'themes/default/css/';
    foreach($extra['css'] as $extra_css):
        $css[] = $folder_css . $extra_css;
    endforeach;
endif;
$js = array(); //array('bootstrap.bundle.min.js');
if(!empty($extra['js'])):
    $js = array_merge($js, $extra['js']);
endif;
if($has_header):
    // $logo = site_url('assets/images/'. settings_item('site.logo_pdf'));
    $logo_pdf = settings_item('site.logo_pdf');
    $regexp =  "/((?:https?\:\/\/|www\.)(?:[-a-z0-9]+\.)*[-a-z0-9]+.*)/i";
    if(preg_match($regexp, $logo_pdf)):
        $logo = $logo_pdf;
    else:
    $path = FCPATH . 'assets/images/'. settings_item('site.logo_pdf');
    $type = pathinfo($path, PATHINFO_EXTENSION);
    $data = file_get_contents($path);
    $logo = 'data:image/' . $type . ';base64,' . base64_encode($data);
    endif;
    $alt = settings_item('site.title');
    $assets_css = '';
    $assets_js = '';
    if(!empty($css)):
        foreach($css as $style) {
            $assets_css .= "<link rel='stylesheet' type='text/css' href='" . base_url() . $style . "' media='screen' />" . PHP_EOL;
        }
    endif;
    if(!empty($js)):
        foreach($js as $javascript):
            $assets_js .= "<script src='" . base_url() . "themes/default/js/" . $javascript . "' type='text/javascript'></script>" . PHP_EOL;
        endforeach;
    endif;
    $header = <<<EOL
<header><div class="img-box"><img src="{$logo}" alt="{$alt}" style="max-height: 50px;"/></div><hr></header>
<footer><hr></footer>
EOL;
endif;
?>
<html>
<head>
  <?php echo $bootstrap_css; ?>
  <?php echo $assets_css; ?>
  <?php echo $bootstrap_js; ?>
  <?php echo $assets_js; ?>
  <style>
    @page { margin: 100px 25px; }
    header { position: fixed; top: -60px; left: 0px; right: 0px; height: 50px; }
	.img-box {
		height: 50px;
		width: 100%;
		max-height: 50px;
		max-width: 100%;
		text-align: center;
		vertical-align: middle;
	}	
	.img-box img {
		display: block;
		height: 100%;
		width: auto;
		margin-left: auto;
		margin-right: auto;
	}
    footer { position: fixed; bottom: -60px; left: 0px; right: 0px; height: 50px; }
  </style>
</head>
<body><?php echo $header; ?>
  <main>
    <?php echo $content; ?>
  </main>
</body>
</html>