<?php
/**
 * Admin Panel Sub Navigation HTML Handling
 * Passed Parameters
 * segment - URI Segment (Optional)
 * condition - Active Condition
 * url - Redirect URL
 * label - Name of the Link
 */
?>
<?php 
if(!empty($nav_links)):
$nav_priority_links = array();
?>
<ul class="nav nav-pills">
<?php 
foreach($nav_links as $nav_link): 
$nav_segment = (isset($nav_link['segment']) ? $nav_link['segment'] : $this->uri->segment(4));
// Nav Active
if(isset($nav_link['active']) && $nav_link['active']): // Listings Module
    $nav_active = ' active';
else:
$nav_active = (isset($nav_link['condition']) && $nav_segment == $nav_link['condition']
    || isset($nav_link['condition']) && empty($nav_link['condition']) && $nav_segment == 'index' ? ' active' : '');
endif;

$nav_title = isset($nav_link['title']) ? $nav_link['title'] : $nav_link['label'];
$nav_id = isset($nav_link['id']) ? $nav_link['id'] : $nav_link['label'];
$nav_tooltip = '';
if(isset($nav_link['tooltip']) && $nav_link['tooltip']):
    $nav_tooltip = 'data-toggle="tooltip" data-placement="bottom" ';
endif;
// permission check
$display_link = true;
if(!empty($nav_link['permission'])):
    if(!$this->auth->has_permission($nav_link['permission'])):
        $display_link = false;
    endif;
endif;
?>
<?php if($display_link): 
$nav_url = site_url(SITE_AREA .'/' . $nav_link['url']);
if(isset($nav_link['full_url'])):
$nav_url = $nav_link['url'];
endif;
if(isset($nav_link['priority'])):
$nav_priority_links[] = '<li class="nav-item">' . PHP_EOL . '<a href="' . $nav_url . '" id="' . $nav_id . '" ' . $nav_tooltip . 'title="' . $nav_title . '" class="nav-link' . $nav_active . '">' . $nav_link['label'] . '</a>' . PHP_EOL . '</li>';
else:?>
	<li class="nav-item<?php echo $nav_active; ?>">
		<a href="<?php echo $nav_url; ?>" id="<?php echo $nav_id; ?>" <?php echo $nav_tooltip; ?>title="<?php echo $nav_title; ?>" class="nav-link"><?php echo $nav_link['label']; ?></a>
	</li>
<?php 
endif;
endif;
endforeach; ?>
<?php 
if(isset($nav_module)):
    $config_modules = gc_modules();
    // Additional Modules
    if(!empty($nav_modules_extras)):
    $config_modules = array_merge($config_modules, $nav_modules_extras);
    endif;
    foreach($config_modules as $config_module):
        if($config_module == 'listings' || gc_module_settings($config_module) == 1): ?>
<li class="nav-item<?php echo $this->uri->segment(5) == $config_module ? ' active' : '' ?>">
	<a href="<?php echo site_url(SITE_AREA . $nav_module . '/' . $config_module) ?>" id="list" role="button" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang($config_module); ?>" class="help-label nav-link">
	<i class="fa fa-<?php echo gc_module_icon($config_module); ?> fa-lg"></i>
	</a>
</li>
<?php
        endif;
    endforeach;
endif;
// Place menu after Modules links
if(!empty($nav_priority_links)):
    echo implode(PHP_EOL, $nav_priority_links);
endif;
if($this->auth->has_permission('Site.Module.Help') && !isset($no_help_link)):
?>
<li class="nav-item bg-danger">
	<a href="javascript:void(0)" data-href="<?php echo site_url('ajax/help/' . $this->uri->segment(2) . '/' . $this->uri->segment(3)); ?>" role="button" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('help_product'); ?>" class="help-product nav-link text-white">
		<i class="fas fa-question-circle fa-lg"></i>
	</a>
</li>
<?php endif; ?>
</ul>
<?php endif; ?>