<?php
/**
 * Parameters
 * @param array $blocks - data in array format to be displayed to the user. e.g. total_rows => 2, inactive => 1 etc.
 * @param object $record - data fetched from database
 * @param boolean $is_colorful - Display blocks in different colors
 * @param string $module_prefix - e.g. forum, blog etc.
 * @param string $class_flip - display different color if the condition is not fulfilled
 */
if(isset($blocks) && isset($record)):
?>
<div class="row">
<?php
$classes = array('success', 'warning', 'info', 'secondary');
$i = 0;
$block_module = $module_prefix;
$is_colorful = isset($is_colorful) && $is_colorful ? true : false;
$cols = isset($cols) ? $cols : 3;
foreach($blocks as $block => $block_condition):
    $block_field = $block;
    $block_class = 'bg-' . ($is_colorful ? $classes[$i] : 'success');
    $block_class_flip = 'bg-' . (isset($class_flip) ? $class_flip : 'danger');
    $block_redirect_url = null;
    $value = null;
    if(!empty($record->{$block_field}) && is_array($record->{$block_field})):
        $row = $record->{$block_field};
        $value = $row['value'];
        if(!empty($row['url'])):
            $block_redirect_url = $row['url'];
        endif;
    else:
        $value = $record->{$block_field};
    endif;
    if(is_array($block_condition)):
    $card_class = !empty($value) ? $block_class : $block_class_flip;
        $card_icon = isset($block_condition['icon']) ? $block_condition['icon'] : 'fa-check-circle';
    else:
        if($block_condition == 1):
        $card_class = empty($value) ? $block_class : $block_class_flip;
        $card_icon = empty($value) ? 'fa-check-circle' : 'fa-exclamation-triangle';
        else:
        $card_class = !empty($value) ? $block_class : $block_class_flip;
        $card_icon = !empty($value) ? 'fa-check-circle' : 'fa-exclamation-triangle';
        endif;
    endif;
    ?>
    <div class="col-sm-<?php echo $cols; ?>">
    	<div class="card card-body <?php echo $card_class; ?> text-white rounded-0">
    		<?php $lang_key = (!empty($module_prefix) ? $module_prefix . '_' : '') . $block_field; ?>
    		<?php if(!empty($block_redirect_url)):?>
    			<a href="<?php echo $block_redirect_url; ?>" title="<?php echo lang($lang_key); ?>" class="text-white text-decoration-none">
            		<div class="d-block">
            		<i class="fa-2x fas <?php echo $card_icon; ?>"></i>
            		<span class="h2 ml-2"><?php echo $value; ?></span>
            		</div>
            		<p class="h4 m-0"><?php echo lang($lang_key); ?></p>
        		</a>
    		<?php else: ?>
        		<div class="d-block">
        		<i class="fa-2x fas <?php echo $card_icon; ?>"></i>
        		<span class="h2 ml-2"><?php echo $value; ?></span>
        		</div>
        		<p class="h4 m-0"><?php echo lang($lang_key); ?></p>
    		<?php endif; ?>
    	</div>
    </div>
<?php $i++; endforeach; ?>
</div>
<?php endif; ?>
<?php if($block_module == 'forum'):?>
<hr />
<div class="row">
	<div class="col-sm-4">
    <strong><?php echo lang('forum_last_registered_user'); ?></strong>: 
    <?php echo $this->load->view('forums/tpl/_profile', array('profile_user' => $record->last_registered_user)); ?>
	</div>
	<div class="col-sm-8">
    <strong><?php echo lang('forum_online'); ?></strong>: 
    <?php $this->load->view('forums/tpl/_profile', array('profile_user' => $record->online_users_info, 'is_by' => false)); ?>
	</div>
</div>
<hr />
<?php endif;?>
<div class="row pt-2">
<?php
if(isset($record->tabular_blocks)):
foreach($record->tabular_blocks as $column => $data):
if(!empty($data)):
        switch($column) {
            case 'top_visited':
            case 'top_downloads':
                $field = 'hits';
                break;
            case 'recently_viewed':
                $field = 'last_viewed';
                break;
            default:
                $field = 'created_on';
        }
        $this->load->view('common/_summary_table_01', array('records' => $data, 'label' => lang($block_module . '_' . $column), 'field' => $field));
    endif;
endforeach;
endif;
?>
</div>