<?php if(settings_item('lst.google_places_api') == 1):?>
// Clear input if nothing selected
var selected = true;
var componentForm = {
	locality: 'long_name', // City Name
    administrative_area_level_1: 'long_name', // State Name
    administrative_area_level_3: 'long_name', // State Name
    country: 'long_name', // Country Name
    postal_code: 'short_name' // Postal Code
};
// restrict search only to cities
var options = {
	types: ['(cities)'],
    <?php if(settings_item('lst.allow_country_selection') == 0):?>
    	componentRestrictions: {country: "<?php echo settings_item('adv.default_country');?>"} // restrict search only to a specific country
    <?php endif;?>
};
google.maps.event.addDomListener(window, 'load', function () {
	var places = new google.maps.places.Autocomplete(document.getElementById('txtPlaces'), options);
		google.maps.event.addListener(places, 'place_changed', function () {							           
			var place = places.getPlace();
			var placeExtra = JSON.stringify(place.geometry.location);
			placeExtra = $.parseJSON(placeExtra);
		                
    		<?php if(!isset($withoutMap) || (isset($withoutMap) && !$withoutMap)): // Leads Form?>
            // load map positions
            // check whether the address is defined or not
			var address = '';
           	if($('#address').length) {
            	address = $('#address').val();
            }
	        initialize(address + ', ' + $('#txtPlaces').val());
	        <?php endif;?>
                
		    // Get each component of the address from the place details
         	// and fill the corresponding field on the form.		            
            for (var i = 0; i < place.address_components.length; i++) {
            	var addressType = place.address_components[i].types[0];
                if (componentForm[addressType]) {
                	var val = place.address_components[i][componentForm[addressType]];
                	
                    if(addressType == 'locality') { // State Code
                   		$('#city').val(val);
                    }
                    
                    if(addressType == 'administrative_area_level_1' || addressType == 'administrative_area_level_3') {
                    	$('#state_abbrev').val(place.address_components[i]['short_name']); // State Code
                    	$('#state_name').val(val);
                    }

                    if(addressType == 'country') {
                    	$('#country_iso').val(place.address_components[i]['short_name']); // Country ISO
                    	$('#country_name').val(val);
                    }

                    if(addressType == 'postal_code') {
                    	placeExtra.postcode = val;
                    	$('#postcode').val(val);
                  	}
                  	// Clear input if nothing selected 
                  	selected = true;
               	}
             }
             // Lat, Lng and Postcode are stored in the placeExtra variable
             // alert(JSON.stringify(placeExtra));
		});
});
<?php if(!isset($id) || $id == 0):?>
// Clear input if nothing selected - 'focus replaced with 'change'
$('#txtPlaces').on('change', function() {
  	  selected = false;
}).on('blur', function() {
   	if (!selected) {
   		$(this).val('');
   	}
});
<?php endif;?>
<?php endif;?>