/*----------------------------------------------------*/
/*	Input-Ratings Refresh
/*----------------------------------------------------*/
$('#input-ratings').rating('refresh', {
	showClear: false, 
	showCaption: true,
	defaultCaption: '{rating} <?php echo lang('label_stars');?>',
	starCaptions: {
	  0.5: '<?php echo lang('label_half_star');?>',
	  1: '<?php echo lang('label_one_star');?>',
	  1.5: '<?php echo lang('label_one_half_star');?>',
	  2: '<?php echo lang('label_two_stars');?>',
	  2.5: '<?php echo lang('label_two_half_stars');?>',
	  3: '<?php echo lang('label_three_stars');?>',
	  3.5: '<?php echo lang('label_three_half_stars');?>',
	  4: '<?php echo lang('label_four_stars');?>',
	  4.5: '<?php echo lang('label_four_half_stars');?>',
	  5: '<?php echo lang('label_five_stars');?>'
	},		
	// the caption displayed when clear button is clicked
	clearCaption: '<?php echo lang('label_not_rated');?>'
}).on('rating:change', function(event, value) {
	var row_id = $(this).data('id');
	var module = $(this).data('module');
	$.ajax({
		type: "POST",
		url: site_url + 'starRating',
		dataType: 'json',
		data: {ratings: value, module: module, row_id: row_id, 'ci_csrf_token' : csrf_token},
		success: function(data) {
			$('#rating_feedback').addClass('badge badge-' + data.label);
			$('#rating_feedback').html(data.result);	      	
		}
	});
});

/*----------------------------------------------------*/
/*	Display Google Map for Address
/*----------------------------------------------------*/
if($("address").length > 0) {
	$("address").each(function(){                        
	    var embed ="<div class=\"embed-responsive embed-responsive-16by9\"><iframe class=\"embed-responsive-item\" frameborder='0' scrolling='no'  marginheight='0' marginwidth='0'   src='https://maps.google.com/maps?&amp;q="+ encodeURIComponent( $(this).text() ) +"&amp;output=embed'></iframe></div>";
	    $(this).html(embed);                            
	});
}