<?php $is_admin = !isset($role) || $role == 'admin' ? true : false;
if(empty($subject_variables) && empty($message_variables) && !empty($module)):
    $result = $this->gc->message_variables($module);
    $subject_variables = $result['variables'];
    $message_variables = $result['variables'];
endif;
?>
<!-- Send Email Form -->
<div class="modal fade" id="sendEmailModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header bg-theme-primary <?php echo $is_admin ? 'bg-secondary text-white rounded-0' : ''; ?>">
				<h5 class="modal-title h5 m-0"><?php echo lang('send_email');?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">&times;</span>
				</button>
			</div>
			<?php echo form_open('', 'id="sendEmailForm" data-toggle="validator" data-id="0" data-module="' . (!empty($module) ? $module : '') . '" data-replied="' . lang('label_replied') . '"'); ?>
				<div class="modal-body">
					<div class="loader" style="display: none;">
					    <img src="<?php echo gc_site_image('ajax-loader'); ?>" />
					</div>
                    <div class="message-block"></div>	
					<div id="sendEmail_form" class="row">
						<div class="col-sm-12">
							<div class="form-group<?php echo form_error('email_subject') ? ' error' : ''; ?>">
								<?php echo form_label(lang('label_subject') . lang('bf_form_label_required'), 'email_subject', array('class' => 'col-form-label')); ?>
				                <div class='has-feedback'>
				                    <input type='text' name='email_subject' class='form-control required' placeholder="<?php echo lang('placeholder_subject');?>" required data-error="<?php echo sprintf(lang('required'), lang('label_subject'));?>"/>
				                    <span class='help-inline with-errors no-margin'></span>
				                </div>				                				                
				                <?php if(isset($subject_variables)):?>
				                <p class="help-block"><small><?php echo $subject_variables;?></small></p>
				                <?php endif; ?>
				            </div>
				            
				            <div class="form-group<?php echo form_error('email_message') ? ' error' : ''; ?>">
				                <?php echo form_label(lang('label_message') . lang('bf_form_label_required'), 'email_message', array('class' => 'col-form-label')); ?>
				                <div class='has-feedback'>
				                	<textarea id="email_message" placeholder="<?php echo lang('placeholder_message');?>" class="form-control<?php echo $is_admin ? ' editor-filemanager' : ''; ?>" rows="5" name="email_message" data-error="<?php echo sprintf(lang('required'), lang('label_message'));?>"></textarea>
				                    <span class='help-inline with-errors no-margin'></span>
				                </div>				                
				                <?php if(isset($message_variables)):?>
				                <p class="help-block"><small><?php echo $message_variables;?></small></p>
				                <?php endif; ?>
				            </div>
			            </div>
					</div>
				</div>
				<div class="modal-footer">
					<input class="btn btn-warning btn-theme-primary gc-btn-ajax" type="submit" value="<?php echo lang('form_submit');?>" name="submit">
					<button class="btn btn-secondary btn-customize btn-theme-quinary" data-dismiss="modal" type="button"><?php echo lang('form_close');?></button>
				</div>
			<?php echo form_close();?>
		</div>
	</div>
</div>
<?php echo form_hidden('error_lang', lang('form_heading_title'));?>