<style>
.good, .bad {
	color: white;
	padding: 3px 6px;
	margin-bottom: 2px;
	display: inline-block;
}

.good {
	background: green;
}

.bad {
	background: red;
}

.background {
	background: linear-gradient(0deg, #fff, #c2e9f8);
	/* Standard syntax (must be last) */
	border-top: 2px solid #63B6DB;
}

.well {
	background-color: #f5f5f5;
	border: 1px solid #e3e3e3;
	border-radius: 4px;
	box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05) inset;
	margin-bottom: 20px;
	min-height: 20px;
	padding: 19px;
}
.alert p {
	margin-bottom: 5px;
}
.col-form-label {
	font-weight: 700;
}
</style>
<div class="container-fluid mt-4">
	<div class="page-header" align="center">
		<img src="<?php echo base_url(); ?>assets/images/logo-install.png"
		alt="GoClixy - Business Directory Script"
		title="GoClixy - Business Directory Script">
	</div>
	<hr>
	<h2 style="text-align: center;"><?php echo lang('in_site_heading');?></h2>
</div>
<div class="container">
<?php 
$validation_errors = validation_errors();

if ($validation_errors) :
?>
<div class="alert alert-block alert-danger">
	<a class="close" data-dismiss="alert">&times;</a>
	<h4 class="alert-heading"><?php echo lang('validations_error');?></h4>
	<?php echo $validation_errors; ?>
</div>
<?php endif; ?>
<?php  echo Template::message();?>
<?php if(is_writable($db_config_path)){?>
<?php if(isset($message)) {echo '<p class="error">' . $message . '</p>';}?>
<div class="tabbable">
	<ul class="nav nav-tabs" id="tab_bar">
		<li class="nav-item"><a href="#overview" data-toggle="tab" class="nav-link active ov"><span
				class="badge badge-pill badge-secondary badge-info" id="ov">1</span> <?php echo lang('in_overview');?> </a></li>
		<li class="nav-item"><a href="#configuration" data-toggle="tab" data-toggle-next="conf" class="nav-link conf"><span
				class="badge badge-pill badge-secondary" id="conf">2</span> <?php echo lang('in_configuration');?> </a></li>
		<li class="nav-item"><a href="#database" data-toggle="tab" class="nav-link db"><span class="badge badge-pill badge-secondary" id="db">3</span>
				<?php echo lang('in_database');?> </a></li>
	</ul>
	<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
	<div class="tab-content">
		<!-- TAB 1 -->
		<div class="tab-pane active" id="overview">
			<div class="row">
				<div class="col-md-12">
					<h3 class="float-left mt-3"><?php echo lang('in_pre_installation_check');?></h3>
					<button class="btn btn-info float-right" style="margin-top: 20px;"
						id="nexttab" type="button"><?php echo lang('in_next');?></button>
				</div>
			</div>
			<h5><?php echo lang('in_overview_heading');?></h5>
			<div class="card card-info background">
				<div style="padding-top: 30px" class="card-body">
					<div style="display: none" id="login-alert"
						class="alert alert-danger col-sm-12"></div>
					<table style="width: 100%;">
						<tbody>
							<!-- PHP Version -->
							<tr>
								<td><?php echo lang('in_php_version') .' <b>'. $php_min_version ?>+</b></td>
								<td style="width: 10em"><?php echo $php_acceptable ? '<span class="good">' : '<span class="bad">'; ?><?php echo $php_version ?></span></td>
							</tr>
							<tr>
								<td><?php echo lang('in_curl_enabled') ?></td>
								<td><?php echo $curl_enabled ? '<span class="good">'. lang('in_enabled') .'</span>' : '<span class="bad">'. lang('in_disabled') .'</span>'; ?></td>
							</tr>

							<!-- Folders -->
							<tr>
								<td colspan="2" style="text-align: center"><b><?php echo lang('in_folders') ?></b></td>
							</tr>
							<?php foreach ($folders as $folder => $perm) :?>
							<tr>
								<td><?php echo $folder ?></td>
								<td><?php echo $perm ? '<span class="good">'. lang('in_writeable') .'</span>' : '<span class="bad">'. lang('in_not_writeable') .'</span>' ?></td>
							</tr>
							<?php endforeach; ?>
							<!-- Files -->
							<tr>
								<td colspan="2" style="text-align: center"><b><?php echo lang('in_files') ?></b></td>
							</tr>

							<?php foreach ($files as $file => $perm) :?>
							<tr>
								<td><?php echo $file ?></td>
								<td><?php echo $perm ? '<span class="good">'. lang('in_writeable') .'</span>' : '<span class="bad">'. lang('in_not_writeable') .'</span>' ?></td>
							</tr>
						<?php endforeach; ?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<!-- TAB 2 -->
		<div class="tab-pane" id="configuration">
		<div class="row">
					<div class="col-md-12">
						<div class="btn-group float-right" style="margin-top: 20px; margin-bottom: 20px;">
							<button class="btn btn-secondary" id="confprevtab" type="button"><?php echo lang('in_prev');?></button>
							<button class="btn btn-info" id="confnexttab" type="button"><?php echo lang('in_next');?></button>								
						</div>							
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12">
						<div class="form-group form-row">
							<label class="col-md-3 col-form-label"><?php echo lang('in_site_title'). lang('bf_form_label_required');?></label>
							<div class="col-md-6">
								<input type="text" class="form-control" placeholder="<?php echo lang('in_site_title');?>" name="site_title" value="<?php echo isset($_POST['site_title']) ? $_POST['site_title'] : '';?>">
								<span class="help-block"><?php echo lang('in_site_title_help');?></span>
							</div>								
						</div>
						<div class="form-group form-row">
							<label class="col-md-3 col-form-label" for="inputError"><?php echo lang('in_site_email'). lang('bf_form_label_required');?></label>
							<div class="col-md-6">
								<input type="text" class="form-control" placeholder="<?php echo lang('in_site_email');?>" name="site_email" value="<?php echo isset($_POST['site_email']) ? $_POST['site_email'] : '';?>">
								<span class="help-block"><?php echo lang('in_site_name_help');?></span>
							</div>								
						</div>
						<div class="form-group form-row">
							<label class="col-md-3 col-form-label" for="inputError"><?php echo lang('in_site_description');?></label>
							<div class="col-md-6">
								<textarea class="form-control" placeholder="<?php echo lang('in_site_description');?>" name="site_description"><?php echo isset($_POST['site_description']) ? $_POST['site_description'] : '';?></textarea>
								<span class="help-block"><?php echo lang('in_site_description_help');?></span>
							</div>								
						</div>					
					</div><!-- end of left column -->
				</div><!-- end of row -->
		</div>
		<!-- TAB 3 -->
		<div class="tab-pane" id="database">
				<div class="row">
					<div class="col-md-12">
						<div class="btn-group float-right" style="margin-top: 20px; margin-bottom: 20px;">
							<button class="btn btn-secondary" id="prevtab" type="button"><?php echo lang('in_prev');?></button>
							<button class="btn btn-info" type="submit" name="save"><?php echo lang('in_submit'); ?></button>							
						</div>							
					</div>
				</div>
				<div class="form-group form-row">
					<label class="col-md-3 col-form-label"><?php echo lang('in_hostname'). lang('bf_form_label_required');?></label>
					<div class="col-md-6">
						<input type="text" id="db_hostname" class="form-control" name="db_hostname" placeholder="<?php echo lang('in_hostname');?>" value="<?php echo isset($_POST['db_hostname']) ? $_POST['db_hostname'] : '';?>"> 
						<span class="help-block"><?php echo lang('in_hostname_help');?></span>
					</div>						
				</div>
				<div class="form-group form-row">
					<label class="col-md-3 col-form-label" for="inputError"><?php echo lang('in_username'). lang('bf_form_label_required');?></label>
					<div class="col-md-6">
						<input type="text" id="db_username" class="form-control" placeholder="<?php echo lang('in_username');?>" name="db_username" value="<?php echo isset($_POST['db_username']) ? $_POST['db_username'] : '';?>">
						<span class="help-block"><?php echo lang('in_db_username_help');?></span>
					</div>						
				</div>

				<div class="form-group form-row">
					<label class="col-md-3 col-form-label" for="inputError"><?php echo lang('in_password'). lang('bf_form_label_required');?></label>
					<div class="col-md-6">
						<input type="password" id="db_password" class="form-control" placeholder="<?php echo lang('in_password');?>" name="db_password" value="<?php echo isset($_POST['db_password']) ? $_POST['db_password'] : '';?>">
						<span class="help-block"><?php echo lang('in_db_password_help');?></span>
					</div>						
				</div>

				<div class="form-group form-row">
					<label class="col-md-3 col-form-label" for="inputError"><?php echo lang('in_db_name'). lang('bf_form_label_required');?></label>
					<div class="col-md-6">
						<input type="text" class="form-control" placeholder="<?php echo lang('in_database');?>" name="db_name" value="<?php echo isset($_POST['db_name']) ? $_POST['db_name'] : '';?>"> 
						<span class="help-block"><?php echo lang('in_db_name_help');?></span>
					</div>						
				</div>				
		</div>
	</div>
	<?php echo form_close(); ?>
</div>
<?php } else { ?>
<div class="alert alert-block alert-danger">
<?php echo lang('in_config_writable');?>
</div>
<?php } ?>
</div>