<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$num_columns	= 10;
$can_delete	= $this->auth->has_permission($module . '.Financial.Delete');
$can_edit		= $this->auth->has_permission($module . '.Financial.Edit');
$has_records	= isset($records) && is_array($records) && count($records);

if ($can_delete):
    $num_columns++;
endif;
?>
<div class='admin-box'>
	<?php echo form_open($this->uri->uri_string()); ?>
	<?php echo search_admin(lang('placeholder_history'));?>
	<div class="table-responsive">	
		<table class='table table-striped'>
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class='column-check'><input class='check-all' type='checkbox' /></th>
					<?php endif;?>
					<th><?php echo form_filter('id', lang('label_id'));?></th>
					<th><?php echo form_filter('user_id', lang('label_user'));?></th>
					<th><?php echo form_filter('opening_balance', lang('opening_balance'));?></th>
					<th><?php echo form_filter('debit', lang('label_debit'));?></th>
					<th><?php echo form_filter('credit', lang('label_credit'));?></th>
					<th><?php echo form_filter('closing_balance', lang('closing_balance'));?></th>
					<th><?php echo form_filter('module_id', lang('transaction_type'));?></th>
					<th><?php echo form_filter('notes', lang('label_notes'));?></th>
					<th><?php echo form_filter('created_on', lang('label_datetime'));?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'>
						<?php echo lang('bf_with_selected'); ?>
						<input type='submit' name='delete' id='delete-me' class='btn btn-danger' value="<?php echo lang('bf_action_delete'); ?>" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>')" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class='column-check'><input type='checkbox' name='checked[]' value='<?php echo $record->id; ?>' /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<?php $user = $record->user_id . ' - ' . $record->display_name . '('. $record->email . ')';		
					$additional_info = !empty($record->additional_info) ? json_decode($record->additional_info, true) : array();
					if (!empty($additional_info['order_id'])):
					$user .= '<br /><span class="font-weight-bold">' . lang('label_order_id') . ':</span>' . " " . anchor(site_url(SITE_AREA . '/financial/orders/view/' . $additional_info['order_id'] . '/0/1') , $additional_info['order_id']);
					endif;
					?>
				<?php if ($can_edit) : ?>
					<td><?php echo $user;//echo anchor(SITE_AREA . '/financial/' . $module . '/edit/' . $record->id, '<i class="fas fa-edit"></i> ' .  $user); ?></td>
				<?php else : ?>
					<td><?php echo $user; ?></td>
				<?php endif; ?>
					<td><?php echo $module == 'points' ? $record->opening_balance : currency_format($record->opening_balance); ?></td>
					<td><?php echo $record->debit == 0 ? '<i class="fas fa-times alert alert-danger"></i>' : ($module == 'points' ? $record->debit : currency_format($record->debit)); ?></td>
					<td><?php echo $record->credit == 0 ? '<i class="fas fa-times alert alert-danger"></i>' : ($module == 'points' ? $record->credit : currency_format($record->credit)); ?></td>
					<td><?php echo $module == 'points' ? $record->closing_balance : currency_format($record->closing_balance); ?></td>
					<td><?php					
					if(!empty(gc_module_name($record->module_id))):
					$transaction_type = gc_module_translation(gc_module_name($record->module_id));
					elseif($record->module_id == 100):
					$transaction_type = lang('label_admin');
					elseif($record->module_id == 101):
					$transaction_type = lang('bf_user');
					else:
					$transaction_type = lang('not_applicable');
					endif;
					echo $transaction_type;
					?></td>
					<td>
					<?php if(!empty($record->notes)):?>
					<button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#notes<?php echo $record->id; ?>">
                      <?php echo lang('label_view'); ?>
                    </button>
                    <div class="modal fade" id="notes<?php echo $record->id; ?>" tabindex="-1" role="dialog" aria-labelledby="notes<?php echo $record->id; ?>Label" aria-hidden="true">
                      <div class="modal-dialog" role="document">
                        <div class="modal-content">
                          <div class="modal-header">
                            <h5 class="modal-title" id="notes<?php echo $record->id; ?>Label"><?php echo lang('label_notes'); ?></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="<?php echo lang('form_close'); ?>">
                              <span aria-hidden="true">&times;</span>
                            </button>
                          </div>
                          <div class="modal-body">
                            <?php echo $record->notes; ?>
                          </div>
                          <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo lang('form_close'); ?></button>
                          </div>
                        </div>
                      </div>
                    </div>
                    <?php endif; ?>
                    </td>				
					<td><?php e($record->created_on); ?></td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan='<?php echo $num_columns; ?>'><?php echo lang('error_no_record_found'); ?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
	</div>
	<?php
    echo form_close();    
    echo $this->pagination->create_links();
    ?>
</div>