<?php
/*=======================================================================*\
 || ###################################################################### ||
 || # GoClixy - Business Directory Script							    # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				    # ||
 || # ----------------------------------------------------------------   # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license    # ||
 || # confers  no  title  or ownership in the Script and is not a sale   # ||
 || # of any rights to the Software. This file may not be redistributed  # ||
 || # in whole or significant part.									    # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------    # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html 	    # ||
 || ###################################################################### ||
 \*=======================================================================*/
?>
<?php
$num_columns	= 10;
$has_records = isset($records) && is_array($records) && count($records);
?>
<?php
$validation_errors = validation_errors();
if ($validation_errors) :
?>
<div class="alert alert-block alert-danger">
	<a class="close" data-dismiss="alert">&times;</a>
	<h4 class="alert-heading"><?php echo lang('validations_error');?></h4>
	<?php echo $validation_errors; ?>
</div>
<?php endif;?>
<?php echo form_open($this->uri->uri_string(), 'class="form-horizontal"'); ?>
<?php if($module == 'wallets'):?>
<div class="row">
<div class="offset-sm-3 col-sm-6">
<div class="card card-default top1">
<div class="card-body">
<div class="input-group">
	<div class="input-group-prepend">
		<span class="input-group-text">
			<?php echo settings_item('site.currency_symbol');?>
		</span>
	</div>
  <input type="text" name="amount" class="form-control" placeholder="<?php echo lang('label_amount');?>" value="<?php echo set_value('amount')?>">
  <span class="input-group-btn">
  		<button class="btn btn-secondary btn-theme" type="submit" name="add" type="button"><?php echo lang('add');?></button>
  </span>
</div>
</div>
</div>
</div>
</div>
<?php elseif(isset($point_conversion)):?>
<button class="btn btn-primary btn-theme" type="submit" name="points_conversion" type="button"><?php echo lang('btn_points_conversion');?></button>
<?php endif;?>
<?php if($module == 'points'):?>
<!-- Button trigger modal -->
<button type="button" class="btn btn-info btn-sm" data-toggle="modal" data-target="#pointsTable">
  <?php echo lang('points_table'); ?>
</button>
<!-- Modal -->
<div class="modal fade" id="pointsTable" tabindex="-1" role="dialog" aria-labelledby="pointsTableLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h2 class="modal-title" id="pointsTableLabel"><?php echo lang('points_table');?></h2>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">        	
        <?php $points = json_decode(settings_item('user.points'));?>
        <table class="table table-bordered table-sm">
        <thead class="thead-light">
        	<tr>
        		<th><?php echo lang('label_module');?></th>
        		<th><?php echo lang('gc_menu_points');?></th>
        	</tr>
        </thead>
        <tbody>
        <?php 
        $has_points = false;
        if(!empty($points->modules)):
        foreach($points->modules as $gc_module => $points):
        if(!empty($points)):
        $has_points = true;
        ?>
        <tr>
        	<td><?php echo lang('singular_' . $gc_module);?></td>
        	<td><?php echo $points . ' ' . ($points == 1 ? lang('label_point') : lang('gc_menu_points')); ?></td>
        </tr>
        <?php
        endif;
        endforeach;
        endif;
        if(!$has_points):
        echo '<tr><td colspan="2">' . lang('error_no_record_found') . '</td></tr>';
        endif;
        ?>
        </tbody>
        </table>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo lang('form_close');?></button>
      </div>
    </div>
  </div>
</div>
<?php endif;?>
<hr>
<div class="table-responsive">
<table class='table table-striped table-bordered'>
    <thead>
        <tr>
            <th><?php echo form_filter('opening_balance', lang('opening_balance'));?></th>
            <th><?php echo form_filter('debit', lang('label_debit'));?></th>
            <th><?php echo form_filter('credit', lang('label_credit'));?></th>
            <th><?php echo form_filter('closing_balance', lang('closing_balance'));?></th>
            <th><?php echo form_filter('module_id', lang('transaction_type'));?></th>
            <th><?php echo form_filter('created_on', lang('label_datetime'));?></th>
            <th><?php echo lang('label_action'); ?></th>
        </tr>
    </thead>
    <tbody>
        <?php if ($has_records) : ?>
		<?php foreach ($records as $record) : ?>
        <tr>    
        	<?php if($module == 'points'): ?>
			<td><?php echo $record->opening_balance; ?></td>
			<td><?php echo $record->debit == 0 ? '<i class="fas fa-times"></i>' : $record->debit; ?></td>
			<td><?php echo $record->credit == 0 ? '<i class="fas fa-times"></i>' : $record->credit; ?></td>
			<td><?php echo $record->closing_balance; ?></td>
        	<?php else: ?>
			<td><?php echo currency_format($record->opening_balance); ?></td>
			<td><?php echo $record->debit == 0 ? '<i class="fas fa-times"></i>' : currency_format($record->debit); ?></td>
			<td><?php echo $record->credit == 0 ? '<i class="fas fa-times"></i>' : currency_format($record->credit); ?></td>
			<td><?php echo currency_format($record->closing_balance); ?></td>
        	<?php endif; ?>
			<td><?php e($this->wallets_points_model->transaction($record->module_id)); 
      if(!empty($record->additional_info)):
        $additional_info = json_decode($record->additional_info, true);
        if(!empty($additional_info['order_id'])):
            echo '<span class="small d-block">' . $additional_info['order_id'] . '</span>';
        endif;
      endif;
      ?></td>				
			<td><?php e($record->created_on); ?></td>			
			<td>
				<button type="submit" class="btn btn-primary btn-xs" name="email" value="<?php echo $record->id; ?>" data-toggle="tooltip" data-title="<?php echo lang('label_email'); ?>"><i class="fas fa-envelope"></i></button>
				<button type="submit" class="btn btn-danger btn-xs" name="pdf" value="<?php echo $record->id; ?>" data-toggle="tooltip" data-title="<?php echo lang('pdf'); ?>"><i class="fas fa-file-pdf"></i></button>
				<a class="btn btn-info btn-xs" href="<?php echo site_url('members/receipt/' . $module . '/' . $record->id); ?>" data-toggle="tooltip" title="<?php echo lang('label_view'); ?>"><i class="fas fa-eye"></i></a>
			</td>
        </tr>
        <?php endforeach; ?>
        <?php else:?>
        <tr><td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td></tr>
        <?php endif?>
    </tbody>
</table>
</div>
<?php echo form_close();?>
<?php echo $this->pagination->create_links(); ?>