$('#replyEmailModal').css('display','none');
/*-----------------------------------------------*/
/* Business Owner Reply to Visitor
 *-----------------------------------------------*/
var site_url = $('#site_url').attr('home_url');
var csrf_token = $.cookie('ci_csrf_token');
$('#replyQueryForm').on('submit', function(e) {
	if (!e.isDefaultPrevented()) {
		tinymce.triggerSave(); // TinyMCE Required Field validation issue
		var request_uri = $("#request_uri").val();
		var query_id = $("#query_id").val();
		var subject = $("#reply_subject").val();
		var message = $("#reply_message").val();
		$("#ajax_loader_reply").show();
		$.post( site_url + "ajax/admin_email", {'ci_csrf_token': csrf_token, 'request_uri': request_uri, 'query_id': query_id, 'reply_subject': subject, 'reply_message': message}, function( data ) {
			if(JSON.parse(data).result == 1) {
				$('#reply_subject, #reply_message, #reply_captcha_code').val("");
				tinyMCE.activeEditor.setContent(''); // Empty TinyMCE after email
				$("#ajax_loader_reply").hide();
				updateStatus(query_id); // Update Status
				msgModal(JSON.parse(data).message, JSON.parse(data).type, 'replyQuery'); 
		    } else {
		    	$("#ajax_loader_reply").hide();
		        msgModal(JSON.parse(data).message, JSON.parse(data).type, 'replyQuery'); 
		    }
		});
	    e.preventDefault();
	    return false;
	} else {
		msgModal($('#error_lang').val(), 'error', 'replyQuery');
	}
});
/*-----------------------------------------------*/
/* Display Success and Error Message to the User
 *-----------------------------------------------*/
function msgModal(message, type, module) {
   $('.modal-dialog').addClass('shake');
   $('.' + module + '_error').addClass('alert alert-' + type).html(message);
   window.setTimeout( function(){ 
	   $('.modal-dialog').removeClass('shake'); 
	   if(type == 'success') {
		   $('.' + module + '_error').removeClass('alert alert-success alert-danger').html("");
	   }
   }, 10000 ); 
}
/*---------------------------------------------------*/
/*	Get selected query status for save
/*---------------------------------------------------*/
$( ".query_status" ).each(function(index) {
    $(this).on("change", function() {
    	var new_status = $(this).val();
    	if($(this).val() == 0) {
    		new_status = 99;
    	}
    	$('#status').val(new_status);
    });
});
/*----------------------------------------------------*/
/*	Tiny MCE Editor
/*----------------------------------------------------*/
tinymce.init({
	theme: "modern",
    plugins: [
        "advlist autolink lists link image charmap print preview hr anchor pagebreak",
        "searchreplace wordcount visualblocks visualchars code fullscreen",
        "insertdatetime media nonbreaking save table contextmenu directionality",
        "emoticons template paste textcolor colorpicker textpattern responsivefilemanager"
    ],
    toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
    toolbar2: "| responsivefilemanager | print preview media | forecolor backcolor emoticons",
    image_advtab: true,
	language: $('#site_url').attr('lang'),
	mode: "exact",
	elements: "reply_message",
	// File Manager Settings
	selector: "#reply_message",
	external_filemanager_path: $('#site_url').attr('home_url') + "assets/filemanager/",
	filemanager_title: $('#site_url').attr('fmlang'),
	filemanager_access_key: $('#site_url').attr('akey'),
	external_plugins: { "filemanager" : "../filemanager/plugin.min.js"},
	convert_urls: false,
	relative_urls: false
});
/*----------------------------------------------------*/
/*	Allow User to Append Customer Message to TinyMCE
/*----------------------------------------------------*/
if($('#include_customer_message').length) {
	$('#include_customer_message').change(function(){
	    if(this.checked) {
	    	tinyMCE.execCommand('mceBeginUndoLevel');
	    	tinyMCE.execCommand('mceInsertContent', false, $('#description').val());
	    	tinyMCE.execCommand('mceEndUndoLevel');
	    	$('#include_customer_message').prop('disabled', true);
	    }
	});
}

/*----------------------------------------------------*/
/*	On Reply Success, Update Row Status to REPLIED
/*----------------------------------------------------*/
function updateStatus(query_id) {
	var row = $('.badge-' + query_id);
	if(row.length > 0) {
		row.html($('#lang_replied').val());
		row.removeClass("badge-danger");
		row.addClass("badge-success");
		$('#query_status_' + query_id).val(1);
	}
}