var l_site_url = $('#l_site_url').val();
var row_id = $("#module_row_id").length ? $("#module_row_id").val() : $("#listing_id").val();
var module = $("#module_name").length ? $("#module_name").val() : 'listings';
var package_id = $("#package_id").length ? parseInt($("#package_id").val()) : 0;
var categories_limit = $("#max_categories").val();
/*----------------------------------------------------*/
/*	Toggle Selected Nodes
/*----------------------------------------------------*/
$("#btnToggleSelect").click(function() {
	$("#categories_tree").fancytree("getRootNode").visit(function(node) {
		node.toggleSelected();
	});
	return false;
});
/*----------------------------------------------------*/
/*	Deselect All Selected Nodes
/*----------------------------------------------------*/
$("#btnDeselectAll").click(function() {
	$("#categories_tree").fancytree("getTree").visit(function(node) {
		node.setSelected(false);
	});
	return false;
});

/*----------------------------------------------------*/
/*	Change Categories Tree Limit on Package change
/*----------------------------------------------------*/
$('#package_id').change(function() {
	$.post( site_url + "/content/listings/categories_limit", {'ci_csrf_token': csrf_token, 'package_id': $(this).val()}, function( data ) {
		$("#max_categories").val(data.categories_limit);
		categories_limit = data.categories_limit;
		package_id = parseInt($("#package_id").val());
		// We can not re-initialize the tree. But we can update the tree options or reload it with new source option.
		var newSourceOptions = { url: l_site_url + "ajax/getCategoriesTree", data: {row_id: row_id, module: module, package_id: package_id}, cache: false };
		var tree = $('#categories_tree').fancytree('getTree');
		tree.reload(newSourceOptions); // Reload Categories Tree
		//$('.btn-submit').click();
	});
});

/*----------------------------------------------------*/
/*	Category Tree
/*----------------------------------------------------*/
if($("#categories_tree").length) {
	// Custom Icons: http://wwwendt.de/tech/fancytree/demo/sample-ext-awesome.html#
	// http://astronautweb.co/snippet/font-awesome/
	$("#categories_tree").fancytree({
		  checkbox: true,
		  selectMode: 3,
		  source: { url: l_site_url + "ajax/getCategoriesTree", data: {row_id: row_id, module: module, package_id: package_id}, cache: false },
		  lazyLoad: function(event, data) {
		      data.result = {
		          url: l_site_url + "ajax/getCategoriesTree",
		          data: {mode: "children", parent: data.node.key, row_id: row_id, module: module, package_id: package_id},
		          cache: false
		      };
		  },
		  loadChildren: function(event, data) {
			  // Below given code is important or categories will not be retrieved on second postback 
			  // if there is any validation error
			  var selKeysPath = $.map(data.tree.getSelectedNodes(), function(node) {
				  return node.getKeyPath();
			  });
			  $("#categories").val(selKeysPath);
			  $("#categories_limit").text('(' + data.tree.getSelectedNodes().length + '/' + categories_limit + ')');
		  },	 
		  select: function(event, data) {
			  // Load all child nodes if parent is selected
			  var node = data.node;
			  if (node.isSelected()) {
			        if (node.isUndefined()) {		        	
			            // Load all child nodes
			            node.load().done(function() {
			            	// After loading all child nodes, unselect parent
			            	data.tree.getNodeByKey(data.node.key).setSelected(false);
			            });
			        } else {
			            // Select all child nodes
			            node.visit(function(childNode) {
			                childNode.setSelected(true);
			            });
			        }
			    }
				// Get a list of all selected nodes, and convert to a key array:		  	
				var selKeys = $.map(data.tree.getSelectedNodes(), function(node) {
					return node.key;
				});
				// Take first category as default
		        var default_category = $("#default_category").val();
		        if (selKeys.length == 1 && (default_category == "")) {
		        	$("#default_category").val(data.node.getKeyPath());    
		        } else if(selKeys.length == 0) {
		        	$("#default_category").val(''); 
		        }	        
		        if (selKeys.length >= (parseInt(categories_limit) + 1)) {
		        	data.tree.getNodeByKey(data.node.key).setSelected(false);
		        	var errorMsg = $("#categories_error").val();
		        	errorMsg = errorMsg.replace(/%s/g, categories_limit);
		        	alert(errorMsg);
		        }
		        var selKeysPath = $.map(data.tree.getSelectedNodes(), function(node){
		            return node.getKeyPath();
		        });
		        $("#categories").val(selKeysPath);    
		        $("#categories_limit").text('(' + data.tree.getSelectedNodes().length + '/' + categories_limit + ')');
		  },
		  dblclick: function(event, data) {
			  data.node.toggleSelected();
		  },
		  keydown: function(event, data) {
			  if( event.which === 32 ) {
				  data.node.toggleSelected();
				  return false;
			  }
		  }
	});
}