/*----------------------------------------------------*/
/*	Global Variable
/*----------------------------------------------------*/
var site_url = $('#site_url').val();
var defCount = $('#site_url').attr('defCount');
var csrf_token = $.cookie('ci_csrf_token');
if (typeof csrf_token === "undefined") {
	csrf_token = $('.js-extra').attr('data-csrf');
}
if($('#erroneous_type').length) {
	$('#erroneous_type').selectize();
}
/* common function to display flag with phone number input field */
if ($("input[type=tel]").length) {
	// allowExtensions: true, 
	// autoFormat: false, // Remove Extra Space from Phone Number Field
    $("input[type=tel]").intlTelInput({initialCountry: defCount});
    $(".intl-tel-input.inside").css('width', '100%');
}

/*----------------------------------------------------*/
/*	Tag Click Submit Function
/*----------------------------------------------------*/
$( ".tag" ).each(function(index) {
    $(this).on("click", function(){
    	$('#search').val($(this).attr('id'));
    	document.forms['search-form'].submit();
    });
});

/*----------------------------------------------------*/
/*	Click to Call Module
/*----------------------------------------------------*/
$('#click_to_call_btn').click(function() {
 	var listing_id = $('#listing_id').val();
	if(navigator.userAgent.match(/iPad/i)){
		device = 2;
	} else if(navigator.userAgent.match(/iPhone/i)){
	 	device = 3;
	} else if(navigator.userAgent.match(/Android/i)){
	 	device = 4; 
	} else if(navigator.userAgent.match(/BlackBerry/i)){
	 	device = 5;
	} else if(navigator.userAgent.match(/webOS/i)){
	 	device = 6;
	} else {
		device = 1;
	}
	
	// Request is from default theme, attribute is defined in theme view file
	if ($('.modero-click-toggle').length == 0) { 
		$('#click_to_call_btn').hide();
	}
	
	$('#click_to_call_no').slideToggle("fast");
	$.ajax({
	      type: "POST",
	      url: site_url + 'clickToCall',
	      dataType: 'json',
	      data: {device: device, listing_id: listing_id, 'ci_csrf_token' : csrf_token}
    });
 });

/**
 * View page has multiple elements of send query, each need to be distinguish separately
 * @param element
 */
function viewPage(listing_id, module_row_id) {
	module_row_id = (typeof module_row_id === "undefined") ? listing_id : module_row_id;
	$("#listing_id").val(listing_id);
	if($("#module_row_id").length && module_row_id != null) {
		$("#module_row_id").val(module_row_id);
	}
}

/*-----------------------------------------------*/
/* Claim Listing
 *-----------------------------------------------*/
$('#claimListing').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) {
		var listing_id = $("#listing_id").val();		
		var price = $("#price").val();
		$.post( site_url + "claim", {'ci_csrf_token': csrf_token, 'listing_id': listing_id, 'price': price}, function( data ) {
			if(JSON.parse(data).result == 1) {
				msgModal(JSON.parse(data).message, JSON.parse(data).type, 'claim'); 
				$(location).attr('href', JSON.parse(data).url);
		    } else {
		        msgModal(JSON.parse(data).message, JSON.parse(data).type, 'claim'); 
		    }
		});
	    e.preventDefault();
	    return false;
	} else {
		msgModal($('#error_lang').val(), 'error', 'claim');
	}
});

/*----------------------------------------------------*/
/*	Contact Us Form
/*----------------------------------------------------*/
$('#contactUsForm').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) {		
		var email = $("#contact_email").val();
		var name = $("#contact_name").val();
		var phone = $("#contact_phone").val();		
		var message = $("#contact_message").val();
		var captcha_code = $("#contact_captcha_code").val();
		$(".contact_query_error").hide();
		$("#ajax_loader_contact").show();
		$.post( site_url + "contactQuery", {'ci_csrf_token': csrf_token, 'email': email, 'name': name, 'phone': phone, 'message': message, 'captcha_code': captcha_code}, function( data ) {
				if(JSON.parse(data).result == 1) {
					$('#contact_name, #contact_email, #contact_phone, #contact_message, #contact_captcha_code').val("");
					refreshCaptcha();
					$("#ajax_loader_contact").hide();
					msgModal(JSON.parse(data).message, JSON.parse(data).type, 'contact_query'); 
	           } else {
	        	   refreshCaptcha();
	        	   $("#ajax_loader_contact").hide();
	        	   msgModal(JSON.parse(data).message, JSON.parse(data).type, 'contact_query'); 
	           }
	    });
	    e.preventDefault();
	    return false;
	} else {
		msgModal($('#error_lang').val(), 'error', 'contact_query');
	}
});
$( "#contact_update" ).on( "click", function( e ) {
	var $icon = $( this ).find( ".fa.fa-sync" ),
	animateClass = "fa-sync-animate";
    $icon.addClass( animateClass );
    window.setTimeout( function() {
    	$icon.removeClass( animateClass );
    }, 2000 );
});

/*-----------------------------------------------*/
/* Display Success and Error Message to the User
 *-----------------------------------------------*/
function msgModal(message, type, module) {
	$('.' + module + '_error').show();
   $('.modal-dialog').addClass('shake');
   if(type == 'success') {
	   $('.' + module + '_error').removeClass('alert alert-danger').html("");
	   $('.' + module + '_error').removeClass('alert alert-error').html("");
	   $('.' + module + '_error').removeClass('alert alert-danger').html("");
   }
   $('.' + module + '_error').addClass('alert alert-' + type).html(message);
   window.setTimeout( function(){ 
	   $('.modal-dialog').removeClass('shake'); 
	   if(type == 'success') {
		   $('.' + module + '_error').removeClass('alert alert-success').html("");
	   }
   }, 10000 ); 
}

/*-----------------------------------------------*/
/* Refresh All Captcha's After Success
 *-----------------------------------------------*/
function refreshCaptcha() {
	$( '.refresh-captcha' ).each(function(index) {
		$('.refresh-captcha').attr('src', site_url + 'securimage?' + Math.random());
	});
}

/*-----------------------------------------------*/
/* Display Google MAP instead of Address
 *-----------------------------------------------*/
if($(".addr").length > 0) {
	$("address").each(function(){                        
	    var embed ="<div class=\"embed-responsive embed-responsive-16by9\"><iframe class=\"embed-responsive-item\" frameborder='0' scrolling='no'  marginheight='0' marginwidth='0'   src='https://maps.google.com/maps?&amp;q="+ encodeURIComponent( $(this).text() ) +"&amp;output=embed'></iframe></div>";
	    $(this).html(embed);                            
	});
}

/*-----------------------------------------------*/
/* Details Page Map
 *-----------------------------------------------*/
if($(".gc-map").length > 0) {
	$(".gc-map").each(function(){                        
		var mapSrc = $(this).attr('data-src');
	    var embedCode ='<div class="embed-responsive embed-responsive-16by9">';
		embedCode +='<iframe class="embed-responsive-item" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="' + mapSrc + '"></iframe>';
		embedCode += '</div>'; 
		$(this).html(embedCode);                            
	});
}

/*----------------------------------------------------*/
/* Business Query/Review/Erroneous Characters Counter
 *----------------------------------------------------*/
// MODERO THEME
$('#query-modal').on('shown.bs.modal', function() {
	characters_count('#query_');
});
$('#review').on('shown.bs.modal', function() {
	// do not display error message if the user is not logged in
	if($('#review_message').length > 0) {
		characters_count('#review_');
	}
});
$('#erroneousReport').on('shown.bs.modal', function() {
	characters_count('#erroneous_');
});

//DEFAULT THEME
$("a[href='#query']").on('shown.bs.tab', function(e) {
	characters_count('#query_');
});
$("a[href='#postreview']").on('shown.bs.tab', function(e) {
	// do not display error message if the user is not logged in
	if($('#review_message').length > 0) {
		characters_count('#review_');
	}
});
$("a[href='#erroneous_tab']").on('shown.bs.tab', function(e) {
	characters_count('#erroneous_');
});

function characters_count(type) {
	var lang_remaining = ' ' + $('#search-location').attr('lang');
	var text_max = 1500;
	var msg_field = type + 'message';
	if(type == "#erroneous_") {
		msg_field = type + 'description';
	}
	
	// On modal reload, count total number of characters and display them	
	if($(msg_field).length) {
		$(type + 'count_message').html((text_max - $(msg_field).val().length) + lang_remaining);
	}
	
	$(msg_field).keyup(function() {
	  text_max = 1500;
	  var text_length = $(msg_field).val().length;
	  var text_remaining = text_max - text_length;
	  
	  $(type + 'count_message').html(text_remaining + lang_remaining);
	});
}

/*-----------------------------------------------*/
/* Favorites
 *-----------------------------------------------*/
$('#favorites').on('click', function(e) {
	$(this).prop('disabled', true);
	var row_id = $("#module_row_id").length ? $("#module_row_id").val() : $("#listing_id").val();
	var module = $("#module_name").length ? $("#module_name").val() : 'listings';
	var isFavorite = $("#isFavorite").val();	
	$.post( site_url + "bookmark", {'ci_csrf_token': csrf_token, 'row_id': row_id, 'module': module, 'isFavorite': isFavorite}, function( data ) {
		if(JSON.parse(data).result == 1) {
			$("#isFavorite").val(1);
			$("#favoriteText").html($("#favoriteText").attr("remove-text"));
			$("#favorites").toggleClass('btn-success btn-secondary');
			$("#favorite-icon").toggleClass('fa-heart fa-check');
	    } else {
	    	$("#isFavorite").val(0);
	    	$("#favoriteText").html($("#favoriteText").attr("add-text"));
	    	$("#favorites").toggleClass('btn-secondary btn-success');
	    	$("#favorite-icon").toggleClass('fa-check fa-heart');
	    }
		$('#favorites').removeAttr("disabled");
	});
});

/*-----------------------------------------------*/
/* Favorites View Page
 *-----------------------------------------------*/
// $('.favorite').each(function(index) {
$(document).on('click','.favorite',function(e) {
	var row_id = $(this).data('id');
	var module = $(this).data('module');
	var isFavorite = $(this).data('favorite') ? $(this).data('favorite') : 0;
	var btnFavorite = $('#favorite-' + module + '-' + row_id);
	var spanFavorite = $('#favorite-text-' + module + '-' + row_id);
	var iconFavorite = $('#favorite-icon-' + module + '-' + row_id);
	var addText = $(this).data('add');
	var removeText = $(this).data('remove');
	btnFavorite.prop('disabled', true);
	//var favTotal = $('#fav-total-' + row_id);
	$.post( site_url + "bookmark", {'ci_csrf_token': csrf_token, 'row_id': row_id, 'module': module, 'isFavorite': isFavorite}, function( data ) {
		btnFavorite.data('favorite', (isFavorite == 0 ? 1 : 0));
		btnFavorite.toggleClass('btn-fav');
		btnFavorite.find('i').toggleClass('far fa-heart').toggleClass('fas fa-heart');
		btnFavorite.prop('disabled', false);		
		if(spanFavorite.length > 0) {			
			btnFavorite.removeClass(isFavorite == 0 ? 'btn-secondary' : 'btn-success');
			btnFavorite.addClass(isFavorite == 0 ? 'btn-success' : 'btn-secondary');
			spanFavorite.html(isFavorite == 1 ? addText : removeText);
			iconFavorite.removeClass(isFavorite == 1 ? 'fa-check-square' : 'fa-heart');
			iconFavorite.addClass(isFavorite == 1 ? 'fa-heart' : 'fa-check-square');
		}
		alertDialog(JSON.parse(data).message);
		/*var totalFav = parseInt(favTotal.html());
		if(JSON.parse(data).result == 1) {
			totalFav = totalFav + 1;	
		} else {
			totalFav = totalFav - 1;				
		}
		if(totalFav >= 0) {
			favTotal.html(totalFav);
		}*/
	});
});
// });

/*-----------------------------------------------*/
/* Send Query Sliders/View Page
 *-----------------------------------------------*/
$(document).on('click','.query',function(e) {
	var row_id = $(this).data('id');
	var module = $(this).data('module');
	$('#sendQueryForm').attr('data-id', row_id);
	$('#sendQueryForm').attr('data-module', module);
});

/*----------------------------------------------------*/
/*	Google API GEO Based Location Detection
/*----------------------------------------------------*/
function getLocation() {
    if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(savePosition, positionError, {timeout:10000});
    }
}
// handle the error here
function positionError(error) {
    var errorCode = error.code;
    var message = error.message;
}

function savePosition(position) {
   $.post(site_url + "visitors", {'ci_csrf_token': csrf_token, lat: position.coords.latitude, lng: position.coords.longitude});
}

/*----------------------------------------------------*/
/*	Location Selection Section
/*----------------------------------------------------*/
var searchBlock = $('.search-location').attr('block');
if(searchBlock && searchBlock.length && searchBlock != 1 && $('.select-country').length > 0) {
	$('.select-country').selectize({
	    valueField: 'id',
	    labelField: 'name',
	    searchField: ['name']
	});
}
if($('.select-category').length > 0) {
	$('.select-category').selectize({
	    valueField: 'id',
	    labelField: 'name',
	    searchField: ['name'],
	    dropdownParent: 'body',
	    onChange: function(value) {
	    	if (!value.length) return;
	    	$.ajax({
	    		type: "POST",
	            url: site_url + 'ajaxSelection',
	            data: {'category' : value, 'ci_csrf_token': csrf_token }
	    	});
	    }
	});
}
/*----------------------------------------------------*/
/*	AJAX Search State, City & Zipcode
/*----------------------------------------------------*/
// Get URI ($_GET )Parameters
var getUrlParameter = function getUrlParameter(sParam) {
    var sPageURL = decodeURIComponent(window.location.search.substring(1)),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

    for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
            return sParameterName[1] === undefined ? true : sParameterName[1];
        }
    }
};

//Store user typed location for ajax search function
var typeheadSelectedLocation = [];

if($('.typeahead-location').length) {
	$('.typeahead-location').each(function(index) {
		var typedLocationsArray = []; // Temporary store searched locations information
	
		// On location, cursor on the location field making the field value blank
		// Therefore, array is initialized with default values
		// Default values are gather from the URI parameters
		//var lpl = getUrlParameter('pl');
		var ltl = getUrlParameter('tl');
		var ll = getUrlParameter('l');
		//var lp = getUrlParameter('p');
		//var lloc = getUrlParameter('loc');
		
		if(jQuery.type(ltl) !== "undefined") {
			/** Selection Location Codes
			 * 1 - City
			 * 2 - State
			 * 3 - Postcode
			 * 4 - Locality
			 * tl - Type of Location
			 * pl (place) - State/City/Locality ID
			 */		
			var tlItem = {name:ll,type:ltl};
			/*switch(parseInt(ltl)) {
				case 1:
				case 2:
					var tlItem = {id:0,name:ll,type:ltl};
					break;
				case 3:
					var tlItem = {id:0,name:lp,type:ltl};
					break;
				case 4:
					var tlItem = {id:0,name:ll,type:ltl};
					break;
			}*/
			if (typedLocationsArray.indexOf(tlItem) === -1) {
				typedLocationsArray.push(tlItem);
			}
			//$('#pl').val(lpl);
			$('#tl').val(ltl);
		// user visited the home page, get cities information from the session variable
		} else { // User is on the Home Page
			var tlItem = {name:$('#pre_location').val(),type:$('#tl').val()};
			if (typedLocationsArray.indexOf(tlItem) === -1) {
				typedLocationsArray.push(tlItem);
			}
			$('#location').val($('#pre_location').val());
		}
		
		// Instantiate the Bloodhound suggestion engine
		var typedLocations = new Bloodhound({
		    datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
		    queryTokenizer: Bloodhound.tokenizers.whitespace,
		    remote: {
		        url: site_url + 'getLocation?search=%QUERY',
			    wildcard: '%QUERY',
		        filter: function(typedLocations) {
					if(typedLocations) {
						// Store result in an array for future
						typedLocations.forEach(function (item) {
							if (typedLocationsArray.indexOf(item) === -1) {
								typedLocationsArray.push(item);
							}
						});
					}
					
					// Map the remote source JSON array to a JavaScript object array
		            return $.map(typedLocations, function (tLocation) {
		                return {
		                    name: tLocation.name
		                };
		            });
		        }
		    }
		});
	
		// Initialize the Bloodhound suggestion engine
		typedLocations.initialize();
		
		$(this).typeahead(null, {
			name: 'typedLocations',
			display: 'name',
			//value: jQuery.type(tlItem) !== "undefined" ? tlItem : '',
			//value: $('#pre_city').val(),
			source: typedLocations.ttAdapter(),
			limit: 100
		}).blur(function() {
			tlMatch = false;
			for (var tl = typedLocationsArray.length - 1; tl >= 0; tl--) {
		        if($(this).val() == typedLocationsArray[tl].name) {				
		        	tlMatch = true;
		        	typeheadSelectedLocation = typedLocationsArray[tl];
		        	//$('#pl').val(typedLocationsArray[tl].id);
					$('#tl').val(typedLocationsArray[tl].type);
		        }
		    };
			if(!tlMatch && $(this).val() != '') {
				// Find the closet match and set it as the selected country
				var tlRegex = new RegExp($(this).val().toLowerCase());
				// find the user entered location in the array
				var tlFound = $.grep(typedLocationsArray, function(v) {
					return String(v.name.toLowerCase()).match(tlRegex);
				});
				// match found set it as the selected country
				if(typeof tlFound[0] != 'undefined') {
					typeheadSelectedLocation = tlFound[0];
					$(this).val(tlFound[0].name);
					//$('#pl').val(tlFound[0].id);
					$('#tl').val(tlFound[0].type);	
				} else {
					// set location search field to blank
					// $(this).val(''); // UNCOMMENT TO MAKE FIELD BLANK
				}
				// Do not allow user to blank the location input field
				// Set first value as the default
			} else if(!tlMatch && $(this).val() == '') {
				// $(this).val(''); // UNCOMMENT TO MAKE FIELD BLANK
				/*if(typeof typedLocationsArray[0] != 'undefined') {
					$(this).val(typedLocationsArray[0].name);
					$('#tl').val(typedLocationsArray[0].type);
				} else {
					// set location search field to blank
					$(this).val('');
				}*/
			} else if($(this).val() == '') {
				typeheadSelectedLocation = []; // Empty array
			}
		}).on('typeahead:selected', function (obj, datum) {
			typeheadSelectedLocation = datum;
			//typeheadSelectedLocation = datum; 
			// in case of city change, hidden variable tl_search is used to store the user typed value
			// if the user not changed the keyword, it is not possible to pass the tl and pl value to the controller
			//$('#pl').val(datum.id);
			$('#tl').val(datum.type);		
		});
	});
}

/*----------------------------------------------------*/
/*	LISTINGS AJAX Search
/*----------------------------------------------------*/
if($('.typeahead-search').length) {
	$('.typeahead-search').each(function(index) {
		// the header search block is always for listings search
		var module = (index == 0 ? 'listings' : $('#module_name').val());
		var search = new Bloodhound({
			datumTokenizer: Bloodhound.tokenizers.obj.whitespace('title'),
			queryTokenizer: Bloodhound.tokenizers.whitespace,
			remote: {
				url: site_url + 'getKeyword?module='+ module +'&search=%QUERY',
			    wildcard: '%QUERY'
			}
		});

		$(this).typeahead(null, {
			name: 'search',
			display: 'title',
			source: search,
			limit: 100
		}).on('typeahead:selected', function (obj, datum) {	
			var searchURL = site_url + datum.url + '?q=' + encodeURIString(datum.title);
			if(jQuery.type(typeheadSelectedLocation.type) != "undefined") {
				/**
				 * the user selected a location from the typehead search result, pass it to the parameters list
				 * Selection Location Codes
				 * 1 - City
				 * 2 - State
				 * 3 - Postcode
				 * 4 - Locality
				 * tl - Type of Location
				 * pl (place) - State/City/Locality ID
				 */
				switch(parseInt(typeheadSelectedLocation.type)) {
					case 1:
						searchURL += '&l=' + encodeURIString(typeheadSelectedLocation.name) + '&tl=1';
						break;
					case 2:
						searchURL += '&l=' + encodeURIString(typeheadSelectedLocation.name) + '&tl=2';
						break;
					case 3:
						searchURL += '&l=' + encodeURIString(typeheadSelectedLocation.name) + '&tl=3';
						break;
					case 4:
						searchURL += '&l=' + encodeURIString(typeheadSelectedLocation.name) + '&tl=4';
						break;
				}
			// Get parameters from URL query string
			// user changed the keyword but not changed the location
			} else if(jQuery.type(getUrlParameter('tl')) != "undefined" && jQuery.type(getUrlParameter('l')) != "undefined") {
				searchURL += '&l=' + encodeURIString(getUrlParameter('l')) + '&tl=' + encodeURIString(getUrlParameter('tl'));
			} else if(jQuery.type($('#location').val()) != "undefined" && $('#location').val() != '') { // Request is from listing detail page
				searchURL += '&l=' + encodeURIString($('#location').val());
			} else if(jQuery.type($('#select-city').val()) != "undefined" && $('#select-city').val() != '') { // Default search method
				searchURL += '&l=' + encodeURIString($('#select-city').val());
			}
			
			// Default Search Block - Get Locality Id
			if(jQuery.type($('#select-locality').val()) != "undefined" && $('#select-locality').val() != '') {
				searchURL += '&lt=' + encodeURIString($('#select-locality').val());
			}
			
			switch(datum.type) {
				case 'M': // clicked item is a listing title 
					redirect(datum.url);
					break;
				case 'C': // clicked item is a category
					//document.location.href = (searchURL + '&cg=' + encodeURIString(datum.id)).replace(" ", "+");
					var cParam = '&cg=' + encodeURIString(datum.id);
					if(jQuery.type(getUrlParameter('tl')) == "undefined") {
						cParam += '&tl=1';
					}
					redirect(searchURL + cParam);
					break;
				case 'T': // clicked item is a keyword
					var tParam = '&t=' + encodeURIString(datum.id);
					if(jQuery.type(getUrlParameter('tl')) == "undefined") {
						tParam += '&tl=1';
					}
					redirect(searchURL + tParam);
					break;
			}
		});
	});
}

// Redirect URL
function redirect (url) {
    var ua        = navigator.userAgent.toLowerCase(),
        isIE      = ua.indexOf('msie') !== -1,
        version   = parseInt(ua.substr(4, 2), 10);

    // Internet Explorer 8 and lower
    if (isIE && version < 9) {
        var link = document.createElement('a');
        link.href = url;
        document.body.appendChild(link);
        link.click();
    }

    // All other browsers can use the standard window.location.href (they don't lose HTTP_REFERER like IE8 & lower does)
    else { 
        window.location.href = url; 
    }
}

/**
 * Encode URI Query String
 * Don't forget to replace + with space else php will remove all spaces
 * jQuery converts + sign to %2B and %2B has no meaning in PHP
 */
function encodeURIString (queryString) {
	// javascript replace only first instance when using replace
	// use .replace(/\+/g, " "); to do it globally
	queryString = queryString.replace(/\+/g, " ");
	return encodeURIComponent(queryString).
        // Note that although RFC3986 reserves "!", RFC5987 does not,
        // so we do not need to escape it
        replace(/['()]/g, escape). // i.e., %27 %28 %29
        replace(/\*/g, '%2A').
        // The following are not required for percent-encoding per RFC5987, 
        // so we can allow for a little better readability over the wire: |`^ 
        replace(/%(?:7C|60|5E)/g, unescape).
		replace(/\%20/g, '+'); // replace %20 with + globally for PHP Symmetry
}

/*----------------------------------------------------*/
/*	Social Sharing Button for each page
/*----------------------------------------------------*/
$('#social-sharing').sharrre({
	  share: {
	    googlePlus: true,
	    facebook: true,
	    twitter: true
	  },
	  buttons: {
	    googlePlus: {size: 'tall', annotation:'bubble'},
	    facebook: {layout: 'box_count'},
	    twitter: {count: 'vertical'}
	  },
	  enableHover: false,
	  enableCounter: false,
	  enableTracking: true	  
});

/*----------------------------------------------------*/
/*	Banner Click
/*----------------------------------------------------*/
/*var timer; // Not Required as handled via PHP Code
$( ".banner" ).each(function(index) {
    $(this).on("click", function(){
    	var id = $(this).attr('id');    	
    	$.post(site_url +'updateBannerClicks/', { id: id, 'ci_csrf_token': csrf_token })
    });
    $(this).on({ // update only when user is on banner for 1000 ms
    	'mouseover' : function(){
    	var id = $(this).attr('id');
    	timer = setTimeout(function () { 
    	      	$.post(site_url +'updateBannerImpressions/', { id: id, 'ci_csrf_token': csrf_token })    		
    	}, 1000);
    }, 'mouseout' : function () { // clear timeout on mouseout
        clearTimeout(timer);
    }
    });
});*/

/*----------------------------------------------------*/
/*	Language Selection Section
/*----------------------------------------------------*/
var site_url = $('#site_url').val();
var csrf_token = $.cookie('ci_csrf_token');

/*--------------------------------------------*/
/* BROWSE BY CATEGORIES & LOCATIONS
 *--------------------------------------------*/
if($( '.parent_category' ).length) {
	var loadURL = site_url + "loadSubCategories";
	$( '.parent_category' ).each(function(index) {
	    $(this).on("click", function() {
	    	browseBy($(this).attr('id'), loadURL);
	    });
	});
}

if($( '.load-cities' ).length) {
	var loadURL = site_url + "loadCities";
	$( '.load-cities' ).each(function(index) {
	    $(this).on("click", function() {
	    	browseBy($(this).attr('id'), loadURL);
	    });
	});
}

function browseBy(id, loadURL) {
	var md = $('#md').val();
	if($('#collapse-' + id).length == 0) {
    	$('#collapse-' + id).remove(); // remove collapse or it will append data
    	$('.parent-heading-' + id).after('<div id="collapse-'+ id +'" class="panel-collapse collapse"><ul class="list-group list-flip"></ul></div>'); 
    	$.ajax({
      		type: "POST",
      		dataType:'json',
      		url: loadURL,
      		data: { id: id, md: md, 'ci_csrf_token': csrf_token },
      		success: function(data) {
      			populateData($("#collapse-" + id + " .list-group"), data);
      		}
      	});
	}
}

function populateData(select, data) {	
    var items = [];
    $.each(data, function (id, option) {
       items.push('<li class="list-group-item"><a href="' + option.url + '" title="' + option.name + '">' + option.name + (typeof option.counts === 'undefined' ? '' : ' (' + option.counts + ')') + '</a></li>');
    }); 
    select.html(items.join(''));
}
/*--------------------------------------------*/
/* END OF BROWSE BY CATEGORIES & LOCATIONS
 *--------------------------------------------*/

$('[data-toggle="tooltip"]').tooltip({
	   animated : 'fade',
	   placement : 'bottom'
});

// Multiple data-toggle - Modal and Tooltip both - View Business Queries
// For Tooltip use data-tooltip if you are also using the modal
$('[data-tooltip="tooltip"]').tooltip();

// Display Tooltip on Small Devices
if ( $(window).width() < 467 ) {
	$('[data-tooltip="theme-tooltip"]').tooltip();
}

// Load Post Your Requirements Form on Page Load
// Load Modal in the Site Footer
/*$(window).on('load',function(){
	if($.cookie('lead_form') != 1) {
		setTimeout(function() {
			$('#requirementsForm').modal();
			$.cookie("lead_form", 1);
		}, 10000);
	}
});*/
/*--------------------------------------------*/
/* Display Map using Leaflet and Openstreet
 *--------------------------------------------*/
displayMap('mapLeaflet');
displayMap('detailMapLeaflet');
function displayMap(mapId) {
	var fullMapId = '#' + mapId;
	if($(fullMapId).length) {
		//position we will use later
		var lat = $(fullMapId).attr('data-latitude');
		var lon = $(fullMapId).attr('data-longitude');
		// initialize map
		map = L.map(mapId).setView([lat, lon], 13);
		// set map tiles source
		L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
		attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors',
		maxZoom: 18,
		}).addTo(map);
		// add marker to the map
		marker = L.marker([lat, lon]).addTo(map);
		// add popup to the marker
		marker.bindPopup($(fullMapId).attr('data-address')).openPopup();
	}
}

// Category and Search Page Map
if($('#mapLeafletView').length) {
	$.getJSON( site_url + "ajax/get_markers", {'ci_csrf_token': csrf_token}, function( data ) {
		if(data.result == 1) {
			// reload the map. This removes the previous map element using Leaflet's library
			if (map != undefined) {
				map.remove();
			}
			// initialize map
			var map = L.map('mapLeafletView').setView([0, 0], 13);
			// set map tiles source
			L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
				attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
			}).addTo(map);
			// add marker to the map
			var markerArray = []; // fit all markers in Leaflet
			$.each(data.markers, function(i, item) {
				if(item.lat != '' && item.lng != '') {
					markerArray.push(L.marker([item.lat, item.lng]).bindPopup(item.infowindow_content).addTo(map));
				}
			});
			if (markerArray.length != 0) { // setView according to multiple point
				var group = L.featureGroup(markerArray).addTo(map);
				map.fitBounds(group.getBounds());
			}
		}
	});
}

/*----------------------------------------------------*/
/*	Dropdown Language Change
/*----------------------------------------------------*/
if($(".languages-list").length) {
	$(".languages-list").each(function(index) {
		var languageFieldId = $(this).attr('id');
		$("#" + languageFieldId).selectize({
			onChange: function(value) {
				if(value != '') {
					var name = value.split('~');
					var fieldId = $("#" + languageFieldId).attr('data-id');
					$("#site_language" + fieldId).val(name[0]);
					document.forms['language_form' + fieldId].submit();
				}
		},
		labelField: 'name',
		searchField: 'name',
		create: false,
		render: {
			item: function(item, escape) { // On Select
				var name = item.value.split('~');
				return '<div><i class="famfamfam-flag-' + name[1] + '"></i> ' + item.name + '</div>';
			},
			option: function(item, escape) {
				var name = item.value.split('~');
				return '<div><i class="famfamfam-flag-' + name[1] + '"></i> ' + item.name + '</div>';
			}
		}
		});
	});
}

// Jobs Module - hide resume on file change
$(document).on('change','#resume',function() {
    $("#resume_link").hide();
});

/*-----------------------------------------------*/
/* Show Alert in toast format
 *-----------------------------------------------*/
function alertDialog(str) {
	// jquery-toast-plugin
	$.toast({text: str, position : 'top-center', hideAfter : 1500 });
}