/*----------------------------------------------------*/
/*	GOOGLE MAPS
/*----------------------------------------------------*/
// GOOGLE MAP TAB ISSUE
$('a[href="#map"]').on('shown.bs.tab', function(e) { 
	var center = map.getCenter();
	google.maps.event.trigger(map, 'resize'); 
	map.setCenter(center);
});

//SET LATITUDE AND LONGITUDE HIDDEN FILED
function updateLatLngTextFields(newLat, newLng)
{
	// pass user selected location latitute and langitude values to respective text fields
	$("#latitude").val(newLat);
	$("#longitude").val(newLng);
}

//Reload Map on Address Change
function reloadMap() {
	if($("#address").val() != '') {
		// $("#listing_id").val();
		// update only on create listing page if latitude and longitude fields are blank		
		if($("#txtPlaces").length > 0) {
			var address = $("#address").val() + ', '+ $("#txtPlaces").val();
		} else {
			var address = $("#address").val() + ', '+ $("#cities").val();
		}
		initialize(address);
	}
}

// Standard google maps function
function initialize(address) {
	var geocoder =  new google.maps.Geocoder();
    geocoder.geocode( { 'address': address}, function(results, status) {
	    if (status == google.maps.GeocoderStatus.OK) {
		    var myLatlng = new google.maps.LatLng(results[0].geometry.location.lat(), results[0].geometry.location.lng());
		    var myOptions = {
		        zoom: 14,
		        center: myLatlng,
		        mapTypeId: google.maps.MapTypeId.ROADMAP
		    }
		    map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
		    LoadMarker(results[0].geometry.location.lat(), results[0].geometry.location.lng());
		    /*if($("#latitude").val() == '' && $("#longitude").val() == '') {
		    	updateLatLngTextFields(results[0].geometry.location.lat(), results[0].geometry.location.lng());
		    }*/
	    }
    });
}

// Function for adding a marker to the page.
function addMarker(location) {
    marker = new google.maps.Marker({
        position: location,
        map: map,
        draggable: true
    });
    //PASS LATITUDE AND LONGITUDE VALUES TO ANOTHER FUNCTION
    google.maps.event.addListener(marker, "dragend", function(event) {
		updateLatLngTextFields(event.latLng.lat(), event.latLng.lng());
	});
}

// Testing the addMarker function
function LoadMarker(lat,lng) {
       Location = new google.maps.LatLng(lat,lng);
       addMarker(Location);
}