 /*----------------------------------------------------*/
/*	Global Variable
/*----------------------------------------------------*/
var site_url = typeof($('#site_url').data('home')) !== 'undefined' ? $('#site_url').data('home') : $('#site_url').val();
var langStrings = fileUploaderLangs.file_uploading;
var titlePriorityUrl = site_url + 'ajax/update_file';
var uploadUrl = site_url + 'ajax/uploader';
var removeUrl = site_url + 'ajax/remove?file=';

/*----------------------------------------------------*/
/*	Single File Upload
/*----------------------------------------------------*/
$('.drop-area').dmUploader({
    url: uploadUrl,
    maxFileSize: 3000000, // 3 Megs max
    multiple: false,
    // allowedTypes: \"image/*\",
    // extFilter: [\"jpg\", \"jpeg\", \"png\",\"gif\"],
    extraData: function() { // get field value dynamically using a function
        return {
            'ci_csrf_token': $('.js-extra').data('csrf'), // set in the footer.php file
            'module': $("#module_name").length ? $("#module_name").val() : 'listings',
            'row_id': $("#row_id").length ? $("#row_id").val() : 0, // limit check
            'field_id': $(this).data('field')
        }
    },
    onInit: function(){
        // console.log('Callback: Plugin initialized');
    },
    onNewFile: function(id, file) {
      if (typeof FileReader !== "undefined") {
        var reader = new FileReader();
        var img = this.find('img');
        
        reader.onload = function (e) {
          img.attr('src', e.target.result);
        }
        reader.readAsDataURL(file);
      }
    },
    onBeforeUpload: function(id) {
        ui_single_update_progress(this, 0, true);      
        ui_single_update_active(this, true);        
        ui_single_update_status(this, fileUploaderLangs.file_uploading);
    },
    onUploadProgress: function(id, percent) { // Updating file progress        
        ui_single_update_progress(this, percent);
    },
    onUploadSuccess: function(id, data) {
        var response = JSON.parse(data).filename;
        ui_single_update_active(this, false);

        // You should probably do something with the response data, we just show it
        this.find('.file-url').html(response);
		
		// change the status message
        ui_single_update_status(this, fileUploaderLangs.file_upload_completed, 'success');
        
        // set the field property to disabled to avoid further upload
        // the user must delete the file first
        $(this).find('input[type="file"]').prop("disabled", true);
    },
    onUploadError: function(id, xhr, status, message){ // Happens when an upload error happens        
        ui_single_update_active(this, false);
        ui_single_update_status(this, 'Error: ' + message, 'danger');
    },
    onFallbackMode: function(){ // When the browser doesn't support this plugin :(        
        ui_add_log(fileUploaderLangs.file_plugin_error, 'danger');
    },
    onFileSizeError: function(file){
        ui_single_update_status(this, fileUploaderLangs.file_size_exceeded, 'danger');
    },
    onFileTypeError: function(file){
        ui_single_update_status(this, fileUploaderLangs.file_type_invalid, 'danger');
    },
    onFileExtError: function(file){
        ui_single_update_status(this, fileUploaderLangs.file_invalid_extension, 'danger');
    }
});
/*----------------------------------------------------*/
/*	Multiple File Upload
/*----------------------------------------------------*/
/*
 * For the sake keeping the code clean and the examples simple this file
 * contains only the plugin configuration & callbacks.
 * 
 * UI functions ui_* can be located in:
 *   - assets/demo/uploader/js/ui-main.js
 *   - assets/demo/uploader/js/ui-multiple.js
 *   - assets/demo/uploader/js/ui-single.js
 */
$('.drop-zone').dmUploader({ //
    url: uploadUrl,
    maxFileSize: 3000000, // 3 Megs 
    extraData: function() { // get field value dynamically using a function
        return {
            'ci_csrf_token': $('.js-extra').data('csrf'), // set in the footer.php file
            'module': $("#module_name").length ? $("#module_name").val() : 'listings',
            'row_id': $("#row_id").length ? $("#row_id").val() : 0, // limit check
            'field_id': $(this).data('field')
        }
    },
    onDragEnter: function() {
        // Happens when dragging something over the DnD area
        this.addClass('active');
    },
    onDragLeave: function() {
        // Happens when dragging something OUT of the DnD area
        this.removeClass('active');
    },
    onInit: function() {
        // Plugin is ready to use
        // ui_add_log('Penguin initialized :)', 'info');
    },
    onComplete: function() {
        // All files in the queue are processed (success or error)
        // ui_add_log('All pending tranfers finished');
    },
    onNewFile: function(id, file) {
        ui_multi_add_file(id, file, $(this));
    },
    onBeforeUpload: function(id) {
        ui_multi_update_file_progress(id, 0, '', true, this);
        ui_multi_update_file_status(id, 'uploading', fileUploaderLangs.file_uploading);
    },
    onUploadProgress: function(id, percent) {
        // Updating file progress
        ui_multi_update_file_progress(id, percent, false, true, this);
    },
    onUploadSuccess: function(id, data) {
    	var response = JSON.parse(data).filename;
    	$('#uploaderFile' + id).find('.file-uploaded').html(response);
        // A file was successfully uploaded
        ui_multi_update_file_status(id, 'success', fileUploaderLangs.file_upload_complete, response);
        ui_multi_update_file_progress(id, 100, 'success', false, this);
        $(this).find('div.progress').fadeOut();
    },
    onUploadError: function(id, xhr, status, message) {
        // Happens when an upload error happens
        ui_multi_update_file_status(id, 'danger', message);
        ui_multi_update_file_progress(id, 0, 'danger', false, this);
    },
    onFallbackMode: function() {
        // When the browser doesn't support this plugin :(
        ui_add_log(fileUploaderLangs.file_plugin_error, 'danger');
    },
    onFileSizeError: function(file) {
        ui_add_log('File \'' + file.name + '\' cannot be added: size excess limit', 'danger');
    }
});
 
  /*
   * Some helper functions to work with our UI and keep our code cleaner
   */

  // Adds an entry to our debug area
  function ui_add_log(message, color) {
      var d = new Date();

      var dateString = (('0' + d.getHours())).slice(-2) + ':' +
          (('0' + d.getMinutes())).slice(-2) + ':' +
          (('0' + d.getSeconds())).slice(-2);

      color = (typeof color === 'undefined' ? 'muted' : color);

      var template = $('#debug-template').text();
      template = template.replace('%%date%%', dateString);
      template = template.replace('%%message%%', message);
      template = template.replace('%%color%%', color);

      $('#debug').find('li.empty').fadeOut(); // remove the 'no messages yet'
      $('#debug').prepend(template);
  }
  /**
   * Single File Upload Functions
   * @param element
   * @param active
   * @returns
   */
  function ui_single_update_active(element, active) {
      element.find('div.progress').toggleClass('d-none', !active);
      element.find('input[type="text"]').toggleClass('d-none', active);

      element.find('input[type="file"]').prop('disabled', active);
      element.find('.btn').toggleClass('disabled', active);

      element.find('.btn i').toggleClass('fa-circle-o-notch fa-spin', active);
      element.find('.btn i').toggleClass('fa-folder-o', !active);
  }

  function ui_single_update_progress(element, percent, active) {
      active = (typeof active === 'undefined' ? true : active);
      var bar = element.find('div.progress-bar');
      bar.width(percent + '%').attr('aria-valuenow', percent);
      bar.toggleClass('progress-bar-striped progress-bar-animated', active);
      if (percent === 0) {
          bar.html('');
      } else {
          bar.html(percent + '%');
      }
  }

  function ui_single_update_status(element, message, color) {
      color = (typeof color === 'undefined' ? 'muted' : color);
      element.find('small.status').prop('class', 'status text-' + color).html(message);
  }
  /**
   * Multiple File Upload Functions
   * @param element
   * @param active
   * @returns
   */
  //Creates a new file and add it to our list
  function ui_multi_add_file(id, file, field) {
      var template = $('#files-template').text();
      template = template.replace('%%filename%%', file.name);

      template = $(template);
      template.prop('id', 'uploaderFile' + id);
      template.data('file-id', id);
	  field.find('.file-list > li.empty').fadeOut(); // remove the 'no files yet'
	  field.find('.file-list').prepend(template);
  }

  // Changes the status messages on our list
  function ui_multi_update_file_status(id, status, message, filename) {
      $('#uploaderFile' + id).find('.file-action-text').html(message).prop('class', 'file-action-text status text-' + status);      
      $('#uploaderFile' + id).find('.file-name').html(filename);
  }

  // Updates a file progress, depending on the parameters it may animate it or change the color.
  function ui_multi_update_file_progress(id, percent, color, active, element) {
      color = (typeof color === 'undefined' ? false : color);
      active = (typeof active === 'undefined' ? true : active);

     // var bar = $('#uploaderFile' + id).find('div.progress-bar');
      var bar = element.find('div.progress-bar');
      element.find('div.progress').show();
      bar.width(percent + '%').attr('aria-valuenow', percent);
      bar.toggleClass('progress-bar-striped progress-bar-animated', active);

      if (percent === 0) {
          bar.html('');
      } else {
          bar.html(percent + '%');
      }

      if (color !== false) {
          bar.removeClass('bg-success bg-info bg-warning bg-danger');
          bar.addClass('bg-' + color);
      }
      // bar.closest('.progress').fadeOut();
  }

  // Toggles the disabled status of Star/Cancel buttons on one particual file
  function ui_multi_update_file_controls(id, start, cancel, wasError) {
      wasError = (typeof wasError === 'undefined' ? false : wasError);

      $('#uploaderFile' + id).find('button.start').prop('disabled', !start);
      $('#uploaderFile' + id).find('button.cancel').prop('disabled', !cancel);

      if (!start && !cancel) {
          $('#uploaderFile' + id).find('.controls').fadeOut();
      } else {
          $('#uploaderFile' + id).find('.controls').fadeIn();
      }

      if (wasError) {
          $('#uploaderFile' + id).find('button.start').html('Retry');
      }
  }

/**
 * Remove File on Button Click
 */
$(document).on('click', '.btn-file-remove', function(event) { // Buttons are added dynamically
	event.preventDefault();	
	var parent = $(this).parent();
	var hash = $(this).data('hash');
	var col = parent.closest('div');
	var li = parent.closest('li'); // multi file upload
	$.get( removeUrl + $(this).val() + '&hash=' + hash, function( data ) {
		if(JSON.parse(data).success == 1) {
			li.remove(); // multi file upload
			// Single File Upload
			parent.html('');
			col.find('input[type="file"]').prop("disabled", false); // remove the disable attribute
			// change the status div text
			var statusField = col.find('.status');
			statusField.text(fileUploaderLangs.file_select_single);
			statusField.removeClass('text-success');
			statusField.removeClass('text-muted');
			statusField.addClass('text-muted');
		}
	});
});

/**
 * Change Title
 * @returns
 */
$(document).on('blur', '.dm-file-title', function(event) {
	event.preventDefault();	
	$.post( titlePriorityUrl, {'ci_csrf_token': csrf_token, 'id': $(this).attr('id'), 'value': $(this).val(), 'is_title': 1}, function( data ) {});
});

/**
 * Change Priority
 * @returns
 */
$(document).on('blur', '.dm-file-priority', function(event) {
	event.preventDefault();	
	$.post( titlePriorityUrl, {'ci_csrf_token': csrf_token, 'id': $(this).attr('id'), 'value': $(this).val(), 'is_title': 0}, function( data ) {});
});