$(document).ready(function() {
	var site_url = $('#site_url').val();
	
	//Request is from ADMIN AREA
	if($('#site_url').attr('home_url')) {
		site_url = $('#site_url').attr('home_url');
	}
	
	var csrf_token = $.cookie('ci_csrf_token');
	var xhr;
	var fieldPrefix = $('#location_country_iso').length > 0 ? '#location_' : '#';
	/*----------------------------------------------------*/
	/*	COUNTRY, STATE AND CITY SELECTION
	/*----------------------------------------------------*/
	var select_country, $select_country;
	var select_state, $select_state;
	var select_city, $select_city;
	var select_locality, $select_locality;
	if($(fieldPrefix + 'country_iso').length) {
		$select_country = $(fieldPrefix + 'country_iso').selectize({	
				onChange: function(value) {
					if (!value.length) return;
					select_state.disable();
					select_state.clearOptions();
					select_state.load(function(callback) {
						xhr && xhr.abort();
						xhr = $.ajax({
							url: site_url + 'members/loadLocations/state/' + value,
							success: function(results) {
								select_city.disable();
								select_city.clearOptions();
								select_state.enable();
								callback(results);
							},
							error: function() {
								callback();
							}
						})
					});
				}
		});	
		select_country = $select_country[0].selectize;
	}
	if($(fieldPrefix + 'state_id').length) {
		$select_state = $(fieldPrefix + 'state_id').selectize({
			valueField: 'id',
			labelField: 'name',
			searchField: ['name'],
			onChange: function(value) {
				if (!value.length) return;
				select_city.disable();
				select_city.clearOptions();
				select_city.load(function(callback) {
					xhr && xhr.abort();
					xhr = $.ajax({
						url: site_url + 'members/loadLocations/city/' + value,
						success: function(results) {
							select_city.enable();
							callback(results);
						},
						error: function() {
							callback();
						}
					})
				});
			}
		});
	}
	
	if($(fieldPrefix + 'locality_id').length && $(fieldPrefix + 'city_id').length) {
		$select_city = $(fieldPrefix + 'city_id').selectize({
			valueField: 'id',
			labelField: 'name',
			searchField: ['name'],
			onChange: function(value) {
				if (!value.length) return;
				select_locality.disable();
				select_locality.clearOptions();
				select_locality.load(function(callback) {
					xhr && xhr.abort();
					xhr = $.ajax({
						url: site_url + 'members/loadLocations/locality/' + value,
						success: function(results) {
							select_locality.enable();
							callback(results);
						},
						error: function() {
							callback();
						}
					})
				});
			}
		});
		
		if($(fieldPrefix + 'locality_id').length) {
			$select_locality = $(fieldPrefix + 'locality_id').selectize({
				valueField: 'id',
				labelField: 'name',
				searchField: ['name']
			});
		}
		select_locality  = $select_locality[0].selectize;
	} else if($(fieldPrefix + 'city_id').length) {
		$select_city = $(fieldPrefix + 'city_id').selectize({
			valueField: 'id',
			labelField: 'name',
			searchField: ['name']
		});
	}
	select_city  = $select_city[0].selectize;
	select_state  = $select_state[0].selectize;
	//select_state.disable();
	//select_city.disable();
});