/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
var csrf_token = $.cookie('ci_csrf_token');
var site_url = $('#site_url').val();
var defCount = $('#site_url').attr('defCount');
/*-----------------------------------------------*/
/* Display Login Form to the User
 *-----------------------------------------------*/
function showLoginForm() {
	   $('.registerBox, .forgotPasswordBox').fadeOut('fast',function() { // Hide Register and Forgot Password Box
	       $('.loginBox').fadeIn('fast'); // Show Login Box
	       $('.register-footer').fadeOut('fast',function(){ // Hide Register Footer Link
	           $('.login-footer').fadeIn('fast'); // Hide Login Footer Link
	       });
	       
	       $('.modal-title').html($("#lang").val()); // Set Modal Title by using the value of hidden field
	   });       
	    $('.error').removeClass('alert alert-danger alert-success').html(''); // Remove messages box triggered from other modules
}

/*-----------------------------------------------*/
/* Display Register Form to the User
 *-----------------------------------------------*/
function showRegisterForm() {
   $('.loginBox, .forgotPasswordBox').fadeOut('fast',function(){
       $('.registerBox').fadeIn('fast');
       $('.login-footer').fadeOut('fast',function(){
           $('.register-footer').fadeIn('fast');
       });
       $('.modal-title').html($("#lang").attr('reg'));
   }); 
   $('.error').removeClass('alert alert-danger alert-success').html(''); 
}

/*-----------------------------------------------*/
/* Display Forgot Password Form to the User
 *-----------------------------------------------*/
function showForgotPasswordForm() {
   $('.loginBox, .registerBox').fadeOut('fast',function(){
       $('.forgotPasswordBox').fadeIn('fast');
       $('.login-footer, .register-footer').fadeOut('fast',function(){
           $('.register-footer').fadeIn('fast');
       });
       $('.modal-title').html($("#lang").attr('frg')); 
   }); 
   $('.error').removeClass('alert alert-danger alert-success').html('');      
}

/*-----------------------------------------------*/
/* Allow User to Open Login Modal
 *-----------------------------------------------*/
function openLoginModal() {
   showLoginForm();
   setTimeout(function(){
       $('#loginModal').modal('show');    
   }, 230);
   
}

/*-----------------------------------------------*/
/* Allow User to Open Register Modal
 *-----------------------------------------------*/
function openRegisterModal() {
   showRegisterForm();
   setTimeout(function(){
       $('#loginModal').modal('show');    
   }, 230);
}

/*-----------------------------------------------*/
/* Allow User to Open Forgot Password Modal
 *-----------------------------------------------*/
function openForgotPasswordModal() {
	   showForgotPasswordForm();
	   setTimeout(function(){
	       $('#loginModal').modal('show');    
	   }, 230);	   
}

/*-----------------------------------------------*/
/* Allow User to Login to Website
 *-----------------------------------------------*/
$('#loginform').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) { // Check whether validations are successful or not
		var logmein = $("#log-me-in").val();
		var username = $("#username").val();
		var password = $("#password").val();
		var remember_me = $("#remember_me").val();
		$("#ajax_loader").show();
		$.post( site_url + "signin", {'ci_csrf_token': csrf_token, 'login': username, 'password': password, 'log-me-in': logmein, 'remember_me': remember_me}, function( data ) {
				if(JSON.parse(data).result == 1) { // This assumes the response you're sending back from PHP is JSON
					// Handle success
					//window.location.replace("\""+ JSON.parse(data).url +"\""); 
					$("#ajax_loader").hide();
					$(location).attr('href', JSON.parse(data).url);
	           } else {
	        	   // Handle form being unsuccessful
	        	   $("#ajax_loader").hide();
	        	   shakeModal(JSON.parse(data).message, JSON.parse(data).type);
	           }
	    });
		// This is to prevent the form from actually submitting.
	    e.preventDefault();
	    return false;
	}
});

/*-----------------------------------------------*/
/* Allowing User to Reset Password
 *-----------------------------------------------*/
$('#forgotPasswordform').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) {
		var email = $("#user_email").val();
		$("#ajax_loader").show();
		$.post( site_url + "forgotPassword", {'ci_csrf_token': csrf_token, 'email': email}, function( data ) {
			$("#ajax_loader").hide();
			shakeModal(JSON.parse(data).message, JSON.parse(data).type);
	    });
	    e.preventDefault();
	    return false;
	}
});

/*-----------------------------------------------*/
/* Function to Register a New User
 *-----------------------------------------------*/
$('#registerform').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) { // Check whether validations are successful or not
		var signup = $("#signup").val();
		var email = $("#email").val();
		var display_name = $("#display_name").val();
		var phone_number = $("#phone_number").val();
		var password = $("#pass").val();
		var pass_confirm = $("#pass_confirm").val();
		var captcha_code = $("#captcha_code").val();
		$("#ajax_loader").show();
		$.post( site_url + "signup", {'ci_csrf_token': csrf_token, 'email': email, 'display_name': display_name, 'phone_number': phone_number, 'password': password, 'pass_confirm': pass_confirm, 'captcha_code': captcha_code}, function( data ) {
				if(JSON.parse(data).result == 1) {
					$("#ajax_loader").hide();
					loginRefreshCaptcha();
					$("#registerform").hide(); // hide form
					shakeModal(JSON.parse(data).message, JSON.parse(data).type); 
					setTimeout( // redirect user to the activation/login page after 5 seconds
					  function() {
						$(location).attr('href', JSON.parse(data).url); 
					  }, 5000);
	           } else {
	        	   $("#ajax_loader").hide();
	        	   $("#captcha_code").val('');
	        	   loginRefreshCaptcha();	        	   
	               shakeModal(JSON.parse(data).message, JSON.parse(data).type); 
	           }
	    });
	    e.preventDefault();
	    return false;
	} else {
		shakeModal($('#error_lang').val(), 'error');
	}
});
/*----------------------------------------------------*/
/*	Subscribers Form
/*----------------------------------------------------*/
$('#subscriberForm').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) {		
		var email = $("#subscribersEmail").val();
		$.post( site_url + "subscribers", {'ci_csrf_token': csrf_token, 'email': email}, function( data ) {
				if(JSON.parse(data).result == 1) {
					$('#subscribersEmail').val("");
					smsgModal(JSON.parse(data).message, JSON.parse(data).type, 'subscriber'); 
	           } else {
	        	   smsgModal(JSON.parse(data).message, JSON.parse(data).type, 'subscriber'); 
	           }
	    });
	    e.preventDefault();
	    return false;
	} else {
		smsgModal($('#error_lang').val(), 'error', 'subscriber');
	}
});
/*-----------------------------------------------*/
/* Subscriber: Display Success and Error Message
 *-----------------------------------------------*/
function smsgModal(message, type, module) {
   $('.modal-dialog').addClass('shake');
   $('.' + module + '_error').addClass('alert alert-' + type).html(message);
   window.setTimeout( function(){ 
	   $('.modal-dialog').removeClass('shake'); 
	   if(type == 'success') {
		   $('.' + module + '_error').removeClass('alert alert-success alert-danger').html("");
	   }
   }, 10000 ); 
}
/*-----------------------------------------------*/
/* Display Success and Error Message to the User
 *-----------------------------------------------*/
function shakeModal(message, type) {
   $('#loginModal .modal-dialog').addClass('shake');
            $('.error').addClass('alert alert-' + type).html(message);
            $('input[type="password"]').val('');
            setTimeout( function(){ 
               $('#loginModal .modal-dialog').removeClass('shake'); 
   }, 1000 ); 
}

/*-----------------------------------------------*/
/* Redirect User to Members Area if logged in
 *-----------------------------------------------*/
$(".my-account").each(function(index) {
    $(this).on("click", function(){
	if($(this).val() == 1) { 
		window.location.replace(site_url + "members");  
	}  
});
});

/*-----------------------------------------------*/
/* Refresh All Captcha's After Success
 *-----------------------------------------------*/
function loginRefreshCaptcha() {
	$( '.refresh-captcha' ).each(function(index) {
		$('.refresh-captcha').attr('src', site_url + 'securimage?' + Math.random());
	});
}