var home_url = $('#site_url').val();

// Request is from ADMIN AREA
if($('#site_url').attr('home_url')) {
	home_url = $('#site_url').attr('home_url');
}

var lcalities;
/*----------------------------------------------------*/
/*	OnType City Selection
/*----------------------------------------------------*/
var cacheArray = []; // Temporary store searched cities information

// On edit record, cursor on city field making the field value blank
// Therefore, array is initialized with default values
if(($('#city_id').val() != '') && ($('#cities').val() != '')) {
	var item = {id:$('#city_id').val(),name:$('#cities').val(),hasLocalities:($('#hasLocalities').length > 0 ? $('#hasLocalities').val() : 0)};
	if (cacheArray.indexOf(item) === -1) {
		cacheArray.push(item);
	}
}

// Temporary store searched localities information
var localityArray = []; 

// On edit record, cursor on locality field making the field value blank
// Therefore, array is initialized with default values
if(($('#locality_id').val() != '') && ($('#localities').val() != '')) {
	var item = {id:$('#locality_id').val(),name:$('#localities').val()};
	if (localityArray.indexOf(item) === -1) {
		localityArray.push(item);
	}
}

// Instantiate the Bloodhound suggestion engine
var cities = new Bloodhound({
    datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
    queryTokenizer: Bloodhound.tokenizers.whitespace,
    remote: {
        url: home_url + 'citySearch?search=%QUERY',
	    wildcard: '%QUERY',
        filter: function(cities) {
			if(cities) {
				// Store result in an array for future
				cities.forEach(function (item) {
					if (cacheArray.indexOf(item) === -1) {
						cacheArray.push(item);
					}
				});
			}
			
			// Map the remote source JSON array to a JavaScript object array
            return $.map(cities, function (city) {
                return {
                    name: city.name
                };
            });
        }
    }
});

// Initialize the Bloodhound suggestion engine
cities.initialize();

// Instantiate the Typeahead UI
$('#cities').typeahead(null, {
    // Use 'value' as the displayKey because the filter function 
    // returns suggestions in a javascript object with a variable called 'value'
	name: 'cities',
    displayKey: 'name',
    source: cities.ttAdapter(),
	limit: 100
}).blur(function(){
	match = false;
	for (var i = cacheArray.length - 1; i >= 0; i--) {
        if($(this).val() == cacheArray[i].name) {
			
			// on city change reset the localities selection box
			// only if the user selected a new city
			if($('#city_id').val() != cacheArray[i].id) {
				localityArray = [];
				$('#localities').val('');
				$('#locality_id').val('');
				localityInfoSign();
			}
			
			$('#city_id').val(cacheArray[i].id);
			
			// Display localities input only if city has localities
			// hasLocalities field will carry the number of localities the selected city has
			// hidden field is used to handle POST BACK
			if($('#hasLocalities').length > 0) {
				$('#hasLocalities').val(cacheArray[i].hasLocalities);
			}
			
			// Display locality selection field to the user
			// Display localities input only if city has localities
			if($('.locality-selection').length > 0) {
				if(cacheArray[i].hasLocalities > 0) {
					$('.locality-selection').show();
					home_url = $('#site_url').val();

					// Request is from ADMIN AREA
					if($('#site_url').attr('home_url')) {
						home_url = $('#site_url').attr('home_url');
					}
				} else {
					$('.locality-selection').hide();
					// Also reset the fields
					$('#localities').val('');
					$('#locality_id').val('');
				}
			}
			
			// show selected status			
			cityCheckedSign();
			
            match = true;
        }
    };
	if(!match){
		// Find the closet match and set it as the selected country
		if($(this).val() != '') {
			var regex = new RegExp($(this).val().toLowerCase());
			// find the user entered keyword in the array
			var found_names = $.grep(cacheArray, function(v) {
				return String(v.name.toLowerCase()).match(regex);
			});
			// match found set it as the selected country
			if(typeof found_names[0] != 'undefined') {
				
				// show selected status			
				cityCheckedSign();
				
				$('#city_id').val(found_names[0].id);
				$(this).val(found_names[0].name);
				
				// Display locality selection field to the user
				if($('.locality-selection').length > 0) {
					if(found_names[0].hasLocalities > 0) {
						$('.locality-selection').show();
					} else {
						$('.locality-selection').hide();
						// Also reset the fields
						$('#localities').val('');
						$('#locality_id').val('');
					}
				}
				
			} else {
				cityInfoSign();
				
				// set city_id field to blank
				$('#city_id').val('');
				
				// set city field to blank
				$(this).val('');
				
				// Hide locality selection field from the user
				if($('.locality-selection').length > 0) {
					$('.locality-selection').hide();
					// Also reset the fields
					$('#localities').val('');
					$('#locality_id').val('');
				}
			}
		} else {
			cityInfoSign();
			
			// set city_id field to blank
			$('#city_id').val('');
			
			// Hide locality selection field from the user
			if($('.locality-selection').length > 0) {
				$('.locality-selection').hide();
				// Also reset the fields
				$('#localities').val('');
				$('#locality_id').val('');
			}
		}
	} 
}).on('typeahead:asyncrequest', function() {
	cityLoadingSpinner();
    //$('.city-spinner').show(); // show spinner while loading
})
.on('typeahead:asynccancel typeahead:asyncreceive', function() {
	cityInfoSign();	
    //$('.city-spinner').hide(); // hide spinner after loading
});

// Display loading spinner
function cityLoadingSpinner() {
	$(".city-spinner").removeClass("btn-warning");
	$(".city-spinner").removeClass("btn-success");
	$(".city-spinner").addClass("btn-secondary");
	$(".city-spinner i").removeClass("fa-check-circle");
	$(".city-spinner i").removeClass("fa-info-circle");
	$(".city-spinner i").addClass("fa-spinner");
}

// Display info sign if city not selected
function cityInfoSign() {
	$(".city-spinner").removeClass("btn-success");
	$(".city-spinner").removeClass("btn-secondary");
	$(".city-spinner").addClass("btn-warning");
	$(".city-spinner i").removeClass("fa-spinner");
	$(".city-spinner i").removeClass("fa-check-circle");
	$(".city-spinner i").addClass("fa-info-circle");
}

// Display checked sign if user selected a valid city
function cityCheckedSign() {
	$(".city-spinner").removeClass("btn-warning");
	$(".city-spinner").removeClass("btn-secondary");
	$(".city-spinner").addClass("btn-success");
	$(".city-spinner i").removeClass("fa-spinner");
	$(".city-spinner i").removeClass("fa-info-circle");
	$(".city-spinner i").addClass("fa-check-circle");
}


/*----------------------------------------------------*/
/*	OnType Locality Selection
/*----------------------------------------------------*/

// Instantiate the Bloodhound suggestion engine
localities = new Bloodhound({
	datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
	queryTokenizer: Bloodhound.tokenizers.whitespace,
	remote: {
		url: home_url + 'localitySearch?search=%QUERY',
		replace: function () { // include dynamic variable locality_id in the remote url
			// According to Bloodhound.js documentation, if replace is set, no wildcard substitution will be performed on url.
			// So %QUERY will be passed as string without being replaced by text entered from user.
            var q = home_url + 'localitySearch?search=' + encodeURIComponent($('#localities').val());
            if ($('#city_id').val()) {
                q += "&city_id=" + encodeURIComponent($('#city_id').val());
            }
            return q;
        },
		filter: function(localities) {
			if(localities) {
				// Store result in an array for future
				localities.forEach(function (item) {
					if (localityArray.indexOf(item) === -1) {
						localityArray.push(item);
					}
				});
			}
			
			// Map the remote source JSON array to a JavaScript object array
			return $.map(localities, function (locality) {
				return {
					name: locality.name
				};
			});
		}
	}
});

// Initialize the Bloodhound suggestion engine
localities.initialize();

// Instantiate the Typeahead UI
$('#localities').typeahead(null, {
	// Use 'value' as the displayKey because the filter function 
	// returns suggestions in a javascript object with a variable called 'value'
	name: 'localities',
	displayKey: 'name',
	source: localities.ttAdapter()
}).blur(function(){
	match = false;
	for (var i = localityArray.length - 1; i >= 0; i--) {
		if($(this).val() == localityArray[i].name){
			$('#locality_id').val(localityArray[i].id);
			
			// show selected status			
			localityCheckedSign();
			
			match = true;
		}
	};
	if(!match){
		// Find the closet match and set it as the selected country
		if($(this).val() != '') {
			var regex = new RegExp($(this).val().toLowerCase());
			// find the user entered keyword in the array
			var found_names = $.grep(localityArray, function(v) {
				return String(v.name.toLowerCase()).match(regex);
			});
			// match found set it as the selected country
			if(typeof found_names[0] != 'undefined') {
				
				// show selected status			
				localityCheckedSign();
			
				$('#locality_id').val(found_names[0].id);
				$(this).val(found_names[0].name);
			} else {
				localityInfoSign();
				$('#locality_id').val('');
				$(this).val('');
			}
		} else {
			localityInfoSign();
			$('#locality_id').val('');
		}
	} 
}).on('typeahead:asyncrequest', function() {
	localityLoadingSpinner();
})
.on('typeahead:asynccancel typeahead:asyncreceive', function() {
	localityInfoSign();
});

// Display loading spinner
function localityLoadingSpinner() {
	$(".locality-spinner").removeClass("btn-warning");
	$(".locality-spinner").removeClass("btn-success");
	$(".locality-spinner").addClass("btn-secondary");
	$(".locality-spinner i").removeClass("fa-check-circle");
	$(".locality-spinner i").removeClass("fa-info-circle");
	$(".locality-spinner i").addClass("fa-spinner");
}

// Display info sign if locality not selected
function localityInfoSign() {
	$(".locality-spinner").removeClass("btn-success");
	$(".locality-spinner").removeClass("btn-secondary");
	$(".locality-spinner").addClass("btn-warning");
	$(".locality-spinner i").removeClass("fa-spinner");
	$(".locality-spinner i").removeClass("fa-check-circle");
	$(".locality-spinner i").addClass("fa-info-circle");
}

// Display checked sign if user selected a valid locality
function localityCheckedSign() {
	$(".locality-spinner").removeClass("btn-warning");
	$(".locality-spinner").removeClass("btn-secondary");
	$(".locality-spinner").addClass("btn-success");
	$(".locality-spinner i").removeClass("fa-spinner");
	$(".locality-spinner i").removeClass("fa-info-circle");
	$(".locality-spinner i").addClass("fa-check-circle");
}