$(document).ready(function() {
	var site_url = $('#site_url').val();
	if($('#site_url').data('home')) {
		site_url = $('#site_url').data('home');
	}
	var location_url = site_url + 'ajax/load/';
	var csrf_token = $.cookie('ci_csrf_token');
	var xhr;
	
	/*----------------------------------------------------*/
	/*	COUNTRY, STATE AND CITY SELECTION
	/*----------------------------------------------------*/
	if($('.location-country-iso').length) {
		// multiple locations on the same page e.g. checkout page has shipping location
		$(".location-country-iso").each(function() {
			locationSelectize($(this).attr('id').replace('country_iso', ''));
		});
	}
	function locationSelectize(fieldName) {
		fieldName = '#' + fieldName;
		var select_country, $select_country;
		var select_state, $select_state;
		var select_city, $select_city;
		var select_locality, $select_locality;
		if($(fieldName + 'country_iso').length) {
			$select_country = $(fieldName + 'country_iso').selectize({	
					onChange: function(value) {
						if (!value.length) return;
						select_state.disable();
						select_state.clearOptions();
						select_state.load(function(callback) {
							xhr && xhr.abort();
							xhr = $.ajax({
								url: location_url + 'states/' + value,
								success: function(results) {
									select_city.disable();
									select_city.clearOptions();
									select_state.enable();
									callback(results);
								},
								error: function() {
									callback();
								}
							})
						});
					}
			});	
			select_country = $select_country[0].selectize;
		}
		if($(fieldName + 'state_id').length) {
			$select_state = $(fieldName + 'state_id').selectize({
				valueField: 'id',
				labelField: 'name',
				searchField: ['name'],
				onChange: function(value) {
					if (!value.length) return;
					select_city.disable();
					select_city.clearOptions();
					select_city.load(function(callback) {
						xhr && xhr.abort();
						xhr = $.ajax({
							url: location_url + 'cities/' + value,
							success: function(results) {
								select_city.enable();
								callback(results);
							},
							error: function() {
								callback();
							}
						})
					});
				}
			});
		}
		
		if($(fieldName + 'locality_id').length && $(fieldName + 'city_id').length) {
			$select_city = $(fieldName + 'city_id').selectize({
				valueField: 'id',
				labelField: 'name',
				searchField: ['name'],
				onChange: function(value) {
					if (!value.length) return;
					select_locality.disable();
					select_locality.clearOptions();
					select_locality.load(function(callback) {
						xhr && xhr.abort();
						xhr = $.ajax({
							url: location_url + 'localities/' + value,
							success: function(results) {
								select_locality.enable();
								callback(results);
							},
							error: function() {
								callback();
							}
						})
					});
				}
			});
			
			if($(fieldName + 'locality_id').length) {
				$select_locality = $(fieldName + 'locality_id').selectize({
					valueField: 'id',
					labelField: 'name',
					searchField: ['name']
				});
			}
			select_locality  = $select_locality[0].selectize;
		} else if($(fieldName + 'city_id').length) {
			$select_city = $(fieldName + 'city_id').selectize({
				valueField: 'id',
				labelField: 'name',
				searchField: ['name']
			});
		}
		if($(fieldName + 'city_id').length) {
			select_city  = $select_city[0].selectize;
		}
		if($(fieldName + 'state_id').length) {
			select_state  = $select_state[0].selectize;
		}
		//select_state.disable();
		//select_city.disable();
	}
});