/*-------------------------------------------------------*/
/*	Common Selectize Search for All Modules
/*-------------------------------------------------------*/
if($('.selectize-search-input').length) {
	$( '.selectize-search-input').each(function() {
		var selectField = $('#' + $(this).val());
		var fieldName = $(this).val();
		var createItem = false;
		var maxItems = $(this).attr('maxItems');
		var loadURL = $(this).attr('loadURL');
		var noAjax = $(this).data('noAjax'); // Do not call using Ajax, show options only
		var extraParams = processExtraParams($(this).data('extraParams')); // Extra Parameters e.g. options		
		var relationRoot = extraParams.root; // Relation Root field // e.g. country_iso is the root for States and Cities, pass country_iso while loading states
		var relationFields = extraParams.relation; // Relation Fields // e.g. on change of country_iso, change the value of the state_id and city_id fields 
		/*if(extraParams != '') { // Pass Extra parameters
			extraParams = extraParams.split(',');
			$.each( extraParams, function( key, value ) {
				var valueSplit = value.split('#');				
				if(valueSplit[0] == 'relation') { // Relation Fields
					relationFields = valueSplit[1].split('^');
				} else if(valueSplit[0] == 'root') { // Relation Root
					relationRoot = valueSplit[1].split('^');
				}
			});
		}*/
		var options = $(this).data('options');// Load Options		
		/*var options = [
			{id: 1, name: 'Brian Reavis'},
			{id: 2, name: 'Nikola Tesla'},
			{id: 3, name: 'Nikolad Tesla'}
		];*/
		if($(this).val() == 'keywords') {
			createItem = true;
		} 
		selectizeSearch(selectField, maxItems, loadURL, createItem, fieldName, options, relationFields, relationRoot, noAjax);
	});
}
/*----------------------------------------------------*/
/*	Process Extra Parameters
/*----------------------------------------------------*/
function processExtraParams(extraParams) {
	var relationFields = '';
	var relationRoot = '';
	if(typeof(extraParams) != 'undefined' && extraParams != '') { // Pass Extra parameters
		extraParams = extraParams.split(',');
		$.each( extraParams, function( key, value ) {
			var valueSplit = value.split('#');	
			if(valueSplit[0] == 'relation') { // Relation Fields
				relationFields = valueSplit[1].split('^');
			} else if(valueSplit[0] == 'root') { // Relation Root
				relationRoot = valueSplit[1].split('^');
			}
		});
	}
	return { 'relation': relationFields, 'root': relationRoot};
}
/*----------------------------------------------------*/
/*	Selctize Field Functionality
/*----------------------------------------------------*/
function selectizeSearch(selectField, maxItems, loadURL, createItem, fieldName, options, relationFields, relationRoot, noAjax) {
	selectField.selectize({
		// persist : false, // If false, items created by the user will not show up as available options once they are unselected.
		maxItems : maxItems,
		disabledField: true,
		plugins: ['remove_button'], // display remove button
		valueField : 'id',
		labelField : 'name',
		searchField : [ 'id', 'name', 'description' ],
		create: createItem, // Allow user to add a new keyword while entering tags
		options: options,
		render: {
			item : function(item, escape) {
				return '<div>'
						+ (item.name ? '<span class="name">'
								+ escape(item.name) + '</span>' : '')
						+ (item.description ? '<span class="text-white small d-block">'
						+ escape(item.description) + '</span>' : '')
						+ '</div>';
			},
			option : function(item, escape) {
				var label = item.name || item.id;
				var caption = item.name ? item.id : null;
				return '<div>'
						+ '<span class="label">'
						+ escape(label)
						+ '</span>'
						+ (item.description ? '<span class="small d-block">'
								+ escape(item.description) + '</span>' : '')
						+ '</div>';
			}
		},
		onInitialize: function() { // preload data on validation error/edit coupon page
			var dataValue = this.$input.data('selectize-value');
			if(typeof dataValue != 'undefined' && dataValue != '') {
				var existingOptions = dataValue;
				var self = this;
				if(Object.prototype.toString.call( existingOptions ) === "[object Array]") {
					existingOptions.forEach( function (existingOption) {
						self.addOption(existingOption);
						self.addItem(existingOption[self.settings.valueField]);
					});
				}
				else if (typeof existingOptions === 'object') {
					self.addOption(existingOptions);
					self.addItem(existingOptions[self.settings.valueField]);
				}
			}
			
			if(relationFields != '') {
				// use it in onInitialize method
				// onChange of value clear the relation fields
				selectField.on('change', function (value) {
					$.each( relationFields, function( key, relationCtrl ) {
						if($('#' + relationCtrl).length) {
							// clear the relation field on change of the Main dropdown
							var $field_select = $('#' + relationCtrl).selectize();
							var control = $field_select[0].selectize;
							var fieldValues = control.items;// control.getValue();
							// alert(relationCtrl + JSON.stringify(fieldValues));
							/* // CLEAR ALL FIELDS
							control.clear();			   // clear field
							control.clearOptions();        // clear the data
							control.renderCache = {};      // clear the html template cache*/
							
							if(fieldValues == '') { // Not Required - Clear All Fields
								// CLEAR ALL FIELDS
								control.clear();			   // clear field
								control.clearOptions();        // clear the data
								control.renderCache = {};      // clear the html template cache
							}
							// LOGIC - DO NOT CLEAR ALL OPTIONS
							// load new fields based on the parents data
							// get parent of the field e.g. state_id is the parent of city_id
							// if has fieldRoot, display dropdown list in the relation field
							var fieldRoot = processExtraParams($('.selectize-' + relationCtrl).data('extraParams')).root;
							if(fieldRoot != '') {
								var $field_select_root = $('#' + fieldRoot).selectize();
								var control_root = $field_select_root[0].selectize;
								if(control_root.getValue() == '') { // this is the only value that is removed
									// CLEAR ALL FIELDS
									control.clear();			   // clear field
									control.clearOptions();        // clear the data
									control.renderCache = {};      // clear the html template cache
								} else {
									fieldLoadURL = $('.selectize-' + relationCtrl).attr('loadurl') + '?relation_field=' + fieldRoot + '&relation_id=' + encodeURIComponent(control_root.getValue());// + '&id=' + encodeURIComponent(fieldValues);					
									control.load(function(callback) {
										$.ajax({
											url: fieldLoadURL,
											type: 'GET',
											success: function(data) { 
												if(data.length > 0) {
													// fieldValues = fieldValues.split(',');
													newValues = []; // store ids of the new result
													$.each(data, function( keyV, valueV ) {
														newValues.push(valueV.id);
													});
													// There is no option to clear previous searched option listStyleType
													// i.e. clear all items first and then add the selected items
													// control.clear();			   // clear field
													// control.clearOptions();        // clear the data
													// control.renderCache = {};      // clear the html template cache
													if(fieldValues.length > 0) {
														$.each(fieldValues, function(fKey, fValue) {
															// if item is not in the list, remove it from the options
															if(typeof fValue !== 'undefined' && jQuery.inArray( fValue, newValues ) === -1) {
																// Remove item first and then remove the option
																// control.removeItem(fValue);														
																// Remove the option
																// control.removeOption(fValue);
																// remove item from the original array
																fieldValues.splice($.inArray(fValue, fieldValues),1);
															}
														});
													}
												    // alert(JSON.stringify(newValues));
													// alert(value + ' --- ' + JSON.stringify(fieldValues));
													// Refresh the select
													// control.refreshItems();
													// control.refreshOptions();
													control.clear();				// clear field
													control.clearOptions();			// clear the data
													control.renderCache = {};       // clear the html template cache
													// Dynamically add new options to select
													callback(data); // load new items
													// load selected items list
													/*$.each(fieldValues, function(fvKey, fvValue) {
														control.addItem(fvValue);
													});*/													
												} else {													
													control.clear();			   // clear field
													control.clearOptions();        // clear the data
													control.renderCache = {};      // clear the html template cache
												}
											}
										});
									});
								}
							}
						}
					});
				});
			}
		}, // load data using ajax,
	    /*onBlur: function(value, isOnInitialize) {
			if(relationFields != '') {				
				$.each( relationFields, function( key, value ) {
					if($('#' + value).length) {
						// clear the relation field on change of the Main dropdown
						var $field_select = $('#' + value).selectize();
						var control = $field_select[0].selectize;
						control.clear();			   // clear field
						control.clearOptions();        // clear the data
						control.renderCache = {};      // clear the html template cache
					}
				});
			}
	    },*/
		load: function(query, callback) {
			// do not proceed further, show saved options only
			if(noAjax == 1) return callback();
			// LINKS Module
			// LoadUrl is formed using jQuery based on the selected Module
			// Have your own dynamicLoadUrl if you want to pass the Module name dynamically
			if($('#dynamicLoadUrl').length) {
				var dynamicLoadUrl = $('#dynamicLoadUrl').val();
				if(dynamicLoadUrl != '') {
					loadURL = dynamicLoadUrl;
				}				
			}
	        if (!query.length) return callback();
			
			// handle relation fields
	        var extra_uri = '';
			if(relationRoot != '') {
				// get the relationRoot field value
				var $relation_root = $('#' + relationRoot[0]).selectize();
				var control = $relation_root[0].selectize;
				if(control.getValue() == '') {
					// do not allow a user to select child directly
					return false;
				}
				// send selected Root Field value in the URI parameters to load Root specific Children only
				extra_uri = '&relation_field=' + relationRoot[0] + '&relation_id=' + encodeURIComponent(control.getValue());
			}
	        $.ajax({
	            url: loadURL + '?q=' + encodeURIComponent(query) + extra_uri,
	            type: 'GET',
	            error: function() {
	                callback();
	            },
	            success: function(data) { 
	            	if(data.length > 0) {
	            		ajaxData = data;
	            		callback(data.slice(0, 10));
	            	}
	            }
	        });
	    },
	});
}