<?php
// DELETE THESE FILES AFTER INSTALLATION FOR SECURITY REASONS
// after replacement overwrite the route file
// Check if installed file exists
$installed_file = '../application/config/installed.txt';
if (file_exists($installed_file)) {
	header('Location: ' . url()); // redirect user to the home page
}

modify_installation_files();
header('Location: ' . url()); // redirect user to the home page

/**
 * Modify Installation Files
 */
function modify_installation_files() {
	// create a new file installed.txt inside the config folder
	file_put_contents('../application/config/installed.txt', 'Installed On: ' . date('r') . "\n");
	// modify the Home.php file
	file_put_contents('../application/controllers/Home.php', str_replace("extends CI_Controller", "extends Front_Controller", file_get_contents('../application/controllers/Home.php')));
}

// Get Current Site URL
function url(){
	$url = sprintf(
    	"%s://%s%s",
    	isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off' ? 'https' : 'http',
    	$_SERVER['SERVER_NAME'],
    	$_SERVER['REQUEST_URI']
  	);
	return str_replace('/installer.php', '', $url);
}

// Overwrite DB Login Credentials
function set_login_details($login_details) {
	$file = '../application/config/database.php';
	if (file_exists($file)) {
		$lines = file($file);
		$strings = array('hostname', 'username', 'password', 'database');
		if($lines) {
			// read line one by one
			foreach ($lines as $lineNumber => $line) {
				// Get the Username
				$trim_line = trim($line);
				foreach($strings as $str) {
					if(strpos($line, $str . '\' ') !== false) {
						$result = get_string_between($line, '=> \'', '\',');
						if(empty($result)) { // Double Quote String is used
							$result = get_string_between($line, '=> "', '",');
						}
						if(!empty($result)) {
							$lines[$lineNumber] = str_replace($result, $login_details[$str], $line);
						} else { // Nothing found
							$lines[$lineNumber] = str_replace('\'\'', '\'' . $login_details[$str] . '\'', $line);
						}
					}					
				}
			}
		}
		// Write the route file
    	$contents = implode('', $lines);
    	file_put_contents($file, $contents);
    	return true;		
	}
	return false;
}

// Import DB
function import_db($login_details) {
	//Uncomment this below line for larger database to allow script to execute long time
	set_time_limit(0);
	
	// database file path
	$filename = '../application/db/goclixy.sql';
	
	// MySQL host
	$mysql_host = $login_details['hostname'];
	
	// MySQL username
	$mysql_username = $login_details['username'];
	
	// MySQL password
	$mysql_password = $login_details['password'];
	
	// Database name
	$mysql_database = $login_details['database'];
	
	// Connect to MySQL server
	$connection = mysqli_connect($mysql_host, $mysql_username, $mysql_password, $mysql_database);
	
	if (mysqli_connect_errno()) {
		echo "Failed to connect to MySQL: " . mysqli_connect_error();
		return false;
	}
	
	// Temporary variable, used to store current query
	$templine = '';
	
	
	// Read in entire file
	$fp = fopen($filename, 'r');
	
	// Loop through each line
	while (($line = fgets($fp)) !== false) {
		// Skip it if it's a comment
		if (substr($line, 0, 2) == '--' || $line == '')
			continue;
	
		// Add this line to the current segment
		$templine .= $line;
	
		// If it has a semicolon at the end, it's the end of the query
		if (substr(trim($line), -1, 1) == ';') {
			// Perform the query
			if(!mysqli_query($connection, $templine)){
				print('Error performing query \'<strong>' . $templine . '\': ' . mysql_error() . '<br /><br />');
			}
			// Reset temp variable to empty
			$templine = '';
		}
	}
	
	mysqli_close($connection);
	fclose($fp);
	
	// Update details in the database.php file
	return set_login_details($login_details);
}

// Modify the RewriteBase in the .htaccess file
function setRewriteBase() {
	$file = '.htaccess';
	if (file_exists($file)) {
		$lines = file($file);
		$login_details = array();
		if($lines) {
			// read line one by one
			foreach ($lines as $lineNumber => $line) {
				// Get the Username
				$line = trim($line);
				if(strpos($line, 'RewriteBase /') !== false) {
					$lines[$lineNumber] = "\x20\x20RewriteBase /v4/public_html/" . PHP_EOL;
				}
			}
		}
	}
	// Write the route file
	$contents = implode('', $lines);
	file_put_contents($file, $contents);
}

/**
 * Get String Between a String
 */
function get_string_between($string, $start, $end){
    $string = ' ' . $string;
    $ini = strpos($string, $start);
    if ($ini == 0) return '';
    $ini += strlen($start);
    $len = strpos($string, $end, $ini) - $ini;
    return substr($string, $ini, $len);
}
?>