var site_url = $('#site_url').val();
var home_url = $('#site_url').attr('home_url');
var csrf_token = $.cookie('ci_csrf_token');
/*-----------------------------------------------*/
/* Business Owner Reply to Visitor
 *-----------------------------------------------*/
$('#replyEmailModal').css('display','none');
/*----------------------------------------------------*/
/*	Tiny MCE Editor
/*----------------------------------------------------*/
if($('#reply_message').length) {
	tinymce.init({
		theme: "modern",
	    plugins: [
	        "advlist autolink lists link image charmap print preview hr anchor pagebreak",
	        "searchreplace wordcount visualblocks visualchars code fullscreen",
	        "insertdatetime media nonbreaking save table contextmenu directionality",
	        "emoticons template paste textcolor colorpicker textpattern"
	    ],
	    toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
	    toolbar2: "print preview media | forecolor backcolor emoticons",
	    image_advtab: true,
		mode: "exact",
		entity_encoding : "raw",
		language: $('#site_url').attr('lang'),
		paste_as_text: true,
		elements: "reply_message"
	 });
}
$('#replyQueryForm').on('submit', function(e) {
	if (!e.isDefaultPrevented()) {
		tinymce.triggerSave(); // TinyMCE Required Field validation issue
		var module = $("#module").val();
		var subject = $("#reply_subject").val();
		var message = $("#reply_message").val();
		// Row ID to send SMS to only one customer
		var row_id = $("#row_id").length ? parseInt($("#row_id").val()) : 0;
		var row_ids = [];
		if(row_id != 0) {
			row_ids.push(row_id);
		} else {
			// Send SMS to Checked Items
			$('input.chk-status:checkbox:checked').each(function () {
				row_ids.push($(this).val());
			    
			    // Uncheck all checked items after getting ids
			    $(this).removeAttr('checked');
			});
		}
		row_ids = row_ids.join(",");
		$(".replyQuery_error").hide();
		$("#ajax_loader_reply").show();
		$.post( home_url + "ajax/email", {'ci_csrf_token': csrf_token, 'module': module, 'row_ids': row_ids, 'email_subject': subject, 'email_message': message}, function( data ) {
			if(JSON.parse(data).result == 1) {
				$('#reply_subject, #reply_message').val("");
				tinyMCE.activeEditor.setContent(''); // Empty TinyMCE after email
				$("#ajax_loader_reply").hide();
				msgModal(JSON.parse(data).message, JSON.parse(data).type, 'replyQuery'); 
		    } else {
		    	$("#ajax_loader_reply").hide();
		        msgModal(JSON.parse(data).message, JSON.parse(data).type, 'replyQuery'); 
		    }
		});
	    e.preventDefault();
	    return false;
	} else {
		msgModal($('#error_lang').val(), 'error', 'replyQuery');
	}
});
/*-----------------------------------------------*/
/* Custom SMS - Admin
 *-----------------------------------------------*/
$('#customSMSForm').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) { // Check whether validations are successful or not		
		var module = $("#module").val();
		var message = $("#sms_message").val();
		// Row ID to send SMS to only one customer
		var row_id = $("#row_id").length ? parseInt($("#row_id").val()) : 0;
		var row_ids = [];
		if(row_id != 0) {
			row_ids.push(row_id);
		} else {
			// Send SMS to Checked Items
			$('input.chk-status:checkbox:checked').each(function () {
				row_ids.push($(this).val());
			    
			    // Uncheck all checked items after getting ids
			    $(this).removeAttr('checked');
			});
		}
		row_ids = row_ids.join(",");
		$(".sms_error").hide();
		$("#ajax_loader_sms").show();
		$.post( home_url + "ajax/sms", {'ci_csrf_token': csrf_token, 'module': module, 'row_ids': row_ids, 'message': message}, function( data ) {
			if(JSON.parse(data).result == 1) {
				$('#sms_message').val("");
				$("#ajax_loader_sms").hide();
				msgModal(JSON.parse(data).message, JSON.parse(data).type, 'sms'); 
		    } else {
		    	$("#ajax_loader_sms").hide();
		        msgModal(JSON.parse(data).message, JSON.parse(data).type, 'sms'); 
		    }
		});
	    e.preventDefault();
	    return false;
	} else {
		msgModal($('#error_lang').val(), 'error', 'sms');
	}
});
/*-----------------------------------------------*/
/* Display Success and Error Message to the User
 *-----------------------------------------------*/
function msgModal(message, type, module) {
	$('.' + module + '_error').show();
   $('.modal-dialog').addClass('shake');
   if(type == 'success') {
	   $('.' + module + '_error').removeClass('alert alert-danger').html("");
   }
   $('.' + module + '_error').addClass('alert alert-' + type).html(message);
   window.setTimeout( function(){ 
	   $('.modal-dialog').removeClass('shake'); 
	   if(type == 'success') {
		   $('.' + module + '_error').removeClass('alert alert-success').html("");
	   }
   }, 10000 ); 
}