/* Nofication Close Buttons */
$('.notification a.close').click(function(e){
	e.preventDefault();

	$(this).parent('.notification').fadeOut();
});

/*
	Check All Feature
*/
$(".check-all").click(function(){
	$("table input[type=checkbox]").prop('checked', $(this).prop('checked'));
});

/*
	Dropdowns
*/
$('.dropdown-toggle').dropdown();

/*
	Display Tool Tip
*/
$('[data-toggle="tooltip"]').tooltip({html: true});
/*
 * Display Tooltip with Modal
*/
$('[data-tooltip="tooltip"]').tooltip({html: true});

/*
	Set focus on the first form field
*/
$(":input:visible:first").focus();

/*
	Responsive Navigation
*/
// $('.collapse').collapse();

/*
 Prevent elements classed with "no-link" from linking
*/
//$(".no-link").click(function(e){ e.preventDefault();	});

/*
 * Responsive File Manager (Standalone Version) - Listing Media Manager
 */
$('.iframe-btn').fancybox({	
	'width'		: 900,
	'height'	: 550,
	'type'		: 'iframe',
	'autoSize' 	: false
});

/*
 * Show Images in Modal Window 
 */
$('.gc-fancybox').fancybox({
	openEffect:	'elastic',
	closeEffect: 'elastic',
	openSpeed: 200, 
	closeSpeed: 200,
});

/**
 * Load training material from GoClixy website
 * @param e
 * @returns
 */
$('.help-product').on('click',function(e) {
    var dataURL = $(this).attr('data-href');
	var loader = $('#helpModal .loader-img');
	loader.show();	
    $('#helpModal .help-content').load(dataURL, function() {
		loader.hide();
    	if($('#helpModal').is(':visible') === false) {
        	$('#helpModal').modal({show:true});
        	// tooltip not working in a modal fix
        	$('.modal [data-toggle="tooltip"]').tooltip({trigger: 'hover'}); 
        	// You have to call fancybox after appending data to the modal-body as 
        	// fancy box is not bind to the element which is not in DOM yet so after 
        	// appending data to modal body you have to call fancybox function as follows
        	$('.gc-fancybox').fancybox({
        		openEffect:	'elastic',
        		closeEffect: 'elastic',
        		openSpeed: 200, 
        		closeSpeed: 200,
        	});
        }
    });
});

/**
 * Template Preview
 * @param e
 * @returns
 */
$('.template-preview').on('click',function(e) {
    var dataURL = $(this).attr('data-href');
	var loader = $('#helpModal .loader-img');
	loader.show();	
    $('.gc-global-load').load(dataURL, function() {
		loader.hide();
    	if($('#previewModal').is(':visible') === false) {
        	$('#previewModal').modal({show:true});
        	// tooltip not working in a modal fix
        	$('.modal [data-toggle="tooltip"]').tooltip({trigger: 'hover'});
        }
    });
});

/**
 * Business Completion in Percentage
 * @param e
 * @returns
 */
$('.percent-completion').click(function(e) {
	$('.stats-error').hide();
	$('.completion-content').html('');
	$('.completion-heading').html('');
	e.preventDefault();
	var id = $(this).data('id');
	var formData = {'ci_csrf_token': csrf_token, 'id': id};
	$("#ajax_loader").show();	
	$.post( site_url + "/content/listings/percent_completion", formData, function( data ) {
	  	// A function to be called if request succeeds
		if(JSON.parse(data).result == 1) {
			$('.completion-error').hide();
			$('.completion-content').html(JSON.parse(data).data);
			$('.completion-heading').html(JSON.parse(data).heading);
			$('#percentCompletion').modal('show');
       } else {
    	   $("#ajax_loader").hide();
    		$('.completion-error').show();
       }
	})
})

/*----------------------------------------------------*/
/*	Tiny MCE Editor - Admin Only
/*----------------------------------------------------*/
if($('.editor').length) {
	tinymce.init({
		theme: "modern",
	    plugins: [
	        "advlist autolink lists link image charmap print preview hr anchor pagebreak",
	        "searchreplace wordcount visualblocks visualchars code fullscreen",
	        "insertdatetime media nonbreaking save table contextmenu directionality",
	        "emoticons template paste textcolor colorpicker textpattern"
	    ],
	    toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
	    toolbar2: "print preview media | forecolor backcolor emoticons",
	    image_advtab: true,
	    entity_encoding : "raw",
		convert_urls: false,
		language: $('#site_url').attr('lang'),
		mode: "specific_textareas", // enable or disable TinyMCE on textareas with certain classes
		editor_selector: "editor" // enable TinyMCE only for textareas having editor class  
	});
}