<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
	// get last selected theme from user
	$this->load->helper('cookie');
	$this->load->library('parser');
	$site_title = $this->parser->parse_string(settings_item('seo.site_title_format'), array('site_title' => settings_item('site.title')), TRUE);
	// Always load the below JS files at the TOP before the Assets loaded in the Controller File
	Assets::add_js( array('bootstrap.bundle.min.js', 'selectize.min.js', 'theme-switcher.js', 'metisMenu.js', 'validator.min.js', 'jquery.validate.min.js', 'jquery.cookie.js', 'intlTelInput.min.js', 'typeahead.bundle.min.js', 'jquery.sharrre.min.js', 'jquery.lazy.min.js', 'jquery.lazy.plugins.min.js', 'jquery.fancybox.min.js', 'wow.min.js', 'readmore.min.js', 'jquery.toast.min.js', 'jarallax.min.js'), 'external', true);
	Assets::add_js(array('gc.js', 'theme.js', 'general.js?v=' . filemtime(FCPATH . 'assets/js/general.js')));
    if(settings_item('adv.search_blocks') == 1) {
    	Assets::add_js('default_search.js');
    }
    
    // Always load the Bootstrap and External Plugin CSS files before the GoClixy CSS files
    $bootstrap_css = array('bootstrap.min.css');
    if($this->session->userdata('is_rtl')) {
    	$bootstrap_css[] = 'bootstrap-rtl.min.css';
    	$bootstrap_css[] = 'common-rtl.css';
    }
    $external_plugin_css = array('font-awesome.min.css', 'selectize.bootstrap3.css', 'intlTelInput.css', 'famfamfam-flags.css', 'social-buttons.css', 'animate.min.css', 'jquery.fancybox.min.css', 'jquery.toast.min.css', 'jarallax.css', 'common.css', 'general.css', 'global.css');
    Assets::add_css( array_merge($bootstrap_css, $external_plugin_css), 'screen', true);
    
    // Assets::add_css(array('common.css', 'global.css'));
    if($this->session->userdata('is_rtl')) {
    	Assets::add_css('layout-rtl.css');
    }
   	$inline = '';//'$(".nav-tabs a:first").tab("show");'; // This line always set the first tab as the default one
    
    // Enable content protector (CTRL+c, Mouse Right Click etc.) on user request
    if(settings_item('auth.content_protector') == 1) {
	    Assets::add_js('jctextcopyprotector.js');
	    $inline .= '$("body").jctextcopyprotector();';
    }
    Assets::add_js( $inline, 'inline' );
    
    // css and js dependencies
    // Assets is a variable set by the themes module in the View file.
    // e.g. echo theme_view('_header', array('assets' => '{"css":["owl.carousel.min.css","owl.theme.default.min.css"],"js":["owl.carousel.min.js"]}'));
    if(!empty($assets)) {
    	$assets = json_decode($assets);
    	// The link can be either relative or absolute.
    	if(!empty($assets->css)) {
    		Assets::add_css($assets->css);
    	}
    	if(!empty($assets->js)) {
    		Assets::add_js($assets->js);
    	}    	
    }
    $country_data = settings_item('site.default_country');
    $country_info = !empty($country_data) ? json_decode($country_data ?? '', true) : array();
    if(!empty($country_info)) {
        $data_parser = $country_info;
    } else {
        $data_parser = array('country' => $country_data);
    }
    if(!isset($page_description)):
    $page_description = $this->parser->parse_string(settings_item('site.meta_description'), $data_parser, true);
    endif;
    if(!isset($page_keywords)):
    $page_keywords = $this->parser->parse_string(settings_item('site.meta_keywords'), $data_parser, true);
    endif;
    $default_meta_description = $this->parser->parse_string(settings_item('site.meta_description'), $data_parser, true);
    $default_meta_keywords = $this->parser->parse_string(settings_item('site.meta_keywords'), $data_parser, true);
    $default_meta_title = $this->parser->parse_string(settings_item('site.meta_title'), $data_parser, true);
?>
<!doctype html>
<head>
<meta charset="utf-8">
<?php if(!empty($social_sharing['image'])): // Display image while sharing the Listing/Category and Location URL on Facebook?>
<meta property="og:image" content="<?php echo $social_sharing['image']; ?>" />
<?php else: ?>
<meta property="og:image" content="<?php echo gc_image_url(settings_item('site.logo'), false); ?>" />
<?php endif;?>
<title><?php echo isset($page_title) ? $page_title : $default_meta_title; ?> <?php if (class_exists('Settings_lib')) echo settings_item('seo.site_title') == 1 ? $site_title : ''; else echo 'GoClixy'; ?></title>

<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="<?php echo isset($page_description) ? $page_description : $default_meta_description; ?>">
<meta name="keywords"
	content="<?php echo isset($page_keywords) ? $page_keywords : $default_meta_keywords; ?>">
<meta name="author"
	content="<?php echo isset($page_author) ? $page_author : $default_meta_title; ?>">
	
    <?php echo Assets::css(); ?>
  	<!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=<?php echo settings_item('site.analytics_tracking_id');?>"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());
    
      gtag('config', '<?php echo settings_item('site.analytics_tracking_id');?>');
    </script>
    <link rel="shortcut icon" href="<?php echo gc_site_image('favicon'); ?>">
    <?php if(settings_item('lst.map_leaflet') == 1): // Google Maps is no longer free, display map using leaflet?>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.1/dist/leaflet.css" integrity="sha512-Rksm5RenBEKSKFjgI3a41vrjkw4EVPlJ3+OiI65vTjIdo9brlAacEuKOiQ5OFh7cOI1bkDwLqdLw3Zg0cRJAAQ==" crossorigin=""/>
    <script src="https://unpkg.com/leaflet@1.3.1/dist/leaflet.js" integrity="sha512-/Nsx9X4HebavoBvEBuyp3I7od5tA0UzAxs+j83KgC8PU0kgB4XiK4Lfe4y4cgBtaRJQEIFCW+oC506aPT2L1zw==" crossorigin=""></script>
    <?php endif;?>
    <?php if(settings_item('site.adsense_publisher_id')): ?>
  	<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-<?php echo settings_item('site.adsense_publisher_id'); ?>" crossorigin="anonymous"></script>
  	<?php endif; ?>
</head>
<body>