/*----------------------------------------------------
 * Owl Slider
 *---------------------------------------------------*/	
// Passing different attributes to owl-carousel
var owlElements = [];
$( '.owl-carousel' ).each(function(index) {	
	var owlId = $(this).attr('id');
	if(typeof owlId !== "undefined") {
		var tmp = owlId.split("-");
		var items = 3;
		if(tmp[1]) {
			items = tmp[1];
		}
		// This function results in multiple call of the owlCarousel function
		// i.e. an array is used to store owlCarousel IDs
		var found = jQuery.inArray(owlId, owlElements);
		if (found < 0) {
		    // Element was not found, add it.
			owlElements.push(owlId);
			owlCarousel(owlId, items);
		}
	}
});

function owlCarousel(owlId, items) {
	$('#' + owlId).owlCarousel({
	    items: items, // number of items to be displayed
	    loop:true,
	    margin: 5,
	    responsiveClass:true,
	    lazyLoad:true,
	    autoplay:true,
	    autoplayTimeout:5000,
	    autoplayHoverPause:true,
	    animateOut: 'slideOutDown',
	    animateIn: 'flipInX',
	    dots: false, // hide the pagination
	    nav: true,
	    navText: [
	      "<i class='fas fa-chevron-left'></i>",
	      "<i class='fas fa-chevron-right'></i>"
	      // '<img src="https://s12.postimg.org/uj3ffq90d/arrow_left.png" alt="Left" class="img-fluid">',
	      // '<img src="https://s12.postimg.org/djuh0gxst/arrow_right.png" alt="Right" class="img-fluid">'
	      ],
	    responsive:{
	        0:{
	            items:1,
	            nav:true
	        },
	        600:{
	            items:3,
	            nav:false
	        },
	        1000:{
	            items:items,
	            nav:true,
	            loop:false
	        }
	    }
	});
	$('.play').on('click',function(){
	    owl.trigger('play.owl.autoplay',[1000])
	})
	$('.stop').on('click',function(){
	    owl.trigger('stop.owl.autoplay')
	})
	// Custom Navigation Events
	// $(".next").click(function(){$(this).closest('.span12').find('.owl-carousel').trigger('owl.next');})
	// $(".prev").click(function(){$(this).closest('.span12').find('.owl-carousel').trigger('owl.prev');})
}
