<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$theme_settings = theme_settings();
echo theme_view('widgets/navbars/' . $theme_settings['navbar']);
$placeholder_username = settings_item('auth.login_type') == 'both' ? lang('placeholder_username_email') : lang('placeholder_email');
$type = isset($type) ? $type : 'login';
if(!isset($hybrid_auth_providers)):
$hybrid_auth_providers = $this->user_model->get_providers(true); 
endif;
?>
<div class="authscr05"> 
    <div class="container">
        <div class="col-md-12"> 
            <div class="row authscr05_login-box" style="background-image:url('<?php echo site_url('assets/images/back9.jpg');?>')">
                <div class="col-lg-7 col-sm-12 align-self-center order-1 order-lg-0">
                    <div class="authscr05_form">
                        <div class="authscr05_form__layout">
                        <?php
							echo Template::message();
							echo form_validations();
							Template::set(array('label_width' => 'col-sm-4', 'class' => 8));
							echo form_open($this->uri->uri_string(), 'class="form-horizontal"');
							echo isset($content) ? $content : Template::content();
							echo form_close();
							?>
                        </div>
                    </div>
                </div>
                <div class="col-lg-5 col-md-12 col-sm-12 order-0 order-lg-1 authscr05_bgimg align-self-center">
                	<a href="<?php echo site_url(); ?>"><?php echo site_logo('logo mb-4'); ?></a>
                    <h3><?php echo lang('us_hello');?></h3>
                    <?php if (!empty(settings_item('hybridauth_enabled')) && !empty($hybrid_auth_providers)): ?>
                    <p><?php echo lang('us_msg_no_account'); ?></p>
                    <h4><?php echo lang('login_with_social'); ?></h4>
                    <p><?php echo lang('social_login_help'); ?></p>
                    <ul class="authscr05_social">
                    <?php foreach ($hybrid_auth_providers as $provider => $hy_values): ?>
                        <?php if ($hy_values['enabled'] == TRUE): ?>
                            <li><a href="<?php echo site_url('users/hybrid_login') . '/' . $provider;?>" class="text-white social-<?php echo strtolower($provider); ?>"><i class="fab fa-fr fa-<?php echo strtolower($provider);?>"></i></a></li>                           
                            <?php endif; ?>								
						<?php endforeach;?>
                    </ul>
                    <?php endif; ?>
                    <?php if($this->uri->segment(1) != gc_uri_string('login')): ?>
                    <ul class="p-0">
                        <li class="list-inline-item w-100"><a href="<?php echo gc_url_format('login'); ?>" class="w-100 text-center btn btn-warning btn-theme-primary btn-lg text-left"><i class="fas fa-lock fa-fw mr-3"></i><?php echo lang('bf_action_login'); ?></a></li>
                    </ul>
				<?php endif;?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php echo theme_view('widgets/footers/' . $theme_settings['footer']); ?>