<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$users_info = !empty($link_queries['users_info']) ? $link_queries['users_info'] : array();
$theme_settings = theme_settings();
echo theme_view('widgets/navbars/' . $theme_settings['navbar'], array('has_scroll' => true)); ?>
<div class="container-fluid pt-3">
<div class="row d-layout gc__layout-member pb-3">
	<div class="col-lg-3">
		<?php echo Template::block('sidebar'); ?>
			<div class="collapse show" id="accordion">
	            <div class="card card-default">
	              <div class="card-header">
	                <h4 class="card-title h5 m-0">
	                  <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
	                  	<i class="fas fa-th-list fa-fr"></i>
	                    <?php echo lang('members_menu');?>
	                  </a>
	                </h4>
	              </div>
	              <div id="collapseOne" class="collapse show">
	                <div class="list-group member-menu">
	                  <?php if($this->auth->role_id() == 4):?>
	                  <h5><a href="<?php echo site_url('members/role');?>" title="<?php echo lang('update_role_text');?>" class="list-group-item"><span class="btn btn-primary btn-block"><?php echo lang('update_role_link');?><?php echo lang('update_role_text');?></span></a></h5>
	                  <?php endif;?>
                      <?php echo $this->links_model->process_links(3, $link_queries, array('tpl' => 2, 'link_class' => 'text-decoration-none', 'with_icon' => true));?>
	                </div>
	              </div>
	            </div>
	            <?php if($link_queries['admin_messages']):?>
	            <div class="card card-default">
	              <div class="card-header">
	                <h4 class="card-title h5 m-0">
	                  <a data-toggle="collapse" data-parent="#accordion" href="#collapseFive"><span class="fas fa-envelope">
	                    </span><?php echo lang('members_admin_messages');?></a>
	                </h4>
	              </div>              
	              <div id="collapseFive" class="collapse">              
	              <?php foreach($link_queries['admin_messages'] as $message):?>
	                <div class="list-group">
	                  <div class="list-group-item">
	                    <h4 class="list-group-item-heading"><?php echo $message->subject;?></h4>
	                    <p class="list-group-item-text"><?php echo word_limiter($message->message_text, 20);?><br />
	                    <span class="small text-primary"><?php echo lang('members_message_more_info');?></span>
	                   	</p>
	                  </div>
	                </div>
	                <?php endforeach;?>                
	              </div>              
	            </div>
	            <?php endif;?>
          	</div><!-- end of accordion -->
	        <div class="card card-default mt-4">
		    	<div class="card-header">		          
		        <h4 class="card-title h5 m-0"><span class="fas fa-user fa-fr"></span><?php echo lang('members_login_information');?></h4></div>
				<div class="card-body">
					<ul class="list-unstyled">
						<li class="small"><i class="fas fa-eye fa-fr"></i><strong><?php echo lang('members_display_name');?>: </strong><?php echo $users_info->display_name;?></li>
					  	<li class="small"><i class="fas fa-calendar fa-fr"></i><strong><?php echo lang('members_last_login');?>: </strong><?php echo $users_info->last_login;?></li>
					  	<li class="small"><i class="fas fa-cloud fa-fr"></i><strong><?php echo lang('members_last_ip');?>: </strong><?php echo $users_info->last_ip;?></li>
					</ul>
				</div><!-- end of card-body -->
		  	</div><!-- end of card -->			
		</div><!-- end of left menu -->
		<div class="col-lg-9">
			<?php echo theme_view('widgets/packages/_upgrade_package_01');?>
			<?php echo Template::message(); ?>
			<?php if (!empty($membership_info)):
				foreach($membership_info as $membership):
			?>
			<div class="alert alert-block alert-<?php echo $membership[1];?>">
				<a class="close" data-dismiss="alert">&times;</a>
				<?php echo $membership[0]; ?>
			</div>
			<?php
			endforeach;
			endif;
			?>
			<div class="card content-block">
                <div class="card-header bg-secondary text-white p-0">
    	    		<?php if(isset($module_links)):?>
                    	<nav class="navbar py-0 subnav">
                              <h1 class="navbar-brand text-uppercase pt-2"><?php echo (isset($toolbar_title) ? $toolbar_title : (isset($module) ? lang('label_my').' '. lang($module) : '')); ?></h1>                        
                              <div class="ml-auto" id="sub-menu">                      	
                       			<ul class="nav nav-pills">
        							<?php echo $module_links; ?>
        						</ul>
                   			  </div>
            			</nav>
            		<?php else:?>
            			<nav class="navbar subnav">
                              <h1 class="navbar-brand text-uppercase"><?php echo (isset($toolbar_title) ? $toolbar_title : (isset($module) ? lang('label_my').' '. lang($module) : '')); ?></h1>                        
            			</nav>
        			<?php endif;?>
                </div>
                <div class="card-body">
                  <?php echo isset($help_message) ? '<div class="alert alert-info">' .$help_message .'</div>' : ''; ?>
                  <?php echo isset($content) ? $content : Template::content(); ?>
                </div>
          </div>
		</div>
	</div>
<?php echo form_hidden ( 'lang_msg_no_row_selected', lang('msg_no_row_selected'));?>
<?php echo form_hidden ( 'lang_delete_confirm', lang('delete_confirm'));?>
</div>
<?php echo theme_view('widgets/footers/' . $theme_settings['footer']); ?>