<div class="container oceanus-cart pb-4 shopping-cart"> 
<?php if(!empty($cart)):
    $subtotal = 0;
    $total = 0;
    ?>
    <div class="row">
        <div class="col-md-8">
            <?php foreach($cart as $item_id => $item):
                $subtotal += $item['subtotal'];
                $total += $item['total'];
                ?> 
                <table class="w-100">
                <tbody>
                    <tr id="item_<?php echo $item_id; ?>" data-id="<?php echo $item_id; ?>" data-module="<?php echo $item['module_id']; ?>">
                        <td class="position-relative oceanus-cart-border">
                            <div class="close-button mb-2">
                                <a role="button" class="btn btn-outline-danger item-remove red" data-toggle="tooltip" data-original-title="<?php echo lang('gc_action_remove'); ?>"> <i class="fas fa-times"></i></a>
                            </div>
                            <div class="d-flex flex-column flex-wrap">
                                <?php if(!empty($item['item']['name'])): ?>
                                <div class="oceanus-cart-title d-flex justify-content-between mb-3">
                                    <div class="oceanus-cart-label"><?php echo lang(gc_module_name($item['module_id'])); ?></div>
                                    <div class="oceanus-cart-detail text-truncate wth text-right">
                                    <?php if(!empty($item['url'])):?>
                                    <a href="<?php echo $item["url"]; ?>"><?php echo $item['item']['name']; ?></a>
                                    <?php else: ?>
                                    <?php echo $item['item']['name']; ?>
                                    <?php endif; ?>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <?php if(!empty($item['price'])): ?>
                                <div class="oceanus-cart-price d-flex justify-content-between mb-3">
                                    <div class="oceanus-cart-label"><?php echo lang('label_price'); ?></div>
                                    <div class="oceanus-cart-detail"><?php echo currency_format($item['price']); ?></div>
                                </div>
                                <?php endif; ?>
                                <?php if(!empty($item['qty'])): ?>
                                <div class="oceanus-cart-qty d-flex justify-content-between mb-3">
                                    <div class="oceanus-cart-label"><?php echo lang('label_qty'); ?></div>
                                    <input data-id="<?php echo $item_id; ?>" class="cart-item-qty oceanus-cart-detail" type="number" name="quantity" min="1" max="<?php echo !empty($item['stock']) && $item['stock'] > 10 ? 10 : (!empty($item['stock']) ? $item['stock'] : 10); ?>" value="<?php echo $item['qty']; ?>">
                                </div>
                                <?php endif; ?>
                                <?php if(!empty($item['price'])): ?>
                                <div class="oceanus-cart-amount d-flex justify-content-between mb-3 ">
                                    <div class="oceanus-cart-label"><?php echo lang('invoice_total'); ?> :</div>
                                    <div class="oceanus-cart-detail total-<?php echo $item_id; ?>"><?php echo currency_format($item['total']); ?></div>
                                </div>
                                <?php endif; ?>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <?php endforeach; ?>
            <div class="oceanus-cart-coupon row">
            	<?php echo theme_view('widgets/members/checkout/_coupon', array('allow_coupon' => true)); ?>
            	<?php echo form_hidden('custom_cart', 1);?>
            </div>
            <div class="cd" style="display:none;">
                <div class="loaderses"></div>
            </div>
            <button type="submit" class="btn btn-outline btn-theme button2 cart-update" name="" value=""><?php echo lang('cart_update'); ?></button>
        </div>
        <div class="col-md-4">
            <div class="oceanus-cart-total p-4 position-relative">
            <div class="cd" style="display:none;">
                <div class="loaderses"></div>
            </div>
                <h2><?php echo lang('cart_totals'); ?></h2>
                <table class="table ">
                    <tbody>
                    	<tr>
                            <td class="float-left"><?php echo lang('label_subtotal'); ?>:</td>
                            <td class="float-right cart-subtotal"><?php echo currency_format($subtotal); ?></td> 
                        </tr>
                        <tr>
                            <td class="float-left red f20"><?php echo lang('label_total'); ?>:</td>
                            <td class="float-right red f20 cart-total"><?php echo currency_format($total); ?></td> 
                        </tr>
                    </tbody>
                </table>
                <a href="<?php echo gc_url_format('members/checkout'); ?>" name="submit" type="submit" class="btn btn-theme oceanus-btn" value="submit"><?php echo lang('btn_proceed_to_checkout'); ?></a>
            </div>
        </div>
    </div> 
    <?php else : ?>
    <div class="vacant">
        <p class="p-4 text-left oceanus-cart-label empty-cart"><i class="far fa-times-circle mr-2"></i><?php echo lang('cart_empty'); ?></p>   
        <a href="<?php echo site_url(); ?>" class="btn oceanus-btn" type="button""><i class="fas fa-arrow-left mr-2"></i><?php echo lang('back_to_shop');?></a>
    </div>
    <?php endif; ?>
</div>