<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo $this->load->view('common/_module_nav_member', array('counts' => $counts, 'index_url' => $index_url, 'module' => $module));?>
<?php echo form_open($this->uri->uri_string()); ?>
<?php if(!empty($records)):?>
<?php foreach($records as $record):?>
<div class="card card-default">
	<div class="row"  style="margin: 5px;">
		<?php if($module == 'listings'): ?>	
			<?php if(!empty($record->logo_url)):?>
			<div class="col-md-4 col-sm-4 order-sm-2">
				<a href="<?php echo gc_url_format('listings', $record->slug, $record->row_id, $record->city);?>" title="<?php echo $record->title; ?>">
					<img src="<?php echo gc_image_url($record->logo_url); ?>" class="img-fluid d-block mx-auto listing-logo" alt="<?php echo $record->title?>" title="<?php echo $record->title?>" />
				</a>
			</div>
			<?php endif;?>
			<div class="col-sm-<?php echo !empty($record->logo_url) ? 8 .' order-1' : 12;?>" >
				<h4><strong><a href="<?php echo gc_url_format('listings', $record->slug, $record->row_id, $record->city);?>" title="<?php echo $record->title; ?>"><?php echo $record->title?></a></strong></h4>
				<ul class="list-inline">
			  		<li class="list-inline-item"><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('modified_on');?>"><i class="fas fa-calendar"></i><small> <?php echo !empty($record->modified_on) && $record->modified_on != '0000-00-00 00:00:00' ? gc_date_format($record->modified_on, TRUE) :gc_date_format($record->created_on, TRUE);?></small></span></li>
			        <li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_hits');?>"><i class="fas fa-bullhorn"></i><small> <?php echo $record->hits;?></small></span>
			        <li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo gc_listing_status($record->status);?>"><i class="far fa-thumbs-<?php echo $record->status == 1 ? 'up' : 'down' ;?>"></i></span>	
			        <?php if(!empty($record->ctcsum)):?><li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('click_to_call_unique_total');?>"><i class="fas fa-phone-volume"></i><small> <?php echo $record->uniquectc . ' - ' . $record->ctcsum;?></small></span><?php endif;?>	            
				</ul>
				<p><?php echo strip_tags(word_limiter($record->description, 30));?></p>	 
			</div>
		<?php else: ?>
		<div class="col-sm-<?php echo !empty($record->image) || !empty($record->url) ? 9 : 12 ;?>">
			<h4><a href="<?php echo gc_url_format($module, $record->slug, $record->row_id);?>" title="<?php echo $record->title;?>"><?php echo $record->title;?></a></h4>			
			<ul class="list-inline">
				<li class="list-inline-item"><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('created_on');?>"><i class="fas fa-calendar"></i><small> <?php echo gc_date_format($record->created_on, TRUE);?></small></span></li>
				<?php switch($module) { case 'properties': case 'jobs':?>
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_type');?>"><i class="fas fa-cog"></i> <?php switch($module) { case 'properties': echo get_property_type($record->type); break; case 'jobs': echo get_job_type($record->type); break;}?></span>	
				<?php }?>
				<?php switch($module) { case 'products': case 'properties': case 'classifieds': ?>				
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('images');?>"><i class="far fa-image"></i><small> <?php echo !empty($record->imagescount) ? $record->imagescount : 0;?></small></span>	
				<?php }?>
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_hits');?>"><i class="fas fa-bullhorn"></i><small> <?php echo $record->hits;?></small></span>	
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo  $record->status == 1 ? lang('us_active') : lang('us_inactive');?>"><i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down' ;?>"></i></span>		            
			</ul>
			<?php echo strip_tags(word_limiter($record->description, 30));?>
		</div>
		<?php if(!empty($record->url)):?>
		<div class="col-sm-3">
			<a href="<?php echo gc_url_format($module, $record->slug, $record->id);?>" title="<?php echo $record->title;?>">
			<?php if($module == 'videos'):?>
				<img class="youtube img-thumbnail" rel="<?php echo $record->url;?>" src="http://img.youtube.com/vi/<?php echo $record->url;?>/1.jpg" title="<?php echo $record->title;?>" />
			<?php else:?>
				<img src="<?php echo gc_image_url($record->url); ?>" class="img-thumbnail d-block mx-auto listing-logo" alt="<?php echo $record->title?>" title="<?php echo $record->title?>" />
			<?php endif;?>
			</a>
		</div>
		<?php endif;?>
		<?php endif;?>		
	</div>
	<div class="card-footer">
		<div class="row">
			<div class="col-sm-12">
				<div class="widget-area no-padding blank">
					<div class="status-upload">
						<ul class="list-inline">
							<li class="list-inline-item"><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('added_on');?>"><i class="fas fa-calendar"></i><small> <?php echo gc_date_format($record->created_on, TRUE);?></small></span></li>	            
							<li class="list-inline-item"><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_ip_address');?>"><i class="fas fa-map-marker-alt"></i><small> <?php echo $record->created_ip; ?></small></span></li>
							<li class="list-inline-item"><button type="submit" class="btn-danger" style="margin-left: 5px;" name="delete" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('bf_action_delete');?>" onclick="$('#trash').val(<?php echo $record->id;?>); return confirm('<?php e(js_escape(lang('favorite_delete_confirm'))); ?>');"><i class="fas fa-trash-alt"></i></button></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php endforeach;?>
<?php else:?>
<div class="card card-default">
	<div class="card-body">
		<?php echo lang('error_no_record_found');?>
	</div>
</div>
<?php endif;?>
<input type="hidden" id="trash" name="checked[]">
<?php echo form_close(); ?>
<?php echo $this->pagination->create_links(); ?>