<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 24;
$can_delete	= $this->auth->restrict();;
$can_edit		= $this->auth->restrict();;
$has_records	= isset($records) && is_array($records) && count($records);
?>
	<?php echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING']); ?>
		<div class="table-responsive">
		<table class="table table-condensed">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>					
					<th width="5%"><?php echo lang('label_id');?></th>
					<th width="63%"><?php echo lang('label_business_title');?></th>
					<th width="10%"><?php echo lang('label_logo');?></th>
					<th width="10%"><?php echo lang('label_email');?></th>
					<th width="10%"><?php echo lang('column_created');?></th>
					<th width="4%"><?php echo lang('label_hits');?></th>
					<th width="8%"><?php echo lang('label_status');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger" value="<?php echo lang('bf_action_delete'); ?>" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>')" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>			
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
				<td><?php e($record->id); ?></td> 
				<?php if ($can_edit) : //urlencode(base64_encode($record->id))?>
					<td><?php echo anchor(gc_url_format('members/edit_business') . '?id=' . $this->crypt->encode($record->id), '<i class="fas fa-edit"></i>' .  $record->title); ?>
					<div class="hover-item small">
							<?php $pyg = !empty($record->pyg) ? json_decode($record->pyg) : null;?>
							<?php echo lang('ls_action'); ?> ::
							<a href="<?php echo gc_url_format('members/logo') . '?id=' . $this->crypt->encode($record->id); ?>" title="<?php echo lang('listings_action_logo'); ?>"><?php echo lang('listings_action_logo'); ?></a> |
							<a href="<?php echo gc_url_format('members/cover') . '?id=' . $this->crypt->encode($record->id); ?>" title="<?php echo lang('label_cover_image'); ?>"><?php echo lang('label_cover_image'); ?></a> |
							<?php if(gc_field_value('listings', $record->module_images_limit) != 999):?>
							<a href="<?php echo gc_url_format('members/photos') . '/listings/' . $record->id; ?>" title="<?php echo lang('listings_action_photos'); ?>"><?php echo lang('listings_action_photos'); ?></a> |
							<?php endif;?>
							<a href="<?php echo gc_url_format('members/documents') . '/listings/' . $record->id; ?>" title="<?php echo lang('file_documents');?>"><?php echo lang('file_documents');?></a> | 
							<a href="<?php echo gc_url_format('members/category') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode('listings', true); ?>" title="<?php echo lang('additional_info'); ?>"><?php echo lang('additional_info'); ?></a> |
							<?php 
							$config_modules = gc_modules('module', false);
							$listings_key = array_keys($config_modules, 'listings');
							unset($config_modules[$listings_key[0]]);
							foreach($config_modules as $config_module):
							if(gc_module_settings($config_module) == 1 && (gc_field_value($config_module, $record->module_limit)!= 999  || $pyg->$config_module > 0)):?>
							<a href="<?php echo gc_url_format('members/view') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode($config_module, true) .  ($config_module == 'videos' ? '&tm=' . $this->crypt->encode('listings', true) : ''); ?>" title="<?php echo lang($config_module); ?>"><?php echo lang($config_module); ?></a> |
							<?php endif;?>
							<?php endforeach; ?>							
							<a href="<?php echo gc_url_format('members/business_hours') . '?id=' . $this->crypt->encode($record->id); ?>" title="<?php echo lang('listings_action_working_hours'); ?>"><?php echo lang('listings_action_working_hours'); ?></a> |
							<a href="<?php echo gc_url_format('members/packages') . '?id=' . $this->crypt->encode($record->id); ?>" title="<?php echo lang('listings_action_change_package'); ?>"><?php echo lang('listings_action_change_package'); ?></a>		
							<?php if(isset($booking_forms)):?>
							 | <button type="submit" name="booking" value="<?php echo $record->id; ?>" class="btn btn-xs btn-warning btn-theme-secondary"><?php echo lang('label_booking_forms'); ?></button>	
							<?php endif;?>				
					</div></td>
				<?php else : ?>
					<td><?php e($record->title); ?></td>
				<?php endif; ?>
					<td>
					<a class="gc-fancybox thumbnail" href="<?php echo gc_image_url($record->logo_url, false);?>" title="<?php echo $record->title; ?>">
						<img src="<?php echo gc_image_url($record->logo_url); ?>" class="img-fluid listing-logo" alt="<?php echo $record->title; ?>" />
					</a>
					</td>
					<td><?php echo $record->email ? mailto($record->email) : ''; ?></td>
					<td><?php e(gc_date_format($record->created_on)) ?></td>
					<td><?php e($record->hits) ?></td>
					<td class='status btn-actions'>
					<?php if ($record->status == 1) : ?>
					<span class="badge badge-success"><?php echo lang('us_active'); ?></span>
					<?php elseif ($record->status == 2) : ?>
					<span class="badge badge-danger"><?php echo lang('status_expired'); ?></span>
					<?php elseif ($record->status == 3) : ?>
					<span class="badge badge-secondary"><?php echo lang('status_spam'); ?></span>
					<?php else : ?>
					<span class="badge badge-warning"><?php echo lang('us_inactive'); ?></span>
					<?php endif; ?>
					<?php echo theme_view('views/members/index/_dropdown_menu', array('record' => $record, 'booking_forms' => isset($booking_forms) ? true : false));?>
				</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php echo form_close(); ?>
	<div class="row">
			<div class="col-sm-12 centered-text">
				<?php echo $this->pagination->create_links(); ?>
			</div><!-- end of pagination column -->
	</div><!-- end of pagination row -->