<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo form_open($this->uri->uri_string()); ?>
<?php if(!empty($records)):?>
<?php foreach($records as $record):?>
<div class="card card-default margin-top-sm">
	<div class="card-body">
	<div class="row">						
		<?php if(!empty($record->logo_url)):?>
		<div class="col-sm-4 order-sm-2 top2">
			<a href="<?php echo $record->status == 1 ? gc_url_format('listings', $record->slug, $record->id, $record->city) : '#';?>" title="<?php echo $record->title; ?>">					
				<img src="<?php echo gc_image_url($record->logo_url); ?>" class="img-fluid d-block mx-auto listing-logo mh-100" alt="<?php echo $record->title?>" title="<?php echo $record->title?>" />
			</a>
		</div>
		<?php endif;?>
		<div class="col-sm-<?php echo !empty($record->logo_url) ? 8 .' order-1' : 12;?>" >
			<h4><strong>
			<?php if($record->status == 1):?>
			<a href="<?php echo gc_url_format('listings', $record->slug, $record->id, $record->city);?>" title="<?php echo $record->title; ?>"><?php echo $record->title?></a>
			<?php else:?>
			<?php echo $record->title;?>
			<?php endif;?>
			<?php // echo theme_view('views/members/index/_dropdown_menu', array('record' => $record, 'booking_forms' => isset($booking_forms) ? true : false));?>
			</strong></h4>
			<ul class="list-inline">
		  		<li class="list-inline-item"><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('modified_on');?>"><i class="fas fa-calendar"></i><small> <?php echo !empty($record->modified_on) && $record->modified_on != '0000-00-00 00:00:00' ? gc_date_format($record->modified_on, TRUE) :gc_date_format($record->created_on, TRUE);?></small></span></li>
		        <li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_hits');?>"><i class="fas fa-bullhorn"></i><small> <?php echo $record->hits;?></small></span>
		        <li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo gc_listing_status($record->status);?>"><i class="far fa-thumbs-<?php echo $record->status == 1 ? 'up' : 'down' ;?>"></i></span>	
		        <?php if(!empty($record->ctcsum)):?><li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('click_to_call_unique_total');?>"><i class="fas fa-phone-volume"></i><small> <?php echo $record->uniquectc . ' - ' . $record->ctcsum;?></small></span><?php endif;?>
		        <?php if(!empty($record->package_title)):?>
		        <li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_package');?>"><i class="fas fa-gift"></i><small> <?php echo $record->package_title;?></small></span>
		        <?php endif;?>	
		        <?php if(isset($record->expires_on)):?>
		        <li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_expires_on');?>"><i class="fas fa-history"></i><small> <?php echo empty($record->expires_on) || $record->expires_on == '0000-00-00' ? lang('label_never') : gc_date_format($record->expires_on);?></small></span>
		        <?php endif;?>					
				<?php if(!empty($booking_forms)):?>
				<li class="list-inline-item"><button type="submit" name="booking" value="<?php echo $record->id; ?>" class="btn btn-xs btn-warning btn-theme-primary"><?php echo lang('label_booking_forms'); ?></button></li>	
				<?php endif;?>            
			</ul>
			<p><?php echo strip_tags(word_limiter($record->description, 30));?></p>	 
		</div>
	</div>	
	<?php echo theme_view('views/members/index/_percent_completion', array('record' => $record)); // business profile completion in percentage ?>
	<?php echo theme_view('widgets/modules/_listing_links', array('record' => $record, 'template_id' => 4, 'params' => array('with_view' => 1, 'with_edit' => 1, 'booking_forms' => !empty($booking_forms) ? $booking_forms : array(), 'with_delete' => true)));?>
	</div>
	<?php if(isset($link_footer)): // uncomment to display footer links ?>
	<div class="card-footer">
		<div class="row">
			<div class="col-md-3 col-sm-3 col-12">
				<div class="widget-area no-padding blank">
					<div class="status-upload">
						<ul class="list-inline">
							<?php if($record->status == 1):?>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('listings', $record->slug, $record->id, $record->city);?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view');?>"><i class="fas fa-eye"></i></a></li>
							<?php endif;?>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/edit_business') . '?id=' . $this->crypt->encode($record->id); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('edit');?>"><i class="fas fa-pencil-alt"></i></a></li>			
							<li class="list-inline-item"><button type="submit" class="btn-danger" style="margin-left: 5px;" name="delete" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('bf_action_delete');?>" onclick="$('#trash').val(<?php echo $record->id;?>); return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>');"><i class="fas fa-trash-alt"></i></button></li>
						</ul>
					</div>
				</div>
			</div>
			<div class="col-md-9">
				<div class="widget-area no-padding blank">
					<div class="status-upload float-right">
						<ul class="list-inline">
							<?php $pyg = !empty($record->pyg) ? json_decode($record->pyg) : null;?>
							
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/logo') . '?id=' . $this->crypt->encode($record->id); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('listings_action_logo');?>"><i class="fas fa-camera"></i></a></li>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/cover') . '?id=' . $this->crypt->encode($record->id); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_cover_image');?>"><i class="fas fa-camera-retro"></i></a></li>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/documents') . '/listings/' . $record->id; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('file_documents');?>"><i class="fas fa-file-pdf"></i></a></li>
							<?php if(gc_field_value('listings', $record->module_images_limit) != 999):?>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/photos') . '/listings/' . $record->id; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('photos');?>"><i class="far fa-image"></i></a></li>							
							<?php endif;?>									
							<?php 
							$config_modules = gc_modules('module', false);
							$listings_key = array_keys($config_modules, 'listings');
							unset($config_modules[$listings_key[0]]);
							foreach($config_modules as $config_module):
							if(($config_module == 'branches' || gc_module_settings($config_module) == 1) && (gc_field_value($config_module, $record->module_limit)!= 999  || $pyg->$config_module > 0)):?>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/view') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode($config_module, true) .  ($config_module == 'videos' ? '&tm=' . $this->crypt->encode('listings', true) : ''); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang($config_module);?>"><i class="fas fa-<?php echo gc_module_icon($config_module);?>"></i></a></li>
							<?php endif;?>
							<?php endforeach; ?>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/category') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode('listings', true); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('additional_info');?>"><i class="fas fa-toolbox"></i></a></li>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/business_hours') . '?id=' . $this->crypt->encode($record->id); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('business_hours');?>"><i class="far fa-clock"></i></a></li>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/packages') . '?id=' . $this->crypt->encode($record->id); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('listings_action_change_package');?>"><i class="fas fa-exchange-alt"></i></a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php endif; ?>
</div>           
<?php endforeach;?>
<?php else:?>
<div class="card card-default">
	<div class="card-body">
		<?php echo sprintf(lang('help_dashboard'), settings_item('site.title'));?>
	</div>
</div>
<?php endif;?>
<input type="hidden" id="trash" name="checked[]">
<?php echo form_close();?>
<?php echo $this->pagination->create_links(); ?>