<?php
/*=======================================================================*\
 || ###################################################################### ||
 || # GoClixy - Business Directory Script							    # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				    # ||
 || # ----------------------------------------------------------------   # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license    # ||
 || # confers  no  title  or ownership in the Script and is not a sale   # ||
 || # of any rights to the Software. This file may not be redistributed  # ||
 || # in whole or significant part.									    # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------    # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html 	    # ||
 || ###################################################################### ||
 \*=======================================================================*/
$num_columns	= 7;
$can_delete	    = $this->auth->restrict();
$can_edit		= $this->auth->restrict();
$has_records	= isset($records) && is_array($records) && count($records);
echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING']); ?>
<div class="table-responsive">
	<table class="table table-striped table-bordered">
		<thead>
			<tr>
				<th><?php echo lang('label_order_id');?></th>
				<th><?php echo lang('invoice_item');?></th>
				<th><?php echo lang('label_amount');?></th>
				<th><?php echo lang('created_on');?></th>
				<th><?php echo lang('label_status');?></th>
				<th><?php echo lang('label_action');?></th>
			</tr>
		</thead>
			<?php if ($has_records) : ?>
			<tfoot>
		</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
				<td>
				<a href="<?php echo gc_url_format('members/detail') . '/' . $record->order_id; ?>" title="<?php echo lang('label_view') . ' ' . $record->order_id; ?>"><?php echo $record->order_id;?></a>	
				</td>
				<td>
				<?php
				if(!empty($record->ordered_items)):
				echo theme_view('views/members/orders/tpl/_ordered_items', array('record' => $record));
        		elseif(!empty($record->order_items)):
        		$order_items = explode('~~~', $record->order_items);
        		if(!empty($order_items)):?>
            		<ul class="list-inline">
            		<?php
            		    foreach($order_items as $order_item):
            		      $order_item = explode('!~!', $order_item);
            		      $item_id = $order_item[0];
            		      $module_id = $order_item[1];
            		      $row_id = $order_item[2];
            		      $item_info = !empty($order_item[3]) ? json_decode($order_item[3], true) : array();
            		      $item_total = $order_item[4];
            		      $item_subtotal = $order_item[5];
            		      $item_status = $order_item[6];
            		      $item_name = !empty($item_info['name']) ? $item_info['name'] : (!empty($item_info['title']) ? $item_info['title'] : '');
            		      ?>
                		  <li class="border-0 mb-2">
                			<div class="form-row">
                				<div class="col-md-2">
                					<img src="<?php echo !empty($item_info['cover']) ? base_url($item_info['cover']) : gc_site_image('no-image');?>" class="img-fluid" />
                				</div>
                				<div class="col-md-8">
                					<?php echo $item_name; ?>
                					<div class="small text-danger"><?php echo currency_format($item_total); ?></div>
                				</div>
                			</div>
                		  </li>    	
            		<?php endforeach; ?>
                    </ul>
                    <?php endif;?>
                    <?php endif;?>
				</td>
				<td><?php echo $record->order_total == 0 ? lang('label_free') : currency_format($record->order_total); ?></td>
				<td><?php e(gc_date_format($record->created_on)) ?></td>
				<td class='status text-center'>
					<span style="color: <?php echo $record->status_color; ?>;"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span>					
				</td>
				<td>
					<button name="print" class="btn btn-xs btn-danger" value="<?php echo $record->order_id; ?>"><i class="fas fa-file-pdf mr-1"></i><?php echo lang('print_info'); ?></button>
					<?php if($record->status_id != 2 && $record->status_id != 6 && $record->status_id != 7 && $record->status_id != 8): ?>
				    <a href="<?php echo site_url('members/pay/' . $record->order_id); ?>" class="btn btn-xs btn-primary" ><i class="fas fa-shopping-cart mr-1"></i><?php echo lang('label_pay'); ?></a>
				    <?php endif; ?>
				</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
				<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
			</tr>
				<?php endif; ?>
			</tbody>
	</table>
</div>
<?php echo form_close(); ?>
<div class="row">
	<div class="col-sm-12 centered-text">
				<?php echo $this->pagination->create_links(); ?>
			</div>
	<!-- end of pagination column -->
</div>
<!-- end of pagination row -->