<?php
/*=======================================================================*\
 || ###################################################################### ||
 || # GoClixy - Online Software Solutions							    # ||
 || # Copyright (C) 2021 GoClixy. All Rights Reserved.				    # ||
 || # ----------------------------------------------------------------   # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license    # ||
 || # confers  no  title  or ownership in the Script and is not a sale   # ||
 || # of any rights to the Software. This file may not be redistributed  # ||
 || # in whole or significant part.									    # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------    # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html 	    # ||
 || ###################################################################### ||
 \*=======================================================================*/
if(!empty($records)):?>
<?php echo form_open($this->uri->uri_string()); ?>
<?php foreach($records as $record):?>
<div class="card mb-2">
	<div class="card-header">
		<a href="<?php echo gc_url_format('members/detail') . '/' . $record->order_id; ?>" class="btn btn-primary btn-theme-primary"><?php echo $record->order_id;?></a>
		<button name="print" class="btn btn-danger" value="<?php echo $record->order_id; ?>"><i class="fas fa-file-pdf mr-1"></i><?php echo lang('print_info'); ?></button>
		<span style="color: <?php echo $record->status_color; ?>;"><?php echo !empty($record->status_lang) ? lang($record->status) : $record->status; ?></span>
	</div>
	<div class="card-body p-0">
		<?php
		if(!empty($record->ordered_items)):
		echo theme_view('views/members/orders/tpl/_ordered_items', array('record' => $record));
		elseif(!empty($record->order_items)):
		$order_items = explode('~~~', $record->order_items);
		if(!empty($order_items)):?>
		<ul class="list-group">
		<?php
		    foreach($order_items as $order_item):
		      $order_item = explode('!~!', $order_item);
		      $item_id = $order_item[0];
		      $module_id = $order_item[1];
		      $row_id = $order_item[2];
		      $item_info = !empty($order_item[3]) ? json_decode($order_item[3], true) : array();
		      $item_total = $order_item[4];
		      $item_subtotal = $order_item[5];
		      $item_status = $order_item[6];
		      $item_name = !empty($item_info['name']) ? $item_info['name'] : (!empty($item_info['title']) ? $item_info['title'] : '');
		      ?>
    		  <li class="list-group-item border-0">
    			<div class="form-row">
    				<div class="col-md-2">
    					<div class="img-crop-center h-100">
    						<img src="<?php echo !empty($item_info['cover']) ? gc_image_url($item_info['cover'], false) : gc_site_image('no-image');?>" alt="<?php echo strip_tags($item_name);?>" class="img-fluid thumb-crop-100" />
    					</div>
    				</div>
    				<div class="col-md-8">
    					<div class="form-row">
    						<div class="col-sm-8">
    							<?php if($module_id == gc_module_id('products')):?>
    							<h5>
    								<a href="<?php echo gc_url_format('products', $item_info['slug'], $item_info['id']); ?>"><?php echo $item_name; ?></a>
    							</h5>
    							<?php else: ?>
    							<?php echo $item_name; ?>
    							<?php endif;?>
    						</div>
    						<div class="col-sm-4">
    							<?php echo currency_format($item_total); ?>
    						</div>
    					</div>
    				</div>
    			</div>
    		  </li>    	
		<?php endforeach; ?>
        </ul>
		<?php endif; ?>
		<div class="card-footer pt-2 pb-2">
			<div class="form-row">
				<div class="col-6">
					<span class="text-muted"><?php echo lang('date_time'); ?></span>: <?php echo gc_date_format($record->created_on); ?>
				</div>
				<div class="col-6 text-right">
					<span class="text-muted"><?php echo lang('label_order_total'); ?></span>: <?php echo currency_format($record->order_total); ?>
				</div>
			</div>
		</div>
		<?php endif;?>
	</div>
</div>
<?php endforeach;?>
<?php else: ?>
<div class="card card-body">
	<?php echo lang('msg_no_orders'); ?>
</div>
<?php echo form_close(); ?>
<?php endif; ?>
<div class="row">
	<div class="col-sm-12 centered-text">
		<?php echo $this->pagination->create_links(); ?>
	</div>
</div>