<?php
/**
 * echo view('views/orders/tpl/_ordered_items', array('record' => $record));
 */
?>
<?php if(!empty($record->ordered_items)): ?>
<?php
$ordered_items = !empty($record->ordered_items) ? json_decode($record->ordered_items, true) : array();
// order cancellation
$refund_unit = 1; // 0 hours, 1 days
$today = new DateTime(date('Y-m-d H:i:s'));
$order_date = new DateTime($record->created_on);
$interval= $order_date->diff($today);
if($refund_unit == 0) { // Hours
    $duration = $interval->h;
    $duration_text = lang('label_hours');
} else { // Days
    $duration = $interval->days;
    $duration_text = lang('label_days');
}
?>
<ul class="list-inline">
<?php foreach($ordered_items as $ordered_item):
    $item_info = !empty($ordered_item['item']) ? json_decode($ordered_item['item'], true) : array();
    $cancellation_text = null;
    $cancellation_duration_text = null;
    if(!empty($ordered_item['refund_duration']) && $ordered_item['refund_duration'] >= $duration): // ordered items can be canceled
        // check cancellation request first
        $cancellation_request = $this->db->where('order_item_id', $ordered_item['id'])->get('order_cancellations')->row();
        if(!$cancellation_request):
            $cancellation_url = gc_url_format('members/cancellation') . '/' . $ordered_item['id'];
            $cancellation_text = anchor($cancellation_url, lang('bf_action_cancel'), 'class="btn btn-danger btn-xs"');
            $cancellation_duration_text = '<span class="text-success small d-block">' . sprintf(lang('order_cancel_duration'), ($ordered_item['refund_duration'] - $duration) . ' ' . $duration_text) . '</span>';
        elseif($ordered_item['status_id'] == 4):
            if($cancellation_request->status == 1):
                $cancellation_text = '<span class="badge badge-danger">' . lang('status_cancelled') . '</span>';
            else:
                $cancellation_text = '<span class="badge badge-info">' . lang('order_cancellation_progress') . '</span>';
            endif;
        endif;
    endif;
    ?>
    <li class="border-0 mb-2">
        <div class="form-row">
            <div class="col-md-2">
                <img src="<?php echo !empty($item_info['cover']) ? gc_image_url($item_info['cover'], false) : gc_site_image('no-image');?>" class="img-fluid" />
            </div>
            <div class="col-md-8">
                <?php echo $item_info['name']; ?>  
                <?php if(!empty($cancellation_duration_text)):?>
                <?php echo $cancellation_duration_text; ?>
                <?php endif;?>
                <div class="small text-danger"><?php echo currency_format($ordered_item['total']); ?></div>
                <ul class="list-inline">             
                <?php if(!empty($cancellation_text)): ?>
                    <li class="list-inline-item"><?php echo $cancellation_text; ?></li>
                <?php endif; ?>
                <?php if($ordered_item['module_id'] == gc_module_id('products') && $ordered_item['status_id'] == 2 && !isset($cancellation_request)): ?>
                <li class="list-inline-item"><?php 
                $track_url = gc_url_format('members/track') . '?item_id=' . $ordered_item['id'] . '&order_id=' . $ordered_item['order_id'];
                echo anchor($track_url, lang('track_shipment'), 'class="btn btn-info btn-xs"'); ?>
                </li>
                <?php endif; ?>
                </ul>
            </div>
        </div>
    </li>    
<?php endforeach; ?>
</ul>
<?php endif; ?>