<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 10;
$can_delete	= $this->auth->restrict();
$can_edit = $this->auth->restrict();
$has_records = isset($records) && is_array($records) && count($records);
echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING']);
?>
<div class="table-responsive">
<table class="table table-striped">
	<thead>
		<tr>
		<?php if ($can_delete && $has_records) : ?>
			<th width="2%" class="column-check"><input class="check-all" type="checkbox" /></th>
		<?php endif;?>
			<th width="20%"><?php echo lang('label_title');?></th>
			<?php if($module != 'branches'):?>
			<th width="10%"><?php echo lang('label_image');?></th>
			<?php endif;?>
			<?php
			foreach($fields as $field):
			if($field['name'] != 'id' && $field['name'] != 'title' && $field['name'] != 'status' && $field['name'] != 'image'):			
			?>
			<th><?php echo $field['label'];?></th>
			<?php
			endif;
			endforeach;
			?>
			<th width="10%" class="text-center"><?php echo lang('label_action'); ?></th>
		</tr>
	</thead>
	<?php if ($has_records) : ?>
	<tfoot>
	<?php if ($can_delete) : ?>
		<tr>
			<td colspan="<?php echo $num_columns; ?>">
				<?php echo lang('bf_with_selected'); ?>
				<input type="submit" name="delete" id="delete-me" class="btn btn-danger" value="<?php echo lang('bf_action_delete'); ?>" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>')" />
			</td>	
		</tr>
	<?php endif; ?>
	</tfoot>
	<?php endif; ?>
	<tbody>
	<?php if ($has_records) :?>
	<?php foreach ($records as $record):?>
		<tr>
		<?php if ($can_delete) : ?>
			<td class="column-check"><input type="checkbox" name="checked[]" value="<?php echo $record->id; ?>" /></td>
		<?php endif;?>
		<?php 
		$title = isset($record->title) ? $record->title : $record->contact_person; // Branch Office Changes
		$redirect_url = null;
		if($module == 'branches'):
			if($record->listing_status == 1):
			$redirect_url = gc_url_format('listings', $record->listing_slug, $record->listing_id, $record->listing_city);
			endif;
		else:
			$redirect_url = gc_url_format($module, $record->slug, $record->id, (isset($record->city) ? $record->city : null));
		endif;
		?>
		<?php if ($can_edit) : ?>
			<td><?php echo anchor(gc_url_format('members/edit') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode($module, true), '<i class="fas fa-edit"></i>' .  $title); ?></td>
		<?php else : ?>
			<td><?php e($title); ?></td>
		<?php endif; ?>
		<?php if($module != 'branches'):?>
			<td>			
			<?php if(!empty($record->url) || !empty($record->image)):?>
				<?php if($module == 'videos'):?>
					<a class="gc-fancybox" href="<?php echo $record->url;?>" title="<?php echo $record->title;?>">
						<img class="youtube img-fluid" rel="<?php echo $record->youtube_id;?>" src="http://img.youtube.com/vi/<?php echo $record->youtube_id;?>/1.jpg" title="<?php echo $record->title;?>" class="img-fluid listing-logo" />
					</a>
				<?php else:?>				
					<a class="gc-fancybox thumbnail" href="<?php echo gc_image_url($record->image, false);?>" title="<?php echo $record->title;?>">
						<img src="<?php echo gc_image_url($record->image); ?>" class="img-fluid listing-logo" alt="<?php echo $record->title; ?>" />
					</a>
				<?php endif;?>
			<?php else:?>
				<img src="<?php echo gc_site_image('no-image'); ?>" class="img-fluid listing-logo" alt="<?php echo $title?>" title="<?php echo $title?>" />
			<?php endif;?>
			</td>
			<?php endif;?>
			<?php foreach($fields as $field):
			if($field['name'] != 'id' && $field['name'] != 'title' && $field['name'] != 'status'):
			?>
			<td><?php echo $this->fields_model->fields_index($field, $record);?></td>
			<?php
			endif;
			endforeach;
			?>
			<td class="btn-actions text-center">
			<span class="badge badge-<?php echo $record->status == 1 ? 'success' : 'warning'; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo $record->status == 1 ? lang('us_active') : lang('us_inactive');?>"><i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down'; ?>"></i></span>
			<?php if($record->status == 1 && !empty($redirect_url)): ?>
			<a href="<?php echo $redirect_url;?>" target="_blank" role="button" class="btn btn-xs btn-info" id="<?php echo $record->id;?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view');?>"><i class="fas fa-eye"></i></a>
			<?php endif;?>
			<?php if(isset($record->featured)): // Branch Office has no option for featured ?>
			<span class="badge badge-<?php echo $record->featured == 1 ? 'success' : 'warning'; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_featured');?>"><i class="fas fa-<?php echo $record->featured == 1 ? 'star' : 'star'; ?>"></i></span>
			<?php endif;?>
			<?php if($module != 'branches' && $module != 'videos' && $module != 'images'): ?>
				<a href="<?php echo gc_url_format('members/category') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode($module, true); ?>" title="<?php echo lang('additional_info'); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('additional_info');?>" class="btn btn-xs btn-primary"><i class="fas fa-info-circle"></i></a>
				<a href="<?php echo gc_url_format('members/cover') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode($module, true); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_cover_image');?>" class="btn btn-xs btn-secondary"><i class="fas fa-camera-retro"></i></a>
			<?php $images_limit = gc_field_value($module, $record->module_images_limit);?>
			<?php if($images_limit > 0 && $images_limit != 999):?>
				<a href="<?php echo gc_url_format('members/photos') . '/' . $module . '/' . $record->id; ?>" class="btn btn-xs btn-info" title="<?php echo lang('photos');?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_photos');?>"><i class="fas fa-camera"></i> <?php echo !empty($record->imagescount) ? '<span class="badge">' . $record->imagescount . '</span>' : '';?></a>	
			<?php endif;?>
			<?php $videos_limit = gc_field_value($module, $record->module_videos_limit);?>
			<?php if($videos_limit > 0 && $videos_limit != 999):;?>
				<a href="<?php echo gc_url_format('members/view') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode('videos', true) . '&tm=' . $this->crypt->encode($module, true); ?>" class="btn btn-xs btn-danger" title="<?php echo lang('videos');?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_videos');?>"><i class="fas fa-video"></i> <?php echo !empty($record->videoscount) ? '<span class="badge">' . $record->videoscount . '</span>' : '';?></a>	
			<?php endif;?>	
			<?php $documents_limit = gc_field_value($module, $record->module_documents_limit);?>
			<?php if($documents_limit != 999):?>
				<a href="<?php echo gc_url_format('members/documents') . '/' . $module . '/' . $record->id; ?>" class="btn btn-xs btn-danger" title="<?php echo lang('file_documents');?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('file_documents');?>"><i class="fas fa-file-pdf"></i></a>	
			<?php endif;?>	
			<?php endif;?>
			<?php if($module == 'products' && settings_item('site.ecommerce') == 1):?>
				<button class="btn btn-xs btn-primary mt-1" name=variant_product_id value="<?php echo $record->id; ?>"><?php echo lang('add_edit_variants');?></button>
			<?php endif;?>	
			<?php if(isset($booking_forms)):?>
				<button type="submit" name="booking" value="<?php echo $record->id; ?>" class="btn btn-xs btn-warning btn-theme-secondary mt-1"><?php echo lang('label_booking_forms'); ?></button>	
			<?php endif;?>	
			</td>
		</tr>
		<?php
		endforeach;
		else:?>
		<tr>
			<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>
</div>
<?php echo form_close(); ?>
<?php echo $this->pagination->create_links(); ?>