<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php
$can_delete	= $this->auth->restrict();
$can_edit		= $this->auth->restrict();
$has_records	= isset($records) && is_array($records) && count($records);
if($has_records):
?>			
<?php echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING']); ?>
<?php
foreach($records as $record):
$title = isset($record->title) ? $record->title : $record->contact_person; // Branch Office Changes
$redirect_url = null;
if($module == 'branches'):
	if($record->listing_status == 1):
	$redirect_url = gc_url_format('listings', $record->listing_slug, $record->listing_id, $record->listing_city);
	endif;
else:
	$redirect_url = gc_url_format($module, $record->slug, $record->id, (isset($record->city) ? $record->city : null));
endif;
?>
<div class="card card-default mb-3">
	<div class="card-body">
	<div class="row">
		<div class="col-sm-<?php echo !empty($record->image) || !empty($record->url) ? 9 : 12 ;?>">
			<h4>
				<?php if($record->status == 1 && !empty($redirect_url)):?>
				<a href="<?php echo $redirect_url;?>" title="<?php echo $title;?>"><?php echo $title;?></a>		
				<?php else:?>
				<?php echo $title;?>
				<?php endif;?>
			</h4>
			<ul class="list-inline">
				<li class="list-inline-item"><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('created_on');?>"><i class="fas fa-calendar"></i><small> <?php echo gc_date_format($record->created_on, TRUE);?></small></span></li>
				<?php if(isset($record->type)):?>
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_type');?>"><i class="fas fa-cog"></i> <?php echo $record->type; ?></span>	
				<?php endif;?>
				<?php if($module != 'branches' && isset($record->imagescount)):?>				
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('images');?>"><i class="fas fa-image"></i><small> <?php echo !empty($record->imagescount) ? $record->imagescount : 0;?></small></span>	
				<?php endif;?>
				<?php if(isset($record->hits)): // Branches has no hits column ?>
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_hits');?>"><i class="fas fa-bullhorn"></i><small> <?php echo $record->hits;?></small></span>
				<?php endif;?>
				<?php if(isset($record->featured) && $record->featured == 1):?>
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_featured');?>"><i class="fas fa-trophy"></i><small> </small></span>
				<?php endif;?>
				<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo  $record->status == 1 ? lang('us_active') : lang('us_inactive');?>"><i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down' ;?>"></i></span>		            
			</ul>
			<?php if(isset($record->description)):?>
			<?php echo strip_tags(word_limiter($record->description, 30));?>
			<?php elseif(!empty($record->address)): // Display Branch address?>
			<?php echo $record->address . ', ' . $record->city . ', ' . $record->state . ' - ' . $record->postcode . ', ' . $record->country;?>
			<?php endif;?>
		</div>
		<?php if(!empty($record->url) || !empty($record->image)):?>
		<div class="col-sm-3">
			<?php if($module == 'videos'):?>
				<a class="gc-fancybox" href="<?php echo $record->url;?>" title="<?php echo $title;?>">
					<img class="youtube img-thumbnail" rel="<?php echo $record->youtube_id;?>" src="http://img.youtube.com/vi/<?php echo $record->youtube_id;?>/1.jpg" title="<?php echo $title;?>" />
				</a>
			<?php else:?>
				<a class="gc-fancybox" href="<?php echo gc_image_url($record->image, false); ?>" title="<?php echo $title;?>">
					<img src="<?php echo gc_image_url($record->image); ?>" class="img-thumbnail" alt="<?php echo $title?>" title="<?php echo $title?>" />
				</a>
			<?php endif;?>
		</div>
		<?php endif;?>			
	</div>
	</div>
	<div class="card-footer">
		<div class="row">
			<div class="col-md-8 col-sm-8 col-12">
				<div class="status-upload">
					<ul class="list-inline">						
						<?php if($record->status == 1 && !empty($redirect_url)): ?>
						<li class="list-inline-item"><a href="<?php echo $redirect_url;?>" target="_blank" role="button" class="query" id="<?php echo $record->id;?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view');?>"> <i class="fas fa-eye"></i></a></li>
						<?php endif;?>
						<li class="list-inline-item"><a href="<?php echo gc_url_format('members/edit') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode($module, true); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('edit');?>"> <i class="fas fa-pencil-alt"></i></a></li>	
						<?php if($module != 'branches' && $module != 'videos'):?>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/cover') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode($module, true); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_cover_image');?>"><i class="fas fa-camera-retro"></i></a></li>
						<?php $images_limit = gc_field_value($module, $record->module_images_limit);?>
						<?php if($images_limit > 1 && $images_limit != 999):?>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/photos') . '/' . $module . '/' . $record->id; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('photos');?>"> <i class="fas fa-camera"></i></a></li>	
						<?php endif;?>
						<?php $documents_limit = gc_field_value($module, $record->module_documents_limit);?>
						<?php if($documents_limit != 999):?>
							<li class="list-inline-item"><a href="<?php echo gc_url_format('members/documents') . '/' . $module . '/' . $record->id; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('file_documents');?>"> <i class="fas fa-file-pdf"></i></a></li>	
						<?php endif;?>
						<li class="list-inline-item"><a href="<?php echo gc_url_format('members/view') . '?id=' . $this->crypt->encode($record->id) . '&md=' . $this->crypt->encode('videos', true) . '&tm=' . $this->crypt->encode($module, true); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('videos');?>"> <i class="fas fa-<?php echo gc_module_icon('videos');?>"></i></a></li>	
						<?php endif;?>						
            			<?php if($module == 'products' && settings_item('site.ecommerce') == 1):?>
            			<li class="list-inline-item">
            				<button class="btn btn-sm btn-info" name=variant_product_id value="<?php echo $record->id; ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('add_edit_variants');?>">
            					<i class="fas fa-eye-dropper"></i>
            				</button>
            			</li>
            			<?php endif;?>            							
        				<?php if(isset($booking_forms)):?>
        				<li class="list-inline-item"><button type="submit" name="booking" value="<?php echo $record->id; ?>" class="btn btn-sm btn-warning" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_booking_forms');?>"> <i class="fas fa-calendar-alt"></i></button></li>	
        				<?php endif;?>  
						<li class="list-inline-item"><button type="submit" class="btn-danger" name="delete" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('bf_action_delete');?>" onclick="$('#trash').val(<?php echo $record->id;?>); return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>');"> <i class="fas fa-trash"></i></button></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>
<?php endforeach;?>
<input type="hidden" id="trash" name="checked[]">
<?php echo form_close();?>
            
<div class="row">
	<div class="col-sm-12 text-center">
		<?php echo $this->pagination->create_links(); ?>
	</div><!-- end of pagination column -->
</div><!-- end of pagination row -->
<?php else:?>
<div class="card card-default">
  <div class="card-body">
    <?php echo lang('error_no_record_found');?>
  </div>
</div>
<?php endif;?>