<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo $this->load->view('common/_module_nav_member', array('counts' => $counts, 'index_url' => $index_url, 'module' => $module));?>
<?php 
$num_columns	= 9;
$can_delete	= $this->auth->restrict();
$can_edit		= $this->auth->restrict();
$has_records	= isset($records) && is_array($records) && count($records);
echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING']); ?>
	<input id="query_id" type="hidden" value=""/>
	<div class="table-responsive">
		<table class="table table-striped table-bordered">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					<th width="5%"><?php echo lang('label_id');?></th>
					<th width="15%"><?php echo lang('label_title');?></th>
					<th width="10%"><?php echo lang('label_name');?></th>
					<th width="15%"><?php echo lang('label_email');?></th>
					<th width="10%"><?php echo lang('label_phone');?></th>
					<th width="25%"><?php echo lang('label_message');?></th>
					<th width="15%"><?php echo lang('label_posted_on');?></th>
					<?php if($method != 'posted_queries'):?>
					<th width="5%"><?php echo lang('label_reply');?></th>
					<?php else: ?>
					<th width="5%"><?php echo lang('label_status');?></th>
					<?php endif;?>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger" value="<?php echo lang('bf_action_delete'); ?>" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>')" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>
					<td><?php e($record->id); ?></td>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'link'); ?></td>
					<td><?php e($record->name) ?>
					<br />
					<?php if(!empty($record->metas)):
					$this->load->model('fields/fields_model');
					$metas = $this->fields_model->meta_values(gc_module_name($record->module_id), $record->metas, (isset($meta_form_fields) ? $meta_form_fields : array()));
					if(!empty($metas)):
    					foreach($metas as $meta):
    					   echo '<strong>' . $meta['label'] . '</strong>: ' . $meta['value'] . '<br />';
    					endforeach;
					endif;
					endif;?>
					</td>
					<td><?php e($record->email) ?></td>
					<td><?php e(!empty($record->phone) ? $record->phone : lang('not_applicable')); ?></td>
					<td><?php echo $record->message; ?></td>
					<td><?php echo gc_date_format($record->created_on); ?></td>
					<td>
					<?php if($method != 'posted_queries'):?>
					<a href="#replyEmailModal" role="button" class="query btn btn-theme-primary" id="<?php echo $record->id;?>"
					data-toggle="modal"><span class="fas fa-envelope" onclick="$('#query_id').val(<?php echo $record->id;?>);"></span></a>
					<?php endif; ?>
					<span class="display-block"><?php echo $record->replied == 1 ? '<span class="badge badge-success"><i class="fas fa-check mr-1"></i> '.lang('label_replied') : '<span class="badge badge-' . $record->id . ' badge-danger"><i class="fas fa-clock mr-1"></i><span>' . lang('label_not_replied') . '</span>' ;?></span>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>
	<?php echo form_close(); ?>
	<div class="row">
		<div class="col-sm-12 text-center">
			<?php echo $this->pagination->create_links(); ?>
		</div><!-- end of pagination column -->
	</div><!-- end of pagination row -->
<?php echo form_hidden('lang_replied', lang('label_replied'));?>
<?php echo $this->load->view('common/member_query_reply'); ?>