<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo $this->load->view('common/_module_nav_member', array('counts' => $counts, 'index_url' => $index_url, 'module' => $module));?>
<?php echo form_open($this->uri->uri_string()); ?>
<?php if(!empty($records)):?>
<div id="accordion">
<?php foreach($records as $record):?>
<div class="card card-default mb-2">
	<div class="card-body">
		<h4><a href="#viewQuery_<?php echo $record->id;?>" data-toggle="modal"><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'title');?></a></h4>
		<?php if(!empty($record->listing_title)):?>
			<h5><strong><?php echo $record->listing_title;?></strong></h5>
		<?php endif;?>
		<p><i class="fas fa-calendar fa-fr"></i><small> <?php echo sprintf(lang('label_posted_by_on'), $record->name,  gc_date_format($record->created_on));?></small></p>
		<p><?php echo strip_tags(word_limiter($record->message, 30));?></p>
		<ul class="list-inline">
			<li class="list-inline-item"><span> <i class="fas fa-user fa-fr"></i><small><?php echo $record->name;?></small></span></li>
			<li class="list-inline-item">|</li>
			<span><i class="fas fa-envelope fa-fr"></i><small><?php echo $record->email;?></small></span>
			<li class="list-inline-item">|</li>
			<span><i class="fas fa-phone-volume fa-fr"></i><small><?php echo !empty($record->phone) ? $record->phone : 'N/A' ;?></small></span>	
			<li class="list-inline-item">|</li>
			<span><?php echo $record->replied == 1 ? '<span class="badge badge-success"><i class="fas fa-check mr-1"></i> '.lang('label_replied') : '<span class="badge badge-' . $record->id . ' badge-danger"><i class="fas fa-clock mr-1"></i> <span>' . lang('label_not_replied') . '</span>' ;?></span></span>	            
		</ul>
	</div>
	<div class="card-footer">
		<div class="row">
			<div class="col-md-4 col-sm-4 col-12">
				<div class="widget-area no-padding blank">
					<div class="status-upload">
						<ul class="list-inline">											
							<li class="list-inline-item"><a href="#viewQuery_<?php echo $record->id;?>" role="button" class="query" id="<?php echo $record->id;?>" data-toggle="modal" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view');?>"><i class="fas fa-eye"></i></a></li>
							<li class="list-inline-item"><a href="#replyEmailModal" role="button" class="query" id="<?php echo $record->id;?>" data-toggle="modal" data-tooltip="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_reply');?>" onclick="$('#query_id').val(<?php echo $record->id;?>);"><i class="fas fa-envelope"></i></a></li>
							<li class="list-inline-item"><button type="submit" class="btn-danger" style="margin-left: 5px;" name="delete" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('bf_action_delete');?>" onclick="$('#trash').val(<?php echo $record->id;?>);"><i class="fas fa-trash"></i></button></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<?php if($record->replies > 0): ?>
		<div class="row top1">
			<div class="col-sm-12">
			<div class="card card-primary">		
				<div class="card-header bg-theme-primary parent-heading-<?php echo $record->id;?>">
					<h4 class="card-title h5 m-0 cat-loc-title"><?php echo lang('view_replies'); ?>
					<span class="float-right">
						<a data-toggle="collapse" data-parent="#accordion" class="view-replies" id="<?php echo $record->id;?>" onclick="CollapseIconChange(this)" href="#collapse-<?php echo $record->id;?>"><i class="fas fa-chevron-down"></i></a>
					</span>
					</h4>
				</div>
			</div>
			</div>
		</div>
		<?php endif; ?>
	</div>
</div>
<div class="modal fade" id="viewQuery_<?php echo $record->id;?>">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'title');?></h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">&times;</span>
				</button>
			</div><!-- end modal-header -->
		<div class="modal-body">
			<p><small class="text-muted"><?php echo $record->message;?></small></p>
		</div><!-- end modal-content -->
	</div><!-- end modal-dialog -->
</div>
</div> 
<?php endforeach;?>
</div>
<?php else:?>
<div class="card card-default">
<div class="card-body">
<?php echo lang('error_no_record_found');?>
</div>
</div>
<?php endif;?>
<input type="hidden" id="trash" name="checked[]">
<?php echo form_hidden ( 'query_id' );?>
<?php echo form_close();?>
<?php echo form_hidden('lang_replied', lang('label_replied'));?>
<?php echo $this->load->view('common/member_query_reply'); ?>
            
<div class="row">
	<div class="col-sm-12 text-center">
		<?php echo $this->pagination->create_links(); ?>
	</div><!-- end of pagination column -->
</div><!-- end of pagination row -->