<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo $this->load->view('common/_module_nav_member', array('counts' => $counts, 'index_url' => $index_url, 'module' => $module));?>
<?php
$num_columns	= 7;
$can_delete	= $this->auth->restrict();
$can_edit		= $this->auth->restrict();
$has_records	= isset($records) && is_array($records) && count($records);

?>
	
	<?php echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING']); ?>
	<div class="table-responsive">
		<table class="table table-striped table-bordered">
			<thead>
				<tr>
					<?php if ($can_delete && $has_records) : ?>
					<th class="column-check"><input class="check-all" type="checkbox" /></th>
					<?php endif;?>
					
					<th width="20%"><?php echo lang('label_title');?></th>
					<th width="20%"><?php echo lang('label_listing');?></th>
					<th width="50%"><?php echo lang('label_comments');?></th>
					<th width="20%"><?php echo lang('label_posted_on');?></th>
					<th width="10%"><?php echo lang('label_status');?></th>
				</tr>
			</thead>
			<?php if ($has_records) : ?>
			<tfoot>
				<?php if ($can_delete) : ?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>">
						<?php echo lang('bf_with_selected'); ?>
						<input type="submit" name="delete" id="delete-me" class="btn btn-danger" value="<?php echo lang('bf_action_delete'); ?>" onclick="return confirm('<?php e(js_escape(lang('delete_confirm'))); ?>')" />
					</td>
				</tr>
				<?php endif; ?>
			</tfoot>
			<?php endif; ?>
			<tbody>
				<?php
				if ($has_records) :
					foreach ($records as $record) :
				?>
				<tr>
					<?php if ($can_delete) : ?>
					<td class="column-check"><input type="checkbox" name="checked[]" value="<?php echo $record->id; ?>" /></td>
					<?php endif;?>				
					<td><?php e($record->title); ?></td>
					<td><?php echo gc_redirect_uri($record->redirect_url, $record->module_id, 'title');?></td>
					<td><?php e($record->comment) ?></td>
					<td><?php e(gc_date_format($record->created_on)) ?></td>
					<td class='status'>
					<?php switch($record->status): case 4: ?>
					    <?php echo '<span class="badge badge-danger">'.'<i class="fas fa-clock fa-fw" aria-hidden="true"></i>' . lang('tab_reject') . '</span>'; ?>
					    <?php break; ?>
					    <?php case 3: ?>
					    <?php echo '<span class="badge badge-danger">'.'<i class="fas fa-clock fa-fw" aria-hidden="true"></i>' . lang('tab_spam') . '</span>'; ?>
					    <?php break; ?>
					    <?php case 2: ?>
					    <?php echo '<span class="badge badge-danger">'.'<i class="fas fa-clock fa-fw" aria-hidden="true"></i>' . lang('tab_flag') . '</span>'; ?>
					    <?php break; ?>
					    <?php case 1: ?>
					    <?php echo '<span class="badge badge-success">' . lang('us_active') . '</span>'; ?>
					    <?php break; ?>
					    <?php default: ?>
					    <?php echo '<span class="badge badge-danger">'.'<i class="fas fa-clock fa-fw" aria-hidden="true"></i>' . lang('status') . '</span>'; ?>
					    <?php endswitch; ?>
					</td>
				</tr>
				<?php
					endforeach;
				else:
				?>
				<tr>
					<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
				</tr>
				<?php endif; ?>
			</tbody>
		</table>
		</div>		
	<?php echo form_close(); ?>
	<div class="row">
			<div class="col-sm-12 centered-text">
				<?php echo $this->pagination->create_links(); ?>
			</div><!-- end of pagination column -->
		</div><!-- end of pagination row -->	