<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$num_columns	= 15;
$can_delete		= $this->auth->restrict();
$can_edit		= $this->auth->restrict();
$has_records	= isset($records) && is_array($records) && count($records);

?>
<?php echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING']); ?>
	<table class="table table-striped table-bordered">
		<thead>
			<tr>
				<?php if ($can_delete && $has_records) : ?>
				<th class="column-check"><input class="check-all" type="checkbox" /></th>
				<?php endif;?>
				
				<th><?php echo lang('label_title');?></th>
				<th><?php echo lang('label_address');?></th>					
				<th><?php echo lang('label_country');?></th>
				<th><?php echo lang('label_state');?></th>
				<th><?php echo lang('label_city');?></th>
				<th><?php echo lang('label_contact_person');?></th>
				<th><?php echo lang('label_status');?></th>
			</tr>
		</thead>
		<?php if ($has_records) : ?>
		<tfoot>
			<tr>
				<td colspan="<?php echo $num_columns; ?>">
					<?php echo lang('bf_with_selected'); ?>
					<button class="btn btn-danger btn-delete" type="submit" name="delete" id="delete-me" value="delete"><?php echo lang('bf_action_delete'); ?></button>
				</td>
			</tr>
		</tfoot>
		<?php endif; ?>
		<tbody>
			<?php
			if ($has_records) :
				foreach ($records as $record) :
			?>
			<tr>
				<?php if ($can_delete) : ?>
				<td class="column-check"><input type="checkbox" class="chk-status" name="checked[]" value="<?php echo $record->id; ?>" /></td>
				<?php endif;?>
				
			<?php if ($can_edit) : ?>
				<td><?php echo anchor(gc_url_format('branches/edit') . '?id=' . $this->crypt->encode($record->id), '<i class="fas fa-edit"></i>' .  $record->listing_title); ?></td>
			<?php else : ?>
				<td><?php e($record->listing_title); ?></td>
			<?php endif; ?>
				<td><?php e($record->address) ?></td>
				<td><?php e($record->country) ?></td>
				<td><?php e($record->state) ?></td>
				<td><?php e($record->city) ?></td>
				<td><?php e($record->contact_person) ?></td>
				<td class='status'>
					<?php if ($record->status) : ?>
					<?php echo '<span class="badge badge-success">' . lang('us_active') . '</span>'; ?>
					<?php else : ?>
					<?php echo '<span class="badge badge-warning">' . lang('status') . '</span>'; ?>
					<?php endif; ?>
				</td>
			</tr>
			<?php
				endforeach;
			else:
			?>
			<tr>
				<td colspan="<?php echo $num_columns; ?>"><?php echo lang('error_no_record_found');?></td>
			</tr>
			<?php endif; ?>
		</tbody>
	</table>
<?php echo form_close(); ?>
<div class="row">
	<div class="col-sm-12 centered-text">
		<?php echo $this->pagination->create_links(); ?>
	</div><!-- end of pagination column -->
</div><!-- end of pagination row -->