<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
?>
<?php echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING']); ?>
<?php if(!empty($records)):?>
<?php foreach($records as $record):?>
<div class="card card-default mb-2">
	<div class="card-body">
		<h4><a href="<?php echo gc_url_format('listings', $record->listing_slug, $record->listing_id, $record->listing_city);?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view');?>"><?php echo $record->listing_title;?></a></h4>
		<ul class="list-inline">
			<?php if(!empty($record->contact_person)):?>
			<li class="list-inline-item"><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_contact_person');?>"><i class="fas fa-user"></i><small> <?php echo $record->contact_person;?></small></span></li>
			<?php endif;?>
			<li class="list-inline-item"><?php echo !empty($record->contact_person) ? '|</li>': ''?><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_phone_number');?>"><i class="fas fa-phone-volume"></i><small> <?php echo $record->phone_number;?></small></span></li>
			<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('created_on');?>"><i class="fas fa-calendar"></i><small> <?php echo gc_date_format($record->created_on, TRUE);?></small></span></li>
			<li class="list-inline-item">|</li><span data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo  $record->status == 1 ? lang('label_status') : gc_comment_status($record->status);?>"><i class="fas fa-<?php echo $record->status == 1 ? 'thumbs-up' : 'thumbs-down' ;?>"></i></span>		            
		</ul>
		<h4><strong><i class="fas fa-map-marker-alt"></i><?php echo gc_address_format($record->address, $record->locality, $record->city, $record->state, $record->postcode, $record->country, 2, 'right');?></strong></h4>
	</div>
	<div class="card-footer">
		<div class="row">
			<div class="col-md-4 col-sm-4 col-12">
				<div class="widget-area no-padding blank">
					<div class="status-upload">
						<ul>
							<?php if($record->status == 1):?>
							<li><a href="<?php echo gc_url_format('listings', $record->listing_slug, $record->listing_id, $record->listing_city);?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('label_view');?>"><i class="fas fa-eye"></i></a></li>
							<?php endif;?>
							<li><a href="<?php echo gc_url_format('branches/edit') . '?id=' . $this->crypt->encode($record->id); ?>" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('edit');?>"><i class="fas fa-pencil-alt"></i></a></li>	
							<li><button type="submit" class="btn-danger" style="margin-left: 5px;" name="delete" data-toggle="tooltip" data-placement="bottom" data-original-title="<?php echo lang('bf_action_delete');?>" onclick="$('#trash').val(<?php echo $record->id;?>);"><i class="fas fa-trash-alt"></i></button></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
</div> 
<?php endforeach;?>
<?php else:?>
<div class="card card-default">
<div class="card-body">
<?php echo lang('error_no_record_found');?>
</div>
</div>
<?php endif;?>
<input type="hidden" id="trash" name="checked[]">
<?php echo form_close();?>
            
<div class="row">
	<div class="col-sm-12 text-center">
		<?php echo $this->pagination->create_links(); ?>
	</div><!-- end of pagination column -->
</div><!-- end of pagination row -->