<div class="container">
    <div class="row">
    	<div class="col-md-3">
    		<div class="mb-1 img-crop-center">
    			<img src="<?php echo gc_image_url($row->cover); ?>" alt="<?php echo $row->title; ?>" class="img-fluid" />
    		</div>
    		<h2 class="heading-theme-secondary h5">
    		<a href="<?php echo gc_url_format($module, $row->slug, $row->id, !empty($row->city) ? $row->city : null); ?>" class="text-secondary text-decoration-none">
    			<?php echo $row->title; ?>
    		</a>
    		</h2>
    		<div class="mb-2">
    			<?php 
    			$class = 'success';
    			if($row->ratings < 2):
    			     $class = 'danger';
    			elseif($row->ratings < 3):
    			     $class = 'warning';
    			endif; 
    			?>
    			<span class="bg-<?php echo $class; ?> text-white p-1 mr-1"><?php echo $row->ratings; ?><i class="fas fa-star fa-fw ml-1"></i></span>
				<span class="text-muted font-14"><?php echo $row->rating_users . ' ' . lang('gc_menu_users'); ?></p>
			</div>
			<?php if(!empty($record_images)): ?>			
			<?php 
			foreach($record_images as $record_image):
			$images = process_images($record_image->images, $record_image->title);
			foreach($images as $image): ?>
			<a class="gc-fancybox img-crop-center" href="<?php echo $image['original']; ?>">
				<img src="<?php echo $image['thumbnail']; ?>" title="<?php echo $image['title']; ?>" class="img-fluid img-thumbnail thumb-50" />
			</a>
			<?php
			endforeach;
			endforeach; ?>
			<?php endif; ?>
    	</div>
    	<div class="col-md-9">
    		<div class="row mb-2">
    			<div class="col-md-9">
        			<h1 class="heading-theme-primary h3"><?php echo $row->title . ' ' . lang('gc_menu_reviews'); ?></h1>
        		</div>
        		<div class="col-md-3">
        		<?php $url = gc_url_format('comments/view') . '?module=' . $module . '&row_id=' . $row_id; ?>
        		<div class="dropdown">
                  <button class="btn btn-light btn-sm dropdown-toggle rounded-0" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <?php echo lang('comment_' . $filter); ?>
                  </button>
                  <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="<?php echo $url . '&filter=recent'; ?>"><?php echo lang('comment_recent'); ?></a>
                    <a class="dropdown-item" href="<?php echo $url . '&filter=positive'; ?>"><?php echo lang('comment_positive'); ?></a>
                    <a class="dropdown-item" href="<?php echo $url . '&filter=negative'; ?>"><?php echo lang('comment_negative'); ?></a>
                  </div>
                </div>
        		</div>
    		</div>
    		<div class="card card-body mb-2">		
    			<div class="row">
        			<div class="col-md-3 d-flex align-items-center justify-content-center" style="border-right: 1px solid #eee;">
        				<div >
            				<h4><?php echo decimal_convert($row->ratings); ?><i class="fas fa-star fa-fw ml-1"></i></h4>
            				<p><?php echo $row->rating_users . ' ' . lang('gc_menu_users'); ?></p>
        				</div>
        			</div>
        			<div class="col-md-9">
        				<div class="small">
                            <?php
                         	$this->load->library('goclixy/gratings'); 
                         	$rating = $this->gratings->get_rating_division(gc_module_id($module), $row->id);
                         	if($rating): 
                         	$r = 5;
                         	$colors = array('secondary', 'danger', 'warning', 'info', 'success');
                         	foreach($rating as $key => $value):
                         	?>
                         	<div class="d-flex justify-content-left align-items-center">
                            <div class="w">
                               <div class="mr-2  d-flex justify-content-center align-items-center"><?php echo $r; ?> <span> <i class="fas fa-star mr-2 ml-2"></i></span></div>
                            </div>
                            <div class="w-75">
                               <div class="progress m-2" style="height:9px;">
                                  <div class="progress-bar bg-<?php echo $colors[$r - 1]; ?>" role="progressbar" style="width: <?php echo ($value * 100)/5; ?>%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                               </div>
                            </div>
                            <div class="ml-2"><?php echo $value; ?></div>
                         	</div>
                         	<?php $r--; endforeach; ?>
                         	<?php endif; ?>
                     	</div>
        			</div>
        		</div>
    		</div>
    		<?php if($records):?>
    		<?php foreach($records as $record):?>
    		<div class="card rounded-0 mb-2">
    			<div class="card-body">
        			<p class="font-14 font-weight-bold">
        			<?php
        			$rating = $record->rating;
        			if(!empty($rating)):
        			$class = 'success';
        			if($rating < 2):
        			    $class = 'danger';        			
        			elseif($rating < 3):
        			     $class = 'warning';
        			endif; ?>
        			<span class="bg-<?php echo $class; ?> text-white p-1 mr-1"><?php echo $rating; ?><i class="fas fa-star fa-fw ml-1"></i></span>
        			<?php endif;?>
        			<?php echo $record->title; ?>
        			</p>
        			<?php 
        			if(!empty($record->images)):
        			$images = process_images($record->images, $record->title);
        			if(!empty($images)): ?>
        			<div class="mb-2">
        			<?php foreach($images as $image): ?>
        			<a class="gc-fancybox img-crop-center" href="<?php echo $image['original']; ?>">
        				<img src="<?php echo $image['thumbnail']; ?>" title="<?php echo $image['title']; ?>" class="img-fluid thumb-80" />
        			</a>
        			<?php endforeach; ?>
        			</div>
        			<?php endif; ?>
        			<?php endif; ?>
        			<div class="font-14"><?php echo $record->comment; ?></div>
    			</div>
    			<div class="card-footer small bg-white">
    				<i class="fas fa-user fa-fw mr-1"></i><?php echo $record->username; ?> | 
    				<i class="fas fa-calendar fa-fw mr-1"></i><?php echo gc_date_format($record->created_on); ?>
    			</div>
    		</div>
    		<?php endforeach; ?>
    		<?php else:?>
    		<div class="card card-body mb-2 border-0">
    			<?php echo lang('error_no_record_found');?>
    		</div>
    		<?php endif; ?>
    		<div class="row">
            	<div class="col-sm-12 text-center">
            	<?php echo $pagination; ?>
            	</div>
            </div>
    	</div>
    </div>
</div>