<?php
if($module == 'products' && settings_item('site.ecommerce') == 1): // Eecommerce Cart Specific
if(!empty($record->variants)):
echo form_open($this->uri->uri_string() . '?' . $_SERVER['QUERY_STRING'], array('method'=>'GET', 'class' => "form-horizontal"));
foreach($record->variants as $variant):
echo gc_form_element('dropdown', array('name' => 'v[' . $variant['id'] . ']', 'field_class' => 'variants', 'options' => $variant['options']), (isset($record->values[$variant['id']]) ? $record->values[$variant['id']] : array()), $variant['name']);
endforeach;
echo form_close();
endif;
if(!empty($record->stock)):
?>
<button class="cart-item btn btn-success btn-sm" value="<?php echo $record->id; ?>"><?php echo lang('btn_add_cart');?></button>
<button class="buy-item btn btn-warning btn-sm" value="<?php echo $record->id; ?>"><?php echo lang('btn_buy_now');?></button>
<?php
endif;
endif;
?>
<?php if(isset($record->code) && isset($record->type)):?>
<div class="btn-group btn-group-theme mb-2" role="group">
  <button type="button" class="btn btn-theme-primary"><?php echo lang('label_code')?>: <kbd><?php echo $record->code;?></kbd></button>
  <button type="button" class="btn btn-theme-primary"><?php echo lang('label_discount')?>: <kbd><?php echo $record->discount;?></kbd></button>
  <button type="button" class="btn btn-theme-primary"><?php echo lang('label_expires_on')?>: <kbd><?php echo gc_date_format($record->expires_on);?></kbd></button>
</div>
<?php endif;?>
<?php if(isset($record->venue)):?>
<div class="btn-group bottom2" role="group">
  <button type="button" class="btn btn-secondary"><?php echo lang('label_venue')?>: <kbd><?php echo $record->venue;?></kbd></button>
</div>
<?php endif;?>
<?php
if(!empty($images)):
$images = is_string($images) && !empty($images) ? json_decode($images) : $images;
if(count($images) > 1):
echo theme_view('views/modules/common/snippets/_image_carousel', array('images' => $images, 'record' => $record));
else:
foreach($images as $image): ?>
<a class="gc-fancybox img-crop-center" href="<?php echo gc_image_url($image->url, false); ?>" title="<?php echo $record->title;?>">
	<img src="<?php echo gc_image_url($image->url, false); ?>" class="img-fluid img-thumbnail d-block mx-auto" alt="<?php echo $record->title?>" title="<?php echo $record->title?>" />
</a>
<?php endforeach;?>	
<?php endif; ?>
<?php endif;?>
<?php if(!empty($record->youtube_id)):?>
<div class="embed-responsive embed-responsive-16by9">
  <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/<?php echo $record->youtube_id;?>"></iframe>
</div>
<?php endif;?>	
<div class="table-responsive mt-2">
	<table class="table table-bordered table-hover table-sm">
		<tbody>
			<?php if(!empty($record->rent_price)):?>
			<tr>
				<td class="active"><?php echo lang('label_rent_price');?></td>
				<td><?php echo currency_format($record->rent_price);?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->squarefeet)):?>
			<tr>
				<td class="active"><?php echo lang('label_coverage_area');?></td>
				<td><?php echo $record->squarefeet . ' ' . lang('square_feet');?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->purpose)):?>
			<tr>
				<td class="active"><?php echo lang('label_purpose');?></td>
				<td><?php echo $record->purpose;?></td>
			</tr>
			<?php endif;?>
			<?php if(isset($record->purpose) && !empty($record->type)):?>
			<tr>
				<td class="active"><?php echo lang('label_property_type');?></td>
				<td><?php echo $record->type;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->ownership)):?>
			<tr>
				<td class="active"><?php echo lang('label_ownership');?></td>
				<td><?php echo $record->ownership;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->bedrooms)):?>
			<tr>
				<td class="active"><?php echo lang('label_bedrooms');?></td>
				<td><?php echo $record->bedrooms;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->bathrooms)):?>
			<tr>
				<td class="active"><?php echo lang('label_bathrooms');?></td>
				<td><?php echo $record->bathrooms;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->floors)):?>
			<tr>
				<td class="active"><?php echo lang('label_floors');?></td>
				<td><?php echo $record->floors;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->rooms)):?>
			<tr>
				<td class="active"><?php echo lang('label_rooms');?></td>
				<td><?php echo $record->rooms;?></td>
			</tr>
			<?php endif;?>							
			<?php if(!empty($record->start_date)):?>
			<tr>
				<td class="active"><?php echo lang('label_start_date');?></td>
				<td><?php echo $record->start_date;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->end_date)):?>
			<tr>
				<td class="active"><?php echo lang('label_end_date');?></td>
				<td><?php echo $record->end_date;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->company)):?>
			<tr>
				<td class="active"><?php echo lang('label_company');?></td>
				<td><?php echo $record->company;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->joining_date) && $record->joining_date != '0000-00-00'):?>
			<tr>
				<td class="active"><?php echo lang('label_joining_date');?></td>
				<td><?php echo gc_date_format($record->joining_date);?></td>
			</tr>
			<?php endif;?>
			<?php if(isset($record->min_experience) && isset($record->max_experience)):?>
			<tr>
				<td class="active"><?php echo lang('label_job_experience');?></td>
				<td><?php echo $record->min_experience .' - '. $record->max_experience;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->salary)):?>
			<tr>
				<td class="active"><?php echo lang('label_salary');?></td>
				<td><?php echo is_float($record->salary) ? currency_format($record->salary) : $record->salary;?></td>
			</tr>
			<?php endif;?>
			<?php if(!empty($record->specialization)):?>
			<tr>
				<td class="active"><?php echo lang('label_specialization');?></td>
				<td><?php echo $record->specialization;?></td>
			</tr>
			<?php endif;?>
			<?php if(isset($address)):?>
			<tr>
				<td class="active"><?php echo lang('label_address');?></td>
				<td><?php echo $address;?></td>
			</tr>	
			<?php endif;?>	
			<?php if(isset($record->min_qualification)):?>
			<tr>
				<td class="active"><?php echo lang('label_min_qualification');?></td>
				<td><?php echo $record->min_qualification;?></td>
			</tr>
			<?php endif;?>			
            <?php if(!empty($record->files['html'])):?>
			<tr>
				<td class="active"><?php echo lang('file_documents');?></td>
				<td><?php echo $record->files['html']; // display documents ?></td>
			</tr>
            <?php endif; ?>		
		</tbody>
	</table>
</div>
<?php if(!empty($record->distances)):?>
<?php $distances = !empty($record->distances) ? (array)json_decode($record->distances) : array();?>
<?php $isDistance = false;?>
<?php foreach($distances as $key => $value): if($value != 0): $isDistance = true; endif; endforeach;?>
<?php if($isDistance):?>
<h4><?php echo lang('label_distances');?></h4>
<div class="table-responsive">
<table class="table table-bordered">
<tbody>				
<?php foreach($distances as $key => $value): ?>	
	<?php if($value != 0):?>
	<tr>
		<td class="active"><?php echo lang('label_' . $key);?></td>
		<td><?php echo $value > 1000 ? round(((int) $value)/1000, 2) : $value;?> <?php echo $value > 1000 ? lang('label_kilometers') : lang('label_meters');?></td>
	</tr>
	<?php endif;?>
<?php endforeach;?>		
</tbody>
</table>
</div>
<?php endif;?>	
<?php endif?>
<?php if(!empty($record->facilities)):?>
<?php $amenities = (array)json_decode($record->facilities); ?>
<h4><?php echo lang('amenities');?></h4>
<div class="box-content">
<ul class="unstyled list-inline">
<?php foreach($amenities as $amenity => $value): ?>
	<li class="col-md-3 col-sm-3 col-12 list-inline-item"><label for="facilities_<?php echo $amenity;?>"> <img src="<?php echo base_url(); ?>assets/images/icons/ico_<?php echo $amenity.'.png';?>" /> 
	<?php echo lang('label_' . $amenity); ?>
	</label></li>			
<?php endforeach;?>		
</ul>
<div class="clearfix"></div>
</div>
<?php endif;?>
<?php if(!empty($record->description)):?>
	<h4><?php echo lang('label_description');?></h4>
<?php endif;?>
<?php if(!empty($record->description)):?>
<p class="text-justify"><?php echo htmlspecialchars_decode($record->description);?></p>
<?php endif;?>
<?php if(!empty($tags)):?>
<p class="text-justify">
<strong><?php echo lang('label_tags');?>: </strong>
<?php echo gc_detail_tags($module, $tags, (!empty($record->city) ? $record->city : '')); ?>
</p>
<?php endif; ?>
<?php if(!empty($record->external_url)):?>
<?php echo lang('more_information');?> <a href="<?php echo $record->external_url;?>" title="<?php echo $record->title;?>" target="_blank" rel="nofollow"><?php echo lang('click_here');?></a>
<?php endif;?>