<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
if(empty($package_display_fields) && !empty($package->display_fields)):
$package_display_fields = json_decode($package->display_fields);
$package_display_fields = $package_display_fields->listings;
endif;
$package_display_fields = (object) $package_display_fields;
?>
<nav aria-label="breadcrumb">
	<?php echo theme_view('widgets/details/_breadcrumb', array('type' => 'categories', 'parent_class' => 'd-none d-sm-flex', 'child_class' => 'breadcrumb-item', 'item_scope' => 'https://schema.org/BreadcrumbList')); ?>
</nav>
<div class="row mb-2">	
	<div class="col-sm-12">	
	<?php echo theme_view('widgets/packages/_upgrade_package_01');?>
	<?php echo Template::message(); ?>
	<?php if ($record): ?>
		<ul class="nav nav-tabs detail-tabs">
			<li class="nav-item"><a href="#home" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('detail_home');?>" class="nav-link active">
				<i class="fas fa-home fa-lg fa-fw mr-1"></i><span class="d-none d-sm-inline-block"><?php echo lang('detail_home');?></span></a></li>
			<?php if(!empty($images) || !empty($videos)):?>
			<li class="nav-item"><a href="#gallery" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('detail_gallery');?>" class="nav-link">
				<i class="fas fa-film fa-lg fa-fw mr-1"></i><span class="d-none d-sm-inline-block"><?php echo lang('detail_gallery');?></span></a></li>
			<?php endif;?>	
			<?php $tab_modules = gc_modules_only();?>
			<?php foreach($tab_modules as $tab_module):?>
			<?php if (!empty($tab_module) && !empty($module_info[$tab_module])): ?>
			<li class="nav-item"><a href="#<?php echo $tab_module; ?>" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang($tab_module);?>" class="nav-link">
				<i class="fas fa-<?php echo gc_module_icon($tab_module);?> fa-lg fa-fw mr-1"></i><span class="d-none d-sm-inline-block"><?php echo lang($tab_module);?></span></a></li>
			<?php endif;?>
			<?php endforeach;?>
			<?php if(!empty($branch_offices)): ?>
			<li class="nav-item"><a href="#locations" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('additional_locations');?>" class="nav-link">
				<i class="fas fa-fr fa-map-marker-alt fa-lg fa-fw mr-1"></i><span class="d-none d-sm-inline-block"><?php echo lang('additional_locations');?></span></a></li>
			<?php endif;?>
			<?php if(!empty($record->email) && !$google_business && settings_item('lst.business_query') == 1):?>		
			<li class="nav-item"><a href="#query" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('business_query');?>" class="nav-link">
				<i class="fas fa-envelope fa-lg fa-fw mr-1"></i><span class="d-none d-sm-inline-block"><?php echo lang('business_query');?></span></a></li>
			<?php endif;?>
		</ul>
		<div class="tab-content">
			<div class="tab-pane active fade show" id="home">
			<div itemscope itemtype="https://schema.org/Organization"> 
				<div class="row row-spaced">
					<div class="col-md-6 col-sm-12">
						<?php if(!empty($package_display_fields->logo_url)):?>
						<div class="mb-1">
							<img src="data:image/gif;base64,R0lGODdhAQABAPAAAMPDwwAAACwAAAAAAQABAAACAkQBADs=" data-src="<?php echo gc_image_url(!empty($record->logo_url) ? (!is_array($record->logo_url) ? $record->logo_url : '') : $record->cover, false); ?>" alt="<?php echo $record->title;?>" title="<?php echo $record->title;?>" class="img-thumbnail lazyload" />
						</div>
						<?php endif;?>		
						<?php if(!empty($record->author_url)):?>
						<small><?php echo sprintf(lang('label_posted_by_on'), anchor($record->author_url, $record->author_name, array('title' => $record->author_name)), $record->created_on); ?></small>
						<?php endif;?>
						<?php echo theme_view('widgets/details/_rating_stars'); ?>	
						<?php echo theme_view('widgets/details/_categories_others', array('heading' => 1, 'heading_block_class' => 'card-header bg-theme-primary', 'tpl' => 'list-group', 'container_class' => 'card mt-2', 'content_class' => 'card-body p-0')); ?>				
					</div>
					<div class="col-md-6 col-sm-12">
						<div class="card">
							<div class="card-header bg-theme-secondary">
								<span itemprop="name">
									<h1 class="card-title h5 m-0"><?php echo $record->title;?></h1>
								</span>
							</div>
							<?php echo theme_view('widgets/details/_contact_info', array('params' => array('tpl' => 'list', 'includes' => array('contact_person', 'address', 'email', 'tollfree', 'fax', 'website', 'business_hours', 'social', 'files', 'bookings', 'metas', 'phone_number', 'all'), 'record' => $record, 'parent_class' => 'list-group', 'child_class' => 'list-group-item', 'address_separator' => '<br />'))); ?>
						</div>
					</div>					
				</div>
				<?php if($record->description):?>
				<div class="row mb-1">
					<div class="col-md-2 col-sm-4">
						<strong><?php echo lang('detail_description');?>:</strong>
					</div>
					<div class="col-md-10 col-sm-8"><span itemprop="description"><?php echo htmlspecialchars_decode($record->description);?></span></div>
				</div>
				<?php endif;?>
				<?php if(!empty($tags)):?>
				<div class="row mb-2">
					<div class="col-md-2 col-sm-4">
						<strong><?php echo lang('detail_provides');?>:</strong>
					</div>
					<div class="col-md-10 col-sm-8">
					<?php echo gc_detail_tags('listings', $tags, $record->city); ?>
					</div>
				</div>
				<?php endif;?>
				<div class="row">
				<?php if(!empty($package_display_fields->map)): ?>
					<div class="col-sm-9">
					 	<?php echo theme_view('widgets/details/_map'); ?>
					</div>
				<?php endif; ?>
					<div class="col-sm-3">	
					<?php echo theme_view('widgets/details/_trusted_seal', array('parent_class' => 'list-group-item xs-float-left')); ?>
					<?php echo theme_view('widgets/details/_qrcode', array('parent_class' => 'fileinput-preview', 'heading' => 2, 'image_class' => 'img-thumbnail')); ?>
					<?php if($google_business || !empty($package_display_fields->map)):?>
					<?php echo theme_view('widgets/details/_directions', array('link_class' => 'display-block btn btn-warning btn-theme-secondary btn-sm')); ?>
					<?php endif;?>
					</div>				
				</div>
			</div>
			</div>
			<?php if (!empty($images) || !empty($videos)):?>
			<div class="tab-pane fade" id="gallery">
				<?php echo theme_view('widgets/details/_gallery', array('tpl' => 'default')); ?>
			</div>							
			<?php endif;?>
			<?php echo theme_view('widgets/details/_modules', array('parent_class' => 'tab-pane fade', 'tpl' => '_list_view')); ?>
			<?php if(!empty($package_display_fields->address) && $record->show_address == 1 && !empty($branch_offices)):?>
			<div class="tab-pane fade branch-office-tab" id="locations">
				<?php echo theme_view('widgets/details/_branch_offices', array('heading' => 2, 'parent_class' => 'mt-1')); ?>
			</div>
			<?php endif; ?>
			<?php if(!empty($record->email) && !$google_business && settings_item('lst.business_query') == 1):?>
			<div class="tab-pane fade show" id="query">
				<div class="row form-row">
				<div class="col-md-8">
				<?php echo theme_view('widgets/details/_query_form', array('params' => array('tpl' => 'default', 'heading' => 1, 'row_id' => $record->id, 'module' => 'listings'))); ?>
				</div>
				<div class="col-md-4">
					<img src="<?php echo gc_site_image('business-query'); ?>" class="img-fluid d-none d-sm-block" alt="<?php echo lang('label_contact_business'); ?>" />
				</div>
				</div>
			</div>
			<?php endif; ?>
		</div>
		<?php echo theme_view('widgets/details/_qna'); ?>
<?php else: //listing does not exist?>
    <div class="alert alert-info"><?php echo lang('error_not_exist');?></div>
<?php endif; ?>
<?php echo theme_view('widgets/details/_metas'); ?>
</div>
</div>
<?php echo theme_view('widgets/others/_banners', array('width' => 728, 'height' => 90, 'location' => 'middle', 'limit' => 1), true); ?>
<?php if(!empty($record)): //listing exist; display share and review information?>
<?php if(!$hide_claim && $record->show_claim == 1): ?>
<div class="row mt-2">
	<div class="col-sm-2 float-left">
		<strong><?php echo lang('label_owner');?>:</strong>
	</div>
	<div class="col-sm-10 float-right">
	<span><?php echo lang('claim_help');?></span>
		<a href="#claimListingModal" role="button" class="btn btn-warning" data-toggle="modal">
			<i class="fas fa-pencil-alt fa-fw mr-1"></i><?php echo lang('claim_listing');?>
		</a>
	</div>
</div>
<?php endif;?>
<?php if((settings_item('lst.allow_sms') == 0) && (settings_item('lst.allow_email') == 0) && (settings_item('lst.allow_print') == 0)):?>
<?php elseif(!$google_business):?>
<div class="row mt-2">
	<div class="col-sm-12">
	<ul class="list-inline share-info">
		<li class="list-inline-item"><strong><?php echo lang('share_info');?>:</strong></li>
		<?php echo theme_view('widgets/details/_actions', array('record' => $record, 'module' => 'listings', 'favorite' => true, 'btn_color' => true, 'parent_class' => '', 'child_class' => 'list-inline-item', 'links' => array('sms', 'email', 'pdf', 'favorite'))); ?>
	</ul>
	</div>
</div>
<?php endif;?>
<div class="row mt-2 mb-2 detail-tabs">
	<div class="col-sm-12">
		<?php echo theme_view('widgets/details/_tabs_review_comments_report'); ?>
	</div>
</div>
<?php endif; ?>
<?php echo theme_view('views/modules/listings/detail/_common');?>