<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$all_images = array();
if(!empty($record->cover)):
    $all_images[] = array(
        'original' => gc_image_url($record->cover, false),
        'thumb' => gc_image_url($record->cover),
        'title' => $record->title . ' ' . lang('label_cover')
    );
endif;
if(!empty($images)):
    foreach($images as $image):
        $all_images[] = array(
            'original' => gc_image_url($image->url, false),
            'thumb' => gc_image_url($image->url),
            'title' => !empty($image->title) ? $image->title : $record->title . ' ' . lang('label_image')
        );
    endforeach;
endif;
$images_count = !empty($all_images) ? count($all_images) : 0;
$blank_images_count = $images_count >= 6 ? 0 : 6 - $images_count;
if(!empty($blank_images_count)):
    for($i = 1; $i <= $blank_images_count; $i++) {
        $all_images[] = array(
            'title' => $record->title,
            'original' => '<div class="files d-none d-sm-block"></div>',
            'blank' => 1
        );
    }
endif;
?>
<nav aria-label="breadcrumb">
	<?php echo theme_view('widgets/details/_breadcrumb', array('type' => 'categories', 'parent_class' => 'd-none d-sm-flex  mb-0 small', 'child_class' => 'breadcrumb-item', 'item_scope' => 'https://schema.org/BreadcrumbList')); ?>
</nav>
<div class="container-fluid pt-2 pb-2 mrcldtl">
    <div class="row">
    	<div class="col-md-9">
    		<?php echo theme_view('widgets/headers/detail/_miracle'); ?>
    		<ul id="productDetail" class="nav nav-tabs small mt-4 mrcldtl__tabs">
    			<li class="active"><a href="#home" data-toggle="tab" class="nav-link"><?php echo lang('detail_description');?></a></li>
    			<?php if(settings_item('lst.allow_review') == 1):?>
    			<li><a href="#reviews" data-toggle="tab" class="nav-link"><?php echo lang('ratings_and_review');?></a></li>
    			<?php endif; ?>
    			 <?php if(!empty($images) || !empty($videos)):?>
    			<li><a href="#gallery" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('detail_gallery');?>" class="nav-link">
    				<span class="d-none d-sm-inline-block"><?php echo lang('detail_gallery');?></span></a></li>
    			<?php endif;?>	
    			<?php $tab_modules = gc_modules_only();?>
    			<?php foreach($tab_modules as $tab_module):?>
    			<?php if (!empty($tab_module) && !empty($module_info[$tab_module])): ?>
    			<li><a href="#listing-<?php echo $tab_module; ?>" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang($tab_module);?>" class="nav-link">
    				<span class="d-none d-sm-inline-block"><?php echo lang($tab_module);?></span></a></li>
    			<?php endif;?>
    			<?php endforeach;?>
    			<?php if(!empty($branch_offices)):?>	
    			<li class="nav-item"><a href="#locations" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('additional_locations');?>" class="nav-link">
    				<i class="fas fa-fr fa-map-marker-alt fa-lg fa-fw mr-1"></i><span class="d-none d-sm-inline-block"><?php echo lang('additional_locations');?></span></a></li>
    			<?php endif;?>
    			<?php if(!empty($record->email) && !$google_business && settings_item('lst.business_query') == 1):?>		
    			<li class="nav-item"><a href="#query" data-toggle="tab" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('business_query');?>" class="nav-link">
    				<span class="d-none d-sm-inline-block"><?php echo lang('business_query');?></span></a></li>
    			<?php endif;?>
    	   </ul>
    		<div id="myTabContent" class="tab-content tabWrapper">
    			<div class="tab-pane fade active in show" id="home">
    				<div class="card card-body">
    				<h4><?php echo lang('detail_description');?></h4>
    				<div class="row">
                        <div class="col-md-6">
                            <div class="product-info py-3">
                                <?php if(!empty($record->contact_person)):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_contact_person')?></h6>
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><i class="fas fa-user mr-1"></i>
                                    <?php if(is_array($record->contact_person)):?>
                                	<?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'contact_person')); ?>
                                	<?php else: ?>
                					<?php echo $record->contact_person; ?>
                					<?php endif; ?>
                					</p>                                   
                                </div>
                                <?php endif;?> 
                                <?php if(!empty($record->fax)):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_fax')?></h6>
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><i class="fas fa-fax mr-1"></i>
                                    <?php if(is_array($record->fax)):?>
                                	<?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'fax')); ?>
                                	<?php else: ?>
                					<?php echo $record->fax; ?>
                					<?php endif; ?></p>                                   
                                </div>
                                <?php endif;?>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="product-info py-3">
                                <?php if(!empty($record->email)):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_email')?></h6>
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><i class="fas fa-envelope mr-1"></i>
                                    <?php if(is_array($record->email)):?>
                                	<?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'email')); ?>
                                	<?php else: ?>
                					<?php echo $record->email; ?>
                					<?php endif; ?></p>                                  
                                </div>
                                <?php endif;?>
                                <?php if(!empty($record->tollfree)):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_tollfree')?></h6>
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><i class="fas fa-headphones"></i>
                                    <?php if(is_array($record->tollfree)):?>
                                	<?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'tollfree')); ?>
                                	<?php else: ?>
                					<?php echo $record->tollfree; ?>
                					<?php endif; ?></p>                                  
                                </div>
                                <?php endif;?>
                            </div>
                        </div>
                    </div>
    				  <span class="small"><?php echo $record->description; ?></span> 
    				  <h4 class="heading-theme-quinary">
                            <?php echo lang('social_share_info'); ?>
                        </h4>
                    	<div class="row">
                            <div class="col-md-3">
                            	<?php echo theme_view('widgets/details/_qrcode', array('parent_class' => 'fileinput-preview', 'heading' => 2, 'image_class' => 'img-thumbnail')); ?>
                            </div>
                            <div class="col-md-9">
                            	<?php if(!empty($categories)):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_other_categories');?></h6>		
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><?php echo theme_view('widgets/details/_categories_others', array('heading' => 2, 'tpl' => 'list')); ?></p>
                                </div>
                        		<?php endif;?>    	
                        		<h6 class="info-head small font-weight-bold"><?php echo lang('label_statistics'); ?></h6>
                        		<div class="border-bottom pb-1"></div>
                        		<?php echo theme_view('widgets/details/_statistics', array('heading' => 2, 'list_class' => 'small')); ?>					
                            </div>
                        </div>
    				</div>
    			</div>
    			<div class="tab-pane fade" id="gallery">
    				<div class="col-12">
                        <div class="row py-3<?php echo empty($blank_images_count) ? ' slider-slick' : ''; ?>"<?php echo empty($blank_images_count) ? ' id="slick-6"' : ''; ?>>
                            <?php foreach($all_images as $image_info): ?>
                            <div class="col-lg-2 col-md-4 col-sm-6 mb-2">
                                <?php if(!empty($image_info['blank'])):?>
                                <?php echo $image_info['original']; ?>
                                <?php else: ?>
                                    <a href="<?php echo $image_info['original']; ?>" class="gc-fancybox img-crop-center">
                                        <img src="<?php echo $image_info['thumb']; ?>" alt="<?php echo $image_info['title']; ?>" class="img-fluid img-gallery" />
                                    </a>
                                <?php endif; ?>
                            </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
    			</div>
    			<?php if(settings_item('lst.allow_review') == 1):?>
    			<div class="tab-pane fade" id="reviews">
    				<?php echo theme_view('widgets/details/_comments_review_01'); ?>
    			</div>
    			<?php endif; ?>
    			<?php foreach($tab_modules as $tab_module):?>
    			<?php if (!empty($tab_module) && !empty($module_info[$tab_module])): ?>
    			<div class="tab-pane fade" id="listing-<?php echo $tab_module; ?>">
					<?php echo theme_view('widgets/modules/_call', array('load' => 'fprlvs', 'widget' => '_fprlv_widget_02', 'wparams' => array('module' => $tab_module, 'parent_class' => 'card mb-2', 'heading_block_class' => 'card-header bg-theme-primary p-2', 'heading_class' => 'heading-theme-primary h5 m-3', 'content_parent_class' => 'card-body p-2'), 'params' => array('block' => 'recently_added', 'records' => $module_info[$tab_module]))); ?>
    			</div>
    			<?php endif; ?>
    			<?php endforeach; ?>
			</div>
    	</div>
    	<div class="col-md-3">
    		<?php echo theme_view('widgets/details/_map'); ?>
    		<div class="card card-body p-3 mt-2" style="background: #fafafa">
    			<h3 style="border-bottom: 1px solid #eee; font-size: 20px; font-weight: 600; margin-bottom: 20px; padding-bottom: 1rem;"><?php echo lang('share'); ?></h3>
    			<?php echo theme_view('widgets/details/_actions', array('links' => array('email', 'sms', 'pdf'), 'parent_class' => 'list-group', 'child_class' => 'list-group-item p-0 border-0 mb-1', 'link_class' => 'btn btn-xs btn-block', 'btn_color' => true));?>
    		</div>	
    	</div>
    </div>
</div>
