<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
if(empty($package_display_fields) && !empty($package->display_fields)):
$package_display_fields = json_decode($package->display_fields);
$package_display_fields = $package_display_fields->listings;
endif;
?>
<?php echo theme_view('widgets/details/_navbar', array('record' => $record)); ?>
<div class="container-fluid site-bg">
	<div class="container">
	<div class="row pt-4">
	<div class="col-lg-8">
		<div class="card card-default">
    		<div class="card-body">
    			<?php echo theme_view('widgets/headers/detail/_modero', array('package_display_fields' => $package_display_fields)); ?>
        		<?php echo $record->files['html']; // display documents ?>			
    			<?php if($record->description):?>
    			<div class="text-justify"><span itemprop="description"><?php echo htmlspecialchars_decode($record->description);?></span></div>
    			<?php endif;?>
    			<?php if(!empty($tags)):?>
    			<p><strong><?php echo lang('detail_provides');?>:</strong><?php echo gc_detail_tags('listings', $tags, $record->city); ?></p>
    			<?php endif;?>
				<?php echo theme_view('widgets/details/_contact_info', array('params' => array('tpl' => 'toolbar', 'includes' => array('contact_person', 'phone_number', 'email', 'website', 'query', 'claim', 'report', 'trusted_seal'), 'parent_class' => '', 'child_class' => '', 'icon_class' => ''))); ?>
    		</div>
		</div>		
		<div class="mt-2">
			<?php echo theme_view('widgets/others/_banners', array('width' => 728, 'height' => 90, 'location' => 'top', 'limit' => 1)); ?>	 	
		</div>	
	</div><!-- end of col-sm-8 -->
	<div class="col-lg-4 mb-2">
		<?php echo theme_view('widgets/details/_map'); ?>
		<?php if(!empty($record->cover)): ?>
		<div class="mt-2">
    		<a class="gc-fancybox thumbnail" href="<?php echo gc_image_url($record->cover, false);?>" title="<?php echo $record->title;?>">
    			<img src="<?php echo gc_image_url($record->cover);?>" alt="<?php echo $record->title;?>" class="img-thumbnail" />
    		</a>
		</div>
		<?php endif;?>
	</div>
</div><!-- end of row -->
</div><!-- end of container -->
</div><!-- end of container-fluid -->
	<div class="container-fluid social-bg">
		<div class="container">
			<div class="row">
			<?php if(!$google_business):?>
				<div class="col-sm-6" style="margin: 10px;">
					<?php echo theme_view('widgets/details/_actions', array('links' => array('email', 'sms', 'pdf', 'favorite'), 'parent_class' => 'list-inline gc-detail-actions mb-0', 'child_class' => 'list-inline-item mr-0', 'link_class' => 'btn btn-xs', 'btn_color' => true)); ?>
				</div>		
			<?php endif; ?>
				<div class="ml-auto">
				<?php echo theme_view('widgets/share/_jssocials', array('data_txt' => (isset($page_title) ? $page_title : settings_item('site.title'))));?>	
				</div>
			</div>
		</div>
	</div>
	<?php if(!empty($gallery)):?>
	<div class="gallery-holder">
		<div class="container-fluid gallery">		
			<div class="container p-4">
				<?php echo theme_view('widgets/details/_gallery', array('tpl' => 'modero')); ?>			
			</div>
		</div>
	</div>
	<?php endif;?>
	<!-- Ratings & Review -->
	<div class="container-fluid site-bg">
		<div class="container padding-zero">
			<div class="row">
			<div class="col-lg-8">
				<?php if(settings_item('lst.allow_review') == 1):?>
				<h4><i class="fas fa-star btn-lg"></i><?php echo lang('ratings_and_review');?></h4>
				<div class="card card-default event">
					<div class="card-body">
						<?php echo theme_view('widgets/details/_comments_review_01'); ?>
					</div>
				</div>
				<?php endif;?>
                <?php echo theme_view('widgets/details/_business_hours', array('tpl' => 'modero')); ?>
				<?php if((!empty($record->qrfile)) || (!empty($record->fax)) || (!empty($meta_fields)) || (!empty($categories))):?>
				<h4 class="mt-2"><i class="fas fa-th-large btn-lg"></i><?php echo lang('business_details');?></h4>
				<div class="card card-default padding-ten">				
					<div class="row">
						<?php echo theme_view('widgets/details/_qrcode', array('heading' => 2, 'image_class' => 'img-thumbnail d-block mx-auto', 'parent_class' => 'col-md-3 col-sm-3')); ?>
						<div class="<?php echo count((array)$meta_fields) ? 'col-md-5 col-sm-5' : 'col-md-9 col-sm-9' ;?>">
							<?php if(!empty($categories)):?>
								<h6><strong><?php echo lang('label_other_categories');?></strong></h6>		
								<?php echo theme_view('widgets/details/_categories_others', array('heading' => 2, 'tpl' => 'list')); ?>								
						<?php endif;?>
						<?php if(!empty($record->tollfree)):?>
							<h6><i class="fas fa-headphones" data-toggle="tooltip" title="<?php echo lang('label_tollfree');?>"></i>: <?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'tollfree')); ?></h6>
						<?php endif;?>
						<?php if(!empty($record->fax)):?>
							<h6><i class="fas fa-fax" data-toggle="tooltip" title="<?php echo lang('label_fax');?>"></i>: <?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'fax')); ?></h6>
						<?php endif;?>						
						</div>
						<?php if(!empty($meta_fields) && count((array)$meta_fields)):?>
						<div class="col-md-4 col-sm-4">
							<h6><strong><?php echo lang('label_additional_info');?></strong></h6>							
							<?php foreach($meta_fields as $meta_key => $meta_value):
							$meta_value = process_value($meta_value);
							?>
							<h6><strong><?php echo $meta_key;?>: </strong><span><?php echo $meta_value;?></span></h6>
							<?php endforeach;?>
						</div>
						<?php endif;?>
					</div>
				</div>
			<?php endif;?>
			<?php echo theme_view('widgets/details/_branch_offices', array('heading' => 1, 'parent_class' => 'card card-body p-3')); ?>
			<div class="margin-bottom-md mt-4">
			<?php echo theme_view('widgets/modules/_call', array('load' => 'sliders', 'widget' => '_slider_widget_06', 'wparams' => array('module' => 'properties'), 'params' => array('block' => 'featured', 'limit' => 12)));?>
			</div>
			<?php $config_modules = gc_modules_only();?>
    		<?php foreach($config_modules as $config_module):?>
			<?php if(gc_module_settings($config_module) == 1 && !empty($module_info[$config_module])):?>
			<?php echo theme_view('widgets/modules/_call', array('load' => 'sliders', 'widget' => '_slider_widget_26', 'wparams' => array('module' => $config_module, 'heading' => 2), 'params' => array('block' => 'recently_added', 'records' => $module_info[$config_module], 'limit' => 10))); ?>
			<?php endif;?>
    		<?php endforeach;?>
			</div>
			<!-- Right Side -->
			<div class="col-lg-4">
    			<div class="mt-2 mb-2">
    				<?php echo theme_view('widgets/others/_banners', array('width' => 336, 'height' => 280, 'location' => 'right', 'limit' => 2)); ?>
    				<div class="panel-group mt-2 mb-2" id="accordion" role="tablist" aria-multiselectable="true">
    					<?php $config_modules = gc_modules_only();?>
    					<?php foreach($config_modules as $config_module):?>
    					<?php if(gc_module_settings($config_module) == 1 && !empty($module_info[$config_module])):?>
    					<?php echo theme_view('widgets/modules/_tabs_view', array('records' => $module_info[$config_module], 'module' => $config_module));?>
    					<?php endif;?>
    					<?php endforeach;?>
    				</div>
					<?php echo theme_view('widgets/modules/_call', array('load' => 'fprlvs', 'widget' => '_fprlv_widget_03', 'wparams' => array('module' => 'listings', 'parent_class' => 'card', 'heading_block_class' => 'card-header bg-theme-primary', 'heading_class' => 'heading-theme-tertiary', 'content_parent_class' => 'card-body'), 'params' => array('block' => 'featured', 'limit' => 3))); ?>
					<?php // echo theme_view('widgets/modules/_call', array('load' => 'fprlvs', 'widget' => '_fprlv_widget_03', 'wparams' => array('module' => 'listings', 'parent_class' => 'card', 'heading_block_class' => 'card-header', 'content_parent_class' => 'card-body'), 'params' => array('block' => 'popular', 'limit' => 3))); ?>
					<?php // echo theme_view('widgets/modules/_call', array('load' => 'fprlvs', 'widget' => '_fprlv_widget_03', 'wparams' => array('module' => 'listings', 'parent_class' => 'card', 'heading_block_class' => 'card-header', 'content_parent_class' => 'card-body'), 'params' => array('block' => 'recently_added', 'limit' => 3))); ?>
    				<?php if(!empty($related_links)):?>
    				<div class="mt-2">
    					<?php echo theme_view('widgets/modules/_call', array('load' => 'fprlvs', 'widget' => '_fprlv_widget_03', 'wparams' => array('module' => 'listings', 'parent_class' => 'card', 'heading_block_class' => 'card-header bg-theme-primary', 'content_parent_class' => 'card-body', 'heading_class' => 'heading-theme-tertiary'), 'params' => array('block' => 'related', 'limit' => 3, 'records' => $related_links))); ?>
    				</div>
    				<?php endif;?>
				</div>
			</div>
			</div>
		</div>
</div>	
<div class="container-fluid footer-top">
	<div class="container">
		<?php echo theme_view('widgets/details/_breadcrumb', array('type' => 'categories', 'record' => $record, 'parent_class' => 'list-inline footer-top-menu d-none d-sm-inline-block', 'child_class' => 'list-inline-item')); ?>
		<?php echo theme_view('widgets/details/_breadcrumb', array('type' => 'locations', 'record' => $record, 'parent_class' => null)); ?>	
	</div>
</div>
<?php echo theme_view('views/modules/listings/detail/_common');?>
<?php echo theme_view('widgets/details/_query_form', array('params' => array('tpl' => 'modal', 'form_class' => '', 'field_only' => true, 'row_id' => $record->id, 'module' => 'listings'))); ?>
<?php echo theme_view('widgets/details/_report_form', array('params' => array('tpl' => 'modal', 'form_class' => '', 'field_only' => true, 'row_id' => $record->id, 'module' => 'listings'))); ?>