<?php 
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$package_display_fields = !empty($package->display_fields) ? json_decode($package->display_fields) : array();
$package_display_fields = $package_display_fields->listings;
$user_info = empty($user_info) ? (object) $this->session->userdata('user_info') : $user_info;
echo theme_view('widgets/headers/detail/_simplicity');
?>
<div class="container-fluid social-bg">
	<div class="container">
		<div class="row">
		<?php if(!$google_business):?>
			<div class="col-sm-6 mt-3">
				<?php echo theme_view('widgets/details/_actions', array('links' => array('email', 'sms', 'pdf', 'favorite'), 'parent_class' => 'list-inline gc-detail-actions mb-0', 'child_class' => 'list-inline-item mr-0', 'link_class' => 'btn btn-xs', 'btn_color' => true)); ?>
			</div>		
		<?php endif; ?>
			<div class="ml-auto">
			<?php echo theme_view('widgets/share/_jssocials', array('data_txt' => (isset($page_title) ? $page_title : settings_item('site.title'))));?>	
			</div>
		</div>
	</div>
</div>
<div class="container">
    <div class="row">
        <div class="col-lg-8 col-12">    
            <div class="card border-0 py-4">
                <div class="card-header bg-white">
                    <h6 class="text-theme-secondary font-weight-bold h5"><?php echo lang('detail_description');?></h6>
                </div>
                <div class="card-body">
                    <span class="small"><?php echo $record->description; ?></span> 
                    <div class="small listing-list "><?php echo gc_detail_tags('listings', $tags, $record->city); ?></div>          
                    <div class="row">
                        <div class="col-md-6">
                            <div class="product-info py-3">
                                <?php if(!empty($record->contact_person)):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_contact_person')?></h6>
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><i class="fas fa-user mr-1"></i><?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'contact_person'));?></p>                                   
                                </div>
                                <?php endif;?> 
                                <?php if(!empty($record->fax)):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_fax')?></h6>
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><i class="fas fa-fax mr-1"></i><?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'fax'));?></p>                                   
                                </div>
                                <?php endif;?>
                                <?php echo theme_view('widgets/details/_business_hours',array('tpl' => 'simplicty', 'heading' => 1)); ?>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="product-info py-3">
                                <?php if((!empty($record->email))):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_email')?></h6>
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><i class="fas fa-envelope mr-1"></i><?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'email'));?></p>                                  
                                </div>
                                <?php endif;?>
                                <?php if(!empty($record->tollfree)):?>
                                <div class="py-2">
                                    <h6 class="info-head small font-weight-bold"><?php echo lang('label_tollfree')?></h6>
                                    <div class="border-bottom pb-1"></div>
                                    <p class="mt-2 small"><i class="fas fa-headphones"></i><?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'tollfree'));?></p>                                  
                                </div>
                                <?php endif;?>
                            </div>
                        </div>
                    </div>             
                    <?php if(!empty($booking_allotments) && !empty(reset($booking_allotments))):?>
                    <div class="row mb-2">
                    <?php foreach($booking_allotments as $allotment_id => $form_title):?>
                        <div class="col-md-6">
                        <a href="<?php echo gc_url_format('booking_form') . '/' . $allotment_id; ?>" data-toggle="tooltip" title="<?php echo $form_title;?>" class="btn btn-info btn-theme-primary btn-sm display-block mb-2"><?php echo lang('book_now') . ' - ' . $form_title; ?></a>
                        </div>
                    <?php endforeach;?>
                    </div>
                    <?php endif;?>   
                    <div class="row">
                    	<?php if(!empty($record->qrfile)):?>
                        <div class="col-md-4">
                        	<?php echo theme_view('widgets/details/_qrcode', array('parent_class' => 'fileinput-preview', 'heading' => 2, 'image_class' => 'img-thumbnail')); ?>
                        </div>
                        <?php endif; ?>
                        <div class="col-md-<?php echo empty($record->qrfile) ? 12 : 8; ?>">
                        	<?php if(!empty($categories)):?>
                            <div class="py-2">
                                <h6 class="info-head small font-weight-bold"><?php echo lang('label_other_categories');?></h6>		
                                <div class="border-bottom pb-1"></div>
                                <p class="mt-2 small"><?php echo theme_view('widgets/details/_categories_others', array('heading' => 2, 'tpl' => 'list')); ?></p>
                            </div>
                    		<?php endif;?>    	
                    		<h6 class="info-head small font-weight-bold"><?php echo lang('label_statistics'); ?></h6>
                    		<div class="border-bottom pb-1"></div>
                    		<?php echo theme_view('widgets/details/_statistics', array('heading' => 2, 'list_class' => 'small')); ?>					
                        </div>
                    </div>		                   
                    <?php if(count((array)$meta_fields)):?>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="py-2">
                            <h6 class="info-head small font-weight-bold"><?php echo lang('label_additional_info');?></h6>							
                            <div class="border-bottom pb-1"></div>
                            <?php foreach($meta_fields as $meta_key => $meta_value):
                            $meta_value = process_value($meta_value);
                            ?>
                            <h6><strong><?php echo $meta_key;?>: </strong><span><?php echo $meta_value;?></span></h6>
                            <?php endforeach;?>
                            </div>
                        </div>
                    </div>
                    <?php endif;?>
                    <?php echo theme_view('widgets/details/_branch_offices', array('heading' => 1, 'parent_class' => 'mt-2 small')); ?>	
                </div>
            </div>
            <?php // echo theme_view('widgets/sliders/_slider_widget_24'); ?>
            <?php echo theme_view('widgets/details/_modules_tabs', array('widget' => '_slider_widget_24'));?>
            <?php if(settings_item('lst.allow_review') == 1):?>
          	<div class="mb-2">
              <h5><i class="fas fa-star btn-lg"></i><?php echo lang('ratings_and_review');?></h5>
              <div class="card card-default event">
                  <div class="card-body">
                      <?php echo theme_view('widgets/details/_comments_review_01'); ?>
                  </div>
              </div>
              <?php echo theme_view('widgets/details/_review_form', array('params' => array('tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true))); ?>              
          	</div>
          	<?php endif;?>            
        </div>
        <div class="col-lg-4 col-12 pt-3">  
            <?php echo theme_view('widgets/details/_map', array('package_display_fields' => $package_display_fields)); ?>  
            <?php if(!empty($record->cover)): ?>
    		<div class="mt-2">
        		<a class="gc-fancybox thumbnail" href="<?php echo gc_image_url($record->cover, false);?>" title="<?php echo $record->title;?>">
        			<img src="<?php echo gc_image_url($record->cover);?>" alt="<?php echo $record->title;?>" class="img-thumbnail" />
        		</a>
    		</div>
    		<?php endif;?>
            <?php if(!empty($record->files['html'])):?>
            <h5 class="info-head font-weight-bold mt-2"><?php echo lang('gc_menu_files'); ?></h5>
            <div class="border-bottom pb-1 mb-2"></div>
            <?php echo $record->files['html']; // display documents ?>
            <?php endif; ?>
            <?php echo theme_view('widgets/others/_banners', array('width' => 336, 'height' => 280, 'location' => 'right', 'limit' => 2)); ?>
            <?php echo theme_view('widgets/modules/_fprlv_07', array('module' => $module, 'fprlvs' => array(), 'block' => 'popular', 'limit' => 3), true); ?>
        </div>
    </div>
</div>
    <?php echo theme_view('widgets/details/_query_form', array('params' => array('tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true, 'btn_class' => 'btn btn-primary btn-theme-primary btn-block mt-2', 'module' => $module, 'row_id' => $record->id))); ?>