<?php 
$affiliate_info = $this->session->userdata('affiliate_info');
$is_affiliate = empty($affiliate_info) ? false : true;
$link_class = 'btn-primary btn-theme-primary';
?>
<nav class="navbar navbar-expand-lg navbar-light bg-light mb-2">
    <div class="container">
    	<a class="navbar-brand" href="<?php echo gc_url_format('affiliates'); ?>"><img src="<?php echo gc_site_image('affiliates'); ?>" title="<?php echo lang('affiliate_program'); ?>"></a>
      	<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#discussionForum" aria-controls="discussionForum" aria-expanded="false" aria-label="Toggle navigation">
        	<span class="navbar-toggler-icon"></span>
      	</button>
      	<div class="collapse navbar-collapse" id="discussionForum">
			<ul class="navbar-nav">
    			<li class="nav-item">
          			<a class="nav-link btn-theme-tertiary<?php echo $page == 'home' ? ' active' : '';?>" href="<?php echo gc_url_format('affiliates'); ?>" title="<?php echo lang('bf_home'); ?>"><?php echo lang('bf_home');?></a>
          		</li>
          		<?php if(!$this->auth->is_logged_in()): ?>	
    			<li class="nav-item">
          			<a class="nav-link <?php echo $link_class; ?>" href="<?php echo gc_url_format('login'); ?>" title="<?php echo lang('bf_action_login'); ?>"><?php echo lang('bf_action_login'); ?></a>
          		</li>
    			<li class="nav-item">
          			<a class="nav-link <?php echo $link_class; ?>" href="<?php echo gc_url_format('register'); ?>" title="<?php echo lang('bf_action_register'); ?>"><?php echo lang('bf_action_register'); ?></a>
          		</li>          	
          		<?php elseif($is_affiliate): ?>
          		<li class="nav-item dropdown">
                	<a class="nav-link <?php echo $link_class; ?> dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
                    	<?php echo lang('marketing_materials'); ?>
                  	</a>
                  	<div class="dropdown-menu">
                  		<?php foreach($this->affiliates_model->materials_ad_types as $material => $material_string):?>
                  			<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/materials') . '/' . $material; ?>"><?php echo lang('affiliate_' . $material); ?></a>
                  		<?php endforeach;?>
                  			<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/materials') . '/coupon'; ?>"><?php echo lang('gc_menu_coupons'); ?></a>
                  			<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/materials') . '/qrcode'; ?>"><?php echo lang('affiliate_qrcodes'); ?></a>
                  			<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/materials') . '/hierarchy'; ?>"><?php echo lang('affiliate_hierarchy'); ?></a>
                  	</div>
                </li>
          		<li class="nav-item dropdown">
                	<a class="nav-link <?php echo $link_class; ?> dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
                    	<?php echo lang('training_materials'); ?>
                  	</a>
                  	<div class="dropdown-menu">
                  		<?php foreach($this->affiliates_model->tutorials_ad_types as $tutorial => $tutorial_string):?>
                  			<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/materials') . '/' . $tutorial . '/1'; ?>"><?php echo lang('affiliate_' . $tutorial); ?></a>
                  		<?php endforeach;?>
                  		<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/faqs'); ?>"><?php echo lang('affiliate_faqs'); ?></a>
                  	</div>
                </li>
          		<li class="nav-item dropdown">
          			<a class="nav-link <?php echo $link_class; ?> dropdown-toggle" href="#" data-toggle="dropdown">
          				<?php echo lang('gc_menu_commissions');?>
          			</a>
          			<div class="dropdown-menu">
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/logs/3'); ?>" title="<?php echo lang('commission_all'); ?>"><?php echo lang('commission_all');?></a>
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/logs/4'); ?>" title="<?php echo lang('commission_standard'); ?>"><?php echo lang('commission_standard');?></a>
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/logs/5'); ?>" title="<?php echo lang('commission_coupon'); ?>"><?php echo lang('commission_coupon');?></a>
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/logs/6'); ?>" title="<?php echo lang('commission_cpc_logs'); ?>"><?php echo lang('commission_cpc_logs');?></a>
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/logs/7'); ?>" title="<?php echo lang('commission_hierarchy'); ?>"><?php echo lang('commission_hierarchy');?></a>
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/tree'); ?>" title="<?php echo lang('affiliate_tree'); ?>"><?php echo lang('affiliate_tree');?></a>						
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/packages'); ?>" title="<?php echo lang('affiliate_packages'); ?>"><?php echo lang('affiliate_packages');?></a>
          			</div>
          		</li>
          		<li class="nav-item dropdown">
          			<a class="nav-link <?php echo $link_class; ?> dropdown-toggle" href="#" data-toggle="dropdown">
          				<?php echo lang('affiliate_traffic');?>
          			</a>
          			<div class="dropdown-menu">
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/logs/1'); ?>" title="<?php echo lang('referral_traffic_all'); ?>"><?php echo lang('referral_traffic_all');?></a>
          				<a class="dropdown-item" href="<?php echo gc_url_format('affiliates/logs/2'); ?>" title="<?php echo lang('referral_traffic_unique'); ?>"><?php echo lang('referral_traffic_unique');?></a>
          			</div>
          		</li>
    			<li class="nav-item">
          			<a class="nav-link <?php echo $link_class; ?>" href="<?php echo gc_url_format('affiliates/logs/8'); ?>" title="<?php echo lang('commission_payouts'); ?>"><?php echo lang('commission_payouts'); ?></a>
          		</li>    
          		<?php endif; ?>
          		<?php if($this->auth->is_logged_in()): ?>
          		<?php $link_text = lang($page == 'register' || !$is_affiliate ? 'bf_action_register' : 'bf_profile');?>
          		<li class="nav-item">
          			<a class="nav-link <?php echo $link_class; ?><?php echo $page == 'register' || $page == 'profile' ? ' active' : '';?>" href="<?php echo gc_url_format('affiliates/form'); ?>" title="<?php echo $link_text; ?>"><?php echo $link_text; ?></a>
          		</li>
          		<?php endif; ?>
          		<li class="nav-item">
          			<a class="nav-link <?php echo $link_class; ?>" href="<?php echo gc_url_format('pages/contact'); ?>" title="<?php echo lang('contact_us'); ?>"><?php echo lang('contact_us');?></a>
        		</li>
    		</ul>
        </div>
    </div>
</nav>
<div class="container">
	<div class="pb-1">
	<?php
	if($this->auth->is_logged_in()):
	   $affiliate_info = (array) $this->session->userdata('affiliate_info');
	   $logged_in_user_info = $this->session->userdata('user_info');
	   $affiliate_name = !empty($affiliate_info['name']) ? $affiliate_info['name'] : $logged_in_user_info['display_name'];
	   echo lang('us_logged_in'); ?> <strong><?php echo $affiliate_name; ?></strong>
	   <i class="fas fa-th mr-1 ml-1"></i><?php echo lang('us_last_visit'); ?>: <?php echo gc_date_format($logged_in_user_info['last_login']); ?>	
       <span class="float-right">
       		<?php echo form_open($this->uri->uri_string() . (!empty($_SERVER['QUERY_STRING']) ? '?' . $_SERVER['QUERY_STRING'] : ''), 'class="d-inline"'); ?>
			<button class="btn btn-link btn-sm text-dark" name="refresh" type="submit" data-toggle="tooltip" data-title="<?php echo lang('captcha_refresh'); ?>"><i class="fas fa-sync"></i></button>
			<?php echo form_close(); ?>
    		<i class="fas fa-th mr-1 ml-1"></i>
			<?php echo anchor(gc_url_format('logout'), lang('members_logout'));?>
       </span>
       <?php if(!empty($affiliate_info['status_id']) && $affiliate_info['status_id'] != 2 && !empty($affiliate_info['status'])):?>
       <i class="fas fa-th mr-1 ml-1"></i>
       <span style="color: <?php echo $affiliate_info['status_color']; ?>"><?php echo $affiliate_info['status']; ?></span>
       <?php endif; ?>
	<?php endif;?>
	</div>	
</div>