<?php
$is_logged_in = $this->auth->is_logged_in();
$user_package = $this->session->userdata('user_package');
?>
<section class="">
	<div class="container mt-3 mb-5">
		<div class="row">
			<div class="col-md-12 mb-5 mt-5">
				<div class="text-center text-danger text-uppercase subscribe-head mb-4">
					<h2 class="h1 text-danger text-theme-primary"><?php echo lang('heading_steps'); ?></h2>
					<span class="hr-text text-muted w-50 m-auto text-capitalize"><?php echo lang('heading_sub_steps'); ?></span>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-4 col-sm-6">
				<div class="interactstepswt01">
					<div class="interactstepswt01-icon bg-theme-quinary">
						<i class="fas fa-edit"></i>
					</div>
					<h6 class="title"><span class="bg-white pl-2 pr-2 pt-1 pb-1 rounded-circle h6 font-weight-bold"> 1</span></h6>
					<?php if(!$is_logged_in):?>
					<p class="text-muted mt-4"><?php echo lang('step_01'); ?></p>
					<a class="btn btn-danger btn-theme-secondary rounded-0 mt-3" href="<?php echo gc_url_format('register'); ?>" title="<?php echo lang('bf_action_register'); ?>"><?php echo lang('bf_action_register'); ?></a>
					<?php else: ?>
					<p class="text-muted mt-4"><?php echo lang('step_01_complete'); ?></p>
					<i class="fas fa-check text-success fa-3x"></i>
					<?php endif; ?>
				</div>
			</div>
			<div class="col-md-4 col-sm-6">
				<div class="interactstepswt01">
					<div class="interactstepswt01-icon bg-theme-quinary"><i class="fas fa-gem"></i></div>
					<h6 class="title"><span class="bg-white pl-2 pr-2 pt-1 pb-1 rounded-circle h6 font-weight-bold"> 2</span></h6>
					<?php if(!$is_logged_in):?>
					<p class="text-muted mt-4"><?php echo lang('step_02'); ?></p>
					<a class="btn btn-danger btn-theme-secondary rounded-0 mt-3" href="<?php echo gc_url_format('register'); ?>" title="<?php echo lang('upgrade_membership'); ?>"><?php echo lang('upgrade_membership'); ?></a>
					<?php elseif(!empty($user_package['premium_package_id'])): $this->load->library('crypt'); ?>
					<p class="text-muted mt-4"><?php echo lang('step_02'); ?></p>
					<a class="btn btn-danger btn-theme-secondary rounded-0 mt-3" href="<?php echo gc_url_format('members/checkout') . '?id=' . $this->crypt->encode($user_package['premium_package_id']); ?>" title="<?php echo lang('upgrade_membership'); ?>"><?php echo lang('upgrade_membership'); ?></a>
					<?php else: ?>
					<p class="text-muted mt-4"><?php echo lang('step_02_welcome'); ?></p>
					<i class="fas fa-check text-success fa-3x"></i>
					<?php endif; ?>
				</div>
			</div>
			<div class="col-md-4 col-sm-6">
				<div class="interactstepswt01">
					<div class="interactstepswt01-icon bg-theme-quinary"><i class="fas fa-users"></i></div>
					<h6 class="title"><span class="bg-white pl-2 pr-2 pt-1 pb-1 rounded-circle h6 font-weight-bold"> 3</span></h6>
					<p class="text-muted mt-4"><?php echo lang('step_03'); ?></p>
					<a href="<?php echo gc_url_format('bf_action_search') . '?type=5';?>" class="btn btn-danger btn-theme-secondary rounded-0 mt-3"><?php echo lang('bf_action_search'); ?></a>
				</div>
			</div>
		<div>
	</div>
</div>
</div>
</section>