<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
/**
 * @param category_rows - Result Rows
 * @param heading - Display Parent Category name in the Panel Heading
 * @param no_collapse - if 1 do not Collapse Panel
 */
?>
<?php
$module = isset($module) ? $module : 'listings';
if(empty($categories)):
    $categories = $this->layouts->widget_categories($module);
endif;
if(!empty($categories)):
?>
<div class="card card-info mb-2">
	<div class="card-header bg-theme-primary">
		<h4 class="card-title h5 m-0">
			<a data-toggle="collapse" data-parent="#accordion" href="#collapse<?php echo isset($no_collapse) && $no_collapse == 1 ? 1 : 2; ?>" class="text-decoration-none">
				<i class="fas fa-th-list fa-fw"></i> <?php echo !empty($heading_text) ? $heading_text : lang('header_select_category');?>
			</a>
		</h4>
	</div>
	<div id="collapse<?php echo isset($no_collapse) && $no_collapse == 1 ? 1 : 2; ?>"
		class="collapse<?php echo isset($no_collapse) && $no_collapse == 1 ? '' : ' show'; ?>">
		<ul class="list-group">
	<?php if(settings_item('lst.category_listings_count') == 1):?>
   	<?php foreach ($categories as $category_row):   	
   	$module_counts = !empty($category_row->module_counts) ? json_decode($category_row->module_counts, true) : array();
   	$counts = !empty($module_counts[$module]) ? $module_counts[$module] : 0;
   	?>
       	<li class="list-group-item"><a
				href="<?php echo gc_category_url($module, $category_row->slug, $category_row->id);?>"
				title="<?php echo $category_row->name; ?>"><?php echo $category_row->name .' (' . $counts .')'; ?></a></li>
   	<?php endforeach;?>
   	<?php else:?>
   	<?php foreach ($categories as $category_row):?>
	   	<li class="list-group-item"><a
				href="<?php echo gc_category_url($module, $category_row->slug, $category_row->id);?>"
				title="<?php echo $category_row->name; ?>"><?php echo $category_row->name; ?></a></li>
    <?php endforeach;?>
    <?php endif;?>
    </ul>
	</div>
</div>
<?php endif;?>