<?php 
/**
 * Send SMS, Send EMAIL and PDF buttons
 * @param boolean $favorite - TRUE: display favorite button
 * @param boolean $btn_color - TRUE: Set button colors
 * e.g. usage <?php echo view('widgets/details/_actions', array('links' => array(), 'parent_class' => '', 'child_class' => '', 'text_class' => '', 'link_class' => '')); ?>
 */
$child_class = !empty($child_class) ? $child_class : 'list-inline-item btn-style';
$btn_sms = '';
$btn_email = '';
$btn_pdf = '';
$btn_query = '';
$btn_claim = '';
$btn_report = '';
$link_class = !empty($link_class) ? $link_class : 'btn btn-sm';
$text_class = !empty($text_class) ? $text_class : 'd-none d-sm-inline-block';
if(!empty($btn_color)):
    $btn_sms = ' btn-info';
    $btn_email = ' btn-primary';
    $btn_pdf = ' btn-danger';
    $btn_query = ' btn-success';
    $btn_claim = ' btn-warning';
    $btn_report = ' btn-secondary';
endif;
$links = !empty($links) ? $links : array('sms', 'email', 'pdf', 'favorite', 'claim', 'report');
?>
<?php if(!empty($parent_class)):?>
<ul class="<?php echo $parent_class; ?>">
<?php endif; ?>
<?php if(in_array('whatsapp', $links) && !empty(settings_item('lst.allow_sms'))): $heading_text = lang('send_whatsapp_heading'); ?>
<li class="<?php echo $child_class; ?>">
    <a href="#smsShareModal" role="button" class="<?php echo $link_class; ?> bg-success border-0" data-toggle="modal" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('send_whatsapp');?>" onclick="$('#smsShareForm').attr('data-action', 'whatsapp'); $('#smsShareForm .modal-title').html('<?php echo $heading_text; ?>');">
        <i class="fab fa-whatsapp fa-fw mr-1"></i><span class="<?php echo $text_class; ?>"><?php echo lang('send_whatsapp');?></span>
    </a>
</li>
<?php endif;?>
<?php if(in_array('sms', $links) && settings_item('lst.allow_sms') == 1):?>
<li class="<?php echo $child_class; ?>">
    <a href="#smsShareModal" role="button" class="<?php echo $link_class . $btn_sms; ?>" data-toggle="modal" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('send_sms');?>">
        <i class="fas fa-mobile fa-fw mr-1"></i><span class="<?php echo $text_class; ?>"><?php echo lang('send_sms');?></span>
    </a>
</li>
<?php endif;?>
<?php if(in_array('email', $links) && settings_item('lst.allow_email') == 1):?>
<li class="<?php echo $child_class; ?>">
    <a href="#emailShareModal" role="button" class="<?php echo $link_class . $btn_email; ?>" data-toggle="modal" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('send_email');?>">
        <i class="fas fa-envelope fa-fw mr-1"></i><span class="<?php echo $text_class; ?>"><?php echo lang('send_email');?></span>
    </a>
</li>
<?php endif;?>
<?php if(in_array('pdf', $links) && settings_item('lst.allow_print') == 1):?>
<li class="<?php echo $child_class; ?>">
    <a rel="nofollow" href="<?php echo site_url('createPDF/'. $record->slug. '-' .$record->id . '/' . $module); ?>" class="<?php echo $link_class . $btn_pdf; ?>" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('print_info');?>">
        <i class="fas fa-print fa-fw mr-1"></i><span class="<?php echo $text_class; ?>"><?php echo lang('print_info');?></span>
    </a>	
</li>
<?php endif;?>
<?php if(in_array('favorite', $links) && $this->auth->is_logged_in()): $isFavorite = !empty($record->isFavorite) ? $record->isFavorite : 0;?>
<li class="<?php echo $child_class; ?>">
	<a href="javascript:void(0)" id="favorite-<?php echo $module; ?>-<?php echo $record->id; ?>" 
    	class="favorite <?php echo $link_class . (!empty($btn_color) ? ($isFavorite ? ' btn-success' : ' btn-secondary') : '');?>" 
    	data-id="<?php echo $record->id; ?>" data-module="<?php echo $module; ?>" data-favorite="<?php echo $isFavorite; ?>"
    	data-add="<?php echo lang('add_to_favorites'); ?>" data-remove="<?php echo lang('label_favorite'); ?>">
        <i id="favorite-icon-<?php echo $module; ?>-<?php echo $record->id; ?>" class="fas <?php echo !empty($isFavorite) ? 'fa-check-square' : 'fa-heart';?>"></i> 
        <span id="favorite-text-<?php echo $module; ?>-<?php echo $record->id; ?>" class="<?php echo $text_class; ?>">
           <?php echo !empty($isFavorite) ? lang('label_favorite') : lang('add_to_favorites');?>
        </span>					
    </a>
</li>
<?php endif; ?>
<?php if(in_array('query', $links) && settings_item('lst.business_query') == 1): ?>
	<li class="<?php echo $child_class; ?>">
		<a href="#queryModal" role="button" data-toggle="modal" class="<?php echo $link_class . $btn_query; ?>" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('business_query');?>">
			<i class="fas fa-flag fa-fw mr-1"></i><span class="<?php echo $text_class; ?>"><?php echo lang('business_query');?></span>
		</a>
	</li>
<?php endif; ?>
<?php if(in_array('claim', $links) && empty($hide_claim) && !empty($record->show_claim)): ?>
	<li class="<?php echo $child_class; ?>">
		<a href="#claimListingModal" role="button" data-toggle="modal" class="<?php echo $link_class . $btn_claim; ?>" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('label_claim');?>">
			<i class="fas fa-exchange-alt fa-fw mr-1"></i><span class="<?php echo $text_class; ?>"><?php echo lang('label_claim');?></span>
		</a>
	</li>
<?php endif; ?>
<?php if(in_array('report', $links)): ?>
	<li class="<?php echo $child_class; ?>">
		<a href="#reportIncorrectModal" role="button" data-toggle="modal" class="<?php echo $link_class . $btn_report; ?>" data-tooltip="theme-tooltip" data-original-title="<?php echo lang('label_report');?>">
			<i class="fas fa-flag fa-fw mr-1"></i><span class="<?php echo $text_class; ?>"><?php echo lang('label_report');?></span>
		</a>
	</li>
<?php endif; ?>
<?php if(!empty($parent_class)):?>
</ul>
<?php endif; ?>