<?php 
/**
 * Common function to display breadcrumb
 * Usage: <?php echo view('widgets/details/_breadcrumb', array('type' => 'locations', 'parent_class' => '', 'child_class' => '', 'item_scope' => '')); ?> 
 */
$parent_class = empty($parent_class) ? 'list-inline footer-top-menu d-none d-sm-inline-block float-right' : $parent_class;
$li_class = empty($child_class) ? 'list-inline-item' : $child_class;
$item_scope = empty($item_scope) ? 'https://schema.org/ListItem' : $item_scope;
$item_scope = 'https://schema.org/ListItem';
$type = !empty($type) ? $type : 'categories';
switch($type):
    case 'modules':
?>
<ol class="breadcrumb <?php echo $parent_class; ?>">
	<li class="list-inline-item">
		<?php if(!empty($record->listing_slug)):?>
		<a href="<?php echo gc_url_format('listings', $record->listing_slug, $record->listing_id, $record->listing_city)?>"><?php echo $record->listing_title;?></a> <span class="fas fa-arrow-circle-right"></span>
		<?php elseif(!empty($record->author_slug)):?>
		<a href="<?php echo gc_url_format('users', $record->author_slug, $record->author_id, $record->author_city)?>"><?php echo $record->author_name;?></a> <span class="fas fa-arrow-circle-right"></span>
		<?php endif;?>
	</li>
	<li class="list-inline-item"><a href="<?php echo gc_url_format($module); ?>"><?php echo gc_module_translation($module);?></a> <span class="fas fa-arrow-circle-right"></span></li>
	<li class="list-inline-item"><a role="button"><?php echo $record->title;?></a></li>			
</ol>
<?php break; case 'locations':?>
<?php if($module != 'videos'):?>
<?php if(!empty($record->country)):?>
<ol class="breadcrumb <?php echo $parent_class; ?>">
	<li class="<?php echo $li_class; ?>"><?php echo ucwords(strtolower($record->country));?> <i class="fas fa-arrow-circle-right"></i></li>
	<li class="<?php echo $li_class; ?>"><?php echo $record->state;?> <i class="fas fa-arrow-circle-right"></i></li>
	<li class="<?php echo $li_class; ?>">
		<?php if(!empty($google_business)):?>
		<?php echo $record->city;?>
		<?php elseif(!empty($record->city_slug)): ?>
		<a href="<?php echo gc_url_format('cities', $record->city_slug, $record->city_id, $record->city);?>" title="<?php echo $record->city; ?>">
			<?php echo $record->city;?>
		</a>
		<?php endif; ?>
	</li>
</ol>
<?php endif; ?>
<?php endif;?>
<?php break; case 'categories':?>
<?php if(empty($params['tpl'])):?>
<ol itemscope itemtype="https://schema.org/BreadcrumbList" class="breadcrumb <?php echo $parent_class; ?>">
	<li itemprop="itemListElement" itemscope itemtype="<?php echo $item_scope; ?>" class="<?php echo $li_class; ?>"><a itemprop="item" href="<?php echo site_url(); ?>"><span itemprop="title"><?php echo lang('detail_home');?></span></a> <i class="fas fa-arrow-circle-right"></i><meta itemprop="position" content="1" /></li>
	<?php if(!empty($breadcrumb)): $breadcrumb_array = (array) $breadcrumb; $last_item = end($breadcrumb_array);?>
	<?php $i = 2; foreach($breadcrumb as $row):?>
	<li itemprop="itemListElement" itemscope itemtype="<?php echo $item_scope; ?>" class="<?php echo $li_class; ?>"><?php echo '<a itemprop="item" href="' . gc_category_url('listings', $row->slug, $row->id) . '"><span itemprop="title">' . $row->name .'</span></a>' . ($last_item->id != $row->id ? '<i class="fas fa-arrow-circle-right ml-1"></i>' : ''); ?><meta itemprop="position" content="<?php echo $i; ?>" /></li>
	<?php $i++; endforeach;?>
	<?php endif; ?>				
</ol>
<?php elseif($params['tpl'] == 'list'): ?>
	<?php if(!empty($breadcrumb)): $breadcrumb_array = (array) $breadcrumb; $last_item = end($breadcrumb_array);?>
<?php foreach($breadcrumb as $row):?>
<li itemscope itemtype="https://data-vocabulary.org/Breadcrumb">
	<a href="<?php echo !empty($row->redirect_url) ? $row->redirect_url : gc_category_url($module, $row->slug, $row->id); ?>" itemprop="url" class="text-white" title="<?php echo $row->name; ?>">
		<i class="fas fa-user-tie mr-2"></i><?php echo $row->name; ?>											
	</a>
</li>
<?php endforeach;?>
<?php endif; ?>
<?php endif; ?>
<?php endswitch;?>