<?php
/**
 * Business Hours
 * @param string $tpl
 * e.g. usage <?php echo view('widgets/details/_business_hours'); ?>
 */
?>
<?php 
if(!empty($business_hours)): $weekdays = array();
$weekday = date("N", strtotime(date('D')));
$days = array('monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'sunday');
$days_small = array('mon', 'tue', 'wed', 'thu', 'fri', 'sat', 'sun');
if (!property_exists($record, 'open_status') && !empty($_GET['g'])):
  $record->open_status = 1;
endif;
foreach($days as $day_key => $day):
    $day_week = $day_key + 1;
    $day_exists = false;
    foreach($business_hours as $business_hour):
        if($business_hour->day_of_week == $day_week):
            $day_exists = true;
            $weekdays[$day_week] = array(
                'label' => lang('label_' . $days[$day_key]),
                'label_small' => lang('label_' . $days_small[$day_key]),
                'value' => $business_hour->open_time . ' - ' . $business_hour->close_time,
                'closed' => 0
            );
            if($business_hour->day_of_week == $weekday):
                $weekdays[$day_week]['is_open'] = 1;
            endif;
        endif;
    endforeach; 
    if(!$day_exists):
        $weekdays[$day_week] = array(
            'label' => lang('label_' . $days[$day_key]),
            'label_small' => lang('label_' . $days_small[$day_key]),
            'value' => lang('label_closed'),
            'closed' => 1
        );
    endif;   
endforeach;
$with_heading = empty($heading) || $heading == 1 ? true : false; // pass 1 or 2
$with_icon = empty($icon) || $icon == 1 ? true : false; // pass 1 or 2
$tpl = !empty($tpl) ? $tpl : '';
switch($tpl) {
    case 'oceanus':
?>
<div class="content-layout">
	<?php if($with_heading): ?>
    <h2 class="heading-theme-tertiary justify-content-between">
        <span><i class="far fa-check-square mr-2"></i><?php echo lang('label_today'); ?></span>
        <span class="d-flex">
            <!--<div class="oceanus-sidebar-opening mr-1"><?php echo $record->open_status == 1 ? lang('label_open') : lang('label_closed'); ?></div>-->
            <div class="heading-tertiary__sidebar">                                
                <?php echo $weekdays[$weekday]['value']; ?>
            </div>
        </span>
    </h2>
    <?php endif; ?>
    <div class="content-block">                            
        <?php foreach($weekdays as $day_week => $day): ?>
        <div class="row mb-1">
            <span class="col-4<?php echo !empty($day['is_open']) && $record->open_status == 1 ? ' current' : ''; ?>">
            <?php echo $day['label']; ?>
            </span>
            <div class="col-8 text-right small">
                <?php echo $day['value']; ?>
            </div>
        </div>
        <?php endforeach; ?>
    </div>
</div>
<?php break; case 'default': ?>
<i class="fas fa-calendar float-left mr-2 d-none d-sm-inline-block"></i>
<div class="btn-toolbar">
	<div class="btn-group">
		<?php foreach($weekdays as $day_week => $day): ?>
		<a id="business_hours_<?php echo $day_week; ?>" class="text-white btn btn-xs btn-<?php echo $day_week == $weekday ? 'theme-primary' : ($day['closed'] == 1 ? 'danger' : 'info'); ?>" data-toggle="tooltip" data-placement="top" data-original-title="<?php echo $day['value']; ?>"><?php echo $day['label_small']; ?></a>
		<?php endforeach; ?>
	</div>
	<?php if(!empty($record->open_status)):?>
	<?php if($record->open_status == 1):?>
	<span class="btn btn-success btn-xs ml-2"><?php echo lang('label_open'); ?></span>
	<?php elseif($record->open_status == 2):?>
	<span class="btn btn-danger btn-xs ml-2"><?php echo lang('label_closed'); ?></span>
	<?php endif; ?>  
	<?php endif; ?>                   				
</div>	
<?php break; case 'modero': ?>
<h4><i class="fas fa-calendar btn-lg"></i><?php echo lang('business_hours');?></h4>
<div class="card card-default padding-ten">
	<?php foreach($weekdays as $day_week => $day): ?>
	<dl class="row mb-0">
		<dt class="col-sm-3 <?php echo $day_week == $weekday ? 'dt-info' : ($day['closed'] == 1 ? 'dt-danger' : 'dt-default'); ?>"><?php echo $day['label'];?></dt>
		<dd class="col-sm-9"><?php echo $day['value'];?></dd>
	</dl>
	<?php endforeach; ?>
</div>
<?php break; case 'accordion': ?>
<div class="accordion-group">
    <div class="accordion-heading">               
       <div class="d-flex justify-content-between">
        <div class="">
          <i class="far fa-clock"></i> <span><strong><?php echo lang('label_today'); ?></strong></span>          
          <?php if(!empty($record->open_status)):?>
          <small class="text-danger">
          <?php if($record->open_status == 1):?>
          <span class="success"><?php echo lang('label_open'); ?></span>
          <?php elseif($record->open_status == 2):?>
          <span class="danger"><?php echo lang('label_closed'); ?></span>
          <?php endif; ?>  
          </small>
          <?php endif; ?>
        </div>
        <div>
          <span><?php echo $weekdays[$weekday]['value']; ?></span>
        </div>
        <a class="accordion-toggle" data-toggle="collapse" href="#businessHoursAccordion" aria-expanded="false" aria-controls="businessHoursAccordion">
            <i class="fas fa-minus"></i><span> <?php echo lang('more'); ?> </span>
        </a>
       </div>                  
    </div>                
    <div id="businessHoursAccordion" class="collapse">
      <div class="accordion-inner">
        <ul class="list-group list-group-flush">
          <?php foreach($weekdays as $day_week => $day): ?>
          <li class="list-group-item social-icon">
            <div class="d-flex  justify-content-between">
              <div class="">
                <span><?php echo $day['label']; ?></span>
              </div>
              <div>
                <span><?php echo $day['value']; ?></span>
              </div>
            </div>  
          </li>
          <?php endforeach; ?>
         </ul>                              
      </div>
    </div>                 
  </div>
<?php break; default:?>
<div class="dropdown show">
  <a class="btn btn-warning btn-theme-primary btn-block dropdown-toggle" href="#" role="button" id="dropdownBusinessHours" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    <?php echo $weekdays[$weekday]['label']; ?> <?php echo $weekdays[$weekday]['value']; ?>
  </a>
  <div class="dropdown-menu w-100" aria-labelledby="dropdownBusinessHours">
  	<?php foreach($weekdays as $day_week => $day): ?>
    <div class="dropdown-item<?php echo $weekday == $day_week ? ' font-weight-bold' : ''; ?>">
    	<dl class="d-flex justify-content-between small m-0">
    		<div><?php echo $day['label']; ?></div> 
    		<div><?php echo $day['value']; ?></div>
    	</dl>
    </div>
   <?php endforeach;?>
  </div>
</div>
<?php }?>
<?php endif; ?>