<?php 
/**
 * Claim Form
 * e.g. usage <?php echo view('widgets/details/_claim', array('params' => array('row_id' => 1, 'module' => 'listings'))); ?>
 */
$form_class = !empty($params['form_class']) ? ' ' . $params['form_class'] : '';
$module = !empty($params['module']) ? $params['module'] : 'listings';
$row_id = !empty($params['row_id']) ? $params['row_id'] : 0;
echo form_open($this->uri->uri_string(), 'id="claimListing" class="gc-form-layout' . $form_class . '" data-id="' . $row_id . '" data-module="' . $module . '"');
?>
<div class="modal fade" id="claimListingModal" tabindex="-1" role="dialog">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header bg-theme-primary">
				<h4 class="modal-title h5 m-0"><?php echo lang('claim_help');?></h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div class="claim_error"></div>				
				<div class="row">
					<div class="col-12 col-sm-12 col-lg-12">
						<p class="lead text-danger" style="font-size: 30px; color: #ff0000; font-weight: bold;">
							<small class="text-muted"><?php echo lang('label_claim_price');?></small> <?php echo ($price != 0) ? currency_format($price) : lang('label_free');?>
						</p>
						<?php if ($this->auth->is_logged_in()):?>
						<p><small class="text-muted"><?php echo lang('help_claim_process');?></small></p>
						<?php else:?>
						<p><small class="text-muted"><?php echo lang('label_claim_login');?></small></p>
						<?php endif;?>								
					</div>
				</div>
			</div>
			<?php if ($this->auth->is_logged_in()):?>
			<div class="modal-footer">
				<?php echo form_hidden ( 'price', $price );?>
				<input class="btn btn-theme btn-theme-primary" type="submit" value="<?php echo lang('btn_proceed_to_checkout');?>" name="submit">
				<button type="button" class="btn btn-secondary btn-theme-quinary" data-dismiss="modal"><?php echo lang('form_close');?></button>
			</div>
			<?php endif;?>
		</div>
	</div>
</div>
<?php echo form_close(); ?>