<?php 
/**
 * Contact Info List
 * e.g. usage <?php echo view('widgets/details/_contact_info', array('params' => array('tpl' => 'list', 'includes' => array('contact_person', 'address', 'email', 'tollfree', 'fax', 'website'), 'parent_class' => '', 'child_class' => '', 'icon_class' => ''))); ?>
 */
?>
<?php 
$parent_class = !empty($params['parent_class']) ? $params['parent_class'] : 'list-unstyled';
$child_class = !empty($params['child_class']) ? $params['child_class'] : 'mb-1';
$icon_class = !empty($params['icon_class']) ? ' class="circle-icon bg-theme-primary mr-1"' : '';
$address_separator = empty($params['address_separator']) ? ', ' : '<br />';
$includes = !empty($params['includes']) ? $params['includes'] : array('contact_person', 'address', 'email', 'tollfree', 'fax', 'website', 'phone_number', 'files', 'business_hours', 'bookings', 'metas', 'social');
$tpl = !empty($params['tpl']) ? $params['tpl'] : 'list';
$record = !empty($params['record']) ? $params['record'] : $record;
if(empty($package_display_fields)):
    $package_display_fields = !empty($package->display_fields) ? json_decode($package->display_fields) : array();
    $package_display_fields = $package_display_fields->listings;
endif;
switch($tpl):
    case 'list':
    $label_tpl = !empty($params['label_tpl']) ? $params['label_tpl'] : '';
?>
    <ul class="gc-detail-contact <?php echo $parent_class; ?>">
    	<?php 
    	$social_displayed = false;
    	$phone_displayed = false;
    	$field_extra = !empty($field_extra) ? $field_extra : '';
    	$span_extra = !empty($span_extra) ? $span_extra : '';
    	foreach($module_display_fields as $module_display_field):
    	if((in_array($module_display_field['name'], $includes) || in_array('all', $includes)) && !empty($record->{$module_display_field['name']})):
    	$field_value = $record->{$module_display_field['name']};
    	switch($module_display_field['name']) {
    	    case 'qrfile':
    	    case 'logo':
    	    case 'cover':
    	    case 'logo_url':
    	    case 'do_follow_links':
    	        break;
    	    case 'phone_number':
    	    case 'mobile_number':
    	        if(!$phone_displayed):
    	        if(is_array($field_value)):
    	        if(!empty($field_value['value'])): ?>
    	        <li class="<?php echo $child_class; ?>"<?php echo $field_extra; ?>>
    			<span class="text-label"<?php echo $span_extra; ?>>
    			<span<?php echo $icon_class; ?>>
    				<?php switch($label_tpl): case 'text_only': ?>
    			    <span class="font-weight-bold"><?php echo $module_display_field['label'];?>: </span>
    			    <?php break; case 'icon_text': ?>
    			    <span class="font-weight-bold"><i class="<?php echo $module_display_field['icon']; ?> fa-fw"></i><?php echo $module_display_field['label'];?>: </span>
    			    <?php break; default: ?>
    				<i class="<?php echo $module_display_field['icon']; ?> fa-fw" data-toggle="tooltip" title="<?php echo $module_display_field['label'];?>"></i>
    			    <?php endswitch; ?>
    			</span>
    			<span>
    	        <?php
    	        echo theme_view('widgets/modules/tpl/_display_field', array('field' => $module_display_field['name'], 'label' => $module_display_field['label']));
       			endif;
        		?>
        		</span>
        		</span>
        		</li>
        		<?php
    			else:
    	        $phone_displayed = true;
    	        echo theme_view('widgets/details/_phone', array('package_display_fields' => $package_display_fields, 'record' => $record, 'is_dropdown' => false));
    	        endif;
    	        endif;
    	        break;
    	    case 'linkedin_url':
    	    case 'facebook_url':
    	    case 'twitter_url':
    	    case 'googleplus_url':
    	    case 'youtube_url':
    	    case 'pinterest_url':
    	    case 'instagram_url':
    	        if(!$social_displayed):
    	        $social_displayed = true;
    	        ?>
    	        <li class="<?php echo $child_class; ?>"<?php echo $field_extra; ?>>
    	        	<?php echo theme_view('widgets/details/_social_links', array('params' => array('record' => $record, 'heading' => 2, 'parent_class' => 'social list-unstyled list-inline', 'child_class' => 'mt-2 list-inline-item', 'has_tooltip' => true))); ?>
    	        </li>
    	        <?php
    	        endif;
    	        break;
    	    default:
        	   $field_extra = '';
        	   $span_extra = '';
        	   if($module_display_field['name'] == 'address'):
        	       $field_extra = ' itemprop="address" itemscope itemtype="https://schema.org/PostalAddress"';
        	       $span_extra = ' itemprop="streetAddress"';
        	   endif;    	   
    	   ?>
    		<li class="<?php echo $child_class; ?>"<?php echo $field_extra; ?>>
    			<span class="text-label"<?php echo $span_extra; ?>>
    			<span<?php echo $icon_class; ?>>
    				<?php switch($label_tpl): case 'text_only': ?>
    			    <span class="font-weight-bold"><?php echo $module_display_field['label'];?>: </span>
    			    <?php break; case 'icon_text': ?>
    			    <span class="font-weight-bold"><i class="<?php echo $module_display_field['icon']; ?> fa-fw"></i><?php echo $module_display_field['label'];?>: </span>
    			    <?php break; default: ?>
    				<i class="<?php echo $module_display_field['icon']; ?> fa-fw" data-toggle="tooltip" title="<?php echo $module_display_field['label'];?>"></i>
    			    <?php endswitch; ?>
    			</span>
    			<span><?php     			
    			if(is_array($field_value)):
        			if(!empty($field_value['value'])):
        			echo theme_view('widgets/modules/tpl/_display_field', array('field' => $module_display_field['name'], 'label' => $module_display_field['label']));
        			endif;
    			else:
    			switch($module_display_field['name']) {
    			    case 'address':
    			        echo $record->address . ', ' . (!empty($record->locality) ? $address_separator . $record->locality : '') . '</span><span itemprop="addressLocality">' . $record->city . '</span>' . '<span itemprop="addressRegion">' . $address_separator . $record->state . '</span> ' . $record->postcode . $address_separator . ucwords(strtolower($record->country));
    			        break;
    			    case 'website':
    			        $regexp =  "/((?:https?\:\/\/|www\.)(?:[-a-z0-9]+\.)*[-a-z0-9]+.*)/i";
    			        // bulk import issue fix
    			        if(preg_match($regexp, $record->website) == 0):
    			        // url does not start with http or https protocol
    			        $record->website = 'https://'. $record->website;
    			        endif;
						$package_display_fields_array = (array) $package_display_fields;
    			        ?>
    			        <a href="<?php echo valid_link($record->website);?>" itemprop="url"<?php echo empty($package_display_fields_array['do_follow_links']) ? ' rel="noopener noreferrer nofollow" ' : ''; ?>target="_blank"><?php echo $record->website;?></a>
    			        <?php
    			        break;
    			    default:
    			        echo $field_value;
    			}    			
    			endif;
    			?></span>
    		</li>
    	<?php } ?>
    	<?php endif;?>
    	<?php endforeach;?>
    	<?php if(in_array('files', $includes) && !empty($record->files['html'])):?>
    	<li class="<?php echo $child_class; ?>">	
    	<?php echo $record->files['html']; // display documents ?>
    	</li>
    	<?php endif;?>		
    	<?php if(in_array('business_hours', $includes) && !empty($business_hours)):?>
    	<li class="<?php echo $child_class; ?>">		
            <?php echo theme_view('widgets/details/_business_hours', array('tpl' => 'default')); ?>		
    	</li>
    	<?php endif;?>
    	<?php if(in_array('bookings', $includes) && isset($booking_allotments[0])):?>
    	<li class="<?php echo $child_class; ?>">
    	<?php foreach($booking_allotments as $allotment_id => $form_title):?>
    		<a href="<?php echo gc_url_format('booking_form') . '/' . $allotment_id; ?>" data-toggle="tooltip" title="<?php echo $form_title;?>" class="btn btn-info btn-theme-primary btn-sm display-block mb-2"><?php echo lang('book_now') . ' - ' . $form_title; ?></a>
    	<?php endforeach;?>
    	</li>
    	<?php endif;?>
    	<?php if(in_array('metas', $includes) && !empty($meta_fields)):?>
    		<?php foreach($meta_fields as $meta_key => $meta_value):
    		$meta_value = process_value($meta_value);
    		?>
    		<li class="<?php echo $child_class; ?>"><strong><?php echo $meta_key;?>: </strong><span><?php echo $meta_value;?></span></li>
    		<?php endforeach;?>
    	<?php endif;?>
    </ul>
<?php break; case 'header':?>
<?php
if(!empty($record->address) || !empty($record->phone_number) || !empty($record->email)):
$child_class = !empty($params['child_class']) ? $params['child_class'] : '';
?>
<div class="<?php echo !empty($params['parent_class']) ? $params['parent_class'] : ''; ?>">
    <ul class="<?php echo !empty($params['list_class']) ? $params['list_class'] : 'list-unstyled d-inline float-lg-right'; ?>">
    	<?php if(!empty($record->address)): ?>
        <li class="<?php echo $child_class; ?>"><?php echo theme_view('widgets/details/_address', array('class' => 'headdtl03__address')); ?></li>
        <?php endif; ?>
        <?php if(!empty($record->phone_number)):?>
        <li class="<?php echo $child_class; ?>"><i class="fas fa-mobile mr-2"></i><?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'phone_number'));?></li>
        <?php endif; ?>
        <?php if(!empty($record->email)):?>
        <li class="<?php echo $child_class; ?>"><i class="far fa-envelope mr-2"></i><?php echo theme_view('widgets/modules/tpl/_display_field', array('field' => 'email')); ?></li>
        <?php endif; ?>
    </ul>
</div>
<?php endif; ?>
<?php break; case 'toolbar':?>
    <div class="btn-toolbar">
    	<div class="btn-group" role="group">
    	<?php if(!empty($package_display_fields->contact_person) && $record->contact_person):?>
    		<button type="button" class="btn btn-secondary"><i class="fas fa-user"></i> <?php echo $record->contact_person;?></button>
    	<?php endif;?>
    	</div>
    	<div class="btn-group" role="group">
    		<?php echo theme_view('widgets/details/_phone', array('package_display_fields' => $package_display_fields, 'record' => $record, 'is_dropdown' => true));?>
    	</div>
        <?php if(!empty($package_display_fields->email) && (!empty($record->email)) && $record->show_email == 1):?>
        <div class="btn-group" role="group">
            <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-envelope"></i> <?php echo lang('label_email');?>
              <span class="caret"></span>
            </button>
            <div class="dropdown-menu">	
        		<a role="button" class="dropdown-item"><?php echo $record->email;?></a>
        	</div>
        </div>
        <?php endif; ?>
        <?php if(!empty($package_display_fields->website) && $record->website):?>
        <div class="btn-group" role="group">
            <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-globe"></i> <?php echo lang('label_website');?>
              <span class="caret"></span>
            </button>
            <div class="dropdown-menu">					
        		<a href="<?php echo valid_link($record->website);?>" itemprop="url"<?php echo empty($package_display_fields->do_follow_links) ? ' rel="noopener noreferrer nofollow" ' : ''; ?>target="_blank" class="dropdown-item"><?php echo $record->website;?></a>	
        	</div>
        </div>					
        <?php endif;?>
        <?php if(empty($google_business)):?>
        <div class="btn-group d-block d-sm-none" role="group">
        	<?php if(settings_item('lst.business_query') == 1): ?>
        	<a data-toggle="modal" href="#queryModal" class="btn btn-secondary"><i class="fas fa-envelope"></i> <?php echo lang('business_query');?></a>
        	<?php endif; ?>
        	<?php if(!$hide_claim && $record->show_claim == 1): ?>
        	<a data-toggle="modal" href="#claimListingModal" class="btn btn-secondary"><i class="fas fa-pencil-alt"></i> <?php echo lang('label_claim');?></a>
          	<?php endif; ?>
          	<a data-toggle="modal" href="#reportIncorrectModal" class="btn btn-secondary"><i class="fas fa-exclamation-triangle"></i> <?php echo lang('label_report');?></a>
        </div>
        <?php endif;?>
        <?php if(!empty($package->trusted_seal)):?>
        <div class="btn-group" role="group">
        	<a class="btn btn-seal"><img class="img-fluid d-block mx-auto" style="max-height: 45px;" src="<?php echo base_url("assets/images/" .$package->trusted_seal);?>" /></a>					
        </div>
        <?php endif;?>
    </div>
<?php endswitch; ?>