<?php
/**
 * Gallery
 * e.g. usage <?php echo view('widgets/details/_gallery', array('tpl' => '')); ?>
 */
$tpl = !empty($tpl) ? $tpl : '';
$parent_class = !empty($parent_class) ? ' '. $parent_class : '';
?>
<?php
switch($tpl):
    case 'default': ?>
        <div class="gallery">
        	<?php if(!empty($images)): ?>
        		<div class="row mb-2">					
        		<?php foreach($images as $image): ?>
        			<div class="col-sm-3">
        				<a class="gc-fancybox img-fluid img-crop-center" title="<?php echo !empty($image->title) ? $image->title : $record->title; ?>" href="<?php echo gc_image_url($image->url, false); ?>">
        					<img src="<?php echo gc_image_url($image->url, false); ?>" class="img-fluid img-thumbnail" alt="<?php echo !empty($image->title) ? $image->title : $record->title; ?>" />
        				</a>		
        			</div>							
        		<?php endforeach; //end thumbnails?>
        		</div>	
        	<?php endif;?>
        	<?php if(gc_module_settings('videos') == 1 && !empty($videos)):?>
        	<h2><?php echo lang('label_video_gallery');?></h2>
        	<div class="row">						
        		<?php foreach($videos as $video): ?>
        		<div class="col-sm-3">
        			<a class="gc-fancybox thumbnail" href="https://www.youtube.com/watch?v=<?php echo $video->youtube_id;?>" title="<?php echo $video->title;?>">
        				<img src="https://img.youtube.com/vi/<?php echo $video->youtube_id; ?>/0.jpg" alt="<?php echo $video->title;?>" class="img-fluid img-thumbnail"/>
        			</a>
        		</div><!--end thumb -->							
        		<?php endforeach; //end thumbnails?>
        		<!--end thumb -->
        	</div>
        	<!--end thumbnails -->
        <?php endif; //end video gallery?>
        </div>
	<?php break; case 'simplicity': ?>
        <?php
        $all_images = array();
        if(!empty($record->cover)):
            $all_images[] = array(
                'original' => gc_image_url($record->cover, false),
                'thumb' => gc_image_url($record->cover),
                'title' => $record->title . ' ' . lang('label_cover')
            );
        endif;
        if(!empty($images)):
            foreach($images as $image):
                $all_images[] = array(
                    'original' => gc_image_url($image->url, false),
                    'thumb' => gc_image_url($image->url),
                    'title' => !empty($image->title) ? $image->title : $record->title . ' ' . lang('label_image')
                );
            endforeach;
        endif;
        $images_count = !empty($all_images) ? count($all_images) : 0;
        $blank_images_count = $images_count >= 6 ? 0 : 6 - $images_count;
        if(!empty($blank_images_count)):
            for($i = 1; $i <= $blank_images_count; $i++) {
                $all_images[] = array(
                    'title' => $record->title,
                    'original' => '<div class="files d-none d-sm-block"></div>',
                    'blank' => 1
                );
            }
        endif;
        ?>
        <div class="container-fluid">
            <div class="row py-3<?php echo empty($blank_images_count) ? ' slider-slick gc-slick-arrows' : ''; ?>"<?php echo empty($blank_images_count) ? ' id="slick-6" data-arrows="1"' : ''; ?>>
                <?php foreach($all_images as $image_info): ?>
                <div class="col-lg-2 col-md-4 col-sm-6">
                    <?php if(!empty($image_info['blank'])):?>
                    <?php echo $image_info['original']; ?>
                    <?php else: ?>
                        <a href="<?php echo $image_info['original']; ?>" class="gc-fancybox img-crop-center">
                            <img src="<?php echo $image_info['thumb']; ?>" alt="<?php echo $image_info['title']; ?>" class="img-fluid img-gallery h-250" />
                        </a>
                    <?php endif; ?>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
	<?php break; case 'modero': ?>
        <div class="row slider-slick" id="slick-4">
        <?php $i = 1;?>							
        <?php foreach($gallery as $item): $item = (array) $item;?>							
        <div class="col-md-3">
        <?php if($item['type'] == 'image'):?>
        <a class="gc-fancybox img-crop-center" title="<?php echo !empty($item['title']) ? $item['title'] : $record->title; ?>"
        	href="<?php echo gc_image_url($item['url'], false); ?>">
        	<img class="img-fluid" src="<?php echo gc_image_url($item['url']); ?>" alt="<?php echo !empty($item['title']) ? $item['title'] : $record->title; ?>" />
        </a>
        <?php endif;?>
        <?php if($item['type'] == 'video'):?>
        <a class="gc-fancybox thumbnail" href="https://www.youtube.com/watch?v=<?php echo $item['url'];?>" title="<?php echo $item['title'];?>">
        	<img src="https://img.youtube.com/vi/<?php echo $item['url'];?>/0.jpg" alt="<?php echo $item['title'];?>" class="img-thumbnail" />
        </a>			
        <?php endif;?>
        </div>
        <?php endforeach;?>
        </div>
	<?php break; case 'slick': ?>
        <?php if(!empty($gallery)):?>
        <section class="gal01">
          <div class="row slider-slick" id="galleryslick-3" data-arrows="1">
            	<?php $i = 1;?>							
        		<?php foreach($gallery as $item): $item = (array) $item;?>
        		<?php if($item['type'] == 'image'):?>	
                <div class="col-sm-4 p-1">
                	<a class="gc-fancybox img-crop-center" title="<?php echo !empty($item['title']) ? $item['title'] : $record->title; ?>" href="<?php echo gc_image_url($item['url'], false); ?>">
                    	<img class="img-fluid" src="<?php echo gc_image_url($item['url']); ?>" alt="<?php echo !empty($item['title']) ? $item['title'] : $record->title; ?>" />
                    </a>
                </div>
                <?php endif;?>
                <?php endforeach;?>
            </div>           
        </section>
        <?php endif; ?>
    <?php break; case 'oceanus':
        $with_heading = empty($heading) || $heading == 1 ? true : false; // pass 1 or 2
        $with_icon = empty($icon) || $icon == 1 ? true : false; // pass 1 or 2
        $container_class = empty($container_class) ? 'oceanus-content-description' : $container_class; 
        $parent_class = empty($parent_class) ? 'oceanus-content-description-inner' : $parent_class;
        if ((!empty($images) && empty($videos_only)) || !empty($videos)):?>
        <div class="<?php echo $container_class; ?>">
        	<?php if($with_heading):?>
            <h4 class="heading-theme-quinary">
                <span><?php echo lang(!empty($videos_only) ? 'singular_videos' : 'photos'); ?></span>
            </h4>
            <?php endif; ?>
            <div class="gc-detail-gallery oceandtgallery <?php echo $parent_class; ?>">
            	<?php if(!empty($videos_only)): // display videos only?>
            		<?php if(!is_bool($videos)):?>
                	<div class="oceandtgallery__full slick-full-videos">
                        <?php foreach($videos as $video): ?>
                        <a class="gc-fancybox thumbnail" href="https://www.youtube.com/watch?v=<?php echo $video->youtube_id;?>" title="<?php echo $video->title;?>">
                            <img src="https://img.youtube.com/vi/<?php echo $video->youtube_id;?>/0.jpg" alt="<?php echo $video->title;?>" class="img-fluid img-thumbnail"/>
                        </a>			
                        <?php endforeach; //end thumbnails?>
                    </div>
                    <div class="oceandtgallery__thumb slick-thumb-videos">
                        <?php foreach($videos as $video): ?>
                        <img src="https://img.youtube.com/vi/<?php echo $video->youtube_id;?>/0.jpg" alt="<?php echo $video->title;?>" class="img-fluid img-thumbnail"/>
                        <?php endforeach; //end thumbnails?>
                    </div>
                    <?php endif; ?>
                <?php elseif(empty($videos_only)): ?>
                    <div class="oceandtgallery__full slick-full-images">
                        <?php foreach($images as $image): ?>
                            <a class="gc-fancybox img-crop-center item" title="<?php echo !empty($image->title) ? $image->title : $record->title; ?>" href="<?php echo gc_image_url($image->url, false); ?>">
                                <img src="<?php echo gc_image_url($image->url, false); ?>" alt="<?php echo !empty($image->title) ? $image->title : $record->title; ?>" draggable="false" class="img-fluid" style="max-height: 450px;"/>
                            </a>
                        <?php endforeach; ?>
                    </div>
                    <div class="oceandtgallery__thumb slick-thumb-images">
                        <?php foreach($images as $image): ?>
                        <div class="item img-crop-center">
                            <img src="<?php echo gc_image_url($image->url); ?>" alt="<?php echo !empty($image->title) ? $image->title : $record->title; ?>" class="img-fluid" draggable="false"/>
                        </div>
                        <?php endforeach; ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <?php endif; ?>
<?php break; default:?>
<?php endswitch; ?>