<?php
if($module == 'listings') {
	$redirect_url = gc_url_format('listings', $record->slug, $record->id, $record->city);
	$title = $record->title;
} else if(!empty($record->listing_slug)) {
	$redirect_url = gc_url_format('listings', $record->listing_slug, $record->listing_id, $record->listing_city);
	$title = $record->listing_title;
} else if(!empty($record->author_slug)) {
	$redirect_url = gc_url_format('users', $record->author_slug, $record->author_id, $record->author_city);
	$title = $record->author_name;
} else {
	$redirect_url = current_url();
	$title = $record->title;
}
?>
<nav class="navdtl01 navbar navbar-expand-md navbar-light fixed-top p-0" role="navigation" style="display: none;">
	<div class="container container-theme">
	<!-- Brand and toggle get grouped for better mobile display -->
	<a class="navbar-brand heading-theme-tertiary text-truncate w-50" href="<?php echo $redirect_url;?>" title="<?php echo $title;?>"><i class="fas fa-angle-double-right fa-fw mr-1"></i> <?php echo $title;?></a>
	<?php if($module != 'listings' || (isset($google_business) && !$google_business)):?>
	<!-- Collect the nav links, forms, and other content for toggling -->
	<div class="collapse navbar-collapse" id="navbar-collapse-1">
		<ul class="nav navbar-nav ml-auto">			
			<?php if(!empty($record->listing_email)):?>		
				<li class="nav-item"><a href="#" class="nav-link"><i class="fas fa-envelope fa-fw mr-1"></i> <?php echo $record->listing_email;?></a></li>
			<?php endif;?>
			<?php if(!empty($record->external_url)):?>
				<li class="nav-item"><a href="<?php echo $record->external_url;?>" rel="nofollow" target="_blank" class="nav-link"><i class="fas fa-globe fa-fw mr-1"></i> <?php echo lang('label_website');?></a></li>
			<?php endif;?>
			<?php if(settings_item('lst.business_query') == 1): ?>			
			<li class="nav-item"><a data-toggle="modal" href="#queryModal" class="nav-link"><i class="fas fa-envelope fa-fw mr-1"></i> <?php echo lang('business_query');?></a></li>
			<?php endif;?>
			<?php if(!empty($hide_claim) && !empty($record->show_claim)): ?>
			<li class="nav-item"><a data-toggle="modal" href="#claimListingModal" class="nav-link"><i class="fas fa-pencil-alt fa-fw mr-1"></i> <?php echo lang('label_claim');?></a></li>
			<?php endif;?>
			<?php if($module == 'listings'):?>
			<li class="nav-item"><a data-toggle="modal" href="#reportIncorrectModal" class="nav-link"><i class="fas fa-exclamation-triangle fa-fw mr-1"></i> <?php echo lang('label_report');?></a>
			<?php endif;?>
		</ul>
	</div>
	<?php endif;?>
	</div>
</nav>