<?php
/**
 * Contact Query Form with Hardcoded Fields
 * e.g. usage <?php echo view('widgets/details/_query_form'); ?>
 * <?php echo view('widgets/details/_query_form', array('params' => array('tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true))); ?>
 * <?php echo view('widgets/details/_query_form', array('params' => array('tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true, 'row_id' => 1, 'module' => 'listings'))); ?>
 * 
 * $this->gc->load_query_fields('jobs'); // load business query fields
 */
$with_heading = empty($params['heading']) || $params['heading'] == 1 ? true : false; // pass 1 or 2
$with_icon = empty($params['icon']) || $params['icon'] == 1 ? true : false; // pass 1 or 2
$btn_class = (!empty($params['btn_class']) ? $params['btn_class'] : 'btn btn-primary btn-theme-primary') . ' gc-btn-ajax';
$field_only = !empty($params['field_only']) ? true : false;
$form_class = !empty($params['form_class']) ? ' ' . $params['form_class'] : '';
$form_class = $field_only ? $form_class . ' field-only-form' : '';
$module = !empty($params['module']) ? $params['module'] : 'listings';
if(!in_array($module, gc_modules())):
    $module = 'listings';
endif;
$row_id = !empty($params['row_id']) ? $params['row_id'] : 0;
$tpl = !empty($params['tpl']) ? $params['tpl'] : 'default';
echo form_open_multipart($this->uri->uri_string(), 'id="sendQueryForm" class="gc-form-layout' . $form_class . '" data-id="' . $row_id . '" data-module="' . $module . '"');
if(empty($form_fields)):
    $query_fields = $this->gc->load_query_fields($module, 'frontend', false, false, $this->session->userdata('user_info'), array('field_groups' => true));
    if(!empty($query_fields['form_fields'])):
        $form_fields = $query_fields['form_fields'];
        $field_groups = $query_fields['field_groups'];
    endif;
endif;
if(!empty($form_fields)):
    foreach($form_fields as $fkey => $fvalue):
        $form_fields[$fkey]['label_width'] = 'col-sm-4';
        $form_fields[$fkey]['class'] = 8;
        $form_fields[$fkey]['field_only'] = $field_only;
    endforeach;
endif;
?>
<?php if($tpl == 'modal'): ?>
<div class="modal fade" id="queryModal" tabindex="-1" role="dialog">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header bg-theme-primary">
				<h4 class="modal-title h5 m-0"><?php echo lang('send_business_query');?></h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="<?php echo lang('label_close'); ?>">
				  <span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
                <div class="row">
                	<div class="col-12 col-sm-12 col-lg-12">
                	<div id='ajax_loader' class="loader" style="display: none;">
                	    <img src="<?php echo gc_site_image('ajax-loader'); ?>" />
                	</div>
                	<div class="message-block"></div>
                	<div class="query_error"></div>
                	<?php echo $this->load->view('fields/layout', array('layout' => 'none', 'form_fields' => $form_fields, 'field_groups' => $field_groups, 'elements_container' => null, 'record' => $this->session->userdata('user_info'))); ?>
                	</div>
                </div>
			</div>
			<div class="modal-footer">
				<input class="btn btn-primary btn-theme-primary gc-btn-ajax" type="submit" value="<?php echo lang('form_submit');?>" name="submit">
				<button type="button" class="btn btn-secondary btn-customize btn-theme-quinary" data-dismiss="modal"><?php echo lang('form_close');?></button>
			</div>
		</div>
	</div>
</div>
<?php else: ?>
<?php if($with_heading): ?>
<h2 class="heading-theme-tertiary">
    <span>
    <?php if($with_icon):?>
    <i class="far fa-check-square mr-2"></i>
    <?php endif; ?>
    <?php echo lang('query_heading'); ?>
    </span>
</h2>
<p class="small alert alert-info"><?php echo lang('query_summary'); ?></p>
<?php endif; ?>
<div class="row">
	<div class="col-12 col-sm-12 col-lg-12">
    	<div id='ajax_loader' class="loader" style="display: none;">
    	    <img src="<?php echo gc_site_image('ajax-loader'); ?>" />
    	</div>
    	<div class="message-block"></div>
    	<div class="query_error"></div>
		<?php echo $this->load->view('fields/layout', array('layout' => 'none', 'form_fields' => $form_fields, 'field_groups' => $field_groups, 'elements_container' => null, 'record' => $this->session->userdata('user_info'))); ?>
    	<div class="text-right">
    		<input class="<?php echo $btn_class; ?>" type="submit" value="<?php echo lang('form_submit');?>" name="submit">
    	</div>
	</div>
</div>
<?php endif; ?>
<?php echo form_close(); ?>