<?php 
/**
 * Rating Stars
 * e.g. usage <?php echo view('widgets/details/_rating_stars', array('params' => array('tpl' => 'circle'))); ?>
 */
if(!property_exists($record, 'average_rating') && property_exists($record, 'ratings')):
    $ratings = new stdClass();
    $ratings->average_rating = $record->ratings;
    $ratings->total_users = $record->rating_users;
    $google_business = false;
endif;
?>
<?php if(!empty($params['tpl']) && $params['tpl'] == 'circle'): ?>
<div class="row <?php echo !empty($params['parent_class']) ? $params['parent_class'] : 'headdtl03__review'; ?>">
	<div class="col-12">		
        <div id="rating_feedback"></div>
	    <div class="float-left bg-warning text-secondary bg-theme-primary btn my-1 rounded-circle p-3">
           <?php echo decimal_convert($ratings->average_rating); ?>
        </div>
        <div class="float-right">
            <input id="input-ratings" type="number" value="<?php echo isset($ratings->average_rating) ? round($ratings->average_rating, 2) : ''; ?>"
                class="rating" min=0 max=5 step=0.5 data-show-clear="false"<?php echo $google_business ? ' disabled' : ''; ?> data-id="<?php echo $record->id; ?>" data-module="<?php echo $module; ?>"
                data-size="xs"<?php echo $this->session->userdata('is_rtl') ? ' data-rtl="true"': '';?>/>
                <small class="text-whitess"><span itemprop="rating" itemscope itemtype="https://data-vocabulary.org/Rating"><span itemprop="average"><?php echo round($ratings->average_rating, 2); ?></span>
                <?php echo lang('label_ratings');?> <span itemprop="best"><?php echo $ratings->total_users; ?></span></span>
                <?php echo lang('label_users_rated');?></small>
        </div>
	</div>                                
</div>
<?php else: ?>
<div class="gc-detail-ratings">
	<div class="star-ratings">
        <div id="listing_rating" class="stars">
        	<div class='controls'>
        		<input id="input-ratings" type="number" data-id="<?php echo $record->id; ?>" data-module="<?php echo $module; ?>"
        			value="<?php echo isset($ratings->average_rating) ? $ratings->average_rating : ''; ?>"
        			class="rating" min=0 max=5 step=0.5 data-show-clear="false"<?php echo !empty($google_business) ? ' disabled' : ''; ?>
        			data-size="xs"<?php echo $this->session->userdata('is_rtl') ? ' data-rtl="true"': '';?> />
        	</div>
        	<div id="rating_feedback"></div>
        </div>
        <?php if(!empty($ratings->total_users)):?>
        <small class="text-muted">
        	<span itemprop="rating" itemscope itemtype="https://data-vocabulary.org/Rating">
        		<span itemprop="average"><?php echo round($ratings->average_rating, 2); ?></span>
        		<?php echo lang('label_ratings');?> <span itemprop="best"><?php echo $ratings->total_users; ?></span>
        	</span>
        	<?php echo lang('label_users_rated');?>
        </small>
        <?php endif;?>
    </div>
</div>
<?php endif; ?>