<?php
/**
 * Review Form with Hardcoded Fields
 * e.g. usage <?php echo view('widgets/details/_report_form'); ?>
 * <?php echo view('widgets/details/_report_form', array('tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true)); ?>
 * <?php echo view('widgets/details/_report_form', array('tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true, 'row_id' => 1, 'module' => 'listings')); ?>
 * 
 */
$with_heading = empty($params['heading']) || $params['heading'] == 1 ? true : false; // pass 1 or 2
$with_icon = empty($params['icon']) || $params['icon'] == 1 ? true : false; // pass 1 or 2
$btn_class = (!empty($params['btn_class']) ? $params['btn_class'] : 'btn btn-primary btn-theme-primary') . ' gc-btn-ajax';
$field_only = !empty($params['field_only']) ? true : false;
$form_class = !empty($params['form_class']) ? ' ' . $params['form_class'] : '';
$form_class = $field_only ? $form_class . ' field-only-form' : '';
$module = !empty($params['module']) ? $params['module'] : 'listings';
$row_id = !empty($params['row_id']) ? $params['row_id'] : 0;
$tpl = !empty($params['tpl']) ? $params['tpl'] : 'default';
echo form_open($this->uri->uri_string(), 'id="erroneousReportForm" class="gc-form-layout' . $form_class . '" data-id="' . $row_id . '" data-module="' . $module . '"');
if($tpl == 'modal'): ?>
<?php if(!empty($params['with_btn'])): ?>
<button type="button" class="btn btn-primary btn-theme-primary" data-toggle="modal" data-target="#reportIncorrectModal">
  <?php echo lang('label_report'); ?>
</button>
<?php endif; ?>
<div class="modal fade" id="reportIncorrectModal" tabindex="-1" role="dialog" aria-labelledby="reportIncorrectlabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-theme-primary">
                <h5 class="modal-title" id="reportIncorrectLabel"><?php echo lang('erroneous_report');?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body bg-light small">
                <div class="row">
                    <div class="col-12 col-sm-12 col-lg-12">		
                        <div class="loader" style="display: none;">
                    	    <img src="<?php echo gc_site_image('ajax-loader'); ?>" />
                    	</div>
                    	<div class="message-block"></div>
                    	<div class="erroneous_error"></div>	
                        <?php Template::block('erroneous_fields', 'erroneous_fields'); ?>                        
                    </div>
                </div>
            </div>
            <div class="modal-footer">
				<input class="<?php echo $btn_class; ?>" type="submit" value="<?php echo lang('form_submit');?>" name="submit">
				<button class="btn btn-secondary btn-customize btn-theme-quinary" data-dismiss="modal" type="button"><?php echo lang('form_close');?></button>
			</div>
        </div>
    </div>
</div>
<?php else: ?>		
<div class="loader" style="display: none;">
    <img src="<?php echo gc_site_image('ajax-loader'); ?>" />
</div>
<div class="message-block"></div>
<div class="erroneous_error"></div>	
<?php Template::block('erroneous_fields', 'erroneous_fields'); ?>
<input class="<?php echo $btn_class; ?>" type="submit" value="<?php echo lang('form_submit');?>" name="submit">
<?php endif; ?>
<?php echo form_close(); ?>