<?php
/**
 * Review Form with Hardcoded Fields
 * e.g. usage <?php echo view('widgets/details/_review_form'); ?>
 * <?php echo view('widgets/details/_review_form', array('params' => array('tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true))); ?>
 * <?php echo view('widgets/details/_review_form', array('params' => array('tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true, 'row_id' => 1, 'module' => 'listings'))); ?>
 * 
 */
if(settings_item('lst.allow_review') == 1):
$with_heading = empty($params['heading']) || $params['heading'] == 1 ? true : false; // pass 1 or 2
$with_icon = empty($params['icon']) || $params['icon'] == 1 ? true : false; // pass 1 or 2
$btn_class = (!empty($params['btn_class']) ? $params['btn_class'] : 'btn btn-primary btn-theme-primary') . ' gc-btn-ajax';
$field_only = !empty($params['field_only']) ? true : false;
$form_class = !empty($params['form_class']) ? ' ' . $params['form_class'] : '';
$form_class = $field_only ? $form_class . ' field-only-form' : '';
$module = !empty($params['module']) ? $params['module'] : 'listings';
$row_id = !empty($params['row_id']) ? $params['row_id'] : 0;
$tpl = !empty($params['tpl']) ? $params['tpl'] : 'default';
echo form_open_multipart($this->uri->uri_string(), 'id="reviewForm" class="gc-form-layout' . $form_class . '" data-id="' . $row_id . '" data-module="' . $module . '"');
if($tpl == 'modal'): ?>
<?php if(!empty($params['with_btn'])): ?>
<button type="button" class="btn btn-primary btn-theme-primary" data-toggle="modal" data-target="#reviewModal">
  <?php echo lang('post_review'); ?>
</button>
<?php endif; ?>
<div class="modal modal-theme fade" id="reviewModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo lang('post_review');?></h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">		
				<div class="loader" style="display: none;">
            	    <img src="<?php echo gc_site_image('ajax-loader'); ?>" />
            	</div>
            	<div class="message-block"></div>
            	<div class="review_error"></div>
				<?php if(!$this->auth->is_logged_in() && settings_item('lst.loggedin_review_only') == 1):?>
				<div class="alert alert-info"><?php echo lang('error_loggedin_review_only') . ' <a href="' . gc_url_format('login') .'" title="' . lang('msg_click_here_login') . '">' . lang('msg_click_here_login') . '</a>';?></div>
				<?php else:?>
				<?php Template::block('review_fields', 'review_fields'); ?>
				<?php endif;?>
			</div>
			<div class="modal-footer">
				<input class="<?php echo $btn_class; ?>" type="submit" value="<?php echo lang('form_submit');?>" name="submit">
				<button class="btn btn-secondary btn-customize" data-dismiss="modal" type="button"><?php echo lang('form_close');?></button>			
			</div>
		</div>
	</div>
</div>
<?php else:?>
<div id="review" class="pb-4">
<div class="loader" style="display: none;">
    <img src="<?php echo gc_site_image('ajax-loader'); ?>" />
</div>
<div class="message-block"></div>
<div class="review_error"></div>
<?php if(!$this->auth->is_logged_in() && settings_item('lst.loggedin_review_only') == 1):?>
<div class="alert alert-info"><?php echo lang('error_loggedin_review_only') . ' <a href="' . gc_url_format('login') .'" title="' . lang('msg_click_here_login') . '">'.lang('msg_click_here_login').'</a>';?></div>
<?php else:?>
<?php Template::block('review_fields', 'review_fields'); ?>
<input class="<?php echo $btn_class; ?>" type="submit" value="<?php echo lang('form_submit');?>" name="submit" />
<?php endif;?>
</div>
<?php endif; ?>
<?php echo form_close();?>
<?php endif; ?>