<?php
/**
 * Share by Email/SMS Forms
 * e.g. usage <?php echo view('widgets/details/_share_email_sms_form'); ?>
 * <?php echo view('widgets/details/_share_email_sms_form', array('params' => array('form_type' => 'email', 'tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true))); ?>
 * <?php echo view('widgets/details/_share_email_sms_form', array('params' => array('form_type' => 'email', 'tpl' => 'modal', 'form_class' => 'border-0', 'field_only' => true, 'row_id' => 1, 'module' => 'listings'))); ?>
 * 
 */
$with_heading = empty($params['heading']) || $params['heading'] == 1 ? true : false; // pass 1 or 2
$with_icon = empty($params['icon']) || $params['icon'] == 1 ? true : false; // pass 1 or 2
$btn_class = (!empty($params['btn_class']) ? $params['btn_class'] : 'btn btn-primary btn-theme-primary') . ' gc-btn-ajax';
$field_only = !empty($params['field_only']) ? true : false;
$form_class = !empty($params['form_class']) ? ' ' . $params['form_class'] : '';
$form_class = $field_only ? $form_class . ' field-only-form' : '';
$module = !empty($params['module']) ? $params['module'] : 'listings';
$row_id = !empty($params['row_id']) ? $params['row_id'] : 0;
$form_type = !empty($params['form_type']) ? $params['form_type'] : 'email'; // email/sms
$tpl = !empty($params['tpl']) ? $params['tpl'] : 'default';
if(($form_type == 'email' && settings_item('lst.allow_email') == 1) || ($form_type == 'sms' && settings_item('lst.allow_sms') == 1)):
echo form_open($this->uri->uri_string(), 'id="' . $form_type . 'ShareForm" class="gc-form-layout' . $form_class . '" data-id="' . $row_id . '" data-module="' . $module . '" data-action="' . $form_type . '"');
if($tpl == 'modal'): ?>
<?php if(!empty($params['with_btn'])): ?>
<button type="button" class="btn btn-primary btn-theme-primary" data-toggle="modal" data-target="#<?php echo $form_type; ?>ShareModal">
  <?php echo lang('send_' . $form_type); ?>
</button>
<?php endif; ?>
<div class="modal fade" id="<?php echo $form_type; ?>ShareModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header bg-theme-primary">
				<h4 class="modal-title h5 m-0"><?php echo lang('send_' . $form_type . '_heading');?></h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<p><small class="text-muted"><?php echo lang('form_heading_title');?></small></p>
				<div class="loader" style="display: none;">
					<img src="<?php echo gc_site_image('ajax-loader'); ?>" />
				</div>
				<div class="message-block"></div>
				<div class="<?php echo $form_type; ?>_error"></div>
				<div class="row">
					<div class="col-sm-12">
						<?php echo theme_view('widgets/details/_share_fields', array('form_type' => $form_type)); ?>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<input class="<?php echo $btn_class; ?>" type="submit" value="<?php echo lang('form_submit');?>" name="submit">
				<button class="btn btn-secondary btn-customize btn-theme-quinary" data-dismiss="modal" type="button"><?php echo lang('form_close');?></button>
			</div>
		</div>
	</div>
</div>
<?php else: ?>
<p><small class="text-muted"><?php echo lang('form_heading_title');?></small></p>
<div class="loader" style="display: none;">
	<img src="<?php echo gc_site_image('ajax-loader'); ?>" />
</div>
<div class="message-block"></div>
<div class="<?php echo $form_type; ?>_error"></div>
<div class="row">
	<div class="col-sm-12">
		<?php echo theme_view('widgets/details/_share_fields', array('form_type' => $form_type)); ?>
	</div>
</div>
<input class="<?php echo $btn_class; ?>" type="submit" value="<?php echo lang('form_submit');?>" name="submit">
<?php endif; ?>
<?php echo form_close(); ?>
<?php endif; ?>