<?php
/**
 * Footer Contact Us
 * Usage: <?php echo view('widgets/footers/tpl/_contact', array('tpl' => 'default', 'parent_class' => '', 'child_class' => '')); ?>
 */
$parent_class = !empty($parent_class) ? ' ' . $parent_class : '';
?>
<div class="gc-footer-contact<?php echo $parent_class; ?>">
<?php switch($tpl):
case 'list':
?>
<ul class="<?php echo !empty($child_class) ? $child_class : 'list-unstyled'; ?>">
    <li><i class="fas fa-phone-alt" aria-hidden="true"></i> <span><?php echo settings_item('site.phone_number'); ?></span> </li>
    <li><i class="fas fa-map-marker-alt" aria-hidden="true"></i> <span><?php echo settings_item('site.address'); ?></span> </li>
    <li><i class="fas fa-envelope" aria-hidden="true"></i><span><?php echo settings_item('site.system_email'); ?></span> </li>
</ul>
<?php break; case 'inline': ?>
    <div class="row">
        <div class="col-xl-4 col-md-4 mb-30">
            <div class="contact__block">
                <i class="fas fa-map-marker-alt"></i>
                <div class="contact__block-text">
                    <h4><?php echo lang('label_contact_us'); ?></h4>
                    <span><?php echo settings_item('site.address'); ?></span>
                </div>
            </div>
        </div>
        <div class="col-xl-4 col-md-4 mb-30">
            <div class="contact__block">
                <i class="fas fa-phone-volume"></i>
                <div class="contact__block-text">
                    <h4><?php echo lang('label_phone_number'); ?></h4>
                    <span><?php echo settings_item('site.phone_number'); ?></span>
                </div>
            </div>
        </div>
        <div class="col-xl-4 col-md-4 mb-30">
            <div class="contact__block">
                <i class="far fa-envelope-open"></i>
                <div class="contact__block-text">
                    <h4><?php echo lang('label_email'); ?></h4>
                    <span><?php echo settings_item('site.system_email'); ?></span>
                </div>
            </div>
        </div>
    </div>
<?php break; default: ?>
<h5><?php echo lang('label_contact_us'); ?></h5>
<?php if(!empty(settings_item('site.address'))):?>
<dl>
    <dt><?php echo lang('label_address')?>:</dt>
    <dd><?php echo settings_item('site.address'); ?></dd>
</dl>
<?php endif; ?>
<dl>
    <dt><?php echo lang('label_email'); ?>:</dt>
    <dd><a href="mailto:<?php echo settings_item('site.system_email'); ?>"><?php echo settings_item('site.system_email'); ?></a></dd>
</dl>
<?php if(!empty(settings_item('site.phone_number'))):?>
<dl>
    <dt><?php echo lang('label_phone_number'); ?>:</dt>
    <dd><a href="tel:<?php echo settings_item('site.phone_number'); ?>"><?php echo settings_item('site.phone_number'); ?></a>
    </dd>
</dl>
<?php endif; ?>
<?php endswitch; ?>
</div>