<?php
/**
 * Footer Popular
 * Usage: <?php echo view('widgets/footers/tpl/_popular', array('tpl' => 'list', 'ftmodules' => array('cities', 'categories'), 'limit' => $limit, 'parent_class' => '')); ?>
 */
$parent_class = !empty($parent_class) ? ' ' . $parent_class : '';
$child_class = !empty($child_class) ? $child_class : '';
$modules = !empty($ftmodules) ? $ftmodules : array('listings', 'cities', 'categories');
$limit = !empty($limit) ? $limit : 10;
$footer_tags = array();
if(in_array('listings', $modules)):
    $footer_tags['listings'] = array('label' => 'listings', 'where' => 'status = 1 AND deleted = 0', 'select' => 'id, title AS name, slug, city');
endif;
if(in_array('cities', $modules)):
    $footer_tags['cities'] = array('label' => 'cities', 'where' => 'active = 1', 'select' => 'id, name, slug');
endif;
if(in_array('categories', $modules)):
    $footer_tags['categories'] = array('label' => 'categories', 'where' => 'active = 1', 'select' => 'id, name, slug');
endif;
?>
<div class="gc-footer-popular<?php echo $parent_class; ?>">
    <?php
    foreach($footer_tags as $tag_module => $footer_tag):
    $tags = $this->layouts->widget_footer_tags($tag_module, $limit, 'hits', $footer_tag['where'], $footer_tag['select']);
    if(!empty($tags)):
    ?>                        	
    <div class="<?php echo $child_class; ?>">
        <p><strong><?php echo lang('popular') . ' ' .  lang($footer_tag['label']); ?></strong></p>
        <ul class="d-flex flex-wrap list-unstyled">
            <?php foreach($tags as $tag_footer):
            $tag_url = gc_url_format($tag_module, $tag_footer->slug, $tag_footer->id, !empty($tag_footer->city) ? $tag_footer->city : '');
            ?>
            <li><a href="<?php echo $tag_url; ?>" title="<?php echo $tag_footer->name; ?>"><?php echo $tag_footer->name; ?></a></li>
            <?php endforeach; ?>
        </ul>
    </div>
    <?php endif; endforeach; ?>
</div>