<?php 
$package_display_fields = !empty($package->display_fields) ? json_decode($package->display_fields) : array();
$package_display_fields = $package_display_fields->listings;
$user_info = empty($user_info) ? (object) $this->session->userdata('user_info') : $user_info;
?>
<div class="headdtl06" style="background-image:url(<?php echo base_url($listing->cover); ?>)">
    <div class="headdtl06__wrapper w-100">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-lg-8 col-md-7 col-sm-12 d-flex align-items-center flex-wrap d-flex align-items-end">
                        <div class="headdtl06__image mr-3">
                            <img src="<?php echo base_url( !empty($listing->logo_url) ? $listing->logo_url : "assets/images/users/" . $listing->author_image) ;?>">
                        </div>
                    <div class="headdtl06__detail">
                        <div class="d-flex flex-column">
                            <?php if(!empty($listing->title)): ?>
                            <div class="headdtl06__heading d-flex align-items-center">
                                <h1><?php echo($listing->title); ?></h1>
                                <span><i class="fas fa-check"></i></span>
                            </div>
                            <?php endif; ?>
                            <?php if(!empty($listing->slug)): ?>
                            <?php echo theme_view('widgets/details/_breadcrumb', array('type' => 'categories', 'parent_class' => 'headdtl06__listing text-truncate list-inline', 'child_class' => 'list-inline-item')); ?>
                            <?php endif; ?>
                        </div>
                        <div class="headdtl06__metas mt-1 d-flex align-items-center flex-wrap">                        	
                            <?php if(!empty($listing->address&& $listing->show_address == 1)): 
                            $address_separator = ', ';
                            ?>
                            <div class="headdtl06__address mr-0">
                                <i class="fas fa-map-marker-alt"></i><?php echo($listing->address) . ', ' . (!empty($listing->locality) ? $address_separator . $listing->locality : '') . $listing->city . $address_separator . $listing->state . ' ' . $listing->postcode . $address_separator . ucwords(strtolower($listing->country)); ?>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-lg-4 col-md-5 col-sm-12 align-items-end d-flex">
                    <div class="d-flex flex-column">
                        <div class="headdtl06__reviewj mb-3">
                        	<?php if(!empty($ratings->average_rating)): ?>
                        	<div class="float-left bg-warning text-secondary bg-theme-primary btn my-1 rounded-circle p-3 mr-2">
                               <?php echo decimal_convert($ratings->average_rating); ?>
                            </div>
                            <?php endif; ?>
                            <div class="headdtl06__rating">
                            	<input id="input-ratings" type="number" value="<?php echo isset($ratings->average_rating) ? round($ratings->average_rating, 2) : ''; ?>"
                                    class="rating" min=0 max=5 step=0.5 data-show-clear="false"<?php echo $google_business ? ' disabled' : ''; ?>
                                    data-size="xs"<?php echo $this->session->userdata('is_rtl') ? ' data-rtl="true"': '';?>/>
                                    <small class="text-whitess"><span itemprop="rating" itemscope itemtype="https://data-vocabulary.org/Rating"><span itemprop="average"><?php echo round($ratings->average_rating, 2); ?></span>
                                    <?php echo lang('label_ratings');?> <span itemprop="best"><?php echo $ratings->total_users; ?></span></span>
                                    <?php echo lang('label_users_rated');?></small>
                            </div>
                        </div>
                        <div class="d-flex flex-row flex-wrap mr-4">
                            <div class="headdtl06__wrapper-btn-1">
                                <?php if ($this->auth->is_logged_in()):?>
                                <a id="favorites"" data-tooltip="theme-tooltip" data-original-title="<?php echo isset($isFavorite) ? lang('label_favorite') : lang('add_to_favorites');?>"> <i id="favorite-icon" class="fas <?php echo isset($isFavorite) ? 'fa-check-circle' : 'fa-heart';?> fa-fw mr-1"></i> 
                                    <span class="d-none d-xl-inline-block" id="favoriteText" add-text="<?php echo lang('add_to_favorites'); ?>" remove-text="<?php echo lang('label_favorite'); ?>"><?php echo isset($isFavorite) ? lang('label_favorite') : lang('add_to_favorites');?></span>					
                                </a>
                                <?php endif; ?>
                            </div>
                            <div class="headdtl06__wrapper-btn-2 nav-pills list-group" id="list-example">
                                <a href="#list-item-1" class="list-group-item list-group-item-action"><i class="far fa-comment-alt mr-1"></i><span class="d-none d-xl-inline-block"><?php echo lang('post_review'); ?></span></a>
                            </div>
                            <?php 
                            $social_links = array('linkedin', 'facebook', 'twitter', 'googleplus', 'youtube', 'pinterest', 'instagram'); 
                            $links_html = array();
                            ?>
                            <?php foreach($social_links as $social_link): ?>
                            <?php if(!empty($listing->{$social_link . '_url'})): ?>                            
                            <?php $links_html[] = '<strong><a href="' . $listing->{$social_link . '_url'} . '" target="_blank"><i class="fab fa-' . ($social_link == 'googleplus' ? 'google-plus' : $social_link) . '"></i></a></strong>'; ?>
                            <?php endif; ?>
                            <?php endforeach; ?>
                            <?php if(!empty($links_html)):?>
                            <div class="headdtl06__wrapper-btn-3 position-relative">
                                <a  class="position-relative"><i class="far fa-share-square mr-1"></i><span class="d-none d-xl-inline-block"><?php echo lang('share'); ?></span></a>
                                <div class="headdtl06__wrapper-share d-flex flex-row">
                                	<?php echo implode(PHP_EOL, $links_html); ?>
                                </div>
                            </div>
                            <?php endif; ?>
                            <div class="headdtl06__wrapper-btn-1">
                                <?php echo theme_view('widgets/details/_phone', array('package_display_fields' => $package_display_fields, 'listing' => $listing, 'is_dropdown' => false));?>
                            </div>
                            <div class="headdtl06__wrapper-btn-1">
                                <div class="phone-icons">
                                    <span  class="nav-item incorrect" data-toggle="modal" data-target="#reportIncorrectModal" data-toggle="tab" data-tooltip="theme-tooltip">
                                        <i class="fas fa-exclamation-triangle fa-fw mr-1"></i><span class="d-none d-sm-inline-block"><?php echo lang('erroneous_report');?></span>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>