<?php
/**
 * Modero Headers
 * e.g. usage <?php echo view('widgets/details/headers/_modero'); ?>
 */
if(empty($package_display_fields)):
$package_display_fields = !empty($package->display_fields) ? json_decode($package->display_fields) : array();
$package_display_fields = $package_display_fields->listings;
endif;
$package_display_fields = (object) $package_display_fields;
?>
<div class="row">
	<div class="col-sm-8">
    <?php echo Template::message();?>
    <h1 class="heading-theme-primary"><span itemprop="name"><span itemprop="itemreviewed"><?php echo $record->title;?></span></span></h1>	
    <?php if(!empty($package_display_fields->address) && ($record->address) && $record->show_address == 1):?>
    	<p><?php echo theme_view('widgets/details/_address', array('class' => 'modero__address')); ?></p>
    <?php endif;?>	
    	<?php if(!empty($record->author_url)):?>
    	<small><?php echo sprintf(lang('label_posted_by_on'), anchor($record->author_url, $record->author_name, array('title' => $record->author_name)), $record->created_on); ?></small>
    	<?php endif;?>
    	<?php echo theme_view('widgets/details/_rating_stars'); ?>
    <?php if(isset($booking_allotments)):?>
    <ul class="list-inline">
    <?php foreach($booking_allotments as $allotment_id => $form_title):?>
    	<li class="mt-1"><a href="<?php echo gc_url_format('booking_form') . '/' . $allotment_id; ?>" data-toggle="tooltip" title="<?php echo $form_title;?>" class="btn btn-theme-primary btn-sm display-block"><?php echo lang('book_now') . ' - ' . $form_title; ?></a></li>
    <?php endforeach;?>
    </ul>
    <?php endif;?>									
	</div>
	<div class="col-sm-4">
		<?php if(!empty($package_display_fields->logo_url)):?>			
		<div class="img-thumbnail text-center" data-trigger="fileinput">
			<img src="<?php echo gc_image_url($record->logo_url, false); ?>" alt="<?php echo $record->title;?>" title="<?php echo $record->title;?>" class="img-fluid" />							
		</div>
		<?php endif;?>
		<?php if($record->open_status == 1):?>
		<div class="text-center mt-2"><span class="btn btn-success btn-block"><?php echo lang('label_open'); ?></span></div>
		<?php elseif($record->open_status == 2):?>
		<div class="text-center mt-2"><span class="btn btn-danger btn-block"><?php echo lang('label_closed'); ?></span></div>
		<?php endif; ?>
		<?php echo theme_view('widgets/details/_social_links', array('params' => array('heading' => 2, 'has_tooltip' => true, 'parent_class' => 'social-network social-circle text-center', 'child_class' => 'mt-1'))); ?>
		<?php if($google_business || !empty($package_display_fields->map)):?>
		<div class="text-center">
		<?php echo theme_view('widgets/details/_directions'); ?>
		</div>							
		<?php if(!empty($record->open_now)):?>
		<div class="text-center mt-2">
			<button class="btn btn-sm btn-<?php echo !empty($record->open_now) ? 'success' : 'danger'; ?>"><?php echo !empty($record->open_now) ? lang('open_now') : lang('closed_now');?></button>
		</div>
		<?php endif;?>	
		<?php endif;?>		
	</div>				
</div><!-- end of title and logo row -->