<?php
$records = $this->layouts->widget_sliders(array(
	'module' => $module,
	'block' => $block,
	'limit' => $limit,
	'length' => 200,
	'address_tpl' => 2,
	'records' => $records,
	'keyword_wrap' => null,
	'thumb' => false
));?>
<?php foreach($records as $record):?>
<div class="fprlv06-view">
	<div class="module-holder">
		<div class="module-holder-in">
			<div class="fprlv06-header">
				<h3 class="heading-theme-tertiary text-truncate">
					<a href="<?php echo $record->redirect_url;?>"><?php echo $record->title; ?></a>
					<?php if(!empty($record->price)):?>
					<span class="badge badge-danger p-2 float-right"><i class="fas fa-tag"></i> <?php echo $record->price; ?></span>
					<?php endif;?>
				<?php echo !empty($record->salary) ? '<span class="badge badge-danger p-2 float-right"><i class="fas fa-tag fa-fw"></i>' . $record->salary . '</span>' : '' ; ?>
				<?php if(!empty($record->start_date) && $record->start_date != '0000-00-00 00:00:00'):?>
				<span class="desc-date float-left" style="margin-top: 0px;">
					<span class="dmonth"><?php echo $record->start_month;?></span>
					<span class="dday"><?php echo $record->start_day;?></span>
				</span>
				<?php endif;?>
				</h3>
				<?php $columns = array(
				    'created_on' => array('label' => lang('label_posted_on'), 'icon' => 'fas fa-calendar'),
				    'hits' => array('label' => lang('label_hits'), 'icon' => 'fas fa-eye'),
				    'expires_on' => array('label' => lang('label_expires_on'), 'icon' => 'fas fa-calendar'),
				    'start_date' => array('label' => lang('label_start_date'), 'icon' => 'fas fa-calendar'),
				    'end_date' => array('label' => lang('label_end_date'), 'icon' => 'fas fa-calendar'),
				    'type' => array('label' => lang('label_type'), 'icon' => 'fas fa-info'),
				    'squarefeet' => array('label' => lang('label_coverage_area'), 'icon' => 'fas fa-map'),
				    'address' => array('label' => lang('label_address'), 'icon' => 'fas fa-map-marker-alt'),				    
				);
				?>
				<ul class="list-inline small">
				<?php foreach($columns as $column => $value): ?>
				<?php if(!empty($record->{$column})):
				$field_value = $record->{$column};
				switch($column) {
				    case 'created_on':
				        $field_value = gc_date_format($record->{$column});
				        break;
				}
				?>
				<li class="list-inline-item" data-toggle="tooltip" title="<?php echo $value['label'];?>">
					<i class="<?php echo $value['icon']; ?> fa-fw"></i> <span class="itemc"><?php echo $field_value; ?></span>
				</li>
				<?php endif; ?>
				<?php endforeach; ?>
				</ul>
			</div>
			<div class="fprlv06-description mb-2">				
				<div class="row">
					<?php if(!empty($record->image)): ?> 
					<div class="col-sm-2">							
						<div class="gallery">
							<a class="gc-fancybox img-crop-center" href="<?php echo $record->image; ?>" title="<?php echo $record->title;?>">
								<img class="img-fluid h-80" src="<?php echo $record->image; ?>" alt="<?php echo $record->title;?>" />
							</a>
						</div>							
					</div>
					<?php endif;?>
					<div class="fprlv06-info col-sm-<?php echo !empty($record->image) ? 10 : 12;?>">
						<span class="font-14"><?php echo $record->description; ?></span>
						<a class="btn btn-xs btn-warning" href="<?php echo $record->redirect_url;?>" title="<?php echo $record->title; ?>"><?php echo lang('label_read_more');?></a>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<hr />
<?php endforeach; ?>