<?php
// e.g. usage: echo theme_view('widgets/modules/_listing_links', array('record' => $record, 'template_id' => 4, 'params' => array('with_view' => 1, 'with_edit' => 1, 'booking_forms' => $booking_forms, 'with_delete' => true)));
$module = empty($module) ? 'listings' : $module;
$links = $this->layouts->widget_member_links($module, $record, (!empty($params) ? $params : array())); 
$template_id = !empty($template_id) ? $template_id : 1;
$output = '';
$nav_links = array();
$separator = PHP_EOL;
foreach($links as $link):
    $button = '';
    $extra_css = !empty($link['extra_css']) ? ' ' . $link['extra_css'] : '';
    $extra_css_class = !empty($extra_css) ? ' class="' . $extra_css . '"' : '';
    if(!empty($link['type']) && $link['type'] == 'button'):
        $button = '<button type="submit" name="' . $link['name'] . '" value="' . $link['value'] . '" class="btn btn-xs ' . $link['class'] . '"' . $link['extra'] . '>' . $link['label'] . '</button>';
    else:
        $link_href = empty($link['url']) ? 'javascript:void(0)' : $link['url'] . $link['params'];
        $link_extra = !empty($link['extra']) ? $link['extra'] : '';
    endif;
    switch($template_id) {
        case 1: // modero 
            if(!empty($button)):
                $link_url = $button;
            elseif(empty($link_href)):
                $link_url = '<a href="' . $link_href . '"'. $link_extra .' data-toggle="tooltip" data-placement="bottom" data-original-title="' . $link['label'] . '"' . $extra_css_class . '><i class="' . $link['icon'] . '"></i>' . $link['label'] . '</a>';
            endif;
            $nav_links[] = '<li class="list-inline-item">' . $link_url . '</li>';
            break;
        case 2: // default            
            if(!empty($button)):
                $link_url = $button;
            elseif(empty($link_href)):
                $link_url = '<a href="' . $link_href . '"'. $link_extra .'' . $extra_css_class . '>' . $link['label'] . '</a>';
            else:
                $link_url = '<a href="' . $link_href . '"'. $link_extra .'' . $extra_css_class . '>' . $link['label'] . '</a>';
            endif;
            $nav_links[] = $link_url;
            $separator = ' | ';
            break;
        case 3: // dropdown menu            
            if(!empty($button)):
                $link_url = '<button type="submit" name="' . $link['name'] . '" value="' . $link['value'] . '" class="dropdown-item btn-warning"' . $link['extra'] . '>' . '<i class="' . $link['icon'] . ' fa-fw mr-1"></i>' . $link['label'] . '</button>';
            elseif(empty($link_href)):
                $link_url = '<a href="' . $link_href . '" class="dropdown-item' . $extra_css . '"'. $link_extra .'><i class="' . $link['icon'] . ' fa-fw mr-1"></i>' . $link['label'] . '</a>';
            else:
            $link_url = '<a href="' . $link_href . '" class="dropdown-item' . $extra_css . '"'. $link_extra .'><i class="' . $link['icon'] . ' fa-fw mr-1"></i>' . $link['label'] . '</a>';
            endif;
            $nav_links[] = $link_url;
            break;
        case 4:            
            if(!empty($button)):
                $link_url = '<button type="submit" name="' . $link['name'] . '" value="' . $link['value'] . '" class="btn btn-link text-truncate m-0 p-0 text-decoration-none text-secondary"' . $link['extra'] . '><i class="' . $link['icon'] . ' fa-2x d-block mb-1"></i>' . $link['label'] . '</button>';
            else:
                $link_url = '<a href="' . $link_href . '" class="text-decoration-none' . $extra_css . '"'. $link_extra .'><i class="' . $link['icon'] . ' fa-2x d-block mb-1"></i>' . $link['label'] . '</a>';
            endif;
            $nav_links[] = <<<EOL
<div class="col-md-3">
    <div class="card text-center mb-2 bg-light">
        <div class="card-body">
            {$link_url}
        </div>
    </div>
</div>
EOL;
    }
endforeach;
$links = implode($separator, $nav_links);
switch($template_id) {
    case 1:
        $output = <<<EOL
<ul class="list-inline">
    {$links}
</ul>
EOL;
        break;
    case 2:
        $label = lang('label_action');
        $output = <<<EOL
<div class="hover-item small">
    {$label} ::
    {$links}
</div>
EOL;
        break;
    case 3:
        $id = $record->id;
        $label = lang('label_action');
        $output = <<<EOL
<div class="dropdown">
    <button class="btn btn-theme-primary btn-sm dropdown-toggle" type="button" id="dropdownMenu{$id}" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        {$label}
    </button>
    <div class="dropdown-menu" aria-labelledby="dropdownMenu{$id}">
        {$links}
    </div>
</div>
EOL;
        break;
    case 4:
        $output = <<<EOL
<div class="row">
    {$links}
</div>
EOL;
        break;
}
echo $output;
?>