<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
$records = $this->layouts->widget_sliders(array(
	'module' => $module,
	'block' => $block,
	'limit' => $limit,
	'length' => 200,
	'address_tpl' => 2,
	'records' => $records,
	'keyword_wrap' => null,
	'thumb' => false
));
?>
<div class="card">
	<div class="card-header bg-theme-quinary" role="tab" id="headingTwo" data-toggle="collapse" data-parent="#accordion" href="#module-<?php echo $module;?>" aria-expanded="false" aria-controls="module-<?php echo $module;?>">
		<h4 class="card-title collapsed h5 m-0" role="button"><i class="fas fa-<?php echo gc_module_icon($module);?> fa-fw mr-1"></i> <?php echo gc_module_translation($module);?><a href="<?php echo gc_url_format($module) . '?listing_id=' . $record->id; ?>" class="float-right small"><?php echo lang('view_all'); ?></a></h4>
	</div>
	<div id="module-<?php echo $module;?>" class="panel-collapse collapse"
		role="tabpanel" aria-labelledby="headingTwo">
		<div class="card-body p-0">
			<ul class="list-group">
				<?php foreach($records as $record): ?>
					<li class="list-group-item">
					<span class="desc-module-title">
						<a href="<?php echo $record->redirect_url;?>" title="<?php echo $record->title; ?>"><?php echo $record->title; ?></a>
					</span>
					<?php echo !empty($record->price) ? '<sup><span class="desc-pricing-box"><i class="fas fa-tag"></i> ' . $record->price . '</span></sup>' : '' ; ?>
					<?php echo !empty($record->salary) ? '<sup><span class="desc-pricing-box"><i class="fas fa-tag"></i> ' . $record->salary . '</span></sup>' : '' ; ?>
					<?php echo !empty($record->code) ? '<sup><span class="desc-pricing-box"><i class="fas fa-gift"></i> ' . $record->code . '</span></sup>' : '' ; ?>
					<?php if(!empty($record->address)):?>
						<br /><small><span class="text-muted"><span class="fas fa-map-marker-alt"></span> <?php echo $record->address;?></span></small>
					<?php endif;?>
					<p><small><?php echo strip_tags($record->description); ?></small></p>
					<p class="text-muted">
					<small>
					<?php if(!empty($record->squarefeet) && !empty($record->type)):?>
					<strong><?php echo lang('label_coverage_area')?>: </strong><?php echo $record->squarefeet;?><br />
					<strong><?php echo lang('label_property_type');?>: </strong> <?php echo $record->type;?><br />
					<?php endif;?>
					<?php if(isset($record->max_experience) != 0):?>
					<strong><?php echo lang('label_job_experience');?>: </strong> <?php echo $record->min_experience .' - '. $record->max_experience . ' ' .lang('job_exp_yrs');?><br />
					<?php endif;?>
					<?php if(!empty($record->start_date) && $record->start_date != '0000-00-00 00:00:00'):?>
					<span class="desc-date float-right">
						<span class="dmonth"><?php echo $record->start_month;?></span>
						<span class="dday"><?php echo $record->start_day;?></span>
					</span>
					<?php endif;?>
					<?php if(!empty($record->start_date) && $record->start_date != '0000-00-00 00:00:00'):?>
					<strong><?php echo lang('label_start_date');?>: </strong> <?php echo $record->start_date;?><br />
					<?php endif;?>
					<?php if(!empty($record->end_date) && $record->end_date != '0000-00-00 00:00:00'):?>
					<strong><?php echo lang('label_end_date');?>: </strong> <?php echo $record->end_date;?>
					<?php endif;?>
					</small>
					<div class="item-header">
						<?php if(isset($record->created_on)):?>
						<div class="item-details" data-toggle="tooltip" title="<?php echo lang('label_posted_on');?>"><i class="far fa-calendar"></i> <?php echo $record->created_on;?></div>
						<?php endif;?>
						<div class="item-details" data-toggle="tooltip" title="<?php echo lang('label_hits');?>"><i class="fas fa-eye"></i> <?php echo $record->hits;?></div>
						<?php if(isset($record->expires_on)):?><div class="item-details" data-toggle="tooltip" title="<?php echo lang('label_status');?>"><i class="far fa-clock"></i> <?php if($record->expires_on > date('Y-m-d')):?><?php echo lang('label_expires_on');?>: <?php echo $record->expires_on;?><?php else: echo '<span class="badge badge-danger">' . lang('status_expired') .'</span>'; endif;?></div><?php endif;?>										
					</div>
					</li>
				<?php endforeach;?>
			</ul>
		</div>
	</div>
</div>