<?php
/**
 * Item Specific Actions
 * e.g. usage <?php echo view('widgets/modules/tpl/_actions', array('record' => $record, 'tpl' => 'list')); ?>
 */
$checkout_cart_items = (array) $this->session->userdata('checkout_cart_items');
$actions = !empty($actions) ? $actions : array('view', 'wishlist', 'buy');
$text_class = !empty($text_class) ? $text_class : '';
switch($tpl):
	case 'list':
?>
<ul class="gc-view-actions">
	<?php if(in_array('view', $actions)): ?>
	<li><a class="item-view" href="<?php echo $record->redirect_url; ?>" data-tip="<?php echo lang('quick_view'); ?>"><i class="fas fa-search"></i></a></li>
	<?php endif; ?>
	<?php if($this->auth->is_logged_in()):?>
	<?php if(in_array('wishlist', $actions)): ?>
	<li>
		<a class="item-wishlist" href="javascript:void(0)" id="wishlist-<?php echo $module; ?>-<?php echo $record->id; ?>" data-wishlist="<?php echo !empty($record->item_wishlist) ? 1 : 0; ?>" data-add="<?php echo lang('save_to_wishlist'); ?>" data-remove="<?php echo lang('remove_from_wishlist'); ?>" data-module="products" data-id="<?php echo $record->id; ?>">
			<i id="wishlist-icon-<?php echo $module; ?>-<?php echo $record->id; ?>" class="fas <?php echo !empty($record->item_wishlist) ? 'fa-check-square' : 'fa-heart';?>"></i> 
			<span id="wishlist-text-<?php echo $module; ?>-<?php echo $record->id; ?>" class="<?php echo $text_class; ?>">
			   <?php echo !empty($record->item_wishlist) ? lang('remove_from_wishlist') : lang('save_to_wishlist');?>
			</span>
		</a>
	</li>
	<?php endif; ?>
	<?php if(in_array('buy', $actions)): ?>
	<?php if(!empty($record->price) && $record->price != 0.0001): ?>
	<li><a class="buy-item" href="javascript:void(0);" data-tip="<?php echo lang('btn_buy_now'); ?>" data-id="<?php echo $record->id; ?>"><i class="fas fa-shopping-bag"></i></a></li>
	<?php if(in_array('cart', $actions)): ?>
	<?php if(isset($checkout_cart_items[$record->id])):?>
	<li><a class="cart-item" href="javascript:void(0);" data-id="<?php echo $record->id; ?>" data-module="<?php echo $module; ?>" data-action="remove">- <?php echo lang('remove_from_cart'); ?></a></li>
	<?php else: ?>
	<li><a class="cart-item" href="javascript:void(0);" data-id="<?php echo $record->id; ?>" data-module="<?php echo $module; ?>" data-action="add">+ <?php echo lang('add_to_cart'); ?></a></li>
	<?php endif; ?>
	<?php endif; ?>
	<?php elseif(!empty($record->request_quote_url)):?>
	<li><a href="<?php echo $record->request_quote_url; ?>" data-tip="<?php echo lang('request_quote'); ?>"><i class="fas fa-shopping-cart"></i></a></li>
	<?php endif;?>
	<?php endif;?>
	<?php endif;?>
</ul>
<?php break; default: ?>
<div class="gc-view-actions">
	<?php if(in_array('view', $actions)): ?>
	<a class="item-view" href="<?php echo $record->redirect_url; ?>" data-tip="<?php echo lang('quick_view'); ?>"><i class="fas fa-search"></i></a>
	<?php endif; ?>
	<?php if($this->auth->is_logged_in()):?>
	<?php if(in_array('wishlist', $actions)): ?>
	<a class="item-wishlist" href="javascript:void(0)" id="wishlist-<?php echo $module; ?>-<?php echo $record->id; ?>" data-wishlist="<?php echo !empty($record->item_wishlist) ? 1 : 0; ?>" data-add="<?php echo lang('save_to_wishlist'); ?>" data-remove="<?php echo lang('remove_from_wishlist'); ?>" data-module="products" data-id="<?php echo $record->id; ?>">
		<i id="wishlist-icon-<?php echo $module; ?>-<?php echo $record->id; ?>" class="fas <?php echo !empty($record->item_wishlist) ? 'fa-check-square' : 'fa-heart';?>"></i> 
		<span id="wishlist-text-<?php echo $module; ?>-<?php echo $record->id; ?>" class="<?php echo $text_class; ?>">
		   <?php echo !empty($record->item_wishlist) ? lang('remove_from_wishlist') : lang('save_to_wishlist');?>
		</span>
	</a>
	<?php endif; ?>
	<?php if(in_array('buy', $actions)): ?>
	<?php if(!empty($record->price) && $record->price != 0.0001): ?>
	<a class="buy-item" href="javascript:void(0);" data-tip="<?php echo lang('buy_now'); ?>" data-id="<?php echo $record->id; ?>"><i class="fas fa-shopping-bag"></i></a>
	<?php if(in_array('cart', $actions)): ?>
	<?php if(isset($checkout_cart_items[$record->id])):?>
	<a class="cart-item" href="javascript:void(0);" data-id="<?php echo $record->id; ?>" data-module="<?php echo $module; ?>" data-action="remove">- <?php echo lang('remove_from_cart'); ?></a>
	<?php else: ?>
	<a class="cart-item" href="javascript:void(0);" data-id="<?php echo $record->id; ?>" data-module="<?php echo $module; ?>" data-action="add">+ <?php echo lang('add_to_cart'); ?></a>
	<?php endif; ?>
	<?php endif; ?>
	<?php elseif(!empty($record->request_quote_url)):?>
	<a href="<?php echo $record->request_quote_url; ?>" data-tip="<?php echo lang('request_quote'); ?>"><i class="fas fa-shopping-cart"></i></a>
	<?php endif;?>
	<?php endif;?>
	<?php endif;?>
</div>
<?php endswitch; ?>