<?php 
/**
 * Featured, Phone Number, Author, DateTime, Hits
 * Usage: <?php echo view('widgets/modules/tpl/_icons', array('record' => $record, 'heading' => 2, 'parent_class' => 'gc-rounded-icons gc-rounded-icons-tertiary')); ?>
 */
$parent_class = !empty($parent_class) ? ' ' . $parent_class : '';
$child_class = !empty($child_class) ? $child_class : 'd-flex';
$return = !empty($icons) ? $icons : array('featured', 'phone_number', 'author_name', 'created_on', 'hits', 'floors', 'bedrooms', 'rooms', 'bathrooms', 'type', 'start_dates', 'facilities');
?>
<div class="gc-view-icons<?php echo $parent_class; ?>">
	<div class="<?php echo $child_class; ?>">
	<?php if(empty($heading) || $heading == 1):?>
	<div class="text-muted font-weight-bold"><?php echo lang('label_info'); ?></div> :&nbsp;		
	<?php endif; ?>				
	<ul class="list-inline">
    <?php if(!empty($record->featured) && in_array('featured', $return)):?>
    <li class="list-inline-item"><i class="fas fa-chess-queen fa-fw" data-toggle="tooltip" data-title="<?php echo lang('label_featured'); ?>"></i></li>
    <?php endif;?>
    <?php if(!empty($record->phone_number) && in_array('phone_number', $return)):?>
    <li class="list-inline-item"><i class="fas fa-phone-square-alt fa-fw" data-toggle="tooltip" data-title="<?php echo $record->phone_number; ?>"></i></li>
    <?php endif;?>
    <?php if(!empty($record->author_name) && in_array('author_name', $return)):?>
    <li class="list-inline-item"><i class="far fa-user fa-fw" data-toggle="tooltip" data-title="<?php echo $record->author_name; ?>"></i></li>
    <?php endif;?>
    <?php if(!empty($record->created_on) && in_array('created_on', $return)):?>
    <li class="list-inline-item"><i class="fas fa-calendar-alt fa-fw" data-toggle="tooltip" data-title="<?php echo $record->created_on; ?>"></i></li>
    <?php endif; ?>
    <?php if(in_array('hits', $return) && !empty($record->hits)):?>
    <li class="list-inline-item"><i class="far fa-hand-point-up fa-fw" data-toggle="tooltip" data-title="<?php echo $record->hits . ' ' . lang('label_hits'); ?>"></i></li>
    <?php endif; ?>
    <?php if(!empty($record->floors) && in_array('floors', $return)):?>
    <li class="list-inline-item"><i class="far fa-building fa-fw" data-toggle="tooltip" data-title="<?php echo lang('label_floors') . ' ' . $record->floors; ?>"></i></li>
    <?php endif; ?>
    <?php if(!empty($record->bedrooms) && in_array('bedrooms', $return)):?>
    <li class="list-inline-item"><i class="fas fa-bed fa-fw" data-toggle="tooltip" data-title="<?php echo lang('label_bedrooms') . ' ' . $record->bedrooms; ?>"></i></li>
    <?php endif; ?>
    <?php if(!empty($record->rooms) && in_array('rooms', $return)):?>
    <li class="list-inline-item"><i class="fas fa-cubes fa-fw" data-toggle="tooltip" data-title="<?php echo lang('label_rooms') . ' ' . $record->rooms; ?>"></i></li>
    <?php endif; ?>
    <?php if(!empty($record->bathrooms) && in_array('bathrooms', $return)):?>
    <li class="list-inline-item"><i class="fas fa-bath fa-fw" data-toggle="tooltip" data-title="<?php echo lang('label_bathrooms') . ' ' . $record->bathrooms; ?>"></i></li>
    <?php endif; ?>
    <?php if(!empty($record->type) && in_array('type', $return)):?>
    <li class="list-inline-item"><span class="bg-theme-secondary p-1 small"><?php echo (!empty($record->discount) ? $record->discount . ' ' : '') . $record->type; ?></span></li>
    <?php endif; ?>
    <?php if(!empty($record->start_dates) && in_array('start_dates', $return)):?>
    <li class="list-inline-item">
    <span class="date">
		<span class="binds"></span>
		<span class="month"><?php echo $record->start_month;?></span>
		<span class="day"><?php echo $record->start_day;?></span>
	</span>
	</li>
	<?php endif; ?>
    </ul>
    </div>
    <?php if(!empty($record->facilities) && in_array('facilities', $return)): ?>
    <ul class="list-inline mt-1">
    <?php foreach($record->facilities as $key => $value): ?>
    <li class="list-inline-item">
    	<img src="<?php echo base_url('assets/images/icons/ico_' . $key . '.png'); ?>" alt="<?php echo lang('label_' . $value); ?>" data-toggle="tooltip" data-title="<?php echo lang('label_' . $value); ?>"/>
    </li>
    <?php endforeach; ?>
    </ul>
    <?php endif; ?>
</div>