<?php
/**
 * Rating Stars
 * e.g. usage <?php echo view('widgets/modules/tpl/_ratings', array('record' => $record, 'tpl' => 'default', 'parent_class' => 'sw27-listing-rating rounded position-absolute')); ?>
 */
$tpl = !empty($tpl) ? $tpl : '';
$parent_class = !empty($parent_class) ? $parent_class : '';
switch($tpl):
case 'rating_only':
?>
<?php if(!empty($record->average_rating)):?>
	<div class="<?php echo $parent_class; ?> gc-view-ratings"><?php echo decimal_convert($record->average_rating); ?><i class="fas fa-star fa-fw ml-1"></i></div>
<?php endif; ?>
<?php break; case 'classic': ?>
	<div class="<?php echo $parent_class; ?> gc-view-ratings">
		<span class="gcv-ratings">
			<?php echo empty($record->average_rating) ? $record->average_rating : decimal_convert($record->average_rating); ?><i class="fas fa-star ml-1"></i>
		</span>
		<?php if(!empty($record->total_users)):?>
			<span class="gcv-counts">(<?php echo $record->total_users; ?>)</span>
		<?php endif; ?>
	</div>
<?php break; default:?>
<div class="star-ratings">	
	<div class="stars <?php echo !empty($parent_class) ? $parent_class : 'd-flex align-items-center'; ?>">
		<?php if(!empty($record->average_rating) && empty($hide_average_rating)):?>
		<span class="btn btn-theme-primary btn-xs align-items-center rounded p-1 m-0"><?php echo decimal_convert($record->average_rating); ?></span>
		<?php endif; ?>
		<input id="input-ratings" type="number" value="<?php echo isset($record->average_rating) ? $record->average_rating : ''; ?>" 
			class="rating" min=0 max=5 step=0.5 data-show-clear="false" disabled
			data-size="xs"<?php echo $this->session->userdata('is_rtl') ? ' data-rtl="true"': '';?> />
	</div>
    <?php if(!empty($record->total_users) && empty($hide_total_users)):?>
    <p class="rated-users">
    	<span itemprop="rating" itemscope itemtype="https://data-vocabulary.org/Rating">
    		<span itemprop="average"><?php echo round($record->average_rating, 2); ?></span>
    		<?php echo lang('label_ratings');?> <span itemprop="best"><?php echo $record->total_users; ?></span>
    	</span>
    	<?php echo lang('label_users_rated');?>
    </p>
    <?php endif;?>
</div>
<?php endswitch;?>