$(document).ready(function() {
    "use strict";

    var menuActive = false;
    var header = $('.navyo');
    setHeader();
    initCustomDropdown();
    initPageMenu();

    function setHeader() {
        if (window.innerWidth > 991 && menuActive) {
            closeMenu();
        }
    }
    
    function initCustomDropdown() {
        if ($('.navyo__search-dropdown-placeholder').length && $('.navyo__search-list').length) {
            var placeholder = $('.navyo__search-dropdown-placeholder');
            var list = $('.navyo__search-list');
        }
        placeholder.on('click', function(ev) {
            if (list.hasClass('active')) {
                list.removeClass('active');
            } else {
                list.addClass('active');
            }

            $(document).one('click', function closeForm(e) {
                if ($(e.target).hasClass('clc')) {
                    $(document).one('click', closeForm);
                } else {
                    list.removeClass('active');
                }
            });
        });

        $('.navyo__search-list a').on('click', function(ev) {
            ev.preventDefault();
            var index = $(this).parent().index();
            placeholder.text($(this).text()).css('opacity', '1');
            if (list.hasClass('active')) {
                list.removeClass('active');
            } else {
                list.addClass('active');
            }
        });


        $('select').on('change', function(e) {
            placeholder.text(this.value);
            $(this).animate({
                width: placeholder.width() + 'px'
            });
        });
    }

    /*

    4. Init Page Menu

    */

    function initPageMenu() {
        if ($('.navyo__menu').length && $('.navyo__menu-content').length) {
            var menu = $('.navyo__menu');
            var menuContent = $('.navyo__menu-content');
            var menuTrigger = $('.navyo__trigger');

            //Open / close page menu
            menuTrigger.on('click', function() {
                if (!menuActive) {
                    openMenu();
                } else {
                    closeMenu();
                }
            });

            //Handle page menu
            if ($('.navyo__menu-item').length) {
                var items = $('.navyo__menu-item');
                items.each(function() {
                    var item = $(this);
                    if (item.hasClass("has-children")) {
                        item.on('click', function(evt) {
                            evt.preventDefault();
                            evt.stopPropagation();
                            var subItem = item.find('> ul');
                            if (subItem.hasClass('active')) {
                                subItem.toggleClass('active');
                                TweenMax.to(subItem, 0.3, {
                                    height: 0
                                });
                            } else {
                                subItem.toggleClass('active');
                                TweenMax.set(subItem, {
                                    height: "auto"
                                });
                                TweenMax.from(subItem, 0.3, {
                                    height: 0
                                });
                            }
                        });
                    }
                });
            }
        }
    }

    function openMenu() {
        var menu = $('.navyo__menu');
        var menuContent = $('.navyo__menu-content');
        TweenMax.set(menuContent, {
            height: "auto"
        });
        TweenMax.from(menuContent, 0.3, {
            height: 0
        });
        menuActive = true;
    }

    function closeMenu() {
        var menu = $('.navyo__menu');
        var menuContent = $('.navyo__menu-content');
        TweenMax.to(menuContent, 0.3, {
            height: 0
        });
        menuActive = false;
    }
});
/*--------------sidebar click ---------*/
  $(".navyo__menu-navs  li  a").click(function () {
    $(this).siblings("ul").slideToggle('500');
});