<?php 
// usage: echo view('widgets/navbars/tpl/_currencies', array('layout' => 'list', 'field_id' => 1));
$this->load->model('currencies/currencies_model');
$currencies = $this->currencies_model->get_currencies(1);
if(!empty($currencies)):
    $form_class = isset($form_class) ? $form_class : '';
    $layout = !empty($layout) ? $layout : ''; 
    $selected = (array) $this->session->userdata('site_currency');
    $field_id = !empty($field_id) ? $field_id : '';
    ?>
    <form class="form-horizontal<?php echo $form_class; ?>" id="currency_form<?php echo $field_id; ?>" class="currency-change" role="form" accept-charset="utf-8" method="post">
		<input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>" />
        <input type="hidden" name="site_currency" id="site_currency<?php echo $field_id; ?>" value="" />
     <?php switch($layout) {
         case 'dropdown':             
             $default_currency = isset($selected['code']) ? $selected['code'] : settings_item('site.currency_code');
             ?>
         <div class="dropdown">
            <a href="javascript:void(0)" class="dropdown-toggle" type="button" id="currencyDropdown<?php echo $field_id; ?>" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <?php echo lang('singular_currencies'); ?>: <?php echo $default_currency; ?>
            </a>
 			<div class="dropdown-menu dropdown-currencies" aria-labelledby="dropdownMenuButton" style="overflow-y: scroll; height: 200px;" data-id="<?php echo $field_id; ?>">
                <?php foreach($currencies as $currency): ?>
                <a href="javascript:void(0)" class="dropdown-item"><?php echo $currency->code; ?></a>
                <?php endforeach;?>
			</div>
        </div>
         <?php
             break;
    case 'list': ?>
    		<li<?php echo !empty($params['parent_class']) ? ' class="' . $params['parent_class'] . '"' : ''; ?>>
    		<a href="javascript:void(0);"><?php echo !empty($selected) ? $selected['code'] . ' (' . $selected['symbol'] . ')' : ''; ?><i class="fas fa-chevron-down fa-fw ml-1"></i></a>
        	<ul<?php echo !empty($params['child_class']) ? ' class="' . $params['child_class'] . '"' : ''; ?>>
        		<?php foreach($currencies as $currency): ?>
        		<li><a href="javascript:void;" onclick="$('#site_currency<?php echo $field_id; ?>').val('<?php echo $currency->code; ?>'); $(this).closest('form').submit();"><?php echo $currency->code . ' (' . $currency->name . ')'; ?></a></li>
        		<?php endforeach; ?>
        	</ul>
        	</li>
    <?php break;?>
    <?php default: ?>
    	<div class="form-group m-0 site-currency">
			<select name="site_currencies" id="list_currencies<?php echo $field_id; ?>" class="currencies-list" data-id="<?php echo $field_id; ?>">
                <?php foreach($currencies as $currency): ?>
            	<option value="<?php echo $currency->code . '~' . strtolower($currency->code)?>"<?php echo isset($selected['code']) && $currency->code == $selected['code'] ? ' selected' : ''; ?>>
            		<?php echo $currency->code . ' (' . $currency->symbol . ')';?>
            	</option>
                <?php endforeach;?>
			</select>
		</div>
    <?php }?>    
     </form>
<?php endif;?>