<?php
// usage <?php echo view('widgets/navbars/tpl/_languages', array('layout' => 'list', 'field_id' => 2)); 
$layout = !empty($layout) ? $layout : 'flags_only'; 
if(!empty($languages) && settings_item('site.multi_language') == 1):
    $csrf_token_name = $this->security->get_csrf_token_name();
    $csrf_hash = $this->security->get_csrf_hash();
    $field_id = isset($field_id) ? '_' . $field_id : ''; // ID of the language field
    $lang = isset($lang) ? strtolower($lang) : '';
    $form_class = isset($form_class) ? ' ' . $form_class : '';
    ?>
    <form class="form-horizontal language-change<?php echo $form_class; ?>" id="language_form<?php echo $field_id; ?>" role="form" accept-charset="utf-8" method="post">
        <input type="hidden" id="csrf_token" name="<?php echo $csrf_token_name; ?>" value="<?php echo $csrf_hash; ?>" />
        <input type="hidden" name="site_language" id="site_language<?php echo $field_id; ?>" value="" />
    <?php
    switch($layout) {
        case 'dropdown':
            ?>
            <div class="form-group m-0">
            	<select name="site_languages" id="list_languages<?php echo $field_id; ?>" class="languages-list" data-id="<?php echo $field_id; ?>">
            	<?php foreach($languages as $language):?>
            		<option value="<?php echo $language->label . '~' . $language->flag; ?>"<?php echo isset($lang) && ($lang == $language->label) ? ' selected': ''; ?>>
            			<i class="famfamfam-flag-<?php echo $language->flag; ?>"></i> <?php echo ucwords($language->label); ?>
            		</option>
            	<?php endforeach; ?>
            	</select>
            </div>
            <?php
            break;
        case 'list':
            ?>
            <li<?php echo !empty($params['parent_class']) ? ' class="' . $params['parent_class'] . '"' : ''; ?>>
            <a href="javascript:void;"><?php echo ucwords($lang); ?><i class="fas fa-chevron-down fa-fw ml-1"></i></a>
            <ul<?php echo !empty($params['child_class']) ? ' class="' . $params['child_class'] . '"' : ''; ?>>
            	<?php foreach($languages as $language):?>
            	<li><a href="javascript:void(0);" onclick="$('#site_language<?php echo $field_id; ?>').val('<?php echo $language->label; ?>');  $(this).closest('form').submit();"><?php echo $language->name; ?></a></li>
            	<?php endforeach; ?>
            </ul>
            </li>
            <?php
            break;
       case 'vogue':
           ?>
            <div class="input-btn-group">
                <div class="dropdown">
			      <span type="button" class="btn <?php echo empty($btn_class) ? 'btn-warning btn-theme-primary' : $btn_class; ?> dropdown-toggle rounded-0" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				     <?php foreach($languages as $language): ?>
				     <?php if($language->label == $lang):?>
				     <i class="famfamfam-flag-<?php echo $language->flag; ?>"></i> <?php echo strtoupper($language->code); ?>
				     <?php break; endif; ?>
				     <?php endforeach; ?>
			      </span>
				    <div class="dropdown-menu" x-placement="bottom-start" style="position: absolute; transform: translate3d(0px, 38px, 0px); top: 6px; left: 0px; will-change: transform; min-width: 6.8rem;">                        
			            <?php foreach($languages as $language): ?>
			            	<a href="javascript:toggleTranslate('<?php echo $language->code; ?>');" onclick="$('#site_language<?php echo $field_id; ?>').val('<?php echo $language->label; ?>');  $(this).closest('form').submit();" tabindex="-1" class="dropdown-item"><i class="famfamfam-flag-<?php echo $language->flag; ?> mr-1"></i><?php echo strtoupper($language->code); ?></a>
			            <?php endforeach; ?>
			        </div>
		       </div>
            </div>
       <?php
       break;
       case 'simplicity':?>
       	<div class="btn-group">
      		<a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
      			<?php foreach($languages as $language): ?>
			    <?php if($language->label == $lang):?>
			    <?php echo isset($lang) ? '<i class="famfamfam-flag-' . $language->flag . ' mr-2"></i> ' . $language->label : lang('bf_language'); ?>
			    <?php break; endif; ?>
			    <?php endforeach; ?>
      		</a>
			<ul class="dropdown-menu">
				<?php foreach($languages as $language): ?>
					<li class="nav-item">
						<a id="<?php echo $language->label; ?>" class="nav-link" href="javascript:void(0)" onclick="$('#site_language<?php echo $field_id; ?>').val('<?php echo $language->label; ?>');  $(this).closest('form').submit();">
							<i class="famfamfam-flag-<?php echo $language->flag; ?> mr-2"></i><?php echo $language->label; ?>
						</a>
					</li>
	            <?php endforeach; ?>
    		</ul>
       	</div>
    	<?php break;
        default:
            ?>
            <div class="input-btn-group">
            <?php foreach($languages as $language):?>
            <?php                
            $link_text = $language->flag;
            if(isset($btn_class)):
                $class = ($lang == $language->label ? ' btn-theme-primary' : ' btn-theme-secondary');
            else:
                $class = ($lang == $language->label ? ' btn-outline-secondary active' : '');
                $link_text = '<i class="famfamfam-flag-' . $link_text . '"></i>';
            endif;
            ?>
            <a class="btn<?php echo $class; ?>" id="<?php echo $language->label; ?>" href="javascript:void(0);" onclick="$('#site_language<?php echo $field_id; ?>').val('<?php echo $language->label; ?>');  $(this).closest('form').submit();">
                <?php echo $link_text; ?>
            </a>
            <?php endforeach; ?>
            </div>
        <?php                
    }
    ?>
    </form>
<?php endif; ?>