<div class="container mt-4">
<?php echo form_validations(); ?>
<?php echo form_open($this->uri->uri_string . (!empty($_SERVER['QUERY_STRING']) ? '?'. $_SERVER['QUERY_STRING'] : ''), 'id="payment-form" class="form-horizontal gc-form"'); ?>
<?php if($role == 'admin' && $this->session->userdata('order_create_admin')):?>
<div class="text-right mb-3">
	<button type="submit" name="clear_cart" class="btn btn-danger btn-sm"><i class="fas fa-times fa-fw mr-1"></i><?php echo lang('clear_cart'); ?></button>
</div>
<?php endif; ?>
<div class="row">
	<div class="col-md-8">
			<fieldset>
				<!-- Form Name -->
				<legend><i class="fas fa-user"></i> <?php echo lang('label_billing_information');?></legend>
				<!-- Text input-->
				<div class="card card-default">
  				<div class="card-body">
  				<div class="alert alert-warning"><?php echo lang('msg_mandatory_fields_all')?></div>
  				<?php if($user_id == 0): ?>
                <div class="form-group form-row">
                  <label class="col-sm-3 col-form-label" for="email"><?php echo lang('label_email') . lang('bf_form_label_required');?></label>
                  <div class="col-sm-9">
                    <input type="text" name="email" id="email"
                           placeholder="<?php echo lang('placeholder_email');?>" value="<?php echo set_value('email'); ?>"
                           class="form-control">
                  </div>
                </div>
                <div class="form-group form-row">
                  <label class="col-sm-3 col-form-label" for="password"><?php echo lang('label_password') . lang('bf_form_label_required');?></label>
                  <div class="col-sm-9">
                    <input type="password" name="password" id="password" placeholder="<?php echo lang('placeholder_password');?>"
                           value="<?php echo set_value('password'); ?>"
                           class="form-control">
                  </div>
                </div>  
                <?php endif;?>
  				<?php 
  				if(!empty($form_fields)) :
  				$layout = 'fieldset';
  				foreach($form_fields as $fkey => $fvalue):
  				  $form_fields[$fkey]['class'] = 9;
  				endforeach;
  				echo $this->load->view('fields/layout', array('layout' => $layout, 'form_fields' => $form_fields, 'field_groups' => $field_groups, 'elements_container' => ''));
  				endif;
  				?>	
				</div>
				</div>
			</fieldset>
	</div>
	<!-- /.col-lg-12 -->
	<div class="col-md-4">
		<fieldset>
			<legend><i class="fas fa-credit-card"></i> <?php echo lang('label_payment_methods');?></legend>
			<div class="card card-default">
  			<div class="card-body">
  			<div id="payment_methods">
				<?php echo !empty($payment_gateways) ? $payment_gateways : ''; ?>
    		</div>
		<span class='help-inline'><?php echo form_error('type'); ?></span>
		<?php if(isset($paying_currency_enabled)): // Allow user to pay the amount in selected currency ?>
		<div class="stacked-input margin-top-sm">
			<strong><?php echo lang('paying_currency');?></strong>
			<?php
			$currencies = $this->db->get_where('currencies', array('active' => 1))->result();
			$currency_options = array();
			foreach($currencies as $currency):
			   $currency_options[$currency->code] = $currency->code;
			endforeach;
			echo gc_form_element('dropdown', array('name' => 'paying_currency', 'field_only' => true, 'options' => $currency_options, 'extra' => array( 'onchange' => 'this.form.submit()')), $paying_currency_code);
			?>
		</div>
		<?php endif;?>
		</div>
		</div>
		<?php echo theme_view('widgets/members/checkout/_card'); ?>
		<div class="pb-4">
		<img src="<?php echo gc_site_image('safe-checkout'); ?>" alt="<?php echo lang('safe_checkout'); ?>"  class="img-fluid"/>
		</div>
		<?php echo theme_view('widgets/testimonials/_slider_02', array('limit' => 12, 'without_image' => true, 'without_quote' => true, 'heading_sub_text' => '')); ?>
	</fieldset>
	</div>
</div>
<!-- /.row -->

<fieldset>
	<legend><i class="fas fa-fw fa-hand-point-right"></i> <?php echo lang('label_review_order');?></legend>
	<div class="card card-default">
  	<div class="card-body">  	
  	<div class="checkout-cart-layout">
   	<?php 
   	$checkout_coupon = $this->session->userdata('checkout_coupon') ? $this->session->userdata('checkout_coupon') : (object) $coupon;
   	$cart_data = array(
   	    'items' => $items,
   	    'currency' => $currency_info,
   	    'coupon_value' => isset($checkout_coupon->value) ? $checkout_coupon->value : 0
   	);
   	echo cart_layout($cart_data);
   	?>
   	</div>
	<div class="row">
		<div class="col-sm-4 col-md-4">
			<?php echo gc_form_element('textarea' , array( 'name' => 'comments', 'field_only' => true, 'extra' => array('placeholder' => lang('label_comments')))); ?>
		</div>
		<div class="col-sm-8 col-md-8">
			<div class="checkout-cart-summary">
				<?php echo cart_summary($cart_data); // Cart Summary ?>			
			</div>
			<?php echo theme_view('widgets/members/checkout/_coupon');?>
			<div class="text-right mt-2">
				<?php
				echo gc_form_element('terms_conditions', array('name' => 'chk_terms', 'field_only' => true, 'extra' => array('terms_page' => gc_json_settings('order.settings', 'terms_conditions'))));
				if(isset($wallet) && $wallet != 0):
				echo gc_form_element('checkbox', array('name' => 'pay_using_wallet', 'field_only' => true), $record, lang('pay_using_wallet'));
				endif;
				?>	
			</div>
  			<div class="row mt-2">
        		<div class="col-sm-12">				
        			<?php if(isset($wallet) && $wallet != 0):?>
        				<h3 class="float-left"><?php echo lang('available_cash'); ?><?php echo currency_format($wallet); ?></h3>
        			<?php endif;?>
        			<!-- Button -->
        			<input type="submit" id="save" name="save" class="btn btn-primary btn-theme-primary float-right btn-checkout btn-submit" value="<?php echo lang('btn_proceed_to_checkout');?>" />
        			<input type="submit" id="saves" name="saves" class="btn btn-primary btn-theme-primary float-right btn-checkout btn-form-hidden" hidden="true" disabled="true" value="<?php echo lang('btn_proceed_to_checkout');?>" />
        		</div>
			</div>
	</div>
	</div>
	</div>
	</div>
</fieldset>
<?php echo form_close();?>
</div>