<?php echo form_validations(); ?>
<?php echo form_open($this->uri->uri_string.'?'.$_SERVER['QUERY_STRING'], 'id="payment-form" class="form-horizontal"'); ?>
<div class="row">
	<div class="col-md-<?php echo $amount == 0 ? 12 : 8;?>">
			<fieldset>
				<!-- Form Name -->
				<legend><i class="fas fa-user"></i> <?php echo lang('label_billing_information');?></legend>
				<!-- Text input-->
				<div class="card card-default">
  				<div class="card-body">
  				<div class="alert alert-info fade show top1 bottom1"><?php echo lang('msg_mandatory_fields_all')?></div>
				<div class="form-group form-row">
					<label class="col-sm-2 col-form-label" for="full_name"><?php echo lang('label_name');?></label>
					<div class="col-sm-10">
						<input type="text" name="full_name" id="full_name"
							placeholder="<?php echo lang('label_full_name');?>" value="<?php echo set_value('full_name', !empty($user->display_name) ? $user->display_name : ''); ?>"
							class="form-control">
					</div>
				</div>
				<div class="form-group form-row">
					 <label class="col-sm-2 col-form-label" for="phone_number"><?php echo lang('label_user_phone');?></label>
					<div class="col-sm-10">
						<input type="tel" name="phone_number" id="phone_number"
							placeholder="<?php echo lang('placeholder_phone_number');?>"
							value="<?php echo set_value('phone_number', isset($user->phone_number) ? $user->phone_number : ''); ?>"
							class="form-control intl-phone">
					</div>
				</div>				
				<?php echo gc_form_element('textarea', array('name' => 'address', 'label_width' => 'col-sm-2', 'extra' => array('placeholder' => lang('placeholder_address'))), (isset($user->address) ? $user->address : ''), lang('label_address'), 'col-sm-10'); ?>
				<div class="form-group form-row <?php echo form_error('postcode') ? 'error' : ''; ?>">
				<label class="col-sm-2 col-form-label" for="postcode"><?php echo lang('label_postcode');?></label>
					<div class="col-sm-10">
						<input id='postcode' class='form-control' type='text'
							name='postcode' maxlength="10"
							placeholder="<?php echo lang('placeholder_postcode');?>"
							value="<?php echo set_value('postcode', isset($user->postcode) ? $user->postcode : ''); ?>" />
					</div>
				</div>
				<?php echo gc_form_element('form_city', array('hasLocality' => false, 'label_width' => 'col-sm-2', 'size' => 'col-sm-10', 'city_only' => TRUE, 'required' => FALSE)); ?>	
				<?php if($user_id == 0): ?>
				<legend><?php echo lang('login_details');?></legend>
				<div class="form-group form-row">
					<label class="col-sm-2 col-form-label" for="email"><?php echo lang('label_email');?></label>
					<div class="col-sm-10">
						<input type="text" name="email" id="email"
							placeholder="<?php echo lang('placeholder_email');?>" value="<?php echo set_value('email'); ?>"
							class="form-control">
					</div>
				</div>
				<div class="form-group form-row">
					 <label class="col-sm-2 col-form-label" for="password"><?php echo lang('label_password');?></label>
					<div class="col-sm-10">
						<input type="password" name="password" id="password" placeholder="<?php echo lang('placeholder_password');?>"
							value="<?php echo set_value('password'); ?>"
							class="form-control">
					</div>
				</div>	
				<?php endif;?>	
				</div>
				</div>
			</fieldset>
			<?php $this->load->view('common/_meta', array('meta_layout' => 'fieldset', 'elements_container' => 'div.panel.panel-default.card-body'));?>
	</div>
	<!-- /.col-lg-12 -->
	<?php if($amount > 0): // Do not show payment methods if the user is subscribing to a Free Package without registration ?>
	<div class="col-md-4">
		<fieldset>
			<legend><i class="fas fa-credit-card"></i> <?php echo lang('label_payment_methods');?></legend>
			<div class="card card-default">
  			<div class="card-body">
	<?php if($payment_gateways):?>
	<?php foreach($payment_gateways as $payment_gateway):?>
			<div class="radio">
				<label for='<?php echo strtolower($payment_gateway->name);?>'> <input
					id='<?php echo strtolower($payment_gateway->name);?>'
					name='payment_gateways' type='radio' class='gateway'
					value='<?php echo strtolower($payment_gateway->name);?>'
					<?php echo (!empty($_POST['payment_gateways']) && $_POST['payment_gateways'] == strtolower($payment_gateway->name)) ||  $payment_method == strtolower($payment_gateway->name) ? 'checked="checked"' : set_radio('payment_gateways', FALSE); ?> />
					<?php echo $payment_gateway->display_name;?>
			</label>
			</div>				
	<?php endforeach;?>
	<?php endif; ?>
		<span class='help-inline'><?php echo form_error('type'); ?></span>
		<?php if(isset($paying_currency_enabled)): // Allow user to pay the amount in selected currency ?>
		<div class="stacked-input margin-top-sm">
			<strong><?php echo lang('paying_currency');?></strong>
			<?php
			$currencies = $this->db->get_where('currencies', array('active' => 1))->result();
			$currency_options = array();
			foreach($currencies as $currency):
			   $currency_options[$currency->code] = $currency->code;
			endforeach;
			echo gc_form_element('dropdown', array('name' => 'paying_currency', 'field_only' => true, 'options' => $currency_options, 'extra' => array( 'onchange' => 'this.form.submit()')), $paying_currency_code);
			?>
		</div>
		<?php endif;?>
		</div>
		</div>
		<!-- CREDIT CARD FORM STARTS HERE -->
		<div class="card card-default credit-card-box"<?php echo !empty($_POST['payment_gateways']) && $_POST['payment_gateways'] == 'stripe' ? ' style="display: inline;"' : ' style="display: none;"'; ?>>
			<div class="card-header display-table" >
				<div class="row display-tr" >
					<h3 class="card-title h5 m-0 display-td"><?php echo lang('payment_details');?></h3>
					<div class="display-td" >                            
						<img class="img-fluid float-right" src="<?php echo gc_site_image('accepted-card'); ?>">
					</div>
				</div>                    
			</div>
			<div class="card-body p-3">
				<div class="row">
					<div class="col-12">
						<div class="form-group">
							<label for="cardNumber"><?php echo lang('label_cardnumber');?></label>
							<div class="input-group">
								<input type="text" class="form-control" name="cardNumber" placeholder="<?php echo lang('placeholder_cardnumber');?>" autocomplete="cc-number" required autofocus value="<?php echo !empty($_POST['cardNumber']) ? $_POST['cardNumber'] : ''?>" />
								<div class="input-group-append">
									<span class="input-group-text">
										<i class="fas fa-credit-card"></i>
									</span>
								</div>
							</div>
						</div>                            
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="cardExpiry"><span class="d-none d-sm-inline-block"><?php echo lang('label_expiration') . ' ' . lang('label_date');?></span></label>
							<input type="text" class="form-control" name="cardExpiry" placeholder="<?php echo lang('placeholder_expiration');?>" autocomplete="cc-exp" required value="<?php echo !empty($_POST['cardExpiry']) ? $_POST['cardExpiry'] : ''?>" />
						</div>
					</div>
				</div>
				<div class="row">				
					<div class="col-md-12">
						<div class="form-group">
							<label for="cardCVC"><?php echo lang('label_cvv');?></label>
							<input type="text" class="form-control" name="cardCVC" placeholder="<?php echo lang('placeholder_cvv');?>" autocomplete="cc-csc" required value="<?php echo !empty($_POST['cardCVC']) ? $_POST['cardCVC'] : ''?>" />
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- CREDIT CARD FORM ENDS HERE -->
	</fieldset>
	<?php if(($order_type == 4 || $order_type == 9) && $stock > 1): // PYG and Products ?>
	<fieldset>
	<legend><i class="fas fa-align-right"></i> <?php echo lang('label_qty');?></legend>
	<div class="input-group">
	  <span class="input-group-btn">
		  <button type="button" class="btn btn-danger btn-number"  data-type="minus" data-field="qty">
			<span class="fas fa-minus"></span>
		  </button>
	  </span>
	  <input type="text" name="qty" id="qty" class="form-control input-number" value="<?php echo !empty($_POST['qty']) ? $_POST['qty'] : 1 ?>" min="1" max="<?php echo $stock; ?>" readonly>
	  <span class="input-group-btn">
		  <button type="button" class="btn btn-success btn-number" data-type="plus" data-field="qty">
			  <span class="fas fa-plus"></span>
		  </button>
	  </span>
	</div>
	</fieldset>
	<?php endif; ?>
	</div>
<?php endif;?>
</div>
<!-- /.row -->

<fieldset>
	<legend><i class="fas fa-fw fa-hand-point-right"></i> <?php echo lang('label_review_order');?></legend>
	<div class="card card-default">
  	<div class="card-body">
  	<?php echo form_hidden('toggle_module_id', set_value('toggle_module_id', $toggle_module_id));?> 	
  	<?php echo form_hidden('package_id', set_value('package_id', $package_id));?>
   	<?php echo form_hidden('item_price', set_value('item_price', $amount));?>
	<?php echo form_hidden('tax_rate', set_value('tax_rate', !empty($tax_rate) ? $tax_rate->tax_percent : ''));?>
	<?php echo form_hidden('original_tax', set_value('original_tax', (!empty($tax) ? append_zero($tax) : '')));?>
	<?php echo form_hidden('order_tax', set_value('order_tax', (!empty($tax) ? append_zero($tax) :'')));?>
	<?php echo form_hidden('tax_type', set_value('tax_type', settings_item('fin.tax_settings')));?>
   	<?php echo form_hidden('order_discount', set_value('order_discount', (isset($_POST['order_discount']) ? $_POST['order_discount'] :'')));?>
   	<?php echo form_hidden('order_discount_type', set_value('order_discount_type', (isset($_POST['order_discount_type']) ? $_POST['order_discount_type'] :'')));?>
   	<?php echo form_hidden('order_subtotal', set_value('order_subtotal', $subtotal));?>
	<?php echo form_hidden('order_total', set_value('order_total', $total));?>
   	<?php echo form_hidden('order_total_with_tax', set_value('order_total_with_tax', $total));?>
   	<?php 
   	$cart_data = array(
   	    'items' => $item,
   	    'subtotal' => $amount,
   	    'currency_symbol' => $paying_currency,
   	    'pyg_module' => isset($pyg_module) ? $pyg_module : '',
   	    'order_type' => $order_type
   	);
   	if($order_type == 8):
   	    $cart_data['is_cart'] = true;
   	endif;
   	echo cart_layout($cart_data);
   	?>
	<div class="row">
		<div class="col-sm-4 col-md-4">
			<?php echo gc_form_element('textarea' , array( 'name' => 'comments', 'field_only' => true, 'extra' => array('placeholder' => lang('label_comments')))); ?>
		</div>
		<div class="col-sm-8 col-md-8">
    		<?php 
    		// Cart Summary
    		echo !empty($tax_rate->tax_percent) ? form_hidden('tax_percent', set_value('tax_percent', $tax_rate->tax_percent)) : '';
    		echo cart_summary(array(
    		    'currency_symbol' => $currency_symbol,
    		    'currency_code' => $currency_code,
    		    'currency_value' => $currency_value,
    		    'total' => $total,
    		    'subtotal' => $subtotal,
    		    'amount' => $amount,
    		    'tax' => isset($tax) ? $tax : 0, // Tax is not applicable in case of Wallet Transaction.
    		    'tax_percent' => (!empty($tax_rate->tax_percent) ? $tax_rate->tax_percent : 0)
    		));
    		if($allow_coupon && $amount > 0):?>
			<span id="couponSuccess" style="color: #016B06; display: none;"></span>
			<span id="couponError" style="color: #E40303; display: none;"></span>
			<div class="input-group">
				<input type="text" class="form-control" name="couponCode"
					id="couponCode" placeholder="<?php echo lang('placeholder_discount_coupon');?>" value="<?php echo set_value('couponCode'); ?>"> 
					<div class="input-group-append couponClear" onclick="couponClear();">
						<span class="input-group-text">
							<i class="far fa-times-circle"></i>
						</span>
					</div>
					<span class="input-group-btn">
						<button class="btn btn-secondary" type="button" onclick="updateOrder(null);"><?php echo lang('label_apply_coupon');?></button>
					</span> 
    				<span id="couponLoad" style="display: none;">
    					<img style="margin-bottom: -3px;" src="<?php echo base_url('assets/images/loading.gif')?>">
    				</span>
			</div>
			<?php endif;?>
	<?php if(settings_item('fin.terms_and_conditions') == 1):?>
	<div class="row">
				<div class="col-sm-12">
					<div class="float-right">
					<div class="checkbox">
						<label> 
							<input type="checkbox" name="chk_terms" id="chk_terms" value='1' <?php echo set_checkbox('chk_terms', 1); ?>> 
							<?php echo sprintf(lang('label_conditions_checkbox'), '<a data-toggle="modal" data-target="#TermsModal" style="cursor: pointer;">'.lang('label_terms_conditions').'</a>');?>
   						</label>
					</div>
					<?php if(isset($wallet) && $wallet != 0):?>
					<div class="checkbox">
						<label> 
							<input type="checkbox" name="pay_using_wallet" value='1' <?php echo set_checkbox('pay_using_wallet', 1); ?>> 
							<?php echo lang('pay_using_wallet');?>
   						</label>
					</div>
					<?php endif;?>
					</div>
					<div id="TermsModal" class="modal fade" tabindex="-1" role="dialog"
						aria-labelledby="TermsAndConditions" aria-hidden="true">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h4 class="modal-title" id="TermsAndConditions"><?php echo $page->title;?></h4>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									  <span aria-hidden="true">&times;</span>
									</button>
								</div>
								<div class="modal-body"><?php echo $page->body;?></div>
								<div class="modal-footer">
									<button type="button" class="btn btn-secondary"
										data-dismiss="modal"><?php echo lang('form_close');?></button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
  <?php endif;?>	
  <div class="row top2">
		<div class="col-sm-12">				
			<?php if(isset($wallet) && $wallet != 0):?>
				<h3 class="float-left"><?php echo lang('available_cash'); ?><?php echo currency_format($wallet); ?></h3>
			<?php endif;?>
			<!-- Button -->
			<input type="submit" id="save" name="save" class="btn btn-primary btn-theme-primary float-right" value="<?php echo lang('btn_proceed_to_checkout');?>" />
		</div>
	</div>
	</div>
	</div>
	</div>
	</div>
</fieldset>
<?php echo form_close();?>