<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
/**
 * Common Contact Form
 * e.g. Usage: 
 * <?php echo view('widgets/others/_contact_form_01');?>
 * <?php echo view('widgets/others/_contact_form_01', array('free_layout' => true, 'field_only' => true, 'class' => 12, 'label_width' => 'col-sm-4', 'btn_class' => 'btn btn-theme-primary mt-2'));?>
 */
$field_only = !empty($field_only) ? true : false;
$form_class = !empty($form_class) ? ' ' . $form_class : '';
$form_class = $field_only ? $form_class . ' field-only-form' : '';
$record = (object) $this->session->userdata('user_info');
$label_width = !empty($label_width) ? $label_width : 'col-sm-3';
$class = !empty($class) ? (int) $class : 9;
$field_only = !empty($field_only) ? true : false;
$btn_class = (!empty($btn_class) ? $btn_class : 'btn btn-primary btn-theme-primary') . ' gc-btn-ajax';
?>
<div class="row">
	<div class="col-12 col-sm-12 col-lg-12">
		<?php if(empty($without_heading)): ?>
		<p><?php echo lang('heading_contact_form');?></p>
		<?php endif; ?>
        <?php echo form_open($this->uri->uri_string(), 'id="contactForm" class="gc-form-layout' . $form_class . '"'); ?>
        <div class="loader" style="display: none;">
            <img src="<?php echo gc_site_image('ajax-loader');?>" />
        </div>
        <div class="message-block"></div>
        <?php 
        if(isset($free_layout)):
        echo gc_form_element('text', array('name' => 'name', 'label_width' => $label_width, 'field_only' => $field_only, 'extra' => array('placeholder' => lang('placeholder_name'), 'data-minlength' => 4, 'data-minlength-error' => sprintf(lang('min_length'), lang('label_name'), 4), 'required' => true, 'data-error' => sprintf(lang('required'), lang('label_name')))), $record, lang('label_name'). lang('bf_form_label_required'), 'col-sm-' . $class);
        echo gc_form_element('email', array('name' => 'email', 'label_width' => $label_width, 'field_only' => $field_only, 'extra' => array('placeholder' => lang('placeholder_email'), 'required' => true, 'data-error' => sprintf(lang('required'), lang('label_email')))), $record, lang('label_email'). lang('bf_form_label_required'), 'col-sm-' . $class);
        echo gc_form_element('tel', array('name' => 'phone_number', 'label_width' => $label_width, 'field_only' => $field_only, 'extra' => array('placeholder' => lang('placeholder_phone_number'))), $record, lang('label_phone_number'), 'col-sm-' . $class);
        echo gc_form_element('textarea', array('name' => 'message', 'label_width' => $label_width, 'field_only' => $field_only, 'extra' => array('placeholder' => lang('placeholder_message'), 'data-minlength' => 5, 'data-minlength-error' => sprintf(lang('min_length'), lang('label_message'), 5), 'required' => 'required', 'data-error' => sprintf(lang('required'), lang('label_message')), 'rows' => 3)), $record, lang('label_message'). lang('bf_form_label_required'), 'col-sm-' . $class);
        echo gc_form_element('captcha_code', array('name' => 'captcha_code', 'label_width' => $label_width, 'field_only' => $field_only, 'extra' => array('placeholder' => lang('placeholder_captcha'))), $record, lang('captcha_code'). lang('bf_form_label_required'), 'col-sm-' . $class);
        else:
        ?>
		<label class="col-form-label" for="message"><?php echo lang('label_message');?>*</label>
			<div class="form-group has-feedback">				
				<textarea rows="3" cols="30" class="form-control input-sm" name="message" placeholder="<?php echo lang('placeholder_message');?>" data-minlength="5" data-minlength-error="<?php echo sprintf(lang('min_length'), lang('label_message'), 5);?>" required data-error="<?php echo sprintf(lang('required'), lang('label_message'));?>"></textarea>
				<span class="help-block with-errors no-margin"></span>
			</div>
			<div class="form-row">
				<div class="col-6 col-sm-6 col-lg-6">
				<label class="col-form-label" for="name"><?php echo lang('label_name');?>*</label>
					<div class="form-group has-feedback">						
						<input type="text" class="form-control input-sm" name="name" placeholder="<?php echo lang('placeholder_name');?>" data-minlength="4" data-minlength-error="<?php echo sprintf(lang('min_length'), lang('label_name'), 4);?>" required data-error="<?php echo sprintf(lang('required'), lang('label_name'));?>" value="<?php echo !empty($record->name) ? $record->name : ''; ?>" />
						<span class="help-block with-errors no-margin"></span>
					</div>
				</div>
				<div class="col-6 col-sm-6 col-lg-6">
				<label class="col-form-label" for="phone_number"><?php echo lang('label_phone_number');?></label>
					<div class="form-group has-feedback">						
						<input type="tel" class="form-control input-sm optional" name="phone_number" placeholder="<?php echo lang('placeholder_phone_number');?>" value="<?php echo !empty($record->phone_number) ? $record->phone_number : ''; ?>" /> 
						<span class="help-block with-errors no-margin"></span>
					</div>
				</div>
			</div>
			<div class="form-row">
				<div class="col-6 col-sm-6 col-lg-6">
				<label class="col-form-label" for="email"><?php echo lang('label_email');?>*</label>
					<div class="form-group has-feedback">						
						<input type="email" class="form-control input-sm" name="email" placeholder="<?php echo lang('placeholder_email');?>" required data-error="<?php echo sprintf(lang('required'), lang('label_email'));?>" value="<?php echo !empty($record->email) ? $record->email : ''; ?>" /> 
							<span class="help-block with-errors no-margin"></span>
					</div>
				</div>
				<div class="col-6 col-sm-6 col-lg-6">
					<div class="row">					
						<div class="col-7 col-md-7 col-lg-7">
						<label class="col-form-label" for="captcha_code"><?php echo lang('captcha_code');?>*</label>
							<div class="form-group has-feedback">								
								<input type="text" class="form-control input-sm" name="captcha_code" placeholder="<?php echo lang('placeholder_captcha');?>" data-minlength="1" data-minlength-error="<?php echo sprintf(lang('min_length'), lang('captcha_code'), 5);?>" required data-error="<?php echo sprintf(lang('required'), lang('captcha_code'));?>"/>
								<span class="help-block with-errors no-margin"></span>
							</div>
						</div>
						<div class="col-5 col-md-5 col-lg-5">
							<img id="contact_captcha" src="<?php echo site_url("securimage"); ?>" alt="CAPTCHA Image" class="mt-4 mb-2" />
							<a id="contact_update" href="#" onclick="document.getElementById('contact_captcha').src = '<?php echo site_url("securimage?"); ?>' + Math.random(); return false">
								<i class="fas fa-sync"></i>
							</a>
						</div>
					</div>
				</div>
			</div>
			<?php endif; ?>
			<input class="<?php echo $btn_class; ?>" type="submit" value="<?php echo lang('gc_action_submit');?>" name="submit">
            <?php echo form_close(); ?>
	</div>
</div>