<?php
$location_type = isset($location_type) ? $location_type : 'countries';
$limit = isset($limit) ? $limit : 5;
$module = isset($module) ? $module : 'listings';
$locations = $this->layouts->widget_locations($location_type, $module, $limit);
$heading = $wparams['heading'] || (!empty($wparams['heading']) && $wparams['heading'] != 2) ? true : false;
$heading_text = !empty($wparams['heading_text']) ? $wparams['heading_text'] : lang('explore_city');
$heading_sub_text = isset($wparams['heading_sub_text']) ? $wparams['heading_sub_text'] : lang('explore_by_location');
$display_more = !empty($wparams['hide_more']) ? false : true;
if(!empty($locations)):
?>
<section class="lc02__block">
    <div class="overlay bg-parallax" data-stellar-ratio="0.8" data-stellar-vertical-offset="0" data-background="" style='background: url("<?php echo site_url('assets/images/backgrounds/map.jpg'); ?>") no-repeat scroll center 0 / cover;'></div>
   <div class="container mt-lg-5 mb-lg-5 mt-sm-0 mb-sm-0">
      <?php if($heading):?>
         <div class="lc02__title text-center">
            <h2 class="text-white"><?php echo $heading_text; ?></h2>
            <?php if(!empty($heading_sub_text)):?>
            <p><?php echo lang('explore_by_location'); ?></p>
            <?php endif; ?>
         </div>
      <?php endif; ?>
      <div class="row lc02__grid" data-packery='{ "itemSelector": ".lc02__item", "gutter": 0 }'>
		<?php $i = 1;?>
		<?php foreach($locations as $location):?>
		<div class="wow fadeInUp lc02__item<?php echo $i == 1 ? ' col-sm-6' : ' col-sm-3'; ?>">
               <div class="lc02__bg">
                  <div class="lc02__img">
                     <a href="<?php echo $location->redirect_url; ?>" title="<?php echo $location->name; ?>">
                        <img src="<?php echo $location->image; ?>" alt="<?php echo $location->name;?>">
                     </a>
                  </div>
                  <div class="lc02__content">
                    <h5>
                        <a href="<?php echo $location->redirect_url; ?>" title="<?php echo $location->name; ?>">
                           <?php echo $location->name; ?>
                        </a>
					      </h5>
                     <p><?php echo isset($location->cities) ? ($location->cities . ' ' . lang('cities') . ' . ') : ''; ?><?php echo $location->listings . ' ' . lang('listings');?>
					         <?php echo $i == 1 ? ' . ' . $location->users . ' ' . lang('bf_users') : '';?>
					      </p>
                  </div>
               </div>
         </div>
		 <?php ++$i; ?>
		 <?php endforeach;?>
      </div>
      <?php if($display_more): ?>
      <div class="text-center">
      	<a href="<?php echo gc_url_format('locations'); ?>" class="btn btn-theme" title="<?php echo lang('more_locations')?>"><?php echo lang('more_locations');?></a>
      </div>
      <?php endif; ?>
   </div>
</section>
<?php endif;?>