<?php
/**
 * Search Fields
 * @var array $data
 * Usage:
 * echo view('widgets/search/_fields', array('data' => $data));
 */
$data = isset($data) ? $data : array();
$field_class = isset($data['class']) ? ' ' . $data['class'] : '';
$type = isset($data['field']) ? $data['field'] : '';
switch($type):
case 'submit': ?>
        <button type="submit" class="btn btn-info<?php echo !empty($field_class) ? $field_class : ' btn-theme-secondary'; ?>" name="search">
        	<?php 
            $btn_tpl = !empty($data['tpl']) ? $data['tpl'] : '';
            switch($btn_tpl):
            case 'text_only':
                echo lang('bf_action_search');
                break;
            case 'icon_text':
                echo '<i class="fas fa-search fa-fw mr-1"></i><span class="btn-search-text">' . lang('bf_action_search') . '</span>';
                break;
            default:
                echo '<i class="fas fa-search"></i>';
            endswitch;?>            
        </button>
	<?php
        break;
    case 'query':
        $keyword = isset($data['keyword']) ? $data['keyword'] : '';
        $field = '<input class="typeahead form-control typeahead-search' . $field_class . '" name="q" autocomplete="off" type="text" value="' . $keyword . '" placeholder="' . lang('header_search_term'). '">';
        if(!empty($data['group'])):
    ?>
        <div class="input-group input-group-btn">
            <?php echo $field; ?>
        	<div class="input-group-append">
        		<button type="submit" class="<?php echo !empty($data['btn_class']) ? $data['btn_class'] : 'btn btn-info btn-theme-secondary'; ?>" name="search">
        			<i class="fas fa-search"></i>
        		</button>
        	</div>
        </div>
        <?php
        else:
            echo $field;
        endif;
        break;
    case 'category': 
        $selected_category = isset($data['category']) ? $data['category'] : 0;
        ?>
        <?php if(!empty(settings_item('site.categories_modules'))):   
        $field_id = !empty($data['field_id']) ? $data['field_id'] : mt_rand(10, 99);
        $this->load->library('goclixy/gclosure');
        $gclosure = new Gclosure('categories', 'categories_hierarchy');
        $categories_tree = $gclosure->prepare_search_tree();
        $search_tree = json_encode($categories_tree['tree']); 
        $initial_category = array();
        if(!empty($categories_tree['tree'])):
            $initial_category = reset($categories_tree['tree_key_ids']);       
        endif;
        $selected_category = !empty($_GET['cg']) ? (int) $_GET['cg'] : (!empty($initial_category['id']) ? $initial_category['id'] : 0);
        $selected_category_info = !empty($categories_tree['tree_key_ids'][$selected_category]) ? $categories_tree['tree_key_ids'][$selected_category] : array();
        ?>
        <select id="categories_modules_<?php echo $field_id; ?>" name="cg" placeholder="<?php echo lang('header_select_category'); ?>" class="selectize-categories-modules form-control<?php echo $field_class; ?>" data-items='<?php echo $search_tree; ?>' data-selectize-value='<?php echo json_encode($selected_category_info); ?>'>
        </select>
        <?php else: ?>
		<select name="cg" placeholder="<?php echo lang('header_select_category'); ?>" class="select-category form-control<?php echo $field_class; ?>">
            <option value="0"<?php echo $selected_category == 0 ? ' selected': ''; ?>><?php echo lang('header_select_category'); ?></option>
			<?php if(!empty($data['categories'])): ?>
			<?php foreach($data['categories'] as $category): ?>
			    <option value="<?php echo $category->id; ?>"<?php echo $selected_category == $category->id ? ' selected': ''; ?>><?php echo $category->name; ?></option>
			<?php endforeach; ?>
			<?php endif;?>
        </select>
        <?php endif;?>
    <?php
        break;
    case 'location': 
        $last_search_params = $this->session->userdata('last_search_params');
        if(empty($data['location']) && !empty($last_search_params['l'])):
            $data['location'] = $last_search_params['l'];
            $data['type_location'] = isset($last_search_params['mtl']) ? $last_search_params['mtl'] : 1;
        endif;
        ?>
        <input class="form-control typeahead-location<?php echo $field_class; ?>" name="l" autocomplete="off" type="text" value="<?php echo isset($data['location']) ? $data['location'] : ''; ?>" placeholder="<?php echo lang('header_location_term'); ?>">
        <input type="hidden" name="tl" class="tl" value="<?php echo isset($data['type_location']) ? $data['type_location'] : 1; ?>">
	<?php
        break;
    case 'locality':
        $locality = isset($data['locality']) ? $data['locality'] : 0;
    ?>        
    	<select name="lt" placeholder="<?php echo lang('header_select_locality'); ?>" class="select-locality form-control<?php echo $field_class; ?>">
			<option value="0"<?php echo $locality == 0 ? ' selected': '' ?>><?php echo lang('header_select_locality'); ?></option>
    		<?php
    		if(!empty($data['localities'])):
            foreach($data['localities'] as $area): ?>
            <option value="<?php echo $area->id; ?>"<?php echo $locality == $area->id ? ' selected': ''; ?>><?php echo $area->name; ?></option>
            <?php
            endforeach;
            endif;
            ?>
    	</select>
    <?php 
        break; 
    case 'city':
        $default_city = isset($data['city']) ? $data['city'] : 0;
        $location = isset($data['location']) ? $data['location'] : 0;
    ?>
        <input type="hidden" name="search-country" class="search-country" value="<?php echo isset($data['country']) ? $data['country'] : 'US'; ?>" />
        <input type="hidden" name="search-state" class="search-state" value="<?php echo isset($data['state']) ? $data['state'] : 0; ?>" />
        <input type="hidden" name="tl" class="tl" value="<?php echo isset($data['type_location']) ? $data['type_location'] : 1; ?>">
        <select name="l" placeholder="<?php echo lang('header_select_city'); ?>" class="select-city form-control<?php echo $field_class; ?>">
            <option value=""><?php echo lang('header_select_city'); ?></option>
            <?php if(!empty($data['cities'])): ?>
            <?php foreach($data['cities'] as $city):?>
            <option value="<?php echo $city->id; ?>"<?php echo $default_city == $city->id || $location == $city->id ? ' selected': ''; ?>><?php echo $city->name; ?></option>
            <?php endforeach; ?>
            <?php endif; ?>
        </select>
    <?php 
        break; 
    case 'module':
        $modules = gc_modules();
        $modules[] = 'videos';
        if(!empty($_GET['md'])):
            $this->session->set_userdata('search_module', $_GET['md']);
        elseif(!empty($data['module'])):
            $this->session->set_userdata('search_module', gc_module_id($data['module']));
        endif;
        ?>
        <select name="md" placeholder="<?php echo lang('header_select_module'); ?>" class="form-control<?php echo $field_class; ?>">
        <?php foreach($modules as $module): 
        $module_id = gc_module_id($module);
        ?>
        	<option value="<?php echo $module_id; ?>"<?php echo (int) $this->session->userdata('search_module') == $module_id ? ' selected': ''; ?>><?php echo gc_module_translation($module); ?></option>
        <?php endforeach; ?>
        </select>
        <?php
        break;
    default: 
        // load field from the fields table
        $data['record'] = !empty($_GET) ? $_GET : array();
        echo $this->fields_model->get_type_with_options($type, $data);
endswitch; ?>