<?php 
/**
 * Note: if any field is not appearing in the filter list, check for the filter_type value in the Field Extra input field
 * It must be either slider or checkbox
 * @var number $category_id
 */
$category_id = !empty($_GET['cg']) ? (int) $_GET['cg'] : 0;
$module_id = !empty($_GET['md']) ? (int) $_GET['md'] : 0;
$module = !empty($module_id) ? gc_module_name($module_id) : (!empty($module) ? $module : 'listings');
$module = in_array($module, gc_modules()) || $module == 'videos' ? $module : 'listings';
$filter_fields = $this->listings_model->get_filter_fields($category_id, $module);
// form must be available for ajax view, else infinite scroll will not work
echo form_open(gc_url_format('search'), array('method'=>'get', 'class' => "form-horizontal searchbar" . (!empty($params['parent_class']) ? ' ' . $params['parent_class'] : ''), "id" => "filterForm"));
// URL parameters are passed through jQuery
if(!empty($row_type) && !empty($row_info)):
    switch($row_type):
        case 'cities':
            echo form_hidden('l', $row_info->id);
            echo form_hidden('tl', 1);
            break;
        case 'categories':
            echo form_hidden('cg', $row_info->id);
            break;
        case 'tags':
            echo form_hidden('t', $row_info->id);
            break;
    endswitch;
endif;
if(!empty($filter_fields)):
$site_currency = (array) $this->session->userdata('site_currency');
$site_currency = !empty($site_currency['symbol']) ? $site_currency['symbol'] : 'USD';
?>
<?php if(empty($heading) || $heading == 1): ?>
    <h2 class="heading-theme-tertiary text-uppercase"><?php echo lang('bf_action_filter'); ?></h2>
<?php endif; ?>
<div class="gcsearch_filter_layouth" data-currency="<?php echo $site_currency; ?>">
<?php 
    $f = 0; // different css class for each slider to have a different look
    $c = 0; // different css class for each checkbox to have a different look
    foreach($filter_fields as $filter_field):
        $field_name = $filter_field['name'];
        $field_label = !empty($filter_field['label_lang']) ? lang($filter_field['label']) : $filter_field['label'];
        $value = $filter_field['options'];
        switch($filter_field['type']) {
            case 'slider':
                $f++; 
                $min = $value['min'];
                $max = $value['max'];
                $display_min = $min;
                $display_max = $max;
                if($field_name == 'price'): // convert price as user default currency
                $display_min = currency_format($min);
                $display_max = currency_format($max);
                $min = (int) currency_format($min, array('price_only' => true));
                $max = (int) currency_format($max, array('price_only' => true));
                endif;		
                ?>
            <a href="javascrip:void()" data-toggle="collapse" data-target="#<?php echo $field_name; ?>_slide" aria-expanded="false" class="collapsed gcsearch_filter text-decoration-none">
                <i class="icon-control fas fa-chevron-down"></i>
                <span class="order-first h3 d-block"><?php echo $field_label; ?></span>
            </a>
            <div class="filter-content collapse in show gcsearch_filter_collapse filter-slider-<?php echo $f; ?>" id="<?php echo $field_name; ?>_slide" style="">         
                <div class="list-group slider">
                    <input name="f[<?php echo $field_name; ?>_min]" type="hidden" id="<?php echo $field_name; ?>_min" class="slider-min" value="<?php echo $min; ?>" />
                    <input name="f[<?php echo $field_name; ?>_max]" type="hidden" id="<?php echo $field_name; ?>_max" class="slider-max" value="<?php echo $max; ?>" />
                    <input type="hidden" id="<?php echo $field_name; ?>_step" value="<?php echo $value['step']; ?>">
                    <p class="gcsearch_filter_view" id="<?php echo $field_name; ?>_show"><?php echo $display_min; ?> - <?php echo $display_max; ?></p>
                    <div id="<?php echo $field_name; ?>" class="slider-range"></div>
                </div>
            </div>
            <?php
                break;
            case 'checkbox': $c++; ?>
            <a href="javascrip:void()" data-toggle="collapse" data-target="#<?php echo $field_name; ?>_slide" data-abc="true" aria-expanded="false" class="collapsed gcsearch_filter text-decoration-none">
                <i class="icon-control fa fa-chevron-down"></i>
                <span class="order-first h3 d-block text-truncate"><?php echo $field_label; ?></span>
            </a> 
            <div class="filter-content collapse in show gcsearch_filter_collapse filter-checkboxes filter-checkbox-<?php echo $f; ?>" id="<?php echo $field_name; ?>_slide" style="">         
                <div class="list-group slider"> 
                    <div id="brand gcsearch_filter_brand w-100 ecomsta-filter">
                    <?php
                    foreach($value as $key => $val):
                    ?>
                    <div class=" checkbox border-0 gcsearch_filter_group">
                        <input name="f[<?php echo $field_name; ?>][]" type="checkbox" id="<?php echo $key; ?>_checkbox" class="filter-checkbox common-selector" value="<?php echo $key; ?>" >
                        <label for="<?php echo $key; ?>_checkbox" class="m-0 text-truncate"><?php echo $val; ?></label>
                        </div>
                    <?php endforeach; ?>
                    </div>
                </div>
            </div>
            <?php
                break;
            case 'dropdown': $c++; ?>
            <a href="javascrip:void()" data-toggle="collapse" data-target="#<?php echo $field_name; ?>_slide" aria-expanded="false" class="collapsed gcsearch_filter text-decoration-none">
                <i class="icon-control fas fa-chevron-down"></i>
                <span class="order-first h3 d-block text-truncate"><?php echo $field_label; ?></span>
            </a> 
            <div class="filter-content collapse in show gcsearch_filter_collapse filter-dropdowns filter-dropdown-<?php echo $f; ?>" id="<?php echo $field_name; ?>_slide" style="">         
                <div class="list-group slider">
					 <select name="f[<?php echo $field_name; ?>]" class="w-100 ecomsta-filter custom-select gcsearch_filter_group">
					 	<?php foreach($value as $key => $val): ?>
                        <option value="<?php echo $key; ?>"><?php echo $val; ?></option>
					 	<?php endforeach; ?>
                      </select>
                </div>
            </div>
            <?php
                break;
            case 'text': $c++; ?>
            <a href="javascrip:void()" data-toggle="collapse" data-target="#<?php echo $field_name; ?>_slide" aria-expanded="false" class="collapsed gcsearch_filter text-decoration-none">
                <i class="icon-control fas fa-chevron-down"></i>
                <span class="order-first h3 d-block text-truncate"><?php echo $field_label; ?></span>
            </a> 
            <div class="filter-content collapse in show gcsearch_filter_collapse filter-dropdowns filter-text-<?php echo $f; ?>" id="<?php echo $field_name; ?>_slide" style="">         
                <div class="list-group slider">
                	 <input name="f[<?php echo $field_name; ?>]" type="text" id="<?php echo $field_name; ?>_text" class="filter-text common-selector form-control" value="" >
                </div>
            </div>            
            <?php
                break;
        }
    endforeach;    
?>
</div>
<button type="submit" class="btn btn-block btn-theme-primary btn-filter mb-2" name="filter"><?php echo lang('gc_action_submit'); ?></button>
<?php 
endif;
echo form_close();
?>