<?php 
$data = array(
    'country' => isset($default_country) ? $default_country : 'US', 
    'state' => isset($default_state) ? $default_state : 0, 
    'city' => (isset($default_city) ? $default_city : 0), 
    'location' => (isset($searchLocation) ? $searchLocation : ''), 
    'type_location' => (isset($type_location) ? $type_location : 1),
    'cities' => (isset($cities) ? $cities : array()),
    'localities' => (isset($localities) ? $localities : array()),
    'category' => (isset($searchCategory) ? $searchCategory : 0),
    'categories' => (!empty($header_categories) ? $header_categories : array()),
    'keyword' => (isset($searchKeyword) ? $searchKeyword : '')
);
/**
 * Specify Block Type
 * @var string $block_type
 * input-group - wrap all fields in an Input Group
 * horizontal - display all fields with labels in columns
 * none - default search block in multiple columns
 */
$block_type = isset($block_type) ? $block_type : 'none';
$module = isset($module) ? $module : 'listings';
$action_url = gc_url_format('search');
if($module != 'listings') {
    $action_url .= '?md=' . gc_module_id($module);
}
switch($block_type) {
    case 'horizontal':
?>
<div class="form-group row">
    <label for="colFormLabelLg" class="col-sm-3 col-form-label col-form-label-lg"><?php echo lang('header_search_term');?></label>
    <div class="col-sm-9">
    	<?php 
    	$data['field'] = 'query';
    	$data['class'] = 'w-100 form-control-lg';
    	echo theme_view('widgets/search/_fields', array('data' => $data));
    	?>
    </div>
  </div>
  <div class="form-group row">
    <label for="colFormLabelLg" class="col-sm-3 col-form-label col-form-label-lg"><?php echo lang('header_location_term');?></label>
    <div class="col-sm-9">
        <?php 
        $data['field'] = 'location';
        $data['class'] = 'form-control-lg w-100';
        echo theme_view('widgets/search/_fields', array('data' => $data));
        ?>
    </div>
  </div>
  <div class="form-group row">
    <label for="colFormLabelLg" class="col-sm-3 col-form-label col-form-label-lg"><?php echo lang('label_select_category');?></label>
    <div class="col-sm-9">
    	<?php 
    	$data['field'] = 'category';
    	$data['class'] = 'search-selectize selectize-first-child form-control-lg p-0';
    	echo theme_view('widgets/search/_fields', array('data' => $data));
    	?>
    </div>
  </div>
  <div class="form-group row">
    <div class="offset-sm-3 col-sm-9">
      <button type="submit" name="search" class="btn btn-primary btn-block"><?php echo lang('bf_action_search');?></button>
    </div>
  </div>
</form>
<?php
        break;
    case 'input-group':
        if(settings_item('adv.search_blocks') == 1):
            $data['field'] = 'city';
            $data['class'] = 'form-control-lg w-100 rounded-0';
            echo theme_view('widgets/search/_fields', array('data' => $data));
        elseif(settings_item('adv.search_blocks') == 2):
            $data['field'] = 'category';
            $data['class'] = 'search-selectize selectize-first-child form-control-lg p-0 rounded-0';
            echo theme_view('widgets/search/_fields', array('data' => $data));
        endif;
        if(settings_item('adv.search_blocks') == 1):
            $data['field'] = 'locality';
            $data['class'] = 'form-control-lg w-100 rounded-0';
            echo theme_view('widgets/search/_fields', array('data' => $data));
        elseif(settings_item('adv.search_blocks') == 2 || settings_item('adv.search_blocks') == 3):
            $data['field'] = 'location';
            $data['class'] = 'search-input form-control-lg w-100 rounded-0';
            echo theme_view('widgets/search/_fields', array('data' => $data));
        endif;
        $data['field'] = 'query';
        $data['class'] = 'search-input w-100 form-control-lg rounded-0';
        echo theme_view('widgets/search/_fields', array('data' => $data));
        $data['field'] = 'submit';
        $data['class'] = 'search-btn';
        echo theme_view('widgets/search/_fields', array('data' => $data));
        break;
    default:
?>
<form class="navbar-form form mt-2" role="search" method="get" id="search-form" action="<?php echo $action_url;?>" name="search-form">
<div class="form-row">
    <div class="form-group col-md-6">
    	<?php
    	if(settings_item('adv.search_blocks') == 1): 
    	   $data['field'] = 'city';
    	   echo theme_view('widgets/search/_fields', array('data' => $data));
    	elseif(settings_item('adv.search_blocks') == 2 || settings_item('adv.search_blocks') == 3):
    	   $data['field'] = 'location';
    	   $data['class'] = 'search-input form-control-lg rounded-0 w-100';
    	   echo theme_view('widgets/search/_fields', array('data' => $data));
    	endif;
    	?>
    </div>
    <div class="form-group col-md-6">
    	<?php
    	if(settings_item('adv.search_blocks') == 1): 
    	   $data['field'] = 'locality';
    	   $data['class'] = '';
    	   echo theme_view('widgets/search/_fields', array('data' => $data));
    	elseif(settings_item('adv.search_blocks') == 2):
    	   $data['field'] = 'category';
    	   $data['class'] = '';
    	   echo theme_view('widgets/search/_fields', array('data' => $data));
    	elseif(settings_item('adv.search_blocks') ==3):
        	$data['field'] = 'query';
        	$data['group'] = true;
        	$data['class'] = 'search-input w-100 rounded-0 form-control-lg';
        	echo theme_view('widgets/search/_fields', array('data' => $data));
    	endif;
    	?>
    </div>
 </div>
 <?php 
 if(settings_item('adv.search_blocks') == 1 || settings_item('adv.search_blocks') == 2 || settings_item('adv.search_blocks') == 4):
 $data['field'] = 'query';
 $data['group'] = true;
 $data['class'] = 'search-input w-100 rounded-0 form-control-lg';
 echo theme_view('widgets/search/_fields', array('data' => $data));
 /*$data['field'] = 'module';
 $data['class'] = 'search-module w-100 rounded-0 form-control-lg';
 echo theme_view('widgets/search/_fields', array('data' => $data));
 */
 endif;
}
?>
</form>