$(document).ready(function() {    
	var currency = $('.gcsearch_filter_layout').data('currency') + ' ';
    var site_url = $('#site_url').val();
    var home_url = $('#site_url').data('home');
    if(typeof home_url !== 'undefined') {
        site_url = home_url;
    }
    var csrf_token = $.cookie('ci_csrf_token');
	var queryParams = getUrlVars(); // get category and search query strings

    /*--------------------------------------------*/
    /* Filter Form - Send data to Ajax Function
     *--------------------------------------------*/
    $("#filterForm").submit(function(e) {
        e.preventDefault(); // avoid to execute the actual submit of the form.
        var form = $(this);
        var url = form.attr('action');
        $.getJSON(site_url + "ajax/get", form.serialize() + "&view_id=" + $('.gc-view-page').data('id') + queryParams, function(data) { //get Item count from Server
            $(".infinite-scroll").html(data.html); // update Item count in cart-info
			formInfiniteScroll(form);
        });
    });
    // initialize the infinite Scroll
    formInfiniteScroll($("#filterForm"));

    /*--------------------------------------------*/
    /* Form Initialize Infinite Scroll
     *--------------------------------------------*/
    function formInfiniteScroll(form) {
        // Initialize/Re-initialize the infinite scroll on filter change
        $elem = $('.infinite-scroll');

        // destroy the infiniteScroll on filter submit
        // check if the infiniteScroll is initialized or not
        if(typeof $elem.data('infinitescroll') !== 'undefined') {
            $elem.infiniteScroll('destroy');
        }
        // $elem.infiniteScroll('destroy'); // throwing non-initialize message
        // set data to null
        $elem.data('infinitescroll', null);
        $elem.removeData('infiniteScroll');
        // remove other event handlers before reattaching new event handlers
        // https://stackoverflow.com/questions/55602504/endpoint-being-called-twice-in-infinite-scroll
        $elem.off('load.infiniteScroll'); // Remove all event handlers first
        infiniteScroll(form);
        if(typeof rating == 'function') {
        	$('.rating').rating(); // refresh ratings
		}
        // add items to the lazyload plugin
        instanceLazy.addItems('img.lazyload');
        instanceLazy.update();
        $('[data-toggle="tooltip"]').tooltip(); // initialize tooltip on dynamic elements
    }

    /*--------------------------------------------*/
    /* Initialize Infinite Scroll
     *--------------------------------------------*/
	function infiniteScroll(form) {		
		/* Infinite Scroll */	
		let $container = $('.infinite-scroll').infiniteScroll({
			path: function() {
				return site_url + "ajax/get?" + form.serialize() + "&view_id=" + $('.gc-view-page').data('id') + queryParams + "&page=" + (this.pageIndex + 1); // + this.pageIndex;
			},
			// load response as text
			responseType: 'text',
			append: false,
			status: '.page-load-status',
			checkLastPage: false,
			history: false,
            button: '.view-more-button', // comment to disable button scroll
            scrollThreshold: false // comment to disable button scroll
		});

		$container.on( 'load.infiniteScroll', function( event, response ) {
			// parse response into JSON data
			var data = JSON.parse( response );
			$container.append(data.html); // append data
			if(typeof rating == 'function') {
				$('.rating').rating(); // refresh ratings
			}
            
			// add items to the lazyload plugin
			if(typeof lazyInstance !== 'undefined') {
				lazyInstance.destroy();
			}
			var lazyInstance = $("img.lazyload").Lazy({
				chainable: false,
				effect: "fadeIn",
				effectTime: 1000,
				threshold: 0
			});
			lazyInstance.addItems('img.lazyload');
			lazyInstance.update();
			$('[data-toggle="tooltip"]').tooltip(); // initialize tooltip on dynamic elements
		});
	}

    /*--------------------------------------------*/
    /* Submit Form and send data to Ajax Function
     *--------------------------------------------*/
    function filter_data() {
        $('.filter_data').html('<div id="loading" style="" ></div>');
        $("#filterForm").submit();
    }

    /*--------------------------------------------*/
    /* Common Selector
     *--------------------------------------------*/
    $('.common-selector').click(function() {
        filter_data();
    });
    
    /*--------------------------------------------*/
    /* Slider Range Filter
     *--------------------------------------------*/
    if($(".slider-range").length) {
        $(".slider-range").each(function() {
            var fieldName = $(this).attr('id');
            var min = parseInt($('#' + fieldName + '_min').val());
            var max = parseInt($('#' + fieldName + '_max').val());
            var step = parseInt($('#' + fieldName + '_step').val());
            $(this).slider({
                range:true,
                min: min,
                max: max,
                values: [min, max],
                step: step,
                stop:function(event, ui)
                {
					if(fieldName == 'price') {
                    	$('#' + fieldName + '_show').html(currency + ui.values[0] + ' - ' + currency + ui.values[1]);
					} else {
						$('#' + fieldName + '_show').html(ui.values[0] + ' - ' + ui.values[1]);
					}
                    $('#' + fieldName + '_min').val(ui.values[0]);
                    $('#' + fieldName + '_max').val(ui.values[1]);
                    filter_data();
                }
            });
        });
    }

    /*--------------------------------------------*/
    /* Get current URL query string parameters
     *--------------------------------------------*/
	function getUrlVars() {
		var queryStrings = '';
	    var vars = {};
	    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi,    
	    function(m, key,value) {
			switch(key) {
                case 'md':
                case 'l':
                case 'tl':
                case 'cg':
                case 'q':
					queryStrings += '&' + key + '=' + value;
					break;
			}
	      	vars[key] = value;
	    });
	    return queryStrings;
	}
});