<?php foreach($records as $record): ?>
<?php $isFeatured = !empty($isFeatured) ? 1 : 0; ?>
<?php $google_business = isset($record->google_business) ? true : false; ?>
<div class="gc-grid-col-<?php echo !empty($cols) ? $cols : 6; ?>">
	<div class="sw02 card card-default<?php echo $isFeatured && isset($record->color_scheme) ? ' sponsored' : ''?>" <?php echo $isFeatured && isset($record->color_scheme) ? 'style="background-color: ' . $record->color_scheme . '; border-color: ' . $record->border_color .';" role="alert"' : '' ?>>
		<div class="card-body">
			<div class="row top2">
				<div class="col-sm-2">
					<?php echo theme_view('widgets/modules/tpl/_cover', array('record' => $record, 'parent_class' => '')); ?>
				</div>
				<div class="col-sm-10">
					<div class="row">
					<div class="col-sm-8">
						<h3 class="sw02__title heading-theme-tertiary text-truncate">
							<?php if(!empty($record->start_date) && $record->start_date != '0000-00-00 00:00:00'):?>
							<span class="desc-date float-left margin-right-10">
								<span class="dbinds"></span>
								<span class="dmonth"><?php echo split_datetime($record->start_date, 'month');?></span>
								<span class="dday"><?php echo split_datetime($record->start_date, 'day');?></span>
							</span>
							<?php endif;?>
							<a href="<?php echo $record->redirect_url; ?>" title="<?php echo $record->title;?>">
								<?php echo $record->title;?>
							</a>
						</h3>
						<div class="sw02__item">
						<?php if(isset($record->salary)):?>
							<span data-toggle="tooltip" title="<?php echo lang('label_salary'); ?>"><i class="fas fa-tag"></i><?php echo $record->salary;?></span>
						<?php endif;?>
						<?php if(isset($record->max_experience) && $record->max_experience != 0):?>
						<span data-toggle="tooltip" title="<?php echo lang('label_job_experience'); ?>"><i class="fas fa-briefcase"></i>
							<?php echo $record->min_experience .' - '. $record->max_experience. ' '. lang('job_exp_yrs'); ?>
						</span>
						<?php endif;?>
						<?php if(isset($record->code)):?>
							<span data-toggle="tooltip" title="<?php echo lang('label_coupon_code');?>"><i class="fas fa-tag"></i> <kbd><?php echo $record->code;?></kbd></span>
							<span data-toggle="tooltip" title="<?php echo lang('label_status');?>"><i class="fas fa-clock"></i>
								<?php if(isset($record->expires_on) && $record->expires_on > date('Y-m-d')):?>
								<?php echo lang('label_expires_on');?>: <?php echo gc_date_format($record->expires_on);?>
								<?php else:?>
								<span class="badge badge-danger"><?php echo lang('status_expired'); ?></span>
								<?php endif;?>
							</span>
						<?php endif;?>																	
						<?php if(isset($record->type)):?>										
							<span data-toggle="tooltip" title="<?php echo lang('label_type');?>"><i class="fas fa-hand-o-right"></i> <?php echo $record->type;?></span>										
						<?php endif;?>
						<?php if(!empty($record->squarefeet)):?>
							<span data-toggle="tooltip" title="<?php echo lang('label_coverage_area');?>"><i class="fas fa-building"></i> <?php echo $record->squarefeet;?></span>
						<?php endif;?>						
						<?php if(isset($record->created_on) && !$google_business):?>
							<span class="sw02__optional" data-toggle="tooltip" title="<?php echo lang('label_posted_on');?>"><i class="fas fa-calendar"></i> <?php echo $record->created_on;?></span>
						<?php endif;?>
						<?php if(!empty($record->hits)):?>
							<span class="sw02__optional" data-toggle="tooltip" title="<?php echo lang('label_hits');?>"><i class="fas fa-eye"></i> <?php echo $record->hits;?></span>
						<?php endif; ?>
						</div>
						<?php if(!empty($record->price)):?>
						<button class="btn btn-price"><?php echo lang('label_price')?>: <kbd><?php echo $record->price;?></kbd></button>
						<?php endif;?>	
						<?php echo theme_view('widgets/modules/tpl/_address', array('record' => $record, 'parent_class' => 'sw02__address text-truncate mr-3', 'icon' => 1)); ?>
						<?php echo theme_view('widgets/modules/tpl/_ratings', array('record' => $record, 'hide_average_rating' => false, 'hide_total_users' => true, 'parent_class' => '', 'child_class' => '')); ?>
					</div>
					<div class="col-sm-4">
						<?php if(!empty($record->mobile_number) || !empty($record->phone_number)): ?>
						<div class="row">
							<div class="col-12">								
								<div class="tel float-right margin-bottom-xs text-truncate">
									<i class="fas fa-phone-volume fa-fw"></i>									
									<?php if(!empty($record->mobile_number) && !empty($record->phone_number)):?>
									<?php echo $record->mobile_number;// .' | '.$record->phone_number; ?>
									<?php elseif(!empty($record->mobile_number)):?>
									<?php echo $record->mobile_number; ?>
									<?php elseif(!empty($record->phones_number)):?>
									<?php echo $record->phone_number; ?>
									<?php endif;?>											
								</div>
							</div>
						</div>
						<?php endif;?>
						<ul class="sw02__list list-inline d-flex float-right">
							<?php echo theme_view('widgets/modules/tpl/_trusted_seal', array('record' => $record, 'tpl' => 'list', 'parent_class' => 'sclt-seal list-inline-item', 'icon' => 1)); ?>
						<?php if(!empty($record->website)):?>
						<li class="list-inline-item"><a href="<?php echo $record->website?>" target="_blank" rel="nofollow"><i class="fas fa-globe"></i> <span class="fa-class"><?php echo lang('label_website');?></span></a></li>
						<?php endif;?>
						<?php if(!$google_business && settings_item('lst.business_query') == 1):?>
						<li class="list-inline-item">
						<?php echo theme_view('widgets/modules/tpl/_query', array('record' => $record, 'tpl' => 'default', 'parent_class' => '', 'icon' => 'far fa-envelope fa-lg fa-fw', 'lang_string' => 'label_query')); ?>
						</li>
						<?php endif; ?>
						<li class="list-inline-item">
							<a role="button" class="txt-decoration" href="<?php echo $record->redirect_url; ?>">
								<i class="fas fa-list"></i>
								<span><?php echo lang('label_details');?></span>
							</a>
						</li>
						</ul>	    
						<?php if(!empty($record->open_now)):?>
						<div class="btn btn-success btn-sm float-right"><?php echo lang('open_now');?></div>
						<?php endif;?>
						</div>							
					</div>	
					<div class="row">
						<div class="col-sm-12">
							<p class="sw02__description"><?php echo truncate_text(strip_tags(html_entity_decode($record->description)), 200);?></p>
						<?php if(!empty($record->tags)):?>
						<div class="row top2">
							<div class="col-sm-12">
								<small><strong><?php echo lang('label_tags');?>:</strong> <?php echo $record->tags; ?> <a href="<?php echo $record->redirect_url; ?>"><?php echo lang('more_info');?>...</a></small>
							</div>
						</div>
						<?php endif;?>						
						<?php if(!empty($record->locality_id) && !empty($record->locality)):?>
						<div class="row">
							<div class="col-sm-12">
								<small>
									<strong><?php echo lang('label_area');?>:</strong>
									<a href="<?php echo gc_listing_search_url ($searchKeyword, $record->city, $record->city_id, $searchCategory, $record->locality_id);?>"><?php echo $record->locality; ?></a>
								</small>
							</div>
						</div>
						<?php endif;?>
						</div>
					</div>							
				</div>
			</div>
		</div>
	</div>
</div>
<?php endforeach; ?>