<?php foreach($records as $record):
$isFeatured = isset($isFeatured) ? $isFeatured : false; ?>
<?php $google_business = isset($record->google_business) ? true : false; ?>
<div class="gc-grid-col-<?php echo !empty($cols) ? $cols : 6; ?>">
<div class="sw03">
    <div class="row m-0">
        <div class="sw03__img p-2">
        <?php echo theme_view('widgets/modules/tpl/_cover', array('record' => $record, 'parent_class' => '', 'child_class' => '')); ?>
        <?php if($isFeatured) : ?>
            <div class="sw03__ribbon"><?php echo lang('label_featured') ;?></div>
        <?php endif; ?>
        </div>
        <div class="sw03_area p-2">
            <div class="row m-0">
                <div class="col-sm-7 col-lg-8 col-12 sw03_headings">
                    <a href="<?php echo $record->redirect_url; ?>" title="<?php echo $record->title;?>">
                        <?php if(!empty($record->start_date) && $record->start_date != '0000-00-00 00:00:00'):?>
                        <span class="desc-date float-left margin-right-10">
                            <span class="dbinds"></span>
                            <span class="dmonth"><?php echo split_datetime($record->start_date, 'month');?></span>
                            <span class="dday"><?php echo split_datetime($record->start_date, 'day');?></span>
                        </span>
                        <?php endif;?>
                        <?php echo theme_view('widgets/modules/tpl/_title', array('record' => $record, 'parent_class' => 'heading-theme-tertiary mb-1 text-truncate')); ?>
                    </a>
                    <?php echo theme_view('widgets/modules/tpl/_address', array('record' => $record, 'parent_class' => 'sw03__address text-truncate-2 mb-0', 'icon' => 1)); ?>
                    <?php echo theme_view('widgets/modules/tpl/_ratings', array('record' => $record, 'tpl' => 'default', 'hide_total_users' => true, 'hide_average_rating' => true, 'parent_class' => '')); ?>
                    <div class="sw03_item m-0">
                        <?php if(isset($record->created_on) && !$google_business):?>
                            <span data-toggle="tooltip" title="<?php echo lang('label_posted_on');?>"><i class="fas fa-calendar"></i> <?php echo $record->created_on;?></span>
                        <?php endif;?>
                        <?php if(!empty($record->hits)):?>
                        <span data-toggle="tooltip" title="<?php echo lang('label_hits');?>"><i class="fas fa-eye"></i> <?php echo $record->hits;?></span>
                        <?php endif; ?>
                        <?php if(isset($record->salary)):?>
                            <span data-toggle="tooltip" title="<?php echo lang('label_salary'); ?>"><i class="fas fa-tag"></i><?php echo $record->salary;?></span>
                        <?php endif;?>
                        <?php if(isset($record->max_experience) && $record->max_experience != 0):?>
                        <span data-toggle="tooltip" title="<?php echo lang('label_job_experience'); ?>"><i class="fas fa-briefcase"></i>
                            <?php echo $record->min_experience .' - '. $record->max_experience. ' '. lang('job_exp_yrs'); ?>
                        </span>
                        <?php endif;?>
                        <?php if(isset($record->code)):?>
                            <span data-toggle="tooltip" title="<?php echo lang('label_coupon_code');?>"><i class="fas fa-tag"></i> <kbd><?php echo $record->code;?></kbd></span>
                            <span data-toggle="tooltip" title="<?php echo lang('label_status');?>"><i class="fas fa-clock"></i>
                                <?php if(isset($record->expires_on) && $record->expires_on > date('Y-m-d')):?>
                                <?php echo lang('label_expires_on');?>: <?php echo gc_date_format($record->expires_on);?>
                                <?php else:?>
                                <span class="badge badge-danger text-white"><?php echo lang('status_expired'); ?></span>
                                <?php endif;?>
                            </span>
                        <?php endif;?>																	
                        <?php if(isset($record->type)):?>										
                            <span data-toggle="tooltip" title="<?php echo lang('label_type');?>"><i class="fas fa-hand-o-right"></i> <?php echo $record->type;?></span>										
                        <?php endif;?>
                        <?php if(!empty($record->squarefeet)):?>
                            <span data-toggle="tooltip" title="<?php echo lang('label_coverage_area');?>"><i class="fas fa-building"></i> <?php echo $record->squarefeet;?></span>
                        <?php endif;?>
                    </div>    
                </div>
                <div class="col-sm-5 col-lg-4 col-12 p-lg-0 sw03_devide">		
                    <?php if(!empty($record->trusted_seal)):?>
                    <ul class="list-unstyled  mb-1 ">
                        <li class="sclt-seal list-inline-item">
                            <img src="<?php echo $record->trusted_seal;?>" class="img-fluid trusted-seal">
                        </li>
                    </ul>
                    <?php endif;?>
                    <?php if(!empty($record->mobile_number) || !empty($record->phone_number)):?>
                    <div class="tel  margin-bottom-xs text-truncate">
                        <small><i class="fas fa-phone-volume fa-fw"></i>									
                        <?php if(!empty($record->mobile_number) && !empty($record->phone_number)):?>
                        <?php echo str_pad(substr($record->mobile_number, -4), strlen($record->mobile_number), '*', STR_PAD_LEFT); // .' | '.$record->phone_number; ?>
                        <?php elseif(!empty($record->mobile_number)):?>
                            <?php echo str_pad(substr($record->mobile_number, -4), strlen($record->mobile_number), '*', STR_PAD_LEFT); ?>
                        <?php elseif(!empty($record->phones_number)):?>
                            <?php echo str_pad(substr($record->phone_number, -4), strlen($record->phone_number), '*', STR_PAD_LEFT); ?>
                        <?php endif;?></small>											
                    </div>
                    <?php endif;?>	
                    <div class="sw03_price__count">
                        <ul class=" list-inline d-flex  m-0">
                        <?php if(!empty($record->website)):?>
                            <li class="list-inline-item"><a href="<?php echo $record->website?>" target="_blank" rel="nofollow"><i class="fas fa-globe"></i></a></li>
                            <?php endif;?>
                            <?php if(!$google_business && settings_item('lst.business_query') == 1):?>
                            <li class="list-inline-item">
                                <?php echo theme_view('widgets/modules/tpl/_query', array('record' => $record, 'tpl' => 'icon_only', 'parent_class' => '', 'icon' => 'fas fa-envelope fa-lg fa-fw', 'lang_string' => 'label_query')); ?>
                            </li>
                            <?php endif;?>
                            <li class="list-inline-item">
                                <?php echo theme_view('widgets/modules/tpl/_readmore', array('record' => $record, 'tpl' => 'icon_only', 'module' => 'listings', 'link_class' => 'readmore')); ?>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <?php if(!empty($record->price) || !empty($record->description)):?>
            <a class="text-uppercase sw03_collapse ml-3" data-toggle="collapse" href="#sw03_<?php echo $isFeatured . $record->id; ?>" role="button" aria-expanded="false" aria-controls="sw03_<?php echo $isFeatured . $record->id; ?>">
                <?php echo lang('label_more_information'); ?><i class="fas fa-chevron-down ml-2"></i>
            </a>
            <?php endif; ?>
            <div class="collapse sw03_xample" id="sw03_<?php echo $isFeatured . $record->id; ?>">
                <div class="card card-body border-0 p-2">
                    <?php if(!empty($record->price)):?>
                    <button class="btn btn-price"><?php echo lang('label_price')?>: <kbd><?php echo $record->price;?></kbd></button>
                    <?php endif;?>
                    <?php if(!empty($record->description)) : ?>
                    <p class="vline-height"><small><?php echo truncate_text(strip_tags(html_entity_decode($record->description)), 200);?></small></p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<?php endforeach; ?>