<?php foreach($records as $record): ?>
<?php $google_business = isset($record->google_business) ? true : false; ?>
<div class="gc-grid-col-<?php echo !empty($cols) ? $cols : 6; ?>">
	<div class="sw04 gc-list-row">
		<div class="img-event gc-list-col-4 p-0"<?php echo $isFeatured ? ' style="background:#fbfbfb;"' :''?>>
			<?php echo theme_view('widgets/modules/tpl/_cover', array('record' => $record, 'parent_class' => '', 'child_class' => '')); ?>	
			<?php if($isFeatured) : ?>
				<div class="ribbon ribbon-top-left"><span><?php echo lang('label_featured') ;?></span></div>
			<?php endif;?>
		</div>
		<div class="ocv-post-caption gc-list-col-8">
			<?php if(!empty($record->trusted_seal)):?>
					<div class="sw04_seal">
						<img src="<?php echo $record->trusted_seal;?>" class="img-fluid trusted-seal">
					</div>
				<?php endif;?>
				<a href="<?php echo $record->redirect_url; ?>" title="<?php echo $record->title;?>">
				<?php if(!empty($record->start_date) && $record->start_date != '0000-00-00 00:00:00'):?>
				<span class="desc-date float-left margin-right-10">
					<span class="dbinds"></span>
					<span class="dmonth"><?php echo split_datetime($record->start_date, 'month');?></span>
					<span class="dday p-2"><?php echo split_datetime($record->start_date, 'day');?></span>
				</span>
				<?php endif;?>
				<?php echo theme_view('widgets/modules/tpl/_title', array('record' => $record, 'parent_class' => 'group card-title inner list-group-item-heading theme-head-color font-weight-bold mb-1 text-truncate')); ?>
			</a>
			<?php echo theme_view('widgets/modules/tpl/_address', array('record' => $record, 'parent_class' => 'sw04-address text-truncate mr-3 mb-1 text-secondary', 'icon' => 1)); ?>
			<div class="sw04_item m-0">
				<?php if(isset($record->salary)):?>
					<span class="text-secondary mb-1" data-toggle="tooltip" title="<?php echo lang('label_salary'); ?>"><i class="fas fa-tag"></i><?php echo $record->salary;?></span>
				<?php endif;?>
				<?php if(isset($record->max_experience) && $record->max_experience != 0):?>
				<span class="text-secondary mb-1" data-toggle="tooltip" title="<?php echo lang('label_job_experience'); ?>"><i class="fas fa-briefcase"></i>
					<?php echo $record->min_experience .' - '. $record->max_experience. ' '. lang('job_exp_yrs'); ?>
				</span>
				<?php endif;?>
				<?php if(isset($record->code)):?>
					<span class="text-secondary mb-1" data-toggle="tooltip" title="<?php echo lang('label_coupon_code');?>"><i class="fas fa-tag"></i> <kbd><?php echo $record->code;?></kbd></span>
					<span class="text-secondary mb-1" data-toggle="tooltip" title="<?php echo lang('label_status');?>"><i class="fas fa-clock"></i>
						<?php if(isset($record->expires_on) && $record->expires_on > date('Y-m-d')):?>
						<?php echo lang('label_expires_on');?>: <?php echo gc_date_format($record->expires_on);?>
						<?php else:?>
						<span class="badge badge-danger text-white"><?php echo lang('status_expired'); ?></span>
						<?php endif;?>
					</span>
				<?php endif;?>																	
				<?php if(isset($record->type)):?>										
					<span class="text-secondary mb-1" data-toggle="tooltip" title="<?php echo lang('label_type');?>"><i class="fas fa-hand-o-right"></i> <?php echo $record->type;?></span>										
				<?php endif;?>
				<?php if(!empty($record->squarefeet)):?>
					<span class="text-secondary mb-1" data-toggle="tooltip" title="<?php echo lang('label_coverage_area');?>"><i class="fas fa-building"></i> <?php echo $record->squarefeet;?></span>
				<?php endif;?>
			</div>
			<?php if(!empty($record->price)):?>
				<button class="btn btn-price"><?php echo lang('label_price')?>: <kbd><?php echo $record->price;?></kbd></button>
			<?php endif;?>   
			<div class=" w-100 border-bottom pb-1 mb-0"></div>
			<div class="group inner list-group-item-text pb-0">
				<?php echo theme_view('widgets/modules/tpl/_description', array('record' => $record, 'parent_class' => 'vline-height text-muted mb-0 small text-truncate-2 mt-2', 'length' => 100)); ?>
				<?php echo theme_view('widgets/modules/tpl/_icons', array('record' => $record, 'heading' => 1, 'parent_class' => 'd-flex mt-2', 'child_class' => '', 'icons' => array('featured', 'author_name', 'created_on', 'hits', 'floors', 'bedrooms', 'rooms', 'bathrooms', 'type', 'start_dates'))); ?>
			</div>
			<div class="w-100 border-bottom pb-1"></div>
			<div class="row text-center py-2 px-1">
				<?php if(!empty($record->mobile_number) || !empty($record->phone_number)):?>
				<div class="col">
					<div class="tel  margin-bottom-xs text-truncate float-left ">
						<small><i class="fas fa-phone-volume fa-fw"></i>									
						<?php if(!empty($record->mobile_number) && !empty($record->phone_number)):?>
						<?php echo str_pad(substr($record->mobile_number, -4), strlen($record->mobile_number), '*', STR_PAD_LEFT); // .' | '.$record->phone_number; ?>
						<?php elseif(!empty($record->mobile_number)):?>
							<?php echo str_pad(substr($record->mobile_number, -4), strlen($record->mobile_number), '*', STR_PAD_LEFT); ?>
						<?php elseif(!empty($record->phones_number)):?>
							<?php echo str_pad(substr($record->phone_number, -4), strlen($record->phone_number), '*', STR_PAD_LEFT); ?>
						<?php endif;?></small>											
					</div>
				</div>
				<?php endif;?>
				<div class="col">
					<ul class="sw04_price__count list-inline d-flex m-0">
						<?php if(!empty($record->website)):?>
						<li class="list-inline-item"><a href="<?php echo $record->website?>" target="_blank" rel="nofollow"><i class="fas fa-globe"></i></a></li>
						<?php endif;?>
						<?php if(!$google_business && settings_item('lst.business_query') == 1):?>
						<li class="list-inline-item">
							<?php echo theme_view('widgets/modules/tpl/_query', array('record' => $record, 'tpl' => 'icon_only', 'parent_class' => '', 'icon' => 'fas fa-envelope fa-fw', 'lang_string' => 'label_query')); ?>
						</li>
						<?php endif;?>
						<li class="list-inline-item">
							<?php echo theme_view('widgets/modules/tpl/_readmore', array('record' => $record, 'tpl' => 'icon_only', 'module' => 'listings', 'link_class' => 'readmore')); ?>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>
<?php endforeach; ?>