 <?php foreach($records as $record):?>
	<div class="gc-grid-col-<?php echo !empty($cols) ? $cols : 6; ?>">
		<div class="sw06 gc-list-row gc-view-<?php echo $module; ?>"">
			<div class="sw06__image gc-list-col-4 p-0">
				<?php echo theme_view('widgets/modules/tpl/_cover', array('record' => $record, 'parent_class' => '')); ?>
				<?php if(!empty($record->city)): ?>
				<div class="sw06__left-bottom badge badge-secondary">
					<?php echo $record->city; ?>
				</div>
				<?php endif; ?>
				<?php if(!empty($record->purpose)):?>
					<div class="sw06__right-top badge badge-danger">
						<?php echo $record->purpose;?>
					</div>
				<?php endif;?>
				<?php echo theme_view('widgets/modules/tpl/_trusted_seal', array('record' => $record, 'tpl' => 'default', 'parent_class' => 'sw06__right-top')); ?>
			</div>
			<div class="gc-list-col-8">
				<div class="sw06__content">
					<?php echo theme_view('widgets/modules/tpl/_title', array('record' => $record, 'parent_class' => 'sw06__title heading-theme-tertiary text-truncate')); ?>                  
					<button type="button" class="btn btn-custom float-right show" aria-label="Left Align" id="sw06__<?php echo $record->id; ?>">
						<i class="fas fa-ellipsis-v"></i>
					</button>
				</div>
				<div class="sw06__action">         
					<?php echo theme_view('widgets/modules/tpl/_address', array('record' => $record, 'parent_class' => 'small mb-2 text-truncate', 'icon' => 2)); ?>     	
					<div class="d-flex justify-content-between">
					<?php echo theme_view('widgets/modules/tpl/_price', array('record' => $record, 'parent_class' => 'sw06__price', 'child_class' => 'btn btn-primary btn-theme-primary btn-xs')); ?>
					<div class="pt-2 pb-2">
						<?php echo theme_view('widgets/modules/tpl/_query', array('record' => $record, 'tpl' => 'icon_only', 'parent_class' => 'link-color-2 text-decoration-none', 'icon' => 'far fa-envelope fa-lg fa-fw')); ?>
						<?php echo theme_view('widgets/modules/tpl/_directions', array('record' => $record, 'parent_class' => 'link-color-2', 'heading' => 2, 'icon' => 'fas fa-map-marker-alt fa-lg ml-2')); ?>
						<?php echo theme_view('widgets/modules/tpl/_favorite', array('record' => $record, 'parent_class' => 'd-inline ml-2', 'tpl' => 'icon_only')); ?>
						<?php echo theme_view('widgets/modules/tpl/_ratings', array('record' => $record, 'hide_average_rating' => true, 'tpl' => 'rating_only', 'parent_class' => 'd-inline ml-2 bg-warning p-1 font-14', 'child_class' => '')); ?>
						<?php echo theme_view('widgets/modules/tpl/_open_status', array('record' => $record, 'parent_class' => 'd-inline ml-2')); ?>
					</div>
					</div>
					<?php echo theme_view('widgets/modules/tpl/_author', array('record' => $record, 'tpl' => 'posted_by', 'parent_class' => 'sw06__author', 'child_class' => '')); ?>
				</div>
				<div id="reveal-sw06__<?php echo $record->id; ?>" class="sw06__reveal">
					<?php echo theme_view('widgets/modules/tpl/_title', array('record' => $record, 'parent_class' => 'sw06__title heading-theme-tertiary d-inline')); ?>   
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fas fa-times"></i></span></button>
					<?php if(!empty($record->type)):?>
					<div class="row">
						<div class="col-sm-8"><?php echo lang('label_property_type');?></div>
						<div class="col-sm-4"><?php echo $record->type;?></div>                	
					</div>
					<?php endif;?>                	
					<?php if(!empty($record->rent_price)):?>
					<div class="row">
						<div class="col-sm-8"><?php echo lang('label_rent_price');?></div>
						<div class="col-sm-4"><?php echo settings_item('site.currency_symbol') . ' ' . $record->rent_price;?></div>                	
					</div>
					<?php endif;?>
					<?php if(!empty($record->squarefeet)):?>
					<div class="row">
						<div class="col-sm-8"><?php echo lang('label_coverage_area');?></div>
						<div class="col-sm-4"><?php echo $record->squarefeet . ' ' . lang('square_feet');?></div>                	
					</div>
					<?php endif;?>
					<?php if(!empty($record->bedrooms)):?>
					<div class="row">
						<div class="col-sm-8"><?php echo lang('label_bedrooms');?></div>
						<div class="col-sm-4"><?php echo $record->bedrooms;?></div>                	
					</div>
					<?php endif;?>
					<?php if(!empty($record->bathrooms)):?>
					<div class="row">
						<div class="col-sm-8"><?php echo lang('label_bathrooms');?></div>
						<div class="col-sm-4"><?php echo $record->bathrooms;?></div>                	
					</div>
					<?php endif;?>                	
					<?php if(!empty($record->floors)):?>
					<div class="row">
						<div class="col-sm-8"><?php echo lang('label_floors');?></div>
						<div class="col-sm-4"><?php echo $record->floors;?></div>                	
					</div>
					<?php endif;?>                	
					<?php if(!empty($record->rooms)):?>
					<div class="row">
						<div class="col-sm-8"><?php echo lang('label_rooms');?></div>
						<div class="col-sm-4"><?php echo $record->rooms;?></div>                	
					</div>
					<?php endif;?>
					<div class="sw06__desc">
						<small><?php echo $record->description; ?></small>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php endforeach;?>