<?php foreach($records as $record):?>
<?php $google_business = isset($record->google_business) ? true : false; ?>
<div class="gc-grid-col-<?php echo !empty($cols) ? $cols : 6; ?>">
    <div class="sw07 position-relative">
        <div class="sw07__wrapper gc-list-row">
            <div class="sw07__wrap gc-list-col-6 p-0">
                <div class="sw07__image">
                <?php if(!empty($record->featured)) : ?>
                <div class="sw07__ribbon">
                    <div class="sw07__ribbon-start"></div>
                    <div class="sw07__ribbon-content"><?php echo lang('label_featured') ;?></div>
                    <div class="sw07__ribbon-end"></div>
                </div>
                <?php endif;?>                
                <?php if(!empty($record->trusted_seal)):?> 
                    <span class="tag">
                        <img src="<?php echo $record->trusted_seal;?>" class="img-fluid trusted-seal">
                    </span>
                <?php endif;?>
                    <a href="<?php echo $record->redirect_url; ?>" class="image-wrapper" style="background-image: url(<?php echo !empty($record->image) ? gc_image_url($record->image) : gc_site_image('no-image'); ?>)">
                    </a>
                </div>
                <h3>
                    <?php if(!empty($record->type)): ?>
                    <a href="<?php echo $record->redirect_url; ?>" class="tag sw07__category text-decoration-none"><?php echo $record->type; ?></a>
                    <?php endif;?>
                    <a href="<?php echo $record->redirect_url; ?> "class="heading-theme-tertiary text-truncate">
                    <?php if(!empty($record->start_date)):?>
                    <span class="desc-date ml-0 mb-1">
                        <span class="dbinds"></span>
                        <span class="dmonth"><?php echo split_datetime($record->start_date, 'month');?></span>
                        <span class="dday p-1"><?php echo split_datetime($record->start_date, 'day');?></span> 
                    </span>
                    <?php endif;?>
                    <?php echo $record->title;?></a>
                    <?php echo theme_view('widgets/modules/tpl/_ratings', array('record' => $record, 'hide_average_rating' => false, 'hide_total_users' => true, 'parent_class' => 'd-flex mt-2 mb-2')); ?>      
                    <?php echo theme_view('widgets/modules/tpl/_address', array('record' => $record, 'parent_class' => 'pt-2 sw07__address', 'icon' => 1)); ?>
                </h3>
            </div>
            <div class="sw07__details pr-3 gc-list-col-6">
                <?php if(!empty($record->price) || !empty($record->author_name)):?>
                <div class="meta justify-content-center justify-content-sm-between align-items-center d-flex flex-wrap">
                    <?php if(!empty($record->price)):?>
                        <span class="text-center"><?php echo lang('label_price')?>: <kbd><?php echo $record->price;?></kbd></span>
                    <?php endif;?>
                    <?php if(!empty($record->author_name)): ?>
                    <span class="text-truncate text-center"><i class="fas fa-user mr-2"></i><?php echo $record->author_name; ?></span>
                    <?php endif; ?>
                </div>
                <?php endif;?>
                <div class="sw07__item m-0">
                    <div class="mb-2">
                    <?php if(isset($record->salary)):?>
                        <span class="mb-1" data-toggle="tooltip" title="<?php echo lang('label_salary'); ?>"><i class="fas fa-tag"></i><?php echo $record->salary;?></span>
                    <?php endif;?>
                    <?php if(isset($record->max_experience) && $record->max_experience != 0):?>
                    <span class="mb-1" data-toggle="tooltip" title="<?php echo lang('label_job_experience'); ?>"><i class="fas fa-briefcase"></i>
                        <?php echo $record->min_experience .' - '. $record->max_experience. ' '. lang('job_exp_yrs'); ?>
                    </span>
                    <?php endif;?>
                    <?php if(isset($record->code)):?>
                        <span class="mb-1" data-toggle="tooltip" title="<?php echo lang('label_coupon_code');?>"><i class="fas fa-tag"></i> <kbd><?php echo $record->code;?></kbd></span>
                        <span class="mb-1" data-toggle="tooltip" title="<?php echo lang('label_status');?>"><i class="fas fa-clock"></i>
                            <?php if(isset($record->expires_on) && $record->expires_on > date('Y-m-d')):?>
                            <?php echo lang('label_expires_on');?>: <?php echo gc_date_format($record->expires_on);?>
                            <?php else:?>
                            <span class="badge badge-danger text-white"><?php echo lang('status_expired'); ?></span>
                            <?php endif;?>
                        </span>
                    <?php endif;?>																	
                    <?php if(isset($record->type)):?>										
                        <span class="mb-1" data-toggle="tooltip" title="<?php echo lang('label_type');?>"><i class="fas fa-hand-o-right"></i> <?php echo $record->type;?></span>										
                    <?php endif;?>
                    <?php if(!empty($record->squarefeet)):?>
                        <span class="mb-1" data-toggle="tooltip" title="<?php echo lang('label_coverage_area');?>"><i class="fas fa-building"></i> <?php echo $record->squarefeet;?></span>
                    <?php endif;?>
                <?php if(!empty($record->phone_number)):
                            $prefix_phone = substr($record->phone_number, 0, 4);
                            $phone_number = explode($prefix_phone, $record->phone_number);
                            $suffix_phone = $phone_number[1];
                            ?>
                        <div class="text-decoration-none number">
                            <i class="fas fa-phone-volume mr-1" aria-hidden="true"></i></i><span class="phone_show"><?php echo $prefix_phone; ?>**<button class="btn btn-sm btn-show btn-theme-primary pl-2 pr-2 pt-0 pb-0"><?php echo strtolower(lang('bf_action_show')); ?></button></span>
                            <span  style="display:none;"><?php echo $record->phone_number ?></span>
                        </div>
                        <?php endif; ?>
                        </div>
                        <?php echo theme_view('widgets/modules/tpl/_icons', array('record' => $record, 'heading' => 2, 'parent_class' => '', 'child_class' => '')); ?>
                        <?php echo theme_view('widgets/modules/tpl/_description', array('record' => $record, 'parent_class' => 'sw07__description text-truncate-2')); ?> 
                </div>
                <div class="container-fluid p-0">
                    <div class=" row sw07__clicklinks">
                        <?php if(!empty($record->website)):?>
                        <div class="col p-2 text-center">
                            <li class="list-inline-item"><a href="<?php echo $record->website?>" target="_blank" rel="nofollow" ><i class="fas fa-globe"></i></a></li>
                        </div>
                        <?php endif;?>
                        <?php if(!$google_business && settings_item('lst.business_query') == 1):?>
                        <div class="col p-2 text-center">
                            <?php echo theme_view('widgets/modules/tpl/_query', array('record' => $record, 'tpl' => 'icon_only', 'parent_class' => '', 'icon' => 'fas fa-envelope fa-lg fa-fw', 'lang_string' => 'label_query')); ?>
                        </div>
                        <?php endif;?>
                        <div class="col p-2 text-center">
                            <?php echo theme_view('widgets/modules/tpl/_readmore', array('record' => $record, 'tpl' => 'icon_only', 'module' => 'listings', 'link_class' => 'readmore')); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php endforeach; ?>