<?php
/**
 * The list and grid parent class is added before calling a slider widget
 * E.g. <div class="gc-view <?php echo $this->input->cookie('gc_view_type') == 'list' ? 'gc-list-view' : 'gc-grid-view'; ?>">
 * 
 * Usage <?php echo view('widgets/sliders/_slider_widget_26', array('module' => 'properties', 'block' => 'popular')); ?>
 * @var boolean $slider
 */
?>
<?php foreach($records as $record):?>
<div class="gc-grid-col-<?php echo !empty($cols) ? $cols : 6; ?>">
    <div class="card p-2 rounded sw22">
    	<div class="sw22__item gc-list-row">
    		<div class="img-event position-relative gc-list-col-4">
    			<?php echo theme_view('widgets/modules/tpl/_cover', array('record' => $record, 'parent_class' => 'sw22__img')); ?>
    			<div class="card-img-overlay w-100 h-100">
    				<div class="post-content p-1">
    					<div class="row sw22__open">
    						<?php echo theme_view('widgets/modules/tpl/_favorite', array('record' => $record, 'parent_class' => 'col-6 text-left', 'tpl' => 'icon_only')); ?>
    						<?php echo theme_view('widgets/modules/tpl/_open_status', array('record' => $record, 'parent_class' => 'col-6 text-right sw22__open-status')); ?>
    						<?php echo theme_view('widgets/modules/tpl/_price', array('record' => $record, 'parent_class' => 'col-6 text-right sw22__open-status')); ?>
    					</div>
    					<div class="sw22__overlay">
    						<?php echo theme_view('widgets/modules/tpl/_ratings', array('record' => $record, 'parent_class' => '')); ?>
    					</div>
    				</div>
    			</div>
    		</div>
    		<div class="sw22__card card-body gc-list-col-8">
    			<?php echo theme_view('widgets/modules/tpl/_title', array('record' => $record, 'parent_class' => 'heading-theme-tertiary text-truncate')); ?>
    			<?php echo theme_view('widgets/modules/tpl/_address', array('record' => $record, 'parent_class' => 'py-0 my-0 text-truncate')); ?>
    			<div class="sw22__content">						
    				<?php echo theme_view('widgets/modules/tpl/_description', array('record' => $record, 'parent_class' => 'text-muted mb-2 small text-truncate-2')); ?>
    				<?php echo theme_view('widgets/modules/tpl/_icons', array('record' => $record, 'heading' => 1, 'parent_class' => '', 'child_class' => '')); ?>
    			</div>
    			<div class="row py-2 px-1">
    				<?php echo theme_view('widgets/modules/tpl/_categories', array('record' => $record, 'parent_class' => 'col-8', 'limit' => 5)); ?>
    				<div class="<?php echo empty($record->saved_categories) ? 'col-12' : 'col-4'; ?> text-right">
    					<?php echo theme_view('widgets/modules/tpl/_query', array('record' => $record, 'tpl' => 'icon_only', 'parent_class' => 'link-color-2 text-decoration-none', 'icon' => 'far fa-envelope fa-lg fa-fw')); ?>
    					<?php echo theme_view('widgets/modules/tpl/_directions', array('record' => $record, 'parent_class' => 'link-color-2', 'heading' => 2, 'icon' => 'fas fa-map-marker-alt fa-lg ml-2')); ?>
    				</div>
    			</div>
    		</div>
    	</div>
    </div>
</div>
<?php endforeach; ?>