<?php
$heading_text = isset($heading_text) ? (!empty($heading_text_lang) ? lang($heading_text) : $heading_text) : lang('heading_tm01');
$heading_sub_text = isset($heading_sub_text) ? (!empty($heading_sub_text_lang) ? lang($heading_sub_text) : $heading_sub_text) : lang('heading_sub_tm01');
?>
<section class="tm01">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-7">
                <div class="tm01__content">
                    <div class="tm01__content-bg"></div>
                    <div class="tm01__content-layer">
                        <div class="tm01__content-layer-title">
                            <h5><?php echo $heading_sub_text; ?></h5>
                            <h2><?php echo $heading_text; ?></h2>
                            <div class="tm01__content-layer-line"><span></span></div>
                            <p><?php echo lang('description_tm01'); ?></p>
                        </div>
                        <a href="<?php echo gc_url_format('pages/contact'); ?>" title="<?php echo lang('contact_us'); ?>"><?php echo lang('contact_us'); ?><i class="ml-2 fas fa-arrow-right"></i></a>
                    </div>
                </div>
            </div>
            <div class="col-lg-5">
                <div class="tm01__testimonial">
                    <div class="tm01__testimonial-container">
                        <div class="tm01__testimonial-bg"></div>
                        <div class="tm01__testimonial-layer">
                            <div class="tm01__testimonial-carousel owl-carousel">
                       			<?php foreach($testimonials as $testimonial):?>
                                <div class="tm01__testimonial-item">
                                    <div class="tm01__testimonial-item-content">
                                        <div class="tm01__testimonial-item-caption">
                                            <h6><?php echo $testimonial->author_name; ?></h6>
                                            <?php if(isset($testimonial->author_post)): ?>
                                            <span><?php echo $testimonial->author_post; ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <?php echo theme_view('widgets/testimonials/tpl/_description', array('testimonial' => $testimonial, 'parent_class' => 'tm01-description')); ?>
                                    </div>
                                    <div class="tm01__testimonial-item-img">
                                        <div class="testimonial_img img-crop-center">
                                            <img class="img-center" src="<?php echo $testimonial->author_image; ?>" alt="<?php echo $testimonial->author_name; ?>">
                                        </div>
                                    </div>
                                </div>
                                <?php endforeach;?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>