<?php
/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
if(!$this->auth->is_logged_in()):
?>
<div id="signinModal" class="modal modal-theme fade show signin-modal">
	<div class="modal-dialog w-model">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel"><?php echo sprintf(lang('gc_login_site'), settings_item('site.title'));?></h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?php 
				// This is an ajax login, append #with the login URL
				// Unset this variable while setting a theme as default
				$this->session->set_userdata('ajax_login', true);
				?>
				<div class="row">
				<div class="col-sm-12">
				<div id='ajax_loader' class="display-none">
					<img src="<?php echo gc_site_image('ajax-loader'); ?>" title="<?php echo settings_item('site.title'); ?>" />					
				</div>				
				<div id='social-icons-conatainer'>
					<div class="row">
					<div class="col-sm-6 <?php echo isset($hybrid_auth_providers) ? 'login-separator' : 'offset-sm-3';?>">
					<div class="gclogin-box bottom5">					
					<div class="ajax-message"></div>
                    <div class="form loginBox">
                    	<?php echo Template::message(); ?>
						<h5><?php echo sprintf(lang('gc_sign_in_by'), $this->settings_lib->item('auth.login_type') == 'both' ? lang('bf_username') .'/'. lang('bf_email') : ucwords($this->settings_lib->item('auth.login_type'))); ?></h5>
						<form id="loginform" method="post" data-toggle="validator">
						<div class="form-group">
							<input type="<?php echo $this->settings_lib->item('auth.login_type') == 'email' ? 'email' : 'text';?>" id="username" name="login" placeholder="<?php echo $this->settings_lib->item('auth.login_type') == 'both' ? lang('bf_username') .'/'. lang('bf_email') : ucwords($this->settings_lib->item('auth.login_type')) ?>" data-error="<?php echo sprintf(lang('required'), lang('bf_username') .'/'. lang('bf_email'));?>"
								value="<?php echo set_value('login'); ?>" class="form-control login-field" required><i
								class="fa fa-user login-field-icon"></i>
								<span class="help-block with-errors no-margin"></span>								
						</div>						
						<div class="form-group">
							<input type="password" id="password" name="password" placeholder="<?php echo lang('bf_password'); ?>" value="<?php echo set_value('password'); ?>" class="form-control login-field" required data-error="<?php echo sprintf(lang('required'), lang('bf_password'));?>"> <i class="fa fa-lock login-field-icon"></i>
							<span class="help-block with-errors no-margin"></span>
						</div>
						<div class="form-group">
						<input class="btn btn-primary btn-theme" type="submit" name="log-me-in" id="log-me-in" value="<?php echo lang('bf_action_login'); ?>">
						<?php if ($this->settings_lib->item('auth.allow_remember')) : ?><span class="float-right">					
							<input type="checkbox" id="remember_me" tabindex="3" name="remember_me" value="1"> <small><span class="inline-help"><?php echo lang('us_remember_note'); ?></span></small></span>
						<?php endif; ?>
						</div>
						</form>						
					</div><!-- end of loginBox -->
					</div>
					<div class=".gclogin-box bottom5">
                        <div class="content registerBox display-none">
                          <div class="form">
                          		<?php if (settings_item('auth.allow_register')): // Are users even allowed to register??>
                                <form id="registerform" method="post" data-toggle="validator">
                                <div class="form-group">
								   	<input class="form-control" type="email" id="email" name="email" placeholder="<?php echo lang('bf_email'); ?>" value="<?php echo set_value('email'); ?>" data-error="<?php echo sprintf(lang('valid_email'), lang('label_email'));?>" required/>
									<span class="help-block with-errors no-margin"></span>
								</div>
								<div class="form-group">
								  	<input class="form-control" type="text" id="display_name" name="display_name" value="<?php echo set_value('display_name'); ?>" placeholder="<?php echo lang('bf_display_name'); ?>" required data-error="<?php echo sprintf(lang('required'), lang('label_display_name'));?>"/>
								   	<span class="help-block with-errors no-margin"></span>
								</div>
								<div class="form-group has-feedback">
									<input type="tel" class="form-control" id="phone_number" name="phone_number" placeholder="<?php echo lang('label_phone_number'); ?>" value="<?php echo set_value('phone_number'); ?>"  required data-error="<?php echo sprintf(lang('required'), lang('label_phone_number'));?>"/> 
									<span class="help-block with-errors no-margin"></span>
								</div>
								<div class="form-group">									
								   <input class="form-control" type="password" id="pass" name="password" data-minlength="<?php echo settings_item('auth.password_min_length');?>" data-minlength-error="<?php echo sprintf(lang('bf_password_min_length_help'), settings_item('auth.password_min_length'));?>" value="" placeholder="<?php echo lang('bf_password'); ?>" required data-error="<?php echo sprintf(lang('required'), lang('bf_password'));?>"/>
								 	<span class="help-block with-errors no-margin"></span>
								 	<?php if(!empty($password_hints)):?>
									<span class="help-block"><small><?php echo $password_hints; ?></small></span>
									<?php endif; ?>
								</div>
								<div class="form-group">
								  	<input class="form-control" type="password" id="pass_confirm" name="pass_confirm" value="" placeholder="<?php echo lang('bf_password_confirm'); ?>" data-match="#pass" data-match-error="<?php echo sprintf(lang('matches'), lang('bf_password_confirm'), lang('bf_password'));?>" required data-error="<?php echo sprintf(lang('required'), lang('bf_password_confirm'));?>"/>
								   	<span class="help-block with-errors no-margin"></span>
								</div>
								
								<?php
								$this->load->model('fields/fields_model');
								$meta_form_fields = $this->fields_model->get_fields('registrations', 'frontend');
								if(!empty($meta_form_fields)):
								foreach($meta_form_fields as $key => $value):
								    $value['field_only'] = true;
								    $value['field_container'] = 'div.form-group';
								    $meta_form_fields[$key] = $value;
								endforeach;?>
								<div class="input-meta">
                            	<?php $this->load->view('common/_meta', array('layout' => 'none', 'meta_form_fields' => $meta_form_fields, 'elements_container' => null)); ?>
                            	</div>
								<?php endif; ?>
								
								<div class="form-group has-feedback">
									<input type="text" class="form-control" name="captcha_code" id="captcha_code" data-minlength="5" placeholder="<?php echo lang('placeholder_captcha');?>" data-minlength-error="<?php echo sprintf(lang('min_length'), lang('label_captcha'), 5);?>" required data-error="<?php echo sprintf(lang('required'), lang('label_captcha'));?>"/> 
									<span class="help-block with-errors no-margin"></span>
								</div>
								<div class="form-group">
                                	<input class="btn btn-primary btn-theme" type="submit" value="<?php echo lang('bf_action_register');?>" name="signup" id="signup">
                                	<span class="float-right">
                                	<img id="captcha" class="img-thumbnail refresh-captcha"
										src="<?php echo site_url("securimage"); ?>" alt="CAPTCHA Image" /> <a
										id="update" href="#"
										onclick="document.getElementById('captcha').src = '<?php echo site_url("securimage?"); ?>' + Math.random(); return false"><i
										class="fa fa-sync"></i></a>
                                	</span>
                                </div>
                                </form>
                                <?php else:?>
                                <div class="alert alert-block alert-danger">
									<a class="close" data-dismiss="alert">&times;</a>
									<?php echo lang('us_register_disabled');?>
								</div>                                
                                <?php endif;?>
                                </div>
                            </div>
                    </div>
                    <div class=".gclogin-box bottom5">
                        <div class="content forgotPasswordBox display-none">
                        	<div class="form">
                        		<form id="forgotPasswordform" method="post" data-toggle="validator">
                        		<div class="alert alert-info">
									<?php echo lang('us_reset_note'); ?>
								</div>
								<div class="form-group">
								   	<input class="form-control" type="text" id="email_phone" name="email_phone" placeholder="<?php echo lang('placeholder_otp_username'); ?>" value="<?php echo set_value('email_phone'); ?>" required/>
									<span class="help-block with-errors no-margin"></span>
								</div>
								<div class="form-group">
									<input class="btn btn-primary btn-theme" type="submit" name="send" id="send" value="<?php e(lang('us_reset_password')); ?>">
								</div>
								</form>
                          	</div>
                       	</div>
                 	</div>
					</div><!-- end of modal-body-left -->
					
					<?php if (isset($hybrid_auth_providers)): ?>
					<div class="col-sm-6">
						<h5><?php echo lang('login_with_social');?></h5>
						<em><?php echo lang('social_login_help');?></em>						
						<div class="modal-social-icons">
							<?php foreach ($hybrid_auth_providers as $provider => $hy_values): ?>
							<?php if ($hy_values['enabled'] == TRUE): ?>
							<a href="<?php echo site_url('users/hybrid_login') . '/' . $provider;?>" class="btn btn-<?php echo strtolower($provider);?> top2 w-100"><i class="fab fa-<?php echo strtolower($provider);?>"></i> | <?php echo sprintf(lang('label_connect_with'), $provider);?></a>
							<?php endif; ?>								
							<?php endforeach;?>
						</div>
					</div>
					<?php endif; ?>
					</div>
					<?php if (isset($hybrid_auth_providers)): ?>
					<div id='center-line' class="d-none d-sm-inline-block"><?php echo strtoupper(lang('bf_or'));?></div>
					<?php endif; ?>
				</div>
				</div>
				</div>
			</div>
			<div class="modal-footer">
				<div class="row">
					<div class="col-sm-5">
						<h6 class="login-footer"><?php echo lang('label_no_account');?> <a href="javascript: showRegisterForm();"><?php echo lang('label_create_account');?></a></h6>
						<h6 class="register-footer display-none"><?php echo lang('label_already_have_account');?> <a href="javascript: showLoginForm();"><?php echo lang('label_sign_in');?></a></h6>
					</div>
					<div class="col-sm-7 float-right">
						<div class="login_modal_footer-menu">
							<ul class="list-inline">
								<li class="list-inline-item"><small><a href="<?php echo gc_url_format('pages/contact');?>" title="<?php echo lang('label_contact_us');?>"><?php echo lang('label_contact_us');?></a></small></li>
								<li class="list-inline-item"><small><span class="login-footer"><span class="divider">|</span><a href="javascript: showForgotPasswordForm();"><?php echo lang('bf_forgot_password');?></a></span></small></li>
							</ul>
						</div>
						<input type="hidden" id="lang" value="<?php echo sprintf(lang('gc_login_site'), settings_item('site.title'));?>" reg="<?php echo sprintf(lang('gc_register_with'), settings_item('site.title'));?>" frg="<?php echo lang('us_forgot_your_password');?>">
					</div>
				</div>
			</div>
		</div>
		<!-- /.modal-content -->
	</div>
	<!-- /.modal-dalog -->
</div>
<!-- /.modal -->
<?php endif;?>