<?php
/*=======================================================================*\
 || ##################################################################### ||
 || # GoClixy - Business Directory Script							   # ||
 || # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
 || # ----------------------------------------------------------------  # ||
 || # This file is owned and copyrighted by GoClixy.com. Your license   # ||
 || # confers  no  title  or ownership in the Script and is not a sale  # ||
 || # of any rights to the Software. This file may not be redistributed # ||
 || # in whole or significant part.									   # ||
 || # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
 || # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
 || ##################################################################### ||
 \*=======================================================================*/
$site_open = $this->settings_lib->item ( 'auth.allow_register' );
$validation_errors = validation_errors();
$errorClass = ' error';
$controlClass = 'form-control';
$fieldData = array(
    'errorClass'    => $errorClass,
    'controlClass'  => $controlClass,
);
$placeholder_username = settings_item('auth.login_type') == 'both' ? lang('placeholder_username_email') : lang('placeholder_email');
?>
	<div id="loginbox" class="loginbox mainbox col-md-8 offset-md-2 col-sm-12 pb-3 pt-2">
		<div class="card">
			<div class="card-header bg-theme-primary">
				<div class="card-title mb-0"><?php echo lang('label_sign_in');?>
				<div class="float-right">
					<a href="#" id="reset_password_box" title="<?php echo lang('us_forgot_your_password'); ?>"><?php echo lang('us_forgot_your_password'); ?></a>					
				</div>
				</div>
			</div>
			<div class="card-body">			
			<?php if($this->uri->segment(1) == gc_uri_string('login') || $this->uri->segment(1) == gc_uri_string('register')):?>
			<?php echo Template::message(); ?>
			<?php endif; ?>
			<?php if (validation_errors ()) : ?>
				<div style="display: none" id="login-alert" class="alert alert-danger col-sm-12">
					<a data-dismiss="alert" class="close">&times;</a>
					<?php echo validation_errors(); ?>
				</div>
			<?php endif; ?>
			<?php // endif;?>
			<?php echo form_open(gc_url_format('login'), array('id' => 'loginformm', 'class' => 'form-horizontal', 'autocomplete' => 'off')); ?>
					<div class="input-group margin-top-sm margin-bottom-sm">
						<div class="input-group-prepend">
							<span class="input-group-text">
								<i class="fas fa-user"></i>
							</span>
						</div>
					  	<input id="login_value" type="text" class="form-control" name="login" value="<?php echo set_value('login'); ?>" tabindex="1" placeholder="<?php echo $placeholder_username; ?>" aria-describedby="user-addon" />
					</div>
					<div class="input-group">
						<div class="input-group-prepend">
							<span class="input-group-text">
								<i class="fas fa-lock"></i>
							</span>
						</div>
					  	<input id="password" type="password" class="form-control" tabindex="2" name="password" placeholder="<?php echo lang('bf_password'); ?>" aria-describedby="password-addon" />
					</div>
					<?php if ($this->settings_lib->item('auth.allow_remember')) : ?>
					<div class="input-group">
						<div class="checkbox">
							<label> 
								<input id="remember_me" type="checkbox" name="remember_me" value="1" tabindex="3"> 
								<span class="inline-help"><?php echo lang('us_remember_note'); ?></span>
							</label>
						</div>
					</div>
					<?php endif; ?>
										
					<div class="margin-top-sm form-group form-row">
					
						<!-- Button -->
						<div class="col-sm-6 controls">
							<input class="btn btn-md btn-success btn-theme-primary" type="submit" name="log-me-in" id="submit" value="<?php e(lang('us_let_me_in')); ?>" tabindex="5" />
							<input type="reset" class="btn btn-md btn-primary btn-theme-secondary" value="<?php echo lang('gc_reset'); ?>"/>
						</div>						
					
					
					<?php if (isset($hybrid_auth_providers)): ?>						
						<div class="col-sm-6 controls">
								<p>
								<?php foreach ($hybrid_auth_providers as $provider => $hy_values): ?>
								<?php if ($hy_values['enabled'] == TRUE): ?>
								<a href="<?php echo site_url('users/hybrid_login') . '/' . $provider;?>" class="btn btn-primary btn-block btn-<?php echo strtolower($provider);?> top2 social-icons"><i class="fab fa-fr fa-<?php echo strtolower($provider);?>"></i> | <?php echo sprintf(lang('label_connect_with'), $provider);?></a>
								<?php endif; ?>								
								<?php endforeach;?>
								</p>
						</div>
					<?php endif; ?>			     
					</div>
					<?php echo form_close(); ?>
					<div class="form-group form-row">
						<div class="col-md-12 control">
							<div class="loginbox__signup">
								<?php echo lang('label_no_account');?>
								<a href="#" id="signup_box" class="btn btn-sm btn-info btn-theme-primary"> <?php echo lang('us_sign_up');?></a>
							</div>
						</div>
					</div>
			</div>
		</div>
	</div>
	<div id="passwordresetbox" style="display: none;"
		class="mainbox col-md-8 offset-md-2 col-sm-12 margin-top-sm pb-3">
		<div class="card">
			<div class="card-header bg-theme-primary">
				<div class="card-title mb-0 float-left">
					<?php echo lang('us_reset_password'); ?>
				</div>
				<div class="float-right">
					<a id="signin_box" href="#"><?php echo lang('label_sign_in');?></a>
				</div>
			</div>
			<div class="card-body">
			<?php if($this->uri->segment(1) == gc_uri_string('forgot_password')):?>
			<?php echo Template::message(); ?>
			<?php endif; ?>
			<?php if(isset($_POST['send'])):?>
			<?php if (validation_errors()) : ?>
					<div id="passwordresetalert"
						class="alert alert-danger">
						<p><?php echo validation_errors(); ?></p>
						<span></span>
					</div>
				<?php endif; ?>
				<?php endif; ?>
				<?php echo form_open(site_url('forgot_password'), array('class' => "form-horizontal", 'autocomplete' => 'off')); ?>				
				<div class="form-group form-row <?php echo iif( form_error('email') , 'error'); ?>">
					<div class="col-md-12">
						<input type="text" class="form-control" name="email_phone" id="email_phone" value="<?php echo set_value('email_phone') ?>"
							placeholder="<?php echo lang('us_reset_note');?>">
					</div>
				</div>
				<div class="form-group form-row">
					<!-- Button -->
					<div class="col-md-9">
						<input class="btn btn-primary btn-theme-primary" type="submit" name="send" value="<?php e(lang('us_send_password')); ?>" />
					</div>
				</div>					
				<?php echo form_close(); ?>
			</div>
		</div>
	</div>
	
	
<div id="signupbox" style="display: none;"
	class="mainbox col-md-8 offset-md-2 col-sm-12 margin-top-sm pb-3">
	<div class="card">
		<div class="card-header bg-theme-primary">
			<div class="card-title mb-0 float-left"><?php echo lang('us_sign_up'); ?></div>			
			<div class="float-right">
				<a id="signin_box" href="#"><?php echo lang('label_sign_in');?></a>
			</div>
		</div>
		<div class="card-body">
			<?php echo Template::message(); ?>			
          	<?php if($this->uri->segment(1) == 'register'): ?>
          	<?php echo form_open($this->uri->uri_string()); ?>
          	<?php endif; ?>
			<?php echo theme_view('widgets/users/_register_01', array('heading' => 2, 'ajax_view' => false, 'form_class' => 'form-vertical', 'class' => '8', 'label_width' => 'col-md-4')); ?>
		</div>
	</div>
</div>