<?php
/**
 * User Registration Form
 * e.g. usage <?php echo view('widgets/users/_register_01', array('free_layout' => true, 'field_only' => true, 'class' => 12, 'label_width' => 'col-sm-4', 'btn_class' => 'btn btn-theme-primary mt-2'));?>
 * 
 */
$with_heading = empty($heading) || $heading == 1 ? true : false; // pass 1 or 2
$with_icon = empty($icon) || $icon == 1 ? true : false; // pass 1 or 2
$btn_class = !empty($btn_class) ? $btn_class : 'btn btn-info btn-theme-secondary';
$field_only = !empty($field_only) ? true : false;
$form_class = !empty($form_class) ? ' ' . $form_class : '';
$form_class = $field_only ? $form_class . ' field-only-form' : $form_class;
$layout = (isset($layout) ? $layout : 'none');
$elements_container = isset($elements_container) ? $elements_container : NULL;
$ajax_view = empty($ajax_view) ? false : true;
$ajax_form = false;
if(empty($form_fields)):
    $ajax_form = true;
    echo form_open($this->uri->uri_string(), 'id="signupForm" class="gc-form-layout' . $form_class . '"');
    $module = 'registrations';
    $type = 'frontend';
    $this->load->model('fields/fields_model');
    $this->lang->load('groups/groups');
    $form_fields = $this->fields_model->get_fields($module, $type);
    $field_groups = $this->fields_model->field_groups($form_fields, array());
endif;

// variables passed via template_set method in the layout file
if(!empty($label_width) && !empty($class)):
    foreach($form_fields as $fkey => $form_field):
        $form_fields[$fkey]['label_width'] = $label_width;
        $form_fields[$fkey]['class'] = $class;
        $form_fields[$fkey]['field_only'] = $field_only;
    endforeach;
endif;
?>
<div class="form-style">
<?php if($with_heading): ?>
<h4 class="heading-theme-primary"><?php echo lang('us_sign_up'); ?></h4>
<?php endif; ?>
<?php if(!empty($ajax_view) || $ajax_form):?>
<div class="loader" style="display: none;">
    <img src="<?php echo gc_site_image('ajax-loader'); ?>" />
</div>
<div class="message-block"></div>
<?php endif; ?> 
<?php 
if(!empty($form_fields)) :
    $this->load->view('fields/layout', array('layout' => $layout, 'form_fields' => $form_fields, 'field_groups' => $field_groups, 'elements_container' => $elements_container));
endif;
if(!$ajax_form):
?>
<div class="form-group form-row">
	<div class="offset-md-4 col-md-8 text-right">
		<button id="signup" type="submit" class="<?php echo $btn_class; ?>" name="register" value="register">
			<i class="far fa-fr fa-hand-point-right"></i> <?php echo lang('us_register'); ?>
		</button>
	</div>
</div>
<?php else: ?>
<button type="submit" class="<?php echo $btn_class; ?>" name="register" value="register">
	<i class="far fa-fr fa-hand-point-right"></i> <?php echo lang('us_register'); ?>
</button>
<?php endif; ?>
<?php if($ajax_form):?>
<?php echo form_close(); ?>
<?php endif; ?>
</div>