/*=======================================================================*\
|| ##################################################################### ||
|| # GoClixy - Business Directory Script							   # ||
|| # Copyright (C) 2014 GoClixy. All Rights Reserved.				   # ||
|| # ----------------------------------------------------------------  # ||
|| # This file is owned and copyrighted by GoClixy.com. Your license   # ||
|| # confers  no  title  or ownership in the Script and is not a sale  # ||
|| # of any rights to the Software. This file may not be redistributed # ||
|| # in whole or significant part.									   # ||
|| # --------------- COPYRIGHTED COMMERCIAL SOFTWARE ---------------   # ||
|| # https://www.goclixy.com | https://www.goclixy.com/license.html    # ||
|| ##################################################################### ||
\*=======================================================================*/
var csrf_token = $.cookie('ci_csrf_token');
var site_url = $('#site_url').val();
var defCount = $('#site_url').attr('defCount');
/*-----------------------------------------------*/
/* Display Login Form to the User
 *-----------------------------------------------*/
function showLoginForm() {
	   $('.registerBox, .forgotPasswordBox').fadeOut('fast',function() { // Hide Register and Forgot Password Box
	       $('.loginBox').fadeIn('fast'); // Show Login Box
	       $('.register-footer').fadeOut('fast',function(){ // Hide Register Footer Link
	           $('.login-footer').fadeIn('fast'); // Hide Login Footer Link
	       });
	       
	       $('.modal-title').html($("#lang").val()); // Set Modal Title by using the value of hidden field
	   });       
	    $('.error').removeClass('alert alert-danger alert-success').html(''); // Remove messages box triggered from other modules
}

/*-----------------------------------------------*/
/* Display Register Form to the User
 *-----------------------------------------------*/
function showRegisterForm() {
   $('.loginBox, .forgotPasswordBox').fadeOut('fast',function(){
       $('.registerBox').fadeIn('fast');
       $('.login-footer').fadeOut('fast',function(){
           $('.register-footer').fadeIn('fast');
       });
       $('.modal-title').html($("#lang").attr('reg'));
   }); 
   $('.error').removeClass('alert alert-danger alert-success').html(''); 
}

/*-----------------------------------------------*/
/* Display Forgot Password Form to the User
 *-----------------------------------------------*/
function showForgotPasswordForm() {
   $('.loginBox, .registerBox').fadeOut('fast',function(){
       $('.forgotPasswordBox').fadeIn('fast');
       $('.login-footer, .register-footer').fadeOut('fast',function(){
           $('.register-footer').fadeIn('fast');
       });
       $('.modal-title').html($("#lang").attr('frg')); 
   }); 
   $('.error').removeClass('alert alert-danger alert-success').html('');      
}

/*-----------------------------------------------*/
/* Allow User to Open Login Modal
 *-----------------------------------------------*/
function openLoginModal() {
   showLoginForm();
   setTimeout(function(){
       $('#loginModal').modal('show');    
   }, 230);   
}

/*-----------------------------------------------*/
/* Allow User to Open Register Modal
 *-----------------------------------------------*/
function openRegisterModal() {
   showRegisterForm();
   setTimeout(function(){
       $('#loginModal').modal('show');    
   }, 230);
}

/*-----------------------------------------------*/
/* Allow User to Open Forgot Password Modal
 *-----------------------------------------------*/
function openForgotPasswordModal() {
	   showForgotPasswordForm();
	   setTimeout(function(){
	       $('#loginModal').modal('show');    
	   }, 230);	   
}

/*-----------------------------------------------*/
/* Allow User to Login to Website
 *-----------------------------------------------*/
$('#loginform').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) { // Check whether validations are successful or not
		var logmein = $("#log-me-in").val();
		var username = $("#username").val();
		var password = $("#password").val();
		var remember_me = $("#remember_me").val();
		$("#ajax_loader").show();
		$.post( site_url + "signin", {'ci_csrf_token': csrf_token, 'login': username, 'password': password, 'log-me-in': logmein, 'remember_me': remember_me}, function( data ) {
				if(JSON.parse(data).result == 1) { // This assumes the response you're sending back from PHP is JSON
					// Handle success
					//window.location.replace("\""+ JSON.parse(data).url +"\""); 
					$("#ajax_loader").hide();
					$(location).attr('href', JSON.parse(data).url);
	           } else {
	        	   // Handle form being unsuccessful
	        	   $("#ajax_loader").hide();
	        	   shakeModal(JSON.parse(data).message, JSON.parse(data).type);
	           }
	    });
		// This is to prevent the form from actually submitting.
	    e.preventDefault();
	    return false;
	}
});

/*-----------------------------------------------*/
/* Allowing User to Reset Password
 *-----------------------------------------------*/
$('#forgotPasswordform').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) {
		var emailPhone = $("#email_phone").val();
		$("#ajax_loader").show();
		$.post( site_url + "forgotPassword", {'ci_csrf_token': csrf_token, 'email_phone': emailPhone}, function( data ) {
			if(JSON.parse(data).result == 1) { 
				$("#ajax_loader").hide();
				shakeModal(JSON.parse(data).message, JSON.parse(data).type); 
				$(location).attr('href', JSON.parse(data).url);
			} else {
				// Handle form being unsuccessful
	        	$("#ajax_loader").hide();
	        	shakeModal(JSON.parse(data).message, JSON.parse(data).type);
			}
	    });
	    e.preventDefault();
	    return false;
	}
});

/*-----------------------------------------------*/
/* Function to Register a New User
 *-----------------------------------------------*/
$('#registerform').validator().on('submit', function(e) {
	if (!e.isDefaultPrevented()) { // Check whether validations are successful or not
		var signup = $("#signup").val();
		var registration_data = new FormData(this);    
		registration_data.append('ci_csrf_token', csrf_token);
		registration_data.append('email', $("#email").val());
		registration_data.append('display_name', $("#display_name").val());
		registration_data.append('phone_number', $("#phone_number").val());
		registration_data.append('password', $("#pass").val());
		registration_data.append('pass_confirm', $("#pass_confirm").val());
		registration_data.append('captcha_code', $("#captcha_code").val());
		
		// Custom Fields
		$(".input-meta input").each(function(index) {
			registration_data.append($(this).attr('name'), $(this).val());
		});
		$("#ajax_loader").show();		
		$.ajax({
			url: site_url + "signup",// Url to which the request is send
			type: "POST",             		// Type of request to be send, called as method
			data: registration_data, 		// Data sent to server, a set of key/value pairs (i.e. form fields and values)
			contentType: false,       		// The content type used when sending data to the server.
			cache: false,             		// To unable request pages to be cached
			processData:false,        		// To send DOMDocument or non processed data file it is set to false
			success: function(data) {   	// A function to be called if request succeeds
				if(JSON.parse(data).result == 1) {
					$("#ajax_loader").hide();
					loginRefreshCaptcha();
					$("#registerform").hide(); // hide form
					shakeModal(JSON.parse(data).message, JSON.parse(data).type); 
					setTimeout( // redirect user to the activation/login page after 5 seconds
					  function() {
						$(location).attr('href', JSON.parse(data).url); 
					  }, 5000
					);
	           } else {
	        	   $("#ajax_loader").hide();
	        	   $("#captcha_code").val('');
	        	   loginRefreshCaptcha();	        	   
	               shakeModal(JSON.parse(data).message, JSON.parse(data).type);
	           }
			}			
		});
	    e.preventDefault();
	    return false;
	} else {
		shakeModal($('#error_lang').val(), 'error');
	}
});
/*-----------------------------------------------*/
/* Display Success and Error Message to the User
 *-----------------------------------------------*/
function shakeModal(message, type) {
   $('#loginModal .modal-dialog').addClass('shake');
            $('.ajax-message').addClass('alert alert-' + type).html(message);
            $('input[type="password"]').val('');
            setTimeout( function(){ 
               $('#loginModal .modal-dialog').removeClass('shake'); 
   }, 1000 ); 
}

/*-----------------------------------------------*/
/* Redirect User to Members Area if logged in
 *-----------------------------------------------*/
$(".my-account").each(function(index) {
    $(this).on("click", function(){
	if($(this).val() == 1) { 
		window.location.replace(site_url + "members");  
	}  
});
/*-----------------------------------------------*/
/* My Account Phone Number
 *-----------------------------------------------*/
if ($("#phone_number").intlTelInput) {
	$("#phone_number").intlTelInput({defaultCountry: defCount, validationScript: site_url + "assets/js/isValidNumber.js"});
    $(".intl-tel-input.inside").css('width', '100%');
}
});

/*-----------------------------------------------*/
/* Refresh All Captcha's After Success
 *-----------------------------------------------*/
function loginRefreshCaptcha() {
	$( '.refresh-captcha' ).each(function(index) {
		$('.refresh-captcha').attr('src', site_url + 'securimage?' + Math.random());
	});
}

/*---------------------------------------------*/
/* Redirect User to the Login/Register Modal
 *---------------------------------------------*/
$(document).ready(function() {
	var target = document.location.hash.replace("#", "");
	if (target.length) {
		if(target == gcLangString['login']) {
			showModal("signinModal");
			showLoginForm();
		} else if(target == gcLangString['register']) {
			showModal("signinModal");
			showRegisterForm();
		}
	}
	function showModal(title) {
		$('#' + title +'').modal('show');
	}
});