<?php
// DELETE THESE FILES AFTER INSTALLATION FOR SECURITY REASONS
// after replacement overwrite the route file
// Check if update file exists
$version = '3.5';
$update_file = '../application/config/update_' . $version .'.txt';
if (file_exists($update_file)) {
	die('Your website is already running the latest version of GoClixy.');
}
$login_details = get_login_details();
if(!empty($login_details)) {
	set_login_details($login_details);
} else {
	die('Unable to get your OLD DB details, please copy them manually to the v4/application/config/database.php file.');
}

// Get Current Site URL
function url(){
  return sprintf(
    "%s://%s%s",
    isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off' ? 'https' : 'http',
    $_SERVER['SERVER_NAME'],
    $_SERVER['REQUEST_URI']
  );
}

// Overwrite DB Login Credentials
function set_login_details($login_details) {
	$file = '../application/config/database.php';
	if (file_exists($file)) {
		$lines = file($file);
		$strings = array('hostname', 'username', 'password', 'database', 'dbdriver');
		if($lines) {
			// read line one by one
			foreach ($lines as $lineNumber => $line) {
				// Get the Username
				$trim_line = trim($line);
				foreach($strings as $str) {
					if(strpos($line, $str . '\' ') !== false) {
						$result = get_string_between($line, '=> \'', '\',');
						if(empty($result)) { // Double Quote String is used
							$result = get_string_between($line, '=> "', '",');
						}
						if(!empty($result)) {
							$lines[$lineNumber] = str_replace($result, $login_details[$str], $line);
						} else { // Nothing found
							$lines[$lineNumber] = str_replace('\'\'', '\'' . $login_details[$str] . '\'', $line);
						}
					}					
				}
			}
		}
		// Write the route file
    	$contents = implode('', $lines);
    	file_put_contents($file, $contents);
    	
		// Update RewriteBase in .htaccess file
    	setRewriteBase();
    	
    	// Modify installation files
    	modify_installation_files();
    	
		// Redirect user to the Update URI		
		$update_url = str_replace('r.php', '', url());
		header('Location: ' . $update_url);
		exit();
	}
}
// Get the existsing Login Details
function get_login_details() {
	$file = '../../../application/config/database.php';
	if (file_exists($file)) {
		$lines = file($file);
		$login_details = array();
		$strings = array('hostname', 'username', 'password', 'database', 'dbdriver');
		if($lines) {
			// read line one by one
			foreach ($lines as $lineNumber => $line) {
				// Get the Username
				$line = trim($line);
				foreach($strings as $str) {
					if(strpos($line, $str . '\' ') !== false) {
						$result = get_string_between($line, '=> \'', '\',');
						if(empty($result)) { // Double Quote String is used
							$result = get_string_between($line, '=> "', '",');
						}
						$login_details[$str] = $result;
					}
				}
			}
		}
	}
	return $login_details;
}
// Modify the RewriteBase in the .htaccess file
function setRewriteBase() {
	$file = '.htaccess';
	if (file_exists($file)) {
		$lines = file($file);
		$login_details = array();
		if($lines) {
			// read line one by one
			foreach ($lines as $lineNumber => $line) {
				// Get the Username
				$line = trim($line);
				if(strpos($line, 'RewriteBase /') !== false) {
					$lines[$lineNumber] = "\x20\x20RewriteBase /v4/public_html/" . PHP_EOL;
				}
			}
		}
	}
	// Write the route file
	$contents = implode('', $lines);
	file_put_contents($file, $contents);
}

/**
 * Get String Between a String
 */
function get_string_between($string, $start, $end){
    $string = ' ' . $string;
    $ini = strpos($string, $start);
    if ($ini == 0) return '';
    $ini += strlen($start);
    $len = strpos($string, $end, $ini) - $ini;
    return substr($string, $ini, $len);
}

/**
 * Modify Installation Files
 */
function modify_installation_files() {
	// create a new file installed.txt inside the config folder
	file_put_contents('../application/config/installed.txt', 'Installed On: ' . date('r') . "\n");
	// modify the Home.php file
	file_put_contents('../application/controllers/Home.php', str_replace("extends CI_Controller", "extends Front_Controller", file_get_contents('../application/controllers/Home.php')));
}
?>